(function($) {

  Drupal.Autox = Drupal.Autox || {};


  Drupal.behaviors.actionAutox = {
    attach: function(context) {
      $(".views-field-field-counter .field-content").each(function() {
        var $this = $(this);
        var dataTo = $this.text();
        var append = dataTo.substring(dataTo.length - 1);
        dataTo = dataTo.replace(",", "");
        dataTo = dataTo.replace("+", "");
        $this.text("0");
        $this.appear(function() {
          $this.countTo({
            to: dataTo,
            onComplete: function() {
              var result = $this.html();
              result = Drupal.Autox.numberWithCommas(result);
              if (append === "+") {
                $this.html(result + append);
              }
            }
          });
        }, {
          accX: 0,
          accY: -150
        });
      });

      $('.btn-btt').smoothScroll({
        speed: 600
      });
      if ($("#search-block-form input[name='search_block_form']").val() === "") {
        $("#search-block-form input[name='search_block_form']").val(Drupal.t("Keywords"));
      }
      $("#search-block-form input[name='search_block_form']").focus(function() {
        if ($(this).val() === Drupal.t("Keywords")) {
          $(this).val("");
        }
      }).blur(function() {
        if ($(this).val() === "") {
          $(this).val(Drupal.t("Keywords"));
        }
      });

      if ($("#search-form input[name='keys']").val() === "") {
        $("#search-form input[name='keys']").val(Drupal.t("Keywords"));
      }
      $("#search-form input[name='keys']").focus(function() {
        if ($(this).val() === Drupal.t("Keywords")) {
          $(this).val("");
        }
      }).blur(function() {
        if ($(this).val() === "") {
          $(this).val(Drupal.t("Keywords"));
        }
      });
      $('.autox-search-block').each(function() {
        $(this).children().wrapAll("<div class='autox-search-block-inner' />");
        $(this).prepend($('<span class="autox-search-block-icon"></span>'));
        $('.autox-search-block-icon').click(function() {
          var self = $(this);
          if (self.parent().hasClass('opened') && !self.parent().hasClass('closing')) {
            self.parent().addClass('closing');
            window.setTimeout(function() {
              self.parent().removeClass('opened').removeClass('closing');
            }, 400);
          } else {
            if (!self.parent().hasClass('opened') && !self.parent().hasClass('opening')) {
              self.parent().addClass('opening');
              window.setTimeout(function() {
                self.parent().removeClass('opening').addClass('opened');
              }, 400);
            }
          }
        });
      });

      /* search block form  */
      var block_search = $('#block-search-form');
      if (block_search.find('.search-icon').length == 0) {
        block_search.find('.content').prepend('<span class="search-icon"></span>')
      }
      var navbarButton = $('.navbar-toggle');
      block_search.find('.search-icon').once('load').click(function() {

        $(this).parent().parent().toggleClass('hover');

      });
      /* end search block form*/

      $(window).load(function() {
        $(window).resize(function() {
          Drupal.Autox.setHeightSlideshow();
        });
      });

      // Mobile menu
      if ($(window).width() <= 991) {
        $('.mobile-main-menu .region-main-menu').accordionMenu();
      }
      $(window).resize(function() {
        if ($(window).width() <= 991) {
          $('.mobile-main-menu .region-main-menu').accordionMenu();
        }
      });

      $('#menu-toggle').mobileMenu({
        targetWrapper: '#main-menu-inner',
        targetMenu: '#block-tb-megamenu-main-menu'
      });
    }
  };

  Drupal.Autox.numberWithCommas = function(x) {
    var parts = x.toString().split(".");
    parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
    return parts.join(".");
  }

  Drupal.Autox.setHeightSlideshow = function() {
    var imgs = $('#views_slideshow_cycle_main_slideshow-block .views-field-type-image img');
    if (imgs.length) {
      var minHeight = imgs.get(0).height;
      imgs.each(function(index, value) {
        if (value < minHeight)
          minHeight = value;
      });
      $("#views_slideshow_cycle_main_slideshow-block .views-slideshow-cycle-main-frame").css('height', minHeight);
      $("#views_slideshow_cycle_main_slideshow-block .views-slideshow-cycle-main-frame-row").css('height', minHeight);
    }
  }

})(jQuery);
