<div id="page" <?php print $page_css ?>>
  <?php if(isset($page['show_skins_menu']) && $page['show_skins_menu']):?>
    <?php print $page['show_skins_menu'];?>
  <?php endif;?>

  <?php if($headline = render($page['headline'])): ?>
    <section id="headline" class="headline">
      <div class="container">
        <?php print $headline; ?>
      </div>
    </section>
  <?php endif;?>

  <header id="header" class="header section bg-black">
    <div class="container">
      <?php if ($logo): ?>
        <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home" id="logo">
          <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
        </a>
      <?php endif; ?>

      <?php if ($site_name || $site_slogan): ?>
        <div id="name-and-slogan">
          <?php if ($site_name): ?>
            <?php if ($title): ?>
              <div id="site-name"><strong>
                <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><span><?php print $site_name; ?></span></a>
              </strong></div>
            <?php else: /* Use h1 when the content title is empty */ ?>
              <h1 id="site-name">
                <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><span><?php print $site_name; ?></span></a>
              </h1>
            <?php endif; ?>
          <?php endif; ?>

          <?php if ($site_slogan): ?>
            <div id="site-slogan"><?php print $site_slogan; ?></div>
          <?php endif; ?>
        </div>
      <?php endif; ?>
      <?php print render($page['header']); ?>

      <?php if ($main_menu = render($page['main_menu'])): ?>
        <nav class="" id="main-menu">
          <div class="navbar-header">
            <a id="menu-toggle" class="navbar-toggle" href="#menu-toggle">
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </a>
          </div>
          <div id="main-menu-inner">
            <?php print $main_menu; ?>
          </div>
        </nav>
      <?php endif;?>
    </div>
  </header>

  <?php if(($slideshow = render($page['slideshow']))): ?>
    <section id="slideshow" class="slideshow section">
      <div class="container-fluid">
        <?php print $slideshow;?>
      </div>
    </section>
  <?php endif;?>

  <?php if ($messages): ?>
    <section id="messages" class="message section">
      <div class="container">
        <?php print $messages; ?>
      </div>
    </section>
  <?php endif;?>

  <?php if($panel_featured = render($page['panel_featured'])): ?>
    <section id="panel-featured">
      <div class="container-fluid">
        <?php print $panel_featured;?>
      </div>
    </section>
  <?php endif; ?>

  <?php if($panel_first = render($page['panel_first'])): ?>
    <section id="panel-first" class="section bg-grey">
      <div class="container">
        <?php print $panel_first;?>
      </div>
    </section>
  <?php endif; ?>


  <?php if ($title): ?>
    <section id="title-wrapper" class="wrapper">
      <div class="container">
        <div class="container-inner">
          <?php print render($title_prefix); ?>
          <h1 class="title" id="page-title"><?php print $title; ?></h1>
          <?php print render($title_suffix); ?>
          <?php if ($breadcrumb): ?>
            <?php print $breadcrumb; ?>
          <?php endif; ?>
        </div>
      </div>
    </section>
  <?php endif; ?>

  <section id="main" class="main section">
    <div class="container">
      <div class="row">
        <div class="col-lg-<?php print $regions_width['content']?> col-md-<?php print $regions_width['content']?> col-sm-12 col-xs-12">
          <div id="content" class="column">
            <div class="section">
              <?php if ($page['highlighted']): ?><div id="highlighted"><?php print render($page['highlighted']); ?></div><?php endif; ?>
              <a id="main-content"></a>

              <?php if ($tabs): ?><div class="tabs"><?php print render($tabs); ?></div><?php endif; ?>
              <?php print render($page['help']); ?>
              <?php if ($action_links): ?><ul class="action-links"><?php print render($action_links); ?></ul><?php endif; ?>
              <?php print render($page['content']); ?>
            </div>
          </div>
        </div>
        <?php if ($regions_width['sidebar_first']): ?>
          <aside id="sidebar-first" class="sidebar col-lg-<?php print $regions_width['sidebar_first']?> col-md-<?php print $regions_width['sidebar_first']?> col-sm-12 col-xs-12">
            <div class="section">
              <?php print render($page['sidebar_first']); ?>
            </div>
          </aside>
        <?php endif; ?>
        <?php if ($page['sidebar_second']): ?>
          <aside id="sidebar-second" class="sidebar col-lg-<?php print $regions_width['sidebar_second']?> col-md-<?php print $regions_width['sidebar_second']?> col-sm-12 col-xs-12">
            <div class="section">
              <?php print render($page['sidebar_second']); ?>
            </div>
          </aside>
        <?php endif; ?>
      </div>
    </div>
  </section>

  <?php if($panel_second = render($page['panel_second'])): ?>
    <section id="panel-second" class="section">
      <div class="container">
        <?php print $panel_second;?>
      </div>
    </section>
  <?php endif; ?>

  <?php if($panel_third = render($page['panel_third'])): ?>
    <section id="panel-third" class="section about-pro-brand">
      <div class="panel-third-inner">
        <div class="container">
          <?php print $panel_third;?>
        </div>
      </div>
    </section>
  <?php endif; ?>

  <?php if($panel_fourth = render($page['panel_fourth'])): ?>
    <section id="panel-fourth" class="section">
      <div class="container">
        <?php print $panel_fourth;?>
      </div>
    </section>
  <?php endif; ?>

  <?php if($panel_fifth = render($page['panel_fifth'])): ?>
    <section id="panel-fifth" class="section bg-grey">
      <div class="panel-fifth-inner">
        <div class="container">
          <?php print $panel_fifth;?>
        </div>
      </div>
    </section>
  <?php endif; ?>

  <?php if($panel_sixth = render($page['panel_sixth'])): ?>
    <section id="panel-sixth" class="section">
      <div class="container">
        <?php print $panel_sixth;?>
      </div>
    </section>
  <?php endif; ?>

  <?php if($panel_footer = render($page['panel_footer'])): ?>
    <section id="panel-footer" class="section bg-black">
      <div class="container">
        <div class="container-inner">
          <?php print $panel_footer;?>
        </div>
      </div>
    </section>
  <?php endif; ?>

  <?php if($footer = render($page['footer'])): ?>
    <footer id="footer" class="section bg-black">
      <div class="container">
        <?php print $footer; ?>
        <!--?php print $feed_icons; ?-->
      </div>
    </footer>
  <?php endif;?>
  <a title="<?php print t('Back to Top')?>" class="btn-btt" href="#Top"></a>
</div>