-- MySQL dump 10.13  Distrib 5.6.36, for Linux (x86_64)
--
-- Host: localhost    Database: d7_autox_old
-- ------------------------------------------------------
-- Server version	5.6.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actions` (
  `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',
  `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',
  `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',
  `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',
  PRIMARY KEY (`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actions`
--

LOCK TABLES `actions` WRITE;
/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `actions` VALUES ('comment_publish_action','comment','comment_publish_action','','Publish comment'),('comment_save_action','comment','comment_save_action','','Save comment'),('comment_unpublish_action','comment','comment_unpublish_action','','Unpublish comment'),('country_disable_action','country','country_disable_action','','Disable country'),('country_enable_action','country','country_enable_action','','Enable country'),('node_make_sticky_action','node','node_make_sticky_action','','Make content sticky'),('node_make_unsticky_action','node','node_make_unsticky_action','','Make content unsticky'),('node_promote_action','node','node_promote_action','','Promote content to front page'),('node_publish_action','node','node_publish_action','','Publish content'),('node_save_action','node','node_save_action','','Save content'),('node_unpromote_action','node','node_unpromote_action','','Remove content from front page'),('node_unpublish_action','node','node_unpublish_action','','Unpublish content'),('pathauto_node_update_action','node','pathauto_node_update_action','','Update node alias'),('pathauto_taxonomy_term_update_action','taxonomy_term','pathauto_taxonomy_term_update_action','','Update taxonomy term alias'),('pathauto_user_update_action','user','pathauto_user_update_action','','Update user alias'),('system_block_ip_action','user','system_block_ip_action','','Ban IP address of current user'),('user_block_user_action','user','user_block_user_action','','Block current user');
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `authmap`
--

DROP TABLE IF EXISTS `authmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authmap` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',
  `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `authname` (`authname`),
  KEY `uid_module` (`uid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authmap`
--

LOCK TABLES `authmap` WRITE;
/*!40000 ALTER TABLE `authmap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `authmap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean`
--

DROP TABLE IF EXISTS `bean`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique bean item ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Revision ID',
  `delta` varchar(32) NOT NULL COMMENT 'The bean’s block.delta.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Displays in the Admin page.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The bean_type.type of this bean.',
  `view_mode` varchar(32) NOT NULL DEFAULT 'default' COMMENT 'The View mode to use as the bean.',
  `data` longtext COMMENT 'A serialized array of additional data related to this bean.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The author of the revision.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was most recently saved.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `vid` (`vid`),
  UNIQUE KEY `delta` (`delta`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores bean items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean`
--

LOCK TABLES `bean` WRITE;
/*!40000 ALTER TABLE `bean` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean` VALUES (1,10,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a <strong>Professional  Brands</strong>','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}',1,1407381435,1408359065),(2,11,'careers','Careers','Careers','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}',1,1407381537,1408424100);
/*!40000 ALTER TABLE `bean` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean_revision`
--

DROP TABLE IF EXISTS `bean_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean_revision` (
  `bid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The bean this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The author of the revision.',
  `delta` varchar(32) NOT NULL COMMENT 'The bean’s block.delta.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Displays in the Admin page.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The bean_type.type of this bean.',
  `view_mode` varchar(32) NOT NULL DEFAULT 'default' COMMENT 'The View mode to use as the bean.',
  `data` longtext COMMENT 'A serialized array of additional data related to this bean.',
  `log` longtext COMMENT 'A log message associated with the revision.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was most recently saved.',
  PRIMARY KEY (`vid`),
  KEY `bid` (`bid`,`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='Stores bean items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean_revision`
--

LOCK TABLES `bean_revision` WRITE;
/*!40000 ALTER TABLE `bean_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean_revision` VALUES (1,1,1,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a Professional  Brands','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381435,1407381435),(2,2,1,'careers','Careers','Careers','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381537,1407381537),(2,3,1,'careers','Careers','Careers','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381537,1407829749),(1,4,1,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a Professional  Brands','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381435,1407829900),(1,5,1,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a <strong>Professional  Brands</strong>','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381435,1407830004),(1,6,1,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a <strong>Professional  Brands</strong>','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381435,1407830952),(1,7,1,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a <strong>Professional  Brands</strong>','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381435,1407831112),(1,8,1,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a <strong>Professional  Brands</strong>','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381435,1407831287),(1,9,1,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a <strong>Professional  Brands</strong>','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381435,1407831602),(1,10,1,'what-make-we-a-professional--bra','What make we a Professional  Brands','What make we a <strong>Professional  Brands</strong>','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381435,1408359065),(2,11,1,'careers','Careers','Careers','list_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1407381537,1408424100);
/*!40000 ALTER TABLE `bean_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean_type`
--

DROP TABLE IF EXISTS `bean_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean_type` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The Type ID of this block. Only used internally by CTools',
  `name` varchar(32) NOT NULL COMMENT 'The machine-readable name of this bean type.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean type.',
  `options` longtext COMMENT 'Block content configuration.',
  `description` longtext COMMENT 'The description of this bean type.',
  PRIMARY KEY (`type_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined bean types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean_type`
--

LOCK TABLES `bean_type` WRITE;
/*!40000 ALTER TABLE `bean_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean_type` VALUES (1,'list_block','List Block',NULL,'Proin faucibus vestibulum elit quis gravida! Sed congue massa nunc, in dapibus felis consectetur nec. Quisque vulputate nulla vitae enim ultrices dapibus. Praesent nec aliquet felis. Donec in scelerisque est. Nulla facilisi. Aenean condimentum et lacus non lacinia. Duis eros diam, bibendum at metus.\r\n');
/*!40000 ALTER TABLE `bean_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block`
--

DROP TABLE IF EXISTS `block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block` (
  `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',
  `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',
  `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',
  `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',
  `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',
  `pages` text NOT NULL COMMENT 'Contents of the "Pages" block; contains either a list of paths on which to include/exclude the block or PHP code, depending on "visibility" setting.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',
  `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',
  `css_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'String containing the classes for the block.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=InnoDB AUTO_INCREMENT=321 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block`
--

LOCK TABLES `block` WRITE;
/*!40000 ALTER TABLE `block` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block` VALUES (1,'system','main','bartik',1,0,'content',0,0,'','',-1,''),(2,'search','form','bartik',1,-1,'sidebar_first',0,0,'','',-1,''),(3,'node','recent','seven',1,10,'dashboard_main',0,0,'','',-1,''),(4,'user','login','bartik',1,0,'sidebar_first',0,0,'','',-1,''),(5,'system','navigation','bartik',1,0,'sidebar_first',0,0,'','',-1,''),(6,'system','powered-by','bartik',1,10,'footer',0,0,'','',-1,''),(7,'system','help','bartik',1,0,'help',0,0,'','',-1,''),(8,'system','main','seven',1,0,'content',0,0,'','',-1,''),(9,'system','help','seven',1,0,'help',0,0,'','',-1,''),(10,'user','login','seven',1,10,'content',0,0,'','',-1,''),(11,'user','new','seven',1,0,'dashboard_sidebar',0,0,'','',-1,''),(12,'search','form','seven',1,-10,'dashboard_sidebar',0,0,'','',-1,''),(13,'comment','recent','bartik',0,0,'-1',0,0,'','',1,''),(14,'node','syndicate','bartik',0,0,'-1',0,0,'','',-1,''),(15,'node','recent','bartik',0,0,'-1',0,0,'','',1,''),(16,'shortcut','shortcuts','bartik',0,0,'-1',0,0,'','',-1,''),(17,'system','management','bartik',0,0,'-1',0,0,'','',-1,''),(18,'system','user-menu','bartik',0,0,'-1',0,0,'','<none>',-1,'user-menu-block'),(19,'system','main-menu','bartik',0,0,'-1',0,0,'','<none>',-1,''),(20,'user','new','bartik',0,0,'-1',0,0,'','',1,''),(21,'user','online','bartik',0,0,'-1',0,0,'','',-1,''),(22,'comment','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,''),(23,'node','syndicate','seven',0,0,'-1',0,0,'','',-1,''),(24,'shortcut','shortcuts','seven',0,0,'-1',0,0,'','',-1,''),(25,'system','powered-by','seven',0,10,'-1',0,0,'','',-1,''),(26,'system','navigation','seven',0,0,'-1',0,0,'','',-1,''),(27,'system','management','seven',0,0,'-1',0,0,'','',-1,''),(28,'system','user-menu','seven',0,0,'-1',0,0,'','<none>',-1,'user-menu-block'),(29,'system','main-menu','seven',0,0,'-1',0,0,'','<none>',-1,''),(30,'user','online','seven',1,0,'dashboard_inactive',0,0,'','',-1,''),(31,'comment','recent','autox',0,-16,'-1',0,0,'','',1,''),(32,'node','recent','autox',0,-15,'-1',0,0,'','',1,''),(33,'node','syndicate','autox',0,-13,'-1',0,0,'','',-1,''),(34,'search','form','autox',1,-23,'header',0,0,'','',-1,''),(35,'shortcut','shortcuts','autox',0,-14,'-1',0,0,'','',-1,''),(36,'system','help','autox',1,0,'help',0,0,'','',-1,''),(37,'system','main','autox',1,0,'content',0,0,'','',-1,''),(38,'system','main-menu','autox',0,0,'-1',0,0,'','<none>',-1,''),(39,'system','management','autox',0,-20,'-1',0,0,'','',-1,''),(40,'system','navigation','autox',0,-19,'-1',0,0,'','',-1,''),(41,'system','powered-by','autox',0,-18,'-1',0,0,'','',-1,''),(42,'system','user-menu','autox',1,0,'headline',0,0,'','<none>',-1,'user-menu-block'),(43,'user','login','autox',0,3,'-1',0,0,'','',-1,''),(44,'user','new','autox',0,7,'-1',0,0,'','',1,''),(45,'user','online','autox',0,8,'-1',0,0,'','',-1,''),(46,'context_ui','editor','autox',0,-21,'-1',0,0,'','',1,''),(47,'tb_megamenu','main-menu','autox',1,-9,'main_menu',0,0,'mega-menus','',-1,''),(48,'tb_megamenu','management','autox',0,-8,'-1',0,0,'','',-1,''),(49,'tb_megamenu','navigation','autox',0,-7,'-1',0,0,'','',-1,''),(50,'tb_megamenu','user-menu','autox',0,-5,'-1',0,0,'','',-1,''),(51,'context_ui','editor','bartik',0,0,'-1',0,0,'','',1,''),(52,'tb_megamenu','main-menu','bartik',0,0,'-1',0,0,'mega-menus','',-1,''),(53,'tb_megamenu','management','bartik',0,0,'-1',0,0,'','',-1,''),(54,'tb_megamenu','navigation','bartik',0,0,'-1',0,0,'','',-1,''),(55,'tb_megamenu','user-menu','bartik',0,0,'-1',0,0,'','',-1,''),(56,'context_ui','editor','seven',0,0,'-1',0,0,'','',1,''),(57,'tb_megamenu','main-menu','seven',0,0,'-1',0,0,'mega-menus','',-1,''),(58,'tb_megamenu','management','seven',0,0,'-1',0,0,'','',-1,''),(59,'tb_megamenu','navigation','seven',0,0,'-1',0,0,'','',-1,''),(60,'tb_megamenu','user-menu','seven',0,0,'-1',0,0,'','',-1,''),(61,'blog','recent','autox',0,-17,'-1',0,0,'','',1,''),(62,'blog','recent','bartik',0,0,'-1',0,0,'','',1,''),(63,'blog','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,''),(64,'views','slideshow-block','autox',1,6,'slideshow',0,1,'<front>','<none>',-1,''),(65,'views','brands-block','autox',1,0,'panel_sixth',0,1,'<front>','',-1,''),(66,'views','slideshow-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(67,'views','brands-block','bartik',0,0,'-1',0,1,'<front>','',-1,''),(68,'views','slideshow-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(69,'views','brands-block','seven',0,0,'-1',0,1,'<front>','',-1,''),(70,'views','services-block','autox',1,5,'panel_first',0,1,'<front>','<none>',-1,''),(71,'views','dealers-block','autox',0,4,'-1',0,0,'','',-1,''),(72,'block','1','autox',1,0,'footer',0,0,'','',-1,''),(73,'block','1','bartik',0,0,'-1',0,0,'','',-1,''),(74,'block','1','seven',0,0,'-1',0,0,'','',-1,''),(75,'menu','menu-footer-menu','autox',1,0,'footer',0,0,'','<none>',-1,''),(76,'tb_megamenu','menu-footer-menu','autox',0,-10,'-1',0,0,'','',-1,''),(77,'menu','menu-footer-menu','bartik',0,0,'-1',0,0,'','<none>',-1,''),(78,'menu','menu-footer-menu','seven',0,0,'-1',0,0,'','<none>',-1,''),(79,'tb_megamenu','menu-footer-menu','bartik',0,0,'-1',0,0,'','',-1,''),(80,'views','services-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(81,'views','dealers-block','bartik',0,0,'-1',0,0,'','',-1,''),(82,'tb_megamenu','menu-footer-menu','seven',0,0,'-1',0,0,'','',-1,''),(83,'views','services-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(84,'views','dealers-block','seven',0,0,'-1',0,0,'','',-1,''),(85,'menu','menu-social-menu','autox',1,-15,'headline',0,0,'','<none>',-1,'social-menu-block'),(86,'tb_megamenu','menu-social-menu','autox',0,-6,'-1',0,0,'','',-1,''),(87,'menu','menu-social-menu','bartik',0,0,'-1',0,0,'','<none>',-1,'social-menu-block'),(88,'tb_megamenu','menu-social-menu','bartik',0,0,'-1',0,0,'','',-1,''),(89,'menu','menu-social-menu','seven',0,0,'-1',0,0,'','<none>',-1,'social-menu-block'),(90,'tb_megamenu','menu-social-menu','seven',0,0,'-1',0,0,'','',-1,''),(91,'block','2','autox',1,0,'panel_footer_5',0,0,'','',-1,''),(92,'block','2','bartik',0,0,'-1',0,0,'','',-1,''),(93,'block','2','seven',0,0,'-1',0,0,'','',-1,''),(94,'block','3','autox',1,-20,'panel_footer_1',0,0,'','Address',-1,''),(95,'block','3','bartik',0,0,'-1',0,0,'','Address',-1,''),(96,'block','3','seven',0,0,'-1',0,0,'','Address',-1,''),(97,'tagclouds','3','autox',0,-4,'-1',0,0,'','',8,''),(98,'tagclouds','2','autox',0,-3,'-1',0,0,'','',8,''),(99,'tagclouds','6','autox',0,-2,'-1',0,0,'','',8,''),(100,'tagclouds','5','autox',0,-1,'-1',0,0,'','',8,''),(101,'tagclouds','4','autox',0,1,'-1',0,0,'','',8,''),(102,'tagclouds','1','autox',1,-19,'panel_footer_4',0,0,'','',8,''),(103,'tagclouds','7','autox',0,2,'-1',0,0,'','',8,''),(104,'tagclouds','3','bartik',0,0,'-1',0,0,'','',8,''),(105,'tagclouds','2','bartik',0,0,'-1',0,0,'','',8,''),(106,'tagclouds','6','bartik',0,0,'-1',0,0,'','',8,''),(107,'tagclouds','5','bartik',0,0,'-1',0,0,'','',8,''),(108,'tagclouds','4','bartik',0,0,'-1',0,0,'','',8,''),(109,'tagclouds','1','bartik',0,0,'-1',0,0,'','',8,''),(110,'tagclouds','7','bartik',0,0,'-1',0,0,'','',8,''),(111,'tagclouds','3','seven',0,0,'-1',0,0,'','',8,''),(112,'tagclouds','2','seven',0,0,'-1',0,0,'','',8,''),(113,'tagclouds','6','seven',0,0,'-1',0,0,'','',8,''),(114,'tagclouds','5','seven',0,0,'-1',0,0,'','',8,''),(115,'tagclouds','4','seven',0,0,'-1',0,0,'','',8,''),(116,'tagclouds','1','seven',0,0,'-1',0,0,'','',8,''),(117,'tagclouds','7','seven',0,0,'-1',0,0,'','',8,''),(118,'menu','menu-categories','autox',0,-22,'-1',0,0,'','',-1,''),(119,'menu','menu-essential-links','autox',1,0,'panel_footer_3',0,0,'','',-1,''),(120,'tb_megamenu','menu-categories','autox',0,-12,'-1',0,0,'','',-1,''),(121,'tb_megamenu','menu-essential-links','autox',0,-11,'-1',0,0,'','',-1,''),(122,'views','categories-block','autox',1,0,'panel_footer_2',0,0,'','',-1,''),(123,'newsletter','newsletter_subscribe','autox',1,0,'panel_footer_5',0,0,'','<none>',1,''),(124,'tagclouds','8','autox',0,0,'-1',0,0,'','',8,''),(125,'menu','menu-categories','bartik',0,0,'-1',0,0,'','',-1,''),(126,'menu','menu-essential-links','bartik',0,0,'-1',0,0,'','',-1,''),(127,'newsletter','newsletter_subscribe','bartik',0,0,'-1',0,0,'','<none>',1,''),(128,'tagclouds','8','bartik',0,0,'-1',0,0,'','',8,''),(129,'tb_megamenu','menu-categories','bartik',0,0,'-1',0,0,'','',-1,''),(130,'tb_megamenu','menu-essential-links','bartik',0,0,'-1',0,0,'','',-1,''),(131,'views','categories-block','bartik',0,0,'-1',0,0,'','',-1,''),(132,'menu','menu-categories','seven',0,0,'-1',0,0,'','',-1,''),(133,'menu','menu-essential-links','seven',0,0,'-1',0,0,'','',-1,''),(134,'newsletter','newsletter_subscribe','seven',0,0,'-1',0,0,'','<none>',1,''),(135,'tagclouds','8','seven',0,0,'-1',0,0,'','',8,''),(136,'tb_megamenu','menu-categories','seven',0,0,'-1',0,0,'','',-1,''),(137,'tb_megamenu','menu-essential-links','seven',0,0,'-1',0,0,'','',-1,''),(138,'views','categories-block','seven',0,0,'-1',0,0,'','',-1,''),(139,'views','testimonials-block','autox',1,0,'panel_fifth',0,1,'<front>','<none>',-1,''),(140,'views','testimonials-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(141,'views','testimonials-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(142,'views','statistics-block','autox',1,0,'panel_fourth',0,1,'<front>','<none>',-1,''),(143,'views','statistics-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(144,'views','statistics-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(145,'tagclouds','9','autox',0,0,'-1',0,0,'','',8,''),(146,'views','our_members-block','autox',1,0,'panel_third',0,1,'<front>','<none>',-1,''),(147,'views','our_members-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(148,'views','our_members-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(149,'tagclouds','9','bartik',0,0,'-1',0,0,'','',8,''),(150,'tagclouds','9','seven',0,0,'-1',0,0,'','',8,''),(151,'views','services-block_2','autox',0,0,'-1',0,0,'','',-1,''),(152,'views','services-block_2','bartik',0,0,'-1',0,0,'','',-1,''),(153,'views','services-block_2','seven',0,0,'-1',0,0,'','',-1,''),(154,'bean','what-make-we-a-professional--bra','autox',0,0,'-1',0,0,'','',1,'why-us'),(155,'bean','what-make-we-a-professional--bra','bartik',0,0,'-1',0,0,'','',1,'why-us'),(156,'bean','what-make-we-a-professional--bra','seven',0,0,'-1',0,0,'','',1,'why-us'),(157,'bean','careers','autox',0,0,'-1',0,0,'','',1,''),(158,'bean','careers','bartik',0,0,'-1',0,0,'','',1,''),(159,'bean','careers','seven',0,0,'-1',0,0,'','',1,''),(160,'views','categories-block_1','autox',1,0,'panel_second',0,1,'<front>','<none>',-1,''),(161,'views','categories-block_1','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(162,'views','categories-block_1','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(163,'block','4','autox',1,-28,'panel_featured',0,1,'about-us','<none>',-1,'about-us-banner'),(164,'block','4','bartik',0,0,'-1',0,1,'about-us','<none>',-1,'about-us-banner'),(165,'block','4','seven',0,0,'-1',0,1,'about-us','<none>',-1,'about-us-banner'),(166,'block','5','autox',1,10,'content',0,1,'contact','<none>',-1,''),(167,'block','5','bartik',0,0,'-1',0,1,'contact','<none>',-1,''),(168,'block','5','seven',0,0,'-1',0,1,'contact','<none>',-1,''),(169,'block','6','autox',1,0,'panel_featured',0,1,'services','<none>',-1,'service-banner'),(170,'block','6','bartik',0,0,'-1',0,1,'services','<none>',-1,'service-banner'),(171,'block','6','seven',0,0,'-1',0,1,'services','<none>',-1,'service-banner'),(172,'block','7','autox',1,0,'panel_featured',0,1,'vehicles-list\r\nvehicles','<none>',-1,'vehicle-banner'),(173,'block','7','bartik',0,0,'-1',0,1,'vehicles-list\r\nvehicles','<none>',-1,'vehicle-banner'),(174,'block','7','seven',0,0,'-1',0,1,'vehicles-list\r\nvehicles','<none>',-1,'vehicle-banner'),(175,'block','8','autox',1,-31,'sidebar_first',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','About Author',-1,'about-author'),(176,'block','8','bartik',0,0,'-1',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','About Author',-1,'about-author'),(177,'block','8','seven',0,0,'-1',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','About Author',-1,'about-author'),(178,'views','categories-block_2','autox',1,-30,'sidebar_first',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','',-1,''),(179,'views','categories-block_2','bartik',0,0,'-1',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','',-1,''),(180,'views','categories-block_2','seven',0,0,'-1',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','',-1,''),(181,'block','9','autox',1,-28,'sidebar_first',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','Video',-1,''),(182,'block','9','bartik',0,0,'-1',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','Video',-1,''),(183,'block','9','seven',0,0,'-1',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','Video',-1,''),(184,'views','new_comments-block','autox',1,-29,'sidebar_first',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories\r\nsend-cv','',-1,''),(185,'views','new_comments-block','bartik',0,0,'-1',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories\r\nsend-cv','',-1,''),(186,'views','new_comments-block','seven',0,0,'-1',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories\r\nsend-cv','',-1,''),(187,'block','10','autox',1,0,'panel_featured',0,1,'contact','<none>',-1,'contact-banner'),(188,'block','10','bartik',0,0,'-1',0,1,'contact','<none>',-1,'contact-banner'),(189,'block','10','seven',0,0,'-1',0,1,'contact','<none>',-1,'contact-banner'),(190,'tagclouds','10','autox',0,0,'-1',0,0,'','',8,''),(191,'tagclouds','11','autox',0,0,'-1',0,0,'','',8,''),(192,'tagclouds','12','autox',0,0,'-1',0,0,'','',8,''),(193,'tagclouds','10','bartik',0,0,'-1',0,0,'','',8,''),(194,'tagclouds','11','bartik',0,0,'-1',0,0,'','',8,''),(195,'tagclouds','12','bartik',0,0,'-1',0,0,'','',8,''),(196,'tagclouds','10','seven',0,0,'-1',0,0,'','',8,''),(197,'tagclouds','11','seven',0,0,'-1',0,0,'','',8,''),(198,'tagclouds','12','seven',0,0,'-1',0,0,'','',8,''),(199,'block','11','autox',1,20,'content',0,1,'product/*','<none>',-1,'vehicle-contact-infor'),(200,'block','11','bartik',0,0,'-1',0,1,'product/*','<none>',-1,'vehicle-contact-infor'),(201,'block','11','seven',0,0,'-1',0,1,'product/*','<none>',-1,'vehicle-contact-infor'),(202,'views','vehicles-block_1','autox',1,30,'content',0,1,'product/*','<none>',-1,''),(203,'views','vehicles-block_1','bartik',0,0,'-1',0,1,'product/*','<none>',-1,''),(204,'views','vehicles-block_1','seven',0,0,'-1',0,1,'product/*','<none>',-1,''),(205,'views','-exp-vehicles-page','autox',1,0,'content',0,1,'vehicles\r\nvehicles-list','Search Auto',-1,'autox-search-block'),(206,'views','-exp-vehicles-page','bartik',0,0,'-1',0,1,'vehicles\r\nvehicles-list','Search Auto',-1,'autox-search-block'),(207,'views','-exp-vehicles-page','seven',0,0,'-1',0,1,'vehicles\r\nvehicles-list','Search Auto',-1,'autox-search-block'),(208,'block','12','autox',1,35,'content',0,1,'services','<none>',-1,'service-footer'),(209,'block','12','bartik',0,0,'-1',0,1,'services','<none>',-1,'service-footer'),(210,'block','12','seven',0,0,'-1',0,1,'services','<none>',-1,'service-footer'),(211,'views','vehicles-block_2','autox',0,0,'-1',0,0,'','',-1,''),(212,'views','vehicles-block_2','bartik',0,0,'-1',0,0,'','',-1,''),(213,'views','vehicles-block_2','seven',0,0,'-1',0,0,'','',-1,''),(214,'megamenus','main-menu','autox',1,0,'main_menu',0,1,'mega-menus','',-1,''),(215,'megamenus','management','autox',0,0,'-1',0,0,'','',-1,''),(216,'megamenus','menu-categories','autox',0,0,'-1',0,0,'','',-1,''),(217,'megamenus','menu-essential-links','autox',0,0,'-1',0,0,'','',-1,''),(218,'megamenus','menu-footer-menu','autox',0,0,'-1',0,0,'','',-1,''),(219,'megamenus','menu-social-menu','autox',0,0,'-1',0,0,'','',-1,''),(220,'megamenus','navigation','autox',0,0,'-1',0,0,'','',-1,''),(221,'megamenus','user-menu','autox',0,0,'-1',0,0,'','',-1,''),(222,'megamenus','main-menu','bartik',0,0,'-1',0,1,'mega-menus','',-1,''),(223,'megamenus','management','bartik',0,0,'-1',0,0,'','',-1,''),(224,'megamenus','menu-categories','bartik',0,0,'-1',0,0,'','',-1,''),(225,'megamenus','menu-essential-links','bartik',0,0,'-1',0,0,'','',-1,''),(226,'megamenus','menu-footer-menu','bartik',0,0,'-1',0,0,'','',-1,''),(227,'megamenus','menu-social-menu','bartik',0,0,'-1',0,0,'','',-1,''),(228,'megamenus','navigation','bartik',0,0,'-1',0,0,'','',-1,''),(229,'megamenus','user-menu','bartik',0,0,'-1',0,0,'','',-1,''),(230,'megamenus','main-menu','seven',0,0,'-1',0,1,'mega-menus','',-1,''),(231,'megamenus','management','seven',0,0,'-1',0,0,'','',-1,''),(232,'megamenus','menu-categories','seven',0,0,'-1',0,0,'','',-1,''),(233,'megamenus','menu-essential-links','seven',0,0,'-1',0,0,'','',-1,''),(234,'megamenus','menu-footer-menu','seven',0,0,'-1',0,0,'','',-1,''),(235,'megamenus','menu-social-menu','seven',0,0,'-1',0,0,'','',-1,''),(236,'megamenus','navigation','seven',0,0,'-1',0,0,'','',-1,''),(237,'megamenus','user-menu','seven',0,0,'-1',0,0,'','',-1,''),(238,'locale','language','autox',0,0,'-1',0,0,'','',-1,''),(239,'locale','language','bartik',0,0,'-1',0,0,'','',-1,''),(240,'locale','language','seven',0,0,'-1',0,0,'','',-1,''),(241,'bean','careers','we_backend',0,0,'-1',0,0,'','',1,''),(242,'bean','what-make-we-a-professional--bra','we_backend',0,0,'-1',0,0,'','',1,'why-us'),(243,'block','1','we_backend',1,0,'footer',0,0,'','',-1,''),(244,'block','10','we_backend',1,0,'header',0,1,'contact','<none>',-1,'contact-banner'),(245,'block','11','we_backend',1,20,'content',0,1,'product/*','<none>',-1,'vehicle-contact-infor'),(246,'block','12','we_backend',1,35,'content',0,1,'services','<none>',-1,'service-footer'),(247,'block','2','we_backend',1,0,'header',0,0,'','',-1,''),(248,'block','3','we_backend',1,-20,'header',0,0,'','Address',-1,''),(249,'block','4','we_backend',1,-28,'header',0,1,'about-us','<none>',-1,'about-us-banner'),(250,'block','5','we_backend',1,10,'content',0,1,'contact','<none>',-1,''),(251,'block','6','we_backend',1,0,'header',0,1,'services','<none>',-1,'service-banner'),(252,'block','7','we_backend',1,0,'header',0,1,'vehicles-list\r\nvehicles','<none>',-1,'vehicle-banner'),(253,'block','8','we_backend',1,-31,'sidebar_first',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','About Author',-1,'about-author'),(254,'block','9','we_backend',1,-28,'sidebar_first',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','Video',-1,''),(255,'blog','recent','we_backend',1,-17,'dashboard_inactive',0,0,'','',1,''),(256,'comment','recent','we_backend',1,-16,'dashboard_inactive',0,0,'','',1,''),(257,'context_ui','editor','we_backend',0,-21,'-1',0,0,'','',1,''),(258,'locale','language','we_backend',0,0,'-1',0,0,'','',-1,''),(259,'megamenus','main-menu','we_backend',1,0,'header',0,1,'mega-menus','',-1,''),(260,'megamenus','management','we_backend',0,0,'-1',0,0,'','',-1,''),(261,'megamenus','menu-categories','we_backend',0,0,'-1',0,0,'','',-1,''),(262,'megamenus','menu-essential-links','we_backend',0,0,'-1',0,0,'','',-1,''),(263,'megamenus','menu-footer-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(264,'megamenus','menu-social-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(265,'megamenus','navigation','we_backend',0,0,'-1',0,0,'','',-1,''),(266,'megamenus','user-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(267,'menu','menu-categories','we_backend',0,-22,'-1',0,0,'','',-1,''),(268,'menu','menu-essential-links','we_backend',1,0,'header',0,0,'','',-1,''),(269,'menu','menu-footer-menu','we_backend',0,0,'-1',0,0,'','<none>',-1,''),(270,'menu','menu-social-menu','we_backend',1,-15,'header',0,0,'','<none>',-1,'social-menu-block'),(271,'newsletter','newsletter_subscribe','we_backend',1,0,'header',0,0,'','<none>',1,''),(272,'node','recent','we_backend',1,-15,'dashboard_inactive',0,0,'','',1,''),(273,'node','syndicate','we_backend',0,-13,'-1',0,0,'','',-1,''),(274,'search','form','we_backend',1,-23,'header',0,0,'','',-1,''),(275,'shortcut','shortcuts','we_backend',0,-14,'-1',0,0,'','',-1,''),(276,'system','help','we_backend',1,0,'help',0,0,'','',-1,''),(277,'system','main','we_backend',1,0,'content',0,0,'','',-1,''),(278,'system','main-menu','we_backend',0,0,'-1',0,0,'','<none>',-1,''),(279,'system','management','we_backend',0,-20,'-1',0,0,'','',-1,''),(280,'system','navigation','we_backend',0,-19,'-1',0,0,'','',-1,''),(281,'system','powered-by','we_backend',0,-18,'-1',0,0,'','',-1,''),(282,'system','user-menu','we_backend',1,0,'header',0,0,'','<none>',-1,'user-menu-block'),(283,'tagclouds','1','we_backend',1,-19,'header',0,0,'','',8,''),(284,'tagclouds','10','we_backend',0,0,'-1',0,0,'','',8,''),(285,'tagclouds','11','we_backend',0,0,'-1',0,0,'','',8,''),(286,'tagclouds','12','we_backend',0,0,'-1',0,0,'','',8,''),(287,'tagclouds','2','we_backend',0,-3,'-1',0,0,'','',8,''),(288,'tagclouds','3','we_backend',0,-4,'-1',0,0,'','',8,''),(289,'tagclouds','4','we_backend',0,1,'-1',0,0,'','',8,''),(290,'tagclouds','5','we_backend',0,-1,'-1',0,0,'','',8,''),(291,'tagclouds','6','we_backend',0,-2,'-1',0,0,'','',8,''),(292,'tagclouds','7','we_backend',0,2,'-1',0,0,'','',8,''),(293,'tagclouds','8','we_backend',0,0,'-1',0,0,'','',8,''),(294,'tagclouds','9','we_backend',0,0,'-1',0,0,'','',8,''),(295,'tb_megamenu','main-menu','we_backend',1,-9,'header',0,0,'mega-menus','',-1,''),(296,'tb_megamenu','management','we_backend',0,-8,'-1',0,0,'','',-1,''),(297,'tb_megamenu','menu-categories','we_backend',0,-12,'-1',0,0,'','',-1,''),(298,'tb_megamenu','menu-essential-links','we_backend',0,-11,'-1',0,0,'','',-1,''),(299,'tb_megamenu','menu-footer-menu','we_backend',0,-10,'-1',0,0,'','',-1,''),(300,'tb_megamenu','menu-social-menu','we_backend',0,-6,'-1',0,0,'','',-1,''),(301,'tb_megamenu','navigation','we_backend',0,-7,'-1',0,0,'','',-1,''),(302,'tb_megamenu','user-menu','we_backend',0,-5,'-1',0,0,'','',-1,''),(303,'user','login','we_backend',0,3,'-1',0,0,'','',-1,''),(304,'user','new','we_backend',1,7,'dashboard_inactive',0,0,'','',1,''),(305,'user','online','we_backend',1,8,'dashboard_inactive',0,0,'','',-1,''),(306,'views','-exp-vehicles-page','we_backend',1,0,'content',0,1,'vehicles\r\nvehicles-list','Search Auto',-1,'autox-search-block'),(307,'views','brands-block','we_backend',1,0,'header',0,1,'<front>','',-1,''),(308,'views','categories-block','we_backend',1,0,'header',0,0,'','',-1,''),(309,'views','categories-block_1','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(310,'views','categories-block_2','we_backend',1,-30,'sidebar_first',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories/*\r\nsend-cv','',-1,''),(311,'views','dealers-block','we_backend',0,4,'-1',0,0,'','',-1,''),(312,'views','new_comments-block','we_backend',1,-29,'sidebar_first',0,1,'article/*\r\nnews\r\ntags/*\r\nvehicles\r\ncategories\r\nsend-cv','',-1,''),(313,'views','our_members-block','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(314,'views','services-block','we_backend',1,5,'header',0,1,'<front>','<none>',-1,''),(315,'views','services-block_2','we_backend',0,0,'-1',0,0,'','',-1,''),(316,'views','slideshow-block','we_backend',1,6,'header',0,1,'<front>','<none>',-1,''),(317,'views','statistics-block','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(318,'views','testimonials-block','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(319,'views','vehicles-block_1','we_backend',1,30,'content',0,1,'product/*','<none>',-1,''),(320,'views','vehicles-block_2','we_backend',0,0,'-1',0,0,'','',-1,'');
/*!40000 ALTER TABLE `block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_custom`
--

DROP TABLE IF EXISTS `block_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_custom` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',
  `body` longtext COMMENT 'Block contents.',
  `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_custom`
--

LOCK TABLES `block_custom` WRITE;
/*!40000 ALTER TABLE `block_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_custom` VALUES (1,'Copyright © 2014 Autox. All rights reserved. Designed by <a href=\"http://www.weebpal.com\" title=\"weebpal\" target=\"_blank\">WeebPal</a>. Powered by <a href=\"http://www.drupal.org\" title=\"drupal\" target=\"_blank\">Drupal</a>.','Copyright','filtered_html'),(2,'<div class=\"find-us\">\r\n<span>Find us on: </span>\r\n<ul class=\"socials\">\r\n	<li>\r\n		<a class=\"fa fa-facebook\" href=\"#\" title=\"Facebook\"></a>\r\n	</li>\r\n	<li>\r\n		<a class=\"fa fa-twitter\" href=\"#\" title=\"Twitter\"></a>\r\n	</li>\r\n	<li>\r\n		<a class=\"fa fa-linkedin\" href=\"#\" title=\"linkedIn\"></a>\r\n	</li>\r\n	<li>\r\n		<a class=\"fa fa-google-plus\" href=\"#\" title=\"Google Plus\"></a>\r\n	</li>\r\n</ul>\r\n</div>','Find us on','full_html'),(3,'<address>\r\n	<p>Street No. 123, main road, City name, country</p>\r\n	<p>Phone: 555 666 777</p>\r\n	<p>Email: info@autodealer.com</p>\r\n</address>','Address','filtered_html'),(4,'<div class=\"banner-inner\">\r\n<h3>AutoX</h3>\r\n<p>A brand that began life in a local context but then went on to become a major international player, with representation in 61 countries. In this section, you can relive Maserati’s enthralling history and get to know the people, achievements and cars which have made the brand famous.</p>\r\n</div>','About us banner','full_html'),(5,'<div class=\"map\">\r\n<iframe src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d25260.7445185951!2d-97.32687819353511!3d37.682268711129566!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0000000000000000%3A0x2991923fb72910dd!2sINTRUST+Bank+Arena!5e0!3m2!1sen!2s!4v1425529453118\" height=\"400\"></iframe>\r\n</div>','Map','full_html'),(6,'<div class=\"banner-inner\">\r\n<h3>We offer great vehicle services \r\n<strong>for our customers round the clock.<strong> </h3>\r\n</div>','Service banner','full_html'),(7,'<div class=\"banner-inner\">\r\n<h1>let\'s make your dream come true</h1>\r\n</div>','Vehicle banner','full_html'),(8,'<img src=\"<?php print base_path(); ?><?php print path_to_theme()?>/images/author.png\" alt=\"author\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed gravida libero at lacus cursus ornare. Mauris placerat risus nibh, eleifend mattis ligula porta vitae. Nam ultrices euismod pretium. Duis ultrices purus a consectetur convallis. Nulla facilisi. Morbi imperdiet dui a eleifend auctor.</p>','About Author','php_code'),(9,'<iframe src=\"//www.youtube.com/embed/2VZ1hw-1_oU\" allowfullscreen></iframe>','Video','full_html'),(10,'<div class=\"banner-inner social-wrap\">\r\n	<h2>contact information</h2>\r\n	<address>\r\n		<p>\r\n			<i class=\"fa fa-map-marker\"></i>Street No. 123, main road, City name, country\r\n		</p>\r\n		<p>\r\n			<i class=\"fa fa-phone-square\"></i>454564568548\r\n		</p>\r\n		<p>\r\n			<i class=\"fa fa-envelope-o\"></i><a href=\"mailto:sale@autox.com\">sale@autox.com</a>\r\n		</p>\r\n	</address>\r\n	<span class=\"find-us\">find us on: </span>\r\n	<ul>\r\n		<li><a class=\"fa fa-facebook\"></a></li>\r\n		<li ><a class=\"fa fa-twitter\"></a></li>\r\n		<li><a class=\"fa fa-google-plus\"></a></li>\r\n		\r\n	</ul>\r\n</div>','Contact banner','full_html'),(11,'<h3>want more information?</h3>\r\n<a class=\"contact-us\" href=\"contact-us\" title=\"Contact us\">contact us</a>\r\n<address>\r\n	<p>\r\n		<i class=\"fa fa-map-marker\"></i>Street No. 123, main road, City name, country\r\n	</p>\r\n	<p>\r\n		<i class=\"fa fa-phone-square\"></i>454564568548\r\n	</p>\r\n	<p>\r\n		<i class=\"fa fa-envelope-o\"></i><a href=\"mailto:sale@autox.com\">sale@autox.com</a>\r\n	</p>\r\n</address>','Contact footer','full_html'),(12,'<h2>Ready to have a new car?</h2>\r\n<a title=\"Contact us\" href=\"contact\">Contact us now</a>','Service footer','full_html');
/*!40000 ALTER TABLE `block_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_node_type`
--

DROP TABLE IF EXISTS `block_node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_node_type` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',
  PRIMARY KEY (`module`,`delta`,`type`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_node_type`
--

LOCK TABLES `block_node_type` WRITE;
/*!40000 ALTER TABLE `block_node_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_role`
--

DROP TABLE IF EXISTS `block_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_role` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',
  PRIMARY KEY (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_role`
--

LOCK TABLES `block_role` WRITE;
/*!40000 ALTER TABLE `block_role` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `blocked_ips`
--

DROP TABLE IF EXISTS `blocked_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_ips` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',
  `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',
  PRIMARY KEY (`iid`),
  KEY `blocked_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_ips`
--

LOCK TABLES `blocked_ips` WRITE;
/*!40000 ALTER TABLE `blocked_ips` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `blocked_ips` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache`
--

DROP TABLE IF EXISTS `cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache`
--

LOCK TABLES `cache` WRITE;
/*!40000 ALTER TABLE `cache` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache` VALUES ('schema:runtime:1','a:24:{s:7:\"context\";a:5:{s:6:\"export\";a:6:{s:3:\"key\";s:4:\"name\";s:10:\"identifier\";s:7:\"context\";s:12:\"default hook\";s:24:\"context_default_contexts\";s:6:\"status\";s:14:\"context_status\";s:3:\"api\";a:4:{s:5:\"owner\";s:7:\"context\";s:3:\"api\";s:7:\"context\";s:15:\"minimum_version\";i:3;s:15:\"current_version\";i:3;}s:15:\"export callback\";s:14:\"context_export\";}s:6:\"fields\";a:6:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:11:\"description\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"tag\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:10:\"conditions\";a:2:{s:4:\"type\";s:4:\"text\";s:9:\"serialize\";b:1;}s:9:\"reactions\";a:2:{s:4:\"type\";s:4:\"text\";s:9:\"serialize\";b:1;}s:14:\"condition_mode\";a:2:{s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:4:\"name\";}s:6:\"module\";s:7:\"context\";s:4:\"name\";s:7:\"context\";}s:9:\"bean_type\";a:6:{s:6:\"export\";a:5:{s:3:\"key\";s:4:\"name\";s:10:\"identifier\";s:9:\"bean_type\";s:12:\"default hook\";s:19:\"bean_admin_ui_types\";s:11:\"admin_title\";s:5:\"label\";s:3:\"api\";a:4:{s:5:\"owner\";s:13:\"bean_admin_ui\";s:3:\"api\";s:4:\"bean\";s:15:\"minimum_version\";i:4;s:15:\"current_version\";i:5;}}s:6:\"fields\";a:5:{s:7:\"type_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:9:\"no export\";b:1;}s:4:\"name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}s:5:\"label\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:7:\"options\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"primary key\";a:1:{i:0;s:7:\"type_id\";}s:11:\"unique keys\";a:1:{s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:6:\"module\";s:13:\"bean_admin_ui\";s:4:\"name\";s:9:\"bean_type\";}s:4:\"bean\";a:6:{s:6:\"fields\";a:11:{s:3:\"bid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;s:7:\"default\";i:0;}s:5:\"delta\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}s:5:\"label\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"type\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:9:\"view_mode\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:7:\"default\";}s:4:\"data\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:12:\"foreign keys\";a:2:{s:4:\"type\";a:2:{s:5:\"table\";s:9:\"bean_type\";s:7:\"columns\";a:1:{s:4:\"type\";s:4:\"type\";}}s:13:\"bean_revision\";a:2:{s:5:\"table\";s:13:\"bean_revision\";s:7:\"columns\";a:1:{s:3:\"vid\";s:3:\"vid\";}}}s:11:\"primary key\";a:1:{i:0;s:3:\"bid\";}s:11:\"unique keys\";a:2:{s:3:\"vid\";a:1:{i:0;s:3:\"vid\";}s:5:\"delta\";a:1:{i:0;s:5:\"delta\";}}s:6:\"module\";s:4:\"bean\";s:4:\"name\";s:4:\"bean\";}s:13:\"bean_revision\";a:6:{s:6:\"fields\";a:12:{s:3:\"bid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;s:7:\"default\";i:0;}s:3:\"vid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:5:\"delta\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}s:5:\"label\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"type\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:9:\"view_mode\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:7:\"default\";}s:4:\"data\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"log\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:12:\"foreign keys\";a:2:{s:4:\"type\";a:2:{s:5:\"table\";s:9:\"bean_type\";s:7:\"columns\";a:1:{s:4:\"type\";s:4:\"type\";}}s:12:\"version_bean\";a:2:{s:5:\"table\";s:4:\"bean\";s:7:\"columns\";a:1:{s:3:\"bid\";s:3:\"bid\";}}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:3:\"bid\";a:2:{i:0;s:3:\"bid\";i:1;s:3:\"vid\";}}s:6:\"module\";s:4:\"bean\";s:4:\"name\";s:13:\"bean_revision\";}s:7:\"comment\";a:6:{s:6:\"fields\";a:14:{s:3:\"cid\";a:2:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;}s:3:\"pid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"nid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"subject\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"hostname\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:1;s:4:\"size\";s:4:\"tiny\";}s:6:\"thread\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:4:\"name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:8:\"not null\";b:0;}s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:0;}s:8:\"homepage\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}}s:7:\"indexes\";a:5:{s:18:\"comment_status_pid\";a:2:{i:0;s:3:\"pid\";i:1;s:6:\"status\";}s:15:\"comment_num_new\";a:5:{i:0;s:3:\"nid\";i:1;s:6:\"status\";i:2;s:7:\"created\";i:3;s:3:\"cid\";i:4;s:6:\"thread\";}s:11:\"comment_uid\";a:1:{i:0;s:3:\"uid\";}s:20:\"comment_nid_language\";a:2:{i:0;s:3:\"nid\";i:1;s:8:\"language\";}s:15:\"comment_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"cid\";}s:12:\"foreign keys\";a:2:{s:12:\"comment_node\";a:2:{s:5:\"table\";s:4:\"node\";s:7:\"columns\";a:1:{s:3:\"nid\";s:3:\"nid\";}}s:14:\"comment_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:7:\"comment\";s:4:\"name\";s:7:\"comment\";}s:17:\"countries_country\";a:6:{s:6:\"fields\";a:9:{s:3:\"cid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:4:\"iso2\";a:3:{s:4:\"type\";s:4:\"char\";s:6:\"length\";i:2;s:8:\"not null\";b:1;}s:4:\"iso3\";a:3:{s:4:\"type\";s:4:\"char\";s:6:\"length\";i:3;s:8:\"not null\";b:0;}s:4:\"name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:95;s:8:\"not null\";b:1;}s:13:\"official_name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:127;s:8:\"not null\";b:1;}s:7:\"numcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:5:\"small\";s:8:\"not null\";b:0;}s:9:\"continent\";a:3:{s:4:\"type\";s:4:\"char\";s:6:\"length\";i:2;s:8:\"not null\";b:1;}s:7:\"enabled\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:1;}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:3:\"und\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"cid\";}s:11:\"unique keys\";a:2:{s:4:\"iso2\";a:1:{i:0;s:4:\"iso2\";}s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:7:\"indexes\";a:2:{s:7:\"enabled\";a:1:{i:0;s:7:\"enabled\";}s:9:\"continent\";a:1:{i:0;s:9:\"continent\";}}s:6:\"module\";s:9:\"countries\";s:4:\"name\";s:17:\"countries_country\";}s:21:\"field_collection_item\";a:4:{s:6:\"fields\";a:4:{s:7:\"item_id\";a:2:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;}s:11:\"revision_id\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}s:10:\"field_name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}s:8:\"archived\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:7:\"item_id\";}s:6:\"module\";s:16:\"field_collection\";s:4:\"name\";s:21:\"field_collection_item\";}s:30:\"field_collection_item_revision\";a:6:{s:6:\"fields\";a:2:{s:11:\"revision_id\";a:2:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;}s:7:\"item_id\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:7:\"item_id\";a:1:{i:0;s:7:\"item_id\";}}s:12:\"foreign keys\";a:1:{s:31:\"versioned_field_collection_item\";a:2:{s:5:\"table\";s:21:\"field_collection_item\";s:7:\"columns\";a:1:{s:7:\"item_id\";s:7:\"item_id\";}}}s:6:\"module\";s:16:\"field_collection\";s:4:\"name\";s:30:\"field_collection_item_revision\";}s:25:\"metatags_quick_path_based\";a:5:{s:6:\"fields\";a:3:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;}s:4:\"path\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:4:\"lang\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:8;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}s:11:\"unique keys\";a:1:{s:9:\"lang_path\";a:2:{i:0;s:4:\"lang\";i:1;s:4:\"path\";}}s:6:\"module\";s:14:\"metatags_quick\";s:4:\"name\";s:25:\"metatags_quick_path_based\";}s:21:\"newsletter_subscriber\";a:6:{s:6:\"fields\";a:12:{s:4:\"nsid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";N;}s:5:\"email\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;}s:9:\"firstname\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:0;}s:8:\"lastname\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:0;}s:6:\"gender\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:24;s:8:\"not null\";b:0;}s:14:\"receive_format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:11;s:8:\"not null\";b:0;}s:2:\"ip\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:22;s:8:\"not null\";b:0;}s:4:\"hash\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;}s:9:\"confirmed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:22:\"confirmation_timestamp\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}}s:7:\"indexes\";a:1:{s:18:\"subscriber_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"unique keys\";a:2:{s:16:\"subscriber_email\";a:1:{i:0;s:5:\"email\";}s:14:\"subscriber_uid\";a:1:{i:0;s:3:\"uid\";}}s:11:\"primary key\";a:1:{i:0;s:4:\"nsid\";}s:6:\"module\";s:10:\"newsletter\";s:4:\"name\";s:21:\"newsletter_subscriber\";}s:15:\"newsletter_list\";a:7:{s:6:\"fields\";a:6:{s:4:\"nlid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:9:\"send_rate\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:11;s:8:\"not null\";b:1;s:7:\"default\";s:6:\"Manual\";}s:9:\"last_sent\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}s:10:\"send_again\";a:5:{s:10:\"mysql_type\";s:4:\"date\";s:10:\"pgsql_type\";s:9:\"timestamp\";s:11:\"sqlsrv_type\";s:4:\"date\";s:4:\"type\";N;s:8:\"not null\";b:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}}s:11:\"unique keys\";a:1:{s:10:\"list_title\";a:1:{i:0;s:5:\"title\";}}s:12:\"foreign keys\";a:1:{s:16:\"tracked_template\";a:2:{s:5:\"table\";s:19:\"newsletter_template\";s:7:\"columns\";a:1:{s:4:\"ntid\";s:4:\"ntid\";}}}s:7:\"indexes\";a:1:{s:12:\"list_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"primary key\";a:1:{i:0;s:4:\"nlid\";}s:6:\"module\";s:10:\"newsletter\";s:4:\"name\";s:15:\"newsletter_list\";}s:19:\"newsletter_template\";a:6:{s:6:\"fields\";a:5:{s:4:\"ntid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:7:\"subject\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:5:\"basic\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}s:7:\"exposed\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}}s:11:\"unique keys\";a:1:{s:16:\"template_subject\";a:1:{i:0;s:7:\"subject\";}}s:7:\"indexes\";a:1:{s:16:\"template_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"primary key\";a:1:{i:0;s:4:\"ntid\";}s:6:\"module\";s:10:\"newsletter\";s:4:\"name\";s:19:\"newsletter_template\";}s:21:\"newsletter_newsletter\";a:6:{s:6:\"fields\";a:9:{s:4:\"nnid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:7:\"send_id\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}s:6:\"custom\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"ntid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:16:\"subscribers_sent\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;s:7:\"default\";i:0;}s:6:\"clicks\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"opens\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:9:\"last_sent\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}}s:12:\"foreign keys\";a:1:{s:16:\"tracked_template\";a:2:{s:5:\"table\";s:20:\"newsletter_templates\";s:7:\"columns\";a:1:{s:4:\"ntid\";s:4:\"ntid\";}}}s:7:\"indexes\";a:2:{s:18:\"newsletter_send_id\";a:1:{i:0;s:7:\"send_id\";}s:20:\"newsletter_last_sent\";a:1:{i:0;s:9:\"last_sent\";}}s:11:\"primary key\";a:1:{i:0;s:4:\"nnid\";}s:6:\"module\";s:10:\"newsletter\";s:4:\"name\";s:21:\"newsletter_newsletter\";}s:4:\"node\";a:7:{s:6:\"fields\";a:14:{s:3:\"nid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;s:7:\"default\";N;}s:4:\"type\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:1;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"comment\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"tnid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:9:\"translate\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:10:{s:12:\"node_changed\";a:1:{i:0;s:7:\"changed\";}s:12:\"node_created\";a:1:{i:0;s:7:\"created\";}s:14:\"node_frontpage\";a:4:{i:0;s:7:\"promote\";i:1;s:6:\"status\";i:2;s:6:\"sticky\";i:3;s:7:\"created\";}s:16:\"node_status_type\";a:3:{i:0;s:6:\"status\";i:1;s:4:\"type\";i:2;s:3:\"nid\";}s:15:\"node_title_type\";a:2:{i:0;s:5:\"title\";i:1;a:2:{i:0;s:4:\"type\";i:1;i:4;}}s:9:\"node_type\";a:1:{i:0;a:2:{i:0;s:4:\"type\";i:1;i:4;}}s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}s:4:\"tnid\";a:1:{i:0;s:4:\"tnid\";}s:9:\"translate\";a:1:{i:0;s:9:\"translate\";}s:8:\"language\";a:1:{i:0;s:8:\"language\";}}s:11:\"unique keys\";a:1:{s:3:\"vid\";a:1:{i:0;s:3:\"vid\";}}s:12:\"foreign keys\";a:2:{s:13:\"node_revision\";a:2:{s:5:\"table\";s:13:\"node_revision\";s:7:\"columns\";a:1:{s:3:\"vid\";s:3:\"vid\";}}s:11:\"node_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:11:\"primary key\";a:1:{i:0;s:3:\"nid\";}s:6:\"module\";s:4:\"node\";s:4:\"name\";s:4:\"node\";}s:13:\"node_revision\";a:6:{s:6:\"fields\";a:10:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"vid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"log\";a:3:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:1;s:4:\"size\";s:3:\"big\";}s:9:\"timestamp\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:1;}s:7:\"comment\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:2:{s:3:\"nid\";a:1:{i:0;s:3:\"nid\";}s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:12:\"foreign keys\";a:2:{s:14:\"versioned_node\";a:2:{s:5:\"table\";s:4:\"node\";s:7:\"columns\";a:1:{s:3:\"nid\";s:3:\"nid\";}}s:14:\"version_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:4:\"node\";s:4:\"name\";s:13:\"node_revision\";}s:12:\"file_managed\";a:7:{s:6:\"fields\";a:8:{s:3:\"fid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:8:\"filename\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"uri\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:6:\"binary\";b:1;}s:8:\"filemime\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"filesize\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:3:\"big\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:9:\"timestamp\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:3:{s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}s:6:\"status\";a:1:{i:0;s:6:\"status\";}s:9:\"timestamp\";a:1:{i:0;s:9:\"timestamp\";}}s:11:\"unique keys\";a:1:{s:3:\"uri\";a:1:{i:0;s:3:\"uri\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"fid\";}s:12:\"foreign keys\";a:1:{s:10:\"file_owner\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:12:\"file_managed\";}s:18:\"taxonomy_term_data\";a:6:{s:6:\"fields\";a:6:{s:3:\"tid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"name\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:12:\"translatable\";b:1;}s:11:\"description\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:12:\"translatable\";b:1;}s:6:\"format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:6:\"weight\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"tid\";}s:12:\"foreign keys\";a:1:{s:10:\"vocabulary\";a:2:{s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:7:\"columns\";a:1:{s:3:\"vid\";s:3:\"vid\";}}}s:7:\"indexes\";a:3:{s:13:\"taxonomy_tree\";a:3:{i:0;s:3:\"vid\";i:1;s:6:\"weight\";i:2;s:4:\"name\";}s:8:\"vid_name\";a:2:{i:0;s:3:\"vid\";i:1;s:4:\"name\";}s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:6:\"module\";s:8:\"taxonomy\";s:4:\"name\";s:18:\"taxonomy_term_data\";}s:19:\"taxonomy_vocabulary\";a:6:{s:6:\"fields\";a:7:{s:3:\"vid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:4:\"name\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:12:\"translatable\";b:1;}s:12:\"machine_name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:11:\"description\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:12:\"translatable\";b:1;}s:9:\"hierarchy\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:6:\"module\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:6:\"weight\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:4:\"list\";a:2:{i:0;s:6:\"weight\";i:1;s:4:\"name\";}}s:11:\"unique keys\";a:1:{s:12:\"machine_name\";a:1:{i:0;s:12:\"machine_name\";}}s:6:\"module\";s:8:\"taxonomy\";s:4:\"name\";s:19:\"taxonomy_vocabulary\";}s:5:\"users\";a:7:{s:6:\"fields\";a:16:{s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"pass\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"mail\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;s:7:\"default\";s:0:\"\";}s:5:\"theme\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:9:\"signature\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:16:\"signature_format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"access\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"login\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:8:\"timezone\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:0;}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:7:\"picture\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"init\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;s:7:\"default\";s:0:\"\";}s:4:\"data\";a:4:{s:4:\"type\";s:4:\"blob\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:4:{s:6:\"access\";a:1:{i:0;s:6:\"access\";}s:7:\"created\";a:1:{i:0;s:7:\"created\";}s:4:\"mail\";a:1:{i:0;s:4:\"mail\";}s:7:\"picture\";a:1:{i:0;s:7:\"picture\";}}s:11:\"unique keys\";a:1:{s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"uid\";}s:12:\"foreign keys\";a:1:{s:16:\"signature_format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:16:\"signature_format\";s:6:\"format\";}}}s:6:\"module\";s:4:\"user\";s:4:\"name\";s:5:\"users\";}s:20:\"flexslider_optionset\";a:5:{s:6:\"export\";a:4:{s:3:\"key\";s:4:\"name\";s:10:\"identifier\";s:6:\"preset\";s:12:\"default hook\";s:26:\"flexslider_default_presets\";s:3:\"api\";a:4:{s:5:\"owner\";s:10:\"flexslider\";s:3:\"api\";s:25:\"flexslider_default_preset\";s:15:\"minimum_version\";i:1;s:15:\"current_version\";i:1;}}s:6:\"fields\";a:4:{s:4:\"name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:5:\"theme\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:7:\"classic\";}s:7:\"options\";a:3:{s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:4:\"name\";}s:6:\"module\";s:10:\"flexslider\";s:4:\"name\";s:20:\"flexslider_optionset\";}s:10:\"views_view\";a:6:{s:6:\"export\";a:17:{s:10:\"identifier\";s:4:\"view\";s:11:\"bulk export\";b:1;s:11:\"primary key\";s:3:\"vid\";s:12:\"default hook\";s:19:\"views_default_views\";s:11:\"admin_title\";s:10:\"human_name\";s:17:\"admin_description\";s:11:\"description\";s:3:\"api\";a:4:{s:5:\"owner\";s:5:\"views\";s:3:\"api\";s:13:\"views_default\";s:15:\"minimum_version\";s:1:\"2\";s:15:\"current_version\";s:3:\"3.0\";}s:6:\"object\";s:4:\"view\";s:19:\"subrecords callback\";s:26:\"views_load_display_records\";s:6:\"status\";s:14:\"views_defaults\";s:15:\"create callback\";s:14:\"views_new_view\";s:13:\"save callback\";s:15:\"views_save_view\";s:15:\"delete callback\";s:17:\"views_delete_view\";s:15:\"export callback\";s:17:\"views_export_view\";s:15:\"status callback\";s:19:\"views_export_status\";s:14:\"cache defaults\";b:1;s:17:\"default cache bin\";s:11:\"cache_views\";}s:6:\"fields\";a:7:{s:3:\"vid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:9:\"no export\";b:1;}s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:11:\"description\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:3:\"tag\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:10:\"base_table\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:10:\"human_name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:4:\"core\";a:2:{s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:11:\"unique keys\";a:1:{s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:6:\"module\";s:5:\"views\";s:4:\"name\";s:10:\"views_view\";}s:13:\"views_display\";a:5:{s:6:\"fields\";a:6:{s:3:\"vid\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;s:9:\"no export\";b:1;}s:2:\"id\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:13:\"display_title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:14:\"display_plugin\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:8:\"position\";a:2:{s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;}s:15:\"display_options\";a:4:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:18:\"serialized default\";s:6:\"a:0:{}\";}}s:7:\"indexes\";a:1:{s:3:\"vid\";a:2:{i:0;s:3:\"vid\";i:1;s:8:\"position\";}}s:11:\"primary key\";a:2:{i:0;s:3:\"vid\";i:1;s:2:\"id\";}s:6:\"module\";s:5:\"views\";s:4:\"name\";s:13:\"views_display\";}s:16:\"date_format_type\";a:5:{s:6:\"fields\";a:3:{s:4:\"type\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:6:\"locked\";a:4:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:4:\"type\";}s:7:\"indexes\";a:1:{s:5:\"title\";a:1:{i:0;s:5:\"title\";}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:16:\"date_format_type\";}s:12:\"date_formats\";a:5:{s:6:\"fields\";a:4:{s:4:\"dfid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:6:\"format\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:100;s:8:\"not null\";b:1;s:6:\"binary\";b:1;}s:4:\"type\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;}s:6:\"locked\";a:4:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:4:\"dfid\";}s:11:\"unique keys\";a:1:{s:7:\"formats\";a:2:{i:0;s:6:\"format\";i:1;s:4:\"type\";}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:12:\"date_formats\";}}',0,1500440560,1);
/*!40000 ALTER TABLE `cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_admin_menu`
--

DROP TABLE IF EXISTS `cache_admin_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_admin_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for Administration menu to store client-side...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_admin_menu`
--

LOCK TABLES `cache_admin_menu` WRITE;
/*!40000 ALTER TABLE `cache_admin_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_admin_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_block`
--

DROP TABLE IF EXISTS `cache_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_block` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_block`
--

LOCK TABLES `cache_block` WRITE;
/*!40000 ALTER TABLE `cache_block` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_field`
--

DROP TABLE IF EXISTS `cache_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_field` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_field`
--

LOCK TABLES `cache_field` WRITE;
/*!40000 ALTER TABLE `cache_field` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_field` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_filter`
--

DROP TABLE IF EXISTS `cache_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_filter` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_filter`
--

LOCK TABLES `cache_filter` WRITE;
/*!40000 ALTER TABLE `cache_filter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_form`
--

DROP TABLE IF EXISTS `cache_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_form` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_form`
--

LOCK TABLES `cache_form` WRITE;
/*!40000 ALTER TABLE `cache_form` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_form` VALUES ('form_form-0rcLj8c_OXDKVxK9CWQUF9uUL7c5VzbIDuqfMzjmEAU','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-0rcLj8c_OXDKVxK9CWQUF9uUL7c5VzbIDuqfMzjmEAU\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-0rcLj8c_OXDKVxK9CWQUF9uUL7c5VzbIDuqfMzjmEAU\";s:3:\"#id\";s:48:\"form-0rcLj8c_OXDKVxK9CWQUF9uUL7c5VzbIDuqfMzjmEAU\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:30:\"/drupal7/autox_old/en/about-us\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462029,1500440429,1),('form_form-agd9zqbH9BbmqFkq0jYyl8ld2rnI7y7gt6AKdeDiKG0','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-agd9zqbH9BbmqFkq0jYyl8ld2rnI7y7gt6AKdeDiKG0\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-agd9zqbH9BbmqFkq0jYyl8ld2rnI7y7gt6AKdeDiKG0\";s:3:\"#id\";s:48:\"form-agd9zqbH9BbmqFkq0jYyl8ld2rnI7y7gt6AKdeDiKG0\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:42:\"/drupal7/autox_old/en/admin/reports/status\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:2:{i:0;s:32:\"newsletter_subscribe_form_submit\";i:1;s:25:\"context_admin_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500461961,1500440361,1),('form_form-AXdOlo7qZZ6EkVEm-LCw4gBQLMqk396RiaUaVnFyoFQ','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-AXdOlo7qZZ6EkVEm-LCw4gBQLMqk396RiaUaVnFyoFQ\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-AXdOlo7qZZ6EkVEm-LCw4gBQLMqk396RiaUaVnFyoFQ\";s:3:\"#id\";s:48:\"form-AXdOlo7qZZ6EkVEm-LCw4gBQLMqk396RiaUaVnFyoFQ\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:47:\"/drupal7/autox_old/en/product/2014-audi-allroad\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462084,1500440484,1),('form_form-dNF8GtsZsm0JiyeC8xh2rX9L5PgXeZuor_GBLn1TRfU','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-dNF8GtsZsm0JiyeC8xh2rX9L5PgXeZuor_GBLn1TRfU\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-dNF8GtsZsm0JiyeC8xh2rX9L5PgXeZuor_GBLn1TRfU\";s:3:\"#id\";s:48:\"form-dNF8GtsZsm0JiyeC8xh2rX9L5PgXeZuor_GBLn1TRfU\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:44:\"/drupal7/autox_old/en/product/2013-volvo-c30\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462092,1500440492,1),('form_form-E9hQ7KRKSZG8EBIbtBkFPz0B01RD6yBomX86DBF1clE','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-E9hQ7KRKSZG8EBIbtBkFPz0B01RD6yBomX86DBF1clE\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-E9hQ7KRKSZG8EBIbtBkFPz0B01RD6yBomX86DBF1clE\";s:3:\"#id\";s:48:\"form-E9hQ7KRKSZG8EBIbtBkFPz0B01RD6yBomX86DBF1clE\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:31:\"/drupal7/autox_old/en/news-list\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462108,1500440508,1),('form_form-FU0H_vbNmtYj8nFk04Btda6CvMIIp4l3en51roXJoKw','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-FU0H_vbNmtYj8nFk04Btda6CvMIIp4l3en51roXJoKw\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-FU0H_vbNmtYj8nFk04Btda6CvMIIp4l3en51roXJoKw\";s:3:\"#id\";s:48:\"form-FU0H_vbNmtYj8nFk04Btda6CvMIIp4l3en51roXJoKw\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:30:\"/drupal7/autox_old/en/vehicles\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462049,1500440449,1),('form_form-g1j_vYMDa3nb4konqqdGYtzkqdRUrCvLIe37dDvAiPU','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-g1j_vYMDa3nb4konqqdGYtzkqdRUrCvLIe37dDvAiPU\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-g1j_vYMDa3nb4konqqdGYtzkqdRUrCvLIe37dDvAiPU\";s:3:\"#id\";s:48:\"form-g1j_vYMDa3nb4konqqdGYtzkqdRUrCvLIe37dDvAiPU\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:29:\"/drupal7/autox_old/en/dealers\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462095,1500440495,1),('form_form-Gl-I5JAheqMoCJi003kFP9Rm-pdn_FNMPwPrJkmPizA','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-Gl-I5JAheqMoCJi003kFP9Rm-pdn_FNMPwPrJkmPizA\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-Gl-I5JAheqMoCJi003kFP9Rm-pdn_FNMPwPrJkmPizA\";s:3:\"#id\";s:48:\"form-Gl-I5JAheqMoCJi003kFP9Rm-pdn_FNMPwPrJkmPizA\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:29:\"/drupal7/autox_old/en/contact\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462116,1500440516,1),('form_form-lqRMcJTXmZJyemocEbqPdF_7g8Na96T_PR5me2JWiRY','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-lqRMcJTXmZJyemocEbqPdF_7g8Na96T_PR5me2JWiRY\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-lqRMcJTXmZJyemocEbqPdF_7g8Na96T_PR5me2JWiRY\";s:3:\"#id\";s:48:\"form-lqRMcJTXmZJyemocEbqPdF_7g8Na96T_PR5me2JWiRY\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:19:\"/drupal7/autox_old/\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462018,1500440418,1),('form_form-Q-5xnD3O_ANI-mmgZS-sfPlZQJTifgrcWNWqHgFVTG4','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-Q-5xnD3O_ANI-mmgZS-sfPlZQJTifgrcWNWqHgFVTG4\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-Q-5xnD3O_ANI-mmgZS-sfPlZQJTifgrcWNWqHgFVTG4\";s:3:\"#id\";s:48:\"form-Q-5xnD3O_ANI-mmgZS-sfPlZQJTifgrcWNWqHgFVTG4\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:42:\"/drupal7/autox_old/en/admin/modules/update\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:2:{i:0;s:32:\"newsletter_subscribe_form_submit\";i:1;s:25:\"context_admin_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500461434,1500439834,1),('form_form-qWbrnUcxo8gYFCUAltATas6q39TButLw4ZbhKhGpkqs','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-qWbrnUcxo8gYFCUAltATas6q39TButLw4ZbhKhGpkqs\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-qWbrnUcxo8gYFCUAltATas6q39TButLw4ZbhKhGpkqs\";s:3:\"#id\";s:48:\"form-qWbrnUcxo8gYFCUAltATas6q39TButLw4ZbhKhGpkqs\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:30:\"/drupal7/autox_old/en/services\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462042,1500440442,1),('form_form-TqMOoU6pwZxxg3SN_L0vqWsOeCGiBoxGiH9CI35dYRM','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-TqMOoU6pwZxxg3SN_L0vqWsOeCGiBoxGiH9CI35dYRM\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-TqMOoU6pwZxxg3SN_L0vqWsOeCGiBoxGiH9CI35dYRM\";s:3:\"#id\";s:48:\"form-TqMOoU6pwZxxg3SN_L0vqWsOeCGiBoxGiH9CI35dYRM\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:25:\"/drupal7/autox_old/en/faq\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462112,1500440512,1),('form_form-TzHq5GjkGoV3Cw6PVzSbNwmkdsyd9a0cYmGF2--6Sk4','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-TzHq5GjkGoV3Cw6PVzSbNwmkdsyd9a0cYmGF2--6Sk4\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-TzHq5GjkGoV3Cw6PVzSbNwmkdsyd9a0cYmGF2--6Sk4\";s:3:\"#id\";s:48:\"form-TzHq5GjkGoV3Cw6PVzSbNwmkdsyd9a0cYmGF2--6Sk4\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:35:\"/drupal7/autox_old/en/vehicles-list\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462078,1500440478,1),('form_form-UkaLmzjlMk466nUwTrHzGOZuFEm3vfu01rHzXus8UCc','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-UkaLmzjlMk466nUwTrHzGOZuFEm3vfu01rHzXus8UCc\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-UkaLmzjlMk466nUwTrHzGOZuFEm3vfu01rHzXus8UCc\";s:3:\"#id\";s:48:\"form-UkaLmzjlMk466nUwTrHzGOZuFEm3vfu01rHzXus8UCc\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:42:\"/drupal7/autox_old/en/admin/reports/status\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:2:{i:0;s:32:\"newsletter_subscribe_form_submit\";i:1;s:25:\"context_admin_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462014,1500440414,1),('form_form-uR8jFEIsMhDRAPibWUKCkueh_jWg9B4iO0ZKJg_FKus','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-uR8jFEIsMhDRAPibWUKCkueh_jWg9B4iO0ZKJg_FKus\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-uR8jFEIsMhDRAPibWUKCkueh_jWg9B4iO0ZKJg_FKus\";s:3:\"#id\";s:48:\"form-uR8jFEIsMhDRAPibWUKCkueh_jWg9B4iO0ZKJg_FKus\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:35:\"/drupal7/autox_old/en/vehicles-grid\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462060,1500440460,1),('form_form-V2lutWt2NWYUb_5TjVzhRyNgcYkOppvkRIvVlo-V0CA','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-V2lutWt2NWYUb_5TjVzhRyNgcYkOppvkRIvVlo-V0CA\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-V2lutWt2NWYUb_5TjVzhRyNgcYkOppvkRIvVlo-V0CA\";s:3:\"#id\";s:48:\"form-V2lutWt2NWYUb_5TjVzhRyNgcYkOppvkRIvVlo-V0CA\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:42:\"/drupal7/autox_old/en/admin/reports/status\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:2:{i:0;s:32:\"newsletter_subscribe_form_submit\";i:1;s:25:\"context_admin_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500461432,1500439832,1),('form_form-wP5xc8UbTJEyZQexFxE7pRYgER7HtnLHZrb5YjgKZAY','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-wP5xc8UbTJEyZQexFxE7pRYgER7HtnLHZrb5YjgKZAY\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-wP5xc8UbTJEyZQexFxE7pRYgER7HtnLHZrb5YjgKZAY\";s:3:\"#id\";s:48:\"form-wP5xc8UbTJEyZQexFxE7pRYgER7HtnLHZrb5YjgKZAY\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:19:\"/drupal7/autox_old/\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500461380,1500439780,1),('form_form-xDPCuKljlJQOQBb6C5VSarNZTagAlAWOFLieAIipPBE','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-xDPCuKljlJQOQBb6C5VSarNZTagAlAWOFLieAIipPBE\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-xDPCuKljlJQOQBb6C5VSarNZTagAlAWOFLieAIipPBE\";s:3:\"#id\";s:48:\"form-xDPCuKljlJQOQBb6C5VSarNZTagAlAWOFLieAIipPBE\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:44:\"/drupal7/autox_old/en/product/2013-volvo-c30\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462065,1500440465,1),('form_form-XEjs132QzianCy37wJAxkspPNExSPxxa8Vc4MJG1v-0','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-XEjs132QzianCy37wJAxkspPNExSPxxa8Vc4MJG1v-0\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-XEjs132QzianCy37wJAxkspPNExSPxxa8Vc4MJG1v-0\";s:3:\"#id\";s:48:\"form-XEjs132QzianCy37wJAxkspPNExSPxxa8Vc4MJG1v-0\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:31:\"/drupal7/autox_old/en/news-grid\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500462104,1500440504,1),('form_form-_A12rFSZNT8J3uRJHQDVFJPUOMYBL_UeCMhxBpftTVA','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-_A12rFSZNT8J3uRJHQDVFJPUOMYBL_UeCMhxBpftTVA\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-_A12rFSZNT8J3uRJHQDVFJPUOMYBL_UeCMhxBpftTVA\";s:3:\"#id\";s:48:\"form-_A12rFSZNT8J3uRJHQDVFJPUOMYBL_UeCMhxBpftTVA\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"4b6z94Wn-RT3VoVa6aiBKejJ7t7RIWI7sUFM0fJDwGY\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:42:\"/drupal7/autox_old/en/admin/modules/update\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:2:{i:0;s:32:\"newsletter_subscribe_form_submit\";i:1;s:25:\"context_admin_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"bJQbjEus0n1KPzfXyiz8XywlW0YWAxLt2HRlo9s_fuw\";}',1500461970,1500440370,1),('form_state_form-0rcLj8c_OXDKVxK9CWQUF9uUL7c5VzbIDuqfMzjmEAU','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462029,1500440429,1),('form_state_form-agd9zqbH9BbmqFkq0jYyl8ld2rnI7y7gt6AKdeDiKG0','a:5:{s:10:\"build_info\";a:3:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"files\";a:1:{s:4:\"menu\";s:31:\"modules/system/system.admin.inc\";}}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500461961,1500440361,1),('form_state_form-AXdOlo7qZZ6EkVEm-LCw4gBQLMqk396RiaUaVnFyoFQ','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462084,1500440484,1),('form_state_form-dNF8GtsZsm0JiyeC8xh2rX9L5PgXeZuor_GBLn1TRfU','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462092,1500440492,1),('form_state_form-E9hQ7KRKSZG8EBIbtBkFPz0B01RD6yBomX86DBF1clE','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462108,1500440508,1),('form_state_form-FU0H_vbNmtYj8nFk04Btda6CvMIIp4l3en51roXJoKw','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462049,1500440449,1),('form_state_form-g1j_vYMDa3nb4konqqdGYtzkqdRUrCvLIe37dDvAiPU','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462095,1500440495,1),('form_state_form-Gl-I5JAheqMoCJi003kFP9Rm-pdn_FNMPwPrJkmPizA','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462116,1500440516,1),('form_state_form-lqRMcJTXmZJyemocEbqPdF_7g8Na96T_PR5me2JWiRY','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462018,1500440418,1),('form_state_form-Q-5xnD3O_ANI-mmgZS-sfPlZQJTifgrcWNWqHgFVTG4','a:5:{s:10:\"build_info\";a:3:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"files\";a:1:{s:4:\"menu\";s:33:\"modules/update/update.manager.inc\";}}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500461434,1500439834,1),('form_state_form-qWbrnUcxo8gYFCUAltATas6q39TButLw4ZbhKhGpkqs','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462042,1500440442,1),('form_state_form-TqMOoU6pwZxxg3SN_L0vqWsOeCGiBoxGiH9CI35dYRM','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462112,1500440512,1),('form_state_form-TzHq5GjkGoV3Cw6PVzSbNwmkdsyd9a0cYmGF2--6Sk4','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462078,1500440478,1),('form_state_form-UkaLmzjlMk466nUwTrHzGOZuFEm3vfu01rHzXus8UCc','a:5:{s:10:\"build_info\";a:3:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"files\";a:1:{s:4:\"menu\";s:31:\"modules/system/system.admin.inc\";}}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462014,1500440414,1),('form_state_form-uR8jFEIsMhDRAPibWUKCkueh_jWg9B4iO0ZKJg_FKus','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462060,1500440460,1),('form_state_form-V2lutWt2NWYUb_5TjVzhRyNgcYkOppvkRIvVlo-V0CA','a:5:{s:10:\"build_info\";a:3:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"files\";a:1:{s:4:\"menu\";s:31:\"modules/system/system.admin.inc\";}}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500461432,1500439832,1),('form_state_form-wP5xc8UbTJEyZQexFxE7pRYgER7HtnLHZrb5YjgKZAY','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500461380,1500439780,1),('form_state_form-xDPCuKljlJQOQBb6C5VSarNZTagAlAWOFLieAIipPBE','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462065,1500440465,1),('form_state_form-XEjs132QzianCy37wJAxkspPNExSPxxa8Vc4MJG1v-0','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500462104,1500440504,1),('form_state_form-_A12rFSZNT8J3uRJHQDVFJPUOMYBL_UeCMhxBpftTVA','a:5:{s:10:\"build_info\";a:3:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"files\";a:1:{s:4:\"menu\";s:33:\"modules/update/update.manager.inc\";}}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500461970,1500440370,1);
/*!40000 ALTER TABLE `cache_form` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_image`
--

DROP TABLE IF EXISTS `cache_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_image` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_image`
--

LOCK TABLES `cache_image` WRITE;
/*!40000 ALTER TABLE `cache_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_libraries`
--

DROP TABLE IF EXISTS `cache_libraries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_libraries` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table to store library information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_libraries`
--

LOCK TABLES `cache_libraries` WRITE;
/*!40000 ALTER TABLE `cache_libraries` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_libraries` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_location`
--

DROP TABLE IF EXISTS `cache_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_location` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `headers` text COMMENT 'Any custom HTTP headers to be added to cached data.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_location`
--

LOCK TABLES `cache_location` WRITE;
/*!40000 ALTER TABLE `cache_location` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_menu` VALUES ('menu_custom','a:8:{s:9:\"main-menu\";a:3:{s:9:\"menu_name\";s:9:\"main-menu\";s:5:\"title\";s:9:\"Main menu\";s:11:\"description\";s:115:\"The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.\";}s:10:\"management\";a:3:{s:9:\"menu_name\";s:10:\"management\";s:5:\"title\";s:10:\"Management\";s:11:\"description\";s:69:\"The <em>Management</em> menu contains links for administrative tasks.\";}s:15:\"menu-categories\";a:3:{s:9:\"menu_name\";s:15:\"menu-categories\";s:5:\"title\";s:10:\"Categories\";s:11:\"description\";s:0:\"\";}s:20:\"menu-essential-links\";a:3:{s:9:\"menu_name\";s:20:\"menu-essential-links\";s:5:\"title\";s:15:\"Essential Links\";s:11:\"description\";s:0:\"\";}s:16:\"menu-footer-menu\";a:3:{s:9:\"menu_name\";s:16:\"menu-footer-menu\";s:5:\"title\";s:11:\"Footer Menu\";s:11:\"description\";s:0:\"\";}s:16:\"menu-social-menu\";a:3:{s:9:\"menu_name\";s:16:\"menu-social-menu\";s:5:\"title\";s:11:\"Social Menu\";s:11:\"description\";s:11:\"Social Menu\";}s:10:\"navigation\";a:3:{s:9:\"menu_name\";s:10:\"navigation\";s:5:\"title\";s:10:\"Navigation\";s:11:\"description\";s:150:\"The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.\";}s:9:\"user-menu\";a:3:{s:9:\"menu_name\";s:9:\"user-menu\";s:5:\"title\";s:9:\"User menu\";s:11:\"description\";s:99:\"The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.\";}}',0,1500440560,1);
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_path`
--

DROP TABLE IF EXISTS `cache_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_path` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_path`
--

LOCK TABLES `cache_path` WRITE;
/*!40000 ALTER TABLE `cache_path` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_token`
--

DROP TABLE IF EXISTS `cache_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_token` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for token information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_token`
--

LOCK TABLES `cache_token` WRITE;
/*!40000 ALTER TABLE `cache_token` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_token` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_update`
--

DROP TABLE IF EXISTS `cache_update`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_update` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_update`
--

LOCK TABLES `cache_update` WRITE;
/*!40000 ALTER TABLE `cache_update` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_update` VALUES ('available_releases::addressfield','a:11:{s:5:\"title\";s:13:\"Address Field\";s:10:\"short_name\";s:12:\"addressfield\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:43:\"https://www.drupal.org/project/addressfield\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:14:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1444253039\";s:6:\"mdhash\";s:32:\"2c9452731b1b8fffeba8f420c590cc57\";s:8:\"filesize\";s:5:\"77194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1429819381\";s:6:\"mdhash\";s:32:\"c81a7e14dd68dba02c377d8678175b02\";s:8:\"filesize\";s:5:\"76589\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1421426880\";s:6:\"mdhash\";s:32:\"d0dafd2af22b482a5d14d4aa530bbba4\";s:8:\"filesize\";s:5:\"76261\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:24:\"addressfield 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1418653681\";s:6:\"mdhash\";s:32:\"b67a4f2f88c958e5bc5dccff84cf7856\";s:8:\"filesize\";s:5:\"74572\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1386309504\";s:6:\"mdhash\";s:32:\"63d28860718d212d0b68d7c1a199590e\";s:8:\"filesize\";s:5:\"67249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1367945111\";s:6:\"mdhash\";s:32:\"884414b0ad4afd037b5ba1cec1d107e3\";s:8:\"filesize\";s:5:\"61233\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1338304248\";s:6:\"mdhash\";s:32:\"a3df218c4f779a03f4efe4c87d9eaf53\";s:8:\"filesize\";s:5:\"52898\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1314906115\";s:6:\"mdhash\";s:32:\"8ea36908a8aeca560c273acc75f79d2f\";s:8:\"filesize\";s:5:\"51350\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1310587614\";s:6:\"mdhash\";s:32:\"b945c657d8a1d05fc3008a0b93d71595\";s:8:\"filesize\";s:5:\"18370\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1307853714\";s:6:\"mdhash\";s:32:\"ae1698ed003872b6f51e53319d41dbc0\";s:8:\"filesize\";s:5:\"15085\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1307808115\";s:6:\"mdhash\";s:32:\"3d17e265474c269056a8e32123fa7db1\";s:8:\"filesize\";s:5:\"15097\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1303140714\";s:6:\"mdhash\";s:32:\"8ceff09ca7655dea59d15add3aae1608\";s:8:\"filesize\";s:5:\"13906\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286607059\";s:6:\"mdhash\";s:32:\"bd3d8946deeb2d99d559827208112f98\";s:8:\"filesize\";s:5:\"10632\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:24:\"addressfield 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/addressfield/releases/7.x-1.x-dev\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1451474639\";s:6:\"mdhash\";s:32:\"49f9b3674808adec5528bb421bd3094e\";s:8:\"filesize\";s:5:\"77544\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526795,1500440370,1),('available_releases::admin_menu','a:11:{s:5:\"title\";s:19:\"Administration menu\";s:10:\"short_name\";s:10:\"admin_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1359651687\";s:6:\"mdhash\";s:32:\"3d8359538878723720fca6ddb2f82c7a\";s:8:\"filesize\";s:5:\"55064\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337292349\";s:6:\"mdhash\";s:32:\"86b659c35823d541354179eccbfdc2d4\";s:8:\"filesize\";s:5:\"50950\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335198071\";s:6:\"mdhash\";s:32:\"47761c79c351697f295d933b85441328\";s:8:\"filesize\";s:5:\"49988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1294378871\";s:6:\"mdhash\";s:32:\"9d0cfb26adda4da7bd309bdf5be305a0\";s:8:\"filesize\";s:5:\"70961\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:22:\"admin_menu 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1426875181\";s:6:\"mdhash\";s:32:\"6d2cdd2a5be2531a7e735847ce329102\";s:8:\"filesize\";s:5:\"53496\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500526795,1500440370,1),('available_releases::bean','a:11:{s:5:\"title\";s:4:\"Bean\";s:10:\"short_name\";s:4:\"bean\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/bean\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:36:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1470638339\";s:6:\"mdhash\";s:32:\"81a99ebffebab15f1bd9f5796af951ea\";s:8:\"filesize\";s:5:\"55153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1470148439\";s:6:\"mdhash\";s:32:\"7945f7b3ec092f9056f577d6b7c34c5c\";s:8:\"filesize\";s:5:\"55142\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1425439381\";s:6:\"mdhash\";s:32:\"c8cbb8c278cc275d618a82fb847995bd\";s:8:\"filesize\";s:5:\"54385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1412260738\";s:6:\"mdhash\";s:32:\"99c822543a30392bc28b490bf0318583\";s:8:\"filesize\";s:5:\"51687\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1385749405\";s:6:\"mdhash\";s:32:\"f0389294e2ae812d3370511ca9695979\";s:8:\"filesize\";s:5:\"51082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1384952605\";s:6:\"mdhash\";s:32:\"333ba02a4f8834c1ac0b0c16e212df6e\";s:8:\"filesize\";s:5:\"51049\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1382553632\";s:6:\"mdhash\";s:32:\"ba0acf5b4bf145e3b81f00412c2d711a\";s:8:\"filesize\";s:5:\"50927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1381663827\";s:6:\"mdhash\";s:32:\"959f26e075130aba06072b13187e2c69\";s:8:\"filesize\";s:5:\"50810\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1368983112\";s:6:\"mdhash\";s:32:\"0d524e9eafcd6146a8f79bba8bfcb520\";s:8:\"filesize\";s:5:\"49921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1361977163\";s:6:\"mdhash\";s:32:\"0d853f858ff2d76d3aa1991a6a6cdbb9\";s:8:\"filesize\";s:5:\"45527\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1359755430\";s:6:\"mdhash\";s:32:\"ce3b5ea939daf4af8bc40ed3c68525a5\";s:8:\"filesize\";s:5:\"44282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-1.0-rc10\";a:15:{s:4:\"name\";s:17:\"bean 7.x-1.0-rc10\";s:7:\"version\";s:12:\"7.x-1.0-rc10\";s:3:\"tag\";s:12:\"7.x-1.0-rc10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:4:\"rc10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc10.tar.gz\";s:4:\"date\";s:10:\"1359752676\";s:6:\"mdhash\";s:32:\"57f52eee8f4b4ad5ef68e8df7fb72253\";s:8:\"filesize\";s:5:\"44014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc9\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc9\";s:7:\"version\";s:11:\"7.x-1.0-rc9\";s:3:\"tag\";s:11:\"7.x-1.0-rc9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc9.tar.gz\";s:4:\"date\";s:10:\"1358780111\";s:6:\"mdhash\";s:32:\"31e9f0e5548a0ff0ecb0cddd4572e4d7\";s:8:\"filesize\";s:5:\"43949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc8\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc8\";s:7:\"version\";s:11:\"7.x-1.0-rc8\";s:3:\"tag\";s:11:\"7.x-1.0-rc8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1357828811\";s:6:\"mdhash\";s:32:\"98f8dfae9dc77dcfd554086331cf42d6\";s:8:\"filesize\";s:5:\"43541\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc7\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc7\";s:7:\"version\";s:11:\"7.x-1.0-rc7\";s:3:\"tag\";s:11:\"7.x-1.0-rc7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc7.tar.gz\";s:4:\"date\";s:10:\"1356989455\";s:6:\"mdhash\";s:32:\"67101f67f22f36be19fee950bed02be5\";s:8:\"filesize\";s:5:\"44186\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc6\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc6\";s:7:\"version\";s:11:\"7.x-1.0-rc6\";s:3:\"tag\";s:11:\"7.x-1.0-rc6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1346850751\";s:6:\"mdhash\";s:32:\"4a3299b8cb1f6030ee21f3bf9435c73c\";s:8:\"filesize\";s:5:\"39901\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1338748274\";s:6:\"mdhash\";s:32:\"a73ab8410759a1448ff0901e04defd73\";s:8:\"filesize\";s:5:\"35325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1334791293\";s:6:\"mdhash\";s:32:\"2e800d8c11b5b287305f84a16375d50a\";s:8:\"filesize\";s:5:\"32269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1331946338\";s:6:\"mdhash\";s:32:\"914cb1103663c42b47f3ff0c961ce51f\";s:8:\"filesize\";s:5:\"31112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1331939437\";s:6:\"mdhash\";s:32:\"9a9666ea98b867ac88d97c70ac6d578a\";s:8:\"filesize\";s:5:\"31118\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1329531338\";s:6:\"mdhash\";s:32:\"bc854e700c1522ef77612c407bab3e47\";s:8:\"filesize\";s:5:\"30802\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1325217937\";s:6:\"mdhash\";s:32:\"c0b2fc2408cc07a03436f1c8beda50f4\";s:8:\"filesize\";s:5:\"27771\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1322880637\";s:6:\"mdhash\";s:32:\"5dbe793210a5aa04e003f621c909dc5b\";s:8:\"filesize\";s:5:\"26906\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1321458937\";s:6:\"mdhash\";s:32:\"4eb819577d8a5d23af8fb64da2db5775\";s:8:\"filesize\";s:5:\"24803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1321455339\";s:6:\"mdhash\";s:32:\"18927f8d3a97c46deca803f686881058\";s:8:\"filesize\";s:5:\"24805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1320196828\";s:6:\"mdhash\";s:32:\"8c751665cfc36f063b96513ec44967e2\";s:8:\"filesize\";s:5:\"23337\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1319407529\";s:6:\"mdhash\";s:32:\"bbe7f70fa5fb0b215bef7280087c1d0a\";s:8:\"filesize\";s:5:\"23323\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1319204129\";s:6:\"mdhash\";s:32:\"7e423f04e51e3a0c2fe62038dca57257\";s:8:\"filesize\";s:5:\"22972\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1316637400\";s:6:\"mdhash\";s:32:\"564623761c3c97b937fd75b88246b9a3\";s:8:\"filesize\";s:5:\"21881\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315415214\";s:6:\"mdhash\";s:32:\"1c34fe82f4f2388df916e6b3a0404f9d\";s:8:\"filesize\";s:5:\"20713\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1312983715\";s:6:\"mdhash\";s:32:\"4a451dc417458d751bdf7004f3bafb30\";s:8:\"filesize\";s:5:\"20684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1308773514\";s:6:\"mdhash\";s:32:\"0b72b09bbf3b294d705c9f80e8de9314\";s:8:\"filesize\";s:5:\"19577\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1308751014\";s:6:\"mdhash\";s:32:\"32c6e739e858b118eb2c5d6cb8c99a24\";s:8:\"filesize\";s:5:\"18753\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308271392\";s:6:\"mdhash\";s:32:\"15fb5bffdb310d4b70a45ac8f2abce6d\";s:8:\"filesize\";s:5:\"16588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1305915714\";s:6:\"mdhash\";s:32:\"e720656a63a026dd157a8764beb2c597\";s:8:\"filesize\";s:5:\"16065\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"bean 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499880543\";s:6:\"mdhash\";s:32:\"8150989840a614891cf93453a0271041\";s:8:\"filesize\";s:5:\"55095\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526796,1500440370,1),('available_releases::better_exposed_filters','a:11:{s:5:\"title\";s:22:\"Better Exposed Filters\";s:10:\"short_name\";s:22:\"better_exposed_filters\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:53:\"https://www.drupal.org/project/better_exposed_filters\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1485926283\";s:6:\"mdhash\";s:32:\"0a149a565aa4885faf6015c1ce6b929b\";s:8:\"filesize\";s:5:\"51110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.3\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1484287085\";s:6:\"mdhash\";s:32:\"fd788f73765e10d63b29c8552a1565cf\";s:8:\"filesize\";s:5:\"51087\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1428077881\";s:6:\"mdhash\";s:32:\"3134e2c13500d96fd3c10d0fa07181fa\";s:8:\"filesize\";s:5:\"49437\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1427969281\";s:6:\"mdhash\";s:32:\"017ab6ca581c48a78ec8f64d03e2e0e4\";s:8:\"filesize\";s:5:\"48222\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1418734682\";s:6:\"mdhash\";s:32:\"38a786d3a3b3b771c8c2628a1ce21bd3\";s:8:\"filesize\";s:5:\"46503\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1392255205\";s:6:\"mdhash\";s:32:\"f6537a3b09c0e3e9dd257928eae8198e\";s:8:\"filesize\";s:5:\"44243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1349281866\";s:6:\"mdhash\";s:32:\"bf1378218e4cc0db6ecf856813a90d23\";s:8:\"filesize\";s:5:\"29586\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1347562608\";s:6:\"mdhash\";s:32:\"0be78b0c7baec31077c41624fbd58087\";s:8:\"filesize\";s:5:\"29237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1312327014\";s:6:\"mdhash\";s:32:\"3ae8db4a8857ef0ba86083b968191feb\";s:8:\"filesize\";s:5:\"22389\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:34:\"better_exposed_filters 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.x-dev\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1485926583\";s:6:\"mdhash\";s:32:\"eb328686c9a2c6f536e0f937ae8d701a\";s:8:\"filesize\";s:5:\"51124\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:34:\"better_exposed_filters 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-1.x-dev\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380555926\";s:6:\"mdhash\";s:32:\"0ffdc1ce5f0cff0254ddbaf787ce930a\";s:8:\"filesize\";s:5:\"22828\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526797,1500440370,1),('available_releases::block_class','a:11:{s:5:\"title\";s:11:\"Block Class\";s:10:\"short_name\";s:11:\"block_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1450293839\";s:6:\"mdhash\";s:32:\"9e382ab421c420b01c393be94b401ad9\";s:8:\"filesize\";s:5:\"12684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1377197769\";s:6:\"mdhash\";s:32:\"cb57d269d45aabd8978c0a88b05b9eb3\";s:8:\"filesize\";s:5:\"11499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1362669357\";s:6:\"mdhash\";s:32:\"4c3afdc9b94f12d4a2fa6ab8eac2bae8\";s:8:\"filesize\";s:4:\"9421\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1377198970\";s:6:\"mdhash\";s:32:\"393dbfad8a142c2ff7d348f30521a63f\";s:8:\"filesize\";s:5:\"11913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1349301967\";s:6:\"mdhash\";s:32:\"30eff4c1392274a53680412e5784330b\";s:8:\"filesize\";s:4:\"8874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.2-beta1\";a:15:{s:4:\"name\";s:25:\"block_class 7.x-1.2-beta1\";s:7:\"version\";s:13:\"7.x-1.2-beta1\";s:3:\"tag\";s:13:\"7.x-1.2-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/block_class/releases/7.x-1.2-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2-beta1.tar.gz\";s:4:\"date\";s:10:\"1333059942\";s:6:\"mdhash\";s:32:\"d83eb9270022e9a3d6dc53ad102017d3\";s:8:\"filesize\";s:4:\"8873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1331079937\";s:6:\"mdhash\";s:32:\"b466c130b0fc352d7bd2d434f294e6d6\";s:8:\"filesize\";s:4:\"8694\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1318630894\";s:6:\"mdhash\";s:32:\"7659a7e3cfb4be20692a64b467a40310\";s:8:\"filesize\";s:4:\"8703\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1496362442\";s:6:\"mdhash\";s:32:\"8df84f57a2cf05072280b47904c3dfe4\";s:8:\"filesize\";s:5:\"13550\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380556302\";s:6:\"mdhash\";s:32:\"7419a6f4c1a002401da79a0f3291dd75\";s:8:\"filesize\";s:5:\"11922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526798,1500440370,1),('available_releases::context','a:11:{s:5:\"title\";s:7:\"Context\";s:10:\"short_name\";s:7:\"context\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1420570680\";s:6:\"mdhash\";s:32:\"74894fd36de656fd00dcd5f0cf4bd7b0\";s:8:\"filesize\";s:5:\"74029\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1418341070\";s:6:\"mdhash\";s:32:\"9946cd622ba584de05597d85c2d70903\";s:8:\"filesize\";s:5:\"74008\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1418330580\";s:6:\"mdhash\";s:32:\"c253abf7fee5787934c2f2f6fecf3d0c\";s:8:\"filesize\";s:5:\"74019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1412114933\";s:6:\"mdhash\";s:32:\"6da85f017a673e57152d0e0b6fe9082f\";s:8:\"filesize\";s:5:\"73996\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1390931305\";s:6:\"mdhash\";s:32:\"a9ee5d6eb6c1d7980f4834788e5e20f0\";s:8:\"filesize\";s:5:\"72655\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1381976667\";s:6:\"mdhash\";s:32:\"0211b9782b18364623ac044f1aa39295\";s:8:\"filesize\";s:5:\"71341\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1381891268\";s:6:\"mdhash\";s:32:\"4522891bcd393c93f0c00e396fc57d2d\";s:8:\"filesize\";s:5:\"71536\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:19:\"context 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1380221057\";s:6:\"mdhash\";s:32:\"82c6b89c04b1bf7dc7936da6cb5a68f3\";s:8:\"filesize\";s:5:\"71377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1375065368\";s:6:\"mdhash\";s:32:\"098f672a1a9deff4d02af98c8cfe7314\";s:8:\"filesize\";s:5:\"71132\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1355879811\";s:6:\"mdhash\";s:32:\"1fb886ef64dcbf2a1d6baedae3516ccc\";s:8:\"filesize\";s:5:\"70788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1354819308\";s:6:\"mdhash\";s:32:\"7c0e563c681fbf716b7237181dd3b820\";s:8:\"filesize\";s:5:\"70554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1344786407\";s:6:\"mdhash\";s:32:\"a8cb1ff2d756fb28c2867efaf02f5a27\";s:8:\"filesize\";s:5:\"64762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1337490056\";s:6:\"mdhash\";s:32:\"9d3e3844698e647061d43cbab2c1b05a\";s:8:\"filesize\";s:5:\"66729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315543301\";s:6:\"mdhash\";s:32:\"c10187dbe386e3c3b12235efb83c4455\";s:8:\"filesize\";s:5:\"65147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298925068\";s:6:\"mdhash\";s:32:\"0707f1af392f0bf1cd210a8e638c9de6\";s:8:\"filesize\";s:5:\"63804\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1294089953\";s:6:\"mdhash\";s:32:\"38dd5fc8aef952598f4ef6420addc3b3\";s:8:\"filesize\";s:5:\"63251\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1285617662\";s:6:\"mdhash\";s:32:\"e6df800804a2f30da2eb939ef298b033\";s:8:\"filesize\";s:5:\"63205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1284683161\";s:6:\"mdhash\";s:32:\"083993e65701c32d428e2c7e15047b65\";s:8:\"filesize\";s:5:\"62143\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"context 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1465425842\";s:6:\"mdhash\";s:32:\"6920e8b538b8e529bd0cd8dbe85c0143\";s:8:\"filesize\";s:5:\"74787\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526798,1500440370,1),('available_releases::countries','a:11:{s:5:\"title\";s:9:\"Countries\";s:10:\"short_name\";s:9:\"countries\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/countries\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"countries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/countries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/countries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1409450928\";s:6:\"mdhash\";s:32:\"11fa9b845c3e4e63cb46d6398f54b3cb\";s:8:\"filesize\";s:5:\"56688\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"countries 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/countries/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/countries-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1409235528\";s:6:\"mdhash\";s:32:\"5b86dfbc784fa9dc80e7059919e89d7d\";s:8:\"filesize\";s:5:\"56634\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"countries 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/countries/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/countries-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1352904057\";s:6:\"mdhash\";s:32:\"7282cbafe5b55a32cb8568dc37fde243\";s:8:\"filesize\";s:5:\"53726\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"countries 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/countries/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/countries-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1336135255\";s:6:\"mdhash\";s:32:\"cf0104a6511b2bf14be4fb2a9fc765c5\";s:8:\"filesize\";s:5:\"52398\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:23:\"countries 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/countries/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/countries-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1316788302\";s:6:\"mdhash\";s:32:\"a8d44cb7a0aedc83670568b14511c50c\";s:8:\"filesize\";s:5:\"33775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:23:\"countries 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/countries/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/countries-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1304110315\";s:6:\"mdhash\";s:32:\"927f5176b74518216135d90f59165b0a\";s:8:\"filesize\";s:5:\"29093\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"countries 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/countries/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/countries-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1297289557\";s:6:\"mdhash\";s:32:\"a127c75048c52df2a9f6e27770898c9e\";s:8:\"filesize\";s:5:\"22430\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"countries 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/countries/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/countries-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1434558480\";s:6:\"mdhash\";s:32:\"ae173ce5e7951aadf042089da094d497\";s:8:\"filesize\";s:5:\"56963\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"countries 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:6:\"master\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/countries/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/countries-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380567774\";s:6:\"mdhash\";s:32:\"881200e92dc620f8d47a6d584c9cdd11\";s:8:\"filesize\";s:5:\"27179\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526799,1500440370,1),('available_releases::ctools','a:11:{s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:10:\"short_name\";s:6:\"ctools\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1476581639\";s:6:\"mdhash\";s:32:\"271d08d18f3c05f51aba1ad77d42f96c\";s:8:\"filesize\";s:6:\"432144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.10\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1471454080\";s:6:\"mdhash\";s:32:\"38bb47304f6dcd0bcd6b02ed6ee235fc\";s:8:\"filesize\";s:6:\"430198\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"bd7b5dac915e8fa3da909379807ef824\";s:8:\"filesize\";s:6:\"429330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1440015839\";s:6:\"mdhash\";s:32:\"629f8bc414026864fe4a235b62586e0c\";s:8:\"filesize\";s:6:\"428252\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1426695781\";s:6:\"mdhash\";s:32:\"81ab507b12875b02b88a0492d1173b99\";s:8:\"filesize\";s:6:\"426463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1422471481\";s:6:\"mdhash\";s:32:\"e8999d5bd1748ee3dcd4fdc33a24c615\";s:8:\"filesize\";s:6:\"424622\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.6-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.6-rc1\";s:7:\"version\";s:11:\"7.x-1.6-rc1\";s:3:\"tag\";s:11:\"7.x-1.6-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.6-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1418961480\";s:6:\"mdhash\";s:32:\"f3dc80ff7f3e29c73870f26a6ad02ff7\";s:8:\"filesize\";s:6:\"422180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1416423482\";s:6:\"mdhash\";s:32:\"0e90d8baaae78d3c37fe73dbe0d98dac\";s:8:\"filesize\";s:6:\"417508\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1392220719\";s:6:\"mdhash\";s:32:\"df1ce5aeb6a9a5c383d944a2a7494f18\";s:8:\"filesize\";s:6:\"415678\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1365013512\";s:6:\"mdhash\";s:32:\"b27a7230f63a7a81db8cc480ab2dba63\";s:8:\"filesize\";s:6:\"413477\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1345319204\";s:6:\"mdhash\";s:32:\"62fa855ee8aced1e355b09ac6cd54e99\";s:8:\"filesize\";s:6:\"407345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1344463011\";s:6:\"mdhash\";s:32:\"c36cbb2fd7a6eb8b3245c13972380bd7\";s:8:\"filesize\";s:6:\"405567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1332962446\";s:6:\"mdhash\";s:32:\"642eca364e64b0074e5ad49f86627ac5\";s:8:\"filesize\";s:6:\"402254\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1332017742\";s:6:\"mdhash\";s:32:\"791167a47cea014fad9018c93376aa88\";s:8:\"filesize\";s:6:\"396440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1311894415\";s:6:\"mdhash\";s:32:\"39bcea671210505409e3148c8eaefc0e\";s:8:\"filesize\";s:6:\"381078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"ctools 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1306885315\";s:6:\"mdhash\";s:32:\"96d8154bfab611eb59cbd3774aa94793\";s:8:\"filesize\";s:6:\"378287\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1301099792\";s:6:\"mdhash\";s:32:\"774f6654c149f192b11b136a06be5544\";s:8:\"filesize\";s:6:\"370763\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1300395967\";s:6:\"mdhash\";s:32:\"1909846a7bd5775c99331c6564ffefa8\";s:8:\"filesize\";s:6:\"370238\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1294276865\";s:6:\"mdhash\";s:32:\"30e0f5cb27949d2cd67b80bb36701d3e\";s:8:\"filesize\";s:6:\"521068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286838960\";s:6:\"mdhash\";s:32:\"500a55a33f90b2bab865753a0d8c5439\";s:8:\"filesize\";s:6:\"510384\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"ctools 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487053684\";s:6:\"mdhash\";s:32:\"149a825138993bde410a2cb823a716c2\";s:8:\"filesize\";s:6:\"440513\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526772,1500440370,1),('available_releases::date','a:11:{s:5:\"title\";s:4:\"Date\";s:10:\"short_name\";s:4:\"date\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/date\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:31:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:13:\"date 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/date/releases/7.x-2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/date-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1491562083\";s:6:\"mdhash\";s:32:\"2574ab984de79b65f93dbeb48a4e2036\";s:8:\"filesize\";s:6:\"226466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-2.10-rc2\";a:15:{s:4:\"name\";s:17:\"date 7.x-2.10-rc2\";s:7:\"version\";s:12:\"7.x-2.10-rc2\";s:3:\"tag\";s:12:\"7.x-2.10-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/date/releases/7.x-2.10-rc2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-rc2.tar.gz\";s:4:\"date\";s:10:\"1490783284\";s:6:\"mdhash\";s:32:\"2e59072e74cf1e180b5f159cea91639c\";s:8:\"filesize\";s:6:\"226485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc1\";a:15:{s:4:\"name\";s:17:\"date 7.x-2.10-rc1\";s:7:\"version\";s:12:\"7.x-2.10-rc1\";s:3:\"tag\";s:12:\"7.x-2.10-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/date/releases/7.x-2.10-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-rc1.tar.gz\";s:4:\"date\";s:10:\"1461749740\";s:6:\"mdhash\";s:32:\"59079319cdaa7f96843c66a674bd6f96\";s:8:\"filesize\";s:6:\"226185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.10-beta1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.10-beta1\";s:7:\"version\";s:14:\"7.x-2.10-beta1\";s:3:\"tag\";s:14:\"7.x-2.10-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.10-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-beta1.tar.gz\";s:4:\"date\";s:10:\"1452253139\";s:6:\"mdhash\";s:32:\"b6c7abde2995afb8a014cb590ac131ac\";s:8:\"filesize\";s:6:\"224719\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1441727339\";s:6:\"mdhash\";s:32:\"5d76a5e020d3926aa3c516e426678700\";s:8:\"filesize\";s:6:\"224512\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.9-rc1\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.9-rc1\";s:7:\"version\";s:11:\"7.x-2.9-rc1\";s:3:\"tag\";s:11:\"7.x-2.9-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.9-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-rc1.tar.gz\";s:4:\"date\";s:10:\"1427454181\";s:6:\"mdhash\";s:32:\"5cc051772c39d76bb0a2bfd8a5f7c775\";s:8:\"filesize\";s:6:\"224454\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.9-beta2\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.9-beta2\";s:7:\"version\";s:13:\"7.x-2.9-beta2\";s:3:\"tag\";s:13:\"7.x-2.9-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.9-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-beta2.tar.gz\";s:4:\"date\";s:10:\"1417718873\";s:6:\"mdhash\";s:32:\"e81616832e6ef58be039640a4fe35390\";s:8:\"filesize\";s:6:\"223732\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.9-beta1\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.9-beta1\";s:7:\"version\";s:13:\"7.x-2.9-beta1\";s:3:\"tag\";s:13:\"7.x-2.9-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.9-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-beta1.tar.gz\";s:4:\"date\";s:10:\"1415483880\";s:6:\"mdhash\";s:32:\"e03390f28efe81e7e56180651f4bb76a\";s:8:\"filesize\";s:6:\"222344\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.9-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.9-alpha2\";s:7:\"version\";s:14:\"7.x-2.9-alpha2\";s:3:\"tag\";s:14:\"7.x-2.9-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.9-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-alpha2.tar.gz\";s:4:\"date\";s:10:\"1411597754\";s:6:\"mdhash\";s:32:\"2f71a9bc1dc8a13c1607ca2dc74a87b7\";s:8:\"filesize\";s:6:\"218373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.9-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.9-alpha1\";s:7:\"version\";s:14:\"7.x-2.9-alpha1\";s:3:\"tag\";s:14:\"7.x-2.9-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.9-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-alpha1.tar.gz\";s:4:\"date\";s:10:\"1406829527\";s:6:\"mdhash\";s:32:\"3e6a694c86989c61d9cd5cf4cf582bc5\";s:8:\"filesize\";s:6:\"218628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1406653427\";s:6:\"mdhash\";s:32:\"e0d07255a60e3a7716db5902767e08d1\";s:8:\"filesize\";s:6:\"218587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.8-beta2\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.8-beta2\";s:7:\"version\";s:13:\"7.x-2.8-beta2\";s:3:\"tag\";s:13:\"7.x-2.8-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.8-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.8-beta2.tar.gz\";s:4:\"date\";s:10:\"1406317428\";s:6:\"mdhash\";s:32:\"3ba190c30aa3833500af8505c9951121\";s:8:\"filesize\";s:6:\"217910\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta1\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.8-beta1\";s:7:\"version\";s:13:\"7.x-2.8-beta1\";s:3:\"tag\";s:13:\"7.x-2.8-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.8-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.8-beta1.tar.gz\";s:4:\"date\";s:10:\"1403366927\";s:6:\"mdhash\";s:32:\"cf89ddee77f567db0157124e1651246d\";s:8:\"filesize\";s:6:\"217411\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1387659204\";s:6:\"mdhash\";s:32:\"24e11f82623a442305c30cb6887d77f9\";s:8:\"filesize\";s:6:\"216320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1344850024\";s:6:\"mdhash\";s:32:\"cc22fe50289aea79b3b9b240baba0111\";s:8:\"filesize\";s:6:\"213301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1334835098\";s:6:\"mdhash\";s:32:\"56fa435f5c8831655ddf3f4fffe2b97a\";s:8:\"filesize\";s:6:\"211078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1334828498\";s:6:\"mdhash\";s:32:\"2c152c82d8cc55e090cba40a46742465\";s:8:\"filesize\";s:6:\"210999\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1333273246\";s:6:\"mdhash\";s:32:\"3290ee3891157384b606633dda02fe19\";s:8:\"filesize\";s:6:\"210464\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1330089942\";s:6:\"mdhash\";s:32:\"652323d741226212057e8f58906c7d6a\";s:8:\"filesize\";s:6:\"207223\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1329214840\";s:6:\"mdhash\";s:32:\"08eab951b7096b1edcc1cdff52b3c9cc\";s:8:\"filesize\";s:6:\"208349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1328104249\";s:6:\"mdhash\";s:32:\"60e5d591d567e823141650db8290394b\";s:8:\"filesize\";s:6:\"208479\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1324415138\";s:6:\"mdhash\";s:32:\"553e622be1be5c28b59c088f8b890872\";s:8:\"filesize\";s:6:\"203112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha5\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha5\";s:7:\"version\";s:14:\"7.x-2.0-alpha5\";s:3:\"tag\";s:14:\"7.x-2.0-alpha5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1322563238\";s:6:\"mdhash\";s:32:\"02cf9eff83b7203b70c311daca9c0e8c\";s:8:\"filesize\";s:6:\"204364\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha4\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha4\";s:7:\"version\";s:14:\"7.x-2.0-alpha4\";s:3:\"tag\";s:14:\"7.x-2.0-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1314097619\";s:6:\"mdhash\";s:32:\"832ce7f175146004c9976b9191d37f45\";s:8:\"filesize\";s:6:\"195013\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1303821715\";s:6:\"mdhash\";s:32:\"d7de2d8ece4098fe8ac9ce6e5eb30270\";s:8:\"filesize\";s:6:\"169553\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1303818715\";s:6:\"mdhash\";s:32:\"2a2c10cb87eed66b0174283f9fc607c4\";s:8:\"filesize\";s:6:\"169563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1299682267\";s:6:\"mdhash\";s:32:\"c5ab4e67bb59da279c0da9b10ed9725e\";s:8:\"filesize\";s:6:\"166837\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1295529407\";s:6:\"mdhash\";s:32:\"0ed3d8939eeb72e7a3bcb537ed4d21ff\";s:8:\"filesize\";s:6:\"268480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1295353339\";s:6:\"mdhash\";s:32:\"6534800ffd881bab8721172100039111\";s:8:\"filesize\";s:6:\"268378\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:16:\"date 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490712482\";s:6:\"mdhash\";s:32:\"d1b92438376c95b25e429036c4dd3ef9\";s:8:\"filesize\";s:6:\"226507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"date-7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490710682\";s:6:\"mdhash\";s:32:\"fac06f792a558a00f0bc1b49b43469fd\";s:8:\"filesize\";s:6:\"166214\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526773,1500440370,1),('available_releases::drupal','a:11:{s:5:\"title\";s:11:\"Drupal core\";s:10:\"short_name\";s:6:\"drupal\";s:4:\"type\";s:12:\"project_core\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"7\";s:16:\"supported_majors\";s:1:\"7\";s:13:\"default_major\";s:1:\"7\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:67:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.55\";a:14:{s:4:\"name\";s:11:\"drupal 7.55\";s:7:\"version\";s:4:\"7.55\";s:3:\"tag\";s:4:\"7.55\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"55\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.55\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.55.tar.gz\";s:4:\"date\";s:10:\"1496873942\";s:6:\"mdhash\";s:32:\"ad97f8c86cee7be9d6ab13724b55fa1c\";s:8:\"filesize\";s:7:\"3277355\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.54\";a:14:{s:4:\"name\";s:11:\"drupal 7.54\";s:7:\"version\";s:4:\"7.54\";s:3:\"tag\";s:4:\"7.54\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"54\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.54\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.54.tar.gz\";s:4:\"date\";s:10:\"1485986883\";s:6:\"mdhash\";s:32:\"3068cbe488075ae166e23ea6cd29cf0f\";s:8:\"filesize\";s:7:\"3275864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.53\";a:14:{s:4:\"name\";s:11:\"drupal 7.53\";s:7:\"version\";s:4:\"7.53\";s:3:\"tag\";s:4:\"7.53\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"53\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.53\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.53.tar.gz\";s:4:\"date\";s:10:\"1481152384\";s:6:\"mdhash\";s:32:\"4230279ecca4f0cde652a219e10327e7\";s:8:\"filesize\";s:7:\"3273245\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.52\";a:14:{s:4:\"name\";s:11:\"drupal 7.52\";s:7:\"version\";s:4:\"7.52\";s:3:\"tag\";s:4:\"7.52\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"52\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.52\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.52.tar.gz\";s:4:\"date\";s:10:\"1479322810\";s:6:\"mdhash\";s:32:\"4963e68ca12918d3a3eae56054214191\";s:8:\"filesize\";s:7:\"3289714\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.51\";a:14:{s:4:\"name\";s:11:\"drupal 7.51\";s:7:\"version\";s:4:\"7.51\";s:3:\"tag\";s:4:\"7.51\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"51\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.51\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.51.tar.gz\";s:4:\"date\";s:10:\"1475693339\";s:6:\"mdhash\";s:32:\"49f82c1cac8e4bd4941ca160fcbee93d\";s:8:\"filesize\";s:7:\"3288987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.50\";a:14:{s:4:\"name\";s:11:\"drupal 7.50\";s:7:\"version\";s:4:\"7.50\";s:3:\"tag\";s:4:\"7.50\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"50\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.50\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.50.tar.gz\";s:4:\"date\";s:10:\"1467918239\";s:6:\"mdhash\";s:32:\"f23905b0248d76f0fc8316692cd64753\";s:8:\"filesize\";s:7:\"3286826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.44\";a:14:{s:4:\"name\";s:11:\"drupal 7.44\";s:7:\"version\";s:4:\"7.44\";s:3:\"tag\";s:4:\"7.44\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"44\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.44\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.44.tar.gz\";s:4:\"date\";s:10:\"1466021480\";s:6:\"mdhash\";s:32:\"965ab5fe5457625ec8c18e5c1c455008\";s:8:\"filesize\";s:7:\"3265819\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.43\";a:14:{s:4:\"name\";s:11:\"drupal 7.43\";s:7:\"version\";s:4:\"7.43\";s:3:\"tag\";s:4:\"7.43\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"43\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.43\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.43.tar.gz\";s:4:\"date\";s:10:\"1456341749\";s:6:\"mdhash\";s:32:\"c6fb49bc88a6408a985afddac76b9f8b\";s:8:\"filesize\";s:7:\"3265824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.42\";a:14:{s:4:\"name\";s:11:\"drupal 7.42\";s:7:\"version\";s:4:\"7.42\";s:3:\"tag\";s:4:\"7.42\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"42\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.42-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.42.tar.gz\";s:4:\"date\";s:10:\"1454516939\";s:6:\"mdhash\";s:32:\"9a96f67474e209dd48750ba6fccc77db\";s:8:\"filesize\";s:7:\"3264065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.41\";a:14:{s:4:\"name\";s:11:\"drupal 7.41\";s:7:\"version\";s:4:\"7.41\";s:3:\"tag\";s:4:\"7.41\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"41\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.41-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.41.tar.gz\";s:4:\"date\";s:10:\"1445457239\";s:6:\"mdhash\";s:32:\"7636e75e8be213455b4ac7911ce5801f\";s:8:\"filesize\";s:7:\"3257325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.40\";a:14:{s:4:\"name\";s:11:\"drupal 7.40\";s:7:\"version\";s:4:\"7.40\";s:3:\"tag\";s:4:\"7.40\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"40\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.40-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.40.tar.gz\";s:4:\"date\";s:10:\"1444865639\";s:6:\"mdhash\";s:32:\"d4509f13c23999a76e61ec4d5ccfaf26\";s:8:\"filesize\";s:7:\"3257401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.39\";a:14:{s:4:\"name\";s:11:\"drupal 7.39\";s:7:\"version\";s:4:\"7.39\";s:3:\"tag\";s:4:\"7.39\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"39\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.39-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.39.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"6f42a7e9c7a1c2c4c9c2f20c81b8e79a\";s:8:\"filesize\";s:7:\"3249343\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.38\";a:14:{s:4:\"name\";s:11:\"drupal 7.38\";s:7:\"version\";s:4:\"7.38\";s:3:\"tag\";s:4:\"7.38\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"38\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.38-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.38.tar.gz\";s:4:\"date\";s:10:\"1434566280\";s:6:\"mdhash\";s:32:\"c18298c1a5aed32ddbdac605fdef7fce\";s:8:\"filesize\";s:7:\"3247864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.37\";a:14:{s:4:\"name\";s:11:\"drupal 7.37\";s:7:\"version\";s:4:\"7.37\";s:3:\"tag\";s:4:\"7.37\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"37\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.37-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.37.tar.gz\";s:4:\"date\";s:10:\"1430972281\";s:6:\"mdhash\";s:32:\"3a70696c87b786365f2c6c3aeb895d8a\";s:8:\"filesize\";s:7:\"3244291\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.36\";a:14:{s:4:\"name\";s:11:\"drupal 7.36\";s:7:\"version\";s:4:\"7.36\";s:3:\"tag\";s:4:\"7.36\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"36\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.36-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.36.tar.gz\";s:4:\"date\";s:10:\"1427943181\";s:6:\"mdhash\";s:32:\"98e1f62c11a5dc5f9481935eefc814c5\";s:8:\"filesize\";s:7:\"3244905\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.35\";a:14:{s:4:\"name\";s:11:\"drupal 7.35\";s:7:\"version\";s:4:\"7.35\";s:3:\"tag\";s:4:\"7.35\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"35\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.35-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.35.tar.gz\";s:4:\"date\";s:10:\"1426706281\";s:6:\"mdhash\";s:32:\"fecc55bd0bd476bc35d9ebf68452942d\";s:8:\"filesize\";s:7:\"3234349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.34\";a:14:{s:4:\"name\";s:11:\"drupal 7.34\";s:7:\"version\";s:4:\"7.34\";s:3:\"tag\";s:4:\"7.34\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"34\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.34-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.34.tar.gz\";s:4:\"date\";s:10:\"1416429264\";s:6:\"mdhash\";s:32:\"bb4d212e1eb1d7375e41613fbefa04f2\";s:8:\"filesize\";s:7:\"3229858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.33\";a:14:{s:4:\"name\";s:11:\"drupal 7.33\";s:7:\"version\";s:4:\"7.33\";s:3:\"tag\";s:4:\"7.33\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"33\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.33-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.33.tar.gz\";s:4:\"date\";s:10:\"1415374080\";s:6:\"mdhash\";s:32:\"187b076a5753960d5d5cb12d30d93e73\";s:8:\"filesize\";s:7:\"3229397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.32\";a:14:{s:4:\"name\";s:11:\"drupal 7.32\";s:7:\"version\";s:4:\"7.32\";s:3:\"tag\";s:4:\"7.32\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"32\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.32-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.32.tar.gz\";s:4:\"date\";s:10:\"1413387329\";s:6:\"mdhash\";s:32:\"d5d121a6ce974f2d20604a7e10e1987a\";s:8:\"filesize\";s:7:\"3215563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.31\";a:14:{s:4:\"name\";s:11:\"drupal 7.31\";s:7:\"version\";s:4:\"7.31\";s:3:\"tag\";s:4:\"7.31\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"31\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.31-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.31.tar.gz\";s:4:\"date\";s:10:\"1407346427\";s:6:\"mdhash\";s:32:\"de256f202930d3ef5ccc6aebc550adaf\";s:8:\"filesize\";s:7:\"3216766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.30\";a:14:{s:4:\"name\";s:11:\"drupal 7.30\";s:7:\"version\";s:4:\"7.30\";s:3:\"tag\";s:4:\"7.30\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"30\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.30-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.30.tar.gz\";s:4:\"date\";s:10:\"1406239728\";s:6:\"mdhash\";s:32:\"ef7bce65ca6395f1e6bc44c15fdbc3cb\";s:8:\"filesize\";s:7:\"3215744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.29\";a:14:{s:4:\"name\";s:11:\"drupal 7.29\";s:7:\"version\";s:4:\"7.29\";s:3:\"tag\";s:4:\"7.29\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"29\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.29-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.29.tar.gz\";s:4:\"date\";s:10:\"1405543128\";s:6:\"mdhash\";s:32:\"6ffdfb0ee08fadfb531c7fed1d2c5633\";s:8:\"filesize\";s:7:\"3213499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.28\";a:14:{s:4:\"name\";s:11:\"drupal 7.28\";s:7:\"version\";s:4:\"7.28\";s:3:\"tag\";s:4:\"7.28\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"28\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.28-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.28.tar.gz\";s:4:\"date\";s:10:\"1399522729\";s:6:\"mdhash\";s:32:\"6255884d7e15c654fc8856805b271551\";s:8:\"filesize\";s:7:\"3212823\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.27\";a:14:{s:4:\"name\";s:11:\"drupal 7.27\";s:7:\"version\";s:4:\"7.27\";s:3:\"tag\";s:4:\"7.27\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.27-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.27.tar.gz\";s:4:\"date\";s:10:\"1397686464\";s:6:\"mdhash\";s:32:\"e9b05562f1a7f8bbcb5922cd3a0d55cb\";s:8:\"filesize\";s:7:\"3207398\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.26\";a:14:{s:4:\"name\";s:11:\"drupal 7.26\";s:7:\"version\";s:4:\"7.26\";s:3:\"tag\";s:4:\"7.26\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.26-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.26.tar.gz\";s:4:\"date\";s:10:\"1389815904\";s:6:\"mdhash\";s:32:\"740bd57f524b8ac18a203b663ca1329d\";s:8:\"filesize\";s:7:\"3204587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.25\";a:14:{s:4:\"name\";s:11:\"drupal 7.25\";s:7:\"version\";s:4:\"7.25\";s:3:\"tag\";s:4:\"7.25\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.25-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.25.tar.gz\";s:4:\"date\";s:10:\"1388709505\";s:6:\"mdhash\";s:32:\"25906158083d89aa86534df1c683b4ea\";s:8:\"filesize\";s:7:\"3203256\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.24\";a:14:{s:4:\"name\";s:11:\"drupal 7.24\";s:7:\"version\";s:4:\"7.24\";s:3:\"tag\";s:4:\"7.24\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.24-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.24.tar.gz\";s:4:\"date\";s:10:\"1384982905\";s:6:\"mdhash\";s:32:\"c1ddb37155e4b6160f6508636c06f2a7\";s:8:\"filesize\";s:7:\"3195735\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.23\";a:14:{s:4:\"name\";s:11:\"drupal 7.23\";s:7:\"version\";s:4:\"7.23\";s:3:\"tag\";s:4:\"7.23\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.23-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.23.tar.gz\";s:4:\"date\";s:10:\"1375928239\";s:6:\"mdhash\";s:32:\"0beca6fec15b8cf8c35a6fdda6675342\";s:8:\"filesize\";s:7:\"3191695\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.22\";a:14:{s:4:\"name\";s:11:\"drupal 7.22\";s:7:\"version\";s:4:\"7.22\";s:3:\"tag\";s:4:\"7.22\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.22-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.22.tar.gz\";s:4:\"date\";s:10:\"1365027013\";s:6:\"mdhash\";s:32:\"068d7a77958fce6bb002659aa7ccaeb7\";s:8:\"filesize\";s:7:\"3183014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.21\";a:14:{s:4:\"name\";s:11:\"drupal 7.21\";s:7:\"version\";s:4:\"7.21\";s:3:\"tag\";s:4:\"7.21\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.21-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.21.tar.gz\";s:4:\"date\";s:10:\"1362616997\";s:6:\"mdhash\";s:32:\"eff054cd53be39ff719f77c81dce1aac\";s:8:\"filesize\";s:7:\"3163798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.20\";a:14:{s:4:\"name\";s:11:\"drupal 7.20\";s:7:\"version\";s:4:\"7.20\";s:3:\"tag\";s:4:\"7.20\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.20-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.20.tar.gz\";s:4:\"date\";s:10:\"1361393684\";s:6:\"mdhash\";s:32:\"ee576d63f1fd8a1f1c072a56978da0c5\";s:8:\"filesize\";s:7:\"3163257\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.19\";a:14:{s:4:\"name\";s:11:\"drupal 7.19\";s:7:\"version\";s:4:\"7.19\";s:3:\"tag\";s:4:\"7.19\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.19-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.19.tar.gz\";s:4:\"date\";s:10:\"1358374871\";s:6:\"mdhash\";s:32:\"c1dd3960f1555df208c80ef612e0c53a\";s:8:\"filesize\";s:7:\"3163130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.18\";a:14:{s:4:\"name\";s:11:\"drupal 7.18\";s:7:\"version\";s:4:\"7.18\";s:3:\"tag\";s:4:\"7.18\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.18-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.18.tar.gz\";s:4:\"date\";s:10:\"1355944004\";s:6:\"mdhash\";s:32:\"5c048f60a53acd7cb3c2b6d5fe42f082\";s:8:\"filesize\";s:7:\"3162333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.17\";a:14:{s:4:\"name\";s:11:\"drupal 7.17\";s:7:\"version\";s:4:\"7.17\";s:3:\"tag\";s:4:\"7.17\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.17-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.17.tar.gz\";s:4:\"date\";s:10:\"1352325358\";s:6:\"mdhash\";s:32:\"439e8ca7e6a33bb879a4624d8f01bed0\";s:8:\"filesize\";s:7:\"3162429\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.16\";a:14:{s:4:\"name\";s:11:\"drupal 7.16\";s:7:\"version\";s:4:\"7.16\";s:3:\"tag\";s:4:\"7.16\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.16\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.16.tar.gz\";s:4:\"date\";s:10:\"1350508568\";s:6:\"mdhash\";s:32:\"352497b2df94b5308e31cb8da020b631\";s:8:\"filesize\";s:7:\"3142889\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.15\";a:14:{s:4:\"name\";s:11:\"drupal 7.15\";s:7:\"version\";s:4:\"7.15\";s:3:\"tag\";s:4:\"7.15\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.15\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.15.tar.gz\";s:4:\"date\";s:10:\"1343839327\";s:6:\"mdhash\";s:32:\"f42c9baccd74e1d035d61ff537ae21b4\";s:8:\"filesize\";s:7:\"3142219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.14\";a:14:{s:4:\"name\";s:11:\"drupal 7.14\";s:7:\"version\";s:4:\"7.14\";s:3:\"tag\";s:4:\"7.14\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.14\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.14.tar.gz\";s:4:\"date\";s:10:\"1335997556\";s:6:\"mdhash\";s:32:\"af7abd95c03ecad4e1567ed94a438334\";s:8:\"filesize\";s:7:\"3128473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.13\";a:14:{s:4:\"name\";s:11:\"drupal 7.13\";s:7:\"version\";s:4:\"7.13\";s:3:\"tag\";s:4:\"7.13\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.13\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.13.tar.gz\";s:4:\"date\";s:10:\"1335997261\";s:6:\"mdhash\";s:32:\"80587b66375c7fc539414a20a2c6f2de\";s:8:\"filesize\";s:7:\"3088448\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.12\";a:14:{s:4:\"name\";s:11:\"drupal 7.12\";s:7:\"version\";s:4:\"7.12\";s:3:\"tag\";s:4:\"7.12\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.12\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.12.tar.gz\";s:4:\"date\";s:10:\"1328134561\";s:6:\"mdhash\";s:32:\"db2284beb97241c9bdca9c638cd8a4f1\";s:8:\"filesize\";s:7:\"3088472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.11\";a:14:{s:4:\"name\";s:11:\"drupal 7.11\";s:7:\"version\";s:4:\"7.11\";s:3:\"tag\";s:4:\"7.11\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.11\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.11.tar.gz\";s:4:\"date\";s:10:\"1328134275\";s:6:\"mdhash\";s:32:\"e9857e1749762367d7631d74cc6564a7\";s:8:\"filesize\";s:7:\"2789336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.10\";a:14:{s:4:\"name\";s:11:\"drupal 7.10\";s:7:\"version\";s:4:\"7.10\";s:3:\"tag\";s:4:\"7.10\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.10\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.10.tar.gz\";s:4:\"date\";s:10:\"1323125439\";s:6:\"mdhash\";s:32:\"1caafb849bc756e62dd874b90b95ab31\";s:8:\"filesize\";s:7:\"3067653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.9\";a:14:{s:4:\"name\";s:10:\"drupal 7.9\";s:7:\"version\";s:3:\"7.9\";s:3:\"tag\";s:3:\"7.9\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.9\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.9.tar.gz\";s:4:\"date\";s:10:\"1319660731\";s:6:\"mdhash\";s:32:\"7f45f109c413ca69ebb6e3140ed47225\";s:8:\"filesize\";s:7:\"2788086\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.8\";a:14:{s:4:\"name\";s:10:\"drupal 7.8\";s:7:\"version\";s:3:\"7.8\";s:3:\"tag\";s:3:\"7.8\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.8\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.8.tar.gz\";s:4:\"date\";s:10:\"1314817617\";s:6:\"mdhash\";s:32:\"e0226b56e8d5c57c6b126e8ed5866b1f\";s:8:\"filesize\";s:7:\"2766967\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.7\";a:14:{s:4:\"name\";s:10:\"drupal 7.7\";s:7:\"version\";s:3:\"7.7\";s:3:\"tag\";s:3:\"7.7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.7\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.7.tar.gz\";s:4:\"date\";s:10:\"1311813880\";s:6:\"mdhash\";s:32:\"2eeb63fd1ef6b23b0a9f5f6b8aef8850\";s:8:\"filesize\";s:7:\"2754113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.6\";a:14:{s:4:\"name\";s:10:\"drupal 7.6\";s:7:\"version\";s:3:\"7.6\";s:3:\"tag\";s:3:\"7.6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.6\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.6.tar.gz\";s:4:\"date\";s:10:\"1311798716\";s:6:\"mdhash\";s:32:\"e88e63c4da9e5e170f089d050c88c827\";s:8:\"filesize\";s:7:\"2753784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.5\";a:14:{s:4:\"name\";s:10:\"drupal 7.5\";s:7:\"version\";s:3:\"7.5\";s:3:\"tag\";s:3:\"7.5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.5\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.5.tar.gz\";s:4:\"date\";s:10:\"1311798416\";s:6:\"mdhash\";s:32:\"36d65b7a97c58226c64a6abdf481de45\";s:8:\"filesize\";s:7:\"2744690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.4\";a:14:{s:4:\"name\";s:10:\"drupal 7.4\";s:7:\"version\";s:3:\"7.4\";s:3:\"tag\";s:3:\"7.4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.4\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.4.tar.gz\";s:4:\"date\";s:10:\"1309397516\";s:6:\"mdhash\";s:32:\"84704de078e9f5432c9bb5c6ecd841d4\";s:8:\"filesize\";s:7:\"2744808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.3\";a:14:{s:4:\"name\";s:10:\"drupal 7.3\";s:7:\"version\";s:3:\"7.3\";s:3:\"tag\";s:3:\"7.3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.3\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.3.tar.gz\";s:4:\"date\";s:10:\"1309397216\";s:6:\"mdhash\";s:32:\"c290775724bc309647d84d03ddb88e2e\";s:8:\"filesize\";s:7:\"2735461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.2\";a:14:{s:4:\"name\";s:10:\"drupal 7.2\";s:7:\"version\";s:3:\"7.2\";s:3:\"tag\";s:3:\"7.2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.2\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.2.tar.gz\";s:4:\"date\";s:10:\"1306357017\";s:6:\"mdhash\";s:32:\"cf88c87e3694ebd15b62ba6f6a69124f\";s:8:\"filesize\";s:7:\"2731345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.1\";a:14:{s:4:\"name\";s:10:\"drupal 7.1\";s:7:\"version\";s:3:\"7.1\";s:3:\"tag\";s:3:\"7.1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.1\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.1.tar.gz\";s:4:\"date\";s:10:\"1306354916\";s:6:\"mdhash\";s:32:\"27eb45cb894a76f3a9ae6715584a10cc\";s:8:\"filesize\";s:7:\"2713977\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.0\";a:14:{s:4:\"name\";s:10:\"drupal 7.0\";s:7:\"version\";s:3:\"7.0\";s:3:\"tag\";s:3:\"7.0\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.0\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.0.tar.gz\";s:4:\"date\";s:10:\"1294208759\";s:6:\"mdhash\";s:32:\"e96c0a5e47c5d7706897384069dfb920\";s:8:\"filesize\";s:7:\"2728271\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.0-rc4\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc4\";s:7:\"version\";s:7:\"7.0-rc4\";s:3:\"tag\";s:8:\"7.0-rc-4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1293684084\";s:6:\"mdhash\";s:32:\"104c08e609c64bb1e45b55a7ad1ad857\";s:8:\"filesize\";s:7:\"2717666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc3\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc3\";s:7:\"version\";s:7:\"7.0-rc3\";s:3:\"tag\";s:8:\"7.0-rc-3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1293099424\";s:6:\"mdhash\";s:32:\"be9a3f190e2648fa03dcb2bf3d8be199\";s:8:\"filesize\";s:7:\"2719115\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc2\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc2\";s:7:\"version\";s:7:\"7.0-rc2\";s:3:\"tag\";s:8:\"7.0-rc-2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1292101847\";s:6:\"mdhash\";s:32:\"f31982c73f1707ddccb2927325bc9cb9\";s:8:\"filesize\";s:7:\"2705734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc1\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc1\";s:7:\"version\";s:7:\"7.0-rc1\";s:3:\"tag\";s:8:\"7.0-rc-1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1291190142\";s:6:\"mdhash\";s:32:\"b554e79cf60c02d4dec592151c4b58ee\";s:8:\"filesize\";s:7:\"2694689\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta3\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta3\";s:7:\"version\";s:9:\"7.0-beta3\";s:3:\"tag\";s:9:\"7.0-beta3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1289694735\";s:6:\"mdhash\";s:32:\"c942f010a2535586c4578cd7b107c652\";s:8:\"filesize\";s:7:\"2660883\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta2\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta2\";s:7:\"version\";s:9:\"7.0-beta2\";s:3:\"tag\";s:9:\"7.0-beta2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1287812133\";s:6:\"mdhash\";s:32:\"c2de0bdb657b77af8c8369a355cab8ce\";s:8:\"filesize\";s:7:\"2638949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta1\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta1\";s:7:\"version\";s:9:\"7.0-beta1\";s:3:\"tag\";s:9:\"7.0-beta1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286422866\";s:6:\"mdhash\";s:32:\"490ce0d95eacc15f2918becd60f6821c\";s:8:\"filesize\";s:7:\"2622225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha7\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha7\";s:7:\"version\";s:10:\"7.0-alpha7\";s:3:\"tag\";s:10:\"7.0-alpha7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1284599764\";s:6:\"mdhash\";s:32:\"15183fcf862be97f7e96991e6e56fe2e\";s:8:\"filesize\";s:7:\"2586833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha6\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha6\";s:7:\"version\";s:10:\"7.0-alpha6\";s:3:\"tag\";s:10:\"7.0-alpha6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1278634809\";s:6:\"mdhash\";s:32:\"eb64647263affc36f76d1e7ffb751d32\";s:8:\"filesize\";s:7:\"2458211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha5\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha5\";s:7:\"version\";s:10:\"7.0-alpha5\";s:3:\"tag\";s:10:\"7.0-alpha5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1274628613\";s:6:\"mdhash\";s:32:\"de9c1d51f0ce730f7356bd0a160e8ce1\";s:8:\"filesize\";s:7:\"2424226\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha4\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha4\";s:7:\"version\";s:10:\"7.0-alpha4\";s:3:\"tag\";s:10:\"7.0-alpha4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1272318014\";s:6:\"mdhash\";s:32:\"c8f371a388bc65b2211d7d29856fb993\";s:8:\"filesize\";s:7:\"2403384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha3\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha3\";s:7:\"version\";s:10:\"7.0-alpha3\";s:3:\"tag\";s:10:\"7.0-alpha3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1269192317\";s:6:\"mdhash\";s:32:\"9efc083f09d6b523d655bc90a6869945\";s:8:\"filesize\";s:7:\"2357934\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha2\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha2\";s:7:\"version\";s:10:\"7.0-alpha2\";s:3:\"tag\";s:10:\"7.0-alpha2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1266777910\";s:6:\"mdhash\";s:32:\"cfbfdd2249638a266054f2532348065d\";s:8:\"filesize\";s:7:\"2314834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha1\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha1\";s:7:\"version\";s:10:\"7.0-alpha1\";s:3:\"tag\";s:10:\"7.0-alpha1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1263566711\";s:6:\"mdhash\";s:32:\"508109c6cf0ead868e02d8c3db2a4d1f\";s:8:\"filesize\";s:7:\"2283220\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-dev\";a:14:{s:4:\"name\";s:14:\"drupal 7.x-dev\";s:7:\"version\";s:7:\"7.x-dev\";s:3:\"tag\";s:3:\"7.x\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.x-dev\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499966043\";s:6:\"mdhash\";s:32:\"f769ca3a41b3e188f3d1b148388939bf\";s:8:\"filesize\";s:7:\"3278048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526797,1500440370,1),('available_releases::email','a:11:{s:5:\"title\";s:11:\"Email Field\";s:10:\"short_name\";s:5:\"email\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/email\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:8:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1397134152\";s:6:\"mdhash\";s:32:\"d827fffe1eb3ed14a34e0cb259b5b250\";s:8:\"filesize\";s:5:\"12566\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1346254131\";s:6:\"mdhash\";s:32:\"a2d78e35e91f7989abbf3e7b81fb30c4\";s:8:\"filesize\";s:5:\"12373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1340207779\";s:6:\"mdhash\";s:32:\"11fb9be984c871935a01aef8db1cf5a3\";s:8:\"filesize\";s:5:\"11855\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1313666248\";s:6:\"mdhash\";s:32:\"21d657b19e896a99af018d4f3159f835\";s:8:\"filesize\";s:4:\"9976\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"email 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/email/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/email-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1295529409\";s:6:\"mdhash\";s:32:\"a14d62686c04c77a170a5e7c728f35ef\";s:8:\"filesize\";s:5:\"13332\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"email 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/email/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/email-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1287061888\";s:6:\"mdhash\";s:32:\"a99bb8cd5648d2c1c99bdba72e6b123f\";s:8:\"filesize\";s:5:\"13060\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"email 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/email/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/email-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1265728810\";s:6:\"mdhash\";s:32:\"e86a4d95ef75e43f0128d60a196da8c6\";s:8:\"filesize\";s:5:\"12999\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"email 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/email/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/email-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1397133854\";s:6:\"mdhash\";s:32:\"e6bc6ee239c6baaebce0fc209b68f82a\";s:8:\"filesize\";s:5:\"12573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526774,1500440370,1),('available_releases::entity','a:11:{s:5:\"title\";s:10:\"Entity API\";s:10:\"short_name\";s:6:\"entity\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:30:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1458222242\";s:6:\"mdhash\";s:32:\"f4787da0230869cc7420b6cea78212e5\";s:8:\"filesize\";s:6:\"121426\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1424876581\";s:6:\"mdhash\";s:32:\"a778a5c82eaddac50e40a3dd0a3ebac6\";s:8:\"filesize\";s:6:\"120850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396975451\";s:6:\"mdhash\";s:32:\"04b90c27b2f1627d0a218006291afa9f\";s:8:\"filesize\";s:6:\"121011\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1395335056\";s:6:\"mdhash\";s:32:\"d026208f7b433b9b2dd5fdc705396d0e\";s:8:\"filesize\";s:6:\"120371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1389210804\";s:6:\"mdhash\";s:32:\"92bb78da6928049c0d9bdea76629416b\";s:8:\"filesize\";s:6:\"119279\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1376493705\";s:6:\"mdhash\";s:32:\"c87e0ce3708a26a3045c36b8ad15f61c\";s:8:\"filesize\";s:6:\"115225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1367338217\";s:6:\"mdhash\";s:32:\"1f23d1bee48287f1c53f8d3f1391187a\";s:8:\"filesize\";s:6:\"110514\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1356471145\";s:6:\"mdhash\";s:32:\"f072eda34e284561bb55cfae0dbe30db\";s:8:\"filesize\";s:6:\"110082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337981155\";s:6:\"mdhash\";s:32:\"267c552757d1fa8bbe17c624a7ec4c3f\";s:8:\"filesize\";s:6:\"106628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335099086\";s:6:\"mdhash\";s:32:\"587d7b6a088a195722fe7d11b1c9c8fa\";s:8:\"filesize\";s:6:\"105993\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1320914735\";s:6:\"mdhash\";s:32:\"daa6dff009d00756f86b80b31af32c77\";s:8:\"filesize\";s:5:\"95227\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1319558131\";s:6:\"mdhash\";s:32:\"0d98c2c361e5936593b8365614fa04e3\";s:8:\"filesize\";s:5:\"83206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1310486817\";s:6:\"mdhash\";s:32:\"016f48d7ecee0da62ae1a8f6cf26a656\";s:8:\"filesize\";s:5:\"77197\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1308239815\";s:6:\"mdhash\";s:32:\"a965dc47b0b8afc2f75b69be31e767d0\";s:8:\"filesize\";s:5:\"75840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1300731067\";s:6:\"mdhash\";s:32:\"317ec15a5f9d90e7613b52f20a7e9a82\";s:8:\"filesize\";s:5:\"71258\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1298285230\";s:6:\"mdhash\";s:32:\"9598452892a90a3b098d3152334aeb85\";s:8:\"filesize\";s:5:\"72722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1294170388\";s:6:\"mdhash\";s:32:\"64588b70e6773d146e0bf4267a90a270\";s:8:\"filesize\";s:5:\"68465\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1293135097\";s:6:\"mdhash\";s:32:\"53325d82ab40c0dc325ccb59d0bca3e6\";s:8:\"filesize\";s:5:\"65300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1292941950\";s:6:\"mdhash\";s:32:\"93210f6c3b3b19258f217a64e6bd56a8\";s:8:\"filesize\";s:5:\"65305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1291297866\";s:6:\"mdhash\";s:32:\"cb05413449da98da415d40e3520f0f6d\";s:8:\"filesize\";s:5:\"61957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1290197444\";s:6:\"mdhash\";s:32:\"a1646f5c1933772feb76e2dd31d6324b\";s:8:\"filesize\";s:5:\"60670\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286786762\";s:6:\"mdhash\";s:32:\"2e53243fdf0fae60217dd7916d982e47\";s:8:\"filesize\";s:5:\"54660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1280228111\";s:6:\"mdhash\";s:32:\"5d88abea4508ea3561332f466746ab3d\";s:8:\"filesize\";s:5:\"47315\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1273607706\";s:6:\"mdhash\";s:32:\"13348a08070605b3742d4fad7856d76a\";s:8:\"filesize\";s:5:\"45331\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1268336409\";s:6:\"mdhash\";s:32:\"0e093c0ded92b23a4e628a7953a198dc\";s:8:\"filesize\";s:5:\"41614\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1266851413\";s:6:\"mdhash\";s:32:\"d347ca5528b9ed9d132b492cb4b7b2af\";s:8:\"filesize\";s:5:\"40746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1263231309\";s:6:\"mdhash\";s:32:\"be9a91bd68b59480bdca9e8a6d6ad932\";s:8:\"filesize\";s:5:\"31954\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1260807922\";s:6:\"mdhash\";s:32:\"858c5a1b255f5316737dbbd3b562d825\";s:8:\"filesize\";s:5:\"29154\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"entity 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1489006983\";s:6:\"mdhash\";s:32:\"896905b4ea1cfc180d6f03bc5ab44378\";s:8:\"filesize\";s:6:\"124235\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526774,1500440370,1),('available_releases::entityreference','a:11:{s:5:\"title\";s:16:\"Entity reference\";s:10:\"short_name\";s:15:\"entityreference\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1494450485\";s:6:\"mdhash\";s:32:\"e800309d10d254bd8e80770beb17f4f3\";s:8:\"filesize\";s:5:\"43171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1474306739\";s:6:\"mdhash\";s:32:\"ef8f161721709dedcd1babc18b033006\";s:8:\"filesize\";s:5:\"40840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1384973004\";s:6:\"mdhash\";s:32:\"604843bda17acbd927f71f8cf8a74a48\";s:8:\"filesize\";s:5:\"40371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1353230808\";s:6:\"mdhash\";s:32:\"81f458c4b41b61f405af905d2fd8a5ec\";s:8:\"filesize\";s:5:\"36787\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1348565045\";s:6:\"mdhash\";s:32:\"648a462e0bc442533debbd0b1b98e665\";s:8:\"filesize\";s:5:\"32328\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1348486666\";s:6:\"mdhash\";s:32:\"b1bdad67159df7cfa1edbc71ca1f15be\";s:8:\"filesize\";s:5:\"31223\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1338411956\";s:6:\"mdhash\";s:32:\"6f07ffafd42ec5fa9b76d398831c9956\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1338371757\";s:6:\"mdhash\";s:32:\"35336e7b27b1755db8464d786167081b\";s:8:\"filesize\";s:5:\"30494\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1332279946\";s:6:\"mdhash\";s:32:\"83f006ab5235890efc2b3986f8dcdfe3\";s:8:\"filesize\";s:5:\"24495\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1330297849\";s:6:\"mdhash\";s:32:\"1508867497f54a68acb9f92ca4cddcfe\";s:8:\"filesize\";s:5:\"24228\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1329149138\";s:6:\"mdhash\";s:32:\"7d5566cd6425d2dca4d0597984726eb8\";s:8:\"filesize\";s:5:\"24005\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1324748139\";s:6:\"mdhash\";s:32:\"397fa7a810501fbb22390c8fb8ac10ef\";s:8:\"filesize\";s:5:\"19799\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1322214940\";s:6:\"mdhash\";s:32:\"41b5dd4ed7115763e5b30c41a9a07c3d\";s:8:\"filesize\";s:5:\"19792\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1316702804\";s:6:\"mdhash\";s:32:\"a056dc3e075e9b0783cb1addaad5086e\";s:8:\"filesize\";s:5:\"18948\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1316171203\";s:6:\"mdhash\";s:32:\"0f5a3e9f3f998ed12d7c6bf1fd864274\";s:8:\"filesize\";s:5:\"17761\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1313085717\";s:6:\"mdhash\";s:32:\"d17373159f2c745be04bf3ea2df7632d\";s:8:\"filesize\";s:5:\"10847\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"entityreference 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1494943085\";s:6:\"mdhash\";s:32:\"3b31310e19437100905b2625d32a5c97\";s:8:\"filesize\";s:5:\"43242\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526775,1500440370,1),('available_releases::field_collection','a:11:{s:5:\"title\";s:16:\"Field collection\";s:10:\"short_name\";s:16:\"field_collection\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/field_collection\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:14:\"7.x-1.0-beta12\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta12\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:3:\"tag\";s:14:\"7.x-1.0-beta12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1479402842\";s:6:\"mdhash\";s:32:\"e966ba0c2ad40b9b044ae8bdf993f5ed\";s:8:\"filesize\";s:5:\"51018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1454338739\";s:6:\"mdhash\";s:32:\"0f51a97383cd50f72a2ecd950cce5e1a\";s:8:\"filesize\";s:5:\"40461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1445529539\";s:6:\"mdhash\";s:32:\"bb00b6d371b096732071ad7999223c5a\";s:8:\"filesize\";s:5:\"40443\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1445282939\";s:6:\"mdhash\";s:32:\"99910b78ea9fdda42a746089b579152c\";s:8:\"filesize\";s:5:\"40406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1415122380\";s:6:\"mdhash\";s:32:\"50e687acf3779b987bacde5ad047fb46\";s:8:\"filesize\";s:5:\"38360\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1394731105\";s:6:\"mdhash\";s:32:\"8678d50f7248d4830a615f451c623201\";s:8:\"filesize\";s:5:\"36080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1356475964\";s:6:\"mdhash\";s:32:\"e881931a5e0fea9ff844385c80743a54\";s:8:\"filesize\";s:5:\"33162\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1333382446\";s:6:\"mdhash\";s:32:\"591e8d3bcc5f0af52710680529308d8e\";s:8:\"filesize\";s:5:\"26573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1327376442\";s:6:\"mdhash\";s:32:\"ef0e3a56c77e50a59f0ae965d70b58b3\";s:8:\"filesize\";s:5:\"25613\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1313670125\";s:6:\"mdhash\";s:32:\"b4ee245a67c07332b3b2fa2d83ba7e1a\";s:8:\"filesize\";s:5:\"21012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1296573488\";s:6:\"mdhash\";s:32:\"7c644203e32cc8c6d2d1bd5400b5c361\";s:8:\"filesize\";s:5:\"17272\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"field_collection 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/field_collection/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1481300583\";s:6:\"mdhash\";s:32:\"cedb190a2c89f6280843a7672094e0bc\";s:8:\"filesize\";s:5:\"51053\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500526776,1500440370,1),('available_releases::field_group','a:11:{s:5:\"title\";s:11:\"Field Group\";s:10:\"short_name\";s:11:\"field_group\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1452033539\";s:6:\"mdhash\";s:32:\"8d91e0f3cc8106deefe038d5fc07d3e6\";s:8:\"filesize\";s:5:\"51465\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1401918527\";s:6:\"mdhash\";s:32:\"fa268e0c23b2af31ed560aa03a986cf1\";s:8:\"filesize\";s:5:\"51303\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1380124361\";s:6:\"mdhash\";s:32:\"6ea6a2b8a15c9c68d981f5b0ae6f881c\";s:8:\"filesize\";s:5:\"50593\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1377806210\";s:6:\"mdhash\";s:32:\"ea1b1af0b09f7578cffc261c8c5203df\";s:8:\"filesize\";s:5:\"49436\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1319051133\";s:6:\"mdhash\";s:32:\"4f02e7b10aff66e3bcdae002d6b80ec6\";s:8:\"filesize\";s:5:\"43065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1306266416\";s:6:\"mdhash\";s:32:\"5f549fbc7cbfa575a11a9d705a3df597\";s:8:\"filesize\";s:5:\"33471\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1300283167\";s:6:\"mdhash\";s:32:\"959768b52b8d4c04be0e8f8e93f4af1b\";s:8:\"filesize\";s:5:\"32537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1295392936\";s:6:\"mdhash\";s:32:\"aaa22e6444d2377e9673e5cfd6f21095\";s:8:\"filesize\";s:5:\"30414\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578862\";s:6:\"mdhash\";s:32:\"3ff6c75931a1668be98876378b7c2ebf\";s:8:\"filesize\";s:5:\"41104\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1495281183\";s:6:\"mdhash\";s:32:\"fecf1de862c9933f9669961b9b7ad781\";s:8:\"filesize\";s:5:\"51806\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526776,1500440370,1),('available_releases::flexslider','a:11:{s:5:\"title\";s:11:\"Flex Slider\";s:10:\"short_name\";s:10:\"flexslider\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/flexslider\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1487028483\";s:6:\"mdhash\";s:32:\"6bbfff91fc66bef36e8ef42323a33a59\";s:8:\"filesize\";s:7:\"3976547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1438285139\";s:6:\"mdhash\";s:32:\"c637c53352d34961d6413c8ac04ebf87\";s:8:\"filesize\";s:7:\"3977507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1378663044\";s:6:\"mdhash\";s:32:\"a8b4f9b9740ab9d41a9043b1ea7361aa\";s:8:\"filesize\";s:7:\"3977501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1376925141\";s:6:\"mdhash\";s:32:\"8f92257ca4e8baf7a6743a4bcf8738da\";s:8:\"filesize\";s:7:\"3975729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1362783811\";s:6:\"mdhash\";s:32:\"cb88bc862e89af0980839962c4f90a78\";s:8:\"filesize\";s:7:\"8366543\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337289957\";s:6:\"mdhash\";s:32:\"e10d32bcb407d080319d1c85e93cb3f5\";s:8:\"filesize\";s:5:\"26069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1333369556\";s:6:\"mdhash\";s:32:\"e5b228317528e962c633a508a56fcab7\";s:8:\"filesize\";s:5:\"25910\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1333216546\";s:6:\"mdhash\";s:32:\"cdf482ecf2684c4d63f51242ec815a7c\";s:8:\"filesize\";s:5:\"25930\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"flexslider 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1332764150\";s:6:\"mdhash\";s:32:\"4fe1003a1fcfb8d088cc6e402c2bc5bb\";s:8:\"filesize\";s:5:\"26001\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"flexslider 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1332702357\";s:6:\"mdhash\";s:32:\"058b01b76f42dcf9c075036036c4b62d\";s:8:\"filesize\";s:5:\"25855\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"flexslider 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487024583\";s:6:\"mdhash\";s:32:\"191e55868a7a3a0c9f2f6024b93ae83f\";s:8:\"filesize\";s:7:\"3976557\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"flexslider 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1446839939\";s:6:\"mdhash\";s:32:\"ed882b54ea61dc7ad370c2f3ea890e6b\";s:8:\"filesize\";s:5:\"26679\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500526777,1500440370,1),('available_releases::fontawesome','a:11:{s:5:\"title\";s:18:\"Font Awesome Icons\";s:10:\"short_name\";s:11:\"fontawesome\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/fontawesome\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1476103132\";s:6:\"mdhash\";s:32:\"cc9afba41c5a7f5e1b05840bac7e35aa\";s:8:\"filesize\";s:5:\"11867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1445924949\";s:6:\"mdhash\";s:32:\"0aa9c4b81233eb862e50e9225940628c\";s:8:\"filesize\";s:5:\"15693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1445576347\";s:6:\"mdhash\";s:32:\"500080050a48115712a1cba8a3e6fd24\";s:8:\"filesize\";s:5:\"15409\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1420873981\";s:6:\"mdhash\";s:32:\"d05dde71a5a5bb28f62c6c3842b3f3c6\";s:8:\"filesize\";s:5:\"15068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1445571540\";s:6:\"mdhash\";s:32:\"bc4cd43e2c75c5578ddcc32984b4210b\";s:8:\"filesize\";s:5:\"15072\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1420870981\";s:6:\"mdhash\";s:32:\"f12aaca6b7087a392c4e17cb96a390ee\";s:8:\"filesize\";s:5:\"14233\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1391844804\";s:6:\"mdhash\";s:32:\"a4d10ba4248da06e6f48f7c4a2b48f0b\";s:8:\"filesize\";s:5:\"12458\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"fontawesome 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1476102239\";s:6:\"mdhash\";s:32:\"2de8b54673866ddd10027a1d8a7b8d4d\";s:8:\"filesize\";s:5:\"11873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"fontawesome 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420869181\";s:6:\"mdhash\";s:32:\"7e06a4a3a7655a7944670942987ef772\";s:8:\"filesize\";s:5:\"14236\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526777,1500440370,1),('available_releases::galleryformatter','a:11:{s:5:\"title\";s:17:\"Gallery formatter\";s:10:\"short_name\";s:16:\"galleryformatter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/galleryformatter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1442600639\";s:6:\"mdhash\";s:32:\"3754143cc4f2623b85fe4432514db18b\";s:8:\"filesize\";s:5:\"41653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1355821655\";s:6:\"mdhash\";s:32:\"5cc4e33e7a3c1939303cf947d8e3a657\";s:8:\"filesize\";s:5:\"41800\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1343209964\";s:6:\"mdhash\";s:32:\"fb0f1682bd3498015d1b11029a07791f\";s:8:\"filesize\";s:5:\"41729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1342169810\";s:6:\"mdhash\";s:32:\"84a8c812ae5c86d97d6d7d7d08b4a4fb\";s:8:\"filesize\";s:5:\"41282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.0\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296418641\";s:6:\"mdhash\";s:32:\"67b0a3976281a4b5c1d9b3bd1baee6e9\";s:8:\"filesize\";s:5:\"39177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"galleryformatter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1477160340\";s:6:\"mdhash\";s:32:\"507d0b1f4de7f940b12a301925b7473d\";s:8:\"filesize\";s:5:\"41700\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526777,1500440370,1),('available_releases::gmap','a:11:{s:5:\"title\";s:11:\"GMap Module\";s:10:\"short_name\";s:4:\"gmap\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/gmap\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:51:{s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:13:\"gmap 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/gmap/releases/7.x-2.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1457698139\";s:6:\"mdhash\";s:32:\"a457b062ef0f7a8f2ff4caa6e1b4299c\";s:8:\"filesize\";s:6:\"316275\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.11-beta1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.11-beta1\";s:7:\"version\";s:14:\"7.x-2.11-beta1\";s:3:\"tag\";s:14:\"7.x-2.11-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.11-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.11-beta1.tar.gz\";s:4:\"date\";s:10:\"1452250439\";s:6:\"mdhash\";s:32:\"80102c115dc67944f35adda2b6bbd37c\";s:8:\"filesize\";s:6:\"316209\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:13:\"gmap 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/gmap/releases/7.x-2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1441725539\";s:6:\"mdhash\";s:32:\"af2d99281f1782d3f68639323f8d9363\";s:8:\"filesize\";s:6:\"316057\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-2.10-rc4\";a:15:{s:4:\"name\";s:17:\"gmap 7.x-2.10-rc4\";s:7:\"version\";s:12:\"7.x-2.10-rc4\";s:3:\"tag\";s:12:\"7.x-2.10-rc4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-rc4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-rc4.tar.gz\";s:4:\"date\";s:10:\"1438698839\";s:6:\"mdhash\";s:32:\"d480f4bef315b6ed97753823d398eeb6\";s:8:\"filesize\";s:6:\"315814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc3\";a:15:{s:4:\"name\";s:17:\"gmap 7.x-2.10-rc3\";s:7:\"version\";s:12:\"7.x-2.10-rc3\";s:3:\"tag\";s:12:\"7.x-2.10-rc3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-rc3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-rc3.tar.gz\";s:4:\"date\";s:10:\"1423589582\";s:6:\"mdhash\";s:32:\"ee2a7550617d58fab2f1a62ffdb85c57\";s:8:\"filesize\";s:6:\"314722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc2\";a:15:{s:4:\"name\";s:17:\"gmap 7.x-2.10-rc2\";s:7:\"version\";s:12:\"7.x-2.10-rc2\";s:3:\"tag\";s:12:\"7.x-2.10-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-rc2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-rc2.tar.gz\";s:4:\"date\";s:10:\"1422534481\";s:6:\"mdhash\";s:32:\"76798c294f7249f4a003690c3e23f642\";s:8:\"filesize\";s:6:\"314046\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc1\";a:15:{s:4:\"name\";s:17:\"gmap 7.x-2.10-rc1\";s:7:\"version\";s:12:\"7.x-2.10-rc1\";s:3:\"tag\";s:12:\"7.x-2.10-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-rc1.tar.gz\";s:4:\"date\";s:10:\"1415526480\";s:6:\"mdhash\";s:32:\"5b2a9d7d87bc9fdacb4a7ce9b458bf43\";s:8:\"filesize\";s:6:\"314025\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.10-beta1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.10-beta1\";s:7:\"version\";s:14:\"7.x-2.10-beta1\";s:3:\"tag\";s:14:\"7.x-2.10-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-beta1.tar.gz\";s:4:\"date\";s:10:\"1403364227\";s:6:\"mdhash\";s:32:\"509e9cb9a02f4cc8d33fd54e338d5b5a\";s:8:\"filesize\";s:6:\"314579\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1394461105\";s:6:\"mdhash\";s:32:\"a6ee1f4e0fa2b0320a7f990adc558f0d\";s:8:\"filesize\";s:6:\"220797\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.9-alpha1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.9-alpha1\";s:7:\"version\";s:14:\"7.x-2.9-alpha1\";s:3:\"tag\";s:14:\"7.x-2.9-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.9-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.9-alpha1.tar.gz\";s:4:\"date\";s:10:\"1387385905\";s:6:\"mdhash\";s:32:\"20c771297a83dda561bc9f7a9c29a48e\";s:8:\"filesize\";s:6:\"200559\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1382625633\";s:6:\"mdhash\";s:32:\"b69927c5831df59a0b3ed5a0196e84fb\";s:8:\"filesize\";s:6:\"200069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.8-beta5\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.8-beta5\";s:7:\"version\";s:13:\"7.x-2.8-beta5\";s:3:\"tag\";s:13:\"7.x-2.8-beta5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.8-beta5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8-beta5.tar.gz\";s:4:\"date\";s:10:\"1378834925\";s:6:\"mdhash\";s:32:\"485d5644b6c5adb71fd4e61a57bbff4e\";s:8:\"filesize\";s:6:\"200024\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta4\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.8-beta4\";s:7:\"version\";s:13:\"7.x-2.8-beta4\";s:3:\"tag\";s:13:\"7.x-2.8-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.8-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8-beta4.tar.gz\";s:4:\"date\";s:10:\"1378207599\";s:6:\"mdhash\";s:32:\"244e89274d1ca94d941c8b32c1e8330d\";s:8:\"filesize\";s:6:\"199974\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.8-beta2\";s:7:\"version\";s:13:\"7.x-2.8-beta2\";s:3:\"tag\";s:13:\"7.x-2.8-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.8-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8-beta2.tar.gz\";s:4:\"date\";s:10:\"1377527501\";s:6:\"mdhash\";s:32:\"69de6a58a1c14bfbaf6a6eb9bbd22aff\";s:8:\"filesize\";s:6:\"200693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.8-beta1\";s:7:\"version\";s:13:\"7.x-2.8-beta1\";s:3:\"tag\";s:13:\"7.x-2.8-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.8-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8-beta1.tar.gz\";s:4:\"date\";s:10:\"1376472095\";s:6:\"mdhash\";s:32:\"3f7f08ce759d5fb88019e3926f216e7d\";s:8:\"filesize\";s:6:\"199140\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1371720662\";s:6:\"mdhash\";s:32:\"4da5217ee037fda67b7ad80f96edb692\";s:8:\"filesize\";s:6:\"198666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.7-rc1\";a:15:{s:4:\"name\";s:16:\"gmap 7.x-2.7-rc1\";s:7:\"version\";s:11:\"7.x-2.7-rc1\";s:3:\"tag\";s:11:\"7.x-2.7-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-rc1.tar.gz\";s:4:\"date\";s:10:\"1368107117\";s:6:\"mdhash\";s:32:\"9cbf9005dbcf9739f56c708702b2c6c0\";s:8:\"filesize\";s:6:\"197712\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.7-beta4\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.7-beta4\";s:7:\"version\";s:13:\"7.x-2.7-beta4\";s:3:\"tag\";s:13:\"7.x-2.7-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-beta4.tar.gz\";s:4:\"date\";s:10:\"1367862313\";s:6:\"mdhash\";s:32:\"67ed24981108bcea20174909eb3dc206\";s:8:\"filesize\";s:6:\"197720\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.7-beta3\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.7-beta3\";s:7:\"version\";s:13:\"7.x-2.7-beta3\";s:3:\"tag\";s:13:\"7.x-2.7-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-beta3.tar.gz\";s:4:\"date\";s:10:\"1367760316\";s:6:\"mdhash\";s:32:\"4721815d4571c203c1f03838ac6d0c73\";s:8:\"filesize\";s:6:\"196731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.7-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.7-beta2\";s:7:\"version\";s:13:\"7.x-2.7-beta2\";s:3:\"tag\";s:13:\"7.x-2.7-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-beta2.tar.gz\";s:4:\"date\";s:10:\"1366135867\";s:6:\"mdhash\";s:32:\"a6bf452f9085f4997f9387e5ab57b8e7\";s:8:\"filesize\";s:6:\"192559\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.7-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.7-beta1\";s:7:\"version\";s:13:\"7.x-2.7-beta1\";s:3:\"tag\";s:13:\"7.x-2.7-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-beta1.tar.gz\";s:4:\"date\";s:10:\"1365701712\";s:6:\"mdhash\";s:32:\"fb37c7904e81e1d839bc1c89ffd916d0\";s:8:\"filesize\";s:6:\"191992\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1364754012\";s:6:\"mdhash\";s:32:\"672ebeaa5e6ab5a19bdbe8b7ed8f6abf\";s:8:\"filesize\";s:6:\"191923\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1364409312\";s:6:\"mdhash\";s:32:\"aa57eaa702860e13b9ed16f260e95b67\";s:8:\"filesize\";s:6:\"181745\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.5-beta3\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.5-beta3\";s:7:\"version\";s:13:\"7.x-2.5-beta3\";s:3:\"tag\";s:13:\"7.x-2.5-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-beta3.tar.gz\";s:4:\"date\";s:10:\"1364382917\";s:6:\"mdhash\";s:32:\"56fd3ec7bf63d016102a709a53a0d2cb\";s:8:\"filesize\";s:6:\"191946\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.5-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.5-beta2\";s:7:\"version\";s:13:\"7.x-2.5-beta2\";s:3:\"tag\";s:13:\"7.x-2.5-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-beta2.tar.gz\";s:4:\"date\";s:10:\"1364322612\";s:6:\"mdhash\";s:32:\"a92c4da24ba4ce4f90026774f0b491d7\";s:8:\"filesize\";s:6:\"191974\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.5-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.5-beta1\";s:7:\"version\";s:13:\"7.x-2.5-beta1\";s:3:\"tag\";s:13:\"7.x-2.5-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-beta1.tar.gz\";s:4:\"date\";s:10:\"1363700266\";s:6:\"mdhash\";s:32:\"98b88991d866f6695fc23ee108a153da\";s:8:\"filesize\";s:6:\"191828\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.5-alpha4\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.5-alpha4\";s:7:\"version\";s:14:\"7.x-2.5-alpha4\";s:3:\"tag\";s:14:\"7.x-2.5-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-alpha4.tar.gz\";s:4:\"date\";s:10:\"1363181711\";s:6:\"mdhash\";s:32:\"6bdb36c3f721b1ba78df14775e46ff14\";s:8:\"filesize\";s:6:\"191809\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.5-alpha3\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.5-alpha3\";s:7:\"version\";s:14:\"7.x-2.5-alpha3\";s:3:\"tag\";s:14:\"7.x-2.5-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-alpha3.tar.gz\";s:4:\"date\";s:10:\"1363080018\";s:6:\"mdhash\";s:32:\"1540aae5b23e5d16468a48adf0c2c765\";s:8:\"filesize\";s:6:\"191757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.5-alpha2\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.5-alpha2\";s:7:\"version\";s:14:\"7.x-2.5-alpha2\";s:3:\"tag\";s:14:\"7.x-2.5-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-alpha2.tar.gz\";s:4:\"date\";s:10:\"1362909011\";s:6:\"mdhash\";s:32:\"f758f198a914441515888c9bcb8ba4d5\";s:8:\"filesize\";s:6:\"191992\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.5-alpha1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.5-alpha1\";s:7:\"version\";s:14:\"7.x-2.5-alpha1\";s:3:\"tag\";s:14:\"7.x-2.5-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-alpha1.tar.gz\";s:4:\"date\";s:10:\"1362873620\";s:6:\"mdhash\";s:32:\"bfb4f1292f7a027f529b6e794e2ce1c4\";s:8:\"filesize\";s:6:\"189076\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1361832031\";s:6:\"mdhash\";s:32:\"c6f951a6677729f98aaa8c5e569db1f6\";s:8:\"filesize\";s:6:\"182739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.4-beta4\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.4-beta4\";s:7:\"version\";s:13:\"7.x-2.4-beta4\";s:3:\"tag\";s:13:\"7.x-2.4-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.4-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4-beta4.tar.gz\";s:4:\"date\";s:10:\"1361811779\";s:6:\"mdhash\";s:32:\"4e6020e2b6e714aeedb93bbc21016ef1\";s:8:\"filesize\";s:6:\"181927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.4-beta3\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.4-beta3\";s:7:\"version\";s:13:\"7.x-2.4-beta3\";s:3:\"tag\";s:13:\"7.x-2.4-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.4-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4-beta3.tar.gz\";s:4:\"date\";s:10:\"1361811784\";s:6:\"mdhash\";s:32:\"d9d6a970e01f28752103aa9e43c22450\";s:8:\"filesize\";s:6:\"181942\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.4-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.4-beta2\";s:7:\"version\";s:13:\"7.x-2.4-beta2\";s:3:\"tag\";s:13:\"7.x-2.4-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.4-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4-beta2.tar.gz\";s:4:\"date\";s:10:\"1361811782\";s:6:\"mdhash\";s:32:\"b6d460f0fa41dda996d6428afb0d2df9\";s:8:\"filesize\";s:6:\"180474\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.4-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.4-beta1\";s:7:\"version\";s:13:\"7.x-2.4-beta1\";s:3:\"tag\";s:13:\"7.x-2.4-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.4-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4-beta1.tar.gz\";s:4:\"date\";s:10:\"1360694706\";s:6:\"mdhash\";s:32:\"e3bc6520c8cb23fc5077027f2b23fa52\";s:8:\"filesize\";s:6:\"180480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360250306\";s:6:\"mdhash\";s:32:\"b51d90165b35fc8dd1e268330e7e19b6\";s:8:\"filesize\";s:6:\"180336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.3-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.3-beta2\";s:7:\"version\";s:13:\"7.x-2.3-beta2\";s:3:\"tag\";s:13:\"7.x-2.3-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-beta2.tar.gz\";s:4:\"date\";s:10:\"1360248860\";s:6:\"mdhash\";s:32:\"04fa4cd2d0d5e7a848f6b853dca32ee4\";s:8:\"filesize\";s:6:\"180356\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.3-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.3-beta1\";s:7:\"version\";s:13:\"7.x-2.3-beta1\";s:3:\"tag\";s:13:\"7.x-2.3-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-beta1.tar.gz\";s:4:\"date\";s:10:\"1360245338\";s:6:\"mdhash\";s:32:\"7635495a2c02c4b77e72f6f0a727b4b2\";s:8:\"filesize\";s:6:\"180358\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha3\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.3-alpha3\";s:7:\"version\";s:14:\"7.x-2.3-alpha3\";s:3:\"tag\";s:14:\"7.x-2.3-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-alpha3.tar.gz\";s:4:\"date\";s:10:\"1359654207\";s:6:\"mdhash\";s:32:\"1c16d85fdc03939bc0f997399713445b\";s:8:\"filesize\";s:6:\"180352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha2\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.3-alpha2\";s:7:\"version\";s:14:\"7.x-2.3-alpha2\";s:3:\"tag\";s:14:\"7.x-2.3-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-alpha2.tar.gz\";s:4:\"date\";s:10:\"1352116316\";s:6:\"mdhash\";s:32:\"d8c2c2063f976c9f3ccbbc65b1f38157\";s:8:\"filesize\";s:6:\"180062\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.3-alpha1\";s:7:\"version\";s:14:\"7.x-2.3-alpha1\";s:3:\"tag\";s:14:\"7.x-2.3-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1352115711\";s:6:\"mdhash\";s:32:\"e592ab70ac77b86ba82976f1badeeaec\";s:8:\"filesize\";s:6:\"180070\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1351989489\";s:6:\"mdhash\";s:32:\"144f08ebd577066230d0797da4cac43b\";s:8:\"filesize\";s:6:\"179954\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1351984023\";s:6:\"mdhash\";s:32:\"e7542921c9f3c372e0540f107f13c675\";s:8:\"filesize\";s:6:\"177256\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.1-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.1-beta2\";s:7:\"version\";s:13:\"7.x-1.1-beta2\";s:3:\"tag\";s:13:\"7.x-1.1-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.1-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.1-beta2.tar.gz\";s:4:\"date\";s:10:\"1361811787\";s:6:\"mdhash\";s:32:\"7f35be05121081b921fcfa88b838cf23\";s:8:\"filesize\";s:6:\"180779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.1-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.1-beta1\";s:7:\"version\";s:13:\"7.x-1.1-beta1\";s:3:\"tag\";s:13:\"7.x-1.1-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.1-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.1-beta1.tar.gz\";s:4:\"date\";s:10:\"1360694709\";s:6:\"mdhash\";s:32:\"84dfdea9f83e7d36bb17a7868117fa61\";s:8:\"filesize\";s:6:\"180764\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1360248862\";s:6:\"mdhash\";s:32:\"2656da4f7a9c56ede1e2bb1ad717be27\";s:8:\"filesize\";s:6:\"180616\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1360245333\";s:6:\"mdhash\";s:32:\"f3a5df66256d7305c512b1ab57195a98\";s:8:\"filesize\";s:6:\"180616\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1352129815\";s:6:\"mdhash\";s:32:\"f650dd20678b1cdf3862719dda18267d\";s:8:\"filesize\";s:6:\"180360\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1352115113\";s:6:\"mdhash\";s:32:\"14d831a66d83ecb5d80fe9ce67700460\";s:8:\"filesize\";s:6:\"180327\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:16:\"gmap 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/gmap/releases/7.x-2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1495444683\";s:6:\"mdhash\";s:32:\"1e341adb496264763630c263b855310f\";s:8:\"filesize\";s:6:\"309778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"gmap 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/gmap/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380581052\";s:6:\"mdhash\";s:32:\"ec68d07a8f79b4a0d51f88cc1078efb1\";s:8:\"filesize\";s:6:\"181744\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526778,1500440370,1),('available_releases::jcarousel','a:11:{s:5:\"title\";s:9:\"jCarousel\";s:10:\"short_name\";s:9:\"jcarousel\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/jcarousel\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1420460280\";s:6:\"mdhash\";s:32:\"da7722a86d12f286ce6b05e064b6a6e3\";s:8:\"filesize\";s:5:\"58289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.7-rc1\";a:15:{s:4:\"name\";s:21:\"jcarousel 7.x-2.7-rc1\";s:7:\"version\";s:11:\"7.x-2.7-rc1\";s:3:\"tag\";s:11:\"7.x-2.7-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7-rc1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7-rc1.tar.gz\";s:4:\"date\";s:10:\"1420458180\";s:6:\"mdhash\";s:32:\"cd41f12d87404de09a65778c96f60dc4\";s:8:\"filesize\";s:5:\"58292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1322116852\";s:6:\"mdhash\";s:32:\"0cd60b44c05b4d0e1001357f59ecc20c\";s:8:\"filesize\";s:5:\"59462\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1319935769\";s:6:\"mdhash\";s:32:\"390b331e84ee07078c15c947b5a49906\";s:8:\"filesize\";s:5:\"58051\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.4-alpha3\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.4-alpha3\";s:7:\"version\";s:14:\"7.x-2.4-alpha3\";s:3:\"tag\";s:14:\"7.x-2.4-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.4-alpha3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.4-alpha3.tar.gz\";s:4:\"date\";s:10:\"1302133615\";s:6:\"mdhash\";s:32:\"8a26f61e7c879bf969450cdadfb3bed4\";s:8:\"filesize\";s:5:\"55189\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha2\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.3-alpha2\";s:7:\"version\";s:14:\"7.x-2.3-alpha2\";s:3:\"tag\";s:14:\"7.x-2.3-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.3-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.3-alpha2.tar.gz\";s:4:\"date\";s:10:\"1297036300\";s:6:\"mdhash\";s:32:\"0a46305bd164dcb3488b539381fcfd80\";s:8:\"filesize\";s:5:\"55269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.2-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.2-alpha1\";s:7:\"version\";s:14:\"7.x-2.2-alpha1\";s:3:\"tag\";s:14:\"7.x-2.2-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.2-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.2-alpha1.tar.gz\";s:4:\"date\";s:10:\"1292868983\";s:6:\"mdhash\";s:32:\"e67324d105cce787f5a0cb620494bf2a\";s:8:\"filesize\";s:5:\"55026\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.1-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.1-alpha1\";s:7:\"version\";s:14:\"7.x-2.1-alpha1\";s:3:\"tag\";s:14:\"7.x-2.1-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.1-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.1-alpha1.tar.gz\";s:4:\"date\";s:10:\"1292184217\";s:6:\"mdhash\";s:32:\"154017caadc52cd00407c499c8dfcfc3\";s:8:\"filesize\";s:5:\"54766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1290991275\";s:6:\"mdhash\";s:32:\"e70693d58a9d241bc98a4f602ea305da\";s:8:\"filesize\";s:5:\"54560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"jcarousel 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420043280\";s:6:\"mdhash\";s:32:\"f08221738d43aedaa6e5eda20b56821c\";s:8:\"filesize\";s:5:\"43746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"jcarousel 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420464180\";s:6:\"mdhash\";s:32:\"90787216acc1a3738c47ef8d0b568380\";s:8:\"filesize\";s:5:\"58318\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526779,1500440370,1),('available_releases::jquery_update','a:11:{s:5:\"title\";s:13:\"jQuery Update\";s:10:\"short_name\";s:13:\"jquery_update\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha4\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha4\";s:7:\"version\";s:14:\"7.x-3.0-alpha4\";s:3:\"tag\";s:14:\"7.x-3.0-alpha4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha4\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1489024086\";s:6:\"mdhash\";s:32:\"b9cadf50cf17638df514aad3c188c776\";s:8:\"filesize\";s:7:\"1978968\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1445382239\";s:6:\"mdhash\";s:32:\"599739c36c8095b1a268d82a8d5820ac\";s:8:\"filesize\";s:7:\"1463630\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1432926481\";s:6:\"mdhash\";s:32:\"99d161a138a599ee9ebd30434479e1ca\";s:8:\"filesize\";s:7:\"1542292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1431975181\";s:6:\"mdhash\";s:32:\"500a98ed3bec0c943994c43913422332\";s:8:\"filesize\";s:7:\"1541898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1434549780\";s:6:\"mdhash\";s:32:\"88b81a8defbfdf9a4674f876685543f1\";s:8:\"filesize\";s:7:\"1203578\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1422221880\";s:6:\"mdhash\";s:32:\"47f430531b0a2a821c791325b2d89388\";s:8:\"filesize\";s:7:\"1201320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1396482245\";s:6:\"mdhash\";s:32:\"9cc4f8b964202f1d6f005a43a08060c6\";s:8:\"filesize\";s:7:\"1199709\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360375905\";s:6:\"mdhash\";s:32:\"2d5a1e594a027fa849ed250f5dfef7c5\";s:8:\"filesize\";s:6:\"709788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.3-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-2.3-alpha1\";s:7:\"version\";s:14:\"7.x-2.3-alpha1\";s:3:\"tag\";s:14:\"7.x-2.3-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1348790474\";s:6:\"mdhash\";s:32:\"2fe04a30f74e47c0b1a4ce24023a39fa\";s:8:\"filesize\";s:6:\"709779\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1301920269\";s:6:\"mdhash\";s:32:\"944e097382c08d9a3ba5028ac700162b\";s:8:\"filesize\";s:6:\"482023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1300647067\";s:6:\"mdhash\";s:32:\"6b6f9064e23aaede7ce9f04ded255a57\";s:8:\"filesize\";s:6:\"479984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1297454705\";s:6:\"mdhash\";s:32:\"de6d8095e0bdd4e231922974df3f8fc7\";s:8:\"filesize\";s:6:\"476204\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1297453316\";s:6:\"mdhash\";s:32:\"4fa3749b8e477b76341d72a5516344d8\";s:8:\"filesize\";s:6:\"476208\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490804883\";s:6:\"mdhash\";s:32:\"5786d8734547bdd37d012b365aaa44d9\";s:8:\"filesize\";s:7:\"1980264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"b4c28c594a6ecf50ccb9cd9689e778c9\";s:8:\"filesize\";s:7:\"1135988\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380584081\";s:6:\"mdhash\";s:32:\"9d1b43a6e55ea389f03cd338ab9c5f35\";s:8:\"filesize\";s:6:\"472169\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526779,1500440370,1),('available_releases::libraries','a:11:{s:5:\"title\";s:13:\"Libraries API\";s:10:\"short_name\";s:9:\"libraries\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:5:\"1,2,3\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1391965705\";s:6:\"mdhash\";s:32:\"629663be1ddbbc79531ab98d7d3761dc\";s:8:\"filesize\";s:5:\"33326\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1362848412\";s:6:\"mdhash\";s:32:\"e240bf43e3a4dd2d595bf24ac34d46bd\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1343561873\";s:6:\"mdhash\";s:32:\"bb4707fe9c9c67401c9baa514fbab948\";s:8:\"filesize\";s:5:\"30229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1323950504\";s:6:\"mdhash\";s:32:\"150a5e24e7f1e849e054ba06921a0311\";s:8:\"filesize\";s:5:\"29501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1317479207\";s:6:\"mdhash\";s:32:\"8e3529be946d9ad0a4b387756cb91a5d\";s:8:\"filesize\";s:5:\"28459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296096156\";s:6:\"mdhash\";s:32:\"e395a4229adb94f48de0764654e83967\";s:8:\"filesize\";s:4:\"7921\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1413167628\";s:6:\"mdhash\";s:32:\"7263f590a91de04704820f2b218956f9\";s:8:\"filesize\";s:5:\"33184\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479046140\";s:6:\"mdhash\";s:32:\"3664fa9b54800164c107a0fbc2e52865\";s:8:\"filesize\";s:5:\"44459\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406512127\";s:6:\"mdhash\";s:32:\"84247d751f028c55371865aef18fbd11\";s:8:\"filesize\";s:4:\"9041\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526780,1500440370,1),('available_releases::link','a:11:{s:5:\"title\";s:4:\"Link\";s:10:\"short_name\";s:4:\"link\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/link\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:13:\"7.x-1.5-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta1\";s:7:\"version\";s:13:\"7.x-1.5-beta1\";s:3:\"tag\";s:13:\"7.x-1.5-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta1.tar.gz\";s:4:\"date\";s:10:\"1499171942\";s:6:\"mdhash\";s:32:\"0589fb97c7b74f82e429a34677eb1fb8\";s:8:\"filesize\";s:5:\"37592\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1452830639\";s:6:\"mdhash\";s:32:\"10cb0a7bb75aaa6cd709c88fd7f79e9f\";s:8:\"filesize\";s:5:\"36913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1413924828\";s:6:\"mdhash\";s:32:\"cc9ccec6ca028f73cf60f8cab09e5a4d\";s:8:\"filesize\";s:5:\"33988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1385335704\";s:6:\"mdhash\";s:32:\"100c0b2416d455908a818f0a547e9938\";s:8:\"filesize\";s:5:\"33858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1360444360\";s:6:\"mdhash\";s:32:\"416691004d5a09681869dcd93188238b\";s:8:\"filesize\";s:5:\"33160\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1319392535\";s:6:\"mdhash\";s:32:\"0b237d7b329c0454f437f5687d607743\";s:8:\"filesize\";s:5:\"31440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1317011508\";s:6:\"mdhash\";s:32:\"05802cd5a599cbf0b205a084016779a8\";s:8:\"filesize\";s:5:\"30289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1297061216\";s:6:\"mdhash\";s:32:\"372ddf2818f9ae6754274b4a8b6b640b\";s:8:\"filesize\";s:5:\"27724\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha-2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1295189003\";s:6:\"mdhash\";s:32:\"c74d7846f210f1bf4a8f14cc8a2d4dbd\";s:8:\"filesize\";s:5:\"20558\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:62:\"Alpha- releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1291518680\";s:6:\"mdhash\";s:32:\"e9299a741ec5b8ac631f3ba701df7c14\";s:8:\"filesize\";s:5:\"20843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"link 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/link/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/link-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499889242\";s:6:\"mdhash\";s:32:\"0e45cfac1d902dcd8306ea1d4da60e7c\";s:8:\"filesize\";s:5:\"38002\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526780,1500440370,1),('available_releases::location','a:11:{s:5:\"title\";s:8:\"Location\";s:10:\"short_name\";s:8:\"location\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/location\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:38:{s:13:\"7.x-3.8-beta2\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.8-beta2\";s:7:\"version\";s:13:\"7.x-3.8-beta2\";s:3:\"tag\";s:13:\"7.x-3.8-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.8-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.8-beta2.tar.gz\";s:4:\"date\";s:10:\"1452248639\";s:6:\"mdhash\";s:32:\"778d1bbaa2c7463498e53620e61a8f2c\";s:8:\"filesize\";s:7:\"3562744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.8-beta1\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.8-beta1\";s:7:\"version\";s:13:\"7.x-3.8-beta1\";s:3:\"tag\";s:13:\"7.x-3.8-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.8-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.8-beta1.tar.gz\";s:4:\"date\";s:10:\"1441725539\";s:6:\"mdhash\";s:32:\"3a507f7a225fd7255415f9675cbe1fd8\";s:8:\"filesize\";s:7:\"3562560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1438695539\";s:6:\"mdhash\";s:32:\"b09e2dc4f610cafa92af99829d34af75\";s:8:\"filesize\";s:7:\"3562182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.7-beta2\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.7-beta2\";s:7:\"version\";s:13:\"7.x-3.7-beta2\";s:3:\"tag\";s:13:\"7.x-3.7-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.7-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.7-beta2.tar.gz\";s:4:\"date\";s:10:\"1426349881\";s:6:\"mdhash\";s:32:\"589cd1b1c52c45824907cfe406c1fab8\";s:8:\"filesize\";s:7:\"3563972\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.7-beta1\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.7-beta1\";s:7:\"version\";s:13:\"7.x-3.7-beta1\";s:3:\"tag\";s:13:\"7.x-3.7-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.7-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.7-beta1.tar.gz\";s:4:\"date\";s:10:\"1423590181\";s:6:\"mdhash\";s:32:\"e19fdf7508ec31a2f3811b467396f1b3\";s:8:\"filesize\";s:7:\"1877851\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1419943625\";s:6:\"mdhash\";s:32:\"7558db65f58c0d9aa8ca1b633327d638\";s:8:\"filesize\";s:7:\"1878990\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.6-rc1\";a:15:{s:4:\"name\";s:20:\"location 7.x-3.6-rc1\";s:7:\"version\";s:11:\"7.x-3.6-rc1\";s:3:\"tag\";s:11:\"7.x-3.6-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.6-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1419530880\";s:6:\"mdhash\";s:32:\"164be40fb7ea13bf97e310af72dff2dd\";s:8:\"filesize\";s:7:\"1878942\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1416408480\";s:6:\"mdhash\";s:32:\"237e5ce609ea3f2a5e1378d7651499e6\";s:8:\"filesize\";s:7:\"1876253\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.5-rc1\";a:15:{s:4:\"name\";s:20:\"location 7.x-3.5-rc1\";s:7:\"version\";s:11:\"7.x-3.5-rc1\";s:3:\"tag\";s:11:\"7.x-3.5-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.5-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.5-rc1.tar.gz\";s:4:\"date\";s:10:\"1415527380\";s:6:\"mdhash\";s:32:\"708753b7f1bd2412f1d32238c5ea9a6d\";s:8:\"filesize\";s:7:\"1876321\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1410098929\";s:6:\"mdhash\";s:32:\"9a38a6a8afb22f14a9deb7978f3b0b49\";s:8:\"filesize\";s:7:\"1720491\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.4-beta1\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.4-beta1\";s:7:\"version\";s:13:\"7.x-3.4-beta1\";s:3:\"tag\";s:13:\"7.x-3.4-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.4-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.4-beta1.tar.gz\";s:4:\"date\";s:10:\"1408449528\";s:6:\"mdhash\";s:32:\"a3609441bbf9a26c82335b912b461825\";s:8:\"filesize\";s:7:\"1719508\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1403865528\";s:6:\"mdhash\";s:32:\"4dd12bcbef6c558a8ead88baa593afc9\";s:8:\"filesize\";s:7:\"1721080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.3-beta1\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.3-beta1\";s:7:\"version\";s:13:\"7.x-3.3-beta1\";s:3:\"tag\";s:13:\"7.x-3.3-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.3-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.3-beta1.tar.gz\";s:4:\"date\";s:10:\"1403365428\";s:6:\"mdhash\";s:32:\"506be357b144846ababb1000ee95c14d\";s:8:\"filesize\";s:7:\"1721120\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.3-alpha2\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.3-alpha2\";s:7:\"version\";s:14:\"7.x-3.3-alpha2\";s:3:\"tag\";s:14:\"7.x-3.3-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.3-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.3-alpha2.tar.gz\";s:4:\"date\";s:10:\"1397155452\";s:6:\"mdhash\";s:32:\"561f63b4e7a5e6a05d20ab96461359cc\";s:8:\"filesize\";s:7:\"1720890\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.3-alpha1\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.3-alpha1\";s:7:\"version\";s:14:\"7.x-3.3-alpha1\";s:3:\"tag\";s:14:\"7.x-3.3-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.3-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1394460205\";s:6:\"mdhash\";s:32:\"eb11651e8fb74cb8b35b51ea5cce0814\";s:8:\"filesize\";s:7:\"1720573\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1394459305\";s:6:\"mdhash\";s:32:\"cb1f889c5fdb6342117414f1d3101f39\";s:8:\"filesize\";s:7:\"1719974\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.2-beta2\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.2-beta2\";s:7:\"version\";s:13:\"7.x-3.2-beta2\";s:3:\"tag\";s:13:\"7.x-3.2-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.2-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.2-beta2.tar.gz\";s:4:\"date\";s:10:\"1387463304\";s:6:\"mdhash\";s:32:\"1298b07c1388fe677de04bbfb8b88a0c\";s:8:\"filesize\";s:7:\"1719886\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.2-beta1\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.2-beta1\";s:7:\"version\";s:13:\"7.x-3.2-beta1\";s:3:\"tag\";s:13:\"7.x-3.2-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.2-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.2-beta1.tar.gz\";s:4:\"date\";s:10:\"1383776296\";s:6:\"mdhash\";s:32:\"756e391928d8f68c1ee3cde2a75f2cb5\";s:8:\"filesize\";s:7:\"1720371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1383154848\";s:6:\"mdhash\";s:32:\"edd384bacc6416078a73fab745a1dc32\";s:8:\"filesize\";s:7:\"1717442\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1382625957\";s:6:\"mdhash\";s:32:\"e0cefd9f0330fec11cf116b766d41e95\";s:8:\"filesize\";s:7:\"1717411\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc6\";a:15:{s:4:\"name\";s:20:\"location 7.x-3.0-rc6\";s:7:\"version\";s:11:\"7.x-3.0-rc6\";s:3:\"tag\";s:11:\"7.x-3.0-rc6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.0-rc6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1381401858\";s:6:\"mdhash\";s:32:\"0009393c06ecbb493890882e38b51331\";s:8:\"filesize\";s:7:\"1718017\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:20:\"location 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1378834938\";s:6:\"mdhash\";s:32:\"f2b6217d1445a8a51fc878de601f2e33\";s:8:\"filesize\";s:7:\"1716467\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:20:\"location 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1378207013\";s:6:\"mdhash\";s:32:\"90303c0a7cae50b40c69fef48db40868\";s:8:\"filesize\";s:7:\"1716333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:20:\"location 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1376473004\";s:6:\"mdhash\";s:32:\"87fe9e55f634fae53c0fee678d9da915\";s:8:\"filesize\";s:7:\"1716165\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:20:\"location 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1372581059\";s:6:\"mdhash\";s:32:\"f4a06c7a841dcfe7143d24fca605b8c2\";s:8:\"filesize\";s:7:\"1716126\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:20:\"location 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1368266413\";s:6:\"mdhash\";s:32:\"0913f456574c25392df5b3e146f42aef\";s:8:\"filesize\";s:7:\"1716193\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha9\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.0-alpha9\";s:7:\"version\";s:14:\"7.x-3.0-alpha9\";s:3:\"tag\";s:14:\"7.x-3.0-alpha9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.0-alpha9\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1366648522\";s:6:\"mdhash\";s:32:\"8e9faef6f28b5a07a23f2d8d2c0a6314\";s:8:\"filesize\";s:7:\"1715117\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha8\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.0-alpha8\";s:7:\"version\";s:14:\"7.x-3.0-alpha8\";s:3:\"tag\";s:14:\"7.x-3.0-alpha8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.0-alpha8\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1364381413\";s:6:\"mdhash\";s:32:\"2ead40de7d8632edb98716c9be34fec1\";s:8:\"filesize\";s:7:\"1713939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha7\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.0-alpha7\";s:7:\"version\";s:14:\"7.x-3.0-alpha7\";s:3:\"tag\";s:14:\"7.x-3.0-alpha7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.0-alpha7\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1364321713\";s:6:\"mdhash\";s:32:\"6758e758e3cab946a47cfe45d90d883b\";s:8:\"filesize\";s:7:\"1713911\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha6\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.0-alpha6\";s:7:\"version\";s:14:\"7.x-3.0-alpha6\";s:3:\"tag\";s:14:\"7.x-3.0-alpha6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.0-alpha6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1363270215\";s:6:\"mdhash\";s:32:\"0c49daf57014ae86773fdd4b4b49e905\";s:8:\"filesize\";s:7:\"1713922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1363258215\";s:6:\"mdhash\";s:32:\"bd045816023341d3b58eca928b4f15dc\";s:8:\"filesize\";s:7:\"1714194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha4\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.0-alpha4\";s:7:\"version\";s:14:\"7.x-3.0-alpha4\";s:3:\"tag\";s:14:\"7.x-3.0-alpha4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.0-alpha4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1363113318\";s:6:\"mdhash\";s:32:\"632898af3630bacdb58d300d55498850\";s:8:\"filesize\";s:7:\"1711357\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1363090217\";s:6:\"mdhash\";s:32:\"45bcdd9e357a2786b0ba74b161cf85ef\";s:8:\"filesize\";s:7:\"1704162\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:23:\"location 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/location/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/location-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1343220796\";s:6:\"mdhash\";s:32:\"629234b24be2982d9a5da42a46a64482\";s:8:\"filesize\";s:7:\"1703088\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"location 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1339801881\";s:6:\"mdhash\";s:32:\"87637f625a9bb869e39bc26287adfe48\";s:8:\"filesize\";s:7:\"1702801\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-5.x-dev\";a:14:{s:4:\"name\";s:20:\"location 7.x-5.x-dev\";s:7:\"version\";s:11:\"7.x-5.x-dev\";s:3:\"tag\";s:7:\"7.x-5.x\";s:13:\"version_major\";s:1:\"5\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-5.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-5.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380585250\";s:6:\"mdhash\";s:32:\"6a723c7ba292bf6b7e5065aaa4e4b90f\";s:8:\"filesize\";s:7:\"1699501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-4.x-dev\";a:14:{s:4:\"name\";s:20:\"location 7.x-4.x-dev\";s:7:\"version\";s:11:\"7.x-4.x-dev\";s:3:\"tag\";s:7:\"7.x-4.x\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-4.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380585244\";s:6:\"mdhash\";s:32:\"c006968e9ca22bd491bd7fbd032c99ad\";s:8:\"filesize\";s:7:\"1703581\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:20:\"location 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/location/releases/7.x-3.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/location-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1491951242\";s:6:\"mdhash\";s:32:\"9ee066741241ec52ee0b9ca99d005654\";s:8:\"filesize\";s:7:\"3562620\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526781,1500440370,1),('available_releases::menu_attributes','a:11:{s:5:\"title\";s:15:\"Menu attributes\";s:10:\"short_name\";s:15:\"menu_attributes\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_attributes\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"menu_attributes 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1455568739\";s:6:\"mdhash\";s:32:\"0d8c9354f20bf30333375423b0228fcc\";s:8:\"filesize\";s:5:\"14673\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1413756228\";s:6:\"mdhash\";s:32:\"3fe69ec4c76a9826776450e05198c29f\";s:8:\"filesize\";s:5:\"14653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1338541556\";s:6:\"mdhash\";s:32:\"2610d52c30c88fdd07669249764b4d68\";s:8:\"filesize\";s:5:\"13010\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1304355717\";s:6:\"mdhash\";s:32:\"f821d56d0c3586179e71362a53c33b45\";s:8:\"filesize\";s:4:\"9196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"menu_attributes 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1283726807\";s:6:\"mdhash\";s:32:\"485addad222409723ab008dc88437e37\";s:8:\"filesize\";s:4:\"8406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1467500039\";s:6:\"mdhash\";s:32:\"0202bfe64e493ae127f4be0f6f1a72a7\";s:8:\"filesize\";s:5:\"15943\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526782,1500440370,1),('available_releases::menu_breadcrumb','a:11:{s:5:\"title\";s:15:\"Menu Breadcrumb\";s:10:\"short_name\";s:15:\"menu_breadcrumb\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_breadcrumb\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:5:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425993987\";s:6:\"mdhash\";s:32:\"30291c87761f042b7599865d80df6f62\";s:8:\"filesize\";s:5:\"15154\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1381202821\";s:6:\"mdhash\";s:32:\"a39b1abd3b655dcd3e25bceaae6dc844\";s:8:\"filesize\";s:5:\"14006\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1374442868\";s:6:\"mdhash\";s:32:\"7bc222b8b0d0eab296852addb6b5b0c1\";s:8:\"filesize\";s:5:\"13957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1312055519\";s:6:\"mdhash\";s:32:\"3993ada6458db730ed1c94225d2c4d73\";s:8:\"filesize\";s:5:\"12884\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"menu_breadcrumb 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1465478639\";s:6:\"mdhash\";s:32:\"42bd1026f9f2cc07695cb1b2ded0536c\";s:8:\"filesize\";s:5:\"15161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526782,1500440370,1),('available_releases::metatags_quick','a:11:{s:5:\"title\";s:15:\"Meta tags quick\";s:10:\"short_name\";s:14:\"metatags_quick\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:45:\"https://www.drupal.org/project/metatags_quick\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:32:{s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1405184328\";s:6:\"mdhash\";s:32:\"9d67f5be1b23407215d621729dab57f0\";s:8:\"filesize\";s:5:\"28432\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1404236027\";s:6:\"mdhash\";s:32:\"5dc51b35445c6f51d7869867f7c9c9b1\";s:8:\"filesize\";s:5:\"28441\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1357466252\";s:6:\"mdhash\";s:32:\"1992f645d5944d1f3e9b931de4078778\";s:8:\"filesize\";s:5:\"27021\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1356308939\";s:6:\"mdhash\";s:32:\"3beea9cecc1de40ebc5ff32a038bb653\";s:8:\"filesize\";s:6:\"113737\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.6-rc1\";a:15:{s:4:\"name\";s:26:\"metatags_quick 7.x-2.6-rc1\";s:7:\"version\";s:11:\"7.x-2.6-rc1\";s:3:\"tag\";s:11:\"7.x-2.6-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.6-rc1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1356308938\";s:6:\"mdhash\";s:32:\"ea043dcdd72385da40628a34636c25e5\";s:8:\"filesize\";s:6:\"113745\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1340025081\";s:6:\"mdhash\";s:32:\"c97722b5ba57764f13d219aee88da5f6\";s:8:\"filesize\";s:5:\"25731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1331473542\";s:6:\"mdhash\";s:32:\"ded59576a3c1506fda932ed236a05d65\";s:8:\"filesize\";s:5:\"25164\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1323885345\";s:6:\"mdhash\";s:32:\"825467ac59a58cb245328ea3f5f17010\";s:8:\"filesize\";s:5:\"24223\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1318365708\";s:6:\"mdhash\";s:32:\"d21dd605a4447f9a97a6ccafe26019a1\";s:8:\"filesize\";s:5:\"24189\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1317409907\";s:6:\"mdhash\";s:32:\"a661014d0251197c1bba4a439ab38ea7\";s:8:\"filesize\";s:5:\"24124\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1312403524\";s:6:\"mdhash\";s:32:\"f78aacc030e7d553bd6270e40add8a22\";s:8:\"filesize\";s:5:\"16230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1310674319\";s:6:\"mdhash\";s:32:\"4faeb8b2bf31afa0f3b05c7455295636\";s:8:\"filesize\";s:5:\"15524\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha4\";a:15:{s:4:\"name\";s:29:\"metatags_quick 7.x-2.0-alpha4\";s:7:\"version\";s:14:\"7.x-2.0-alpha4\";s:3:\"tag\";s:14:\"7.x-2.0-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-alpha4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1309119719\";s:6:\"mdhash\";s:32:\"e027b0f632ef61511be5591fd54c1388\";s:8:\"filesize\";s:5:\"14282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:29:\"metatags_quick 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1308508019\";s:6:\"mdhash\";s:32:\"d8e3f530347b5ffdf471364d7381a1a7\";s:8:\"filesize\";s:5:\"15128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:29:\"metatags_quick 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308247320\";s:6:\"mdhash\";s:32:\"774543b87925b928d9c6e6ca798b4da1\";s:8:\"filesize\";s:5:\"14279\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:29:\"metatags_quick 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1307984520\";s:6:\"mdhash\";s:32:\"5166851c474aea98b9308a222793afcf\";s:8:\"filesize\";s:5:\"12637\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1308117419\";s:6:\"mdhash\";s:32:\"be5e85dc10b422cc9b586caa37fdd30c\";s:8:\"filesize\";s:5:\"10871\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1307039816\";s:6:\"mdhash\";s:32:\"782f9d7c72e506ca73e70492538fca17\";s:8:\"filesize\";s:5:\"10687\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1304883424\";s:6:\"mdhash\";s:32:\"4824b85e23a8f54823314cba9c193cda\";s:8:\"filesize\";s:5:\"10476\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1302728216\";s:6:\"mdhash\";s:32:\"c36db112332484992cd9321ba8c7c61e\";s:8:\"filesize\";s:5:\"10438\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1302416517\";s:6:\"mdhash\";s:32:\"6a8f8355cc1ebc56094a673eefb13c9b\";s:8:\"filesize\";s:4:\"9893\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1302378116\";s:6:\"mdhash\";s:32:\"05bd3faa9ade79b58fb069b064cdf9ff\";s:8:\"filesize\";s:4:\"9947\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1301685668\";s:6:\"mdhash\";s:32:\"c7d1f296711112ecee899db3a0470b7e\";s:8:\"filesize\";s:4:\"8585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1300531268\";s:6:\"mdhash\";s:32:\"3b3b8f10455f678aaa3b6c14d886c119\";s:8:\"filesize\";s:4:\"8182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1300479070\";s:6:\"mdhash\";s:32:\"ce8e1b29bf45500b3d2564dda3ec5fb8\";s:8:\"filesize\";s:4:\"8170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1299355568\";s:6:\"mdhash\";s:32:\"b6ae391d61c68da86e8ee2765605e2f7\";s:8:\"filesize\";s:4:\"8007\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1295947037\";s:6:\"mdhash\";s:32:\"a19d9f4312f16021772ae4f2f9c58747\";s:8:\"filesize\";s:4:\"7912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1295944401\";s:6:\"mdhash\";s:32:\"73c685cb4e3b29e0e34fdfb300c99a77\";s:8:\"filesize\";s:4:\"7927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1295943118\";s:6:\"mdhash\";s:32:\"a273e6f654ba69ef476bc4bafb32a826\";s:8:\"filesize\";s:4:\"7921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1295797902\";s:6:\"mdhash\";s:32:\"bf4911c7cd5566de575fb642077ae8fd\";s:8:\"filesize\";s:5:\"10025\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:26:\"metatags_quick 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.x-dev\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1441812539\";s:6:\"mdhash\";s:32:\"04dc67c864d571c91a710f8cef8e3396\";s:8:\"filesize\";s:5:\"28922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:26:\"metatags_quick 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.x-dev\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380587060\";s:6:\"mdhash\";s:32:\"705a0433fd447d40b2aeaa7b0f1fa0ab\";s:8:\"filesize\";s:5:\"12012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526784,1500440370,1),('available_releases::modal_forms','a:11:{s:5:\"title\";s:25:\"Modal forms (with ctools)\";s:10:\"short_name\";s:11:\"modal_forms\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/modal_forms\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:4:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"modal_forms 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/modal_forms/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/modal_forms-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1353326875\";s:6:\"mdhash\";s:32:\"ad1e71dd8a361254f1383eec009b89de\";s:8:\"filesize\";s:5:\"29937\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"modal_forms 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/modal_forms/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/modal_forms-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1351606627\";s:6:\"mdhash\";s:32:\"4c5ecab1b272fce9135cba636a0348a6\";s:8:\"filesize\";s:5:\"29045\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"modal_forms 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/modal_forms/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/modal_forms-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1317720425\";s:6:\"mdhash\";s:32:\"cc77384455ddac0978e8c16c90af9859\";s:8:\"filesize\";s:5:\"26651\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"modal_forms 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/modal_forms/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/modal_forms-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1423212181\";s:6:\"mdhash\";s:32:\"8028fc6e050a72427346180af638a372\";s:8:\"filesize\";s:5:\"32226\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526785,1500440370,1),('available_releases::module_filter','a:11:{s:5:\"title\";s:13:\"Module Filter\";s:10:\"short_name\";s:13:\"module_filter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1424631181\";s:6:\"mdhash\";s:32:\"3e2ebdd2f2ec028252e1cf2a547d7d7e\";s:8:\"filesize\";s:5:\"29130\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1386356904\";s:6:\"mdhash\";s:32:\"342e0e3963e64c39f86061a10bbdaf2e\";s:8:\"filesize\";s:5:\"27898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1384832005\";s:6:\"mdhash\";s:32:\"3bfb306828c12830c0ee3678f675f124\";s:8:\"filesize\";s:5:\"27962\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1375995221\";s:6:\"mdhash\";s:32:\"53a1b995dee29e1ab202fa1547dc1266\";s:8:\"filesize\";s:5:\"14605\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1341518501\";s:6:\"mdhash\";s:32:\"f10e62aa5346d5cd82854d66c359f199\";s:8:\"filesize\";s:5:\"14646\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1316105205\";s:6:\"mdhash\";s:32:\"77ca515021372066e2b19906adddb94e\";s:8:\"filesize\";s:5:\"13177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1313598120\";s:6:\"mdhash\";s:32:\"f3a6a44ec3e35e91870f8391a9f04ff5\";s:8:\"filesize\";s:5:\"13039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1299525068\";s:6:\"mdhash\";s:32:\"90d9ec10df0b9ee07707f87b96711bca\";s:8:\"filesize\";s:5:\"11570\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1299519370\";s:6:\"mdhash\";s:32:\"8a075e4932db8cd4e35371ac276bcb4b\";s:8:\"filesize\";s:5:\"11555\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1299516669\";s:6:\"mdhash\";s:32:\"afbb784aeb4029294e5877654385cc8c\";s:8:\"filesize\";s:5:\"11446\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1299515169\";s:6:\"mdhash\";s:32:\"45546c1f5bc473389ffc36f0e38a2bc1\";s:8:\"filesize\";s:5:\"13033\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294104365\";s:6:\"mdhash\";s:32:\"a482aef54751a8fd947bafc2d5ef1ecd\";s:8:\"filesize\";s:5:\"11523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"bf63bf30b9a6eecb11e527cc12a87312\";s:8:\"filesize\";s:5:\"29762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406917428\";s:6:\"mdhash\";s:32:\"62b7a0ab716b2798d9e60462314d95c5\";s:8:\"filesize\";s:5:\"14743\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526786,1500440370,1),('available_releases::newsletter','a:11:{s:5:\"title\";s:10:\"Newsletter\";s:10:\"short_name\";s:10:\"newsletter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/newsletter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1401923327\";s:6:\"mdhash\";s:32:\"40d8b9c7fb70d6ffc2743fbd3d9e3318\";s:8:\"filesize\";s:5:\"44420\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1348033762\";s:6:\"mdhash\";s:32:\"0a7716e9b71f7192a9ffdb707721a7d7\";s:8:\"filesize\";s:5:\"44377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1331349342\";s:6:\"mdhash\";s:32:\"d4718945e184ce4b88c92d40fc246e53\";s:8:\"filesize\";s:5:\"42331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1330985147\";s:6:\"mdhash\";s:32:\"a9107041d2606994712350d068cd644c\";s:8:\"filesize\";s:5:\"42313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1322077843\";s:6:\"mdhash\";s:32:\"5a8d085a9f39999ec1c75190ce0fd594\";s:8:\"filesize\";s:5:\"39615\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1320084038\";s:6:\"mdhash\";s:32:\"37315d74020770d1926bf5d52c27ed94\";s:8:\"filesize\";s:5:\"38638\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1318300606\";s:6:\"mdhash\";s:32:\"2f90f6933f6d2d3d22639af2dc24d18d\";s:8:\"filesize\";s:5:\"38658\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1318299407\";s:6:\"mdhash\";s:32:\"eecfbb6e5b129fe45129fc79a9fa0792\";s:8:\"filesize\";s:5:\"38659\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1318297307\";s:6:\"mdhash\";s:32:\"d1fc45e6f6a36c6a1721f3184929d958\";s:8:\"filesize\";s:5:\"38613\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1318295228\";s:6:\"mdhash\";s:32:\"3a57a29f3052415067351db0d5db7b85\";s:8:\"filesize\";s:5:\"38620\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha8\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha8\";s:7:\"version\";s:14:\"7.x-1.0-alpha8\";s:3:\"tag\";s:14:\"7.x-1.0-alpha8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha8\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1317228406\";s:6:\"mdhash\";s:32:\"52bcf9659daf353367383816bbb2c25d\";s:8:\"filesize\";s:5:\"37642\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha7\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha7\";s:7:\"version\";s:14:\"7.x-1.0-alpha7\";s:3:\"tag\";s:14:\"7.x-1.0-alpha7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha7\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1316917908\";s:6:\"mdhash\";s:32:\"d397c270f99b2231d2167aae9fe66d71\";s:8:\"filesize\";s:5:\"37102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1316737490\";s:6:\"mdhash\";s:32:\"441444c299fab24b125681491bd53616\";s:8:\"filesize\";s:5:\"35986\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1316665908\";s:6:\"mdhash\";s:32:\"c5207c0bc9dd90809776abf4e15dc6ac\";s:8:\"filesize\";s:5:\"35797\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1316664413\";s:6:\"mdhash\";s:32:\"c694d6fce63d1c26a8b54dedcbb637af\";s:8:\"filesize\";s:5:\"35780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1316662308\";s:6:\"mdhash\";s:32:\"58c9ab692031ad587bd6248c5019022f\";s:8:\"filesize\";s:5:\"35773\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"newsletter 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/newsletter/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/newsletter-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380592827\";s:6:\"mdhash\";s:32:\"143fb44b9b14412060bec073251e1800\";s:8:\"filesize\";s:5:\"49298\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"newsletter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/newsletter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1401922727\";s:6:\"mdhash\";s:32:\"e2bc481d61646a51573d745a12932da7\";s:8:\"filesize\";s:5:\"44425\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500526787,1500440370,1),('available_releases::pathauto','a:11:{s:5:\"title\";s:8:\"Pathauto\";s:10:\"short_name\";s:8:\"pathauto\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344525185\";s:6:\"mdhash\";s:32:\"abdb73c49803aefe3c87774a92c42b87\";s:8:\"filesize\";s:5:\"38900\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1336950382\";s:6:\"mdhash\";s:32:\"ee42c248db62f384871cb526d72005f2\";s:8:\"filesize\";s:5:\"38652\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1320072936\";s:6:\"mdhash\";s:32:\"6edd617da0cfa31ddde247933d670ef4\";s:8:\"filesize\";s:5:\"37196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1308241021\";s:6:\"mdhash\";s:32:\"376c28fa39f3b383ad5134c5a1360be7\";s:8:\"filesize\";s:5:\"35681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308121619\";s:6:\"mdhash\";s:32:\"a53a56cffaaa67c8775c085d542f162c\";s:8:\"filesize\";s:5:\"35350\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"pathauto 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294891602\";s:6:\"mdhash\";s:32:\"37c8eaa37d69d60303e702c271f99f9e\";s:8:\"filesize\";s:5:\"56885\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281556294\";s:6:\"mdhash\";s:32:\"5f4aecc1b5d6a6e4365fafcc7f0efe15\";s:8:\"filesize\";s:6:\"122301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1267300506\";s:6:\"mdhash\";s:32:\"ec86f7a12f9b4daa02967a3d7ccedef6\";s:8:\"filesize\";s:6:\"121249\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"pathauto 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1472576639\";s:6:\"mdhash\";s:32:\"a597c609ed9d356b6ad4faa978b12aa7\";s:8:\"filesize\";s:5:\"42278\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526788,1500440370,1),('available_releases::redirect_404','a:11:{s:5:\"title\";s:13:\"Redirects 404\";s:10:\"short_name\";s:12:\"redirect_404\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:43:\"https://www.drupal.org/project/redirect_404\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:3:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:20:\"redirect_404 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/redirect_404/releases/7.x-1.1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/redirect_404-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1378403209\";s:6:\"mdhash\";s:32:\"0a24f2192faf8fe177df4e89f82e2075\";s:8:\"filesize\";s:5:\"11073\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:20:\"redirect_404 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/redirect_404/releases/7.x-1.0\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/redirect_404-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1365796236\";s:6:\"mdhash\";s:32:\"37e1cc0eef7e4941453186788b07af1c\";s:8:\"filesize\";s:5:\"10602\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:24:\"redirect_404 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/redirect_404/releases/7.x-1.x-dev\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/redirect_404-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1391202805\";s:6:\"mdhash\";s:32:\"506d5c1ab7d33cc75ebf96af9fb25296\";s:8:\"filesize\";s:5:\"11661\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526788,1500440370,1),('available_releases::tagclouds','a:11:{s:5:\"title\";s:8:\"TagCloud\";s:10:\"short_name\";s:9:\"tagclouds\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/tagclouds\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1452956639\";s:6:\"mdhash\";s:32:\"8fb0190b0c34735329d9e7808f507873\";s:8:\"filesize\";s:5:\"13778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1404152328\";s:6:\"mdhash\";s:32:\"c61b66f969714f149fe33a02fa503a8b\";s:8:\"filesize\";s:5:\"13675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1360479605\";s:6:\"mdhash\";s:32:\"97f6f1e4519294b2c42af23125f557cf\";s:8:\"filesize\";s:5:\"12310\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1360479602\";s:6:\"mdhash\";s:32:\"5b77828dc2a46c141844ea327aac830a\";s:8:\"filesize\";s:5:\"12319\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1352088449\";s:6:\"mdhash\";s:32:\"d8e41e65fd196cf6c4e92f9bcf0d457d\";s:8:\"filesize\";s:5:\"12322\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1345993367\";s:6:\"mdhash\";s:32:\"1a2023554e2bbe374d2b3869ae0bc308\";s:8:\"filesize\";s:5:\"11966\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1343936897\";s:6:\"mdhash\";s:32:\"30224eadab577270b2ed57ee27e689e6\";s:8:\"filesize\";s:5:\"12006\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1333904769\";s:6:\"mdhash\";s:32:\"c961e59c6d9f07769d5e5488e5f415f5\";s:8:\"filesize\";s:5:\"11820\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1331844643\";s:6:\"mdhash\";s:32:\"cf88cba4196b172c6fe6d24ae29378df\";s:8:\"filesize\";s:5:\"11756\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1325266844\";s:6:\"mdhash\";s:32:\"4e98f22f58879134ed407d2cda87374e\";s:8:\"filesize\";s:5:\"11575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1319252736\";s:6:\"mdhash\";s:32:\"04a7356eb1ce5ffe91968a988672ff7a\";s:8:\"filesize\";s:5:\"11581\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"tagclouds 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1467295142\";s:6:\"mdhash\";s:32:\"16d34071d093edaa53226900450f9cea\";s:8:\"filesize\";s:5:\"13571\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500526789,1500440370,1),('available_releases::taxonomy_menu','a:11:{s:5:\"title\";s:13:\"Taxonomy menu\";s:10:\"short_name\";s:13:\"taxonomy_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1354041231\";s:6:\"mdhash\";s:32:\"adc321e1143241024a467aa5d80ca871\";s:8:\"filesize\";s:5:\"27625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1346896425\";s:6:\"mdhash\";s:32:\"590c259749920262b9c9698673d0e7ba\";s:8:\"filesize\";s:5:\"25466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1343504281\";s:6:\"mdhash\";s:32:\"2529b7c858b34f4bc3ab0f36c383edcf\";s:8:\"filesize\";s:5:\"25755\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1311037620\";s:6:\"mdhash\";s:32:\"7c8dd9c6135179139b304d4c53e19910\";s:8:\"filesize\";s:5:\"21792\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1295050660\";s:6:\"mdhash\";s:32:\"bad372aab7f881a7d9084976b5e294fc\";s:8:\"filesize\";s:5:\"20775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294199467\";s:6:\"mdhash\";s:32:\"adb67fe63b51058cd5e5297ae7cd25c9\";s:8:\"filesize\";s:5:\"20806\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919812\";s:6:\"mdhash\";s:32:\"a6e6b286b63221464f64c260a888810e\";s:8:\"filesize\";s:5:\"32419\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919140\";s:6:\"mdhash\";s:32:\"00bf9a45a91243002244ccd573ee4130\";s:8:\"filesize\";s:5:\"25970\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526789,1500440370,1),('available_releases::tb_megamenu','a:11:{s:5:\"title\";s:12:\"TB Mega Menu\";s:10:\"short_name\";s:11:\"tb_megamenu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/tb_megamenu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1440756539\";s:6:\"mdhash\";s:32:\"f31ead7424d21dbb8f189922301407e3\";s:8:\"filesize\";s:5:\"69537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1439180639\";s:6:\"mdhash\";s:32:\"6337e51586fe163e47a0df571229676a\";s:8:\"filesize\";s:6:\"108373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1408100328\";s:6:\"mdhash\";s:32:\"699c4ca355126ee521516e6691df7c81\";s:8:\"filesize\";s:6:\"129472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1408099728\";s:6:\"mdhash\";s:32:\"f56ae88cf88a54c13a19a0fd7ca2638d\";s:8:\"filesize\";s:6:\"338182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1406794728\";s:6:\"mdhash\";s:32:\"a50fed33b4b58c9833f6b8f929623158\";s:8:\"filesize\";s:6:\"334491\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1376297590\";s:6:\"mdhash\";s:32:\"adebda20661b125574dcaab2a99acb74\";s:8:\"filesize\";s:6:\"332803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1376290700\";s:6:\"mdhash\";s:32:\"db805630baf91dfd9b9db21514e97c03\";s:8:\"filesize\";s:6:\"333406\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1374660395\";s:6:\"mdhash\";s:32:\"262e6d4945a247c01f4f4324a0659708\";s:8:\"filesize\";s:6:\"332556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1372846553\";s:6:\"mdhash\";s:32:\"4d8622e71b0b2a9878e6c7ecfe1fb777\";s:8:\"filesize\";s:6:\"332337\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1372845065\";s:6:\"mdhash\";s:32:\"31b3b15063eaa42ca18bf45c25ee2f0c\";s:8:\"filesize\";s:6:\"332331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1371198657\";s:6:\"mdhash\";s:32:\"25498c14ce1e8f2bd26b25d34ccfb796\";s:8:\"filesize\";s:6:\"310479\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1440995339\";s:6:\"mdhash\";s:32:\"135382503de47dc1998dd4d41db3194b\";s:8:\"filesize\";s:5:\"69557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}}',1500526790,1500440370,1),('available_releases::token','a:11:{s:5:\"title\";s:5:\"Token\";s:10:\"short_name\";s:5:\"token\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425149059\";s:6:\"mdhash\";s:32:\"9b59f3ce5f25aab883a1ae7631bf5581\";s:8:\"filesize\";s:5:\"44396\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1361665026\";s:6:\"mdhash\";s:32:\"93e5a19e8b244022cc38e58663db8001\";s:8:\"filesize\";s:5:\"44012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1348497279\";s:6:\"mdhash\";s:32:\"e65a894f14518751ca1da445a767965c\";s:8:\"filesize\";s:5:\"43675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1347466790\";s:6:\"mdhash\";s:32:\"efe130120435cf38d33e6ae005ad0956\";s:8:\"filesize\";s:5:\"43666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344634643\";s:6:\"mdhash\";s:32:\"0cb93d8a597acd5f99acdc7cb42b6332\";s:8:\"filesize\";s:5:\"43170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1337115392\";s:6:\"mdhash\";s:32:\"8d4c96128ab3ef9f4e76fbdb73900e35\";s:8:\"filesize\";s:5:\"42496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1333672577\";s:6:\"mdhash\";s:32:\"21709598974906287ea5bd68f2b94815\";s:8:\"filesize\";s:5:\"42264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:17:\"token 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1328022364\";s:6:\"mdhash\";s:32:\"b63435f4a943cb013aa34339f5ce8bb0\";s:8:\"filesize\";s:5:\"41089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1319825735\";s:6:\"mdhash\";s:32:\"9d5644d212720e8c9db7fcbcf4559468\";s:8:\"filesize\";s:5:\"40531\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1317397307\";s:6:\"mdhash\";s:32:\"797c619140cdcc00004ce5e64b25eb02\";s:8:\"filesize\";s:5:\"40155\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1314804722\";s:6:\"mdhash\";s:32:\"42b75e49ecfe3945cf3971b20d64e21f\";s:8:\"filesize\";s:5:\"38428\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1313614619\";s:6:\"mdhash\";s:32:\"00aea5ce506db5a5308e4881cc16a650\";s:8:\"filesize\";s:5:\"36328\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311709319\";s:6:\"mdhash\";s:32:\"236041ef8c6249adae04f0af98e8aa8b\";s:8:\"filesize\";s:5:\"34573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1305833216\";s:6:\"mdhash\";s:32:\"33678788042e89887c17f072f22b360e\";s:8:\"filesize\";s:5:\"32677\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294805791\";s:6:\"mdhash\";s:32:\"0c597a7a17a7a27a725cf076bbae25e4\";s:8:\"filesize\";s:5:\"31159\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1286469965\";s:6:\"mdhash\";s:32:\"16096ce5c4a1f7e0b70c31026d88238a\";s:8:\"filesize\";s:5:\"23473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281549992\";s:6:\"mdhash\";s:32:\"788bb2827e595fa41387afbe116f462d\";s:8:\"filesize\";s:5:\"21523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1271567107\";s:6:\"mdhash\";s:32:\"622a57e2ef607da3010c9e94d76af3fc\";s:8:\"filesize\";s:5:\"17032\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"token 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493330042\";s:6:\"mdhash\";s:32:\"89e063c41031d1001ae19ca34d00ccdb\";s:8:\"filesize\";s:5:\"44024\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526790,1500440370,1),('available_releases::views','a:11:{s:5:\"title\";s:5:\"Views\";s:10:\"short_name\";s:5:\"views\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:24:{s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.16\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1491158584\";s:6:\"mdhash\";s:32:\"d840cb148809da844b93d73b16b453f9\";s:8:\"filesize\";s:7:\"1643030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-3.16-rc1\";a:15:{s:4:\"name\";s:18:\"views 7.x-3.16-rc1\";s:7:\"version\";s:12:\"7.x-3.16-rc1\";s:3:\"tag\";s:12:\"7.x-3.16-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/views/releases/7.x-3.16-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/views-7.x-3.16-rc1.tar.gz\";s:4:\"date\";s:10:\"1489763584\";s:6:\"mdhash\";s:32:\"cba59381dbf64ac9d9d76fa549b4c7c1\";s:8:\"filesize\";s:7:\"1642814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.15\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1487784184\";s:6:\"mdhash\";s:32:\"473cb5384456d55af988feabc1af12ed\";s:8:\"filesize\";s:7:\"1642425\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.14\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.14\";s:7:\"version\";s:8:\"7.x-3.14\";s:3:\"tag\";s:8:\"7.x-3.14\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.14\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.14.tar.gz\";s:4:\"date\";s:10:\"1466019539\";s:6:\"mdhash\";s:32:\"168bb684c8f34297be94b03c797841e5\";s:8:\"filesize\";s:7:\"1656594\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.13\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1446804839\";s:6:\"mdhash\";s:32:\"50d3b231f689f8c4ff15d79ea3c261d9\";s:8:\"filesize\";s:7:\"1650157\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.12\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1446653339\";s:6:\"mdhash\";s:32:\"a50033bb090730176d9263ddae7f32b2\";s:8:\"filesize\";s:7:\"1650130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.11\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1430320981\";s:6:\"mdhash\";s:32:\"00d722e1d8ed57e912c8bd586cf2edbe\";s:8:\"filesize\";s:7:\"1649389\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1423648081\";s:6:\"mdhash\";s:32:\"c9806ffd69448bc505a67e790f97da58\";s:8:\"filesize\";s:7:\"1648314\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1400618927\";s:6:\"mdhash\";s:32:\"0fbe71c455f5d34c7193797563b63b3f\";s:8:\"filesize\";s:7:\"1646817\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1365499237\";s:6:\"mdhash\";s:32:\"3f36f0d13f3b724d719f6729cbc110ba\";s:8:\"filesize\";s:7:\"1639539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1363810217\";s:6:\"mdhash\";s:32:\"1531a1ece3970332db1559b854f5dcc9\";s:8:\"filesize\";s:7:\"1639219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1345829395\";s:6:\"mdhash\";s:32:\"fba70998d4ebcca5116ef5ee90117738\";s:8:\"filesize\";s:7:\"1632919\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1345559303\";s:6:\"mdhash\";s:32:\"72bd0f35ac467aed74e533c10a76c93f\";s:8:\"filesize\";s:7:\"1632803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1329946249\";s:6:\"mdhash\";s:32:\"70f24086dc7acfa7fc23c6148c7f8e00\";s:8:\"filesize\";s:7:\"1583249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1329778551\";s:6:\"mdhash\";s:32:\"c350603991445ca69b30eddf3befe887\";s:8:\"filesize\";s:7:\"1582617\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1326750948\";s:6:\"mdhash\";s:32:\"e158435dc66d1d89a0df587c39ef1a23\";s:8:\"filesize\";s:7:\"1575585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1324170451\";s:6:\"mdhash\";s:32:\"1be8cbd6fd3f37bfd1493693dfa95d8d\";s:8:\"filesize\";s:7:\"1461460\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1321467945\";s:6:\"mdhash\";s:32:\"b3e58f4195308e37621155d3c843e53f\";s:8:\"filesize\";s:7:\"1456218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308341221\";s:6:\"mdhash\";s:32:\"e158db78ae2f8cc615edb910a09384b0\";s:8:\"filesize\";s:7:\"1481151\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1301301971\";s:6:\"mdhash\";s:32:\"114c76f201523ef3e50b9a1d431b0364\";s:8:\"filesize\";s:7:\"1469580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1301158871\";s:6:\"mdhash\";s:32:\"c39fab1e76e55b15291fecf2c10386c2\";s:8:\"filesize\";s:7:\"1469243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301099796\";s:6:\"mdhash\";s:32:\"6ee4495cbdf0a8d19bd214f57bef0bf4\";s:8:\"filesize\";s:7:\"1468892\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:20:\"views 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/views/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1294276882\";s:6:\"mdhash\";s:32:\"8635e5b0c03fed4516abae25489a5a5c\";s:8:\"filesize\";s:7:\"1561161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:17:\"views 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498765443\";s:6:\"mdhash\";s:32:\"685c91d42eee7c9a657dd7cbba6c14c4\";s:8:\"filesize\";s:7:\"1645722\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526791,1500440370,1),('available_releases::views_accordion','a:11:{s:5:\"title\";s:15:\"Views Accordion\";s:10:\"short_name\";s:15:\"views_accordion\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_accordion\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:5:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"views_accordion 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1422545581\";s:6:\"mdhash\";s:32:\"9ca6496bb8398def4a4b61bd2b15c4c8\";s:8:\"filesize\";s:5:\"14731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"views_accordion 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1394102606\";s:6:\"mdhash\";s:32:\"c7723cb357819a18b1e0d746819dbdc8\";s:8:\"filesize\";s:5:\"14362\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"views_accordion 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1342687617\";s:6:\"mdhash\";s:32:\"1d15d3a14a1f213efdfc7e09721645eb\";s:8:\"filesize\";s:5:\"14548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"views_accordion 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1316625409\";s:6:\"mdhash\";s:32:\"84ca65a3f3b5bf3c696442beec1b24e3\";s:8:\"filesize\";s:5:\"14545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"views_accordion 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490116684\";s:6:\"mdhash\";s:32:\"05d670052f75640a6735dc4f9c3d652c\";s:8:\"filesize\";s:5:\"14751\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526792,1500440370,1),('available_releases::views_fieldsets','a:11:{s:5:\"title\";s:15:\"Views fieldsets\";s:10:\"short_name\";s:15:\"views_fieldsets\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_fieldsets\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1452361172\";s:6:\"mdhash\";s:32:\"c5865105b071c412aca65878eed1d8fe\";s:8:\"filesize\";s:5:\"14729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1436550539\";s:6:\"mdhash\";s:32:\"6a70727be4617284f768216fa8a00c87\";s:8:\"filesize\";s:5:\"14397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1425515881\";s:6:\"mdhash\";s:32:\"bb105a56ed43d3ead73e98e52ee48ca4\";s:8:\"filesize\";s:5:\"13371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1392335005\";s:6:\"mdhash\";s:32:\"70259475223e1f57b610084fac78fc01\";s:8:\"filesize\";s:5:\"13111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1360701659\";s:6:\"mdhash\";s:32:\"ebe6376710d9fa20b9cd655ab8428138\";s:8:\"filesize\";s:5:\"13035\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1357769111\";s:6:\"mdhash\";s:32:\"d99b0cda11f62cf33dc7eb7f485f2154\";s:8:\"filesize\";s:5:\"12875\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"views_fieldsets 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1342189984\";s:6:\"mdhash\";s:32:\"43e62b2acdb8d4a542527c0919c47ce6\";s:8:\"filesize\";s:5:\"12805\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"views_fieldsets 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1478952539\";s:6:\"mdhash\";s:32:\"d88549432db8f2d2013b0b407cd2eb35\";s:8:\"filesize\";s:5:\"15153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"views_fieldsets 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1429815481\";s:6:\"mdhash\";s:32:\"8785f8504272b1a9dfcaf90ea6accdee\";s:8:\"filesize\";s:5:\"13386\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526792,1500440370,1),('available_releases::views_slideshow','a:11:{s:5:\"title\";s:15:\"Views Slideshow\";s:10:\"short_name\";s:15:\"views_slideshow\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_slideshow\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.9\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1496893142\";s:6:\"mdhash\";s:32:\"fc1edcb8ee04923d93cdaa36ca848563\";s:8:\"filesize\";s:5:\"42352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.8\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1488825783\";s:6:\"mdhash\";s:32:\"ad0e1665ad39b234df35954f96be4d78\";s:8:\"filesize\";s:5:\"42099\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.7\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1488323883\";s:6:\"mdhash\";s:32:\"3c9f89add1c975c6820f155a855d109d\";s:8:\"filesize\";s:5:\"41306\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1487211484\";s:6:\"mdhash\";s:32:\"cb17433b7585c42c64c4ce4cbaaa186d\";s:8:\"filesize\";s:5:\"40102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1484857383\";s:6:\"mdhash\";s:32:\"3123e0b522aadb07b7e791eea34c27de\";s:8:\"filesize\";s:5:\"38808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1483641842\";s:6:\"mdhash\";s:32:\"c793ed088af5d093df616fee77b86b41\";s:8:\"filesize\";s:5:\"38045\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1483562342\";s:6:\"mdhash\";s:32:\"8642510e04bb94fa5e61033b6ed6645c\";s:8:\"filesize\";s:5:\"37849\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1482784083\";s:6:\"mdhash\";s:32:\"81adf86198a6a0dc61aa43c961726dbe\";s:8:\"filesize\";s:5:\"37459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1382584827\";s:6:\"mdhash\";s:32:\"a807ec5d346350d1f21b84be38480faf\";s:8:\"filesize\";s:5:\"35949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1319589616\";s:6:\"mdhash\";s:32:\"6bf9363dacee1b55b97c0294b70b5507\";s:8:\"filesize\";s:5:\"33692\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:30:\"views_slideshow 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1299893769\";s:6:\"mdhash\";s:32:\"a6b97871bde1ee41b63b60d0953b2e8b\";s:8:\"filesize\";s:5:\"29502\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:27:\"views_slideshow 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1496892542\";s:6:\"mdhash\";s:32:\"d61cf9a551b02666350c6b3cc6cf483c\";s:8:\"filesize\";s:5:\"42351\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526793,1500440370,1),('available_releases::webform','a:11:{s:5:\"title\";s:7:\"Webform\";s:10:\"short_name\";s:7:\"webform\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"4\";s:16:\"supported_majors\";s:3:\"3,4\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/webform\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:70:{s:8:\"7.x-4.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.15\";s:7:\"version\";s:8:\"7.x-4.15\";s:3:\"tag\";s:8:\"7.x-4.15\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15.tar.gz\";s:4:\"date\";s:10:\"1492107243\";s:6:\"mdhash\";s:32:\"12556ecbae9cb7bf39d768d2bbd29694\";s:8:\"filesize\";s:6:\"247725\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-4.15-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-4.15-rc1\";s:7:\"version\";s:12:\"7.x-4.15-rc1\";s:3:\"tag\";s:12:\"7.x-4.15-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-4.15-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15-rc1.tar.gz\";s:4:\"date\";s:10:\"1490884682\";s:6:\"mdhash\";s:32:\"4a0871210035b354cdaf24a7af9a072c\";s:8:\"filesize\";s:6:\"247731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-4.14\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.14\";s:7:\"version\";s:8:\"7.x-4.14\";s:3:\"tag\";s:8:\"7.x-4.14\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.14\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.14.tar.gz\";s:4:\"date\";s:10:\"1472386739\";s:6:\"mdhash\";s:32:\"9d28b1cbc3d380074b6926181543e445\";s:8:\"filesize\";s:6:\"244516\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-4.13\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.13\";s:7:\"version\";s:8:\"7.x-4.13\";s:3:\"tag\";s:8:\"7.x-4.13\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.13\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.13.tar.gz\";s:4:\"date\";s:10:\"1469140439\";s:6:\"mdhash\";s:32:\"dae91401fb44079b6370451bb72652eb\";s:8:\"filesize\";s:6:\"243560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-4.12\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.12\";s:7:\"version\";s:8:\"7.x-4.12\";s:3:\"tag\";s:8:\"7.x-4.12\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.12\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.12.tar.gz\";s:4:\"date\";s:10:\"1445622240\";s:6:\"mdhash\";s:32:\"5eed02c0782f36b042c205f4229a076c\";s:8:\"filesize\";s:6:\"240545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-4.11\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.11\";s:7:\"version\";s:8:\"7.x-4.11\";s:3:\"tag\";s:8:\"7.x-4.11\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.11\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.11.tar.gz\";s:4:\"date\";s:10:\"1442953139\";s:6:\"mdhash\";s:32:\"319613b667722186ff0b22f0f0cf2f95\";s:8:\"filesize\";s:6:\"235259\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-4.10\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.10\";s:7:\"version\";s:8:\"7.x-4.10\";s:3:\"tag\";s:8:\"7.x-4.10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.10\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.10.tar.gz\";s:4:\"date\";s:10:\"1437076439\";s:6:\"mdhash\";s:32:\"a8947025d47f177154511c7406a8534e\";s:8:\"filesize\";s:6:\"234255\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.9\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.9\";s:7:\"version\";s:7:\"7.x-4.9\";s:3:\"tag\";s:7:\"7.x-4.9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.9\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.9.tar.gz\";s:4:\"date\";s:10:\"1432669981\";s:6:\"mdhash\";s:32:\"7a4771c9fb06bad7d0e7b51048d36e57\";s:8:\"filesize\";s:6:\"231377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.8\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.8\";s:7:\"version\";s:7:\"7.x-4.8\";s:3:\"tag\";s:7:\"7.x-4.8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.8\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.8.tar.gz\";s:4:\"date\";s:10:\"1430334481\";s:6:\"mdhash\";s:32:\"dbd68b085357a4802c55edb03188e22c\";s:8:\"filesize\";s:6:\"230957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.7\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.7\";s:7:\"version\";s:7:\"7.x-4.7\";s:3:\"tag\";s:7:\"7.x-4.7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.7.tar.gz\";s:4:\"date\";s:10:\"1427387581\";s:6:\"mdhash\";s:32:\"708325315325143ecf872803bb8fc97e\";s:8:\"filesize\";s:6:\"212482\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.6\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.6\";s:7:\"version\";s:7:\"7.x-4.6\";s:3:\"tag\";s:7:\"7.x-4.6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.6.tar.gz\";s:4:\"date\";s:10:\"1427029681\";s:6:\"mdhash\";s:32:\"4c434af84de80e9886d9a0014bbde4dc\";s:8:\"filesize\";s:6:\"212172\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.5\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.5\";s:7:\"version\";s:7:\"7.x-4.5\";s:3:\"tag\";s:7:\"7.x-4.5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.5.tar.gz\";s:4:\"date\";s:10:\"1426611015\";s:6:\"mdhash\";s:32:\"8b864d7fd7de0abcc11f213bc28dcc6b\";s:8:\"filesize\";s:6:\"208218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.4\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.4\";s:7:\"version\";s:7:\"7.x-4.4\";s:3:\"tag\";s:7:\"7.x-4.4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.4.tar.gz\";s:4:\"date\";s:10:\"1425406981\";s:6:\"mdhash\";s:32:\"7933b2eaa6bfd7648b490c6c1e34f56c\";s:8:\"filesize\";s:6:\"207645\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.3\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.3\";s:7:\"version\";s:7:\"7.x-4.3\";s:3:\"tag\";s:7:\"7.x-4.3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.3.tar.gz\";s:4:\"date\";s:10:\"1424096281\";s:6:\"mdhash\";s:32:\"5ed6d060b3cd57ba6a0dc6aac19d31be\";s:8:\"filesize\";s:6:\"204589\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.2\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.2\";s:7:\"version\";s:7:\"7.x-4.2\";s:3:\"tag\";s:7:\"7.x-4.2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.2.tar.gz\";s:4:\"date\";s:10:\"1416925848\";s:6:\"mdhash\";s:32:\"a48a33c79d3831b748342b1836617a74\";s:8:\"filesize\";s:6:\"202048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.1\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.1\";s:7:\"version\";s:7:\"7.x-4.1\";s:3:\"tag\";s:7:\"7.x-4.1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.1.tar.gz\";s:4:\"date\";s:10:\"1412681928\";s:6:\"mdhash\";s:32:\"e33d9a244c41c7b1bc6df8af00e08b7a\";s:8:\"filesize\";s:6:\"193676\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.0\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.0\";s:7:\"version\";s:7:\"7.x-4.0\";s:3:\"tag\";s:7:\"7.x-4.0\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0.tar.gz\";s:4:\"date\";s:10:\"1409365728\";s:6:\"mdhash\";s:32:\"20c266a95b99abd24bd5dd3facba61a8\";s:8:\"filesize\";s:6:\"193699\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-4.0-rc6\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc6\";s:7:\"version\";s:11:\"7.x-4.0-rc6\";s:3:\"tag\";s:11:\"7.x-4.0-rc6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1408408128\";s:6:\"mdhash\";s:32:\"d6c9af053bb448d13db9ed4bda7373bf\";s:8:\"filesize\";s:6:\"192838\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc5\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc5\";s:7:\"version\";s:11:\"7.x-4.0-rc5\";s:3:\"tag\";s:11:\"7.x-4.0-rc5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1406922827\";s:6:\"mdhash\";s:32:\"376fdf4bac5d797aba46ef7c6e984dad\";s:8:\"filesize\";s:6:\"192690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc4\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc4\";s:7:\"version\";s:11:\"7.x-4.0-rc4\";s:3:\"tag\";s:11:\"7.x-4.0-rc4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1403835228\";s:6:\"mdhash\";s:32:\"a7433fae49177e403a2f9ea391dbff40\";s:8:\"filesize\";s:6:\"190874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc3\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc3\";s:7:\"version\";s:11:\"7.x-4.0-rc3\";s:3:\"tag\";s:11:\"7.x-4.0-rc3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1398161327\";s:6:\"mdhash\";s:32:\"dc88f99bb75f0ccb278c43ff288ee20d\";s:8:\"filesize\";s:6:\"189321\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc2\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc2\";s:7:\"version\";s:11:\"7.x-4.0-rc2\";s:3:\"tag\";s:11:\"7.x-4.0-rc2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1398128627\";s:6:\"mdhash\";s:32:\"83463fc7c1c09db64491821d6ec70245\";s:8:\"filesize\";s:6:\"189359\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc1\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc1\";s:7:\"version\";s:11:\"7.x-4.0-rc1\";s:3:\"tag\";s:11:\"7.x-4.0-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1397285353\";s:6:\"mdhash\";s:32:\"f531bd82a3e8a218e8ba6b9418a272fe\";s:8:\"filesize\";s:6:\"188567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta3\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta3\";s:7:\"version\";s:13:\"7.x-4.0-beta3\";s:3:\"tag\";s:13:\"7.x-4.0-beta3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1392366205\";s:6:\"mdhash\";s:32:\"ed5a9f251b148852a8604d3a27d312d0\";s:8:\"filesize\";s:6:\"183926\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta2\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta2\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:3:\"tag\";s:13:\"7.x-4.0-beta2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1392182008\";s:6:\"mdhash\";s:32:\"8aed2f45bc2c66d21b197fe0e25ee268\";s:8:\"filesize\";s:6:\"182803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta1\";s:7:\"version\";s:13:\"7.x-4.0-beta1\";s:3:\"tag\";s:13:\"7.x-4.0-beta1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1379945522\";s:6:\"mdhash\";s:32:\"ad8186178f170001d34c20afa0cc794c\";s:8:\"filesize\";s:6:\"178805\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:15:\"7.x-4.0-alpha10\";a:15:{s:4:\"name\";s:23:\"webform 7.x-4.0-alpha10\";s:7:\"version\";s:15:\"7.x-4.0-alpha10\";s:3:\"tag\";s:15:\"7.x-4.0-alpha10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha10\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1376030931\";s:6:\"mdhash\";s:32:\"0dbf55ba01a9fa44eca22a25da43cf88\";s:8:\"filesize\";s:6:\"175015\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha9\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha9\";s:7:\"version\";s:14:\"7.x-4.0-alpha9\";s:3:\"tag\";s:14:\"7.x-4.0-alpha9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1373869569\";s:6:\"mdhash\";s:32:\"2119eb8d79bb27e70f34bb5ed8d28d5f\";s:8:\"filesize\";s:6:\"165143\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha8\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha8\";s:7:\"version\";s:14:\"7.x-4.0-alpha8\";s:3:\"tag\";s:14:\"7.x-4.0-alpha8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1371660352\";s:6:\"mdhash\";s:32:\"f137cf2c0835affeb5c9da810507a67c\";s:8:\"filesize\";s:6:\"160206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha7\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha7\";s:7:\"version\";s:14:\"7.x-4.0-alpha7\";s:3:\"tag\";s:14:\"7.x-4.0-alpha7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1371629090\";s:6:\"mdhash\";s:32:\"1639e10d3bcdccddbeed2947a93fa127\";s:8:\"filesize\";s:6:\"160211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha6\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha6\";s:7:\"version\";s:14:\"7.x-4.0-alpha6\";s:3:\"tag\";s:14:\"7.x-4.0-alpha6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1347692127\";s:6:\"mdhash\";s:32:\"75227a94b7db0ef7a500af2c2ebb7ab9\";s:8:\"filesize\";s:6:\"155734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha5\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha5\";s:7:\"version\";s:14:\"7.x-4.0-alpha5\";s:3:\"tag\";s:14:\"7.x-4.0-alpha5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1347551761\";s:6:\"mdhash\";s:32:\"5d02f0e052f7c49ffba4539b8bb4aef9\";s:8:\"filesize\";s:6:\"152419\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha4\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha4\";s:7:\"version\";s:14:\"7.x-4.0-alpha4\";s:3:\"tag\";s:14:\"7.x-4.0-alpha4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1343527082\";s:6:\"mdhash\";s:32:\"e33d957ef4bc8f00f00d3a60aa21ac6c\";s:8:\"filesize\";s:6:\"152205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha3\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha3\";s:7:\"version\";s:14:\"7.x-4.0-alpha3\";s:3:\"tag\";s:14:\"7.x-4.0-alpha3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1339117034\";s:6:\"mdhash\";s:32:\"39f02ba0cee0a419a38254075f966c6a\";s:8:\"filesize\";s:6:\"151352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha2\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha2\";s:7:\"version\";s:14:\"7.x-4.0-alpha2\";s:3:\"tag\";s:14:\"7.x-4.0-alpha2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1338609133\";s:6:\"mdhash\";s:32:\"7fb52e64f354fb6875da48469a0d55af\";s:8:\"filesize\";s:6:\"150956\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha1\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha1\";s:7:\"version\";s:14:\"7.x-4.0-alpha1\";s:3:\"tag\";s:14:\"7.x-4.0-alpha1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1337451095\";s:6:\"mdhash\";s:32:\"512260ef02e1ce57ef43ec90683c1e78\";s:8:\"filesize\";s:6:\"135199\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.27\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.27\";s:7:\"version\";s:8:\"7.x-3.27\";s:3:\"tag\";s:8:\"7.x-3.27\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.27\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.27.tar.gz\";s:4:\"date\";s:10:\"1486665483\";s:6:\"mdhash\";s:32:\"17c1e11d7826c9a3554d4b6a93594c9f\";s:8:\"filesize\";s:6:\"139957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-3.27-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-3.27-rc1\";s:7:\"version\";s:12:\"7.x-3.27-rc1\";s:3:\"tag\";s:12:\"7.x-3.27-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"27\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-3.27-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-3.27-rc1.tar.gz\";s:4:\"date\";s:10:\"1485444182\";s:6:\"mdhash\";s:32:\"786145dda5a2e5f4520c2197c3ea69b1\";s:8:\"filesize\";s:6:\"139957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.26\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.26\";s:7:\"version\";s:8:\"7.x-3.26\";s:3:\"tag\";s:8:\"7.x-3.26\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.26\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.26.tar.gz\";s:4:\"date\";s:10:\"1480529583\";s:6:\"mdhash\";s:32:\"065cedb9c220daccccb22f907bb3d744\";s:8:\"filesize\";s:6:\"139944\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-3.26-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-3.26-rc1\";s:7:\"version\";s:12:\"7.x-3.26-rc1\";s:3:\"tag\";s:12:\"7.x-3.26-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"26\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-3.26-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-3.26-rc1.tar.gz\";s:4:\"date\";s:10:\"1479312239\";s:6:\"mdhash\";s:32:\"8de44a808ec179c299df85736196b446\";s:8:\"filesize\";s:6:\"137812\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.25\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.25\";s:7:\"version\";s:8:\"7.x-3.25\";s:3:\"tag\";s:8:\"7.x-3.25\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.25\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.25.tar.gz\";s:4:\"date\";s:10:\"1476870839\";s:6:\"mdhash\";s:32:\"8b039236e6e7d71ec72e0894205dae5e\";s:8:\"filesize\";s:6:\"137744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.24\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.24\";s:7:\"version\";s:8:\"7.x-3.24\";s:3:\"tag\";s:8:\"7.x-3.24\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.24\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.24.tar.gz\";s:4:\"date\";s:10:\"1427956545\";s:6:\"mdhash\";s:32:\"4cc3efd543655c6af4356ff2f88d7ac3\";s:8:\"filesize\";s:6:\"137672\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.23\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.23\";s:7:\"version\";s:8:\"7.x-3.23\";s:3:\"tag\";s:8:\"7.x-3.23\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.23\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.23.tar.gz\";s:4:\"date\";s:10:\"1426611015\";s:6:\"mdhash\";s:32:\"6a507412ba68d7b371fb13f18c739149\";s:8:\"filesize\";s:6:\"137624\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.22\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.22\";s:7:\"version\";s:8:\"7.x-3.22\";s:3:\"tag\";s:8:\"7.x-3.22\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.22\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.22.tar.gz\";s:4:\"date\";s:10:\"1425406681\";s:6:\"mdhash\";s:32:\"af8e64222a07a850b5d9d1798a1d1bb2\";s:8:\"filesize\";s:6:\"136634\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.21\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.21\";s:7:\"version\";s:8:\"7.x-3.21\";s:3:\"tag\";s:8:\"7.x-3.21\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.21\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.21.tar.gz\";s:4:\"date\";s:10:\"1412681928\";s:6:\"mdhash\";s:32:\"0a5579986a6d8698eca05ef4cd4f0ee3\";s:8:\"filesize\";s:6:\"136660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.20\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.20\";s:7:\"version\";s:8:\"7.x-3.20\";s:3:\"tag\";s:8:\"7.x-3.20\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.20\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.20.tar.gz\";s:4:\"date\";s:10:\"1392182304\";s:6:\"mdhash\";s:32:\"5011725f4998fbdff66ad31bc539c473\";s:8:\"filesize\";s:6:\"136668\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.19\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.19\";s:7:\"version\";s:8:\"7.x-3.19\";s:3:\"tag\";s:8:\"7.x-3.19\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.19\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.19.tar.gz\";s:4:\"date\";s:10:\"1369860079\";s:6:\"mdhash\";s:32:\"75a7796e7571b8eb8107f4a0171f2a64\";s:8:\"filesize\";s:6:\"135557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.18\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1336890411\";s:6:\"mdhash\";s:32:\"0c831e201bfc065207e0ddfeb8169e68\";s:8:\"filesize\";s:6:\"134663\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.17\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.17\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1331149848\";s:6:\"mdhash\";s:32:\"99164a28431b75a3ee58727698c159ba\";s:8:\"filesize\";s:6:\"132843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.16\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1330334150\";s:6:\"mdhash\";s:32:\"c0b428e7931efb4416e7b1057f37e02f\";s:8:\"filesize\";s:6:\"131554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1323326755\";s:6:\"mdhash\";s:32:\"6631cf2e3cfbab71e8e48dc31c0b5f04\";s:8:\"filesize\";s:6:\"123969\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.13\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1314806221\";s:6:\"mdhash\";s:32:\"3608e957d4685680c755870b2264d444\";s:8:\"filesize\";s:6:\"121276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.12\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1313561826\";s:6:\"mdhash\";s:32:\"9094d0cc5d3d1e746767cd6b03474be8\";s:8:\"filesize\";s:6:\"119057\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.11\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1305758218\";s:6:\"mdhash\";s:32:\"ab63b21e78594d9012c688d6f9242c1a\";s:8:\"filesize\";s:6:\"117272\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.10\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1305756717\";s:6:\"mdhash\";s:32:\"a463377335ec4ea95512dabd400ac6c6\";s:8:\"filesize\";s:6:\"115439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.9\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1299399369\";s:6:\"mdhash\";s:32:\"4622ef7902efbbdf2c76ea1a70095350\";s:8:\"filesize\";s:6:\"115250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.8\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1298677273\";s:6:\"mdhash\";s:32:\"a55a253b21abae132f519943a6dfb1e2\";s:8:\"filesize\";s:6:\"115237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1298534230\";s:6:\"mdhash\";s:32:\"0531afc17545bf2df8ff36fd770c9522\";s:8:\"filesize\";s:6:\"332813\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1294819898\";s:6:\"mdhash\";s:32:\"5b5d011f368ccc3458acb816bd322368\";s:8:\"filesize\";s:6:\"342890\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.4-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.4-beta1\";s:7:\"version\";s:13:\"7.x-3.4-beta1\";s:3:\"tag\";s:13:\"7.x-3.4-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.4-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.4-beta1.tar.gz\";s:4:\"date\";s:10:\"1287598575\";s:6:\"mdhash\";s:32:\"2a39a8641a3da45835309830600c78dd\";s:8:\"filesize\";s:6:\"342322\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.3-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.3-beta1\";s:7:\"version\";s:13:\"7.x-3.3-beta1\";s:3:\"tag\";s:13:\"7.x-3.3-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.3-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.3-beta1.tar.gz\";s:4:\"date\";s:10:\"1287390088\";s:6:\"mdhash\";s:32:\"05abb33a143713e3dec72dc9b832b488\";s:8:\"filesize\";s:6:\"342034\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta8\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta8\";s:7:\"version\";s:13:\"7.x-3.0-beta8\";s:3:\"tag\";s:13:\"7.x-3.0-beta8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1282828912\";s:6:\"mdhash\";s:32:\"da4804382f6f3ba985982bb4ef0f1821\";s:8:\"filesize\";s:6:\"336720\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1281825694\";s:6:\"mdhash\";s:32:\"e6daf245f2f70b7e101864f3c086235c\";s:8:\"filesize\";s:6:\"336332\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1277097010\";s:6:\"mdhash\";s:32:\"b2e32326c4d009b9af6efb190f3623cd\";s:8:\"filesize\";s:6:\"336300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1271177414\";s:6:\"mdhash\";s:32:\"8e2e4e4b5c3e7f3b05f5af0454417f8a\";s:8:\"filesize\";s:6:\"334969\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1270268112\";s:6:\"mdhash\";s:32:\"58886079d44ff03a11e8fc7c79e457e1\";s:8:\"filesize\";s:6:\"333147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1270265414\";s:6:\"mdhash\";s:32:\"285cce90e04b2bce7fe62f7e08ec152b\";s:8:\"filesize\";s:6:\"333092\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1268446210\";s:6:\"mdhash\";s:32:\"6152ba9b80f69e4098c5fc14457e1a2e\";s:8:\"filesize\";s:6:\"327887\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-4.x-dev\";a:14:{s:4:\"name\";s:19:\"webform 7.x-4.x-dev\";s:7:\"version\";s:11:\"7.x-4.x-dev\";s:3:\"tag\";s:7:\"7.x-4.x\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1500400742\";s:6:\"mdhash\";s:32:\"54bebb920375a8d15c40d7355be1a779\";s:8:\"filesize\";s:6:\"247646\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"webform 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1484233084\";s:6:\"mdhash\";s:32:\"d66aae2c19d435b79adf3ba7d093f435\";s:8:\"filesize\";s:6:\"139954\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500526794,1500440370,1),('fetch_failures','a:0:{}',1500440699,1500440370,1),('fetch_task::we_content_migration',NULL,0,1500440361,0),('update_project_data','a:42:{s:12:\"addressfield\";a:17:{s:4:\"name\";s:12:\"addressfield\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Address Field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1444254070\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1444254070\";s:8:\"includes\";a:1:{s:12:\"addressfield\";s:13:\"Address Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Address Field\";s:4:\"link\";s:43:\"https://www.drupal.org/project/addressfield\";s:14:\"latest_version\";s:7:\"7.x-1.2\";s:8:\"releases\";a:1:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1444253039\";s:6:\"mdhash\";s:32:\"2c9452731b1b8fffeba8f420c590cc57\";s:8:\"filesize\";s:5:\"77194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.2\";s:6:\"status\";i:5;}s:10:\"admin_menu\";a:17:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Administration menu\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:2:{s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-3.0-rc5\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:19:\"Administration menu\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:14:\"latest_version\";s:11:\"7.x-3.0-rc5\";s:8:\"releases\";a:1:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-3.0-rc5\";s:6:\"status\";i:5;}s:4:\"bean\";a:17:{s:4:\"name\";s:4:\"bean\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Bean\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1470638340\";s:8:\"includes\";a:2:{s:4:\"bean\";s:4:\"Bean\";s:13:\"bean_admin_ui\";s:13:\"Bean Admin UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.11\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Bean\";s:4:\"link\";s:35:\"https://www.drupal.org/project/bean\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1470638339\";s:6:\"mdhash\";s:32:\"81a99ebffebab15f1bd9f5796af951ea\";s:8:\"filesize\";s:5:\"55153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:5;}s:22:\"better_exposed_filters\";a:17:{s:4:\"name\";s:22:\"better_exposed_filters\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1485926287\";s:8:\"includes\";a:1:{s:22:\"better_exposed_filters\";s:22:\"Better Exposed Filters\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.4\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:22:\"Better Exposed Filters\";s:4:\"link\";s:53:\"https://www.drupal.org/project/better_exposed_filters\";s:14:\"latest_version\";s:7:\"7.x-3.4\";s:8:\"releases\";a:1:{s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1485926283\";s:6:\"mdhash\";s:32:\"0a149a565aa4885faf6015c1ce6b929b\";s:8:\"filesize\";s:5:\"51110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.4\";s:6:\"status\";i:5;}s:6:\"drupal\";a:17:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500440120;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:32:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:4:\"7.56\";s:14:\"existing_major\";s:1:\"7\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Drupal core\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:14:\"latest_version\";s:4:\"7.56\";s:8:\"releases\";a:1:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:4:\"7.56\";s:6:\"status\";i:5;}s:11:\"block_class\";a:17:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Block Class\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:7:\"context\";a:17:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1463605446\";s:8:\"includes\";a:2:{s:7:\"context\";s:7:\"Context\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.7\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Context\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:14:\"latest_version\";s:7:\"7.x-3.7\";s:8:\"releases\";a:1:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.7\";s:6:\"status\";i:5;}s:9:\"countries\";a:17:{s:4:\"name\";s:9:\"countries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Countries\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1409450929\";s:8:\"includes\";a:3:{s:9:\"countries\";s:9:\"Countries\";s:23:\"countries_configuration\";s:23:\"Countries configuration\";s:17:\"countries_example\";s:17:\"Countries Example\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"Countries\";s:4:\"link\";s:40:\"https://www.drupal.org/project/countries\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"countries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/countries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/countries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1409450928\";s:6:\"mdhash\";s:32:\"11fa9b845c3e4e63cb46d6398f54b3cb\";s:8:\"filesize\";s:5:\"56688\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:6:\"ctools\";a:17:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:14:\"latest_version\";s:8:\"7.x-1.12\";s:8:\"releases\";a:1:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.12\";s:6:\"status\";i:5;}s:4:\"date\";a:17:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1491562090\";s:8:\"includes\";a:3:{s:4:\"date\";s:4:\"Date\";s:8:\"date_api\";s:8:\"Date API\";s:10:\"date_popup\";s:10:\"Date Popup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.10\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Date\";s:4:\"link\";s:35:\"https://www.drupal.org/project/date\";s:14:\"latest_version\";s:8:\"7.x-2.10\";s:8:\"releases\";a:1:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:13:\"date 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/date/releases/7.x-2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/date-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1491562083\";s:6:\"mdhash\";s:32:\"2574ab984de79b65f93dbeb48a4e2036\";s:8:\"filesize\";s:6:\"226466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.10\";s:6:\"status\";i:5;}s:5:\"email\";a:17:{s:4:\"name\";s:5:\"email\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Email\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:5:\"email\";s:9:\"datestamp\";s:10:\"1397134155\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1397134155\";s:8:\"includes\";a:1:{s:5:\"email\";s:5:\"Email\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Email Field\";s:4:\"link\";s:36:\"https://www.drupal.org/project/email\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1397134152\";s:6:\"mdhash\";s:32:\"d827fffe1eb3ed14a34e0cb259b5b250\";s:8:\"filesize\";s:5:\"12566\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:6:\"entity\";a:17:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:1:{s:6:\"entity\";s:10:\"Entity API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.8\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Entity API\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:14:\"latest_version\";s:7:\"7.x-1.8\";s:8:\"releases\";a:1:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.8\";s:6:\"status\";i:5;}s:15:\"entityreference\";a:17:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1495557187\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Entity reference\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:14:\"latest_version\";s:7:\"7.x-1.4\";s:8:\"releases\";a:1:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:5;}s:16:\"field_collection\";a:17:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1479402861\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-beta12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Field collection\";s:4:\"link\";s:47:\"https://www.drupal.org/project/field_collection\";s:14:\"latest_version\";s:14:\"7.x-1.0-beta12\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-beta12\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta12\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:3:\"tag\";s:14:\"7.x-1.0-beta12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1479402842\";s:6:\"mdhash\";s:32:\"e966ba0c2ad40b9b044ae8bdf993f5ed\";s:8:\"filesize\";s:5:\"51018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-beta12\";s:6:\"status\";i:5;}s:11:\"field_group\";a:17:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Field Group\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:14:\"latest_version\";s:7:\"7.x-1.5\";s:8:\"releases\";a:1:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1452033539\";s:6:\"mdhash\";s:32:\"8d91e0f3cc8106deefe038d5fc07d3e6\";s:8:\"filesize\";s:5:\"51465\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:10:\"flexslider\";a:17:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1487028488\";s:8:\"includes\";a:2:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-2.0-rc2\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Flex Slider\";s:4:\"link\";s:41:\"https://www.drupal.org/project/flexslider\";s:14:\"latest_version\";s:11:\"7.x-2.0-rc2\";s:8:\"releases\";a:1:{s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1487028483\";s:6:\"mdhash\";s:32:\"6bbfff91fc66bef36e8ef42323a33a59\";s:8:\"filesize\";s:7:\"3976547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-2.0-rc2\";s:6:\"status\";i:5;}s:11:\"fontawesome\";a:17:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1476103133\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1476103133\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.6\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Font Awesome Icons\";s:4:\"link\";s:42:\"https://www.drupal.org/project/fontawesome\";s:14:\"latest_version\";s:7:\"7.x-2.6\";s:8:\"releases\";a:1:{s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1476103132\";s:6:\"mdhash\";s:32:\"cc9afba41c5a7f5e1b05840bac7e35aa\";s:8:\"filesize\";s:5:\"11867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.6\";s:6:\"status\";i:5;}s:16:\"galleryformatter\";a:17:{s:4:\"name\";s:16:\"galleryformatter\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Gallery Formatter\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1442600640\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1442600640\";s:8:\"includes\";a:1:{s:16:\"galleryformatter\";s:17:\"Gallery Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Gallery formatter\";s:4:\"link\";s:47:\"https://www.drupal.org/project/galleryformatter\";s:14:\"latest_version\";s:7:\"7.x-1.4\";s:8:\"releases\";a:1:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1442600639\";s:6:\"mdhash\";s:32:\"3754143cc4f2623b85fe4432514db18b\";s:8:\"filesize\";s:5:\"41653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:5;}s:4:\"gmap\";a:17:{s:4:\"name\";s:4:\"gmap\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"GMap\";s:7:\"package\";s:8:\"Location\";s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:16:\"_info_file_ctime\";i:1500440106;}s:9:\"datestamp\";s:10:\"1457698170\";s:8:\"includes\";a:1:{s:4:\"gmap\";s:4:\"GMap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.11\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"GMap Module\";s:4:\"link\";s:35:\"https://www.drupal.org/project/gmap\";s:14:\"latest_version\";s:8:\"7.x-2.11\";s:8:\"releases\";a:1:{s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:13:\"gmap 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/gmap/releases/7.x-2.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1457698139\";s:6:\"mdhash\";s:32:\"a457b062ef0f7a8f2ff4caa6e1b4299c\";s:8:\"filesize\";s:6:\"316275\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.11\";s:6:\"status\";i:5;}s:9:\"jcarousel\";a:17:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"jCarousel\";s:4:\"link\";s:40:\"https://www.drupal.org/project/jcarousel\";s:14:\"latest_version\";s:7:\"7.x-2.7\";s:8:\"releases\";a:1:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1420460280\";s:6:\"mdhash\";s:32:\"da7722a86d12f286ce6b05e064b6a6e3\";s:8:\"filesize\";s:5:\"58289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:13:\"jquery_update\";a:18:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500440106;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"jQuery Update\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:4:\"also\";a:1:{i:3;s:14:\"7.x-3.0-alpha5\";}s:8:\"releases\";a:2:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-2.7\";s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:9:\"libraries\";a:17:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Libraries API\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:4:\"link\";a:17:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Link\";s:4:\"link\";s:35:\"https://www.drupal.org/project/link\";s:14:\"latest_version\";s:13:\"7.x-1.5-beta1\";s:8:\"releases\";a:2:{s:13:\"7.x-1.5-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta1\";s:7:\"version\";s:13:\"7.x-1.5-beta1\";s:3:\"tag\";s:13:\"7.x-1.5-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta1.tar.gz\";s:4:\"date\";s:10:\"1499171942\";s:6:\"mdhash\";s:32:\"0589fb97c7b74f82e429a34677eb1fb8\";s:8:\"filesize\";s:5:\"37592\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1452830639\";s:6:\"mdhash\";s:32:\"10cb0a7bb75aaa6cd709c88fd7f79e9f\";s:8:\"filesize\";s:5:\"36913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:5;}s:8:\"location\";a:17:{s:4:\"name\";s:8:\"location\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Location\";s:7:\"package\";s:8:\"Location\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1438695672\";s:8:\"includes\";a:1:{s:8:\"location\";s:8:\"Location\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.7\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Location\";s:4:\"link\";s:39:\"https://www.drupal.org/project/location\";s:14:\"latest_version\";s:13:\"7.x-3.8-beta2\";s:8:\"releases\";a:2:{s:13:\"7.x-3.8-beta2\";a:15:{s:4:\"name\";s:22:\"location 7.x-3.8-beta2\";s:7:\"version\";s:13:\"7.x-3.8-beta2\";s:3:\"tag\";s:13:\"7.x-3.8-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/location/releases/7.x-3.8-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/location-7.x-3.8-beta2.tar.gz\";s:4:\"date\";s:10:\"1452248639\";s:6:\"mdhash\";s:32:\"778d1bbaa2c7463498e53620e61a8f2c\";s:8:\"filesize\";s:7:\"3562744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:16:\"location 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/location/releases/7.x-3.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/location-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1438695539\";s:6:\"mdhash\";s:32:\"b09e2dc4f610cafa92af99829d34af75\";s:8:\"filesize\";s:7:\"3562182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.7\";s:6:\"status\";i:5;}s:15:\"menu_attributes\";a:17:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1455568740\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1455568740\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.0\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Menu attributes\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_attributes\";s:14:\"latest_version\";s:7:\"7.x-1.0\";s:8:\"releases\";a:1:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"menu_attributes 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1455568739\";s:6:\"mdhash\";s:32:\"0d8c9354f20bf30333375423b0228fcc\";s:8:\"filesize\";s:5:\"14673\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.0\";s:6:\"status\";i:5;}s:15:\"menu_breadcrumb\";a:17:{s:4:\"name\";s:15:\"menu_breadcrumb\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440114;}s:9:\"datestamp\";s:10:\"1425993992\";s:8:\"includes\";a:1:{s:15:\"menu_breadcrumb\";s:15:\"Menu breadcrumb\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.6\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Menu Breadcrumb\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_breadcrumb\";s:14:\"latest_version\";s:7:\"7.x-1.6\";s:8:\"releases\";a:1:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425993987\";s:6:\"mdhash\";s:32:\"30291c87761f042b7599865d80df6f62\";s:8:\"filesize\";s:5:\"15154\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.6\";s:6:\"status\";i:5;}s:14:\"metatags_quick\";a:17:{s:4:\"name\";s:14:\"metatags_quick\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Meta tags (quick)\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1405184328\";s:8:\"includes\";a:1:{s:14:\"metatags_quick\";s:17:\"Meta tags (quick)\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.9\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Meta tags quick\";s:4:\"link\";s:45:\"https://www.drupal.org/project/metatags_quick\";s:14:\"latest_version\";s:7:\"7.x-2.9\";s:8:\"releases\";a:1:{s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1405184328\";s:6:\"mdhash\";s:32:\"9d67f5be1b23407215d621729dab57f0\";s:8:\"filesize\";s:5:\"28432\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.9\";s:6:\"status\";i:5;}s:11:\"modal_forms\";a:17:{s:4:\"name\";s:11:\"modal_forms\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Modal forms\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"modal_forms\";s:9:\"datestamp\";s:10:\"1353326875\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1353326875\";s:8:\"includes\";a:1:{s:11:\"modal_forms\";s:11:\"Modal forms\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Modal forms (with ctools)\";s:4:\"link\";s:42:\"https://www.drupal.org/project/modal_forms\";s:14:\"latest_version\";s:7:\"7.x-1.2\";s:8:\"releases\";a:1:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"modal_forms 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/modal_forms/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/modal_forms-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1353326875\";s:6:\"mdhash\";s:32:\"ad1e71dd8a361254f1383eec009b89de\";s:8:\"filesize\";s:5:\"29937\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.2\";s:6:\"status\";i:5;}s:13:\"module_filter\";a:17:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500440114;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Module Filter\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";s:6:\"status\";i:5;}s:10:\"newsletter\";a:17:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-beta10\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Newsletter\";s:4:\"link\";s:41:\"https://www.drupal.org/project/newsletter\";s:14:\"latest_version\";s:14:\"7.x-1.0-beta10\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1401923327\";s:6:\"mdhash\";s:32:\"40d8b9c7fb70d6ffc2743fbd3d9e3318\";s:8:\"filesize\";s:5:\"44420\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-beta10\";s:6:\"status\";i:5;}s:8:\"pathauto\";a:17:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Pathauto\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:12:\"redirect_404\";a:17:{s:4:\"name\";s:12:\"redirect_404\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Redirect 404\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:12:\"redirect_404\";s:9:\"datestamp\";s:10:\"1378403209\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1378403209\";s:8:\"includes\";a:1:{s:12:\"redirect_404\";s:12:\"Redirect 404\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Redirects 404\";s:4:\"link\";s:43:\"https://www.drupal.org/project/redirect_404\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:20:\"redirect_404 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/redirect_404/releases/7.x-1.1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/redirect_404-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1378403209\";s:6:\"mdhash\";s:32:\"0a24f2192faf8fe177df4e89f82e2075\";s:8:\"filesize\";s:5:\"11073\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:9:\"tagclouds\";a:17:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1452956656\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1452956656\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.11\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"TagCloud\";s:4:\"link\";s:40:\"https://www.drupal.org/project/tagclouds\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1452956639\";s:6:\"mdhash\";s:32:\"8fb0190b0c34735329d9e7808f507873\";s:8:\"filesize\";s:5:\"13778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:5;}s:13:\"taxonomy_menu\";a:18:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Taxonomy menu\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:4:\"also\";a:1:{i:2;s:14:\"7.x-2.0-alpha2\";}s:8:\"releases\";a:2:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-1.5\";s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:11:\"tb_megamenu\";a:17:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1440756596\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.0-rc2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:12:\"TB Mega Menu\";s:4:\"link\";s:42:\"https://www.drupal.org/project/tb_megamenu\";s:14:\"latest_version\";s:11:\"7.x-1.0-rc2\";s:8:\"releases\";a:1:{s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1440756539\";s:6:\"mdhash\";s:32:\"f31ead7424d21dbb8f189922301407e3\";s:8:\"filesize\";s:5:\"69537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-1.0-rc2\";s:6:\"status\";i:5;}s:5:\"token\";a:17:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.7\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Token\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:14:\"latest_version\";s:7:\"7.x-1.7\";s:8:\"releases\";a:1:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.7\";s:6:\"status\";i:5;}s:5:\"views\";a:17:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-3.16\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Views\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:14:\"latest_version\";s:8:\"7.x-3.16\";s:8:\"releases\";a:1:{s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.16\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1491158584\";s:6:\"mdhash\";s:32:\"d840cb148809da844b93d73b16b453f9\";s:8:\"filesize\";s:7:\"1643030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-3.16\";s:6:\"status\";i:5;}s:15:\"views_accordion\";a:17:{s:4:\"name\";s:15:\"views_accordion\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Accordion\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"views_accordion\";s:9:\"datestamp\";s:10:\"1422545700\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1422545700\";s:8:\"includes\";a:1:{s:15:\"views_accordion\";s:15:\"Views Accordion\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views Accordion\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_accordion\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"views_accordion 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1422545581\";s:6:\"mdhash\";s:32:\"9ca6496bb8398def4a4b61bd2b15c4c8\";s:8:\"filesize\";s:5:\"14731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:15:\"views_fieldsets\";a:17:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1452361196\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views fieldsets\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_fieldsets\";s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1452361172\";s:6:\"mdhash\";s:32:\"c5865105b071c412aca65878eed1d8fe\";s:8:\"filesize\";s:5:\"14729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";s:6:\"status\";i:5;}s:15:\"views_slideshow\";a:17:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.9\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views Slideshow\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_slideshow\";s:14:\"latest_version\";s:7:\"7.x-3.9\";s:8:\"releases\";a:1:{s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.9\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1496893142\";s:6:\"mdhash\";s:32:\"fc1edcb8ee04923d93cdaa36ca848563\";s:8:\"filesize\";s:5:\"42352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.9\";s:6:\"status\";i:5;}s:20:\"we_content_migration\";a:13:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499940588;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.x-dev\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:3:\"dev\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:7:\"webform\";a:17:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500440116;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-4.15\";s:14:\"existing_major\";s:1:\"4\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Webform\";s:4:\"link\";s:38:\"https://www.drupal.org/project/webform\";s:14:\"latest_version\";s:8:\"7.x-4.15\";s:8:\"releases\";a:1:{s:8:\"7.x-4.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.15\";s:7:\"version\";s:8:\"7.x-4.15\";s:3:\"tag\";s:8:\"7.x-4.15\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15.tar.gz\";s:4:\"date\";s:10:\"1492107243\";s:6:\"mdhash\";s:32:\"12556ecbae9cb7bf39d768d2bbd29694\";s:8:\"filesize\";s:6:\"247725\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-4.15\";s:6:\"status\";i:5;}}',1500444014,1500440414,1),('update_project_projects','a:42:{s:12:\"addressfield\";a:8:{s:4:\"name\";s:12:\"addressfield\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Address Field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1444254070\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1444254070\";s:8:\"includes\";a:1:{s:12:\"addressfield\";s:13:\"Address Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"admin_menu\";a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Administration menu\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:2:{s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"bean\";a:8:{s:4:\"name\";s:4:\"bean\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Bean\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1470638340\";s:8:\"includes\";a:2:{s:4:\"bean\";s:4:\"Bean\";s:13:\"bean_admin_ui\";s:13:\"Bean Admin UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:22:\"better_exposed_filters\";a:8:{s:4:\"name\";s:22:\"better_exposed_filters\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1485926287\";s:8:\"includes\";a:1:{s:22:\"better_exposed_filters\";s:22:\"Better Exposed Filters\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"drupal\";a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500440120;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:32:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"block_class\";a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"context\";a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1463605446\";s:8:\"includes\";a:2:{s:7:\"context\";s:7:\"Context\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"countries\";a:8:{s:4:\"name\";s:9:\"countries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Countries\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1409450929\";s:8:\"includes\";a:3:{s:9:\"countries\";s:9:\"Countries\";s:23:\"countries_configuration\";s:23:\"Countries configuration\";s:17:\"countries_example\";s:17:\"Countries Example\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"ctools\";a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"date\";a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1491562090\";s:8:\"includes\";a:3:{s:4:\"date\";s:4:\"Date\";s:8:\"date_api\";s:8:\"Date API\";s:10:\"date_popup\";s:10:\"Date Popup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"email\";a:8:{s:4:\"name\";s:5:\"email\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Email\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:5:\"email\";s:9:\"datestamp\";s:10:\"1397134155\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1397134155\";s:8:\"includes\";a:1:{s:5:\"email\";s:5:\"Email\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"entity\";a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:1:{s:6:\"entity\";s:10:\"Entity API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"entityreference\";a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1495557187\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"field_collection\";a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1479402861\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"field_group\";a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"flexslider\";a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1487028488\";s:8:\"includes\";a:2:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"fontawesome\";a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1476103133\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1476103133\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"galleryformatter\";a:8:{s:4:\"name\";s:16:\"galleryformatter\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Gallery Formatter\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1442600640\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1442600640\";s:8:\"includes\";a:1:{s:16:\"galleryformatter\";s:17:\"Gallery Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"gmap\";a:8:{s:4:\"name\";s:4:\"gmap\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"GMap\";s:7:\"package\";s:8:\"Location\";s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:16:\"_info_file_ctime\";i:1500440106;}s:9:\"datestamp\";s:10:\"1457698170\";s:8:\"includes\";a:1:{s:4:\"gmap\";s:4:\"GMap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"jcarousel\";a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"jquery_update\";a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500440106;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"libraries\";a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"link\";a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"location\";a:8:{s:4:\"name\";s:8:\"location\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Location\";s:7:\"package\";s:8:\"Location\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1438695672\";s:8:\"includes\";a:1:{s:8:\"location\";s:8:\"Location\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"menu_attributes\";a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1455568740\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1455568740\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"menu_breadcrumb\";a:8:{s:4:\"name\";s:15:\"menu_breadcrumb\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440114;}s:9:\"datestamp\";s:10:\"1425993992\";s:8:\"includes\";a:1:{s:15:\"menu_breadcrumb\";s:15:\"Menu breadcrumb\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:14:\"metatags_quick\";a:8:{s:4:\"name\";s:14:\"metatags_quick\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Meta tags (quick)\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1405184328\";s:8:\"includes\";a:1:{s:14:\"metatags_quick\";s:17:\"Meta tags (quick)\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"modal_forms\";a:8:{s:4:\"name\";s:11:\"modal_forms\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Modal forms\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"modal_forms\";s:9:\"datestamp\";s:10:\"1353326875\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1353326875\";s:8:\"includes\";a:1:{s:11:\"modal_forms\";s:11:\"Modal forms\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"module_filter\";a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500440114;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"newsletter\";a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"pathauto\";a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:12:\"redirect_404\";a:8:{s:4:\"name\";s:12:\"redirect_404\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Redirect 404\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:12:\"redirect_404\";s:9:\"datestamp\";s:10:\"1378403209\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1378403209\";s:8:\"includes\";a:1:{s:12:\"redirect_404\";s:12:\"Redirect 404\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"tagclouds\";a:8:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1452956656\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1452956656\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"taxonomy_menu\";a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"tb_megamenu\";a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1440756596\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"token\";a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"views\";a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_accordion\";a:8:{s:4:\"name\";s:15:\"views_accordion\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Accordion\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"views_accordion\";s:9:\"datestamp\";s:10:\"1422545700\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1422545700\";s:8:\"includes\";a:1:{s:15:\"views_accordion\";s:15:\"Views Accordion\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_fieldsets\";a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1452361196\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_slideshow\";a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:20:\"we_content_migration\";a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499940588;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"webform\";a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500440116;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}}',1500444014,1500440414,1);
/*!40000 ALTER TABLE `cache_update` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views`
--

DROP TABLE IF EXISTS `cache_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views`
--

LOCK TABLES `cache_views` WRITE;
/*!40000 ALTER TABLE `cache_views` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views_data`
--

DROP TABLE IF EXISTS `cache_views_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views_data` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views_data`
--

LOCK TABLES `cache_views_data` WRITE;
/*!40000 ALTER TABLE `cache_views_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',
  `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The published status of a comment. (0 = Not Published, 1 = Published)',
  `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',
  `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',
  `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',
  PRIMARY KEY (`cid`),
  KEY `comment_status_pid` (`pid`,`status`),
  KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),
  KEY `comment_uid` (`uid`),
  KEY `comment_nid_language` (`nid`,`language`),
  KEY `comment_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment` VALUES (1,0,16,1,'Vivamus porttitor faucibus tellus','::1',1407905757,1407905756,1,'01/','admin','','','und'),(2,0,16,6,'Vivamus porttitor faucibus tellus','::1',1408013500,1408013499,1,'02/','laura','','','und'),(3,1,16,6,'in sollicitudin enim erat id','::1',1408013552,1408013551,1,'01.00/','laura','','','und');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `context`
--

DROP TABLE IF EXISTS `context`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `context` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The primary identifier for a context.',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT 'Description for this context.',
  `tag` varchar(255) NOT NULL DEFAULT '' COMMENT 'Tag for this context.',
  `conditions` text COMMENT 'Serialized storage of all context condition settings.',
  `reactions` text COMMENT 'Serialized storage of all context reaction settings.',
  `condition_mode` int(11) DEFAULT '0' COMMENT 'Condition mode for this context.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Storage for normal (user-defined) contexts.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `context`
--

LOCK TABLES `context` WRITE;
/*!40000 ALTER TABLE `context` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `context` VALUES ('about-us','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:8:\"about-us\";s:8:\"about-us\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:3:{s:22:\"views-services-block_2\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:16:\"services-block_2\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";s:1:\"8\";}s:37:\"bean-what-make-we-a-professional--bra\";a:4:{s:6:\"module\";s:4:\"bean\";s:5:\"delta\";s:32:\"what-make-we-a-professional--bra\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";s:1:\"9\";}s:12:\"bean-careers\";a:4:{s:6:\"module\";s:4:\"bean\";s:5:\"delta\";s:7:\"careers\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";s:2:\"10\";}}}}',0);
/*!40000 ALTER TABLE `context` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `countries_country`
--

DROP TABLE IF EXISTS `countries_country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `countries_country` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique country ID. Required for the country bundle.',
  `iso2` char(2) NOT NULL COMMENT 'ISO 3166-1 alpha-2 country code.',
  `iso3` char(3) DEFAULT NULL COMMENT 'ISO 3166-1 alpha-3 country code.',
  `name` varchar(95) NOT NULL COMMENT 'ISO 3166-1 official short name.',
  `official_name` varchar(127) NOT NULL COMMENT 'ISO 3166-1 official long name.',
  `numcode` smallint(6) DEFAULT NULL COMMENT 'ISO 3166-1 numeric-3 country code.',
  `continent` char(2) NOT NULL COMMENT 'Continent code.',
  `enabled` int(11) NOT NULL DEFAULT '1' COMMENT 'Whether the country is enabled.',
  `language` varchar(12) NOT NULL DEFAULT 'und' COMMENT 'The languages.language of this node.',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `iso2` (`iso2`),
  UNIQUE KEY `name` (`name`),
  KEY `enabled` (`enabled`),
  KEY `continent` (`continent`)
) ENGINE=InnoDB AUTO_INCREMENT=251 DEFAULT CHARSET=utf8 COMMENT='Maintains a country database.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries_country`
--

LOCK TABLES `countries_country` WRITE;
/*!40000 ALTER TABLE `countries_country` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `countries_country` VALUES (1,'AF','AFG','Afghanistan','Islamic Republic of Afghanistan',4,'AS',1,'und'),(2,'AX','ALA','Aland Islands','Åland Islands',248,'EU',1,'und'),(3,'AL','ALB','Albania','Republic of Albania',8,'EU',1,'und'),(4,'DZ','DZA','Algeria','People\'s Democratic Republic of Algeria',12,'AF',1,'und'),(5,'AS','ASM','American Samoa','American Samoa',16,'OC',1,'und'),(6,'AD','AND','Andorra','Principality of Andorra',20,'EU',1,'und'),(7,'AO','AGO','Angola','Republic of Angola',24,'AF',1,'und'),(8,'AI','AIA','Anguilla','Anguilla',660,'NA',1,'und'),(9,'AQ','ATA','Antarctica','Antarctica',10,'AN',1,'und'),(10,'AG','ATG','Antigua and Barbuda','Antigua and Barbuda',28,'NA',1,'und'),(11,'AR','ARG','Argentina','Argentine Republic',32,'SA',1,'und'),(12,'AM','ARM','Armenia','Republic of Armenia',51,'AS',1,'und'),(13,'AW','ABW','Aruba','Aruba',533,'NA',1,'und'),(14,'AU','AUS','Australia','Commonwealth of Australia',36,'OC',1,'und'),(15,'AT','AUT','Austria','Republic of Austria',40,'EU',1,'und'),(16,'AZ','AZE','Azerbaijan','Republic of Azerbaijan',31,'AS',1,'und'),(17,'BS','BHS','Bahamas','Commonwealth of the Bahamas',44,'NA',1,'und'),(18,'BH','BHR','Bahrain','Kingdom of Bahrain',48,'AS',1,'und'),(19,'BD','BGD','Bangladesh','People\'s Republic of Bangladesh',50,'AS',1,'und'),(20,'BB','BRB','Barbados','Barbados',52,'NA',1,'und'),(21,'BY','BLR','Belarus','Republic of Belarus',112,'EU',1,'und'),(22,'BE','BEL','Belgium','Kingdom of Belgium',56,'EU',1,'und'),(23,'BZ','BLZ','Belize','Belize',84,'NA',1,'und'),(24,'BJ','BEN','Benin','Republic of Benin',204,'AF',1,'und'),(25,'BM','BMU','Bermuda','Bermuda',60,'NA',1,'und'),(26,'BT','BTN','Bhutan','Kingdom of Bhutan',64,'AS',1,'und'),(27,'BO','BOL','Bolivia','Plurinational State of Bolivia',68,'SA',1,'und'),(28,'BA','BIH','Bosnia and Herzegovina','Bosnia and Herzegovina',70,'EU',1,'und'),(29,'BQ','BES','Caribbean Netherlands','Bonaire, Sint Eustatius and Saba',535,'NA',1,'und'),(30,'BW','BWA','Botswana','Republic of Botswana',72,'AF',1,'und'),(31,'BV','BVT','Bouvet Island','Bouvet Island',74,'AN',1,'und'),(32,'BR','BRA','Brazil','Federative Republic of Brazil',76,'SA',1,'und'),(33,'IO','IOT','British Indian Ocean Territory','British Indian Ocean Territory',86,'AS',1,'und'),(34,'BN','BRN','Brunei','State of Brunei Darussalam',96,'AS',1,'und'),(35,'BG','BGR','Bulgaria','Republic of Bulgaria',100,'EU',1,'und'),(36,'BF','BFA','Burkina Faso','Burkina Faso',854,'AF',1,'und'),(37,'BI','BDI','Burundi','Republic of Burundi',108,'AF',1,'und'),(38,'KH','KHM','Cambodia','Kingdom of Cambodia',116,'AS',1,'und'),(39,'CM','CMR','Cameroon','Republic of Cameroon',120,'AF',1,'und'),(40,'CA','CAN','Canada','Canada',124,'NA',1,'und'),(41,'CV','CPV','Cape Verde','Republic of Cape Verde',132,'AF',1,'und'),(42,'KY','CYM','Cayman Islands','Cayman Islands',136,'NA',1,'und'),(43,'CF','CAF','Central African Republic','Central African Republic',140,'AF',1,'und'),(44,'TD','TCD','Chad','Republic of Chad',148,'AF',1,'und'),(45,'CL','CHL','Chile','Republic of Chile',152,'SA',1,'und'),(46,'CN','CHN','China','People\'s Republic of China',156,'AS',1,'und'),(47,'CX','CXR','Christmas Island','Christmas Island',162,'AS',1,'und'),(48,'CC','CCK','Cocos (Keeling) Islands','Cocos (Keeling) Islands',166,'AS',1,'und'),(49,'CO','COL','Colombia','Republic of Colombia',170,'SA',1,'und'),(50,'KM','COM','Comoros','Union of the Comoros',174,'AF',1,'und'),(51,'CG','COG','Congo (Brazzaville)','Republic of the Congo',178,'AF',1,'und'),(52,'CD','COD','Congo (Kinshasa)','Democratic Republic of the Congo',180,'AF',1,'und'),(53,'CK','COK','Cook Islands','Cook Islands',184,'OC',1,'und'),(54,'CR','CRI','Costa Rica','Republic of Costa Rica',188,'NA',1,'und'),(55,'CI','CIV','Ivory Coast','Republic of Côte d\'Ivoire',384,'AF',1,'und'),(56,'HR','HRV','Croatia','Republic of Croatia',191,'EU',1,'und'),(57,'CU','CUB','Cuba','Republic of Cuba',192,'NA',1,'und'),(58,'CW','CUW','Curaçao','Curaçao',531,'NA',1,'und'),(59,'CY','CYP','Cyprus','Republic of Cyprus',196,'AS',1,'und'),(60,'CZ','CZE','Czech Republic','Czech Republic',203,'EU',1,'und'),(61,'DK','DNK','Denmark','Kingdom of Denmark',208,'EU',1,'und'),(62,'DJ','DJI','Djibouti','Republic of Djibouti',262,'AF',1,'und'),(63,'DM','DMA','Dominica','Commonwealth of Dominica',212,'NA',1,'und'),(64,'DO','DOM','Dominican Republic','Dominican Republic',214,'NA',1,'und'),(65,'EC','ECU','Ecuador','Republic of Ecuador',218,'SA',1,'und'),(66,'EG','EGY','Egypt','Arab Republic of Egypt',818,'AF',1,'und'),(67,'SV','SLV','El Salvador','Republic of El Salvador',222,'NA',1,'und'),(68,'GQ','GNQ','Equatorial Guinea','Republic of Equatorial Guinea',226,'AF',1,'und'),(69,'ER','ERI','Eritrea','State of Eritrea',232,'AF',1,'und'),(70,'EE','EST','Estonia','Republic of Estonia',233,'EU',1,'und'),(71,'ET','ETH','Ethiopia','Federal Democratic Republic of Ethiopia',231,'AF',1,'und'),(72,'FK','FLK','Falkland Islands','Falkland Islands (Malvinas)',238,'SA',1,'und'),(73,'FO','FRO','Faroe Islands','Faroe Islands',234,'EU',1,'und'),(74,'FJ','FJI','Fiji','Republic of Fiji',242,'OC',1,'und'),(75,'FI','FIN','Finland','Republic of Finland',246,'EU',1,'und'),(76,'FR','FRA','France','French Republic',250,'EU',1,'und'),(77,'GF','GUF','French Guiana','French Guiana',254,'SA',1,'und'),(78,'PF','PYF','French Polynesia','French Polynesia',258,'OC',1,'und'),(79,'TF','ATF','French Southern Territories','French Southern Territories',260,'AN',1,'und'),(80,'GA','GAB','Gabon','Gabonese Republic',266,'AF',1,'und'),(81,'GM','GMB','Gambia','Republic of The Gambia',270,'AF',1,'und'),(82,'GE','GEO','Georgia','Georgia',268,'AS',1,'und'),(83,'DE','DEU','Germany','Federal Republic of Germany',276,'EU',1,'und'),(84,'GH','GHA','Ghana','Republic of Ghana',288,'AF',1,'und'),(85,'GI','GIB','Gibraltar','Gibraltar',292,'EU',1,'und'),(86,'GR','GRC','Greece','Hellenic Republic',300,'EU',1,'und'),(87,'GL','GRL','Greenland','Greenland',304,'NA',1,'und'),(88,'GD','GRD','Grenada','Grenada',308,'NA',1,'und'),(89,'GP','GLP','Guadeloupe','Guadeloupe',312,'NA',1,'und'),(90,'GU','GUM','Guam','Guam',316,'OC',1,'und'),(91,'GT','GTM','Guatemala','Republic of Guatemala',320,'NA',1,'und'),(92,'GG','GGY','Guernsey','Guernsey',831,'EU',1,'und'),(93,'GN','GIN','Guinea','Republic of Guinea',324,'AF',1,'und'),(94,'GW','GNB','Guinea-Bissau','Republic of Guinea-Bissau',624,'AF',1,'und'),(95,'GY','GUY','Guyana','Co-operative Republic of Guyana',328,'SA',1,'und'),(96,'HT','HTI','Haiti','Republic of Haiti',332,'NA',1,'und'),(97,'HM','HMD','Heard Island and McDonald Islands','Heard Island and Mcdonald Islands',334,'AN',1,'und'),(98,'VA','VAT','Vatican','Holy See (Vatican City State)',336,'EU',1,'und'),(99,'HN','HND','Honduras','Republic of Honduras',340,'NA',1,'und'),(100,'HK','HKG','Hong Kong S.A.R., China','Hong Kong S.A.R., China',344,'AS',1,'und'),(101,'HU','HUN','Hungary','Hungary',348,'EU',1,'und'),(102,'IS','ISL','Iceland','Republic of Iceland',352,'EU',1,'und'),(103,'IN','IND','India','Republic of India',356,'AS',1,'und'),(104,'ID','IDN','Indonesia','Republic of Indonesia',360,'AS',1,'und'),(105,'IR','IRN','Iran','Islamic Republic of Iran',364,'AS',1,'und'),(106,'IQ','IRQ','Iraq','Republic of Iraq',368,'AS',1,'und'),(107,'IE','IRL','Ireland','Ireland',372,'EU',1,'und'),(108,'IM','IMN','Isle of Man','Isle of Man',833,'EU',1,'und'),(109,'IL','ISR','Israel','State of Israel',376,'AS',1,'und'),(110,'IT','ITA','Italy','Italian Republic',380,'EU',1,'und'),(111,'JM','JAM','Jamaica','Jamaica',388,'NA',1,'und'),(112,'JP','JPN','Japan','Japan',392,'AS',1,'und'),(113,'JE','JEY','Jersey','Jersey',832,'EU',1,'und'),(114,'JO','JOR','Jordan','Hashemite Kingdom of Jordan',400,'AS',1,'und'),(115,'KZ','KAZ','Kazakhstan','Republic of Kazakhstan',398,'AS',1,'und'),(116,'KE','KEN','Kenya','Republic of Kenya',404,'AF',1,'und'),(117,'KI','KIR','Kiribati','Republic of Kiribati',296,'OC',1,'und'),(118,'KP','PRK','North Korea','Democratic People\'s Republic of Korea',408,'AS',1,'und'),(119,'KR','KOR','South Korea','Republic of Korea',410,'AS',1,'und'),(120,'KW','KWT','Kuwait','State of Kuwait',414,'AS',1,'und'),(121,'KG','KGZ','Kyrgyzstan','Kyrgyz Republic',417,'AS',1,'und'),(122,'LA','LAO','Laos','Lao People\'s Democratic Republic',418,'AS',1,'und'),(123,'LV','LVA','Latvia','Republic of Latvia',428,'EU',1,'und'),(124,'LB','LBN','Lebanon','Lebanese Republic',422,'AS',1,'und'),(125,'LS','LSO','Lesotho','Kingdom of Lesotho',426,'AF',1,'und'),(126,'LR','LBR','Liberia','Republic of Liberia',430,'AF',1,'und'),(127,'LY','LBY','Libya','Libya',434,'AF',1,'und'),(128,'LI','LIE','Liechtenstein','Principality of Liechtenstein',438,'EU',1,'und'),(129,'LT','LTU','Lithuania','Republic of Lithuania',440,'EU',1,'und'),(130,'LU','LUX','Luxembourg','Grand Duchy of Luxembourg',442,'EU',1,'und'),(131,'MO','MAC','Macao S.A.R., China','Macao S.A.R., China',446,'AS',1,'und'),(132,'MK','MKD','Macedonia','The Former Yugoslav Republic of Macedonia',807,'EU',1,'und'),(133,'MG','MDG','Madagascar','Republic of Madagascar',450,'AF',1,'und'),(134,'MW','MWI','Malawi','Republic of Malawi',454,'AF',1,'und'),(135,'MY','MYS','Malaysia','Federation of Malaysia',458,'AS',1,'und'),(136,'MV','MDV','Maldives','Republic of Maldives',462,'AS',1,'und'),(137,'ML','MLI','Mali','Republic of Mali',466,'AF',1,'und'),(138,'MT','MLT','Malta','Republic of Malta',470,'EU',1,'und'),(139,'MH','MHL','Marshall Islands','Republic of the Marshall Islands',584,'OC',1,'und'),(140,'MQ','MTQ','Martinique','Martinique',474,'NA',1,'und'),(141,'MR','MRT','Mauritania','Islamic Republic of Mauritania',478,'AF',1,'und'),(142,'MU','MUS','Mauritius','Republic of Mauritius',480,'AF',1,'und'),(143,'YT','MYT','Mayotte','Mayotte',175,'AF',1,'und'),(144,'MX','MEX','Mexico','United Mexican States',484,'NA',1,'und'),(145,'FM','FSM','Micronesia','Federated States of Micronesia',583,'OC',1,'und'),(146,'MD','MDA','Moldova','Republic of Moldova',498,'EU',1,'und'),(147,'MC','MCO','Monaco','Principality of Monaco',492,'EU',1,'und'),(148,'MN','MNG','Mongolia','Mongolia',496,'AS',1,'und'),(149,'ME','MNE','Montenegro','Montenegro',499,'EU',1,'und'),(150,'MS','MSR','Montserrat','Montserrat',500,'NA',1,'und'),(151,'MA','MAR','Morocco','Kingdom of Morocco',504,'AF',1,'und'),(152,'MZ','MOZ','Mozambique','Republic of Mozambique',508,'AF',1,'und'),(153,'MM','MMR','Myanmar','Republic of the Union of Myanmar',104,'AS',1,'und'),(154,'NA','NAM','Namibia','Republic of Namibia',516,'AF',1,'und'),(155,'NR','NRU','Nauru','Republic of Nauru',520,'OC',1,'und'),(156,'NP','NPL','Nepal','Federal Democratic Republic of Nepal',524,'AS',1,'und'),(157,'NL','NLD','Netherlands','Kingdom of the Netherlands',528,'EU',1,'und'),(158,'AN','ANT','Netherlands Antilles','Netherlands Antilles',530,'NA',1,'und'),(159,'NC','NCL','New Caledonia','New Caledonia',540,'OC',1,'und'),(160,'NZ','NZL','New Zealand','New Zealand',554,'OC',1,'und'),(161,'NI','NIC','Nicaragua','Republic of Nicaragua',558,'NA',1,'und'),(162,'NE','NER','Niger','Republic of Niger',562,'AF',1,'und'),(163,'NG','NGA','Nigeria','Federal Republic of Nigeria',566,'AF',1,'und'),(164,'NU','NIU','Niue','Niue',570,'OC',1,'und'),(165,'NF','NFK','Norfolk Island','Norfolk Island',574,'OC',1,'und'),(166,'MP','MNP','Northern Mariana Islands','Northern Mariana Islands',580,'OC',1,'und'),(167,'NO','NOR','Norway','Kingdom of Norway',578,'EU',1,'und'),(168,'OM','OMN','Oman','Sultanate of Oman',512,'AS',1,'und'),(169,'PK','PAK','Pakistan','Islamic Republic of Pakistan',586,'AS',1,'und'),(170,'PW','PLW','Palau','Republic of Palau',585,'OC',1,'und'),(171,'PS','PSE','Palestinian Territory','Occupied Palestinian Territory',275,'AS',1,'und'),(172,'PA','PAN','Panama','Republic of Panama',591,'NA',1,'und'),(173,'PG','PNG','Papua New Guinea','Independent State of Papua New Guinea',598,'OC',1,'und'),(174,'PY','PRY','Paraguay','Republic of Paraguay',600,'SA',1,'und'),(175,'PE','PER','Peru','Republic of Peru',604,'SA',1,'und'),(176,'PH','PHL','Philippines','Republic of the Philippines',608,'AS',1,'und'),(177,'PN','PCN','Pitcairn','Pitcairn',612,'OC',1,'und'),(178,'PL','POL','Poland','Republic of Poland',616,'EU',1,'und'),(179,'PT','PRT','Portugal','Portuguese Republic',620,'EU',1,'und'),(180,'PR','PRI','Puerto Rico','Puerto Rico',630,'NA',1,'und'),(181,'QA','QAT','Qatar','State of Qatar',634,'AS',1,'und'),(182,'RE','REU','Reunion','Réunion',638,'AF',1,'und'),(183,'RO','ROU','Romania','Romania',642,'EU',1,'und'),(184,'RU','RUS','Russia','Russian Federation',643,'EU',1,'und'),(185,'RW','RWA','Rwanda','Republic of Rwanda',646,'AF',1,'und'),(186,'BL','BLM','Saint Barthélemy','Saint Barthélemy',652,'NA',1,'und'),(187,'SH','SHN','Saint Helena','Saint Helena, Ascension and Tristan da Cunha',654,'AF',1,'und'),(188,'KN','KNA','Saint Kitts and Nevis','Federation of Saint Christopher and Nevis',659,'NA',1,'und'),(189,'LC','LCA','Saint Lucia','Saint Lucia',662,'NA',1,'und'),(190,'MF','MAF','Saint Martin (French part)','Saint Martin (French part)',663,'NA',1,'und'),(191,'PM','SPM','Saint Pierre and Miquelon','Saint Pierre and Miquelon',666,'NA',1,'und'),(192,'VC','VCT','Saint Vincent and the Grenadines','Saint Vincent and the Grenadines',670,'NA',1,'und'),(193,'WS','WSM','Samoa','Independent State of Samoa',882,'OC',1,'und'),(194,'SM','SMR','San Marino','Republic of San Marino',674,'EU',1,'und'),(195,'ST','STP','Sao Tome and Principe','Democratic Republic of São Tomé and Príncipe',678,'AF',1,'und'),(196,'SA','SAU','Saudi Arabia','Kingdom of Saudi Arabia',682,'AS',1,'und'),(197,'SN','SEN','Senegal','Republic of Senegal',686,'AF',1,'und'),(198,'RS','SRB','Serbia','Republic of Serbia',688,'EU',1,'und'),(199,'SC','SYC','Seychelles','Republic of Seychelles',690,'AF',1,'und'),(200,'SL','SLE','Sierra Leone','Republic of Sierra Leone',694,'AF',1,'und'),(201,'SG','SGP','Singapore','Republic of Singapore',702,'AS',1,'und'),(202,'SX','SXM','Sint Maarten','Sint Maarten (Dutch part)',534,'NA',1,'und'),(203,'SK','SVK','Slovakia','Slovak Republic',703,'EU',1,'und'),(204,'SI','SVN','Slovenia','Republic of Slovenia',705,'EU',1,'und'),(205,'SB','SLB','Solomon Islands','Solomon Islands',90,'OC',1,'und'),(206,'SO','SOM','Somalia','Federal Republic of Somalia',706,'AF',1,'und'),(207,'ZA','ZAF','South Africa','Republic of South Africa',710,'AF',1,'und'),(208,'GS','SGS','South Georgia and the South Sandwich Islands','South Georgia and the South Sandwich Islands',239,'AN',1,'und'),(209,'ES','ESP','Spain','Kingdom of Spain',724,'EU',1,'und'),(210,'LK','LKA','Sri Lanka','Democratic Socialist Republic of Sri Lanka',144,'AS',1,'und'),(211,'SS','SSD','South Sudan','Republic of South Sudan',728,'AF',1,'und'),(212,'SD','SDN','Sudan','Republic of the Sudan',729,'AF',1,'und'),(213,'SR','SUR','Suriname','Republic of Suriname',740,'SA',1,'und'),(214,'SJ','SJM','Svalbard and Jan Mayen','Svalbard and Jan Mayen Islands',744,'EU',1,'und'),(215,'SZ','SWZ','Swaziland','Kingdom of Swaziland',748,'AF',1,'und'),(216,'SE','SWE','Sweden','Kingdom of Sweden',752,'EU',1,'und'),(217,'CH','CHE','Switzerland','Switzerland',756,'EU',1,'und'),(218,'SY','SYR','Syria','Syrian Arab Republic',760,'AS',1,'und'),(219,'TW','TWN','Taiwan','Taiwan, Province of China',158,'AS',1,'und'),(220,'TJ','TJK','Tajikistan','Republic of Tajikistan',762,'AS',1,'und'),(221,'TZ','TZA','Tanzania','United Republic of Tanzania',834,'AF',1,'und'),(222,'TH','THA','Thailand','Kingdom of Thailand',764,'AS',1,'und'),(223,'TL','TLS','Timor-Leste','Democratic Republic of Timor-Leste',626,'AS',1,'und'),(224,'TG','TGO','Togo','Togolese Republic',768,'AF',1,'und'),(225,'TK','TKL','Tokelau','Tokelau',772,'OC',1,'und'),(226,'TO','TON','Tonga','Kingdom of Tonga',776,'OC',1,'und'),(227,'TT','TTO','Trinidad and Tobago','Republic of Trinidad and Tobago',780,'NA',1,'und'),(228,'TN','TUN','Tunisia','Republic of Tunisia',788,'AF',1,'und'),(229,'TR','TUR','Turkey','Republic of Turkey',792,'AS',1,'und'),(230,'TM','TKM','Turkmenistan','Turkmenistan',795,'AS',1,'und'),(231,'TC','TCA','Turks and Caicos Islands','Turks and Caicos Islands',796,'NA',1,'und'),(232,'TV','TUV','Tuvalu','Tuvalu',798,'OC',1,'und'),(233,'UG','UGA','Uganda','Republic of Uganda',800,'AF',1,'und'),(234,'UA','UKR','Ukraine','Ukraine',804,'EU',1,'und'),(235,'AE','ARE','United Arab Emirates','United Arab Emirates',784,'AS',1,'und'),(236,'GB','GBR','United Kingdom','United Kingdom of Great Britain and Northern Ireland',826,'EU',1,'und'),(237,'US','USA','United States','United States of America',840,'NA',1,'und'),(238,'UM','UMI','United States Minor Outlying Islands','United States Minor Outlying Islands',581,'OC',1,'und'),(239,'UY','URY','Uruguay','Eastern Republic of Uruguay',858,'SA',1,'und'),(240,'UZ','UZB','Uzbekistan','Republic of Uzbekistan',860,'AS',1,'und'),(241,'VU','VUT','Vanuatu','Republic of Vanuatu',548,'OC',1,'und'),(242,'VE','VEN','Venezuela','Bolivarian Republic of Venezuela',862,'SA',1,'und'),(243,'VN','VNM','Vietnam','Socialist Republic of Viet Nam',704,'AS',1,'und'),(244,'VG','VGB','British Virgin Islands','Virgin Islands, British',92,'NA',1,'und'),(245,'VI','VIR','U.S. Virgin Islands','Virgin Islands, United States',850,'NA',1,'und'),(246,'WF','WLF','Wallis and Futuna','Wallis and Futuna Islands',876,'OC',1,'und'),(247,'EH','ESH','Western Sahara','Western Sahara',732,'AF',1,'und'),(248,'YE','YEM','Yemen','Republic of Yemen',887,'AS',1,'und'),(249,'ZM','ZMB','Zambia','Republic of Zambia',894,'AF',1,'und'),(250,'ZW','ZWE','Zimbabwe','Republic of Zimbabwe',716,'AF',1,'und');
/*!40000 ALTER TABLE `countries_country` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `countries_data`
--

DROP TABLE IF EXISTS `countries_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `countries_data` (
  `iso2` char(2) NOT NULL COMMENT 'ISO2 country code.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this record.',
  `name` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The key of the record that we are storing.',
  `data` longblob COMMENT 'A serialized array of configuration data.',
  PRIMARY KEY (`iso2`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains additional country information on behalf of...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries_data`
--

LOCK TABLES `countries_data` WRITE;
/*!40000 ALTER TABLE `countries_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `countries_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_css_cache`
--

DROP TABLE IF EXISTS `ctools_css_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_css_cache` (
  `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',
  `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',
  `css` longtext COMMENT 'CSS being stored.',
  `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_css_cache`
--

LOCK TABLES `ctools_css_cache` WRITE;
/*!40000 ALTER TABLE `ctools_css_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_css_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_object_cache`
--

DROP TABLE IF EXISTS `ctools_object_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_object_cache` (
  `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',
  `obj` varchar(128) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',
  `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',
  `data` longblob COMMENT 'Serialized data being stored.',
  PRIMARY KEY (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_object_cache`
--

LOCK TABLES `ctools_object_cache` WRITE;
/*!40000 ALTER TABLE `ctools_object_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_object_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_locale`
--

DROP TABLE IF EXISTS `date_format_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_locale` (
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',
  PRIMARY KEY (`type`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_locale`
--

LOCK TABLES `date_format_locale` WRITE;
/*!40000 ALTER TABLE `date_format_locale` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `date_format_locale` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_type`
--

DROP TABLE IF EXISTS `date_format_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_type` (
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',
  PRIMARY KEY (`type`),
  KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_type`
--

LOCK TABLES `date_format_type` WRITE;
/*!40000 ALTER TABLE `date_format_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_format_type` VALUES ('long','Long',1),('medium','Medium',1),('short','Short',1);
/*!40000 ALTER TABLE `date_format_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_formats`
--

DROP TABLE IF EXISTS `date_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_formats` (
  `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',
  PRIMARY KEY (`dfid`),
  UNIQUE KEY `formats` (`format`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_formats`
--

LOCK TABLES `date_formats` WRITE;
/*!40000 ALTER TABLE `date_formats` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_formats` VALUES (1,'Y-m-d H:i','short',1),(2,'m/d/Y - H:i','short',1),(3,'d/m/Y - H:i','short',1),(4,'Y/m/d - H:i','short',1),(5,'d.m.Y - H:i','short',1),(6,'m/d/Y - g:ia','short',1),(7,'d/m/Y - g:ia','short',1),(8,'Y/m/d - g:ia','short',1),(9,'M j Y - H:i','short',1),(10,'j M Y - H:i','short',1),(11,'Y M j - H:i','short',1),(12,'M j Y - g:ia','short',1),(13,'j M Y - g:ia','short',1),(14,'Y M j - g:ia','short',1),(15,'D, Y-m-d H:i','medium',1),(16,'D, m/d/Y - H:i','medium',1),(17,'D, d/m/Y - H:i','medium',1),(18,'D, Y/m/d - H:i','medium',1),(19,'F j, Y - H:i','medium',1),(20,'j F, Y - H:i','medium',1),(21,'Y, F j - H:i','medium',1),(22,'D, m/d/Y - g:ia','medium',1),(23,'D, d/m/Y - g:ia','medium',1),(24,'D, Y/m/d - g:ia','medium',1),(25,'F j, Y - g:ia','medium',1),(26,'j F Y - g:ia','medium',1),(27,'Y, F j - g:ia','medium',1),(28,'j. F Y - G:i','medium',1),(29,'l, F j, Y - H:i','long',1),(30,'l, j F, Y - H:i','long',1),(31,'l, Y,  F j - H:i','long',1),(32,'l, F j, Y - g:ia','long',1),(33,'l, j F Y - g:ia','long',1),(34,'l, Y,  F j - g:ia','long',1),(35,'l, j. F Y - G:i','long',1);
/*!40000 ALTER TABLE `date_formats` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_collection_item`
--

DROP TABLE IF EXISTS `field_collection_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_collection_item` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique field collection item ID.',
  `revision_id` int(11) NOT NULL COMMENT 'Default revision ID.',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of the field on the host entity embedding this entity.',
  `archived` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the field collection item is archived.',
  PRIMARY KEY (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Stores information about field collection items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_collection_item`
--

LOCK TABLES `field_collection_item` WRITE;
/*!40000 ALTER TABLE `field_collection_item` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_collection_item` VALUES (1,35,'field_simple_field',0),(2,36,'field_simple_field',0),(3,37,'field_simple_field',0),(4,38,'field_simple_field',0),(5,39,'field_simple_field',0),(6,40,'field_simple_field',0),(7,41,'field_simple_field',0);
/*!40000 ALTER TABLE `field_collection_item` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_collection_item_revision`
--

DROP TABLE IF EXISTS `field_collection_item_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_collection_item_revision` (
  `revision_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique revision ID.',
  `item_id` int(11) NOT NULL COMMENT 'Field collection item ID.',
  PRIMARY KEY (`revision_id`),
  KEY `item_id` (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8 COMMENT='Stores revision information about field collection items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_collection_item_revision`
--

LOCK TABLES `field_collection_item_revision` WRITE;
/*!40000 ALTER TABLE `field_collection_item_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_collection_item_revision` VALUES (1,1),(11,1),(15,1),(19,1),(23,1),(27,1),(31,1),(35,1),(2,2),(12,2),(16,2),(20,2),(24,2),(28,2),(32,2),(36,2),(3,3),(13,3),(17,3),(21,3),(25,3),(29,3),(33,3),(37,3),(4,4),(14,4),(18,4),(22,4),(26,4),(30,4),(34,4),(38,4),(5,5),(8,5),(39,5),(6,6),(9,6),(40,6),(7,7),(10,7),(41,7);
/*!40000 ALTER TABLE `field_collection_item_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config`
--

DROP TABLE IF EXISTS `field_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',
  `type` varchar(128) NOT NULL COMMENT 'The type of this field.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',
  `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',
  `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',
  `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',
  `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',
  `cardinality` tinyint(4) NOT NULL DEFAULT '0',
  `translatable` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name` (`field_name`),
  KEY `active` (`active`),
  KEY `storage_active` (`storage_active`),
  KEY `deleted` (`deleted`),
  KEY `module` (`module`),
  KEY `storage_module` (`storage_module`),
  KEY `type` (`type`),
  KEY `storage_type` (`storage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config`
--

LOCK TABLES `field_config` WRITE;
/*!40000 ALTER TABLE `field_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config` VALUES (1,'comment_body','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:7:\"comment\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(2,'body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:4:\"node\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(3,'field_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"tags\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(4,'field_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:2:\"id\";s:1:\"4\";}',1,0,0),(5,'field_slideshow','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:1:\"5\";}',1,0,0),(6,'field_gallery','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_gallery\";a:5:{s:3:\"fid\";s:17:\"field_gallery_fid\";s:3:\"alt\";s:17:\"field_gallery_alt\";s:5:\"title\";s:19:\"field_gallery_title\";s:5:\"width\";s:19:\"field_gallery_width\";s:6:\"height\";s:20:\"field_gallery_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_gallery\";a:5:{s:3:\"fid\";s:17:\"field_gallery_fid\";s:3:\"alt\";s:17:\"field_gallery_alt\";s:5:\"title\";s:19:\"field_gallery_title\";s:5:\"width\";s:19:\"field_gallery_width\";s:6:\"height\";s:20:\"field_gallery_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:1:\"6\";}',-1,0,0),(7,'field_brands','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"brands\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_brands\";a:1:{s:3:\"tid\";s:16:\"field_brands_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_brands\";a:1:{s:3:\"tid\";s:16:\"field_brands_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"7\";}',1,0,0),(8,'field_categories','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"categories\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:27:\"field_data_field_categories\";a:1:{s:3:\"tid\";s:20:\"field_categories_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:31:\"field_revision_field_categories\";a:1:{s:3:\"tid\";s:20:\"field_categories_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"8\";}',-1,0,0),(9,'field_colors','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"colors\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_colors\";a:1:{s:3:\"tid\";s:16:\"field_colors_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_colors\";a:1:{s:3:\"tid\";s:16:\"field_colors_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"9\";}',-1,0,0),(10,'field_models','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"models\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_models\";a:1:{s:3:\"tid\";s:16:\"field_models_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_models\";a:1:{s:3:\"tid\";s:16:\"field_models_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"10\";}',1,0,0),(11,'field_newsletter_categories','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:21:\"newsletter_categories\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(12,'field_positions','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:9:\"positions\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(13,'field_transmission_types','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:18:\"transmission_types\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:35:\"field_data_field_transmission_types\";a:1:{s:3:\"tid\";s:28:\"field_transmission_types_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:39:\"field_revision_field_transmission_types\";a:1:{s:3:\"tid\";s:28:\"field_transmission_types_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"13\";}',1,0,0),(14,'field_newsletter_list','entityreference','entityreference',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:4:{s:11:\"target_type\";s:15:\"newsletter_list\";s:7:\"handler\";s:4:\"base\";s:14:\"handler_submit\";s:14:\"Change handler\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";a:0:{}s:4:\"sort\";a:1:{s:4:\"type\";s:4:\"none\";}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}}',-1,0,0),(15,'field_newsletter_template','entityreference','entityreference',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:4:{s:11:\"target_type\";s:19:\"newsletter_template\";s:7:\"handler\";s:4:\"base\";s:14:\"handler_submit\";s:14:\"Change handler\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";a:0:{}s:4:\"sort\";a:1:{s:4:\"type\";s:4:\"none\";}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}}',1,0,0),(16,'field_list_description','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:8:\"settings\";a:1:{s:10:\"max_length\";i:255;}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(17,'field_newsletter_body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(18,'field_link','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_link\";a:3:{s:3:\"url\";s:14:\"field_link_url\";s:5:\"title\";s:16:\"field_link_title\";s:10:\"attributes\";s:21:\"field_link_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_link\";a:3:{s:3:\"url\";s:14:\"field_link_url\";s:5:\"title\";s:16:\"field_link_title\";s:10:\"attributes\";s:21:\"field_link_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"18\";}',1,0,0),(19,'field_counter','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_counter\";a:1:{s:5:\"value\";s:19:\"field_counter_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_counter\";a:1:{s:5:\"value\";s:19:\"field_counter_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"19\";}',1,0,0),(20,'field_full_name','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_full_name\";a:2:{s:5:\"value\";s:21:\"field_full_name_value\";s:6:\"format\";s:22:\"field_full_name_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_full_name\";a:2:{s:5:\"value\";s:21:\"field_full_name_value\";s:6:\"format\";s:22:\"field_full_name_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"20\";}',1,0,0),(21,'field_facebook','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_facebook\";a:3:{s:3:\"url\";s:18:\"field_facebook_url\";s:5:\"title\";s:20:\"field_facebook_title\";s:10:\"attributes\";s:25:\"field_facebook_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_facebook\";a:3:{s:3:\"url\";s:18:\"field_facebook_url\";s:5:\"title\";s:20:\"field_facebook_title\";s:10:\"attributes\";s:25:\"field_facebook_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"21\";}',1,0,0),(22,'field_twitter','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_twitter\";a:3:{s:3:\"url\";s:17:\"field_twitter_url\";s:5:\"title\";s:19:\"field_twitter_title\";s:10:\"attributes\";s:24:\"field_twitter_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_twitter\";a:3:{s:3:\"url\";s:17:\"field_twitter_url\";s:5:\"title\";s:19:\"field_twitter_title\";s:10:\"attributes\";s:24:\"field_twitter_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"22\";}',1,0,0),(23,'field_linkedin','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_linkedin\";a:3:{s:3:\"url\";s:18:\"field_linkedin_url\";s:5:\"title\";s:20:\"field_linkedin_title\";s:10:\"attributes\";s:25:\"field_linkedin_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_linkedin\";a:3:{s:3:\"url\";s:18:\"field_linkedin_url\";s:5:\"title\";s:20:\"field_linkedin_title\";s:10:\"attributes\";s:25:\"field_linkedin_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"23\";}',1,0,0),(24,'field_website','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_website\";a:3:{s:3:\"url\";s:17:\"field_website_url\";s:5:\"title\";s:19:\"field_website_title\";s:10:\"attributes\";s:24:\"field_website_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_website\";a:3:{s:3:\"url\";s:17:\"field_website_url\";s:5:\"title\";s:19:\"field_website_title\";s:10:\"attributes\";s:24:\"field_website_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"24\";}',1,0,0),(25,'field_address','addressfield','addressfield',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_address\";a:14:{s:7:\"country\";s:21:\"field_address_country\";s:19:\"administrative_area\";s:33:\"field_address_administrative_area\";s:23:\"sub_administrative_area\";s:37:\"field_address_sub_administrative_area\";s:8:\"locality\";s:22:\"field_address_locality\";s:18:\"dependent_locality\";s:32:\"field_address_dependent_locality\";s:11:\"postal_code\";s:25:\"field_address_postal_code\";s:12:\"thoroughfare\";s:26:\"field_address_thoroughfare\";s:7:\"premise\";s:21:\"field_address_premise\";s:11:\"sub_premise\";s:25:\"field_address_sub_premise\";s:17:\"organisation_name\";s:31:\"field_address_organisation_name\";s:9:\"name_line\";s:23:\"field_address_name_line\";s:10:\"first_name\";s:24:\"field_address_first_name\";s:9:\"last_name\";s:23:\"field_address_last_name\";s:4:\"data\";s:18:\"field_address_data\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_address\";a:14:{s:7:\"country\";s:21:\"field_address_country\";s:19:\"administrative_area\";s:33:\"field_address_administrative_area\";s:23:\"sub_administrative_area\";s:37:\"field_address_sub_administrative_area\";s:8:\"locality\";s:22:\"field_address_locality\";s:18:\"dependent_locality\";s:32:\"field_address_dependent_locality\";s:11:\"postal_code\";s:25:\"field_address_postal_code\";s:12:\"thoroughfare\";s:26:\"field_address_thoroughfare\";s:7:\"premise\";s:21:\"field_address_premise\";s:11:\"sub_premise\";s:25:\"field_address_sub_premise\";s:17:\"organisation_name\";s:31:\"field_address_organisation_name\";s:9:\"name_line\";s:23:\"field_address_name_line\";s:10:\"first_name\";s:24:\"field_address_first_name\";s:9:\"last_name\";s:23:\"field_address_last_name\";s:4:\"data\";s:18:\"field_address_data\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"25\";}',1,0,0),(26,'field_field_gender','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"gender\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(27,'field_gender','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"gender\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_gender\";a:1:{s:3:\"tid\";s:16:\"field_gender_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_gender\";a:1:{s:3:\"tid\";s:16:\"field_gender_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"27\";}',1,0,0),(28,'field_position','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:9:\"positions\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_position\";a:1:{s:3:\"tid\";s:18:\"field_position_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_position\";a:1:{s:3:\"tid\";s:18:\"field_position_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"28\";}',1,0,0),(29,'field_public_email','email','email',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:29:\"field_data_field_public_email\";a:1:{s:5:\"email\";s:24:\"field_public_email_email\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:33:\"field_revision_field_public_email\";a:1:{s:5:\"email\";s:24:\"field_public_email_email\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"29\";}',1,0,0),(31,'field_simple_field','field_collection','field_collection',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:16:\"hide_blank_items\";i:1;s:4:\"path\";s:0:\"\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:29:\"field_data_field_simple_field\";a:2:{s:5:\"value\";s:24:\"field_simple_field_value\";s:11:\"revision_id\";s:30:\"field_simple_field_revision_id\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:33:\"field_revision_field_simple_field\";a:2:{s:5:\"value\";s:24:\"field_simple_field_value\";s:11:\"revision_id\";s:30:\"field_simple_field_revision_id\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:2:{s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:2:\"id\";s:2:\"31\";}',-1,0,0),(32,'field_title','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_title\";a:2:{s:5:\"value\";s:17:\"field_title_value\";s:6:\"format\";s:18:\"field_title_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_title\";a:2:{s:5:\"value\";s:17:\"field_title_value\";s:6:\"format\";s:18:\"field_title_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"32\";}',1,0,0),(33,'field_description','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_description\";a:2:{s:5:\"value\";s:23:\"field_description_value\";s:6:\"format\";s:24:\"field_description_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_description\";a:2:{s:5:\"value\";s:23:\"field_description_value\";s:6:\"format\";s:24:\"field_description_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"33\";}',1,0,0),(34,'field_latitude','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_latitude\";a:2:{s:5:\"value\";s:20:\"field_latitude_value\";s:6:\"format\";s:21:\"field_latitude_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_latitude\";a:2:{s:5:\"value\";s:20:\"field_latitude_value\";s:6:\"format\";s:21:\"field_latitude_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"34\";}',1,0,0),(35,'field_longitude','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_longitude\";a:2:{s:5:\"value\";s:21:\"field_longitude_value\";s:6:\"format\";s:22:\"field_longitude_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_longitude\";a:2:{s:5:\"value\";s:21:\"field_longitude_value\";s:6:\"format\";s:22:\"field_longitude_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"35\";}',1,0,0),(36,'field_release_date','datetime','date',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:6:{s:11:\"granularity\";a:6:{s:4:\"year\";s:4:\"year\";s:5:\"month\";i:0;s:3:\"day\";i:0;s:4:\"hour\";i:0;s:6:\"minute\";i:0;s:6:\"second\";i:0;}s:11:\"tz_handling\";s:4:\"none\";s:11:\"timezone_db\";s:0:\"\";s:13:\"cache_enabled\";i:0;s:11:\"cache_count\";s:1:\"4\";s:6:\"todate\";s:0:\"\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:29:\"field_data_field_release_date\";a:1:{s:5:\"value\";s:24:\"field_release_date_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:33:\"field_revision_field_release_date\";a:1:{s:5:\"value\";s:24:\"field_release_date_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"36\";}',1,0,0),(37,'field_displacement_cm3_','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:34:\"field_data_field_displacement_cm3_\";a:1:{s:5:\"value\";s:29:\"field_displacement_cm3__value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:38:\"field_revision_field_displacement_cm3_\";a:1:{s:5:\"value\";s:29:\"field_displacement_cm3__value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"37\";}',1,0,0),(41,'field_price','number_decimal','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:3:{s:9:\"precision\";i:10;s:5:\"scale\";i:2;s:17:\"decimal_separator\";s:1:\",\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_price\";a:1:{s:5:\"value\";s:17:\"field_price_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_price\";a:1:{s:5:\"value\";s:17:\"field_price_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"41\";}',1,0,0),(42,'field_co2_emissions_g_100km_','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:39:\"field_data_field_co2_emissions_g_100km_\";a:2:{s:5:\"value\";s:34:\"field_co2_emissions_g_100km__value\";s:6:\"format\";s:35:\"field_co2_emissions_g_100km__format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:43:\"field_revision_field_co2_emissions_g_100km_\";a:2:{s:5:\"value\";s:34:\"field_co2_emissions_g_100km__value\";s:6:\"format\";s:35:\"field_co2_emissions_g_100km__format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"42\";}',1,0,0),(43,'field_fuel_consumption_combined_','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:43:\"field_data_field_fuel_consumption_combined_\";a:2:{s:5:\"value\";s:38:\"field_fuel_consumption_combined__value\";s:6:\"format\";s:39:\"field_fuel_consumption_combined__format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:47:\"field_revision_field_fuel_consumption_combined_\";a:2:{s:5:\"value\";s:38:\"field_fuel_consumption_combined__value\";s:6:\"format\";s:39:\"field_fuel_consumption_combined__format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"43\";}',1,0,0),(44,'field_top_speed_km_h_','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:32:\"field_data_field_top_speed_km_h_\";a:2:{s:5:\"value\";s:27:\"field_top_speed_km_h__value\";s:6:\"format\";s:28:\"field_top_speed_km_h__format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:36:\"field_revision_field_top_speed_km_h_\";a:2:{s:5:\"value\";s:27:\"field_top_speed_km_h__value\";s:6:\"format\";s:28:\"field_top_speed_km_h__format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"44\";}',1,0,0),(45,'field_field_features','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"features\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(46,'field_field_interior_design','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:15:\"interior_design\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(47,'field_field_safety','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"safety\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(48,'field_features','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"features\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_features\";a:1:{s:3:\"tid\";s:18:\"field_features_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_features\";a:1:{s:3:\"tid\";s:18:\"field_features_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"48\";}',-1,0,0),(49,'field_interior_design','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:15:\"interior_design\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:32:\"field_data_field_interior_design\";a:1:{s:3:\"tid\";s:25:\"field_interior_design_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:36:\"field_revision_field_interior_design\";a:1:{s:3:\"tid\";s:25:\"field_interior_design_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"49\";}',-1,0,0),(50,'field_safety','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"safety\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_safety\";a:1:{s:3:\"tid\";s:16:\"field_safety_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_safety\";a:1:{s:3:\"tid\";s:16:\"field_safety_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"50\";}',-1,0,0),(51,'field_comfort','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_comfort\";a:2:{s:5:\"value\";s:19:\"field_comfort_value\";s:6:\"format\";s:20:\"field_comfort_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_comfort\";a:2:{s:5:\"value\";s:19:\"field_comfort_value\";s:6:\"format\";s:20:\"field_comfort_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"51\";}',1,0,0),(52,'field_phone','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_phone\";a:2:{s:5:\"value\";s:17:\"field_phone_value\";s:6:\"format\";s:18:\"field_phone_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_phone\";a:2:{s:5:\"value\";s:17:\"field_phone_value\";s:6:\"format\";s:18:\"field_phone_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"52\";}',1,0,0);
/*!40000 ALTER TABLE `field_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config_instance`
--

DROP TABLE IF EXISTS `field_config_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config_instance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',
  `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',
  `field_name` varchar(32) NOT NULL DEFAULT '',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `data` longblob NOT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),
  KEY `deleted` (`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=90 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config_instance`
--

LOCK TABLES `field_config_instance` WRITE;
/*!40000 ALTER TABLE `field_config_instance` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config_instance` VALUES (1,1,'comment_body','comment','comment_node_page','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(2,2,'body','node','page','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(3,1,'comment_body','comment','comment_node_article','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(4,2,'body','node','article','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(5,3,'field_tags','node','article','a:6:{s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:63:\"Enter a comma-separated list of words to describe your content.\";s:6:\"widget\";a:4:{s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"weight\";i:-4;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:8:\"required\";b:0;}',0),(6,4,'field_image','node','article','a:6:{s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:40:\"Upload an image to go with this article.\";s:8:\"required\";b:0;s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";s:0:\"\";s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:11:\"image_image\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:2:\"-1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:2:\"-1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}}',0),(7,1,'comment_body','comment','comment_node_webform','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(8,2,'body','node','webform','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(9,1,'comment_body','comment','comment_node_blog','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(10,2,'body','node','blog','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(11,1,'comment_body','comment','comment_node_products','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(12,2,'body','node','products','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:2:\"17\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(13,1,'comment_body','comment','comment_node_services','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(14,2,'body','node','services','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(15,1,'comment_body','comment','comment_node_faq','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(16,2,'body','node','faq','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(17,1,'comment_body','comment','comment_node_dealers','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(18,2,'body','node','dealers','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(19,4,'field_image','node','blog','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:16:\"field/image/blog\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(20,5,'field_slideshow','node','products','a:6:{s:5:\"label\";s:9:\"Slideshow\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"10\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:15:\"field/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"19\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(21,6,'field_gallery','node','products','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:13:\"field/gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:24:\"galleryformatter_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:7:{s:11:\"slide_style\";s:22:\"galleryformatter_slide\";s:11:\"thumb_style\";s:22:\"galleryformatter_thumb\";s:5:\"style\";s:11:\"Greenarrows\";s:14:\"linking_method\";s:14:\"show_full_link\";s:12:\"link_to_full\";i:1;s:18:\"link_to_full_style\";i:0;s:5:\"modal\";s:4:\"none\";}s:6:\"module\";s:16:\"galleryformatter\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"14\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(23,4,'field_image','taxonomy_term','brands','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:18:\"field/image/brands\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(24,4,'field_image','node','services','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:20:\"field/image/services\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(25,1,'comment_body','comment','comment_node_testimonials','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(26,2,'body','node','testimonials','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:31;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(27,4,'field_image','node','products','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:19:\"field/image/product\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:21:\"thumbnail_big_vehicle\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(28,7,'field_brands','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Brands\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(29,8,'field_categories','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:10:\"Categories\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:1;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(30,9,'field_colors','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Colors\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:2;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(31,10,'field_models','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Models\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:3;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(32,11,'field_newsletter_categories','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(33,12,'field_positions','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:9:\"Positions\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:4;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(34,3,'field_tags','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:5;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(35,13,'field_transmission_types','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:18:\"Transmission Types\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:6;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(36,16,'field_list_description','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"text_textfield\";s:8:\"settings\";a:1:{s:4:\"size\";i:60;}s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:1;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(37,14,'field_newsletter_list','newsletter_subscriber','newsletter_subscriber','a:6:{s:5:\"label\";s:5:\"Lists\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:15:\"options_buttons\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:15:\"newsletter_list\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"newsletter_list\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:0;}}s:11:\"description\";s:0:\"\";}',0),(38,15,'field_newsletter_template','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Template\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:19:\"newsletter_template\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:19:\"newsletter_template\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:2;}}s:11:\"description\";s:0:\"\";}',0),(39,17,'field_newsletter_body','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:7;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(40,17,'field_newsletter_body','newsletter_newsletter','newsletter_newsletter','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(41,18,'field_link','taxonomy_term','brands','a:7:{s:5:\"label\";s:4:\"Link\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(42,6,'field_gallery','node','services','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:21:\"field/gallery/service\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(43,1,'comment_body','comment','comment_node_statistics','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(44,2,'body','node','statistics','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"2\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(45,19,'field_counter','node','statistics','a:7:{s:5:\"label\";s:7:\"Counter\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:1:\"+\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;s:13:\"prefix_suffix\";b:1;}s:6:\"module\";s:6:\"number\";s:6:\"weight\";i:1;}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(46,20,'field_full_name','user','user','a:7:{s:5:\"label\";s:9:\"Full Name\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:1;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(47,21,'field_facebook','user','user','a:7:{s:5:\"label\";s:8:\"Facebook\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"10\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(48,22,'field_twitter','user','user','a:7:{s:5:\"label\";s:7:\"Twitter\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"11\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(49,23,'field_linkedin','user','user','a:7:{s:5:\"label\";s:8:\"Linkedin\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"12\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(50,24,'field_website','user','user','a:7:{s:5:\"label\";s:7:\"Website\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(51,25,'field_address','user','user','a:6:{s:5:\"label\";s:7:\"Address\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:21:\"addressfield_standard\";s:6:\"module\";s:12:\"addressfield\";s:6:\"active\";i:1;s:8:\"settings\";a:3:{s:19:\"available_countries\";a:0:{}s:15:\"format_handlers\";a:5:{s:7:\"address\";s:7:\"address\";s:20:\"address-hide-country\";i:0;s:12:\"organisation\";i:0;s:9:\"name-full\";i:0;s:12:\"name-oneline\";i:0;}s:15:\"default_country\";s:0:\"\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:20:\"addressfield_default\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{i:0;s:7:\"address\";}}s:6:\"module\";s:12:\"addressfield\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(52,27,'field_gender','user','user','a:7:{s:5:\"label\";s:6:\"Gender\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:1;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(53,28,'field_position','user','user','a:7:{s:5:\"label\";s:8:\"Position\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(54,29,'field_public_email','user','user','a:7:{s:5:\"label\";s:12:\"Public Email\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:15:\"email_textfield\";s:6:\"module\";s:5:\"email\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:13:\"email_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:5:\"email\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(56,31,'field_simple_field','bean','list_block','a:7:{s:5:\"label\";s:12:\"Simple Field\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:22:\"field_collection_embed\";s:6:\"module\";s:16:\"field_collection\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:21:\"field_collection_view\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:5:{s:4:\"edit\";s:4:\"Edit\";s:6:\"delete\";s:6:\"Delete\";s:3:\"add\";s:3:\"Add\";s:11:\"description\";b:1;s:9:\"view_mode\";s:4:\"full\";}s:6:\"module\";s:16:\"field_collection\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(57,4,'field_image','bean','list_block','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:17:\"field/image/block\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(58,32,'field_title','field_collection_item','field_simple_field','a:7:{s:5:\"label\";s:5:\"Title\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(59,33,'field_description','user','user','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:13:\"text_textarea\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"rows\";s:1:\"5\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"9\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(60,33,'field_description','field_collection_item','field_simple_field','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:13:\"text_textarea\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"rows\";s:1:\"5\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(61,18,'field_link','bean','list_block','a:7:{s:5:\"label\";s:4:\"Link\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(62,34,'field_latitude','node','dealers','a:7:{s:5:\"label\";s:8:\"Latitude\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(63,35,'field_longitude','node','dealers','a:7:{s:5:\"label\";s:9:\"Longitude\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(64,25,'field_address','node','dealers','a:6:{s:5:\"label\";s:7:\"Address\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:21:\"addressfield_standard\";s:6:\"module\";s:12:\"addressfield\";s:6:\"active\";i:1;s:8:\"settings\";a:3:{s:19:\"available_countries\";a:0:{}s:15:\"format_handlers\";a:5:{s:7:\"address\";s:7:\"address\";s:20:\"address-hide-country\";i:0;s:12:\"organisation\";i:0;s:9:\"name-full\";i:0;s:12:\"name-oneline\";i:0;}s:15:\"default_country\";s:0:\"\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:20:\"addressfield_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{i:0;s:7:\"address\";}}s:6:\"module\";s:12:\"addressfield\";}s:6:\"teaser\";a:4:{s:4:\"type\";s:6:\"hidden\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(65,29,'field_public_email','node','dealers','a:7:{s:5:\"label\";s:12:\"Public Email\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:15:\"email_textfield\";s:6:\"module\";s:5:\"email\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:13:\"email_default\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}s:6:\"module\";s:5:\"email\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(66,18,'field_link','node','dealers','a:7:{s:5:\"label\";s:7:\"Website\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:12:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";b:0;s:27:\"title_label_use_field_label\";b:0;s:12:\"absolute_url\";i:1;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(67,4,'field_image','node','dealers','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(68,6,'field_gallery','node','dealers','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:13:\"field/gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(69,10,'field_models','node','products','a:7:{s:5:\"label\";s:6:\"Models\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"13\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(70,36,'field_release_date','node','products','a:6:{s:5:\"label\";s:12:\"Release date\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:10:\"date_popup\";s:6:\"module\";s:4:\"date\";s:6:\"active\";i:1;s:8:\"settings\";a:6:{s:12:\"input_format\";s:13:\"m/d/Y - H:i:s\";s:19:\"input_format_custom\";s:0:\"\";s:10:\"year_range\";s:5:\"-3:+3\";s:9:\"increment\";s:2:\"15\";s:14:\"label_position\";s:5:\"above\";s:10:\"text_parts\";a:0:{}}}s:8:\"settings\";a:5:{s:13:\"default_value\";s:3:\"now\";s:18:\"default_value_code\";s:0:\"\";s:14:\"default_value2\";s:4:\"same\";s:19:\"default_value_code2\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"date_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:5:{s:11:\"format_type\";s:4:\"long\";s:15:\"multiple_number\";s:0:\"\";s:13:\"multiple_from\";s:0:\"\";s:11:\"multiple_to\";s:0:\"\";s:6:\"fromto\";s:4:\"both\";}s:6:\"module\";s:4:\"date\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"15\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(71,9,'field_colors','node','products','a:7:{s:5:\"label\";s:6:\"Colors\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"16\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(72,37,'field_displacement_cm3_','node','products','a:7:{s:5:\"label\";s:18:\"Displacement (cm3)\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"13\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";s:1:\"9\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;s:13:\"prefix_suffix\";b:1;}s:6:\"module\";s:6:\"number\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"18\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(75,13,'field_transmission_types','node','products','a:7:{s:5:\"label\";s:18:\"Transmission Types\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"14\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"17\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(77,41,'field_price','node','products','a:7:{s:5:\"label\";s:5:\"price\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:1:\"$\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:14:\"number_decimal\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\",\";s:17:\"decimal_separator\";s:1:\",\";s:5:\"scale\";s:1:\"0\";s:13:\"prefix_suffix\";i:1;}s:6:\"module\";s:6:\"number\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:14:\"number_decimal\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\",\";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";s:1:\"0\";s:13:\"prefix_suffix\";i:1;}s:6:\"module\";s:6:\"number\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(78,4,'field_image','taxonomy_term','categories','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"32\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:10:\"categories\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(79,7,'field_brands','node','products','a:7:{s:5:\"label\";s:6:\"Brands\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"12\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(80,42,'field_co2_emissions_g_100km_','node','products','a:7:{s:5:\"label\";s:23:\"CO2 emissions (g/100km)\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"15\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(81,43,'field_fuel_consumption_combined_','node','products','a:7:{s:5:\"label\";s:35:\"Fuel consumption combined (l/100km)\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"16\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(82,44,'field_top_speed_km_h_','node','products','a:7:{s:5:\"label\";s:17:\"Top speed ( km/h)\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"17\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(83,48,'field_features','node','products','a:7:{s:5:\"label\";s:8:\"Features\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"18\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"14\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(85,49,'field_interior_design','node','products','a:7:{s:5:\"label\";s:15:\"Interior design\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"19\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"16\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(86,50,'field_safety','node','products','a:7:{s:5:\"label\";s:6:\"Safety\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"20\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"18\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"11\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(87,51,'field_comfort','node','products','a:7:{s:5:\"label\";s:7:\"Comfort\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"21\";s:4:\"type\";s:13:\"text_textarea\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"rows\";s:1:\"5\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:2:\"17\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(88,52,'field_phone','node','dealers','a:7:{s:5:\"label\";s:5:\"Phone\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"11\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(89,8,'field_categories','node','products','a:7:{s:5:\"label\";s:10:\"Categories\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"9\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0);
/*!40000 ALTER TABLE `field_config_instance` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_body`
--

DROP TABLE IF EXISTS `field_data_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_body`
--

LOCK TABLES `field_data_body` WRITE;
/*!40000 ALTER TABLE `field_data_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_body` VALUES ('node','faq',0,1,1,'und',0,'Maecenas ultricies libero sit amet libero varius, at malesuada nulla condimentum. Donec ullamcorper, augue in facilisis lacinia, est lectus adipiscing turpis, euismod tincidunt arcu enim sagittis nisl. Sed pretium nisi a semper lobortis. Proin tempus facilisis nisl. Praesent sit amet risus metus. Nunc dictum ipsum quis purus eleifend molestie? Donec quam nulla, ultricies a facilisis porttitor, imperdiet vel metus. Curabitur faucibus tortor vel commodo accumsan! Sed vitae commodo tellus, a fermentum mauris. Aenean nisi leo, posuere et adipiscing eu, varius ut tortor. Donec ac adipiscing sem, non fringilla dui. Nullam ac fringilla nibh; in malesuada felis. Sed tempus lacinia consectetur. Vestibulum sagittis nulla luctus commodo lobortis? Morbi sed risus varius, feugiat risus nec, luctus sem.\r\n\r\nInterdum et malesuada fames ac ante ipsum primis in faucibus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vestibulum pretium ipsum vitae erat tempor, in viverra velit cursus. Vestibulum porttitor eu dui vel iaculis. Aliquam dapibus orci ante, sed porta massa placerat vel. Aenean rutrum lectus sit amet tellus tincidunt, sed condimentum sapien aliquet. Praesent fringilla cras amet.\r\n','','filtered_html'),('node','faq',0,2,2,'und',0,'Pellentesque nisl enim, viverra nec adipiscing quis; tincidunt at sem. Donec eu suscipit velit. Donec sollicitudin nibh a dui bibendum lacinia? Vivamus fringilla velit augue; nec viverra mauris consectetur a. Nam faucibus dolor vitae dictum rhoncus. Ut nisi libero, fringilla sollicitudin eros ut; cursus condimentum nulla. Sed pharetra gravida odio non pharetra? Phasellus scelerisque justo ipsum, eget tempus urna semper gravida. Maecenas non risus iaculis, suscipit neque eu, tempus sapien.\r\n\r\nVestibulum viverra est sit amet lacus vulputate gravida. Praesent facilisis imperdiet elit, sed dapibus urna viverra at. Cras ac sem tellus. In hac habitasse platea dictumst. Mauris augue ante, sollicitudin nec bibendum a, facilisis sed leo. Nulla iaculis neque nec nulla pellentesque, et sollicitudin metus imperdiet. Fusce porta, quam scelerisque pretium lacinia, dolor urna luctus libero, nec sodales leo tortor id erat. Integer mauris urna, pellentesque in lacinia non, commodo vel elit. Pellentesque purus augue, elementum euismod facilisis at, suscipit vitae ligula.\r\n\r\nNam auctor rhoncus consequat. Curabitur pretium sodales nulla, quis dignissim sapien eleifend in! Aliquam erat volutpat. Etiam posuere.\r\n','','filtered_html'),('node','faq',0,3,3,'und',0,'Integer pulvinar tempor tortor. Nam faucibus dolor ac odio iaculis tempor. Fusce consequat, elit eu venenatis molestie, justo enim tempor erat, vitae dictum nisl dolor sed mauris. Nulla vehicula cursus justo, ut suscipit libero mattis non? Maecenas consequat quam et diam luctus blandit. Vestibulum hendrerit, augue elementum vulputate egestas, ipsum ligula porttitor felis, tempus porttitor nisl arcu id lorem? Vestibulum condimentum justo ut urna rutrum, eu cursus tortor lacinia? Nunc id sapien a odio venenatis dictum. Fusce a suscipit dolor. Vestibulum non tortor convallis nisl sollicitudin tempor sed id eros! Maecenas semper velit ut nisi pretium adipiscing. Donec ac porttitor arcu, id luctus felis? Proin sagittis viverra dolor quis fringilla! Donec id eros iaculis, dignissim metus vel, suscipit nisi. Integer aliquam purus nisl, id lacinia nisi laoreet sed. Fusce nec interdum nisl.\r\n\r\nNunc sit amet turpis nisi. Proin luctus mauris a mi auctor, at ultricies neque pellentesque. In erat arcu, accumsan et suscipit in, ullamcorper in sapien. Vestibulum at quam rhoncus, pretium dolor at; pretium ante! Morbi tincidunt, ligula vitae elementum ultrices, diam odio lobortis eros, nec ultrices id.\r\n','','filtered_html'),('node','faq',0,4,4,'und',0,'Nullam id sagittis augue. Nunc vel hendrerit nulla, pretium fringilla purus! Donec vel augue dictum, condimentum neque in, pellentesque sem. Aliquam erat volutpat. Curabitur sodales mi felis, vel rhoncus sem tristique ut. Donec in tellus vehicula, mattis odio a, facilisis magna. Cras tincidunt odio in dui porttitor volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris egestas blandit feugiat.\r\n\r\nPraesent mattis gravida nulla. Aliquam id porttitor diam. Vivamus varius volutpat mi in cursus. Fusce suscipit porttitor tellus; eu varius sapien hendrerit a. Nunc sodales purus at laoreet placerat. Etiam vulputate justo nisl. Vestibulum egestas neque id ante dictum tristique? Quisque mauris magna, tincidunt blandit leo eget, porttitor varius metus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In et arcu magna? In augue massa, tempus quis convallis in, adipiscing eu diam. Aliquam sodales sapien at sem elementum viverra sit amet vitae felis. Integer ut tellus ut ligula aliquam mattis. Nunc id orci felis. Sed pellentesque volutpat dolor non consequat! Vestibulum blandit ornare augue non orci aliquam.\r\n','','filtered_html'),('node','faq',0,5,5,'und',0,'Integer et enim eget mauris tincidunt eleifend ultricies a dolor. Nulla dolor purus, convallis sed erat sed, accumsan vehicula orci? Praesent in eros velit. Suspendisse imperdiet venenatis metus, at consequat risus facilisis ut. Ut auctor commodo ligula, a congue neque rhoncus vitae. Fusce sit amet diam elementum, sagittis sapien et, bibendum libero. Sed eget lectus porttitor dui feugiat facilisis vitae non urna. Ut dictum, elit et rutrum interdum, purus ligula mollis nisl, sagittis pulvinar dolor lorem quis massa.\r\n\r\nVivamus venenatis, augue id dictum vulputate, nibh nulla mollis sapien, vel faucibus ligula purus eleifend nulla. Ut id lectus ac ipsum viverra elementum sed eu mi! Praesent ullamcorper iaculis mi, quis faucibus ligula. Interdum et malesuada fames ac ante ipsum primis in faucibus. Aenean dignissim rhoncus egestas. Aliquam eleifend, enim eget pulvinar vehicula, tortor sem ullamcorper neque, ut congue diam lacus a justo! Quisque nec est cursus, mollis urna id; suscipit nisi.\r\n\r\nIn hac habitasse platea dictumst. Morbi et ultricies dui. Aenean tincidunt augue id ipsum gravida semper? Praesent iaculis dui ut justo lobortis ornare. Nunc tempus mi eget posuere condimentum? Nunc sed.\r\n','','filtered_html'),('node','faq',0,6,6,'und',0,'Donec sit amet lorem vel nibh mattis varius. Mauris dui erat; interdum nec metus non, venenatis mattis sem. Vestibulum ac elit lacinia nisi molestie aliquet. Quisque dictum tellus in tortor bibendum tempor. Donec augue lectus, lobortis ac malesuada nec, ultricies in turpis! Nunc semper nunc eu mi placerat, eu consequat nulla congue? Pellentesque nibh dui, placerat nec mattis et; lacinia eu felis. Ut tempor libero mi. Morbi pellentesque, metus vel tempor egestas, augue neque malesuada mauris; pretium sollicitudin magna velit id risus. Nam accumsan ipsum nec orci consequat, at venenatis quam vulputate. Etiam vestibulum magna nec iaculis rhoncus.\r\n\r\nDuis scelerisque vel elit id vulputate. Maecenas imperdiet porttitor justo vitae tempor. Cras rutrum justo eu malesuada fermentum. Duis in tortor non leo commodo aliquet viverra non massa! Curabitur a turpis elit. Nulla vel nulla sed sapien lobortis lacinia. Nunc posuere tortor ac aliquet semper. Nunc consequat rutrum odio, non pretium urna feugiat sed. Curabitur suscipit lorem a odio convallis elementum. Nulla pretium dolor a est venenatis mollis! Nulla facilisi. Donec sit amet sollicitudin risus, eget ultricies dui. Vestibulum vehicula amet.\r\n','','filtered_html'),('node','blog',0,7,7,'und',0,'Nunc urna arcu, sagittis in dapibus ac, malesuada vitae odio. Integer iaculis diam vulputate purus mollis, vel dictum magna semper. Cras nec ligula facilisis, cursus purus sed, adipiscing augue. Phasellus massa felis, mattis a dolor a, tempor tempus eros? Integer id blandit leo; non fringilla massa. Curabitur lobortis euismod dui, a vestibulum ante vestibulum ac! Vestibulum facilisis molestie tincidunt. Pellentesque porttitor fringilla ante. In quis elit eget augue viverra auctor sit amet et ligula. Quisque ullamcorper leo sit amet libero aliquet sodales. Fusce faucibus, dui non iaculis dignissim, diam quam cursus arcu, sit amet interdum tellus urna eget elit. Quisque magna nisi, rutrum at erat quis, imperdiet consequat dui. Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed at ultricies libero. In pharetra est felis, non pretium tellus vulputate non.\r\n\r\nMauris orci orci, sagittis at hendrerit non, pharetra vel velit! Fusce suscipit rhoncus accumsan! Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed vitae sem elementum, dapibus felis nec, laoreet sapien? Praesent lectus metus, consequat id varius id, tincidunt nec ipsum. Nullam suscipit nisi non justo posuere.\r\n','','filtered_html'),('node','blog',0,8,8,'und',0,'Nunc lobortis faucibus ante eget vehicula. Nullam porta ipsum eget tincidunt suscipit. Proin a sapien in enim consequat gravida nec in nulla. Aliquam ornare tellus velit. Curabitur aliquet enim enim, ac volutpat metus tempor ac. Integer libero justo; condimentum quis felis ac, sagittis fringilla risus. Sed egestas, sapien eu vestibulum molestie, tellus nisl feugiat urna; et ultrices ante enim quis quam!\r\n\r\nPhasellus bibendum turpis ac lacus fringilla lacinia! Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed mollis felis a diam dignissim, a aliquam nibh tempor. Sed in eleifend mi. Vivamus ut mollis neque? Praesent eget ante nibh. Phasellus in tellus vel nunc ullamcorper hendrerit a vitae dui?\r\n\r\nDuis rhoncus diam eu feugiat luctus. Quisque et ipsum tellus. Sed ac sapien magna. Vestibulum sed nunc ut tortor euismod aliquet. Suspendisse cursus consectetur dictum. Vivamus non lectus eu felis fermentum pellentesque! Aenean egestas, velit sed dignissim viverra, tortor nisi varius felis, vitae adipiscing velit orci in lorem. Nam ac nunc commodo, suscipit ante quis; porta tortor. Pellentesque accumsan enim at ipsum imperdiet, a pulvinar ligula amet.\r\n','','filtered_html'),('node','blog',0,9,9,'und',0,'Suspendisse eleifend semper nunc venenatis euismod. Vestibulum laoreet nec purus ac mattis? Sed fringilla gravida pharetra. Curabitur sollicitudin turpis at elit pretium luctus eget at lorem. Ut scelerisque felis in placerat consectetur! Maecenas tempus ullamcorper lacus, nec ullamcorper enim. Aliquam in congue mauris. Integer elementum eros eu sagittis imperdiet. Fusce nisi nisl, dictum sed convallis vel, placerat non nisl. Donec fermentum nunc ut eros vulputate mattis. Pellentesque ut hendrerit nisl. Cras laoreet elit in dictum mattis. Ut pharetra sem id suscipit eleifend.\r\n\r\nClass aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec varius velit ante, in feugiat mi viverra ac! Sed dui lectus, faucibus vitae varius vitae, pretium sit amet diam. Integer suscipit mollis magna, id bibendum purus elementum quis? Nunc luctus ligula erat, vel dignissim diam congue in. Aenean arcu sapien, viverra vestibulum felis sed, semper elementum turpis. Quisque iaculis nunc quis leo hendrerit scelerisque. Pellentesque varius ligula vitae libero ultricies, et volutpat dolor ultricies. Vestibulum vulputate nisi quam, nec imperdiet augue sollicitudin sed. Proin sed.\r\n','','filtered_html'),('node','blog',0,10,10,'und',0,'Nam condimentum feugiat massa, non elementum velit ullamcorper non. Curabitur accumsan, metus eu posuere luctus; lorem ipsum mattis erat, vel fermentum dui diam id lectus. Vestibulum suscipit dolor id facilisis blandit. Donec purus enim, bibendum non malesuada consectetur, consequat vel risus! Suspendisse dapibus elementum adipiscing. Donec in orci felis. Fusce eu facilisis libero, eget volutpat libero. Aenean et luctus erat? Maecenas facilisis nisl ut ante lobortis, at mollis mauris tristique.\r\n\r\nUt eu urna augue. Morbi at lectus vitae velit iaculis posuere. Vivamus nec pulvinar sem. Vestibulum at semper lorem! Duis posuere tortor at enim tempor, id viverra dolor varius. Donec eget turpis sapien. Vestibulum ultrices, erat quis tristique tincidunt, nisi arcu porttitor justo; sit amet mattis ante ante at nibh! Integer non consectetur ipsum, id laoreet mi. Curabitur venenatis eleifend sem, tincidunt vestibulum purus dignissim a. Fusce commodo ipsum ligula, a porta nunc fringilla ut. Vestibulum egestas metus neque, in viverra orci dignissim vitae. Mauris eleifend sed nisl in imperdiet.\r\n\r\nNunc convallis luctus orci, a rutrum est suscipit sed. Praesent in rutrum ipsum, condimentum turpis duis.\r\n','','filtered_html'),('node','blog',0,11,11,'und',0,'Donec sagittis accumsan dolor vitae cursus. Morbi condimentum tempor mi, vel porttitor elit porttitor ac! Nam sed ligula ut turpis mattis bibendum ut et sapien. Donec blandit est quis auctor fermentum. Curabitur massa libero, aliquet eget enim id, pharetra aliquet augue. Pellentesque dictum molestie porttitor. Suspendisse tincidunt interdum lobortis. Duis at lacus in metus bibendum volutpat. Aenean velit dolor, rhoncus ac arcu in, porta auctor nisi. Donec auctor hendrerit metus ac blandit. Aliquam fringilla metus id mi congue interdum. Phasellus nec ligula interdum, venenatis neque nec, consectetur eros! Fusce pretium dui vitae adipiscing mollis!\r\n\r\nVestibulum eu est imperdiet nulla bibendum venenatis sit amet ut eros! Suspendisse dui arcu, consequat sed nulla sit amet, aliquet pellentesque arcu. Etiam malesuada nulla quis imperdiet volutpat. Duis mollis risus quis lectus volutpat, id luctus urna pellentesque. Proin sodales lorem et dui molestie, sit amet feugiat neque aliquet. Phasellus volutpat cursus turpis, at mattis risus venenatis id. Vivamus porttitor nisl non sapien lobortis vulputate a in magna! Curabitur sed lorem vulputate, sollicitudin orci eget, lobortis dolor. Mauris sed.\r\n','','filtered_html'),('node','article',0,12,12,'und',0,'									<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n','','full_html'),('node','article',0,13,13,'und',0,'Nunc laoreet convallis faucibus! Sed eget mi tortor. Proin commodo ultricies posuere. Quisque nec pellentesque turpis. Etiam tellus sapien, auctor in turpis quis, bibendum facilisis quam. Pellentesque fermentum nunc consectetur sagittis iaculis. Vestibulum egestas, turpis vestibulum consectetur feugiat, neque purus cursus purus, sit amet placerat lectus sapien eu nisi. Aliquam ac commodo magna. Maecenas porttitor non diam ut ultrices! Praesent dui elit, dapibus quis convallis nec, congue vitae metus. Aenean eleifend orci quam; elementum mollis quam rutrum ac! Quisque volutpat scelerisque dui vel tempus. Duis iaculis est ut velit blandit pharetra. Nulla facilisi. Nulla metus lacus, ultrices eu sapien vel, pretium dictum mauris? Etiam porta leo et lacus egestas, a dapibus tortor bibendum.\r\n\r\nSed ultrices quam vitae erat interdum, ut tempus enim commodo. Phasellus neque dolor, semper congue rutrum vitae, ornare eget est. Nam ut commodo lacus, id volutpat elit. Praesent tincidunt porta dolor, eget dictum mauris tempor et. Nullam vitae pellentesque ipsum. Curabitur ut lobortis ligula. Fusce ut sollicitudin felis. Donec eget justo laoreet, rutrum orci lobortis, vehicula augue. Sed non metus.\r\n','','filtered_html'),('node','article',0,14,14,'und',0,'Aliquam eget viverra nibh, vel aliquet erat. Ut tincidunt cursus arcu nec lobortis? Morbi rhoncus, sem convallis semper auctor, mauris risus scelerisque sem, vel molestie velit ipsum ut elit. Nullam vel congue nunc, eget scelerisque augue! Sed auctor consectetur varius. Vivamus vel augue auctor, convallis diam eget, cursus mi. Phasellus feugiat justo ipsum, vitae rhoncus leo ullamcorper sed.\r\n\r\nPhasellus et justo sit amet mauris viverra semper. Cras sed auctor mauris. Duis ultrices, ante a condimentum ornare, dui nisl malesuada dui, ac blandit mi urna quis turpis. Praesent aliquam sed massa nec viverra. Vivamus at imperdiet elit, at imperdiet tortor. Sed luctus dui id dolor tempus, ac condimentum urna cursus. Mauris hendrerit interdum lorem ut lobortis. Sed rutrum, erat at sollicitudin placerat, est eros fermentum tortor, vel ornare odio diam sit amet ligula. Phasellus pretium dictum accumsan. Curabitur ac urna non libero porttitor ullamcorper.\r\n\r\nCras tempus, turpis sed mattis ullamcorper, velit urna dictum est, eu consequat ipsum mauris eu quam. Mauris tortor turpis, elementum facilisis ornare imperdiet, aliquam lacinia urna. Donec malesuada suscipit sodales. Curabitur tempus elit metus.\r\n','','filtered_html'),('node','article',0,15,15,'und',0,'Nunc laoreet erat eu risus vestibulum, laoreet venenatis odio semper. Quisque ac hendrerit mauris, vitae aliquam nulla! Ut tempor dapibus eros quis laoreet. Quisque a feugiat eros! Sed et auctor eros. Duis tincidunt sed purus nec tincidunt. Fusce sollicitudin sodales augue, sit amet faucibus velit blandit et. Fusce malesuada commodo ullamcorper! Aenean laoreet consequat risus, nec placerat nunc tristique at. Duis tincidunt risus id nisi pharetra vestibulum. Donec lobortis nisl ac mauris rutrum, in vestibulum ante rutrum. Etiam at est et odio bibendum semper eget in lorem. Vivamus consectetur neque vel feugiat vulputate. Integer venenatis volutpat nibh vitae ultricies. Vestibulum hendrerit orci ligula, at lobortis turpis faucibus eget? Fusce bibendum, turpis sit amet porta interdum, augue tellus lacinia sapien, et elementum arcu dui id lorem!\r\n\r\nAliquam fermentum nibh id metus pellentesque, non interdum orci eleifend. Pellentesque sed commodo velit. Vivamus eget metus hendrerit, mattis sapien sit amet, faucibus nisi. Nullam mattis eleifend eros; vel placerat sem porttitor et? Aliquam nec ipsum vitae eros egestas mollis. Nam aliquet et enim sit amet molestie. Aliquam sollicitudin nullam.\r\n','','filtered_html'),('node','article',0,16,16,'und',0,'Nullam magna elit; tempus a tincidunt nec, cursus vitae nibh. Mauris turpis nisl, pulvinar sed pulvinar non, tristique in libero. In euismod consectetur tellus, et ultricies elit cursus nec! Quisque consectetur arcu non libero cursus, vel consequat lacus sollicitudin. Suspendisse sollicitudin orci vel bibendum laoreet. Cras interdum tincidunt pharetra? Vivamus volutpat nunc at augue tincidunt, sed facilisis est molestie. Suspendisse pharetra adipiscing massa, eu scelerisque nisl tincidunt ac. Morbi lobortis vitae erat quis egestas. Vestibulum et interdum enim. Quisque luctus blandit nunc sit amet condimentum.\r\n\r\nDuis ultrices enim at interdum egestas. Ut lacinia urna mauris, in volutpat quam tristique quis. Duis laoreet neque vel lorem venenatis, vitae faucibus sapien volutpat. Ut interdum augue eu mattis scelerisque. In mattis varius facilisis. Ut ac enim sapien. Duis blandit, tortor nec ultricies viverra, erat est congue ligula, ut facilisis elit ipsum in enim. Nulla sodales mauris a arcu viverra feugiat! Ut ut porta sapien. Curabitur fringilla ut magna et ullamcorper. Mauris placerat est dolor, at tincidunt tellus convallis a. Proin tortor dolor; tristique a diam sit amet cras amet.\r\n','','filtered_html'),('node','page',0,17,17,'und',0,'<h3 class=\"who-we-are\">Who we are</h3>\r\n<p>Quisque at diam sed velit consequat adipiscing et at dolor? Praesent sollicitudin consequat porttitor. Sed at semper tellus, in dapibus tellus. Maecenas sodales nulla faucibus, accumsan elit ac, pharetra metus. Praesent hendrerit purus a neque iaculis commodo. Nullam consequat eros porttitor velit placerat rutrum. Cras vulputate in dolor at dapibus. Phasellus non ornare leo. Maecenas id facilisis justo, id lobortis dui. Duis suscipit; justo in venenatis rhoncus, lacus lectus suscipit est, a sagittis justo tellus ut dui. Curabitur eget felis id eros commodo placerat ut in neque.</p>\r\n\r\n<p>Praesent pellentesque tellus dui; id iaculis sem venenatis ac. Vestibulum ipsum ante, bibendum vel nunc a, malesuada faucibus tortor. Curabitur eu sem a enim faucibus euismod. Phasellus adipiscing orci erat; eu vehicula quam mattis quis. Donec pulvinar scelerisque eros in pulvinar. Proin eu urna elementum; sodales lacus non, aliquet magna. Curabitur sed lacinia elit, in aliquet magna! Proin rhoncus ante vitae faucibus iaculis. Curabitur adipiscing quam vitae ante ultricies, sit amet ultricies nulla pulvinar. Vestibulum varius orci eget lorem porta, in viverra neque posuere? Donec et scelerisque massa? Sed id.</p>\r\n\r\n<img class=\"img-about\" alt=\"image about\" src=\"<?php print base_path();?><?php print path_to_theme();?>/images/about-us.png\"/>','','php_code'),('node','services',0,19,19,'und',0,'Phasellus orci sapien, sollicitudin non interdum vel, vehicula nec risus. Nunc sodales leo vel pretium blandit. Donec porttitor ut libero vitae rutrum. Maecenas lorem ligula, pretium sed erat sit amet, luctus ultricies lectus. Curabitur venenatis luctus erat et tristique. Curabitur elementum, velit gravida consequat suscipit, augue nibh dapibus dolor, et facilisis sapien massa sed est. Cras et consequat leo.\r\n\r\nNam ac metus erat. Praesent blandit faucibus blandit. In ultricies rhoncus tortor vitae adipiscing. Mauris sed lacus sed lorem ullamcorper consequat nec ac leo. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nullam rhoncus consectetur tortor, non fermentum urna vestibulum id. Phasellus congue dignissim egestas. Quisque eget magna imperdiet, pulvinar neque non, euismod risus. Phasellus lacinia sem id sapien dictum, eu feugiat odio rhoncus. Praesent euismod urna egestas, consequat ante sed, sagittis lacus. Donec at metus vel orci aliquet suscipit at gravida mauris. Nunc hendrerit dui sed tortor tristique pharetra.\r\n\r\nMauris volutpat ante commodo eros iaculis condimentum. Duis sollicitudin mi quis velit luctus, sed ultricies purus posuere. Nulla eleifend libero vitae sodales ullamcorper. Suspendisse orci eros, consectetur id hendrerit non, tempus sed lorem. Suspendisse scelerisque, nisi vel egestas aliquet, massa turpis aliquet nunc, at imperdiet eros arcu vel nunc. Aenean consequat, tellus ut vulputate eleifend, turpis nisl egestas nisi, et mollis nulla odio eu enim. Donec a euismod odio. Curabitur lacinia dolor rhoncus sapien ultricies, sed laoreet mi tristique. Nulla in placerat leo. Quisque mattis lacus arcu. Morbi fringilla, diam sit amet commodo tempor, enim diam pulvinar ipsum, id aliquet felis nunc ac urna. Praesent elementum odio ac est dapibus pellentesque. Etiam ultricies varius aliquet. Quisque vitae porta neque, vel lacinia ligula.\r\n\r\nEtiam non ligula nec diam elementum vulputate sit amet id nunc. Suspendisse facilisis vestibulum adipiscing. Sed a nibh fermentum, ornare mi nec, cursus dolor. Pellentesque placerat, urna et sodales fermentum, leo metus molestie lacus, in aliquam quam erat in erat. Phasellus porttitor tincidunt purus, in varius tortor pellentesque eu. Phasellus bibendum, massa at sodales hendrerit, neque nunc sollicitudin lacus, a varius tellus purus id nisl. Quisque id est odio. Duis fringilla vitae leo ut porta. Etiam dictum accumsan malesuada.\r\n','','filtered_html'),('node','services',0,20,20,'und',0,'Nulla facilisi. Duis vitae varius justo, ac tristique dui. Vivamus rutrum elit libero, aliquet sagittis felis malesuada vitae. Vivamus massa dui, aliquet quis nisl vel, malesuada fermentum ligula. Fusce viverra lacinia nulla, sit amet euismod ligula tempus id. Nullam malesuada ultrices augue, eget fringilla nisi gravida vitae. In scelerisque nulla eget congue auctor. Vivamus vitae massa pharetra, sodales enim ac, commodo purus. Duis ut nibh eu tellus pretium cursus. Sed tempus porttitor scelerisque. Ut feugiat iaculis erat, in iaculis nisl porttitor sit amet. Nam molestie massa tincidunt arcu vestibulum interdum id et nunc. Duis ac lacus vel lacus sodales fringilla ullamcorper dignissim odio?\r\n\r\nMaecenas sed felis eros. Proin aliquam, diam a malesuada porttitor, sapien erat aliquam metus; ut hendrerit risus nunc gravida leo. Quisque feugiat aliquet convallis. Etiam scelerisque pulvinar lectus eget euismod. Fusce eu mauris odio. Mauris ante velit, vehicula ac libero sed; pulvinar cursus sem? Fusce blandit dolor quis magna venenatis elementum. Aenean arcu ante, viverra vitae urna ac, viverra commodo dui! In hac habitasse platea dictumst. Duis nec fringilla turpis! Nam egestas neque amet.\r\n','','filtered_html'),('node','services',0,21,21,'und',0,'Praesent adipiscing nibh mauris, eu accumsan diam adipiscing ut. Suspendisse potenti. Mauris auctor vulputate mattis. Fusce ullamcorper sagittis leo. Curabitur molestie purus a blandit convallis. Mauris ultricies a sem sed vestibulum. Praesent pellentesque malesuada dui vitae ultricies. Aliquam auctor vitae purus sed volutpat. Nam euismod rhoncus nisl. Morbi auctor lorem massa, sit amet aliquet tellus tristique a. Nullam sit amet arcu mollis, tincidunt magna a, venenatis eros. Vestibulum mollis neque sit amet massa feugiat ultrices. Vestibulum porta, diam tincidunt pretium euismod, augue libero tempor nisl, non dapibus nunc nisi in nulla. Vivamus accumsan nisi eu ipsum ultricies pretium. Phasellus egestas suscipit nisl et fermentum.\r\n\r\nDuis sodales tempor eros. Pellentesque fringilla gravida libero. Quisque interdum est nisi. Nam tristique tincidunt scelerisque. Curabitur interdum sapien ac mauris commodo luctus. Nunc at dignissim lorem. Ut sodales nisl vel hendrerit elementum. Fusce sed mauris ut massa cursus vulputate sed at ante. Donec a est nec erat ultricies aliquam quis sit amet arcu. Suspendisse ut sollicitudin dui! Mauris non facilisis nibh. Quisque luctus mollis ante a nullam.\r\n','','filtered_html'),('node','services',0,22,22,'und',0,'Nunc a pulvinar purus. Proin tincidunt sagittis est a accumsan. Maecenas vehicula, elit vel dapibus malesuada, est nulla viverra massa, a tincidunt purus neque sit amet urna! Suspendisse non mollis lacus. Nunc quis fermentum lectus. Sed vitae viverra diam! Duis bibendum purus libero, dapibus tempus ligula semper non! Praesent sed scelerisque elit. Vestibulum fringilla lacus id purus accumsan porta vel ac lacus! Praesent vel vulputate risus, quis pharetra felis. Nulla fermentum neque ut lacus sollicitudin, nec auctor nunc feugiat!\r\n\r\nCurabitur porttitor ante enim, id tincidunt nunc mattis ut. Etiam sollicitudin convallis dolor, ac iaculis dui viverra a? Donec viverra, massa a venenatis rhoncus, purus dolor mattis sapien, nec ornare est sapien quis sem. Donec pretium egestas tempus! Morbi auctor malesuada massa convallis auctor. Sed ut auctor quam, quis pulvinar ipsum. Fusce euismod ligula urna, ut tempus nisl feugiat vel. Etiam posuere nibh a odio pharetra mattis. Etiam feugiat dolor augue, ut facilisis orci adipiscing sit amet. Mauris velit arcu, hendrerit non feugiat quis, consectetur nec est. Nunc ante leo, imperdiet id risus eget, ornare malesuada libero. Fusce aliquet ipsum nullam.\r\n','','filtered_html'),('node','products',0,23,23,'und',0,'Phasellus id aliquam augue, a viverra elit! Phasellus eu cursus lectus. Etiam tristique consectetur dolor, in vestibulum mi fermentum quis? Donec dolor ipsum, facilisis quis neque quis, ultricies ultricies lorem. In hac habitasse platea dictumst. Proin cursus lorem nibh, ac aliquam enim pretium at! Duis a tincidunt ligula, pretium tincidunt eros. Proin pellentesque turpis metus, sed dictum magna commodo non. In vitae sollicitudin elit. Vestibulum porttitor est augue, ac ullamcorper tortor pellentesque id. Proin dapibus lorem augue, in tincidunt sapien fermentum et? Sed faucibus libero in dignissim pellentesque. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas vel posuere lorem. Nulla lacinia, metus quis euismod lacinia; ante mi semper nunc, a mollis nisi est sit amet erat? Suspendisse elementum malesuada feugiat.\r\n\r\nPellentesque adipiscing sed erat sit amet tincidunt. Integer faucibus semper velit. Donec neque eros; elementum id consequat ac, consequat eget dui. Aenean vel sem et lectus tempor euismod. Etiam condimentum, elit a mattis condimentum, odio dui tincidunt nunc, sed iaculis lacus est eu turpis. Suspendisse sollicitudin massa nunc.\r\n','Gran Turismo and Sport Prototype','filtered_html'),('node','products',0,25,25,'und',0,'Vestibulum congue massa et nunc sagittis malesuada. Cras blandit iaculis risus, a tristique ligula mollis vel. Donec et mi ante. Pellentesque porta pharetra orci, at interdum orci pellentesque ut? Suspendisse imperdiet hendrerit erat, lacinia mollis massa tempus a. Pellentesque quis ultricies nisi, eu condimentum ipsum. Nam at risus non dui faucibus sollicitudin. Nunc pharetra urna at suscipit tristique. Donec aliquam justo ac felis placerat, non pellentesque eros tincidunt. Donec placerat tincidunt facilisis! Cras scelerisque diam tellus, ac ultricies sem sollicitudin et.\r\n\r\nDuis congue diam a diam vehicula mollis. Donec sodales est tortor, quis porta nisl adipiscing lobortis. Phasellus gravida dui sit amet dolor lacinia, elementum tincidunt ante tempor. Mauris vitae ipsum nec mi porttitor dignissim ac non lorem. Vestibulum consectetur sapien non ipsum tincidunt suscipit. Morbi vulputate sapien ut leo lobortis, ac luctus diam mattis. Sed eleifend, sem sit amet pharetra aliquet, felis ligula vestibulum nisi; quis scelerisque est justo ac nisi. Cras vel ultricies leo. Vestibulum quam ipsum, rutrum quis ipsum at, porttitor suscipit metus. Pellentesque velit eros, dictum eu pharetra amet.\r\n','Gran Turismo and Sport Prototype','filtered_html'),('node','testimonials',0,26,26,'und',0,'Mauris iaculis vel nisl vitae mollis. Sed auctor, purus eget tempor dapibus, leo metus dapibus enim, in cursus mi arcu at elit. Maecenas lobortis ipsum sit amet felis molestie, interdum imperdiet nunc accumsan!','','filtered_html'),('node','testimonials',0,27,27,'und',0,'Etiam leo nisi, mattis sed semper vitae, dapibus et erat? Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.','','filtered_html'),('node','statistics',0,28,28,'und',0,'Nam a ullamcorper tortor. Curabitur sit amet dictum neque, vel consectetur ipsum. Quisque elementum eu ante non sodales. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam tempor; orci ut pulvinar interdum, est lacus mattis sapien, vehicula porttitor elit elit et libero. Fusce laoreet libero ipsum, non pretium quam tincidunt sit amet. Ut nec odio eget urna tincidunt tincidunt. Maecenas tortor arcu, ornare sit amet lobortis sit amet, suscipit eget libero. Phasellus posuere turpis non lectus volutpat, a mattis odio hendrerit. Vestibulum eget odio in augue pulvinar imperdiet. Pellentesque malesuada tortor sapien, ut sollicitudin erat facilisis vitae. Cras ac nisl adipiscing, interdum orci a, pharetra turpis. Phasellus facilisis leo nisl, non auctor massa cursus et. Vestibulum sit amet tempor arcu. Quisque ac urna luctus, interdum turpis eget, dignissim elit. Fusce quis nulla velit?\r\n\r\nDuis enim augue, rutrum eu arcu vel, elementum lobortis dui. Nam egestas sit amet nunc a bibendum! Fusce eget lectus a quam placerat semper quis lobortis magna. Aliquam tincidunt arcu ut augue adipiscing, eleifend varius mi laoreet. Vestibulum elementum; metus.\r\n','','filtered_html'),('node','statistics',0,29,29,'und',0,'Integer sodales nisi a justo egestas, eget malesuada nisi malesuada? Suspendisse quis massa et risus vulputate tincidunt. Donec at mauris quis risus porttitor aliquam vitae et magna. Vivamus lacus risus, aliquam nec tempor a, sagittis sit amet turpis. Quisque molestie, ante eget adipiscing rhoncus, eros diam bibendum arcu, sed pulvinar sapien odio non nisl. Nullam quis lorem metus. Quisque interdum dolor quis dignissim elementum. Integer sit amet pellentesque diam. Mauris a mauris quis mi ultrices venenatis. Mauris bibendum pretium erat eu posuere. Quisque sit amet felis id mauris porttitor elementum vitae ac dolor. Nullam semper, elit a venenatis sodales, mauris arcu dignissim lectus, eget venenatis tortor lectus ut mauris. Mauris id purus at massa aliquam viverra. Sed neque nunc; eleifend id tristique ac, dictum vitae erat. Duis malesuada nisi erat, a facilisis turpis congue id.\r\n\r\nUt dapibus semper sagittis. Phasellus id lacus sed tortor imperdiet cursus. Sed placerat venenatis purus; quis egestas elit euismod sed. Nulla facilisi. Proin id massa at justo vehicula consectetur! Phasellus arcu ligula, mollis eu vestibulum vel; blandit a justo. Pellentesque habitant morbi tristique sed.\r\n','','filtered_html'),('node','statistics',0,30,30,'und',0,'Nam ultrices libero vitae rhoncus hendrerit. Aenean risus dolor, pharetra tincidunt scelerisque vitae, dictum feugiat nisl. Etiam congue feugiat dui, vel interdum leo. Mauris consequat, massa eu ornare hendrerit, est massa aliquet ipsum, vitae fermentum ligula dolor sit amet lacus. Phasellus nibh elit, venenatis quis tincidunt quis, iaculis et augue. Mauris vel mollis odio. Vestibulum sapien libero, faucibus vitae tristique ut, cursus ac est. Suspendisse potenti. Nunc sit amet volutpat diam. In tempus pharetra nulla sed pretium! Cras pharetra, ligula pharetra fermentum ornare, erat magna interdum lorem, vel facilisis dui risus vitae nibh? Etiam rhoncus posuere ante vitae convallis. Nulla nec tellus ligula. Proin hendrerit malesuada vulputate. Vestibulum eget lacus blandit, tincidunt nunc pharetra, egestas mi?\r\n\r\nNam ut auctor quam; ut ultrices tortor. Nulla molestie elementum viverra. In turpis purus, consequat suscipit feugiat eget, interdum non felis. Ut ante quam, tincidunt dignissim nibh a, varius mattis quam. Nulla gravida ipsum consectetur enim pretium; vitae suscipit nisl eleifend. Nulla condimentum nisl orci; a laoreet quam interdum pretium. Curabitur eu tellus in magna nullam.\r\n','','filtered_html'),('node','statistics',0,31,31,'und',0,'Suspendisse ornare id ante eu tempus? Etiam imperdiet eleifend tortor, vel consequat nunc facilisis at. Donec porttitor gravida imperdiet. Morbi urna felis, vehicula sit amet urna sed, sodales luctus risus. Donec vitae massa convallis, hendrerit magna at, semper eros. Sed lobortis hendrerit tortor eu tristique! Pellentesque quis sapien vehicula, mattis nibh sit amet, pharetra urna. Pellentesque ac posuere diam. Sed ut mattis elit. Proin tincidunt consequat nibh id aliquet. Sed vulputate aliquam justo id consectetur? Curabitur luctus ornare posuere. Curabitur eu ipsum quis lectus porttitor tempus.\r\n\r\nMaecenas quis odio eu nisl pretium ornare non sit amet quam. Integer at tempor sapien. Nam elementum quis libero vel viverra. Fusce bibendum tellus eros, nec porttitor orci pretium dignissim. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas et ultricies est, sed pharetra risus. Aenean rhoncus eleifend sem, at interdum dolor lacinia vulputate. Nullam a lobortis lorem, nec faucibus massa! Donec vulputate, felis nec ornare sagittis, sem velit consectetur ligula, eu tempus ipsum sem eu justo. Fusce consequat ligula vitae augue bibendum, et ullamcorper sem suscipit posuere.\r\n','','filtered_html'),('node','dealers',0,32,32,'und',0,'Duis placerat tortor sit amet felis feugiat rhoncus. Integer ac suscipit metus. Maecenas consequat neque et leo suscipit varius. Duis eleifend adipiscing libero, vel malesuada ipsum. Sed quis neque interdum elit iaculis vehicula vitae nec lorem. Praesent lobortis lacinia purus. Donec molestie nisl turpis, aliquam rutrum sem faucibus convallis. Nullam tristique molestie nunc eget sagittis. Mauris vitae neque aliquet; facilisis odio in, lacinia ipsum. Suspendisse potenti. In odio tellus, tempus a lorem a, interdum pharetra sem? Sed consectetur felis eu urna tristique lobortis. Donec ultricies, purus id fringilla pellentesque, arcu dolor pellentesque orci, ut laoreet sem nibh vitae enim. Duis vulputate laoreet porta. Vivamus elementum augue ut arcu aliquet vulputate! Nam ultricies; sem ut pharetra consectetur, tortor mauris ullamcorper orci, nec blandit magna nunc sed nisi.\r\n\r\nNullam sem lorem, malesuada rhoncus accumsan ultrices, malesuada eu justo. Nam volutpat non arcu non volutpat. Sed venenatis lacus eu sapien imperdiet, id interdum lectus rutrum. Duis vestibulum mollis laoreet. Duis hendrerit libero ut lobortis sagittis. Vestibulum mauris elit, pharetra non nibh vel, cursus posuere.\r\n','','filtered_html'),('node','dealers',0,33,33,'und',0,'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nullam ultrices feugiat nunc, vitae tempus diam venenatis ut. Proin id odio placerat, dapibus risus in; rhoncus diam. Sed semper at dui ut fringilla. Nullam non vulputate nunc? \r\nIn sit amet nunc lectus. Nullam euismod fringilla ante, eget posuere mi convallis et. Aliquam quis sem metus! Etiam sodales, turpis at vestibulum commodo, mauris lorem mattis dolor, vitae imperdiet odio sapien vitae lectus. Sed quis metus mi. Suspendisse rhoncus eu velit sit amet blandit.\r\nNunc congue arcu dapibus, lobortis dui eu, porttitor enim. Vestibulum ullamcorper, erat in ultrices pellentesque, mauris ipsum egestas risus, eleifend mattis mi nunc vitae mi. Etiam in dignissim enim. Etiam in interdum diam. In tristique purus leo, consequat suscipit turpis blandit ut. Praesent viverra volutpat nulla sit amet feugiat. In vel blandit tortor. \r\nClass aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Phasellus erat mi, mollis tristique ante non, fermentum convallis libero. \r\nDonec nec suscipit magna. Sed euismod auctor ante, non consequat arcu rhoncus eget! Ut tincidunt turpis sit amet lacinia ullamcorper. Quisque ut velit eu arcu lobortis suscipit in sed turpis. Vivamus ante lorem, tempor tincidunt iaculis eu, tempor eu augue? Mauris magna justo; mollis ut hendrerit ac, malesuada a quam. In at fringilla ipsum.Phasellus ultrices bibendum leo a porttitor. Aliquam accumsan, dolor nec scelerisque auctor, diam dui consectetur ante, vitae tincidunt nisi velit id lacus. \r\n','Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nullam ultrices feugiat nunc, vitae tempus diam venenatis ut. Proin id odio placerat, dapibus risus in; rhoncus diam. Sed semper at dui ut fringilla. Nullam non vulputate nunc? ','filtered_html'),('node','dealers',0,34,34,'und',0,'Phasellus egestas tellus id leo pharetra dictum vel et justo. Integer blandit enim eget tortor fringilla convallis. Proin porttitor felis magna, at aliquam nisi pulvinar ac. Nullam dignissim congue ligula ac pulvinar. Praesent id tempus dolor. Nam ut fermentum magna. Mauris quis aliquet mauris, nec sollicitudin erat. Suspendisse potenti. Mauris quis accumsan tellus. Sed vel pretium diam! Morbi pellentesque tempor iaculis. Fusce imperdiet sapien id mi fermentum, sed lacinia mauris congue. Quisque suscipit vestibulum libero, sed tincidunt ipsum scelerisque eu. Maecenas et malesuada felis, a placerat felis. Nunc egestas lacinia libero a mattis. Quisque mollis elit erat, a mollis dolor luctus lacinia.\r\n\r\nEtiam vel magna velit. Proin ultrices blandit ultricies! Sed nibh nibh, laoreet eu cursus quis, pellentesque eget ligula. Nulla facilisi. Suspendisse ut leo tellus. Mauris laoreet elementum auctor. Nunc tempor dictum volutpat. Quisque nec dui nisl. Cras semper pretium turpis nec laoreet. Sed eget facilisis lorem! Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc non aliquam erat, quis gravida tortor. Suspendisse dolor arcu, lobortis eu nisl nec; fermentum scelerisque mi nullam.\r\n','Phasellus egestas tellus id leo pharetra dictum vel et justo. Integer blandit enim eget tortor fringilla convallis. Proin porttitor felis magna, at aliquam nisi pulvinar ac. Nullam dignissim congue ligula ac pulvinar. Praesent id tempus dolor. Nam ut fermentum magna. Mauris quis aliquet mauris, nec sollicitudin erat.','filtered_html'),('node','products',0,35,35,'und',0,'Duis sagittis molestie ipsum quis viverra. Sed pharetra euismod consequat. Vivamus vitae magna nisi. Ut rutrum in quam quis consequat.','Ferrari\'s folding hardtop GT','full_html'),('node','products',0,36,36,'und',0,'Proin adipiscing ipsum felis, quis pellentesque magna gravida non. Sed luctus vehicula tempor. Ut placerat egestas augue, vel accumsan enim pellentesque ac. Nulla non lorem suscipit, adipiscing odio vitae, suscipit odio. Nulla et bibendum diam. Etiam eget est turpis. Donec faucibus venenatis elit id lacinia. Suspendisse sit amet consequat ipsum, vitae tincidunt leo. Etiam elementum nibh in nibh tempor, vel aliquam metus bibendum. Praesent tempus risus vulputate est adipiscing pellentesque. Aliquam vel tristique metus. Morbi vehicula purus vitae nulla tempor fermentum. Nulla ac iaculis quam. Proin fermentum urna ipsum, in sagittis urna convallis nec. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae','','full_html'),('node','products',0,37,37,'und',0,'Proin adipiscing ipsum felis, quis pellentesque magna gravida non. Sed luctus vehicula tempor. Ut placerat egestas augue, vel accumsan enim pellentesque ac. Nulla non lorem suscipit, adipiscing odio vitae, suscipit odio. Nulla et bibendum diam. \r\n\r\nEtiam eget est turpis. Donec faucibus venenatis elit id lacinia. Suspendisse sit amet consequat ipsum, vitae tincidunt leo. Etiam elementum nibh in nibh tempor, vel aliquam metus bibendum. Praesent tempus risus vulputate est adipiscing pellentesque. Aliquam vel tristique metus. Morbi vehicula purus vitae nulla tempor fermentum. Nulla ac iaculis quam. Proin fermentum urna ipsum, in sagittis urna convallis nec. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;','','full_html'),('node','products',0,38,38,'und',0,'Nam enim nibh, sodales fringilla iaculis ac, luctus vitae risus. Integer rhoncus, elit vel adipiscing euismod, lacus enim mattis est, ut aliquet ante odio at ipsum. Mauris blandit, leo suscipit sagittis fringilla, ipsum ipsum semper magna, at luctus erat justo sed nisi. \r\n\r\nCras facilisis sit amet tellus ac aliquam. Nulla vitae varius mauris. Vestibulum interdum molestie felis, ut mollis augue consectetur ut. Nunc sodales dolor id viverra luctus. Aliquam erat volutpat. Integer faucibus et lacus in mollis. Morbi molestie tortor quis felis convallis, quis dapibus ipsum condimentum.','','full_html'),('node','products',0,39,39,'und',0,'Suspendisse suscipit orci adipiscing, mattis ipsum et, blandit magna. Suspendisse ac interdum sapien. Suspendisse eu egestas odio. Mauris posuere, nunc in feugiat venenatis, dui ipsum porttitor purus, a porta arcu tortor et erat. Morbi arcu nibh, viverra fringilla imperdiet sed, consequat ut sapien. \r\n\r\nNulla semper ullamcorper libero, sit amet ultrices enim viverra sed. Nulla tristique justo in pretium volutpat. Pellentesque eu tortor nec velit dapibus condimentum. Phasellus sit amet semper purus. Nulla iaculis, mi id feugiat feugiat, erat sapien vestibulum erat, rhoncus vulputate tellus massa et dui. Sed at enim consequat, hendrerit elit eu, hendrerit nisl. ','','full_html'),('node','products',0,40,40,'und',0,'Fusce varius urna non turpis sollicitudin, nec mattis arcu porttitor. Sed feugiat rhoncus odio tempor feugiat. Nulla ac consequat sapien. Fusce fringilla ligula vitae velit sollicitudin, nec pharetra massa sodales. Aenean quis rhoncus metus.\r\n\r\n Pellentesque et erat molestie, consectetur turpis ac, varius diam. Donec a tempus nulla, at interdum augue. Quisque tristique mauris in sagittis pharetra. Integer sed lacus sit amet lacus commodo bibendum id sit amet sem.','','full_html'),('node','products',0,41,41,'und',0,'Sed eu sollicitudin nulla. Cras porttitor tempor quam eu lacinia. Sed a elementum quam. Proin rhoncus nibh nibh, quis malesuada erat elementum rhoncus. Nam posuere turpis enim, ut mollis metus semper quis. Maecenas tempor id sapien et fringilla. Praesent sed est mi. Morbi viverra, libero non laoreet lobortis, dui augue fermentum diam, id pretium justo orci non urna. Vestibulum sit amet enim vel velit aliquet condimentum vel ut justo. Phasellus egestas orci sed ligula varius lacinia. Mauris eget lectus at nibh feugiat laoreet non in dui.','','full_html'),('node','products',0,42,42,'und',0,'Cras enim urna, fermentum eu imperdiet non, elementum id ipsum. Maecenas id diam nec odio facilisis tempor adipiscing condimentum magna. Donec molestie a purus in consectetur. Morbi ac pretium nibh, eget tempus elit. Integer lacinia tellus sed volutpat lobortis.\r\n\r\n Vestibulum convallis sed enim vel auctor. Proin elit ipsum, sodales ut vehicula eget, blandit et nisi. Ut a urna molestie, sagittis leo eget, volutpat urna. Duis tristique lectus eu massa bibendum lobortis. Etiam quam est, euismod accumsan vestibulum at, convallis vel massa. Duis aliquet, dolor non viverra ullamcorper, massa neque rhoncus nunc, ut convallis lorem metus vel urna. Suspendisse dignissim eget elit et congue.\r\n\r\nInteger vehicula auctor purus quis venenatis. Sed facilisis, nunc eu iaculis faucibus, quam nisl blandit odio, sit amet sollicitudin felis massa a lorem. Vivamus suscipit pulvinar orci sit amet fermentum. Pellentesque vel congue dui.','','full_html'),('node','products',0,43,43,'und',0,'In iaculis malesuada sapien, sed viverra velit euismod eu. Mauris non nisl ac nisl venenatis imperdiet. Nullam fermentum luctus fringilla. Sed malesuada sem a nisi lacinia facilisis pulvinar id lorem. Nulla nunc lacus, rhoncus in blandit non, euismod vitae ipsum. Mauris luctus dolor sit amet porttitor viverra. Donec consectetur, arcu eu dapibus sodales, dolor turpis tincidunt nulla, sed facilisis purus tellus non dui. Vivamus et magna eu nunc commodo hendrerit sed ac nulla.\r\n\r\nPhasellus quis lacinia neque. Nunc quis iaculis justo. Fusce elementum aliquam tellus, sed tristique nunc iaculis vitae. Aliquam erat volutpat. Curabitur vehicula eget mauris nec venenatis. Donec congue sem metus, non accumsan nisl consectetur eget. Duis ac cursus elit. Cras mollis, odio eget egestas pharetra, lorem eros semper risus, porta pretium magna quam at nisl. Maecenas aliquet sem in vehicula pellentesque. Nulla consequat, sapien eget dapibus luctus, tortor nulla egestas urna, eu dignissim risus dolor eget turpis. Fusce porttitor molestie rutrum. Vivamus blandit adipiscing neque. Proin dapibus porttitor massa ut vehicula. Aliquam erat volutpat.','','full_html'),('node','testimonials',0,44,44,'und',0,'Nulla quis orci auctor, sodales leo id, eleifend ante. Aliquam dapibus, nisl a tempor congue, leo mauris lacinia magna, ac faucibus elit lorem sit amet lectus. Aliquam erat volutpat. In fermentum velit orci, ut accumsan orci sodales vel. Vestibulum vehicula massa a risus egestas, tincidunt blandit massa posuere. Nullam vitae lacinia quam. Fusce eu rhoncus erat, ac fringilla nunc.','','filtered_html'),('node','article',0,45,45,'und',0,'Quisque rhoncus vitae purus ac luctus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus consequat tristique justo a fermentum. Aliquam egestas est eget neque malesuada, a pulvinar lectus facilisis. Aenean nec erat non lacus venenatis dapibus molestie vitae massa. Ut sodales mi ac imperdiet tristique. Fusce at enim ultrices, ullamcorper urna non, iaculis velit. Aliquam ac auctor elit. Aliquam eu eleifend purus. Duis vitae libero leo. Suspendisse posuere neque id fermentum porttitor. Sed pharetra lobortis sodales. Nunc luctus leo dapibus, mollis lectus sit amet, interdum lacus. Aliquam tempor dignissim dignissim. In fringilla, lectus in pellentesque mattis, neque urna vulputate ligula, ultricies ultricies sapien mauris eget diam. Integer accumsan eros magna, vel mollis tellus aliquam quis.','','full_html'),('node','page',0,48,48,'und',0,'<div class=\"weebpal-404-wrapper\">\r\n\r\n<p class=\"weebpal-404-emotion\"><i class=\"fa fa-frown-o\"></i></p>\r\n<p class=\"weebpal-404-text\">404</p>\r\n<p>Sorry but we couldn\'t find the page you are looking for. Please check to make sure you\'ve typed the URL correctly. You may also want to search for what you are looking for.</p>\r\n<p><a class=\"weebpal-return-back\" href=\"<?php echo url(); ?>\">RETURN TO HOME</a></p>\r\n\r\n</div>','','php_code');
/*!40000 ALTER TABLE `field_data_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_comment_body`
--

DROP TABLE IF EXISTS `field_data_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_comment_body`
--

LOCK TABLES `field_data_comment_body` WRITE;
/*!40000 ALTER TABLE `field_data_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article',0,1,1,'und',0,' porttitor faucibus tellus','filtered_html'),('comment','comment_node_article',0,2,2,'und',0,'Vivamus porttitor faucibus tellus','filtered_html'),('comment','comment_node_article',0,3,3,'und',0,'in sollicitudin enim erat id','filtered_html');
/*!40000 ALTER TABLE `field_data_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_address`
--

DROP TABLE IF EXISTS `field_data_field_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_address_country` varchar(2) DEFAULT '' COMMENT 'Two letter ISO country code of this address.',
  `field_address_administrative_area` varchar(255) DEFAULT '' COMMENT 'The administrative area of this address. (i.e. State/Province)',
  `field_address_sub_administrative_area` varchar(255) DEFAULT '' COMMENT 'The sub administrative area of this address.',
  `field_address_locality` varchar(255) DEFAULT '' COMMENT 'The locality of this address. (i.e. City)',
  `field_address_dependent_locality` varchar(255) DEFAULT '' COMMENT 'The dependent locality of this address.',
  `field_address_postal_code` varchar(255) DEFAULT '' COMMENT 'The postal code of this address.',
  `field_address_thoroughfare` varchar(255) DEFAULT '' COMMENT 'The thoroughfare of this address. (i.e. Street address)',
  `field_address_premise` varchar(255) DEFAULT '' COMMENT 'The premise of this address. (i.e. Apartment / Suite number)',
  `field_address_sub_premise` varchar(255) DEFAULT '' COMMENT 'The sub_premise of this address.',
  `field_address_organisation_name` varchar(255) DEFAULT '' COMMENT 'Contents of a primary OrganisationName element in the xNL XML.',
  `field_address_name_line` varchar(255) DEFAULT '' COMMENT 'Contents of a primary NameLine element in the xNL XML.',
  `field_address_first_name` varchar(255) DEFAULT '' COMMENT 'Contents of the FirstName element of a primary PersonName element in the xNL XML.',
  `field_address_last_name` varchar(255) DEFAULT '' COMMENT 'Contents of the LastName element of a primary PersonName element in the xNL XML.',
  `field_address_data` longtext COMMENT 'Additional data for this address.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 25 (field_address)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_address`
--

LOCK TABLES `field_data_field_address` WRITE;
/*!40000 ALTER TABLE `field_data_field_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_address` VALUES ('node','dealers',0,32,32,'und',0,'US','AZ',NULL,'New york',NULL,'84117','','',NULL,NULL,NULL,NULL,NULL,NULL),('node','dealers',0,33,33,'und',0,'US','CA',NULL,'Salt Lake',NULL,'84118','','',NULL,NULL,NULL,NULL,NULL,NULL),('node','dealers',0,34,34,'und',0,'US','',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('user','user',0,1,1,'und',0,'VN','',NULL,'',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL),('user','user',0,4,4,'und',0,'VN','',NULL,'',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL),('user','user',0,5,5,'und',0,'VN','',NULL,'',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL),('user','user',0,6,6,'und',0,'VN','',NULL,'',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `field_data_field_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_brands`
--

DROP TABLE IF EXISTS `field_data_field_brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_brands` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_brands_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_brands_tid` (`field_brands_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 7 (field_brands)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_brands`
--

LOCK TABLES `field_data_field_brands` WRITE;
/*!40000 ALTER TABLE `field_data_field_brands` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_brands` VALUES ('node','products',0,25,25,'und',0,14),('node','products',0,35,35,'und',0,15),('node','products',0,36,36,'und',0,13),('node','products',0,37,37,'und',0,15),('node','products',0,38,38,'und',0,21),('node','products',0,39,39,'und',0,26),('node','products',0,40,40,'und',0,25),('node','products',0,41,41,'und',0,16),('node','products',0,42,42,'und',0,24),('node','products',0,43,43,'und',0,20);
/*!40000 ALTER TABLE `field_data_field_brands` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_categories`
--

DROP TABLE IF EXISTS `field_data_field_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_categories_tid` (`field_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 8 (field_categories)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_categories`
--

LOCK TABLES `field_data_field_categories` WRITE;
/*!40000 ALTER TABLE `field_data_field_categories` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_categories` VALUES ('node','products',0,23,23,'und',0,9),('node','products',0,25,25,'und',0,7),('node','products',0,25,25,'und',1,9),('node','products',0,25,25,'und',2,8),('node','products',0,35,35,'und',0,6),('node','products',0,35,35,'und',1,7),('node','products',0,35,35,'und',2,9),('node','products',0,36,36,'und',0,7),('node','products',0,36,36,'und',1,9),('node','products',0,37,37,'und',0,7),('node','products',0,37,37,'und',1,9),('node','products',0,38,38,'und',0,6),('node','products',0,38,38,'und',1,7),('node','products',0,38,38,'und',2,9),('node','products',0,39,39,'und',0,9),('node','products',0,39,39,'und',1,8),('node','products',0,40,40,'und',0,6),('node','products',0,40,40,'und',1,7),('node','products',0,40,40,'und',2,9),('node','products',0,40,40,'und',3,8),('node','products',0,41,41,'und',0,6),('node','products',0,41,41,'und',1,7),('node','products',0,41,41,'und',2,9),('node','products',0,41,41,'und',3,8),('node','products',0,42,42,'und',0,6),('node','products',0,42,42,'und',1,7),('node','products',0,42,42,'und',2,9),('node','products',0,42,42,'und',3,8),('node','products',0,43,43,'und',0,6),('node','products',0,43,43,'und',1,7),('node','products',0,43,43,'und',2,9),('node','products',0,43,43,'und',3,8);
/*!40000 ALTER TABLE `field_data_field_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_co2_emissions_g_100km_`
--

DROP TABLE IF EXISTS `field_data_field_co2_emissions_g_100km_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_co2_emissions_g_100km_` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_co2_emissions_g_100km__value` varchar(255) DEFAULT NULL,
  `field_co2_emissions_g_100km__format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_co2_emissions_g_100km__format` (`field_co2_emissions_g_100km__format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 42 (field_co2_emissions_g_100km_)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_co2_emissions_g_100km_`
--

LOCK TABLES `field_data_field_co2_emissions_g_100km_` WRITE;
/*!40000 ALTER TABLE `field_data_field_co2_emissions_g_100km_` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_co2_emissions_g_100km_` VALUES ('node','products',0,23,23,'und',0,'198',NULL),('node','products',0,25,25,'und',0,'198',NULL),('node','products',0,35,35,'und',0,'198',NULL),('node','products',0,36,36,'und',0,'198',NULL),('node','products',0,37,37,'und',0,'198',NULL),('node','products',0,38,38,'und',0,'198',NULL),('node','products',0,39,39,'und',0,'198',NULL),('node','products',0,40,40,'und',0,'198',NULL),('node','products',0,41,41,'und',0,'198',NULL),('node','products',0,42,42,'und',0,'198',NULL),('node','products',0,43,43,'und',0,'198',NULL);
/*!40000 ALTER TABLE `field_data_field_co2_emissions_g_100km_` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_colors`
--

DROP TABLE IF EXISTS `field_data_field_colors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_colors` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_colors_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_colors_tid` (`field_colors_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 9 (field_colors)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_colors`
--

LOCK TABLES `field_data_field_colors` WRITE;
/*!40000 ALTER TABLE `field_data_field_colors` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_colors` VALUES ('node','products',0,25,25,'und',0,39),('node','products',0,35,35,'und',0,35),('node','products',0,36,36,'und',0,38),('node','products',0,37,37,'und',0,37),('node','products',0,38,38,'und',0,37),('node','products',0,39,39,'und',0,35),('node','products',0,40,40,'und',0,37),('node','products',0,41,41,'und',0,38),('node','products',0,42,42,'und',0,35),('node','products',0,43,43,'und',0,37);
/*!40000 ALTER TABLE `field_data_field_colors` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_comfort`
--

DROP TABLE IF EXISTS `field_data_field_comfort`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_comfort` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_comfort_value` longtext,
  `field_comfort_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_comfort_format` (`field_comfort_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 51 (field_comfort)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_comfort`
--

LOCK TABLES `field_data_field_comfort` WRITE;
/*!40000 ALTER TABLE `field_data_field_comfort` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_comfort` VALUES ('node','products',0,25,25,'und',0,'Maecenas at massa nec ante semper posuere. Integer lacinia velit metus, quis placerat augue ultricies eget. Vestibulum faucibus erat suscipit imperdiet imperdiet.',NULL),('node','products',0,35,35,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean sit amet varius sapien. Sed luctus mollis tellus et convallis. Pellentesque porta dapibus massa sit amet gravida. Pellentesque id lorem elementum, ultrices enim id, posuere nibh. Proin sagittis lacus vel molestie auctor.',NULL),('node','products',0,36,36,'und',0,'Nunc viverra lorem sit amet vehicula adipiscing. Ut quam justo, aliquet nec leo id, elementum volutpat est. Vivamus facilisis lobortis est, sed posuere quam adipiscing vitae.',NULL),('node','products',0,37,37,'und',0,'Nunc viverra lorem sit amet vehicula adipiscing. Ut quam justo, aliquet nec leo id, elementum volutpat est. Vivamus facilisis lobortis est, sed posuere quam adipiscing vitae.',NULL),('node','products',0,38,38,'und',0,'Mauris quis mi ipsum. Cras vehicula mi eget malesuada ornare. Morbi id ultricies nisi. Maecenas quis pharetra nulla. Pellentesque enim ante, lacinia vel ligula eget, malesuada dictum urna. ',NULL),('node','products',0,39,39,'und',0,'Donec consectetur ipsum eget diam porta tincidunt. Suspendisse feugiat lacus at laoreet euismod. Nunc vulputate ante at felis auctor feugiat. Duis quam lorem, fermentum sed mi ac, sollicitudin gravida leo.',NULL),('node','products',0,40,40,'und',0,'Nam facilisis nibh nec eleifend sagittis. Ut pulvinar lectus malesuada lacus dignissim, eu vehicula metus vestibulum. Donec non dolor viverra, porttitor est eget, vulputate nulla.',NULL),('node','products',0,41,41,'und',0,'Maecenas elementum semper risus, nec euismod purus tincidunt vitae. In semper iaculis aliquet. Morbi pulvinar varius arcu, a congue purus condimentum ac.',NULL),('node','products',0,42,42,'und',0,'Fusce posuere laoreet nisl id sagittis. Morbi eget aliquam ligula. Aliquam erat volutpat. Nunc vitae lacinia nulla. Aenean mollis quam in tortor consequat tempor.',NULL),('node','products',0,43,43,'und',0,'Vivamus tempor vehicula bibendum. Cras eleifend porta eros, sed pharetra eros. Mauris pellentesque mattis lorem, in scelerisque quam consequat non. Sed luctus nisi nulla, non rhoncus nisl vulputate at.',NULL);
/*!40000 ALTER TABLE `field_data_field_comfort` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_counter`
--

DROP TABLE IF EXISTS `field_data_field_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_counter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_counter_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 19 (field_counter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_counter`
--

LOCK TABLES `field_data_field_counter` WRITE;
/*!40000 ALTER TABLE `field_data_field_counter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_counter` VALUES ('node','statistics',0,28,28,'und',0,5670),('node','statistics',0,29,29,'und',0,43256),('node','statistics',0,30,30,'und',0,350),('node','statistics',0,31,31,'und',0,150);
/*!40000 ALTER TABLE `field_data_field_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_description`
--

DROP TABLE IF EXISTS `field_data_field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext,
  `field_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 33 (field_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_description`
--

LOCK TABLES `field_data_field_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_description` VALUES ('field_collection_item','field_simple_field',0,1,35,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,2,36,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,3,37,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,4,38,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,5,39,'und',0,'Etiam augue eros, rutrum nec tortor ut, pellentesque lobortis sem. Sed euismod quis ante vitae facilisis? Donec tellus magna, pretium vel suscipit nec, tempus eget eros. Donec ut mauris vel neque luctus laoreet. Sed ante libero, pretium eget pharetra ac, eleifend a leo. Vestibulum ante ipsum nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,6,40,'und',0,'Suspendisse turpis ipsum; iaculis vel est eget, sodales condimentum quam. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Morbi cursus elit vitae erat molestie fringilla. In faucibus ante nec lacus condimentum elementum? Vivamus ultrices urna in venenatis metus.\r\n',NULL),('field_collection_item','field_simple_field',0,7,41,'und',0,'Phasellus eu placerat tellus. Sed ornare porttitor neque, vitae dapibus odio vestibulum sit amet. Donec eget sem et elit mattis dignissim a ut neque. Donec pellentesque dui sed dui eleifend adipiscing. Nam tempus nec elit nec vehicula. Sed quis elit at mi malesuada tempus a a turpis. Phasellus amet.\r\n',NULL),('user','user',0,4,4,'und',0,'Cras libero lorem, dapibus sit amet posuere eget, molestie faucibus metus. Aliquam ante odio, molestie in orci in, dignissim adipiscing sapien. Phasellus urna turpis, malesuada viverra eros non, malesuada fermentum tellus! Sed sit amet quam et diam vulputate interdum. Phasellus nec mi metus posuere.\r\n',NULL),('user','user',0,5,5,'und',0,'Maecenas in volutpat felis. Sed vulputate eros augue, vitae ornare arcu gravida ac. Cras et felis ac nisi congue venenatis vitae eget orci. Donec ultrices lorem vel leo sagittis, in ornare ante gravida. Nunc porttitor lorem rhoncus, tincidunt massa a, gravida velit! Nunc gravida aliquet turpis duis.\r\n',NULL),('user','user',0,6,6,'und',0,'Pellentesque aliquet metus vel elit faucibus, eget eleifend metus volutpat. Vivamus sed diam neque? Nam sit amet urna augue. Sed posuere sagittis risus ut accumsan. Aliquam quis nisi sed neque ullamcorper ultricies facilisis in ligula. Nullam viverra eget libero quis tincidunt? Donec in turpis amet.\r\n',NULL);
/*!40000 ALTER TABLE `field_data_field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_displacement_cm3_`
--

DROP TABLE IF EXISTS `field_data_field_displacement_cm3_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_displacement_cm3_` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_displacement_cm3__value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 37 (field_displacement_cm3_)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_displacement_cm3_`
--

LOCK TABLES `field_data_field_displacement_cm3_` WRITE;
/*!40000 ALTER TABLE `field_data_field_displacement_cm3_` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_displacement_cm3_` VALUES ('node','products',0,25,25,'und',0,2996),('node','products',0,35,35,'und',0,2996),('node','products',0,36,36,'und',0,2996),('node','products',0,38,38,'und',0,2996),('node','products',0,39,39,'und',0,2996),('node','products',0,40,40,'und',0,2996),('node','products',0,41,41,'und',0,2996),('node','products',0,42,42,'und',0,2596),('node','products',0,43,43,'und',0,2596);
/*!40000 ALTER TABLE `field_data_field_displacement_cm3_` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_facebook`
--

DROP TABLE IF EXISTS `field_data_field_facebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_facebook_url` varchar(2048) DEFAULT NULL,
  `field_facebook_title` varchar(255) DEFAULT NULL,
  `field_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 21 (field_facebook)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_facebook`
--

LOCK TABLES `field_data_field_facebook` WRITE;
/*!40000 ALTER TABLE `field_data_field_facebook` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_facebook` VALUES ('user','user',0,1,1,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}'),('user','user',0,4,4,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}'),('user','user',0,5,5,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}'),('user','user',0,6,6,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_facebook` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_features`
--

DROP TABLE IF EXISTS `field_data_field_features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_features` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_features_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_features_tid` (`field_features_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 48 (field_features)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_features`
--

LOCK TABLES `field_data_field_features` WRITE;
/*!40000 ALTER TABLE `field_data_field_features` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_features` VALUES ('node','products',0,25,25,'und',0,63),('node','products',0,25,25,'und',1,64),('node','products',0,35,35,'und',0,63),('node','products',0,35,35,'und',1,64),('node','products',0,36,36,'und',0,63),('node','products',0,37,37,'und',0,63),('node','products',0,38,38,'und',0,64),('node','products',0,39,39,'und',0,63),('node','products',0,39,39,'und',1,64),('node','products',0,40,40,'und',0,63),('node','products',0,41,41,'und',0,63),('node','products',0,42,42,'und',0,64),('node','products',0,43,43,'und',0,63);
/*!40000 ALTER TABLE `field_data_field_features` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_features`
--

DROP TABLE IF EXISTS `field_data_field_field_features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_features` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_features_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_features_tid` (`field_field_features_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 45 (field_field_features)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_features`
--

LOCK TABLES `field_data_field_field_features` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_features` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_features` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_gender`
--

DROP TABLE IF EXISTS `field_data_field_field_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_gender` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_gender_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_gender_tid` (`field_field_gender_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 26 (field_field_gender)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_gender`
--

LOCK TABLES `field_data_field_field_gender` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_gender` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_gender` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_interior_design`
--

DROP TABLE IF EXISTS `field_data_field_field_interior_design`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_interior_design` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_interior_design_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_interior_design_tid` (`field_field_interior_design_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 46 (field_field_interior_design)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_interior_design`
--

LOCK TABLES `field_data_field_field_interior_design` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_interior_design` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_interior_design` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_safety`
--

DROP TABLE IF EXISTS `field_data_field_field_safety`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_safety` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_safety_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_safety_tid` (`field_field_safety_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 47 (field_field_safety)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_safety`
--

LOCK TABLES `field_data_field_field_safety` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_safety` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_safety` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_fuel_consumption_combined_`
--

DROP TABLE IF EXISTS `field_data_field_fuel_consumption_combined_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_fuel_consumption_combined_` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_fuel_consumption_combined__value` varchar(255) DEFAULT NULL,
  `field_fuel_consumption_combined__format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_fuel_consumption_combined__format` (`field_fuel_consumption_combined__format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 43 (field_fuel_consumption_combined_)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_fuel_consumption_combined_`
--

LOCK TABLES `field_data_field_fuel_consumption_combined_` WRITE;
/*!40000 ALTER TABLE `field_data_field_fuel_consumption_combined_` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_fuel_consumption_combined_` VALUES ('node','products',0,23,23,'und',0,'8.6',NULL),('node','products',0,25,25,'und',0,'8.6',NULL),('node','products',0,35,35,'und',0,'8.6',NULL),('node','products',0,36,36,'und',0,'8.6',NULL),('node','products',0,37,37,'und',0,'8.5',NULL),('node','products',0,38,38,'und',0,'5',NULL),('node','products',0,39,39,'und',0,'8.5',NULL),('node','products',0,40,40,'und',0,'8.5',NULL),('node','products',0,41,41,'und',0,'5',NULL),('node','products',0,42,42,'und',0,'8.5',NULL),('node','products',0,43,43,'und',0,'8.6',NULL);
/*!40000 ALTER TABLE `field_data_field_fuel_consumption_combined_` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_full_name`
--

DROP TABLE IF EXISTS `field_data_field_full_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_full_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_full_name_value` varchar(255) DEFAULT NULL,
  `field_full_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_full_name_format` (`field_full_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 20 (field_full_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_full_name`
--

LOCK TABLES `field_data_field_full_name` WRITE;
/*!40000 ALTER TABLE `field_data_field_full_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_full_name` VALUES ('user','user',0,1,1,'und',0,'John Philip',NULL),('user','user',0,4,4,'und',0,'Anna Thomas',NULL),('user','user',0,5,5,'und',0,'David Dane',NULL),('user','user',0,6,6,'und',0,'Laura Robert',NULL);
/*!40000 ALTER TABLE `field_data_field_full_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gallery`
--

DROP TABLE IF EXISTS `field_data_field_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gallery` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_gallery_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_gallery_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_gallery_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gallery_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_fid` (`field_gallery_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 6 (field_gallery)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gallery`
--

LOCK TABLES `field_data_field_gallery` WRITE;
/*!40000 ALTER TABLE `field_data_field_gallery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gallery` VALUES ('node','services',0,19,19,'und',0,81,'','',1172,350),('node','services',0,20,20,'und',0,38,'','',1170,350),('node','services',0,21,21,'und',0,82,'','',1171,350),('node','services',0,22,22,'und',0,42,'','',1170,350),('node','products',0,23,23,'und',0,43,'','',763,537),('node','products',0,23,23,'und',1,44,'','',763,537),('node','products',0,23,23,'und',2,45,'','',763,537),('node','products',0,25,25,'und',0,54,'','',1000,652),('node','products',0,25,25,'und',1,55,'','',802,505),('node','products',0,25,25,'und',2,56,'','',628,508),('node','products',0,25,25,'und',3,57,'','',673,466),('node','products',0,35,35,'und',0,72,'','',1200,900),('node','products',0,36,36,'und',0,95,'','',1200,800),('node','products',0,37,37,'und',0,98,'','',1200,592),('node','products',0,38,38,'und',0,99,'','',1200,960),('node','products',0,39,39,'und',0,101,'','',1200,803),('node','products',0,40,40,'und',0,114,'','',1200,800),('node','products',0,41,41,'und',0,105,'','',1200,800),('node','products',0,42,42,'und',0,107,'','',1200,797),('node','products',0,43,43,'und',0,109,'','',1200,800);
/*!40000 ALTER TABLE `field_data_field_gallery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gender`
--

DROP TABLE IF EXISTS `field_data_field_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gender` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gender_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gender_tid` (`field_gender_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 27 (field_gender)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gender`
--

LOCK TABLES `field_data_field_gender` WRITE;
/*!40000 ALTER TABLE `field_data_field_gender` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gender` VALUES ('user','user',0,1,1,'und',0,27),('user','user',0,4,4,'und',0,28),('user','user',0,5,5,'und',0,27),('user','user',0,6,6,'und',0,28);
/*!40000 ALTER TABLE `field_data_field_gender` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_image`
--

DROP TABLE IF EXISTS `field_data_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_image`
--

LOCK TABLES `field_data_field_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_image` VALUES ('bean','list_block',0,1,10,'und',0,111,'','',570,315),('bean','list_block',0,2,11,'und',0,75,'','',570,314),('node','blog',0,7,7,'und',0,2,'','',1000,750),('node','blog',0,8,8,'und',0,3,'','',1200,800),('node','blog',0,9,9,'und',0,4,'','',1000,664),('node','blog',0,10,10,'und',0,5,'','',1200,800),('node','blog',0,11,11,'und',0,6,'','',1200,800),('node','article',0,12,12,'und',0,87,'','',870,350),('node','article',0,13,13,'und',0,86,'','',870,350),('node','article',0,14,14,'und',0,85,'','',870,350),('node','article',0,15,15,'und',0,84,'','',870,350),('node','article',0,16,16,'und',0,83,'','',870,350),('node','services',0,19,19,'und',0,34,'','',60,50),('node','services',0,20,20,'und',0,36,'','',60,50),('node','services',0,21,21,'und',0,39,'','',60,50),('node','services',0,22,22,'und',0,41,'','',60,50),('node','products',0,23,23,'und',0,47,'','',1200,900),('node','products',0,25,25,'und',0,58,'','',1000,652),('node','dealers',0,32,32,'und',0,117,'','',1200,800),('node','dealers',0,33,33,'und',0,116,'','',1200,800),('node','dealers',0,34,34,'und',0,90,'','',1000,667),('node','products',0,35,35,'und',0,73,'','',1200,900),('node','products',0,36,36,'und',0,96,'','',1200,800),('node','products',0,37,37,'und',0,97,'','',1200,592),('node','products',0,38,38,'und',0,100,'','',1200,960),('node','products',0,39,39,'und',0,102,'','',1200,803),('node','products',0,40,40,'und',0,113,'','',1200,800),('node','products',0,41,41,'und',0,106,'','',1200,800),('node','products',0,42,42,'und',0,108,'','',1200,797),('node','products',0,43,43,'und',0,110,'','',1200,800),('node','article',0,45,45,'und',0,115,'','',1800,724),('taxonomy_term','categories',0,6,6,'und',0,68,'','',1200,800),('taxonomy_term','categories',0,7,7,'und',0,69,'','',1400,690),('taxonomy_term','categories',0,8,8,'und',0,71,'','',1200,797),('taxonomy_term','categories',0,9,9,'und',0,70,'','',1200,900),('taxonomy_term','brands',0,13,13,'und',0,20,'','',124,124),('taxonomy_term','brands',0,14,14,'und',0,21,'','',124,124),('taxonomy_term','brands',0,15,15,'und',0,125,'','',300,300),('taxonomy_term','brands',0,16,16,'und',0,127,'','',300,300),('taxonomy_term','brands',0,17,17,'und',0,131,'','',300,300),('taxonomy_term','brands',0,18,18,'und',0,132,'','',300,300),('taxonomy_term','brands',0,19,19,'und',0,133,'','',300,300),('taxonomy_term','brands',0,20,20,'und',0,134,'','',300,300),('taxonomy_term','brands',0,21,21,'und',0,28,'','',124,124),('taxonomy_term','brands',0,22,22,'und',0,29,'','',124,124),('taxonomy_term','brands',0,23,23,'und',0,30,'','',124,124),('taxonomy_term','brands',0,24,24,'und',0,31,'','',124,124),('taxonomy_term','brands',0,25,25,'und',0,32,'','',124,124),('taxonomy_term','brands',0,26,26,'und',0,33,'','',124,124);
/*!40000 ALTER TABLE `field_data_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_interior_design`
--

DROP TABLE IF EXISTS `field_data_field_interior_design`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_interior_design` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_interior_design_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_interior_design_tid` (`field_interior_design_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 49 (field_interior_design)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_interior_design`
--

LOCK TABLES `field_data_field_interior_design` WRITE;
/*!40000 ALTER TABLE `field_data_field_interior_design` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_interior_design` VALUES ('node','products',0,25,25,'und',0,68),('node','products',0,25,25,'und',1,66),('node','products',0,25,25,'und',2,67),('node','products',0,35,35,'und',0,65),('node','products',0,35,35,'und',1,68),('node','products',0,35,35,'und',2,69),('node','products',0,35,35,'und',3,66),('node','products',0,35,35,'und',4,67),('node','products',0,36,36,'und',0,68),('node','products',0,36,36,'und',1,69),('node','products',0,37,37,'und',0,68),('node','products',0,37,37,'und',1,67),('node','products',0,38,38,'und',0,65),('node','products',0,39,39,'und',0,68),('node','products',0,40,40,'und',0,69),('node','products',0,40,40,'und',1,66),('node','products',0,41,41,'und',0,69),('node','products',0,42,42,'und',0,66),('node','products',0,42,42,'und',1,67),('node','products',0,43,43,'und',0,68),('node','products',0,43,43,'und',1,66);
/*!40000 ALTER TABLE `field_data_field_interior_design` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_latitude`
--

DROP TABLE IF EXISTS `field_data_field_latitude`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_latitude` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_latitude_value` varchar(255) DEFAULT NULL,
  `field_latitude_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_latitude_format` (`field_latitude_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 34 (field_latitude)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_latitude`
--

LOCK TABLES `field_data_field_latitude` WRITE;
/*!40000 ALTER TABLE `field_data_field_latitude` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_latitude` VALUES ('node','dealers',0,32,32,'und',0,'34.012187',NULL),('node','dealers',0,33,33,'und',0,'34.01176',NULL),('node','dealers',0,34,34,'und',0,'34.01873',NULL);
/*!40000 ALTER TABLE `field_data_field_latitude` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_link`
--

DROP TABLE IF EXISTS `field_data_field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_link` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_url` varchar(2048) DEFAULT NULL,
  `field_link_title` varchar(255) DEFAULT NULL,
  `field_link_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 18 (field_link)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_link`
--

LOCK TABLES `field_data_field_link` WRITE;
/*!40000 ALTER TABLE `field_data_field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_link` VALUES ('bean','list_block',0,2,11,'und',0,'send-cv','Send Your CV','a:0:{}'),('node','dealers',0,32,32,'und',0,'weebpal.com','weebpal','a:0:{}'),('node','dealers',0,33,33,'und',0,'weebpal.com','weebpal','a:0:{}'),('node','dealers',0,34,34,'und',0,'weebpal.com','weebpal','a:0:{}'),('taxonomy_term','brands',0,13,13,'und',0,'http://audi.com','','a:0:{}'),('taxonomy_term','brands',0,14,14,'und',0,'http://bmw.com','','a:0:{}'),('taxonomy_term','brands',0,15,15,'und',0,'http://ferrari.com','','a:0:{}'),('taxonomy_term','brands',0,16,16,'und',0,'http://honda.com','','a:0:{}'),('taxonomy_term','brands',0,17,17,'und',0,'http://mercedes.com','','a:0:{}'),('taxonomy_term','brands',0,18,18,'und',0,'http://peugeot.com','','a:0:{}'),('taxonomy_term','brands',0,19,19,'und',0,'http://renault.com','','a:0:{}'),('taxonomy_term','brands',0,20,20,'und',0,'http://volvo.com','','a:0:{}'),('taxonomy_term','brands',0,21,21,'und',0,'http://bugatti.com','','a:0:{}'),('taxonomy_term','brands',0,22,22,'und',0,'http://buick.com','','a:0:{}'),('taxonomy_term','brands',0,23,23,'und',0,'http://ford.com','','a:0:{}'),('taxonomy_term','brands',0,24,24,'und',0,'http://lexus.com','','a:0:{}'),('taxonomy_term','brands',0,25,25,'und',0,'http://huyndai.com','','a:0:{}'),('taxonomy_term','brands',0,26,26,'und',0,'http://mazda.com','','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_linkedin`
--

DROP TABLE IF EXISTS `field_data_field_linkedin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_linkedin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_linkedin_url` varchar(2048) DEFAULT NULL,
  `field_linkedin_title` varchar(255) DEFAULT NULL,
  `field_linkedin_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 23 (field_linkedin)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_linkedin`
--

LOCK TABLES `field_data_field_linkedin` WRITE;
/*!40000 ALTER TABLE `field_data_field_linkedin` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_linkedin` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_list_description`
--

DROP TABLE IF EXISTS `field_data_field_list_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_list_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_list_description_value` varchar(255) DEFAULT NULL,
  `field_list_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_list_description_format` (`field_list_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 16 (field_list_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_list_description`
--

LOCK TABLES `field_data_field_list_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_list_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_list_description` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,'An example newsletter list with Manual Send Rate.',NULL);
/*!40000 ALTER TABLE `field_data_field_list_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_longitude`
--

DROP TABLE IF EXISTS `field_data_field_longitude`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_longitude` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_longitude_value` varchar(255) DEFAULT NULL,
  `field_longitude_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_longitude_format` (`field_longitude_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 35 (field_longitude)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_longitude`
--

LOCK TABLES `field_data_field_longitude` WRITE;
/*!40000 ALTER TABLE `field_data_field_longitude` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_longitude` VALUES ('node','dealers',0,32,32,'und',0,'-118.445535',NULL),('node','dealers',0,33,33,'und',0,'-118.466692',NULL),('node','dealers',0,34,34,'und',0,'-118.451586',NULL);
/*!40000 ALTER TABLE `field_data_field_longitude` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_models`
--

DROP TABLE IF EXISTS `field_data_field_models`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_models` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_models_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_models_tid` (`field_models_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 10 (field_models)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_models`
--

LOCK TABLES `field_data_field_models` WRITE;
/*!40000 ALTER TABLE `field_data_field_models` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_models` VALUES ('node','products',0,25,25,'und',0,45),('node','products',0,35,35,'und',0,59),('node','products',0,36,36,'und',0,47),('node','products',0,37,37,'und',0,59),('node','products',0,38,38,'und',0,43),('node','products',0,39,39,'und',0,51),('node','products',0,40,40,'und',0,45),('node','products',0,41,41,'und',0,53),('node','products',0,42,42,'und',0,59),('node','products',0,43,43,'und',0,53);
/*!40000 ALTER TABLE `field_data_field_models` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_body`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_body_value` longtext,
  `field_newsletter_body_summary` longtext,
  `field_newsletter_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_body_format` (`field_newsletter_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 17 (field_newsletter_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_body`
--

LOCK TABLES `field_data_field_newsletter_body` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_newsletter_body` VALUES ('newsletter_template','newsletter_template',0,1,1,'und',0,'Hello [newsletter:subscriber_email],<br />\n\nWe received your request for information from [site:name] <br />\nBefore we begin sending you the information you requested, we want to be certain we have your permission.<br />\nClick the link below to give us permission to send you information. It\'s fast and easy!  If you cannot click the full URL below, please copy the URL and paste it into your web browser.<br /><br />\n\nConfirm by clicking the URL below:<br /><br />\n<a href=\"[newsletter:confirmation_url]\">[newsletter:confirmation_url]</a><br /><br />\n\nIf you do not want to subscribe, simply ignore this message.<br /><br />\n\nBest Regards,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\nRequest generated by:<br />\nIP: [newsletter:subscription_ip]<br />\nDate: [newsletter:subscription_time]<br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,2,2,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nThank you for your subscription. You are now signed up to our newsletter!<br />\nWe will keep your personal information private and secure. We will not share your email address with any third parties. <br />\nTo ensure you receive future subscribers-only news, please add this e-mail to your e-mail address book or safe senders list.<br />\n\n\nSincerely,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\n----<br />\nYou are receiving this email because on [newsletter:subscription_time] at [site:url] you subscribed to receive our e-newsletters.<br /><br />\nYou can unsubscribe via the link below:<br />\n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a>\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,3,3,'und',0,'Dear [newsletter:subscriber_email],<br />\n\nThis email is being sent to notify you that we have received a request to remove the following record from our mailing list:<br /><br />\n\nEmail: [newsletter:subscriber_email]<br /><br />\n\nThis record was removed from our database.<br />\nIf you do receive further unwanted email from our system, please let us know and we\'d be happy to address the issue immediately.<br /><br />\n\nSincerely,<br />\n[site:name]<br />\n[site:url] <br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,4,4,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nHere is what\'s new on <a href=\"[site:url]\">[site:name]</a> over the past few days. Your comments and feedback are always welcome.<br />\n\n<ol>\n [repeat] \n<li><a href=\"[node:url]\">[node:title]</a> -[node:created]<br /> [node:summary]<br /></li>\n [/repeat] \n\n</ol>Sincerely,<br /> <a href=\"[site:url]\">[site:name]</a><br /> <br /> <br />\n\n--<br />You are receiving this email because on [newsletter:subscription_time] you subscribed to receive our newsletter list : [newsletter:list_name].<br /><br />\n\nYou can unsubscribe by clicking the link below:<br /> \n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a><br />\n',NULL,'filtered_html');
/*!40000 ALTER TABLE `field_data_field_newsletter_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_categories`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_categories_tid` (`field_newsletter_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 11 (field_newsletter_categories)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_categories`
--

LOCK TABLES `field_data_field_newsletter_categories` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_newsletter_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_list`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_list` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_list_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  `target_id_tids` text COMMENT 'The serialized terms this subscriber selected(only if list is exposed, else NULL).',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_list_target_id` (`field_newsletter_list_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 14 (field_newsletter_list)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_list`
--

LOCK TABLES `field_data_field_newsletter_list` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_list` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_template`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_template` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_template_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_template_target_id` (`field_newsletter_template_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 15 (field_newsletter_template)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_template`
--

LOCK TABLES `field_data_field_newsletter_template` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_newsletter_template` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,4);
/*!40000 ALTER TABLE `field_data_field_newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_phone`
--

DROP TABLE IF EXISTS `field_data_field_phone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_phone` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_phone_value` varchar(255) DEFAULT NULL,
  `field_phone_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_phone_format` (`field_phone_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 52 (field_phone)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_phone`
--

LOCK TABLES `field_data_field_phone` WRITE;
/*!40000 ALTER TABLE `field_data_field_phone` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_phone` VALUES ('node','dealers',0,32,32,'und',0,'0-390-700-8076',NULL),('node','dealers',0,33,33,'und',0,'0-390-700-8067',NULL),('node','dealers',0,34,34,'und',0,'23445454',NULL);
/*!40000 ALTER TABLE `field_data_field_phone` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_position`
--

DROP TABLE IF EXISTS `field_data_field_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_position_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_position_tid` (`field_position_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 28 (field_position)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_position`
--

LOCK TABLES `field_data_field_position` WRITE;
/*!40000 ALTER TABLE `field_data_field_position` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_position` VALUES ('user','user',0,4,4,'und',0,33),('user','user',0,5,5,'und',0,10),('user','user',0,6,6,'und',0,29);
/*!40000 ALTER TABLE `field_data_field_position` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_positions`
--

DROP TABLE IF EXISTS `field_data_field_positions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_positions` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_positions_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_positions_tid` (`field_positions_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 12 (field_positions)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_positions`
--

LOCK TABLES `field_data_field_positions` WRITE;
/*!40000 ALTER TABLE `field_data_field_positions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_positions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_price`
--

DROP TABLE IF EXISTS `field_data_field_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_price_value` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 41 (field_price)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_price`
--

LOCK TABLES `field_data_field_price` WRITE;
/*!40000 ALTER TABLE `field_data_field_price` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_price` VALUES ('node','products',0,25,25,'und',0,643330.00),('node','products',0,35,35,'und',0,198000.00),('node','products',0,36,36,'und',0,230000.00),('node','products',0,37,37,'und',0,233600.00),('node','products',0,38,38,'und',0,643330.00),('node','products',0,39,39,'und',0,230000.00),('node','products',0,40,40,'und',0,230000.00),('node','products',0,41,41,'und',0,30800.00),('node','products',0,42,42,'und',0,233600.00),('node','products',0,43,43,'und',0,236000.00);
/*!40000 ALTER TABLE `field_data_field_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_public_email`
--

DROP TABLE IF EXISTS `field_data_field_public_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_public_email` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_public_email_email` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 29 (field_public_email)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_public_email`
--

LOCK TABLES `field_data_field_public_email` WRITE;
/*!40000 ALTER TABLE `field_data_field_public_email` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_public_email` VALUES ('node','dealers',0,32,32,'und',0,'sebastian@autox.com'),('node','dealers',0,33,33,'und',0,'sebastian@autox.com'),('node','dealers',0,34,34,'und',0,'sebastian@autox.com');
/*!40000 ALTER TABLE `field_data_field_public_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_release_date`
--

DROP TABLE IF EXISTS `field_data_field_release_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_release_date` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_release_date_value` datetime DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 36 (field_release_date)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_release_date`
--

LOCK TABLES `field_data_field_release_date` WRITE;
/*!40000 ALTER TABLE `field_data_field_release_date` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_release_date` VALUES ('node','products',0,35,35,'und',0,'2014-01-01 00:00:00'),('node','products',0,36,36,'und',0,'2014-01-01 00:00:00'),('node','products',0,37,37,'und',0,'2014-01-01 00:00:00'),('node','products',0,38,38,'und',0,'2014-01-01 00:00:00'),('node','products',0,39,39,'und',0,'2013-01-01 00:00:00'),('node','products',0,40,40,'und',0,'2014-01-01 00:00:00'),('node','products',0,41,41,'und',0,'2014-01-01 00:00:00'),('node','products',0,42,42,'und',0,'2014-01-01 00:00:00'),('node','products',0,43,43,'und',0,'2013-01-01 00:00:00');
/*!40000 ALTER TABLE `field_data_field_release_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_safety`
--

DROP TABLE IF EXISTS `field_data_field_safety`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_safety` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_safety_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_safety_tid` (`field_safety_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 50 (field_safety)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_safety`
--

LOCK TABLES `field_data_field_safety` WRITE;
/*!40000 ALTER TABLE `field_data_field_safety` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_safety` VALUES ('node','products',0,25,25,'und',0,73),('node','products',0,25,25,'und',1,72),('node','products',0,35,35,'und',0,74),('node','products',0,35,35,'und',1,73),('node','products',0,35,35,'und',2,72),('node','products',0,36,36,'und',0,74),('node','products',0,36,36,'und',1,72),('node','products',0,37,37,'und',0,71),('node','products',0,37,37,'und',1,73),('node','products',0,38,38,'und',0,72),('node','products',0,39,39,'und',0,73),('node','products',0,39,39,'und',1,72),('node','products',0,40,40,'und',0,73),('node','products',0,40,40,'und',1,72),('node','products',0,41,41,'und',0,72),('node','products',0,42,42,'und',0,72),('node','products',0,42,42,'und',1,70),('node','products',0,43,43,'und',0,73),('node','products',0,43,43,'und',1,70);
/*!40000 ALTER TABLE `field_data_field_safety` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_simple_field`
--

DROP TABLE IF EXISTS `field_data_field_simple_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_simple_field` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_simple_field_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_simple_field_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_simple_field_revision_id` (`field_simple_field_revision_id`),
  KEY `field_simple_field_value` (`field_simple_field_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 31 (field_simple_field)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_simple_field`
--

LOCK TABLES `field_data_field_simple_field` WRITE;
/*!40000 ALTER TABLE `field_data_field_simple_field` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_simple_field` VALUES ('bean','list_block',0,1,10,'und',0,1,35),('bean','list_block',0,1,10,'und',1,2,36),('bean','list_block',0,1,10,'und',2,3,37),('bean','list_block',0,1,10,'und',3,4,38),('bean','list_block',0,2,11,'und',0,5,39),('bean','list_block',0,2,11,'und',1,6,40),('bean','list_block',0,2,11,'und',2,7,41);
/*!40000 ALTER TABLE `field_data_field_simple_field` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_slideshow`
--

DROP TABLE IF EXISTS `field_data_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 5 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_slideshow`
--

LOCK TABLES `field_data_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_data_field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_slideshow` VALUES ('node','products',0,23,23,'und',0,48,'','',1920,600),('node','products',0,36,36,'und',0,93,'','',1920,600);
/*!40000 ALTER TABLE `field_data_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_tags`
--

DROP TABLE IF EXISTS `field_data_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_tags`
--

LOCK TABLES `field_data_field_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_tags` VALUES ('node','article',0,12,12,'und',0,1),('node','article',0,12,12,'und',1,2),('node','article',0,12,12,'und',2,3),('node','article',0,12,12,'und',3,4),('node','article',0,12,12,'und',4,5),('node','article',0,13,13,'und',0,4),('node','article',0,13,13,'und',1,5),('node','article',0,14,14,'und',0,3),('node','article',0,15,15,'und',0,2);
/*!40000 ALTER TABLE `field_data_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_title`
--

DROP TABLE IF EXISTS `field_data_field_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_title` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_title_value` varchar(255) DEFAULT NULL,
  `field_title_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_title_format` (`field_title_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 32 (field_title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_title`
--

LOCK TABLES `field_data_field_title` WRITE;
/*!40000 ALTER TABLE `field_data_field_title` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_title` VALUES ('field_collection_item','field_simple_field',0,1,35,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,2,36,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,3,37,'und',0,'Phasellus enim diam, varius non dui ut',NULL),('field_collection_item','field_simple_field',0,4,38,'und',0,'Duis massa sapien, congue et orci eu',NULL),('field_collection_item','field_simple_field',0,5,39,'und',0,'Nulla quam velit, malesuada vel urna ut',NULL),('field_collection_item','field_simple_field',0,6,40,'und',0,'Vivamus et nulla eu ipsum rutrum blandit',NULL),('field_collection_item','field_simple_field',0,7,41,'und',0,'Aliquam tincidunt augue nec libero ullamcorper',NULL);
/*!40000 ALTER TABLE `field_data_field_title` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_top_speed_km_h_`
--

DROP TABLE IF EXISTS `field_data_field_top_speed_km_h_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_top_speed_km_h_` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_top_speed_km_h__value` varchar(255) DEFAULT NULL,
  `field_top_speed_km_h__format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_top_speed_km_h__format` (`field_top_speed_km_h__format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 44 (field_top_speed_km_h_)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_top_speed_km_h_`
--

LOCK TABLES `field_data_field_top_speed_km_h_` WRITE;
/*!40000 ALTER TABLE `field_data_field_top_speed_km_h_` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_top_speed_km_h_` VALUES ('node','products',0,23,23,'und',0,'280',NULL),('node','products',0,25,25,'und',0,'290',NULL),('node','products',0,35,35,'und',0,'290',NULL),('node','products',0,36,36,'und',0,'290',NULL),('node','products',0,37,37,'und',0,'280',NULL),('node','products',0,38,38,'und',0,'250',NULL),('node','products',0,39,39,'und',0,'200',NULL),('node','products',0,41,41,'und',0,'230',NULL),('node','products',0,42,42,'und',0,'240',NULL),('node','products',0,43,43,'und',0,'250',NULL);
/*!40000 ALTER TABLE `field_data_field_top_speed_km_h_` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_transmission_types`
--

DROP TABLE IF EXISTS `field_data_field_transmission_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_transmission_types` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_transmission_types_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_transmission_types_tid` (`field_transmission_types_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 13 (field_transmission_types)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_transmission_types`
--

LOCK TABLES `field_data_field_transmission_types` WRITE;
/*!40000 ALTER TABLE `field_data_field_transmission_types` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_transmission_types` VALUES ('node','products',0,23,23,'und',0,76),('node','products',0,25,25,'und',0,76),('node','products',0,35,35,'und',0,75),('node','products',0,36,36,'und',0,75),('node','products',0,37,37,'und',0,75),('node','products',0,38,38,'und',0,76),('node','products',0,39,39,'und',0,75),('node','products',0,40,40,'und',0,76),('node','products',0,41,41,'und',0,75),('node','products',0,42,42,'und',0,76),('node','products',0,43,43,'und',0,75);
/*!40000 ALTER TABLE `field_data_field_transmission_types` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_twitter`
--

DROP TABLE IF EXISTS `field_data_field_twitter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_twitter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_twitter_url` varchar(2048) DEFAULT NULL,
  `field_twitter_title` varchar(255) DEFAULT NULL,
  `field_twitter_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 22 (field_twitter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_twitter`
--

LOCK TABLES `field_data_field_twitter` WRITE;
/*!40000 ALTER TABLE `field_data_field_twitter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_twitter` VALUES ('user','user',0,1,1,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}'),('user','user',0,4,4,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}'),('user','user',0,5,5,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}'),('user','user',0,6,6,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_twitter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_website`
--

DROP TABLE IF EXISTS `field_data_field_website`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_website` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_website_url` varchar(2048) DEFAULT NULL,
  `field_website_title` varchar(255) DEFAULT NULL,
  `field_website_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 24 (field_website)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_website`
--

LOCK TABLES `field_data_field_website` WRITE;
/*!40000 ALTER TABLE `field_data_field_website` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_website` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_group`
--

DROP TABLE IF EXISTS `field_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a group',
  `identifier` varchar(255) NOT NULL DEFAULT '' COMMENT 'The unique string identifier for a group.',
  `group_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of this group.',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `mode` varchar(128) NOT NULL DEFAULT '',
  `parent_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The parent name for a group',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the group properties that do not warrant a dedicated column.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `group_name` (`group_name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Table that contains field group entries and settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_group`
--

LOCK TABLES `field_group` WRITE;
/*!40000 ALTER TABLE `field_group` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_group` VALUES (1,'group_detail|node|products|default','group_detail','node','products','default','','a:5:{s:5:\"label\";s:12:\"Group detail\";s:6:\"weight\";s:1:\"1\";s:8:\"children\";a:10:{i:0;s:12:\"field_models\";i:1;s:18:\"field_release_date\";i:2;s:12:\"field_colors\";i:3;s:23:\"field_displacement_cm3_\";i:4;s:24:\"field_transmission_types\";i:5;s:11:\"field_price\";i:6;s:28:\"field_co2_emissions_g_100km_\";i:7;s:32:\"field_fuel_consumption_combined_\";i:8;s:21:\"field_top_speed_km_h_\";i:9;s:10:\"field_link\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:12:\"Group detail\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:28:\"group-detail field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(2,'group_informations|node|products|default','group_informations','node','products','default','','a:5:{s:5:\"label\";s:18:\"Group informations\";s:6:\"weight\";s:1:\"2\";s:8:\"children\";a:2:{i:0;s:11:\"group_infor\";i:1;s:10:\"group_data\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:18:\"Group informations\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:34:\"group-informations field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(3,'group_infor|node|products|default','group_infor','node','products','default','group_informations','a:5:{s:5:\"label\";s:19:\"vehicle information\";s:6:\"weight\";s:1:\"8\";s:8:\"children\";a:1:{i:0;s:17:\"group_infor_inner\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:19:\"vehicle information\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:27:\"group-infor field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"1\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(4,'group_data|node|products|default','group_data','node','products','default','group_informations','a:5:{s:5:\"label\";s:20:\"Group about the data\";s:6:\"weight\";s:1:\"9\";s:8:\"children\";a:1:{i:0;s:16:\"group_data_inner\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:20:\"Group about the data\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:26:\"group-data field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"1\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(5,'group_infor_inner|node|products|default','group_infor_inner','node','products','default','group_infor','a:5:{s:5:\"label\";s:17:\"Group infor inner\";s:6:\"weight\";s:2:\"13\";s:8:\"children\";a:4:{i:0;s:14:\"field_features\";i:1;s:21:\"field_interior_design\";i:2;s:12:\"field_safety\";i:3;s:13:\"field_comfort\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:17:\"Group infor inner\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:33:\"group-infor-inner field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(6,'group_data_inner|node|products|default','group_data_inner','node','products','default','group_data','a:5:{s:5:\"label\";s:16:\"Group data inner\";s:6:\"weight\";s:2:\"16\";s:8:\"children\";a:1:{i:0;s:4:\"body\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:16:\"Group data inner\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:32:\"group-data-inner field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(7,'group_summary|node|products|teaser','group_summary','node','products','teaser','','a:5:{s:5:\"label\";s:13:\"Group summary\";s:6:\"weight\";s:1:\"2\";s:8:\"children\";a:3:{i:0;s:28:\"field_co2_emissions_g_100km_\";i:1;s:32:\"field_fuel_consumption_combined_\";i:2;s:21:\"field_top_speed_km_h_\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:13:\"Group summary\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:29:\"group-summary field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}');
/*!40000 ALTER TABLE `field_group` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_body`
--

DROP TABLE IF EXISTS `field_revision_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_body`
--

LOCK TABLES `field_revision_body` WRITE;
/*!40000 ALTER TABLE `field_revision_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_body` VALUES ('node','faq',0,1,1,'und',0,'Maecenas ultricies libero sit amet libero varius, at malesuada nulla condimentum. Donec ullamcorper, augue in facilisis lacinia, est lectus adipiscing turpis, euismod tincidunt arcu enim sagittis nisl. Sed pretium nisi a semper lobortis. Proin tempus facilisis nisl. Praesent sit amet risus metus. Nunc dictum ipsum quis purus eleifend molestie? Donec quam nulla, ultricies a facilisis porttitor, imperdiet vel metus. Curabitur faucibus tortor vel commodo accumsan! Sed vitae commodo tellus, a fermentum mauris. Aenean nisi leo, posuere et adipiscing eu, varius ut tortor. Donec ac adipiscing sem, non fringilla dui. Nullam ac fringilla nibh; in malesuada felis. Sed tempus lacinia consectetur. Vestibulum sagittis nulla luctus commodo lobortis? Morbi sed risus varius, feugiat risus nec, luctus sem.\r\n\r\nInterdum et malesuada fames ac ante ipsum primis in faucibus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vestibulum pretium ipsum vitae erat tempor, in viverra velit cursus. Vestibulum porttitor eu dui vel iaculis. Aliquam dapibus orci ante, sed porta massa placerat vel. Aenean rutrum lectus sit amet tellus tincidunt, sed condimentum sapien aliquet. Praesent fringilla cras amet.\r\n','','filtered_html'),('node','faq',0,2,2,'und',0,'Pellentesque nisl enim, viverra nec adipiscing quis; tincidunt at sem. Donec eu suscipit velit. Donec sollicitudin nibh a dui bibendum lacinia? Vivamus fringilla velit augue; nec viverra mauris consectetur a. Nam faucibus dolor vitae dictum rhoncus. Ut nisi libero, fringilla sollicitudin eros ut; cursus condimentum nulla. Sed pharetra gravida odio non pharetra? Phasellus scelerisque justo ipsum, eget tempus urna semper gravida. Maecenas non risus iaculis, suscipit neque eu, tempus sapien.\r\n\r\nVestibulum viverra est sit amet lacus vulputate gravida. Praesent facilisis imperdiet elit, sed dapibus urna viverra at. Cras ac sem tellus. In hac habitasse platea dictumst. Mauris augue ante, sollicitudin nec bibendum a, facilisis sed leo. Nulla iaculis neque nec nulla pellentesque, et sollicitudin metus imperdiet. Fusce porta, quam scelerisque pretium lacinia, dolor urna luctus libero, nec sodales leo tortor id erat. Integer mauris urna, pellentesque in lacinia non, commodo vel elit. Pellentesque purus augue, elementum euismod facilisis at, suscipit vitae ligula.\r\n\r\nNam auctor rhoncus consequat. Curabitur pretium sodales nulla, quis dignissim sapien eleifend in! Aliquam erat volutpat. Etiam posuere.\r\n','','filtered_html'),('node','faq',0,3,3,'und',0,'Integer pulvinar tempor tortor. Nam faucibus dolor ac odio iaculis tempor. Fusce consequat, elit eu venenatis molestie, justo enim tempor erat, vitae dictum nisl dolor sed mauris. Nulla vehicula cursus justo, ut suscipit libero mattis non? Maecenas consequat quam et diam luctus blandit. Vestibulum hendrerit, augue elementum vulputate egestas, ipsum ligula porttitor felis, tempus porttitor nisl arcu id lorem? Vestibulum condimentum justo ut urna rutrum, eu cursus tortor lacinia? Nunc id sapien a odio venenatis dictum. Fusce a suscipit dolor. Vestibulum non tortor convallis nisl sollicitudin tempor sed id eros! Maecenas semper velit ut nisi pretium adipiscing. Donec ac porttitor arcu, id luctus felis? Proin sagittis viverra dolor quis fringilla! Donec id eros iaculis, dignissim metus vel, suscipit nisi. Integer aliquam purus nisl, id lacinia nisi laoreet sed. Fusce nec interdum nisl.\r\n\r\nNunc sit amet turpis nisi. Proin luctus mauris a mi auctor, at ultricies neque pellentesque. In erat arcu, accumsan et suscipit in, ullamcorper in sapien. Vestibulum at quam rhoncus, pretium dolor at; pretium ante! Morbi tincidunt, ligula vitae elementum ultrices, diam odio lobortis eros, nec ultrices id.\r\n','','filtered_html'),('node','faq',0,4,4,'und',0,'Nullam id sagittis augue. Nunc vel hendrerit nulla, pretium fringilla purus! Donec vel augue dictum, condimentum neque in, pellentesque sem. Aliquam erat volutpat. Curabitur sodales mi felis, vel rhoncus sem tristique ut. Donec in tellus vehicula, mattis odio a, facilisis magna. Cras tincidunt odio in dui porttitor volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris egestas blandit feugiat.\r\n\r\nPraesent mattis gravida nulla. Aliquam id porttitor diam. Vivamus varius volutpat mi in cursus. Fusce suscipit porttitor tellus; eu varius sapien hendrerit a. Nunc sodales purus at laoreet placerat. Etiam vulputate justo nisl. Vestibulum egestas neque id ante dictum tristique? Quisque mauris magna, tincidunt blandit leo eget, porttitor varius metus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In et arcu magna? In augue massa, tempus quis convallis in, adipiscing eu diam. Aliquam sodales sapien at sem elementum viverra sit amet vitae felis. Integer ut tellus ut ligula aliquam mattis. Nunc id orci felis. Sed pellentesque volutpat dolor non consequat! Vestibulum blandit ornare augue non orci aliquam.\r\n','','filtered_html'),('node','faq',0,5,5,'und',0,'Integer et enim eget mauris tincidunt eleifend ultricies a dolor. Nulla dolor purus, convallis sed erat sed, accumsan vehicula orci? Praesent in eros velit. Suspendisse imperdiet venenatis metus, at consequat risus facilisis ut. Ut auctor commodo ligula, a congue neque rhoncus vitae. Fusce sit amet diam elementum, sagittis sapien et, bibendum libero. Sed eget lectus porttitor dui feugiat facilisis vitae non urna. Ut dictum, elit et rutrum interdum, purus ligula mollis nisl, sagittis pulvinar dolor lorem quis massa.\r\n\r\nVivamus venenatis, augue id dictum vulputate, nibh nulla mollis sapien, vel faucibus ligula purus eleifend nulla. Ut id lectus ac ipsum viverra elementum sed eu mi! Praesent ullamcorper iaculis mi, quis faucibus ligula. Interdum et malesuada fames ac ante ipsum primis in faucibus. Aenean dignissim rhoncus egestas. Aliquam eleifend, enim eget pulvinar vehicula, tortor sem ullamcorper neque, ut congue diam lacus a justo! Quisque nec est cursus, mollis urna id; suscipit nisi.\r\n\r\nIn hac habitasse platea dictumst. Morbi et ultricies dui. Aenean tincidunt augue id ipsum gravida semper? Praesent iaculis dui ut justo lobortis ornare. Nunc tempus mi eget posuere condimentum? Nunc sed.\r\n','','filtered_html'),('node','faq',0,6,6,'und',0,'Donec sit amet lorem vel nibh mattis varius. Mauris dui erat; interdum nec metus non, venenatis mattis sem. Vestibulum ac elit lacinia nisi molestie aliquet. Quisque dictum tellus in tortor bibendum tempor. Donec augue lectus, lobortis ac malesuada nec, ultricies in turpis! Nunc semper nunc eu mi placerat, eu consequat nulla congue? Pellentesque nibh dui, placerat nec mattis et; lacinia eu felis. Ut tempor libero mi. Morbi pellentesque, metus vel tempor egestas, augue neque malesuada mauris; pretium sollicitudin magna velit id risus. Nam accumsan ipsum nec orci consequat, at venenatis quam vulputate. Etiam vestibulum magna nec iaculis rhoncus.\r\n\r\nDuis scelerisque vel elit id vulputate. Maecenas imperdiet porttitor justo vitae tempor. Cras rutrum justo eu malesuada fermentum. Duis in tortor non leo commodo aliquet viverra non massa! Curabitur a turpis elit. Nulla vel nulla sed sapien lobortis lacinia. Nunc posuere tortor ac aliquet semper. Nunc consequat rutrum odio, non pretium urna feugiat sed. Curabitur suscipit lorem a odio convallis elementum. Nulla pretium dolor a est venenatis mollis! Nulla facilisi. Donec sit amet sollicitudin risus, eget ultricies dui. Vestibulum vehicula amet.\r\n','','filtered_html'),('node','blog',0,7,7,'und',0,'Nunc urna arcu, sagittis in dapibus ac, malesuada vitae odio. Integer iaculis diam vulputate purus mollis, vel dictum magna semper. Cras nec ligula facilisis, cursus purus sed, adipiscing augue. Phasellus massa felis, mattis a dolor a, tempor tempus eros? Integer id blandit leo; non fringilla massa. Curabitur lobortis euismod dui, a vestibulum ante vestibulum ac! Vestibulum facilisis molestie tincidunt. Pellentesque porttitor fringilla ante. In quis elit eget augue viverra auctor sit amet et ligula. Quisque ullamcorper leo sit amet libero aliquet sodales. Fusce faucibus, dui non iaculis dignissim, diam quam cursus arcu, sit amet interdum tellus urna eget elit. Quisque magna nisi, rutrum at erat quis, imperdiet consequat dui. Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed at ultricies libero. In pharetra est felis, non pretium tellus vulputate non.\r\n\r\nMauris orci orci, sagittis at hendrerit non, pharetra vel velit! Fusce suscipit rhoncus accumsan! Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed vitae sem elementum, dapibus felis nec, laoreet sapien? Praesent lectus metus, consequat id varius id, tincidunt nec ipsum. Nullam suscipit nisi non justo posuere.\r\n','','filtered_html'),('node','blog',0,8,8,'und',0,'Nunc lobortis faucibus ante eget vehicula. Nullam porta ipsum eget tincidunt suscipit. Proin a sapien in enim consequat gravida nec in nulla. Aliquam ornare tellus velit. Curabitur aliquet enim enim, ac volutpat metus tempor ac. Integer libero justo; condimentum quis felis ac, sagittis fringilla risus. Sed egestas, sapien eu vestibulum molestie, tellus nisl feugiat urna; et ultrices ante enim quis quam!\r\n\r\nPhasellus bibendum turpis ac lacus fringilla lacinia! Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed mollis felis a diam dignissim, a aliquam nibh tempor. Sed in eleifend mi. Vivamus ut mollis neque? Praesent eget ante nibh. Phasellus in tellus vel nunc ullamcorper hendrerit a vitae dui?\r\n\r\nDuis rhoncus diam eu feugiat luctus. Quisque et ipsum tellus. Sed ac sapien magna. Vestibulum sed nunc ut tortor euismod aliquet. Suspendisse cursus consectetur dictum. Vivamus non lectus eu felis fermentum pellentesque! Aenean egestas, velit sed dignissim viverra, tortor nisi varius felis, vitae adipiscing velit orci in lorem. Nam ac nunc commodo, suscipit ante quis; porta tortor. Pellentesque accumsan enim at ipsum imperdiet, a pulvinar ligula amet.\r\n','','filtered_html'),('node','blog',0,9,9,'und',0,'Suspendisse eleifend semper nunc venenatis euismod. Vestibulum laoreet nec purus ac mattis? Sed fringilla gravida pharetra. Curabitur sollicitudin turpis at elit pretium luctus eget at lorem. Ut scelerisque felis in placerat consectetur! Maecenas tempus ullamcorper lacus, nec ullamcorper enim. Aliquam in congue mauris. Integer elementum eros eu sagittis imperdiet. Fusce nisi nisl, dictum sed convallis vel, placerat non nisl. Donec fermentum nunc ut eros vulputate mattis. Pellentesque ut hendrerit nisl. Cras laoreet elit in dictum mattis. Ut pharetra sem id suscipit eleifend.\r\n\r\nClass aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec varius velit ante, in feugiat mi viverra ac! Sed dui lectus, faucibus vitae varius vitae, pretium sit amet diam. Integer suscipit mollis magna, id bibendum purus elementum quis? Nunc luctus ligula erat, vel dignissim diam congue in. Aenean arcu sapien, viverra vestibulum felis sed, semper elementum turpis. Quisque iaculis nunc quis leo hendrerit scelerisque. Pellentesque varius ligula vitae libero ultricies, et volutpat dolor ultricies. Vestibulum vulputate nisi quam, nec imperdiet augue sollicitudin sed. Proin sed.\r\n','','filtered_html'),('node','blog',0,10,10,'und',0,'Nam condimentum feugiat massa, non elementum velit ullamcorper non. Curabitur accumsan, metus eu posuere luctus; lorem ipsum mattis erat, vel fermentum dui diam id lectus. Vestibulum suscipit dolor id facilisis blandit. Donec purus enim, bibendum non malesuada consectetur, consequat vel risus! Suspendisse dapibus elementum adipiscing. Donec in orci felis. Fusce eu facilisis libero, eget volutpat libero. Aenean et luctus erat? Maecenas facilisis nisl ut ante lobortis, at mollis mauris tristique.\r\n\r\nUt eu urna augue. Morbi at lectus vitae velit iaculis posuere. Vivamus nec pulvinar sem. Vestibulum at semper lorem! Duis posuere tortor at enim tempor, id viverra dolor varius. Donec eget turpis sapien. Vestibulum ultrices, erat quis tristique tincidunt, nisi arcu porttitor justo; sit amet mattis ante ante at nibh! Integer non consectetur ipsum, id laoreet mi. Curabitur venenatis eleifend sem, tincidunt vestibulum purus dignissim a. Fusce commodo ipsum ligula, a porta nunc fringilla ut. Vestibulum egestas metus neque, in viverra orci dignissim vitae. Mauris eleifend sed nisl in imperdiet.\r\n\r\nNunc convallis luctus orci, a rutrum est suscipit sed. Praesent in rutrum ipsum, condimentum turpis duis.\r\n','','filtered_html'),('node','blog',0,11,11,'und',0,'Donec sagittis accumsan dolor vitae cursus. Morbi condimentum tempor mi, vel porttitor elit porttitor ac! Nam sed ligula ut turpis mattis bibendum ut et sapien. Donec blandit est quis auctor fermentum. Curabitur massa libero, aliquet eget enim id, pharetra aliquet augue. Pellentesque dictum molestie porttitor. Suspendisse tincidunt interdum lobortis. Duis at lacus in metus bibendum volutpat. Aenean velit dolor, rhoncus ac arcu in, porta auctor nisi. Donec auctor hendrerit metus ac blandit. Aliquam fringilla metus id mi congue interdum. Phasellus nec ligula interdum, venenatis neque nec, consectetur eros! Fusce pretium dui vitae adipiscing mollis!\r\n\r\nVestibulum eu est imperdiet nulla bibendum venenatis sit amet ut eros! Suspendisse dui arcu, consequat sed nulla sit amet, aliquet pellentesque arcu. Etiam malesuada nulla quis imperdiet volutpat. Duis mollis risus quis lectus volutpat, id luctus urna pellentesque. Proin sodales lorem et dui molestie, sit amet feugiat neque aliquet. Phasellus volutpat cursus turpis, at mattis risus venenatis id. Vivamus porttitor nisl non sapien lobortis vulputate a in magna! Curabitur sed lorem vulputate, sollicitudin orci eget, lobortis dolor. Mauris sed.\r\n','','filtered_html'),('node','article',0,12,12,'und',0,'									<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n','','full_html'),('node','article',0,13,13,'und',0,'Nunc laoreet convallis faucibus! Sed eget mi tortor. Proin commodo ultricies posuere. Quisque nec pellentesque turpis. Etiam tellus sapien, auctor in turpis quis, bibendum facilisis quam. Pellentesque fermentum nunc consectetur sagittis iaculis. Vestibulum egestas, turpis vestibulum consectetur feugiat, neque purus cursus purus, sit amet placerat lectus sapien eu nisi. Aliquam ac commodo magna. Maecenas porttitor non diam ut ultrices! Praesent dui elit, dapibus quis convallis nec, congue vitae metus. Aenean eleifend orci quam; elementum mollis quam rutrum ac! Quisque volutpat scelerisque dui vel tempus. Duis iaculis est ut velit blandit pharetra. Nulla facilisi. Nulla metus lacus, ultrices eu sapien vel, pretium dictum mauris? Etiam porta leo et lacus egestas, a dapibus tortor bibendum.\r\n\r\nSed ultrices quam vitae erat interdum, ut tempus enim commodo. Phasellus neque dolor, semper congue rutrum vitae, ornare eget est. Nam ut commodo lacus, id volutpat elit. Praesent tincidunt porta dolor, eget dictum mauris tempor et. Nullam vitae pellentesque ipsum. Curabitur ut lobortis ligula. Fusce ut sollicitudin felis. Donec eget justo laoreet, rutrum orci lobortis, vehicula augue. Sed non metus.\r\n','','filtered_html'),('node','article',0,14,14,'und',0,'Aliquam eget viverra nibh, vel aliquet erat. Ut tincidunt cursus arcu nec lobortis? Morbi rhoncus, sem convallis semper auctor, mauris risus scelerisque sem, vel molestie velit ipsum ut elit. Nullam vel congue nunc, eget scelerisque augue! Sed auctor consectetur varius. Vivamus vel augue auctor, convallis diam eget, cursus mi. Phasellus feugiat justo ipsum, vitae rhoncus leo ullamcorper sed.\r\n\r\nPhasellus et justo sit amet mauris viverra semper. Cras sed auctor mauris. Duis ultrices, ante a condimentum ornare, dui nisl malesuada dui, ac blandit mi urna quis turpis. Praesent aliquam sed massa nec viverra. Vivamus at imperdiet elit, at imperdiet tortor. Sed luctus dui id dolor tempus, ac condimentum urna cursus. Mauris hendrerit interdum lorem ut lobortis. Sed rutrum, erat at sollicitudin placerat, est eros fermentum tortor, vel ornare odio diam sit amet ligula. Phasellus pretium dictum accumsan. Curabitur ac urna non libero porttitor ullamcorper.\r\n\r\nCras tempus, turpis sed mattis ullamcorper, velit urna dictum est, eu consequat ipsum mauris eu quam. Mauris tortor turpis, elementum facilisis ornare imperdiet, aliquam lacinia urna. Donec malesuada suscipit sodales. Curabitur tempus elit metus.\r\n','','filtered_html'),('node','article',0,15,15,'und',0,'Nunc laoreet erat eu risus vestibulum, laoreet venenatis odio semper. Quisque ac hendrerit mauris, vitae aliquam nulla! Ut tempor dapibus eros quis laoreet. Quisque a feugiat eros! Sed et auctor eros. Duis tincidunt sed purus nec tincidunt. Fusce sollicitudin sodales augue, sit amet faucibus velit blandit et. Fusce malesuada commodo ullamcorper! Aenean laoreet consequat risus, nec placerat nunc tristique at. Duis tincidunt risus id nisi pharetra vestibulum. Donec lobortis nisl ac mauris rutrum, in vestibulum ante rutrum. Etiam at est et odio bibendum semper eget in lorem. Vivamus consectetur neque vel feugiat vulputate. Integer venenatis volutpat nibh vitae ultricies. Vestibulum hendrerit orci ligula, at lobortis turpis faucibus eget? Fusce bibendum, turpis sit amet porta interdum, augue tellus lacinia sapien, et elementum arcu dui id lorem!\r\n\r\nAliquam fermentum nibh id metus pellentesque, non interdum orci eleifend. Pellentesque sed commodo velit. Vivamus eget metus hendrerit, mattis sapien sit amet, faucibus nisi. Nullam mattis eleifend eros; vel placerat sem porttitor et? Aliquam nec ipsum vitae eros egestas mollis. Nam aliquet et enim sit amet molestie. Aliquam sollicitudin nullam.\r\n','','filtered_html'),('node','article',0,16,16,'und',0,'Nullam magna elit; tempus a tincidunt nec, cursus vitae nibh. Mauris turpis nisl, pulvinar sed pulvinar non, tristique in libero. In euismod consectetur tellus, et ultricies elit cursus nec! Quisque consectetur arcu non libero cursus, vel consequat lacus sollicitudin. Suspendisse sollicitudin orci vel bibendum laoreet. Cras interdum tincidunt pharetra? Vivamus volutpat nunc at augue tincidunt, sed facilisis est molestie. Suspendisse pharetra adipiscing massa, eu scelerisque nisl tincidunt ac. Morbi lobortis vitae erat quis egestas. Vestibulum et interdum enim. Quisque luctus blandit nunc sit amet condimentum.\r\n\r\nDuis ultrices enim at interdum egestas. Ut lacinia urna mauris, in volutpat quam tristique quis. Duis laoreet neque vel lorem venenatis, vitae faucibus sapien volutpat. Ut interdum augue eu mattis scelerisque. In mattis varius facilisis. Ut ac enim sapien. Duis blandit, tortor nec ultricies viverra, erat est congue ligula, ut facilisis elit ipsum in enim. Nulla sodales mauris a arcu viverra feugiat! Ut ut porta sapien. Curabitur fringilla ut magna et ullamcorper. Mauris placerat est dolor, at tincidunt tellus convallis a. Proin tortor dolor; tristique a diam sit amet cras amet.\r\n','','filtered_html'),('node','page',0,17,17,'und',0,'<h3 class=\"who-we-are\">Who we are</h3>\r\n<p>Quisque at diam sed velit consequat adipiscing et at dolor? Praesent sollicitudin consequat porttitor. Sed at semper tellus, in dapibus tellus. Maecenas sodales nulla faucibus, accumsan elit ac, pharetra metus. Praesent hendrerit purus a neque iaculis commodo. Nullam consequat eros porttitor velit placerat rutrum. Cras vulputate in dolor at dapibus. Phasellus non ornare leo. Maecenas id facilisis justo, id lobortis dui. Duis suscipit; justo in venenatis rhoncus, lacus lectus suscipit est, a sagittis justo tellus ut dui. Curabitur eget felis id eros commodo placerat ut in neque.</p>\r\n\r\n<p>Praesent pellentesque tellus dui; id iaculis sem venenatis ac. Vestibulum ipsum ante, bibendum vel nunc a, malesuada faucibus tortor. Curabitur eu sem a enim faucibus euismod. Phasellus adipiscing orci erat; eu vehicula quam mattis quis. Donec pulvinar scelerisque eros in pulvinar. Proin eu urna elementum; sodales lacus non, aliquet magna. Curabitur sed lacinia elit, in aliquet magna! Proin rhoncus ante vitae faucibus iaculis. Curabitur adipiscing quam vitae ante ultricies, sit amet ultricies nulla pulvinar. Vestibulum varius orci eget lorem porta, in viverra neque posuere? Donec et scelerisque massa? Sed id.</p>\r\n\r\n<img class=\"img-about\" alt=\"image about\" src=\"<?php print base_path();?><?php print path_to_theme();?>/images/about-us.png\"/>','','php_code'),('node','services',0,19,19,'und',0,'Phasellus orci sapien, sollicitudin non interdum vel, vehicula nec risus. Nunc sodales leo vel pretium blandit. Donec porttitor ut libero vitae rutrum. Maecenas lorem ligula, pretium sed erat sit amet, luctus ultricies lectus. Curabitur venenatis luctus erat et tristique. Curabitur elementum, velit gravida consequat suscipit, augue nibh dapibus dolor, et facilisis sapien massa sed est. Cras et consequat leo.\r\n\r\nNam ac metus erat. Praesent blandit faucibus blandit. In ultricies rhoncus tortor vitae adipiscing. Mauris sed lacus sed lorem ullamcorper consequat nec ac leo. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nullam rhoncus consectetur tortor, non fermentum urna vestibulum id. Phasellus congue dignissim egestas. Quisque eget magna imperdiet, pulvinar neque non, euismod risus. Phasellus lacinia sem id sapien dictum, eu feugiat odio rhoncus. Praesent euismod urna egestas, consequat ante sed, sagittis lacus. Donec at metus vel orci aliquet suscipit at gravida mauris. Nunc hendrerit dui sed tortor tristique pharetra.\r\n\r\nMauris volutpat ante commodo eros iaculis condimentum. Duis sollicitudin mi quis velit luctus, sed ultricies purus posuere. Nulla eleifend libero vitae sodales ullamcorper. Suspendisse orci eros, consectetur id hendrerit non, tempus sed lorem. Suspendisse scelerisque, nisi vel egestas aliquet, massa turpis aliquet nunc, at imperdiet eros arcu vel nunc. Aenean consequat, tellus ut vulputate eleifend, turpis nisl egestas nisi, et mollis nulla odio eu enim. Donec a euismod odio. Curabitur lacinia dolor rhoncus sapien ultricies, sed laoreet mi tristique. Nulla in placerat leo. Quisque mattis lacus arcu. Morbi fringilla, diam sit amet commodo tempor, enim diam pulvinar ipsum, id aliquet felis nunc ac urna. Praesent elementum odio ac est dapibus pellentesque. Etiam ultricies varius aliquet. Quisque vitae porta neque, vel lacinia ligula.\r\n\r\nEtiam non ligula nec diam elementum vulputate sit amet id nunc. Suspendisse facilisis vestibulum adipiscing. Sed a nibh fermentum, ornare mi nec, cursus dolor. Pellentesque placerat, urna et sodales fermentum, leo metus molestie lacus, in aliquam quam erat in erat. Phasellus porttitor tincidunt purus, in varius tortor pellentesque eu. Phasellus bibendum, massa at sodales hendrerit, neque nunc sollicitudin lacus, a varius tellus purus id nisl. Quisque id est odio. Duis fringilla vitae leo ut porta. Etiam dictum accumsan malesuada.\r\n','','filtered_html'),('node','services',0,20,20,'und',0,'Nulla facilisi. Duis vitae varius justo, ac tristique dui. Vivamus rutrum elit libero, aliquet sagittis felis malesuada vitae. Vivamus massa dui, aliquet quis nisl vel, malesuada fermentum ligula. Fusce viverra lacinia nulla, sit amet euismod ligula tempus id. Nullam malesuada ultrices augue, eget fringilla nisi gravida vitae. In scelerisque nulla eget congue auctor. Vivamus vitae massa pharetra, sodales enim ac, commodo purus. Duis ut nibh eu tellus pretium cursus. Sed tempus porttitor scelerisque. Ut feugiat iaculis erat, in iaculis nisl porttitor sit amet. Nam molestie massa tincidunt arcu vestibulum interdum id et nunc. Duis ac lacus vel lacus sodales fringilla ullamcorper dignissim odio?\r\n\r\nMaecenas sed felis eros. Proin aliquam, diam a malesuada porttitor, sapien erat aliquam metus; ut hendrerit risus nunc gravida leo. Quisque feugiat aliquet convallis. Etiam scelerisque pulvinar lectus eget euismod. Fusce eu mauris odio. Mauris ante velit, vehicula ac libero sed; pulvinar cursus sem? Fusce blandit dolor quis magna venenatis elementum. Aenean arcu ante, viverra vitae urna ac, viverra commodo dui! In hac habitasse platea dictumst. Duis nec fringilla turpis! Nam egestas neque amet.\r\n','','filtered_html'),('node','services',0,21,21,'und',0,'Praesent adipiscing nibh mauris, eu accumsan diam adipiscing ut. Suspendisse potenti. Mauris auctor vulputate mattis. Fusce ullamcorper sagittis leo. Curabitur molestie purus a blandit convallis. Mauris ultricies a sem sed vestibulum. Praesent pellentesque malesuada dui vitae ultricies. Aliquam auctor vitae purus sed volutpat. Nam euismod rhoncus nisl. Morbi auctor lorem massa, sit amet aliquet tellus tristique a. Nullam sit amet arcu mollis, tincidunt magna a, venenatis eros. Vestibulum mollis neque sit amet massa feugiat ultrices. Vestibulum porta, diam tincidunt pretium euismod, augue libero tempor nisl, non dapibus nunc nisi in nulla. Vivamus accumsan nisi eu ipsum ultricies pretium. Phasellus egestas suscipit nisl et fermentum.\r\n\r\nDuis sodales tempor eros. Pellentesque fringilla gravida libero. Quisque interdum est nisi. Nam tristique tincidunt scelerisque. Curabitur interdum sapien ac mauris commodo luctus. Nunc at dignissim lorem. Ut sodales nisl vel hendrerit elementum. Fusce sed mauris ut massa cursus vulputate sed at ante. Donec a est nec erat ultricies aliquam quis sit amet arcu. Suspendisse ut sollicitudin dui! Mauris non facilisis nibh. Quisque luctus mollis ante a nullam.\r\n','','filtered_html'),('node','services',0,22,22,'und',0,'Nunc a pulvinar purus. Proin tincidunt sagittis est a accumsan. Maecenas vehicula, elit vel dapibus malesuada, est nulla viverra massa, a tincidunt purus neque sit amet urna! Suspendisse non mollis lacus. Nunc quis fermentum lectus. Sed vitae viverra diam! Duis bibendum purus libero, dapibus tempus ligula semper non! Praesent sed scelerisque elit. Vestibulum fringilla lacus id purus accumsan porta vel ac lacus! Praesent vel vulputate risus, quis pharetra felis. Nulla fermentum neque ut lacus sollicitudin, nec auctor nunc feugiat!\r\n\r\nCurabitur porttitor ante enim, id tincidunt nunc mattis ut. Etiam sollicitudin convallis dolor, ac iaculis dui viverra a? Donec viverra, massa a venenatis rhoncus, purus dolor mattis sapien, nec ornare est sapien quis sem. Donec pretium egestas tempus! Morbi auctor malesuada massa convallis auctor. Sed ut auctor quam, quis pulvinar ipsum. Fusce euismod ligula urna, ut tempus nisl feugiat vel. Etiam posuere nibh a odio pharetra mattis. Etiam feugiat dolor augue, ut facilisis orci adipiscing sit amet. Mauris velit arcu, hendrerit non feugiat quis, consectetur nec est. Nunc ante leo, imperdiet id risus eget, ornare malesuada libero. Fusce aliquet ipsum nullam.\r\n','','filtered_html'),('node','products',0,23,23,'und',0,'Phasellus id aliquam augue, a viverra elit! Phasellus eu cursus lectus. Etiam tristique consectetur dolor, in vestibulum mi fermentum quis? Donec dolor ipsum, facilisis quis neque quis, ultricies ultricies lorem. In hac habitasse platea dictumst. Proin cursus lorem nibh, ac aliquam enim pretium at! Duis a tincidunt ligula, pretium tincidunt eros. Proin pellentesque turpis metus, sed dictum magna commodo non. In vitae sollicitudin elit. Vestibulum porttitor est augue, ac ullamcorper tortor pellentesque id. Proin dapibus lorem augue, in tincidunt sapien fermentum et? Sed faucibus libero in dignissim pellentesque. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas vel posuere lorem. Nulla lacinia, metus quis euismod lacinia; ante mi semper nunc, a mollis nisi est sit amet erat? Suspendisse elementum malesuada feugiat.\r\n\r\nPellentesque adipiscing sed erat sit amet tincidunt. Integer faucibus semper velit. Donec neque eros; elementum id consequat ac, consequat eget dui. Aenean vel sem et lectus tempor euismod. Etiam condimentum, elit a mattis condimentum, odio dui tincidunt nunc, sed iaculis lacus est eu turpis. Suspendisse sollicitudin massa nunc.\r\n','Gran Turismo and Sport Prototype','filtered_html'),('node','products',0,25,25,'und',0,'Vestibulum congue massa et nunc sagittis malesuada. Cras blandit iaculis risus, a tristique ligula mollis vel. Donec et mi ante. Pellentesque porta pharetra orci, at interdum orci pellentesque ut? Suspendisse imperdiet hendrerit erat, lacinia mollis massa tempus a. Pellentesque quis ultricies nisi, eu condimentum ipsum. Nam at risus non dui faucibus sollicitudin. Nunc pharetra urna at suscipit tristique. Donec aliquam justo ac felis placerat, non pellentesque eros tincidunt. Donec placerat tincidunt facilisis! Cras scelerisque diam tellus, ac ultricies sem sollicitudin et.\r\n\r\nDuis congue diam a diam vehicula mollis. Donec sodales est tortor, quis porta nisl adipiscing lobortis. Phasellus gravida dui sit amet dolor lacinia, elementum tincidunt ante tempor. Mauris vitae ipsum nec mi porttitor dignissim ac non lorem. Vestibulum consectetur sapien non ipsum tincidunt suscipit. Morbi vulputate sapien ut leo lobortis, ac luctus diam mattis. Sed eleifend, sem sit amet pharetra aliquet, felis ligula vestibulum nisi; quis scelerisque est justo ac nisi. Cras vel ultricies leo. Vestibulum quam ipsum, rutrum quis ipsum at, porttitor suscipit metus. Pellentesque velit eros, dictum eu pharetra amet.\r\n','Gran Turismo and Sport Prototype','filtered_html'),('node','testimonials',0,26,26,'und',0,'Mauris iaculis vel nisl vitae mollis. Sed auctor, purus eget tempor dapibus, leo metus dapibus enim, in cursus mi arcu at elit. Maecenas lobortis ipsum sit amet felis molestie, interdum imperdiet nunc accumsan!','','filtered_html'),('node','testimonials',0,27,27,'und',0,'Etiam leo nisi, mattis sed semper vitae, dapibus et erat? Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.','','filtered_html'),('node','statistics',0,28,28,'und',0,'Nam a ullamcorper tortor. Curabitur sit amet dictum neque, vel consectetur ipsum. Quisque elementum eu ante non sodales. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam tempor; orci ut pulvinar interdum, est lacus mattis sapien, vehicula porttitor elit elit et libero. Fusce laoreet libero ipsum, non pretium quam tincidunt sit amet. Ut nec odio eget urna tincidunt tincidunt. Maecenas tortor arcu, ornare sit amet lobortis sit amet, suscipit eget libero. Phasellus posuere turpis non lectus volutpat, a mattis odio hendrerit. Vestibulum eget odio in augue pulvinar imperdiet. Pellentesque malesuada tortor sapien, ut sollicitudin erat facilisis vitae. Cras ac nisl adipiscing, interdum orci a, pharetra turpis. Phasellus facilisis leo nisl, non auctor massa cursus et. Vestibulum sit amet tempor arcu. Quisque ac urna luctus, interdum turpis eget, dignissim elit. Fusce quis nulla velit?\r\n\r\nDuis enim augue, rutrum eu arcu vel, elementum lobortis dui. Nam egestas sit amet nunc a bibendum! Fusce eget lectus a quam placerat semper quis lobortis magna. Aliquam tincidunt arcu ut augue adipiscing, eleifend varius mi laoreet. Vestibulum elementum; metus.\r\n','','filtered_html'),('node','statistics',0,29,29,'und',0,'Integer sodales nisi a justo egestas, eget malesuada nisi malesuada? Suspendisse quis massa et risus vulputate tincidunt. Donec at mauris quis risus porttitor aliquam vitae et magna. Vivamus lacus risus, aliquam nec tempor a, sagittis sit amet turpis. Quisque molestie, ante eget adipiscing rhoncus, eros diam bibendum arcu, sed pulvinar sapien odio non nisl. Nullam quis lorem metus. Quisque interdum dolor quis dignissim elementum. Integer sit amet pellentesque diam. Mauris a mauris quis mi ultrices venenatis. Mauris bibendum pretium erat eu posuere. Quisque sit amet felis id mauris porttitor elementum vitae ac dolor. Nullam semper, elit a venenatis sodales, mauris arcu dignissim lectus, eget venenatis tortor lectus ut mauris. Mauris id purus at massa aliquam viverra. Sed neque nunc; eleifend id tristique ac, dictum vitae erat. Duis malesuada nisi erat, a facilisis turpis congue id.\r\n\r\nUt dapibus semper sagittis. Phasellus id lacus sed tortor imperdiet cursus. Sed placerat venenatis purus; quis egestas elit euismod sed. Nulla facilisi. Proin id massa at justo vehicula consectetur! Phasellus arcu ligula, mollis eu vestibulum vel; blandit a justo. Pellentesque habitant morbi tristique sed.\r\n','','filtered_html'),('node','statistics',0,30,30,'und',0,'Nam ultrices libero vitae rhoncus hendrerit. Aenean risus dolor, pharetra tincidunt scelerisque vitae, dictum feugiat nisl. Etiam congue feugiat dui, vel interdum leo. Mauris consequat, massa eu ornare hendrerit, est massa aliquet ipsum, vitae fermentum ligula dolor sit amet lacus. Phasellus nibh elit, venenatis quis tincidunt quis, iaculis et augue. Mauris vel mollis odio. Vestibulum sapien libero, faucibus vitae tristique ut, cursus ac est. Suspendisse potenti. Nunc sit amet volutpat diam. In tempus pharetra nulla sed pretium! Cras pharetra, ligula pharetra fermentum ornare, erat magna interdum lorem, vel facilisis dui risus vitae nibh? Etiam rhoncus posuere ante vitae convallis. Nulla nec tellus ligula. Proin hendrerit malesuada vulputate. Vestibulum eget lacus blandit, tincidunt nunc pharetra, egestas mi?\r\n\r\nNam ut auctor quam; ut ultrices tortor. Nulla molestie elementum viverra. In turpis purus, consequat suscipit feugiat eget, interdum non felis. Ut ante quam, tincidunt dignissim nibh a, varius mattis quam. Nulla gravida ipsum consectetur enim pretium; vitae suscipit nisl eleifend. Nulla condimentum nisl orci; a laoreet quam interdum pretium. Curabitur eu tellus in magna nullam.\r\n','','filtered_html'),('node','statistics',0,31,31,'und',0,'Suspendisse ornare id ante eu tempus? Etiam imperdiet eleifend tortor, vel consequat nunc facilisis at. Donec porttitor gravida imperdiet. Morbi urna felis, vehicula sit amet urna sed, sodales luctus risus. Donec vitae massa convallis, hendrerit magna at, semper eros. Sed lobortis hendrerit tortor eu tristique! Pellentesque quis sapien vehicula, mattis nibh sit amet, pharetra urna. Pellentesque ac posuere diam. Sed ut mattis elit. Proin tincidunt consequat nibh id aliquet. Sed vulputate aliquam justo id consectetur? Curabitur luctus ornare posuere. Curabitur eu ipsum quis lectus porttitor tempus.\r\n\r\nMaecenas quis odio eu nisl pretium ornare non sit amet quam. Integer at tempor sapien. Nam elementum quis libero vel viverra. Fusce bibendum tellus eros, nec porttitor orci pretium dignissim. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas et ultricies est, sed pharetra risus. Aenean rhoncus eleifend sem, at interdum dolor lacinia vulputate. Nullam a lobortis lorem, nec faucibus massa! Donec vulputate, felis nec ornare sagittis, sem velit consectetur ligula, eu tempus ipsum sem eu justo. Fusce consequat ligula vitae augue bibendum, et ullamcorper sem suscipit posuere.\r\n','','filtered_html'),('node','dealers',0,32,32,'und',0,'Duis placerat tortor sit amet felis feugiat rhoncus. Integer ac suscipit metus. Maecenas consequat neque et leo suscipit varius. Duis eleifend adipiscing libero, vel malesuada ipsum. Sed quis neque interdum elit iaculis vehicula vitae nec lorem. Praesent lobortis lacinia purus. Donec molestie nisl turpis, aliquam rutrum sem faucibus convallis. Nullam tristique molestie nunc eget sagittis. Mauris vitae neque aliquet; facilisis odio in, lacinia ipsum. Suspendisse potenti. In odio tellus, tempus a lorem a, interdum pharetra sem? Sed consectetur felis eu urna tristique lobortis. Donec ultricies, purus id fringilla pellentesque, arcu dolor pellentesque orci, ut laoreet sem nibh vitae enim. Duis vulputate laoreet porta. Vivamus elementum augue ut arcu aliquet vulputate! Nam ultricies; sem ut pharetra consectetur, tortor mauris ullamcorper orci, nec blandit magna nunc sed nisi.\r\n\r\nNullam sem lorem, malesuada rhoncus accumsan ultrices, malesuada eu justo. Nam volutpat non arcu non volutpat. Sed venenatis lacus eu sapien imperdiet, id interdum lectus rutrum. Duis vestibulum mollis laoreet. Duis hendrerit libero ut lobortis sagittis. Vestibulum mauris elit, pharetra non nibh vel, cursus posuere.\r\n','','filtered_html'),('node','dealers',0,33,33,'und',0,'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nullam ultrices feugiat nunc, vitae tempus diam venenatis ut. Proin id odio placerat, dapibus risus in; rhoncus diam. Sed semper at dui ut fringilla. Nullam non vulputate nunc? \r\nIn sit amet nunc lectus. Nullam euismod fringilla ante, eget posuere mi convallis et. Aliquam quis sem metus! Etiam sodales, turpis at vestibulum commodo, mauris lorem mattis dolor, vitae imperdiet odio sapien vitae lectus. Sed quis metus mi. Suspendisse rhoncus eu velit sit amet blandit.\r\nNunc congue arcu dapibus, lobortis dui eu, porttitor enim. Vestibulum ullamcorper, erat in ultrices pellentesque, mauris ipsum egestas risus, eleifend mattis mi nunc vitae mi. Etiam in dignissim enim. Etiam in interdum diam. In tristique purus leo, consequat suscipit turpis blandit ut. Praesent viverra volutpat nulla sit amet feugiat. In vel blandit tortor. \r\nClass aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Phasellus erat mi, mollis tristique ante non, fermentum convallis libero. \r\nDonec nec suscipit magna. Sed euismod auctor ante, non consequat arcu rhoncus eget! Ut tincidunt turpis sit amet lacinia ullamcorper. Quisque ut velit eu arcu lobortis suscipit in sed turpis. Vivamus ante lorem, tempor tincidunt iaculis eu, tempor eu augue? Mauris magna justo; mollis ut hendrerit ac, malesuada a quam. In at fringilla ipsum.Phasellus ultrices bibendum leo a porttitor. Aliquam accumsan, dolor nec scelerisque auctor, diam dui consectetur ante, vitae tincidunt nisi velit id lacus. \r\n','Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nullam ultrices feugiat nunc, vitae tempus diam venenatis ut. Proin id odio placerat, dapibus risus in; rhoncus diam. Sed semper at dui ut fringilla. Nullam non vulputate nunc? ','filtered_html'),('node','dealers',0,34,34,'und',0,'Phasellus egestas tellus id leo pharetra dictum vel et justo. Integer blandit enim eget tortor fringilla convallis. Proin porttitor felis magna, at aliquam nisi pulvinar ac. Nullam dignissim congue ligula ac pulvinar. Praesent id tempus dolor. Nam ut fermentum magna. Mauris quis aliquet mauris, nec sollicitudin erat. Suspendisse potenti. Mauris quis accumsan tellus. Sed vel pretium diam! Morbi pellentesque tempor iaculis. Fusce imperdiet sapien id mi fermentum, sed lacinia mauris congue. Quisque suscipit vestibulum libero, sed tincidunt ipsum scelerisque eu. Maecenas et malesuada felis, a placerat felis. Nunc egestas lacinia libero a mattis. Quisque mollis elit erat, a mollis dolor luctus lacinia.\r\n\r\nEtiam vel magna velit. Proin ultrices blandit ultricies! Sed nibh nibh, laoreet eu cursus quis, pellentesque eget ligula. Nulla facilisi. Suspendisse ut leo tellus. Mauris laoreet elementum auctor. Nunc tempor dictum volutpat. Quisque nec dui nisl. Cras semper pretium turpis nec laoreet. Sed eget facilisis lorem! Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc non aliquam erat, quis gravida tortor. Suspendisse dolor arcu, lobortis eu nisl nec; fermentum scelerisque mi nullam.\r\n','Phasellus egestas tellus id leo pharetra dictum vel et justo. Integer blandit enim eget tortor fringilla convallis. Proin porttitor felis magna, at aliquam nisi pulvinar ac. Nullam dignissim congue ligula ac pulvinar. Praesent id tempus dolor. Nam ut fermentum magna. Mauris quis aliquet mauris, nec sollicitudin erat.','filtered_html'),('node','products',0,35,35,'und',0,'Duis sagittis molestie ipsum quis viverra. Sed pharetra euismod consequat. Vivamus vitae magna nisi. Ut rutrum in quam quis consequat.','Ferrari\'s folding hardtop GT','full_html'),('node','products',0,36,36,'und',0,'Proin adipiscing ipsum felis, quis pellentesque magna gravida non. Sed luctus vehicula tempor. Ut placerat egestas augue, vel accumsan enim pellentesque ac. Nulla non lorem suscipit, adipiscing odio vitae, suscipit odio. Nulla et bibendum diam. Etiam eget est turpis. Donec faucibus venenatis elit id lacinia. Suspendisse sit amet consequat ipsum, vitae tincidunt leo. Etiam elementum nibh in nibh tempor, vel aliquam metus bibendum. Praesent tempus risus vulputate est adipiscing pellentesque. Aliquam vel tristique metus. Morbi vehicula purus vitae nulla tempor fermentum. Nulla ac iaculis quam. Proin fermentum urna ipsum, in sagittis urna convallis nec. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae','','full_html'),('node','products',0,37,37,'und',0,'Proin adipiscing ipsum felis, quis pellentesque magna gravida non. Sed luctus vehicula tempor. Ut placerat egestas augue, vel accumsan enim pellentesque ac. Nulla non lorem suscipit, adipiscing odio vitae, suscipit odio. Nulla et bibendum diam. \r\n\r\nEtiam eget est turpis. Donec faucibus venenatis elit id lacinia. Suspendisse sit amet consequat ipsum, vitae tincidunt leo. Etiam elementum nibh in nibh tempor, vel aliquam metus bibendum. Praesent tempus risus vulputate est adipiscing pellentesque. Aliquam vel tristique metus. Morbi vehicula purus vitae nulla tempor fermentum. Nulla ac iaculis quam. Proin fermentum urna ipsum, in sagittis urna convallis nec. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;','','full_html'),('node','products',0,38,38,'und',0,'Nam enim nibh, sodales fringilla iaculis ac, luctus vitae risus. Integer rhoncus, elit vel adipiscing euismod, lacus enim mattis est, ut aliquet ante odio at ipsum. Mauris blandit, leo suscipit sagittis fringilla, ipsum ipsum semper magna, at luctus erat justo sed nisi. \r\n\r\nCras facilisis sit amet tellus ac aliquam. Nulla vitae varius mauris. Vestibulum interdum molestie felis, ut mollis augue consectetur ut. Nunc sodales dolor id viverra luctus. Aliquam erat volutpat. Integer faucibus et lacus in mollis. Morbi molestie tortor quis felis convallis, quis dapibus ipsum condimentum.','','full_html'),('node','products',0,39,39,'und',0,'Suspendisse suscipit orci adipiscing, mattis ipsum et, blandit magna. Suspendisse ac interdum sapien. Suspendisse eu egestas odio. Mauris posuere, nunc in feugiat venenatis, dui ipsum porttitor purus, a porta arcu tortor et erat. Morbi arcu nibh, viverra fringilla imperdiet sed, consequat ut sapien. \r\n\r\nNulla semper ullamcorper libero, sit amet ultrices enim viverra sed. Nulla tristique justo in pretium volutpat. Pellentesque eu tortor nec velit dapibus condimentum. Phasellus sit amet semper purus. Nulla iaculis, mi id feugiat feugiat, erat sapien vestibulum erat, rhoncus vulputate tellus massa et dui. Sed at enim consequat, hendrerit elit eu, hendrerit nisl. ','','full_html'),('node','products',0,40,40,'und',0,'Fusce varius urna non turpis sollicitudin, nec mattis arcu porttitor. Sed feugiat rhoncus odio tempor feugiat. Nulla ac consequat sapien. Fusce fringilla ligula vitae velit sollicitudin, nec pharetra massa sodales. Aenean quis rhoncus metus.\r\n\r\n Pellentesque et erat molestie, consectetur turpis ac, varius diam. Donec a tempus nulla, at interdum augue. Quisque tristique mauris in sagittis pharetra. Integer sed lacus sit amet lacus commodo bibendum id sit amet sem.','','full_html'),('node','products',0,41,41,'und',0,'Sed eu sollicitudin nulla. Cras porttitor tempor quam eu lacinia. Sed a elementum quam. Proin rhoncus nibh nibh, quis malesuada erat elementum rhoncus. Nam posuere turpis enim, ut mollis metus semper quis. Maecenas tempor id sapien et fringilla. Praesent sed est mi. Morbi viverra, libero non laoreet lobortis, dui augue fermentum diam, id pretium justo orci non urna. Vestibulum sit amet enim vel velit aliquet condimentum vel ut justo. Phasellus egestas orci sed ligula varius lacinia. Mauris eget lectus at nibh feugiat laoreet non in dui.','','full_html'),('node','products',0,42,42,'und',0,'Cras enim urna, fermentum eu imperdiet non, elementum id ipsum. Maecenas id diam nec odio facilisis tempor adipiscing condimentum magna. Donec molestie a purus in consectetur. Morbi ac pretium nibh, eget tempus elit. Integer lacinia tellus sed volutpat lobortis.\r\n\r\n Vestibulum convallis sed enim vel auctor. Proin elit ipsum, sodales ut vehicula eget, blandit et nisi. Ut a urna molestie, sagittis leo eget, volutpat urna. Duis tristique lectus eu massa bibendum lobortis. Etiam quam est, euismod accumsan vestibulum at, convallis vel massa. Duis aliquet, dolor non viverra ullamcorper, massa neque rhoncus nunc, ut convallis lorem metus vel urna. Suspendisse dignissim eget elit et congue.\r\n\r\nInteger vehicula auctor purus quis venenatis. Sed facilisis, nunc eu iaculis faucibus, quam nisl blandit odio, sit amet sollicitudin felis massa a lorem. Vivamus suscipit pulvinar orci sit amet fermentum. Pellentesque vel congue dui.','','full_html'),('node','products',0,43,43,'und',0,'In iaculis malesuada sapien, sed viverra velit euismod eu. Mauris non nisl ac nisl venenatis imperdiet. Nullam fermentum luctus fringilla. Sed malesuada sem a nisi lacinia facilisis pulvinar id lorem. Nulla nunc lacus, rhoncus in blandit non, euismod vitae ipsum. Mauris luctus dolor sit amet porttitor viverra. Donec consectetur, arcu eu dapibus sodales, dolor turpis tincidunt nulla, sed facilisis purus tellus non dui. Vivamus et magna eu nunc commodo hendrerit sed ac nulla.\r\n\r\nPhasellus quis lacinia neque. Nunc quis iaculis justo. Fusce elementum aliquam tellus, sed tristique nunc iaculis vitae. Aliquam erat volutpat. Curabitur vehicula eget mauris nec venenatis. Donec congue sem metus, non accumsan nisl consectetur eget. Duis ac cursus elit. Cras mollis, odio eget egestas pharetra, lorem eros semper risus, porta pretium magna quam at nisl. Maecenas aliquet sem in vehicula pellentesque. Nulla consequat, sapien eget dapibus luctus, tortor nulla egestas urna, eu dignissim risus dolor eget turpis. Fusce porttitor molestie rutrum. Vivamus blandit adipiscing neque. Proin dapibus porttitor massa ut vehicula. Aliquam erat volutpat.','','full_html'),('node','testimonials',0,44,44,'und',0,'Nulla quis orci auctor, sodales leo id, eleifend ante. Aliquam dapibus, nisl a tempor congue, leo mauris lacinia magna, ac faucibus elit lorem sit amet lectus. Aliquam erat volutpat. In fermentum velit orci, ut accumsan orci sodales vel. Vestibulum vehicula massa a risus egestas, tincidunt blandit massa posuere. Nullam vitae lacinia quam. Fusce eu rhoncus erat, ac fringilla nunc.','','filtered_html'),('node','article',0,45,45,'und',0,'Quisque rhoncus vitae purus ac luctus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus consequat tristique justo a fermentum. Aliquam egestas est eget neque malesuada, a pulvinar lectus facilisis. Aenean nec erat non lacus venenatis dapibus molestie vitae massa. Ut sodales mi ac imperdiet tristique. Fusce at enim ultrices, ullamcorper urna non, iaculis velit. Aliquam ac auctor elit. Aliquam eu eleifend purus. Duis vitae libero leo. Suspendisse posuere neque id fermentum porttitor. Sed pharetra lobortis sodales. Nunc luctus leo dapibus, mollis lectus sit amet, interdum lacus. Aliquam tempor dignissim dignissim. In fringilla, lectus in pellentesque mattis, neque urna vulputate ligula, ultricies ultricies sapien mauris eget diam. Integer accumsan eros magna, vel mollis tellus aliquam quis.','','full_html'),('node','page',0,48,48,'und',0,'<div class=\"weebpal-404-wrapper\">\r\n\r\n<p class=\"weebpal-404-emotion\"><i class=\"fa fa-frown-o\"></i></p>\r\n<p class=\"weebpal-404-text\">404</p>\r\n<p>Sorry but we couldn\'t find the page you are looking for. Please check to make sure you\'ve typed the URL correctly. You may also want to search for what you are looking for.</p>\r\n<p><a class=\"weebpal-return-back\" href=\"<?php echo url(); ?>\">RETURN TO HOME</a></p>\r\n\r\n</div>','','php_code');
/*!40000 ALTER TABLE `field_revision_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_comment_body`
--

DROP TABLE IF EXISTS `field_revision_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_comment_body`
--

LOCK TABLES `field_revision_comment_body` WRITE;
/*!40000 ALTER TABLE `field_revision_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article',0,1,1,'und',0,' porttitor faucibus tellus','filtered_html'),('comment','comment_node_article',0,2,2,'und',0,'Vivamus porttitor faucibus tellus','filtered_html'),('comment','comment_node_article',0,3,3,'und',0,'in sollicitudin enim erat id','filtered_html');
/*!40000 ALTER TABLE `field_revision_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_address`
--

DROP TABLE IF EXISTS `field_revision_field_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_address_country` varchar(2) DEFAULT '' COMMENT 'Two letter ISO country code of this address.',
  `field_address_administrative_area` varchar(255) DEFAULT '' COMMENT 'The administrative area of this address. (i.e. State/Province)',
  `field_address_sub_administrative_area` varchar(255) DEFAULT '' COMMENT 'The sub administrative area of this address.',
  `field_address_locality` varchar(255) DEFAULT '' COMMENT 'The locality of this address. (i.e. City)',
  `field_address_dependent_locality` varchar(255) DEFAULT '' COMMENT 'The dependent locality of this address.',
  `field_address_postal_code` varchar(255) DEFAULT '' COMMENT 'The postal code of this address.',
  `field_address_thoroughfare` varchar(255) DEFAULT '' COMMENT 'The thoroughfare of this address. (i.e. Street address)',
  `field_address_premise` varchar(255) DEFAULT '' COMMENT 'The premise of this address. (i.e. Apartment / Suite number)',
  `field_address_sub_premise` varchar(255) DEFAULT '' COMMENT 'The sub_premise of this address.',
  `field_address_organisation_name` varchar(255) DEFAULT '' COMMENT 'Contents of a primary OrganisationName element in the xNL XML.',
  `field_address_name_line` varchar(255) DEFAULT '' COMMENT 'Contents of a primary NameLine element in the xNL XML.',
  `field_address_first_name` varchar(255) DEFAULT '' COMMENT 'Contents of the FirstName element of a primary PersonName element in the xNL XML.',
  `field_address_last_name` varchar(255) DEFAULT '' COMMENT 'Contents of the LastName element of a primary PersonName element in the xNL XML.',
  `field_address_data` longtext COMMENT 'Additional data for this address.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 25 (field_address)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_address`
--

LOCK TABLES `field_revision_field_address` WRITE;
/*!40000 ALTER TABLE `field_revision_field_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_address` VALUES ('node','dealers',0,32,32,'und',0,'US','AZ',NULL,'New york',NULL,'84117','','',NULL,NULL,NULL,NULL,NULL,NULL),('node','dealers',0,33,33,'und',0,'US','CA',NULL,'Salt Lake',NULL,'84118','','',NULL,NULL,NULL,NULL,NULL,NULL),('node','dealers',0,34,34,'und',0,'US','',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('user','user',0,1,1,'und',0,'VN','',NULL,'',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL),('user','user',0,4,4,'und',0,'VN','',NULL,'',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL),('user','user',0,5,5,'und',0,'VN','',NULL,'',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL),('user','user',0,6,6,'und',0,'VN','',NULL,'',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `field_revision_field_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_brands`
--

DROP TABLE IF EXISTS `field_revision_field_brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_brands` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_brands_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_brands_tid` (`field_brands_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 7 (field_brands)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_brands`
--

LOCK TABLES `field_revision_field_brands` WRITE;
/*!40000 ALTER TABLE `field_revision_field_brands` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_brands` VALUES ('node','products',0,25,25,'und',0,14),('node','products',0,35,35,'und',0,15),('node','products',0,36,36,'und',0,13),('node','products',0,37,37,'und',0,15),('node','products',0,38,38,'und',0,21),('node','products',0,39,39,'und',0,26),('node','products',0,40,40,'und',0,25),('node','products',0,41,41,'und',0,16),('node','products',0,42,42,'und',0,24),('node','products',0,43,43,'und',0,20);
/*!40000 ALTER TABLE `field_revision_field_brands` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_categories`
--

DROP TABLE IF EXISTS `field_revision_field_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_categories_tid` (`field_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 8 (field_categories)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_categories`
--

LOCK TABLES `field_revision_field_categories` WRITE;
/*!40000 ALTER TABLE `field_revision_field_categories` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_categories` VALUES ('node','products',0,23,23,'und',0,9),('node','products',0,25,25,'und',0,7),('node','products',0,25,25,'und',1,9),('node','products',0,25,25,'und',2,8),('node','products',0,35,35,'und',0,6),('node','products',0,35,35,'und',1,7),('node','products',0,35,35,'und',2,9),('node','products',0,36,36,'und',0,7),('node','products',0,36,36,'und',1,9),('node','products',0,37,37,'und',0,7),('node','products',0,37,37,'und',1,9),('node','products',0,38,38,'und',0,6),('node','products',0,38,38,'und',1,7),('node','products',0,38,38,'und',2,9),('node','products',0,39,39,'und',0,9),('node','products',0,39,39,'und',1,8),('node','products',0,40,40,'und',0,6),('node','products',0,40,40,'und',1,7),('node','products',0,40,40,'und',2,9),('node','products',0,40,40,'und',3,8),('node','products',0,41,41,'und',0,6),('node','products',0,41,41,'und',1,7),('node','products',0,41,41,'und',2,9),('node','products',0,41,41,'und',3,8),('node','products',0,42,42,'und',0,6),('node','products',0,42,42,'und',1,7),('node','products',0,42,42,'und',2,9),('node','products',0,42,42,'und',3,8),('node','products',0,43,43,'und',0,6),('node','products',0,43,43,'und',1,7),('node','products',0,43,43,'und',2,9),('node','products',0,43,43,'und',3,8);
/*!40000 ALTER TABLE `field_revision_field_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_co2_emissions_g_100km_`
--

DROP TABLE IF EXISTS `field_revision_field_co2_emissions_g_100km_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_co2_emissions_g_100km_` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_co2_emissions_g_100km__value` varchar(255) DEFAULT NULL,
  `field_co2_emissions_g_100km__format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_co2_emissions_g_100km__format` (`field_co2_emissions_g_100km__format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 42 (field_co2...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_co2_emissions_g_100km_`
--

LOCK TABLES `field_revision_field_co2_emissions_g_100km_` WRITE;
/*!40000 ALTER TABLE `field_revision_field_co2_emissions_g_100km_` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_co2_emissions_g_100km_` VALUES ('node','products',0,23,23,'und',0,'198',NULL),('node','products',0,25,25,'und',0,'198',NULL),('node','products',0,35,35,'und',0,'198',NULL),('node','products',0,36,36,'und',0,'198',NULL),('node','products',0,37,37,'und',0,'198',NULL),('node','products',0,38,38,'und',0,'198',NULL),('node','products',0,39,39,'und',0,'198',NULL),('node','products',0,40,40,'und',0,'198',NULL),('node','products',0,41,41,'und',0,'198',NULL),('node','products',0,42,42,'und',0,'198',NULL),('node','products',0,43,43,'und',0,'198',NULL);
/*!40000 ALTER TABLE `field_revision_field_co2_emissions_g_100km_` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_colors`
--

DROP TABLE IF EXISTS `field_revision_field_colors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_colors` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_colors_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_colors_tid` (`field_colors_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 9 (field_colors)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_colors`
--

LOCK TABLES `field_revision_field_colors` WRITE;
/*!40000 ALTER TABLE `field_revision_field_colors` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_colors` VALUES ('node','products',0,25,25,'und',0,39),('node','products',0,35,35,'und',0,35),('node','products',0,36,36,'und',0,38),('node','products',0,37,37,'und',0,37),('node','products',0,38,38,'und',0,37),('node','products',0,39,39,'und',0,35),('node','products',0,40,40,'und',0,37),('node','products',0,41,41,'und',0,38),('node','products',0,42,42,'und',0,35),('node','products',0,43,43,'und',0,37);
/*!40000 ALTER TABLE `field_revision_field_colors` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_comfort`
--

DROP TABLE IF EXISTS `field_revision_field_comfort`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_comfort` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_comfort_value` longtext,
  `field_comfort_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_comfort_format` (`field_comfort_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 51 (field_comfort)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_comfort`
--

LOCK TABLES `field_revision_field_comfort` WRITE;
/*!40000 ALTER TABLE `field_revision_field_comfort` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_comfort` VALUES ('node','products',0,25,25,'und',0,'Maecenas at massa nec ante semper posuere. Integer lacinia velit metus, quis placerat augue ultricies eget. Vestibulum faucibus erat suscipit imperdiet imperdiet.',NULL),('node','products',0,35,35,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean sit amet varius sapien. Sed luctus mollis tellus et convallis. Pellentesque porta dapibus massa sit amet gravida. Pellentesque id lorem elementum, ultrices enim id, posuere nibh. Proin sagittis lacus vel molestie auctor.',NULL),('node','products',0,36,36,'und',0,'Nunc viverra lorem sit amet vehicula adipiscing. Ut quam justo, aliquet nec leo id, elementum volutpat est. Vivamus facilisis lobortis est, sed posuere quam adipiscing vitae.',NULL),('node','products',0,37,37,'und',0,'Nunc viverra lorem sit amet vehicula adipiscing. Ut quam justo, aliquet nec leo id, elementum volutpat est. Vivamus facilisis lobortis est, sed posuere quam adipiscing vitae.',NULL),('node','products',0,38,38,'und',0,'Mauris quis mi ipsum. Cras vehicula mi eget malesuada ornare. Morbi id ultricies nisi. Maecenas quis pharetra nulla. Pellentesque enim ante, lacinia vel ligula eget, malesuada dictum urna. ',NULL),('node','products',0,39,39,'und',0,'Donec consectetur ipsum eget diam porta tincidunt. Suspendisse feugiat lacus at laoreet euismod. Nunc vulputate ante at felis auctor feugiat. Duis quam lorem, fermentum sed mi ac, sollicitudin gravida leo.',NULL),('node','products',0,40,40,'und',0,'Nam facilisis nibh nec eleifend sagittis. Ut pulvinar lectus malesuada lacus dignissim, eu vehicula metus vestibulum. Donec non dolor viverra, porttitor est eget, vulputate nulla.',NULL),('node','products',0,41,41,'und',0,'Maecenas elementum semper risus, nec euismod purus tincidunt vitae. In semper iaculis aliquet. Morbi pulvinar varius arcu, a congue purus condimentum ac.',NULL),('node','products',0,42,42,'und',0,'Fusce posuere laoreet nisl id sagittis. Morbi eget aliquam ligula. Aliquam erat volutpat. Nunc vitae lacinia nulla. Aenean mollis quam in tortor consequat tempor.',NULL),('node','products',0,43,43,'und',0,'Vivamus tempor vehicula bibendum. Cras eleifend porta eros, sed pharetra eros. Mauris pellentesque mattis lorem, in scelerisque quam consequat non. Sed luctus nisi nulla, non rhoncus nisl vulputate at.',NULL);
/*!40000 ALTER TABLE `field_revision_field_comfort` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_counter`
--

DROP TABLE IF EXISTS `field_revision_field_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_counter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_counter_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 19 (field_counter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_counter`
--

LOCK TABLES `field_revision_field_counter` WRITE;
/*!40000 ALTER TABLE `field_revision_field_counter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_counter` VALUES ('node','statistics',0,28,28,'und',0,5670),('node','statistics',0,29,29,'und',0,43256),('node','statistics',0,30,30,'und',0,350),('node','statistics',0,31,31,'und',0,150);
/*!40000 ALTER TABLE `field_revision_field_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_description`
--

DROP TABLE IF EXISTS `field_revision_field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext,
  `field_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 33 (field_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_description`
--

LOCK TABLES `field_revision_field_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_description` VALUES ('field_collection_item','field_simple_field',0,1,1,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,1,11,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,1,15,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,1,19,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,1,23,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,1,27,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,1,31,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,1,35,'und',0,'Mauris molestie fermentum iaculis. Proin auctor venenatis turpis nec vulputate. Cras a rutrum erat, in mattis nisl. In hendrerit velit ut ante aliquet, ut ornare leo faucibus. Quisque eros magna; consectetur sit amet nulla eget, lacinia semper odio. Sed eu hendrerit nisl, sed pretium elit. Cras sed.\r\n',NULL),('field_collection_item','field_simple_field',0,2,2,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,2,12,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,2,16,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,2,20,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,2,24,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,2,28,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,2,32,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,2,36,'und',0,'Proin iaculis dignissim varius. Vestibulum fringilla facilisis ultrices. Proin magna purus, mollis id faucibus eu, faucibus id enim. Donec malesuada quis felis a dictum. Etiam convallis, felis quis pulvinar adipiscing, erat ligula varius arcu, sed placerat mauris metus eu diam. Quisque magna nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,3,3,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,3,13,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,3,17,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,3,21,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,3,25,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,3,29,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,3,33,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,3,37,'und',0,'Vestibulum nulla massa, venenatis ut dolor a; fermentum rhoncus turpis. Praesent vitae sodales nulla, id vestibulum eros. Vivamus condimentum nunc tincidunt libero placerat sodales! Integer venenatis, mi sit amet accumsan commodo; nulla dui aliquet augue, non posuere est diam eu arcu. Integer metus.\r\n',NULL),('field_collection_item','field_simple_field',0,4,4,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,4,14,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,4,18,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,4,22,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,4,26,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,4,30,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,4,34,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,4,38,'und',0,'Nullam dapibus quam nunc, posuere feugiat lectus rhoncus eu. Curabitur condimentum diam mi, quis placerat neque dignissim scelerisque? Fusce at orci turpis. Donec placerat dui tincidunt nulla eleifend ultrices. Suspendisse vitae faucibus sapien. Cras vitae dui elit. Vestibulum non accumsan volutpat.\r\n',NULL),('field_collection_item','field_simple_field',0,5,5,'und',0,'Etiam augue eros, rutrum nec tortor ut, pellentesque lobortis sem. Sed euismod quis ante vitae facilisis? Donec tellus magna, pretium vel suscipit nec, tempus eget eros. Donec ut mauris vel neque luctus laoreet. Sed ante libero, pretium eget pharetra ac, eleifend a leo. Vestibulum ante ipsum nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,5,8,'und',0,'Etiam augue eros, rutrum nec tortor ut, pellentesque lobortis sem. Sed euismod quis ante vitae facilisis? Donec tellus magna, pretium vel suscipit nec, tempus eget eros. Donec ut mauris vel neque luctus laoreet. Sed ante libero, pretium eget pharetra ac, eleifend a leo. Vestibulum ante ipsum nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,5,39,'und',0,'Etiam augue eros, rutrum nec tortor ut, pellentesque lobortis sem. Sed euismod quis ante vitae facilisis? Donec tellus magna, pretium vel suscipit nec, tempus eget eros. Donec ut mauris vel neque luctus laoreet. Sed ante libero, pretium eget pharetra ac, eleifend a leo. Vestibulum ante ipsum nullam.\r\n',NULL),('field_collection_item','field_simple_field',0,6,6,'und',0,'Suspendisse turpis ipsum; iaculis vel est eget, sodales condimentum quam. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Morbi cursus elit vitae erat molestie fringilla. In faucibus ante nec lacus condimentum elementum? Vivamus ultrices urna in venenatis metus.\r\n',NULL),('field_collection_item','field_simple_field',0,6,9,'und',0,'Suspendisse turpis ipsum; iaculis vel est eget, sodales condimentum quam. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Morbi cursus elit vitae erat molestie fringilla. In faucibus ante nec lacus condimentum elementum? Vivamus ultrices urna in venenatis metus.\r\n',NULL),('field_collection_item','field_simple_field',0,6,40,'und',0,'Suspendisse turpis ipsum; iaculis vel est eget, sodales condimentum quam. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Morbi cursus elit vitae erat molestie fringilla. In faucibus ante nec lacus condimentum elementum? Vivamus ultrices urna in venenatis metus.\r\n',NULL),('field_collection_item','field_simple_field',0,7,7,'und',0,'Phasellus eu placerat tellus. Sed ornare porttitor neque, vitae dapibus odio vestibulum sit amet. Donec eget sem et elit mattis dignissim a ut neque. Donec pellentesque dui sed dui eleifend adipiscing. Nam tempus nec elit nec vehicula. Sed quis elit at mi malesuada tempus a a turpis. Phasellus amet.\r\n',NULL),('field_collection_item','field_simple_field',0,7,10,'und',0,'Phasellus eu placerat tellus. Sed ornare porttitor neque, vitae dapibus odio vestibulum sit amet. Donec eget sem et elit mattis dignissim a ut neque. Donec pellentesque dui sed dui eleifend adipiscing. Nam tempus nec elit nec vehicula. Sed quis elit at mi malesuada tempus a a turpis. Phasellus amet.\r\n',NULL),('field_collection_item','field_simple_field',0,7,41,'und',0,'Phasellus eu placerat tellus. Sed ornare porttitor neque, vitae dapibus odio vestibulum sit amet. Donec eget sem et elit mattis dignissim a ut neque. Donec pellentesque dui sed dui eleifend adipiscing. Nam tempus nec elit nec vehicula. Sed quis elit at mi malesuada tempus a a turpis. Phasellus amet.\r\n',NULL),('user','user',0,4,4,'und',0,'Cras libero lorem, dapibus sit amet posuere eget, molestie faucibus metus. Aliquam ante odio, molestie in orci in, dignissim adipiscing sapien. Phasellus urna turpis, malesuada viverra eros non, malesuada fermentum tellus! Sed sit amet quam et diam vulputate interdum. Phasellus nec mi metus posuere.\r\n',NULL),('user','user',0,5,5,'und',0,'Maecenas in volutpat felis. Sed vulputate eros augue, vitae ornare arcu gravida ac. Cras et felis ac nisi congue venenatis vitae eget orci. Donec ultrices lorem vel leo sagittis, in ornare ante gravida. Nunc porttitor lorem rhoncus, tincidunt massa a, gravida velit! Nunc gravida aliquet turpis duis.\r\n',NULL),('user','user',0,6,6,'und',0,'Pellentesque aliquet metus vel elit faucibus, eget eleifend metus volutpat. Vivamus sed diam neque? Nam sit amet urna augue. Sed posuere sagittis risus ut accumsan. Aliquam quis nisi sed neque ullamcorper ultricies facilisis in ligula. Nullam viverra eget libero quis tincidunt? Donec in turpis amet.\r\n',NULL);
/*!40000 ALTER TABLE `field_revision_field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_displacement_cm3_`
--

DROP TABLE IF EXISTS `field_revision_field_displacement_cm3_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_displacement_cm3_` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_displacement_cm3__value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 37 (field_displacement...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_displacement_cm3_`
--

LOCK TABLES `field_revision_field_displacement_cm3_` WRITE;
/*!40000 ALTER TABLE `field_revision_field_displacement_cm3_` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_displacement_cm3_` VALUES ('node','products',0,25,25,'und',0,2996),('node','products',0,35,35,'und',0,2996),('node','products',0,36,36,'und',0,2996),('node','products',0,38,38,'und',0,2996),('node','products',0,39,39,'und',0,2996),('node','products',0,40,40,'und',0,2996),('node','products',0,41,41,'und',0,2996),('node','products',0,42,42,'und',0,2596),('node','products',0,43,43,'und',0,2596);
/*!40000 ALTER TABLE `field_revision_field_displacement_cm3_` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_facebook`
--

DROP TABLE IF EXISTS `field_revision_field_facebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_facebook_url` varchar(2048) DEFAULT NULL,
  `field_facebook_title` varchar(255) DEFAULT NULL,
  `field_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 21 (field_facebook)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_facebook`
--

LOCK TABLES `field_revision_field_facebook` WRITE;
/*!40000 ALTER TABLE `field_revision_field_facebook` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_facebook` VALUES ('user','user',0,1,1,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}'),('user','user',0,4,4,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}'),('user','user',0,5,5,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}'),('user','user',0,6,6,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_facebook` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_features`
--

DROP TABLE IF EXISTS `field_revision_field_features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_features` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_features_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_features_tid` (`field_features_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 48 (field_features)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_features`
--

LOCK TABLES `field_revision_field_features` WRITE;
/*!40000 ALTER TABLE `field_revision_field_features` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_features` VALUES ('node','products',0,25,25,'und',0,63),('node','products',0,25,25,'und',1,64),('node','products',0,35,35,'und',0,63),('node','products',0,35,35,'und',1,64),('node','products',0,36,36,'und',0,63),('node','products',0,37,37,'und',0,63),('node','products',0,38,38,'und',0,64),('node','products',0,39,39,'und',0,63),('node','products',0,39,39,'und',1,64),('node','products',0,40,40,'und',0,63),('node','products',0,41,41,'und',0,63),('node','products',0,42,42,'und',0,64),('node','products',0,43,43,'und',0,63);
/*!40000 ALTER TABLE `field_revision_field_features` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_features`
--

DROP TABLE IF EXISTS `field_revision_field_field_features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_features` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_features_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_features_tid` (`field_field_features_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 45 (field_field_features)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_features`
--

LOCK TABLES `field_revision_field_field_features` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_features` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_features` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_gender`
--

DROP TABLE IF EXISTS `field_revision_field_field_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_gender` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_gender_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_gender_tid` (`field_field_gender_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 26 (field_field_gender)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_gender`
--

LOCK TABLES `field_revision_field_field_gender` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_gender` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_gender` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_interior_design`
--

DROP TABLE IF EXISTS `field_revision_field_field_interior_design`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_interior_design` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_interior_design_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_interior_design_tid` (`field_field_interior_design_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 46 (field_field...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_interior_design`
--

LOCK TABLES `field_revision_field_field_interior_design` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_interior_design` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_interior_design` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_safety`
--

DROP TABLE IF EXISTS `field_revision_field_field_safety`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_safety` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_safety_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_safety_tid` (`field_field_safety_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 47 (field_field_safety)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_safety`
--

LOCK TABLES `field_revision_field_field_safety` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_safety` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_safety` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_fuel_consumption_combined_`
--

DROP TABLE IF EXISTS `field_revision_field_fuel_consumption_combined_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_fuel_consumption_combined_` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_fuel_consumption_combined__value` varchar(255) DEFAULT NULL,
  `field_fuel_consumption_combined__format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_fuel_consumption_combined__format` (`field_fuel_consumption_combined__format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 43 (field_fuel...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_fuel_consumption_combined_`
--

LOCK TABLES `field_revision_field_fuel_consumption_combined_` WRITE;
/*!40000 ALTER TABLE `field_revision_field_fuel_consumption_combined_` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_fuel_consumption_combined_` VALUES ('node','products',0,23,23,'und',0,'8.6',NULL),('node','products',0,25,25,'und',0,'8.6',NULL),('node','products',0,35,35,'und',0,'8.6',NULL),('node','products',0,36,36,'und',0,'8.6',NULL),('node','products',0,37,37,'und',0,'8.5',NULL),('node','products',0,38,38,'und',0,'5',NULL),('node','products',0,39,39,'und',0,'8.5',NULL),('node','products',0,40,40,'und',0,'8.5',NULL),('node','products',0,41,41,'und',0,'5',NULL),('node','products',0,42,42,'und',0,'8.5',NULL),('node','products',0,43,43,'und',0,'8.6',NULL);
/*!40000 ALTER TABLE `field_revision_field_fuel_consumption_combined_` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_full_name`
--

DROP TABLE IF EXISTS `field_revision_field_full_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_full_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_full_name_value` varchar(255) DEFAULT NULL,
  `field_full_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_full_name_format` (`field_full_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 20 (field_full_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_full_name`
--

LOCK TABLES `field_revision_field_full_name` WRITE;
/*!40000 ALTER TABLE `field_revision_field_full_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_full_name` VALUES ('user','user',0,1,1,'und',0,'John Philip',NULL),('user','user',0,4,4,'und',0,'Anna Thomas',NULL),('user','user',0,5,5,'und',0,'David Dane',NULL),('user','user',0,6,6,'und',0,'Laura Robert',NULL);
/*!40000 ALTER TABLE `field_revision_field_full_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gallery`
--

DROP TABLE IF EXISTS `field_revision_field_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gallery` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_gallery_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_gallery_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_gallery_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gallery_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_fid` (`field_gallery_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 6 (field_gallery)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gallery`
--

LOCK TABLES `field_revision_field_gallery` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gallery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gallery` VALUES ('node','services',0,19,19,'und',0,81,'','',1172,350),('node','services',0,20,20,'und',0,38,'','',1170,350),('node','services',0,21,21,'und',0,82,'','',1171,350),('node','services',0,22,22,'und',0,42,'','',1170,350),('node','products',0,23,23,'und',0,43,'','',763,537),('node','products',0,23,23,'und',1,44,'','',763,537),('node','products',0,23,23,'und',2,45,'','',763,537),('node','products',0,25,25,'und',0,54,'','',1000,652),('node','products',0,25,25,'und',1,55,'','',802,505),('node','products',0,25,25,'und',2,56,'','',628,508),('node','products',0,25,25,'und',3,57,'','',673,466),('node','products',0,35,35,'und',0,72,'','',1200,900),('node','products',0,36,36,'und',0,95,'','',1200,800),('node','products',0,37,37,'und',0,98,'','',1200,592),('node','products',0,38,38,'und',0,99,'','',1200,960),('node','products',0,39,39,'und',0,101,'','',1200,803),('node','products',0,40,40,'und',0,114,'','',1200,800),('node','products',0,41,41,'und',0,105,'','',1200,800),('node','products',0,42,42,'und',0,107,'','',1200,797),('node','products',0,43,43,'und',0,109,'','',1200,800);
/*!40000 ALTER TABLE `field_revision_field_gallery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gender`
--

DROP TABLE IF EXISTS `field_revision_field_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gender` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gender_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gender_tid` (`field_gender_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 27 (field_gender)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gender`
--

LOCK TABLES `field_revision_field_gender` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gender` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gender` VALUES ('user','user',0,1,1,'und',0,27),('user','user',0,4,4,'und',0,28),('user','user',0,5,5,'und',0,27),('user','user',0,6,6,'und',0,28);
/*!40000 ALTER TABLE `field_revision_field_gender` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_image`
--

DROP TABLE IF EXISTS `field_revision_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_image`
--

LOCK TABLES `field_revision_field_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_image` VALUES ('bean','list_block',0,1,1,'und',0,62,'','',570,420),('bean','list_block',0,1,4,'und',0,76,'','',570,315),('bean','list_block',0,1,5,'und',0,76,'','',570,315),('bean','list_block',0,1,6,'und',0,76,'','',570,315),('bean','list_block',0,1,7,'und',0,77,'','',570,315),('bean','list_block',0,1,8,'und',0,78,'','',570,315),('bean','list_block',0,1,9,'und',0,79,'','',570,315),('bean','list_block',0,1,10,'und',0,111,'','',570,315),('bean','list_block',0,2,2,'und',0,63,'','',743,301),('bean','list_block',0,2,3,'und',0,75,'','',570,314),('bean','list_block',0,2,11,'und',0,75,'','',570,314),('node','blog',0,7,7,'und',0,2,'','',1000,750),('node','blog',0,8,8,'und',0,3,'','',1200,800),('node','blog',0,9,9,'und',0,4,'','',1000,664),('node','blog',0,10,10,'und',0,5,'','',1200,800),('node','blog',0,11,11,'und',0,6,'','',1200,800),('node','article',0,12,12,'und',0,87,'','',870,350),('node','article',0,13,13,'und',0,86,'','',870,350),('node','article',0,14,14,'und',0,85,'','',870,350),('node','article',0,15,15,'und',0,84,'','',870,350),('node','article',0,16,16,'und',0,83,'','',870,350),('node','services',0,19,19,'und',0,34,'','',60,50),('node','services',0,20,20,'und',0,36,'','',60,50),('node','services',0,21,21,'und',0,39,'','',60,50),('node','services',0,22,22,'und',0,41,'','',60,50),('node','products',0,23,23,'und',0,47,'','',1200,900),('node','products',0,25,25,'und',0,58,'','',1000,652),('node','dealers',0,32,32,'und',0,117,'','',1200,800),('node','dealers',0,33,33,'und',0,116,'','',1200,800),('node','dealers',0,34,34,'und',0,90,'','',1000,667),('node','products',0,35,35,'und',0,73,'','',1200,900),('node','products',0,36,36,'und',0,96,'','',1200,800),('node','products',0,37,37,'und',0,97,'','',1200,592),('node','products',0,38,38,'und',0,100,'','',1200,960),('node','products',0,39,39,'und',0,102,'','',1200,803),('node','products',0,40,40,'und',0,113,'','',1200,800),('node','products',0,41,41,'und',0,106,'','',1200,800),('node','products',0,42,42,'und',0,108,'','',1200,797),('node','products',0,43,43,'und',0,110,'','',1200,800),('node','article',0,45,45,'und',0,115,'','',1800,724),('taxonomy_term','categories',0,6,6,'und',0,68,'','',1200,800),('taxonomy_term','categories',0,7,7,'und',0,69,'','',1400,690),('taxonomy_term','categories',0,8,8,'und',0,71,'','',1200,797),('taxonomy_term','categories',0,9,9,'und',0,70,'','',1200,900),('taxonomy_term','brands',0,13,13,'und',0,20,'','',124,124),('taxonomy_term','brands',0,14,14,'und',0,21,'','',124,124),('taxonomy_term','brands',0,15,15,'und',0,125,'','',300,300),('taxonomy_term','brands',0,16,16,'und',0,127,'','',300,300),('taxonomy_term','brands',0,17,17,'und',0,131,'','',300,300),('taxonomy_term','brands',0,18,18,'und',0,132,'','',300,300),('taxonomy_term','brands',0,19,19,'und',0,133,'','',300,300),('taxonomy_term','brands',0,20,20,'und',0,134,'','',300,300),('taxonomy_term','brands',0,21,21,'und',0,28,'','',124,124),('taxonomy_term','brands',0,22,22,'und',0,29,'','',124,124),('taxonomy_term','brands',0,23,23,'und',0,30,'','',124,124),('taxonomy_term','brands',0,24,24,'und',0,31,'','',124,124),('taxonomy_term','brands',0,25,25,'und',0,32,'','',124,124),('taxonomy_term','brands',0,26,26,'und',0,33,'','',124,124);
/*!40000 ALTER TABLE `field_revision_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_interior_design`
--

DROP TABLE IF EXISTS `field_revision_field_interior_design`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_interior_design` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_interior_design_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_interior_design_tid` (`field_interior_design_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 49 (field_interior...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_interior_design`
--

LOCK TABLES `field_revision_field_interior_design` WRITE;
/*!40000 ALTER TABLE `field_revision_field_interior_design` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_interior_design` VALUES ('node','products',0,25,25,'und',0,68),('node','products',0,25,25,'und',1,66),('node','products',0,25,25,'und',2,67),('node','products',0,35,35,'und',0,65),('node','products',0,35,35,'und',1,68),('node','products',0,35,35,'und',2,69),('node','products',0,35,35,'und',3,66),('node','products',0,35,35,'und',4,67),('node','products',0,36,36,'und',0,68),('node','products',0,36,36,'und',1,69),('node','products',0,37,37,'und',0,68),('node','products',0,37,37,'und',1,67),('node','products',0,38,38,'und',0,65),('node','products',0,39,39,'und',0,68),('node','products',0,40,40,'und',0,69),('node','products',0,40,40,'und',1,66),('node','products',0,41,41,'und',0,69),('node','products',0,42,42,'und',0,66),('node','products',0,42,42,'und',1,67),('node','products',0,43,43,'und',0,68),('node','products',0,43,43,'und',1,66);
/*!40000 ALTER TABLE `field_revision_field_interior_design` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_latitude`
--

DROP TABLE IF EXISTS `field_revision_field_latitude`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_latitude` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_latitude_value` varchar(255) DEFAULT NULL,
  `field_latitude_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_latitude_format` (`field_latitude_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 34 (field_latitude)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_latitude`
--

LOCK TABLES `field_revision_field_latitude` WRITE;
/*!40000 ALTER TABLE `field_revision_field_latitude` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_latitude` VALUES ('node','dealers',0,32,32,'und',0,'34.012187',NULL),('node','dealers',0,33,33,'und',0,'34.01176',NULL),('node','dealers',0,34,34,'und',0,'34.01873',NULL);
/*!40000 ALTER TABLE `field_revision_field_latitude` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_link`
--

DROP TABLE IF EXISTS `field_revision_field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_link` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_url` varchar(2048) DEFAULT NULL,
  `field_link_title` varchar(255) DEFAULT NULL,
  `field_link_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 18 (field_link)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_link`
--

LOCK TABLES `field_revision_field_link` WRITE;
/*!40000 ALTER TABLE `field_revision_field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_link` VALUES ('bean','list_block',0,2,2,'und',0,'contact','Send Your CV','a:0:{}'),('bean','list_block',0,2,3,'und',0,'contact','Send Your CV','a:0:{}'),('bean','list_block',0,2,11,'und',0,'send-cv','Send Your CV','a:0:{}'),('node','dealers',0,32,32,'und',0,'weebpal.com','weebpal','a:0:{}'),('node','dealers',0,33,33,'und',0,'weebpal.com','weebpal','a:0:{}'),('node','dealers',0,34,34,'und',0,'weebpal.com','weebpal','a:0:{}'),('taxonomy_term','brands',0,13,13,'und',0,'http://audi.com','','a:0:{}'),('taxonomy_term','brands',0,14,14,'und',0,'http://bmw.com','','a:0:{}'),('taxonomy_term','brands',0,15,15,'und',0,'http://ferrari.com','','a:0:{}'),('taxonomy_term','brands',0,16,16,'und',0,'http://honda.com','','a:0:{}'),('taxonomy_term','brands',0,17,17,'und',0,'http://mercedes.com','','a:0:{}'),('taxonomy_term','brands',0,18,18,'und',0,'http://peugeot.com','','a:0:{}'),('taxonomy_term','brands',0,19,19,'und',0,'http://renault.com','','a:0:{}'),('taxonomy_term','brands',0,20,20,'und',0,'http://volvo.com','','a:0:{}'),('taxonomy_term','brands',0,21,21,'und',0,'http://bugatti.com','','a:0:{}'),('taxonomy_term','brands',0,22,22,'und',0,'http://buick.com','','a:0:{}'),('taxonomy_term','brands',0,23,23,'und',0,'http://ford.com','','a:0:{}'),('taxonomy_term','brands',0,24,24,'und',0,'http://lexus.com','','a:0:{}'),('taxonomy_term','brands',0,25,25,'und',0,'http://huyndai.com','','a:0:{}'),('taxonomy_term','brands',0,26,26,'und',0,'http://mazda.com','','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_linkedin`
--

DROP TABLE IF EXISTS `field_revision_field_linkedin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_linkedin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_linkedin_url` varchar(2048) DEFAULT NULL,
  `field_linkedin_title` varchar(255) DEFAULT NULL,
  `field_linkedin_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 23 (field_linkedin)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_linkedin`
--

LOCK TABLES `field_revision_field_linkedin` WRITE;
/*!40000 ALTER TABLE `field_revision_field_linkedin` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_linkedin` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_list_description`
--

DROP TABLE IF EXISTS `field_revision_field_list_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_list_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_list_description_value` varchar(255) DEFAULT NULL,
  `field_list_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_list_description_format` (`field_list_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 16 (field_list...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_list_description`
--

LOCK TABLES `field_revision_field_list_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_list_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_list_description` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,'An example newsletter list with Manual Send Rate.',NULL);
/*!40000 ALTER TABLE `field_revision_field_list_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_longitude`
--

DROP TABLE IF EXISTS `field_revision_field_longitude`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_longitude` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_longitude_value` varchar(255) DEFAULT NULL,
  `field_longitude_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_longitude_format` (`field_longitude_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 35 (field_longitude)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_longitude`
--

LOCK TABLES `field_revision_field_longitude` WRITE;
/*!40000 ALTER TABLE `field_revision_field_longitude` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_longitude` VALUES ('node','dealers',0,32,32,'und',0,'-118.445535',NULL),('node','dealers',0,33,33,'und',0,'-118.466692',NULL),('node','dealers',0,34,34,'und',0,'-118.451586',NULL);
/*!40000 ALTER TABLE `field_revision_field_longitude` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_models`
--

DROP TABLE IF EXISTS `field_revision_field_models`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_models` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_models_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_models_tid` (`field_models_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 10 (field_models)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_models`
--

LOCK TABLES `field_revision_field_models` WRITE;
/*!40000 ALTER TABLE `field_revision_field_models` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_models` VALUES ('node','products',0,25,25,'und',0,45),('node','products',0,35,35,'und',0,59),('node','products',0,36,36,'und',0,47),('node','products',0,37,37,'und',0,59),('node','products',0,38,38,'und',0,43),('node','products',0,39,39,'und',0,51),('node','products',0,40,40,'und',0,45),('node','products',0,41,41,'und',0,53),('node','products',0,42,42,'und',0,59),('node','products',0,43,43,'und',0,53);
/*!40000 ALTER TABLE `field_revision_field_models` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_body`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_body_value` longtext,
  `field_newsletter_body_summary` longtext,
  `field_newsletter_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_body_format` (`field_newsletter_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 17 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_body`
--

LOCK TABLES `field_revision_field_newsletter_body` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_newsletter_body` VALUES ('newsletter_template','newsletter_template',0,1,1,'und',0,'Hello [newsletter:subscriber_email],<br />\n\nWe received your request for information from [site:name] <br />\nBefore we begin sending you the information you requested, we want to be certain we have your permission.<br />\nClick the link below to give us permission to send you information. It\'s fast and easy!  If you cannot click the full URL below, please copy the URL and paste it into your web browser.<br /><br />\n\nConfirm by clicking the URL below:<br /><br />\n<a href=\"[newsletter:confirmation_url]\">[newsletter:confirmation_url]</a><br /><br />\n\nIf you do not want to subscribe, simply ignore this message.<br /><br />\n\nBest Regards,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\nRequest generated by:<br />\nIP: [newsletter:subscription_ip]<br />\nDate: [newsletter:subscription_time]<br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,2,2,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nThank you for your subscription. You are now signed up to our newsletter!<br />\nWe will keep your personal information private and secure. We will not share your email address with any third parties. <br />\nTo ensure you receive future subscribers-only news, please add this e-mail to your e-mail address book or safe senders list.<br />\n\n\nSincerely,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\n----<br />\nYou are receiving this email because on [newsletter:subscription_time] at [site:url] you subscribed to receive our e-newsletters.<br /><br />\nYou can unsubscribe via the link below:<br />\n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a>\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,3,3,'und',0,'Dear [newsletter:subscriber_email],<br />\n\nThis email is being sent to notify you that we have received a request to remove the following record from our mailing list:<br /><br />\n\nEmail: [newsletter:subscriber_email]<br /><br />\n\nThis record was removed from our database.<br />\nIf you do receive further unwanted email from our system, please let us know and we\'d be happy to address the issue immediately.<br /><br />\n\nSincerely,<br />\n[site:name]<br />\n[site:url] <br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,4,4,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nHere is what\'s new on <a href=\"[site:url]\">[site:name]</a> over the past few days. Your comments and feedback are always welcome.<br />\n\n<ol>\n [repeat] \n<li><a href=\"[node:url]\">[node:title]</a> -[node:created]<br /> [node:summary]<br /></li>\n [/repeat] \n\n</ol>Sincerely,<br /> <a href=\"[site:url]\">[site:name]</a><br /> <br /> <br />\n\n--<br />You are receiving this email because on [newsletter:subscription_time] you subscribed to receive our newsletter list : [newsletter:list_name].<br /><br />\n\nYou can unsubscribe by clicking the link below:<br /> \n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a><br />\n',NULL,'filtered_html');
/*!40000 ALTER TABLE `field_revision_field_newsletter_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_categories`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_categories_tid` (`field_newsletter_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 11 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_categories`
--

LOCK TABLES `field_revision_field_newsletter_categories` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_newsletter_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_list`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_list` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_list_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_list_target_id` (`field_newsletter_list_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 14 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_list`
--

LOCK TABLES `field_revision_field_newsletter_list` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_list` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_template`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_template` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_template_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_template_target_id` (`field_newsletter_template_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 15 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_template`
--

LOCK TABLES `field_revision_field_newsletter_template` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_newsletter_template` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,4);
/*!40000 ALTER TABLE `field_revision_field_newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_phone`
--

DROP TABLE IF EXISTS `field_revision_field_phone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_phone` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_phone_value` varchar(255) DEFAULT NULL,
  `field_phone_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_phone_format` (`field_phone_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 52 (field_phone)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_phone`
--

LOCK TABLES `field_revision_field_phone` WRITE;
/*!40000 ALTER TABLE `field_revision_field_phone` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_phone` VALUES ('node','dealers',0,32,32,'und',0,'0-390-700-8076',NULL),('node','dealers',0,33,33,'und',0,'0-390-700-8067',NULL),('node','dealers',0,34,34,'und',0,'23445454',NULL);
/*!40000 ALTER TABLE `field_revision_field_phone` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_position`
--

DROP TABLE IF EXISTS `field_revision_field_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_position_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_position_tid` (`field_position_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 28 (field_position)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_position`
--

LOCK TABLES `field_revision_field_position` WRITE;
/*!40000 ALTER TABLE `field_revision_field_position` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_position` VALUES ('user','user',0,4,4,'und',0,33),('user','user',0,5,5,'und',0,10),('user','user',0,6,6,'und',0,29);
/*!40000 ALTER TABLE `field_revision_field_position` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_positions`
--

DROP TABLE IF EXISTS `field_revision_field_positions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_positions` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_positions_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_positions_tid` (`field_positions_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 12 (field_positions)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_positions`
--

LOCK TABLES `field_revision_field_positions` WRITE;
/*!40000 ALTER TABLE `field_revision_field_positions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_positions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_price`
--

DROP TABLE IF EXISTS `field_revision_field_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_price_value` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 41 (field_price)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_price`
--

LOCK TABLES `field_revision_field_price` WRITE;
/*!40000 ALTER TABLE `field_revision_field_price` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_price` VALUES ('node','products',0,25,25,'und',0,643330.00),('node','products',0,35,35,'und',0,198000.00),('node','products',0,36,36,'und',0,230000.00),('node','products',0,37,37,'und',0,233600.00),('node','products',0,38,38,'und',0,643330.00),('node','products',0,39,39,'und',0,230000.00),('node','products',0,40,40,'und',0,230000.00),('node','products',0,41,41,'und',0,30800.00),('node','products',0,42,42,'und',0,233600.00),('node','products',0,43,43,'und',0,236000.00);
/*!40000 ALTER TABLE `field_revision_field_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_public_email`
--

DROP TABLE IF EXISTS `field_revision_field_public_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_public_email` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_public_email_email` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 29 (field_public_email)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_public_email`
--

LOCK TABLES `field_revision_field_public_email` WRITE;
/*!40000 ALTER TABLE `field_revision_field_public_email` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_public_email` VALUES ('node','dealers',0,32,32,'und',0,'sebastian@autox.com'),('node','dealers',0,33,33,'und',0,'sebastian@autox.com'),('node','dealers',0,34,34,'und',0,'sebastian@autox.com');
/*!40000 ALTER TABLE `field_revision_field_public_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_release_date`
--

DROP TABLE IF EXISTS `field_revision_field_release_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_release_date` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_release_date_value` datetime DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 36 (field_release_date)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_release_date`
--

LOCK TABLES `field_revision_field_release_date` WRITE;
/*!40000 ALTER TABLE `field_revision_field_release_date` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_release_date` VALUES ('node','products',0,35,35,'und',0,'2014-01-01 00:00:00'),('node','products',0,36,36,'und',0,'2014-01-01 00:00:00'),('node','products',0,37,37,'und',0,'2014-01-01 00:00:00'),('node','products',0,38,38,'und',0,'2014-01-01 00:00:00'),('node','products',0,39,39,'und',0,'2013-01-01 00:00:00'),('node','products',0,40,40,'und',0,'2014-01-01 00:00:00'),('node','products',0,41,41,'und',0,'2014-01-01 00:00:00'),('node','products',0,42,42,'und',0,'2014-01-01 00:00:00'),('node','products',0,43,43,'und',0,'2013-01-01 00:00:00');
/*!40000 ALTER TABLE `field_revision_field_release_date` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_safety`
--

DROP TABLE IF EXISTS `field_revision_field_safety`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_safety` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_safety_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_safety_tid` (`field_safety_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 50 (field_safety)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_safety`
--

LOCK TABLES `field_revision_field_safety` WRITE;
/*!40000 ALTER TABLE `field_revision_field_safety` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_safety` VALUES ('node','products',0,25,25,'und',0,73),('node','products',0,25,25,'und',1,72),('node','products',0,35,35,'und',0,74),('node','products',0,35,35,'und',1,73),('node','products',0,35,35,'und',2,72),('node','products',0,36,36,'und',0,74),('node','products',0,36,36,'und',1,72),('node','products',0,37,37,'und',0,71),('node','products',0,37,37,'und',1,73),('node','products',0,38,38,'und',0,72),('node','products',0,39,39,'und',0,73),('node','products',0,39,39,'und',1,72),('node','products',0,40,40,'und',0,73),('node','products',0,40,40,'und',1,72),('node','products',0,41,41,'und',0,72),('node','products',0,42,42,'und',0,72),('node','products',0,42,42,'und',1,70),('node','products',0,43,43,'und',0,73),('node','products',0,43,43,'und',1,70);
/*!40000 ALTER TABLE `field_revision_field_safety` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_simple_field`
--

DROP TABLE IF EXISTS `field_revision_field_simple_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_simple_field` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_simple_field_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_simple_field_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_simple_field_revision_id` (`field_simple_field_revision_id`),
  KEY `field_simple_field_value` (`field_simple_field_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 31 (field_simple_field)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_simple_field`
--

LOCK TABLES `field_revision_field_simple_field` WRITE;
/*!40000 ALTER TABLE `field_revision_field_simple_field` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_simple_field` VALUES ('bean','list_block',0,1,1,'und',0,1,1),('bean','list_block',0,1,1,'und',1,2,2),('bean','list_block',0,1,1,'und',2,3,3),('bean','list_block',0,1,1,'und',3,4,4),('bean','list_block',0,1,4,'und',0,1,11),('bean','list_block',0,1,4,'und',1,2,12),('bean','list_block',0,1,4,'und',2,3,13),('bean','list_block',0,1,4,'und',3,4,14),('bean','list_block',0,1,5,'und',0,1,15),('bean','list_block',0,1,5,'und',1,2,16),('bean','list_block',0,1,5,'und',2,3,17),('bean','list_block',0,1,5,'und',3,4,18),('bean','list_block',0,1,6,'und',0,1,19),('bean','list_block',0,1,6,'und',1,2,20),('bean','list_block',0,1,6,'und',2,3,21),('bean','list_block',0,1,6,'und',3,4,22),('bean','list_block',0,1,7,'und',0,1,23),('bean','list_block',0,1,7,'und',1,2,24),('bean','list_block',0,1,7,'und',2,3,25),('bean','list_block',0,1,7,'und',3,4,26),('bean','list_block',0,1,8,'und',0,1,27),('bean','list_block',0,1,8,'und',1,2,28),('bean','list_block',0,1,8,'und',2,3,29),('bean','list_block',0,1,8,'und',3,4,30),('bean','list_block',0,1,9,'und',0,1,31),('bean','list_block',0,1,9,'und',1,2,32),('bean','list_block',0,1,9,'und',2,3,33),('bean','list_block',0,1,9,'und',3,4,34),('bean','list_block',0,1,10,'und',0,1,35),('bean','list_block',0,1,10,'und',1,2,36),('bean','list_block',0,1,10,'und',2,3,37),('bean','list_block',0,1,10,'und',3,4,38),('bean','list_block',0,2,2,'und',0,5,5),('bean','list_block',0,2,2,'und',1,6,6),('bean','list_block',0,2,2,'und',2,7,7),('bean','list_block',0,2,3,'und',0,5,8),('bean','list_block',0,2,3,'und',1,6,9),('bean','list_block',0,2,3,'und',2,7,10),('bean','list_block',0,2,11,'und',0,5,39),('bean','list_block',0,2,11,'und',1,6,40),('bean','list_block',0,2,11,'und',2,7,41);
/*!40000 ALTER TABLE `field_revision_field_simple_field` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_slideshow`
--

DROP TABLE IF EXISTS `field_revision_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 5 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_slideshow`
--

LOCK TABLES `field_revision_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_revision_field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_slideshow` VALUES ('node','products',0,23,23,'und',0,48,'','',1920,600),('node','products',0,36,36,'und',0,93,'','',1920,600);
/*!40000 ALTER TABLE `field_revision_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_tags`
--

DROP TABLE IF EXISTS `field_revision_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_tags`
--

LOCK TABLES `field_revision_field_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_tags` VALUES ('node','article',0,12,12,'und',0,1),('node','article',0,12,12,'und',1,2),('node','article',0,12,12,'und',2,3),('node','article',0,12,12,'und',3,4),('node','article',0,12,12,'und',4,5),('node','article',0,13,13,'und',0,4),('node','article',0,13,13,'und',1,5),('node','article',0,14,14,'und',0,3),('node','article',0,15,15,'und',0,2);
/*!40000 ALTER TABLE `field_revision_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_title`
--

DROP TABLE IF EXISTS `field_revision_field_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_title` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_title_value` varchar(255) DEFAULT NULL,
  `field_title_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_title_format` (`field_title_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 32 (field_title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_title`
--

LOCK TABLES `field_revision_field_title` WRITE;
/*!40000 ALTER TABLE `field_revision_field_title` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_title` VALUES ('field_collection_item','field_simple_field',0,1,1,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,1,11,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,1,15,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,1,19,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,1,23,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,1,27,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,1,31,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,1,35,'und',0,'Suspendisse hendrerit libero in sem ornare',NULL),('field_collection_item','field_simple_field',0,2,2,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,2,12,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,2,16,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,2,20,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,2,24,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,2,28,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,2,32,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,2,36,'und',0,'Vivamus ornare in odio eget pharetra',NULL),('field_collection_item','field_simple_field',0,3,3,'und',0,'Phasellus enim diam, varius non dui ut, pellentesque dignissim erat',NULL),('field_collection_item','field_simple_field',0,3,13,'und',0,'Phasellus enim diam, varius non dui ut, pellentesque dignissim erat',NULL),('field_collection_item','field_simple_field',0,3,17,'und',0,'Phasellus enim diam, varius non dui ut, pellentesque dignissim erat',NULL),('field_collection_item','field_simple_field',0,3,21,'und',0,'Phasellus enim diam, varius non dui ut',NULL),('field_collection_item','field_simple_field',0,3,25,'und',0,'Phasellus enim diam, varius non dui ut',NULL),('field_collection_item','field_simple_field',0,3,29,'und',0,'Phasellus enim diam, varius non dui ut',NULL),('field_collection_item','field_simple_field',0,3,33,'und',0,'Phasellus enim diam, varius non dui ut',NULL),('field_collection_item','field_simple_field',0,3,37,'und',0,'Phasellus enim diam, varius non dui ut',NULL),('field_collection_item','field_simple_field',0,4,4,'und',0,'Duis massa sapien, congue et orci eu, dignissim vehicula neque',NULL),('field_collection_item','field_simple_field',0,4,14,'und',0,'Duis massa sapien, congue et orci eu, dignissim vehicula neque',NULL),('field_collection_item','field_simple_field',0,4,18,'und',0,'Duis massa sapien, congue et orci eu, dignissim vehicula neque',NULL),('field_collection_item','field_simple_field',0,4,22,'und',0,'Duis massa sapien, congue et orci eu',NULL),('field_collection_item','field_simple_field',0,4,26,'und',0,'Duis massa sapien, congue et orci eu',NULL),('field_collection_item','field_simple_field',0,4,30,'und',0,'Duis massa sapien, congue et orci eu',NULL),('field_collection_item','field_simple_field',0,4,34,'und',0,'Duis massa sapien, congue et orci eu',NULL),('field_collection_item','field_simple_field',0,4,38,'und',0,'Duis massa sapien, congue et orci eu',NULL),('field_collection_item','field_simple_field',0,5,5,'und',0,'Nulla quam velit, malesuada vel urna ut',NULL),('field_collection_item','field_simple_field',0,5,8,'und',0,'Nulla quam velit, malesuada vel urna ut',NULL),('field_collection_item','field_simple_field',0,5,39,'und',0,'Nulla quam velit, malesuada vel urna ut',NULL),('field_collection_item','field_simple_field',0,6,6,'und',0,'Vivamus et nulla eu ipsum rutrum blandit',NULL),('field_collection_item','field_simple_field',0,6,9,'und',0,'Vivamus et nulla eu ipsum rutrum blandit',NULL),('field_collection_item','field_simple_field',0,6,40,'und',0,'Vivamus et nulla eu ipsum rutrum blandit',NULL),('field_collection_item','field_simple_field',0,7,7,'und',0,'Aliquam tincidunt augue nec libero ullamcorper',NULL),('field_collection_item','field_simple_field',0,7,10,'und',0,'Aliquam tincidunt augue nec libero ullamcorper',NULL),('field_collection_item','field_simple_field',0,7,41,'und',0,'Aliquam tincidunt augue nec libero ullamcorper',NULL);
/*!40000 ALTER TABLE `field_revision_field_title` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_top_speed_km_h_`
--

DROP TABLE IF EXISTS `field_revision_field_top_speed_km_h_`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_top_speed_km_h_` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_top_speed_km_h__value` varchar(255) DEFAULT NULL,
  `field_top_speed_km_h__format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_top_speed_km_h__format` (`field_top_speed_km_h__format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 44 (field_top_speed_km...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_top_speed_km_h_`
--

LOCK TABLES `field_revision_field_top_speed_km_h_` WRITE;
/*!40000 ALTER TABLE `field_revision_field_top_speed_km_h_` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_top_speed_km_h_` VALUES ('node','products',0,23,23,'und',0,'280',NULL),('node','products',0,25,25,'und',0,'290',NULL),('node','products',0,35,35,'und',0,'290',NULL),('node','products',0,36,36,'und',0,'290',NULL),('node','products',0,37,37,'und',0,'280',NULL),('node','products',0,38,38,'und',0,'250',NULL),('node','products',0,39,39,'und',0,'200',NULL),('node','products',0,41,41,'und',0,'230',NULL),('node','products',0,42,42,'und',0,'240',NULL),('node','products',0,43,43,'und',0,'250',NULL);
/*!40000 ALTER TABLE `field_revision_field_top_speed_km_h_` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_transmission_types`
--

DROP TABLE IF EXISTS `field_revision_field_transmission_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_transmission_types` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_transmission_types_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_transmission_types_tid` (`field_transmission_types_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 13 (field_transmission...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_transmission_types`
--

LOCK TABLES `field_revision_field_transmission_types` WRITE;
/*!40000 ALTER TABLE `field_revision_field_transmission_types` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_transmission_types` VALUES ('node','products',0,23,23,'und',0,76),('node','products',0,25,25,'und',0,76),('node','products',0,35,35,'und',0,75),('node','products',0,36,36,'und',0,75),('node','products',0,37,37,'und',0,75),('node','products',0,38,38,'und',0,76),('node','products',0,39,39,'und',0,75),('node','products',0,40,40,'und',0,76),('node','products',0,41,41,'und',0,75),('node','products',0,42,42,'und',0,76),('node','products',0,43,43,'und',0,75);
/*!40000 ALTER TABLE `field_revision_field_transmission_types` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_twitter`
--

DROP TABLE IF EXISTS `field_revision_field_twitter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_twitter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_twitter_url` varchar(2048) DEFAULT NULL,
  `field_twitter_title` varchar(255) DEFAULT NULL,
  `field_twitter_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 22 (field_twitter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_twitter`
--

LOCK TABLES `field_revision_field_twitter` WRITE;
/*!40000 ALTER TABLE `field_revision_field_twitter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_twitter` VALUES ('user','user',0,1,1,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}'),('user','user',0,4,4,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}'),('user','user',0,5,5,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}'),('user','user',0,6,6,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_twitter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_website`
--

DROP TABLE IF EXISTS `field_revision_field_website`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_website` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_website_url` varchar(2048) DEFAULT NULL,
  `field_website_title` varchar(255) DEFAULT NULL,
  `field_website_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 24 (field_website)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_website`
--

LOCK TABLES `field_revision_field_website` WRITE;
/*!40000 ALTER TABLE `field_revision_field_website` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_website` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `uri` (`uri`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=135 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_managed` VALUES (1,0,'gmap_markers.js','public://js/gmap_markers.js','application/x-javascript',4367,1,1500440560),(2,1,'dreamstime_xxl_1985841_1.png','public://field/image/blog/dreamstime_xxl_1985841_1.png','image/png',567460,1,1406802832),(3,1,'dreamstime_xxl_17834711_1.png','public://field/image/blog/dreamstime_xxl_17834711_1.png','image/png',964777,1,1406802874),(4,1,'dreamstime_xxl_24346675_1_0.png','public://field/image/blog/dreamstime_xxl_24346675_1_0.png','image/png',1045309,1,1406802894),(5,1,'dreamstime_xxl_28003884.png','public://field/image/blog/dreamstime_xxl_28003884.png','image/png',1399338,1,1406802917),(6,1,'dreamstime_xxl_28003884.png','public://field/image/blog/dreamstime_xxl_28003884_0.png','image/png',1399338,1,1406802946),(20,1,'audi.png','public://field/image/brands/audi_0.png','image/png',6071,1,1406986944),(21,1,'bmw.png','public://field/image/brands/bmw_0.png','image/png',6062,1,1406986951),(28,1,'bugatti.png','public://field/image/brands/bugatti.png','image/png',7570,1,1406987128),(29,1,'buick.png','public://field/image/brands/buick.png','image/png',8717,1,1406987143),(30,1,'ford.png','public://field/image/brands/ford.png','image/png',5776,1,1406987166),(31,1,'lexus.png','public://field/image/brands/lexus.png','image/png',7073,1,1406987180),(32,1,'hyundai.png','public://field/image/brands/hyundai.png','image/png',7187,1,1406987193),(33,1,'mazda.png','public://field/image/brands/mazda.png','image/png',7191,1,1406987206),(34,1,'5.png','public://field/image/services/5.png','image/png',2918,1,1407313007),(36,1,'2.png','public://field/image/services/2.png','image/png',1918,1,1407313052),(38,1,'Autox_v02_services2_5.png','public://field/gallery/service/Autox_v02_services2_5.png','image/png',586602,1,1407313143),(39,1,'3.png','public://field/image/services/3.png','image/png',2535,1,1407313422),(41,1,'4.png','public://field/image/services/4.png','image/png',4464,1,1407313564),(42,1,'dreamstime_xxl_15424301.png','public://field/gallery/service/dreamstime_xxl_15424301.png','image/png',494693,1,1407313564),(43,1,'dreamstime_xl_17530350_2.png','public://field/gallery/dreamstime_xl_17530350_2.png','image/png',458704,1,1407314601),(44,1,'dreamstime_xl_17530350_3.png','public://field/gallery/dreamstime_xl_17530350_3.png','image/png',709847,1,1407314601),(45,1,'dreamstime_xl_17530350_4.png','public://field/gallery/dreamstime_xl_17530350_4.png','image/png',690220,1,1407314601),(47,1,'dreamstime_xl_17530350.png','public://field/image/product/dreamstime_xl_17530350.png','image/png',1619198,1,1407314601),(48,1,'slideshow2_1.jpg','public://field/slideshow/slideshow2_1.jpg','image/jpeg',562787,1,1407314664),(54,1,'dreamstime_xxl_27959668_1_0.png','public://field/gallery/dreamstime_xxl_27959668_1_0.png','image/png',1035526,1,1407318442),(55,1,'dreamstime_xxl_27959668_2.png','public://field/gallery/dreamstime_xxl_27959668_2.png','image/png',560053,1,1407318442),(56,1,'dreamstime_xxl_27959668_3.png','public://field/gallery/dreamstime_xxl_27959668_3.png','image/png',442464,1,1407318442),(57,1,'dreamstime_xxl_27959668_4.png','public://field/gallery/dreamstime_xxl_27959668_4.png','image/png',368669,1,1407318442),(58,1,'dreamstime_xxl_27959668_1.png','public://field/image/product/dreamstime_xxl_27959668_1.png','image/png',1035526,1,1407318442),(62,1,'Autox_v02_aboutus_0.png','public://field/image/block/Autox_v02_aboutus_0.png','image/png',234841,1,1407381435),(63,1,'Autox_v02_services4.png','public://field/image/block/Autox_v02_services4.png','image/png',232617,1,1407381537),(65,1,'picture-4-1407814530.png','public://pictures/picture-4-1407814530.png','image/png',1619832,1,1407814530),(66,1,'picture-5-1407814723.png','public://pictures/picture-5-1407814723.png','image/png',1214936,1,1407814723),(67,1,'picture-6-1407815320.png','public://pictures/picture-6-1407815320.png','image/png',1126073,1,1407815320),(68,1,'cat-1.png','public://categories/cat-1.png','image/png',908619,1,1407816071),(69,1,'cat-2.png','public://categories/cat-2.png','image/png',1140609,1,1407816210),(70,1,'cat-3.png','public://categories/cat-3.png','image/png',1537157,1,1407816299),(71,1,'cat-4.png','public://categories/cat-4.png','image/png',1461816,1,1407816385),(72,1,'vehicle-1.png','public://field/gallery/vehicle-1.png','image/png',964703,1,1407819597),(73,1,'vehicle-1.png','public://field/image/product/vehicle-1.png','image/png',964703,1,1407819652),(75,1,'career.png','public://field/image/block/career.png','image/png',271843,1,1407829749),(76,1,'why-us.png','public://field/image/block/why-us.png','image/png',215187,1,1407829900),(77,1,'why-us.png','public://field/image/block/why-us_0.png','image/png',215332,1,1407831112),(78,1,'why-us.png','public://field/image/block/why-us_1.png','image/png',221835,1,1407831287),(79,1,'why-us.png','public://field/image/block/why-us_2.png','image/png',180248,1,1407831602),(81,1,'service-1.png','public://field/gallery/service/service-1_0.png','image/png',304642,1,1407899116),(82,1,'service-2.png','public://field/gallery/service/service-2.png','image/png',927056,1,1407899373),(83,1,'news-1.png','public://field/image/news-1.png','image/png',638931,1,1407904722),(84,1,'news-2.png','public://field/image/news-2.png','image/png',624114,1,1407904755),(85,1,'news-3.png','public://field/image/news-3.png','image/png',797859,1,1407904769),(86,1,'news-4.png','public://field/image/news-4.png','image/png',508410,1,1407904783),(87,1,'news-5.png','public://field/image/news-5.png','image/png',736822,1,1407904797),(89,1,'picture-1-1407916446.png','public://pictures/picture-1-1407916446.png','image/png',1594180,1,1407916446),(90,1,'dealer-1.png','public://field/image/dealer-1.png','image/png',1209934,1,1407989233),(93,1,'slideshow3.jpg','public://field/slideshow/slideshow3.jpg','image/jpeg',726027,1,1408072906),(95,1,'vehicle-5.png','public://field/gallery/vehicle-5_0.png','image/png',1908354,1,1408073240),(96,1,'vehicle-5.png','public://field/image/product/vehicle-5_0.png','image/png',1908354,1,1408073240),(97,1,'vehicle-7.png','public://field/image/product/vehicle-7.png','image/png',788567,1,1408074106),(98,1,'vehicle-7.png','public://field/gallery/vehicle-7.png','image/png',788567,1,1408074106),(99,1,'vehicle-6.png','public://field/gallery/vehicle-6.png','image/png',960727,1,1408074430),(100,1,'vehicle-6.png','public://field/image/product/vehicle-6.png','image/png',960727,1,1408074430),(101,1,'vehicle-8.png','public://field/gallery/vehicle-8.png','image/png',1765295,1,1408074676),(102,1,'vehicle-8.png','public://field/image/product/vehicle-8.png','image/png',1765295,1,1408074676),(105,1,'vehicle-9.png','public://field/gallery/vehicle-9.png','image/png',1863037,1,1408075707),(106,1,'vehicle-9.png','public://field/image/product/vehicle-9.png','image/png',1863037,1,1408075707),(107,1,'vehicle-11.png','public://field/gallery/vehicle-11.png','image/png',1392745,1,1408075837),(108,1,'vehicle-11.png','public://field/image/product/vehicle-11.png','image/png',1392745,1,1408075837),(109,1,'vehicle-12.png','public://field/gallery/vehicle-12.png','image/png',1566446,1,1408075932),(110,1,'vehicle-12.png','public://field/image/product/vehicle-12.png','image/png',1566446,1,1408075932),(111,1,'why-us.png','public://field/image/block/why-us_3.png','image/png',156046,1,1408359065),(113,1,'vehicle-10.png','public://field/image/product/vehicle-10_0.png','image/png',1440178,1,1408416581),(114,1,'vehicle-10.png','public://field/gallery/vehicle-10_0.png','image/png',1440178,1,1408416581),(115,1,'news-6.png','public://field/image/news-6_0.png','image/png',1267161,1,1408423732),(116,1,'location-2.png','public://field/image/location-2.png','image/png',1838302,1,1408601538),(117,1,'location-3.png','public://field/image/location-3.png','image/png',2103293,1,1408601624),(125,1,'ferrari.png','public://field/image/brands/ferrari.png','image/png',65750,1,1408939381),(127,1,'honda.png','public://field/image/brands/honda.png','image/png',27474,1,1408939445),(131,1,'mercedes.png','public://field/image/brands/mercedes.png','image/png',49900,1,1408939543),(132,1,'audi.png','public://field/image/brands/audi_1.png','image/png',37258,1,1408939557),(133,1,'bmw.png','public://field/image/brands/bmw_1.png','image/png',47505,1,1408939573),(134,1,'volvo.png','public://field/image/brands/volvo.png','image/png',69499,1,1408939588);
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_usage` VALUES (2,'file','node',7,1),(3,'file','node',8,1),(4,'file','node',9,1),(5,'file','node',10,1),(6,'file','node',11,1),(20,'file','taxonomy_term',13,1),(21,'file','taxonomy_term',14,1),(28,'file','taxonomy_term',21,1),(29,'file','taxonomy_term',22,1),(30,'file','taxonomy_term',23,1),(31,'file','taxonomy_term',24,1),(32,'file','taxonomy_term',25,1),(33,'file','taxonomy_term',26,1),(34,'file','node',19,1),(36,'file','node',20,1),(38,'file','node',20,1),(39,'file','node',21,1),(41,'file','node',22,1),(42,'file','node',22,1),(43,'file','node',23,1),(44,'file','node',23,1),(45,'file','node',23,1),(47,'file','node',23,1),(48,'file','node',23,1),(54,'file','node',25,1),(55,'file','node',25,1),(56,'file','node',25,1),(57,'file','node',25,1),(58,'file','node',25,1),(62,'file','bean',1,1),(63,'file','bean',2,1),(65,'user','user',4,1),(66,'user','user',5,1),(67,'user','user',6,1),(68,'file','taxonomy_term',6,1),(69,'file','taxonomy_term',7,1),(70,'file','taxonomy_term',9,1),(71,'file','taxonomy_term',8,1),(72,'file','node',35,1),(73,'file','node',35,1),(75,'file','bean',2,2),(76,'file','bean',1,3),(77,'file','bean',1,1),(78,'file','bean',1,1),(79,'file','bean',1,1),(81,'file','node',19,1),(82,'file','node',21,1),(83,'file','node',16,1),(84,'file','node',15,1),(85,'file','node',14,1),(86,'file','node',13,1),(87,'file','node',12,1),(89,'user','user',1,1),(90,'file','node',34,1),(93,'file','node',36,1),(95,'file','node',36,1),(96,'file','node',36,1),(97,'file','node',37,1),(98,'file','node',37,1),(99,'file','node',38,1),(100,'file','node',38,1),(101,'file','node',39,1),(102,'file','node',39,1),(105,'file','node',41,1),(106,'file','node',41,1),(107,'file','node',42,1),(108,'file','node',42,1),(109,'file','node',43,1),(110,'file','node',43,1),(111,'file','bean',1,1),(113,'file','node',40,1),(114,'file','node',40,1),(115,'file','node',45,1),(116,'file','node',33,1),(117,'file','node',32,1),(125,'file','taxonomy_term',15,1),(127,'file','taxonomy_term',16,1),(131,'file','taxonomy_term',17,1),(132,'file','taxonomy_term',18,1),(133,'file','taxonomy_term',19,1),(134,'file','taxonomy_term',20,1);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter`
--

DROP TABLE IF EXISTS `filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter` (
  `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',
  PRIMARY KEY (`format`,`name`),
  KEY `list` (`weight`,`module`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter`
--

LOCK TABLES `filter` WRITE;
/*!40000 ALTER TABLE `filter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter` VALUES ('filtered_html','filter','filter_autop',2,1,'a:0:{}'),('filtered_html','filter','filter_html',1,1,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('filtered_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('filtered_html','filter','filter_html_escape',-10,0,'a:0:{}'),('filtered_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('full_html','filter','filter_autop',1,1,'a:0:{}'),('full_html','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('full_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('full_html','filter','filter_html_escape',-10,0,'a:0:{}'),('full_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','filter','filter_autop',0,0,'a:0:{}'),('php_code','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('php_code','filter','filter_htmlcorrector',10,0,'a:0:{}'),('php_code','filter','filter_html_escape',-10,0,'a:0:{}'),('php_code','filter','filter_url',0,0,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','gmap','gmap_macro',0,0,'a:0:{}'),('php_code','php','php_code',0,1,'a:0:{}'),('plain_text','filter','filter_autop',2,1,'a:0:{}'),('plain_text','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('plain_text','filter','filter_htmlcorrector',10,0,'a:0:{}'),('plain_text','filter','filter_html_escape',0,1,'a:0:{}'),('plain_text','filter','filter_url',1,1,'a:1:{s:17:\"filter_url_length\";i:72;}');
/*!40000 ALTER TABLE `filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter_format`
--

DROP TABLE IF EXISTS `filter_format`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter_format` (
  `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',
  `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',
  PRIMARY KEY (`format`),
  UNIQUE KEY `name` (`name`),
  KEY `status_weight` (`status`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter_format`
--

LOCK TABLES `filter_format` WRITE;
/*!40000 ALTER TABLE `filter_format` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter_format` VALUES ('filtered_html','Filtered HTML',1,1,0),('full_html','Full HTML',1,1,1),('php_code','PHP code',0,1,11),('plain_text','Plain text',1,1,10);
/*!40000 ALTER TABLE `filter_format` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flexslider_optionset`
--

DROP TABLE IF EXISTS `flexslider_optionset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flexslider_optionset` (
  `name` varchar(255) NOT NULL COMMENT 'The machine-readable option set name.',
  `title` varchar(255) NOT NULL COMMENT 'The human-readable title for this option set.',
  `theme` varchar(255) NOT NULL DEFAULT 'classic' COMMENT 'The flexslider theme.',
  `options` longblob COMMENT 'The options array.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Store option sets for flexslider instances.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flexslider_optionset`
--

LOCK TABLES `flexslider_optionset` WRITE;
/*!40000 ALTER TABLE `flexslider_optionset` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flexslider_optionset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `history` VALUES (1,17,1500440429),(1,18,1500440516),(1,36,1500440484),(1,43,1500440492);
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_effects`
--

DROP TABLE IF EXISTS `image_effects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_effects` (
  `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',
  `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',
  `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',
  PRIMARY KEY (`ieid`),
  KEY `isid` (`isid`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_effects`
--

LOCK TABLES `image_effects` WRITE;
/*!40000 ALTER TABLE `image_effects` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_effects` VALUES (1,1,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"470\";s:6:\"height\";s:3:\"240\";}'),(2,2,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"260\";s:6:\"height\";s:3:\"150\";}'),(3,3,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"370\";s:6:\"height\";s:3:\"190\";}'),(4,4,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"850\";s:6:\"height\";s:3:\"560\";}');
/*!40000 ALTER TABLE `image_effects` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_styles`
--

DROP TABLE IF EXISTS `image_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_styles` (
  `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',
  `name` varchar(255) NOT NULL COMMENT 'The style machine name.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The style administrative name.',
  PRIMARY KEY (`isid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_styles`
--

LOCK TABLES `image_styles` WRITE;
/*!40000 ALTER TABLE `image_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_styles` VALUES (1,'thumbnail_vehicle','Thumbnail (470x240)'),(2,'thumbnail_category','Thumbnail (260x150)'),(3,'thumbnail_grid','Thumbnail (370x190)'),(4,'thumbnail_big_vehicle','Thumbnail (850x560)');
/*!40000 ALTER TABLE `image_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Language name in English.',
  `native` varchar(64) NOT NULL DEFAULT '' COMMENT 'Native language name.',
  `direction` int(11) NOT NULL DEFAULT '0' COMMENT 'Direction of language (Left-to-Right = 0, Right-to-Left = 1).',
  `enabled` int(11) NOT NULL DEFAULT '0' COMMENT 'Enabled flag (1 = Enabled, 0 = Disabled).',
  `plurals` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of plural indexes in this language.',
  `formula` varchar(255) NOT NULL DEFAULT '' COMMENT 'Plural formula in PHP code to evaluate to get plural indexes.',
  `domain` varchar(128) NOT NULL DEFAULT '' COMMENT 'Domain to use for this language.',
  `prefix` varchar(128) NOT NULL DEFAULT '' COMMENT 'Path prefix to use for this language.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight, used in lists of languages.',
  `javascript` varchar(64) NOT NULL DEFAULT '' COMMENT 'Location of JavaScript translation file.',
  PRIMARY KEY (`language`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of all available languages in the system.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `languages` VALUES ('ar','Arabic','العربية',1,1,0,'','','ar',0,''),('en','English','English',0,1,0,'','','en',0,'');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `location` longtext COMMENT 'Drupal path in case of online discovered translations or file path in case of imported strings.',
  `textgroup` varchar(255) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal, where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=3647 DEFAULT CHARSET=utf8 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_source` VALUES (1,'misc/drupal.js','default','An AJAX HTTP error occurred.','','none'),(2,'misc/drupal.js','default','HTTP Result Code: !status','','none'),(3,'misc/drupal.js','default','An AJAX HTTP request terminated abnormally.','','none'),(4,'misc/drupal.js','default','Debugging information follows.','','none'),(5,'misc/drupal.js','default','Path: !uri','','none'),(6,'misc/drupal.js','default','StatusText: !statusText','','none'),(7,'misc/drupal.js','default','ResponseText: !responseText','','none'),(8,'misc/drupal.js','default','ReadyState: !readyState','','none'),(9,'modules/overlay/overlay-child.js','default','Loading','','7.34'),(10,'modules/overlay/overlay-child.js; misc/vertical-tabs.js','default','(active tab)','','7.34'),(11,'misc/collapse.js','default','Hide','','none'),(12,'misc/collapse.js','default','Show','','none'),(13,'sites/all/modules/jcarousel/js/jcarousel.js','default','Internal server error. Please see server or PHP logs for error information.','','none'),(14,'sites/all/modules/jcarousel/js/jcarousel.js','default','An error occurred at @path.\\n\\nError Description: @error','','none'),(15,'sites/all/modules/module_filter/js/module_filter.js','default','No results','','none'),(16,'sites/all/modules/module_filter/js/module_filter.js','default','clear','','none'),(17,'sites/all/modules/module_filter/js/module_filter_tab.js','default','All','','7.34'),(18,'sites/all/modules/module_filter/js/module_filter_tab.js','default','New','','none'),(19,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules installed within the last week.','','none'),(20,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules added within the last week.','','none'),(21,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Recent','','none'),(22,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules enabled/disabled within the last week.','','none'),(23,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules were enabled or disabled within the last week.','','none'),(24,'sites/all/modules/module_filter/js/module_filter_tab.js','default','@enabled of @total','','none'),(25,'sites/all/themes/autox/js/weebpal.js','default','Are you sure you want to reset your theme settings to default theme settings?','','none'),(26,'sites/all/themes/autox/js/autox.js','default','Keywords','','7.34'),(27,'misc/ajax.js','default','Please wait...','','none'),(28,'modules/overlay/overlay-parent.js','default','@title dialog','','none'),(29,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','Resume','','none'),(30,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','Pause','','7.34'),(31,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','There was no action specified.','','none'),(32,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','This slideshow is forced paused.','','none'),(33,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','An invalid integer was specified for slideNum.','','none'),(34,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','An invalid action \"!action\" was specified.','','none'),(35,'sites/all/modules/newsletter/js/newsletter.js','default','user@example.com','','7.34'),(36,'modules/contextual/contextual.js','default','Configure','','7.32'),(37,'misc/tabledrag.js','default','Re-order rows by numerical weight instead of dragging.','','none'),(38,'misc/tabledrag.js','default','Show row weights','','none'),(39,'misc/tabledrag.js','default','Hide row weights','','none'),(40,'misc/tabledrag.js','default','Drag to re-order','','none'),(41,'misc/tabledrag.js','default','Changes made in this table will not be saved until the form is submitted.','','none'),(42,'/admin/config/regional/language?render=overlay','default','Public files','','7.34'),(43,'/admin/config/regional/language?render=overlay','default','Public local files served by the webserver.','','7.34'),(44,'/admin/config/regional/language?render=overlay','default','Temporary files','','7.34'),(45,'/admin/config/regional/language?render=overlay','default','Temporary local files for upload and previews.','','7.34'),(46,'/admin/config/regional/language?render=overlay','default','Languages','','7.34'),(47,'/admin/config/regional/language?render=overlay','default','Configure languages for content and the user interface.','','7.34'),(48,'/admin/config/regional/language?render=overlay','default','Long','','7.34'),(49,'/admin/config/regional/language?render=overlay','default','Medium','','7.34'),(50,'/admin/config/regional/language?render=overlay','default','Short','','7.34'),(51,'/admin/config/regional/language?render=overlay','default','Home','','7.34'),(52,'/admin/config/regional/language?render=overlay','default','Administration','','7.34'),(53,'/admin/config/regional/language?render=overlay','default','Appearance','','7.34'),(54,'/admin/config/regional/language?render=overlay','default','Select and configure your themes.','','7.34'),(55,'/admin/config/regional/language?render=overlay','default','Configuration','','7.34'),(56,'/admin/config/regional/language?render=overlay','default','Administer settings.','','7.34'),(57,'/admin/config/regional/language?render=overlay','default','Content authoring','','7.34'),(58,'/admin/config/regional/language?render=overlay','default','Settings related to formatting and authoring content.','','7.34'),(59,'/admin/config/regional/language?render=overlay','default','Development','','7.34'),(60,'/admin/config/regional/language?render=overlay','default','Development tools.','','7.34'),(61,'/admin/config/regional/language?render=overlay','default','Media','','7.34'),(62,'/admin/config/regional/language?render=overlay','default','Media tools.','','7.34'),(63,'/admin/config/regional/language?render=overlay','default','People','','7.34'),(64,'/admin/config/regional/language?render=overlay','default','Configure user accounts.','','7.34'),(65,'/admin/config/regional/language?render=overlay','default','Regional and language','','7.34'),(66,'/admin/config/regional/language?render=overlay','default','Regional settings, localization and translation.','','7.34'),(67,'/admin/config/regional/language?render=overlay','default','Date and time','','7.34'),(68,'/admin/config/regional/language?render=overlay','default','Configure display formats for date and time.','','7.34'),(69,'/admin/config/regional/language?render=overlay','default','Regional settings','','7.34'),(70,'/admin/config/regional/language?render=overlay','default','Settings for the site\'s default time zone and country.','','7.34'),(71,'/admin/config/regional/language?render=overlay','default','Countries','','7.34'),(72,'/admin/config/regional/language?render=overlay','default','List, edit, or add countries.','','7.34'),(73,'/admin/config/regional/language?render=overlay','default','Detection and selection','','7.34'),(74,'/admin/config/regional/language?render=overlay','default','List','','7.34'),(75,'/admin/config/regional/language?render=overlay','default','Add language','','7.34'),(76,'/admin/config/regional/language?render=overlay','default','Translate interface','','7.34'),(77,'/admin/config/regional/language?render=overlay','default','Translate the built in interface and optionally other text.','','7.34'),(78,'/admin/config/regional/language?render=overlay','default','Search and metadata','','7.34'),(79,'/admin/config/regional/language?render=overlay','default','Local site search, metadata and SEO.','','7.34'),(80,'/admin/config/regional/language?render=overlay','default','System','','7.34'),(81,'/admin/config/regional/language?render=overlay','default','General system related configuration.','','7.34'),(82,'/admin/config/regional/language?render=overlay','default','User interface','','7.34'),(83,'/admin/config/regional/language?render=overlay','default','Tools that enhance the user interface.','','7.34'),(84,'/admin/config/regional/language?render=overlay','default','Web services','','7.34'),(85,'/admin/config/regional/language?render=overlay','default','Tools related to web services.','','7.34'),(86,'/admin/config/regional/language?render=overlay','default','Workflow','','7.34'),(87,'/admin/config/regional/language?render=overlay','default','Content workflow, editorial workflow tools.','','7.34'),(88,'/admin/config/regional/language?render=overlay','default','Administration tools.','','7.34'),(89,'/admin/config/regional/language?render=overlay','default','Date API','','7.34'),(90,'/admin/config/regional/language?render=overlay','default','Settings for modules the use the Date API.','','7.34'),(91,'/admin/config/regional/language?render=overlay','default','Content','','7.34'),(92,'/admin/config/regional/language?render=overlay','default','Administer content and comments.','','7.34'),(93,'/admin/config/regional/language?render=overlay','default','Dashboard','','7.34'),(94,'/admin/config/regional/language?render=overlay','default','View and customize your dashboard.','','7.34'),(95,'/admin/config/regional/language?render=overlay','default','Index','','7.34'),(96,'/admin/config/regional/language?render=overlay','default','Modules','','7.34'),(97,'/admin/config/regional/language?render=overlay','default','Extend site functionality.','','7.34'),(98,'/admin/config/regional/language?render=overlay','default','Manage user accounts, roles, and permissions.','','7.34'),(99,'/admin/config/regional/language?render=overlay','default','Reports','','7.34'),(100,'/admin/config/regional/language?render=overlay','default','View reports, updates, and errors.','','7.34'),(101,'/admin/config/regional/language?render=overlay','default','Structure','','7.34'),(102,'/admin/config/regional/language?render=overlay','default','Administer blocks, content types, menus, etc.','','7.34'),(103,'/admin/config/regional/language?render=overlay','default','Tasks','','7.34'),(104,'/admin/config/regional/language?render=overlay','default','Help','','7.34'),(105,'/admin/config/regional/language?render=overlay','default','Reference for usage, configuration, and modules.','','7.34'),(106,'/admin/config/regional/language?render=overlay','default','Drupal core update status','','7.34'),(107,'/admin/config/regional/language?render=overlay','default','No update data available','','7.32'),(108,'/admin/config/regional/language?render=overlay','default','No update information available. <a href=\"@run_cron\">Run cron</a> or <a href=\"@check_manually\">check manually</a>.','','7.32'),(109,'/admin/config/regional/language?render=overlay','default','Weight for @title','','7.34'),(110,'/admin/config/regional/language?render=overlay','default','Right to left','','7.32'),(111,'/admin/config/regional/language?render=overlay','default','Left to right','','7.32'),(112,'/admin/config/regional/language?render=overlay','default','Enabled languages','','7.32'),(113,'/admin/config/regional/language?render=overlay','default','Default language','','7.32'),(114,'/admin/config/regional/language?render=overlay','default','Save configuration','','7.34'),(115,'/admin/config/regional/language?render=overlay','default','Location chooser','','7.34'),(116,'/admin/config/regional/language?render=overlay','default','Used to activate location choosing using a gmap.','','7.34'),(117,'/admin/config/regional/language?render=overlay','default','Disable dragging','','7.34'),(118,'/admin/config/regional/language?render=overlay','default','Remove the ability for the user to drag the map. If dragging is disabled, keyboard shortcuts are implicitly disabled.','','7.34'),(119,'/admin/config/regional/language?render=overlay','default','Disable keyboard','','7.34'),(120,'/admin/config/regional/language?render=overlay','default','Disable the keyboard shortcuts.','','7.34'),(121,'/admin/config/regional/language?render=overlay','default','Disable mousezoom','','7.34'),(122,'/admin/config/regional/language?render=overlay','default','Disable using the scroll wheel to zoom the map.','','7.34'),(123,'/admin/config/regional/language?render=overlay','default','Disable Continuous Zoom','','7.34'),(124,'/admin/config/regional/language?render=overlay','default','Disable dynamically resizing images while waiting for tiles to load when zooming.','','7.34'),(125,'/admin/config/regional/language?render=overlay','default','Use AutoZoom','','7.34'),(126,'/admin/config/regional/language?render=overlay','default','Automatically zoom the map to fit all markers when markers are added.','','7.34'),(127,'/admin/config/regional/language?render=overlay','default','Unconditionally enable marker interface','','7.34'),(128,'/admin/config/regional/language?render=overlay','default','Load the marker loader system even if no markers to load are detected. Useful if you are injecting markers from somewhere else.','','7.34'),(129,'/admin/config/regional/language?render=overlay','default','Enable Overview Map','','7.34'),(130,'/admin/config/regional/language?render=overlay','default','Enable the \"overview map\" in the bottom right corner.','','7.34'),(131,'/admin/config/regional/language?render=overlay','default','Work around bugs when maps appear in collapsible fieldsets','','7.34'),(132,'/admin/config/regional/language?render=overlay','default','Enabling this will work around some issues that can occur when maps appear inside collapsible fieldsets.','','7.34'),(133,'/admin/config/regional/language?render=overlay','default','Add scale control to map.','','7.34'),(134,'/admin/config/regional/language?render=overlay','default','Adds a scale control to the map in the default position.','','7.34'),(135,'/admin/config/regional/language?render=overlay','default','Enable extra marker events.','','7.34'),(136,'/admin/config/regional/language?render=overlay','default','Used for advanced javascript work, this will enable the <em>mouseovermarker</em>, <em>mouseoutmarker</em>, and <em>dblclickmarker</em> events.','','7.34'),(137,'/admin/config/regional/language?render=overlay','default','Enable clickable shapes.','','7.34'),(138,'/admin/config/regional/language?render=overlay','default','Used for advanced javascript work, this will enable the <em>clickshape</em> event.','','7.34'),(139,'/admin/config/regional/language?render=overlay','default','Highlight marker on rollover','','7.34'),(140,'/admin/config/regional/language?render=overlay','default','Highlight marker by creating circle on mouse rollover event.','','7.34'),(141,'/admin/config/regional/language?render=overlay','default','Page top','','7.34'),(142,'/admin/config/regional/language?render=overlay','default','Page bottom','','7.34'),(143,'/admin/config/regional/language?render=overlay','default','First sidebar','','7.34'),(144,'/admin/config/regional/language?render=overlay','default','Dashboard (main)','','7.34'),(145,'/admin/config/regional/language?render=overlay','default','Dashboard (sidebar)','','7.34'),(146,'/admin/config/regional/language?render=overlay','default','Dashboard (inactive)','','7.34'),(147,'/admin/config/regional/language?render=overlay','default','Blog entry','','7.34'),(148,'/admin/config/regional/language?render=overlay','default','Use for multi-user blogs. Every user gets a personal blog.','','7.34'),(149,'/admin/config/regional/language?render=overlay','default','With multiple languages enabled, interface text can be translated, registered users may select their preferred language, and authors can assign a specific language to content. <a href=\"@translations\">Download contributed translations</a> from Drupal.org.','','7.32'),(150,'/admin/config/regional/language?render=overlay','default','Block','','7.34'),(151,'/admin/config/regional/language?render=overlay','default','Default','','7.34'),(152,'/admin/config/regional/language?render=overlay','default','Title','','7.34'),(153,'/admin/config/regional/language?render=overlay','default','The Title of the block.','','7.34'),(154,'/admin/config/regional/language?render=overlay','default','Comment','','7.34'),(155,'/admin/config/regional/language?render=overlay','default','Full comment','','7.34'),(156,'/admin/config/regional/language?render=overlay','default','@node_type comment','','7.34'),(157,'/admin/config/regional/language?render=overlay','default','Country','','7.34'),(158,'/admin/config/regional/language?render=overlay','default','Field collection item','','7.34'),(159,'/admin/config/regional/language?render=overlay','default','Full content','','7.34'),(160,'/admin/config/regional/language?render=overlay','default','Field collection @field','','7.34'),(161,'/admin/config/regional/language?render=overlay','default','Path-based meta tags','','7.34'),(162,'/admin/config/regional/language?render=overlay','default','Newsletter subscriber','','7.34'),(163,'/admin/config/regional/language?render=overlay','default','Newsletter list','','7.34'),(164,'/admin/config/regional/language?render=overlay','default','Newsletter template','','7.34'),(165,'/admin/config/regional/language?render=overlay','default','Newsletter','','7.34'),(166,'/admin/config/regional/language?render=overlay','default','Node','','7.34'),(167,'/admin/config/regional/language?render=overlay','default','Teaser','','7.34'),(168,'/admin/config/regional/language?render=overlay','default','RSS','','7.34'),(169,'/admin/config/regional/language?render=overlay','default','Search index','','7.34'),(170,'/admin/config/regional/language?render=overlay','default','Search result','','7.32'),(171,'/admin/config/regional/language?render=overlay','default','File','','7.34'),(172,'/admin/config/regional/language?render=overlay','default','Taxonomy term','','7.34'),(173,'/admin/config/regional/language?render=overlay','default','Taxonomy term page','','7.34'),(174,'/admin/config/regional/language?render=overlay','default','Taxonomy vocabulary','','7.34'),(175,'/admin/config/regional/language?render=overlay','default','User','','7.34'),(176,'/admin/config/regional/language?render=overlay','default','User account','','7.34'),(177,'/admin/config/regional/language?render=overlay','default','Tokens','','7.34'),(178,'/admin/config/regional/language?render=overlay','default','Nodes','','7.34'),(179,'/admin/config/regional/language?render=overlay','default','Users','','7.34'),(180,'/admin/config/regional/language?render=overlay','default','Files','','7.34'),(181,'/admin/config/regional/language?render=overlay','default','Nodes represent the main site content items.','','7.34'),(182,'/admin/config/regional/language?render=overlay','default','Users who have created accounts on your site.','','7.34'),(183,'/admin/config/regional/language?render=overlay','default','Uploaded file.','','7.34'),(184,'/admin/config/regional/language?render=overlay','default','Comments','','7.34'),(185,'/admin/config/regional/language?render=overlay','default','Remark or note that refers to a node.','','7.34'),(186,'/admin/config/regional/language?render=overlay','default','Taxonomy terms','','7.34'),(187,'/admin/config/regional/language?render=overlay','default','Taxonomy terms are used for classifying content.','','7.34'),(188,'/admin/config/regional/language?render=overlay','default','Taxonomy vocabularies','','7.34'),(189,'/admin/config/regional/language?render=overlay','default','Vocabularies contain related taxonomy terms, which are used for classifying content.','','7.34'),(190,'/admin/config/regional/language?render=overlay','default','Postal address','','7.34'),(191,'/admin/config/regional/language?render=overlay','default','A field type used for storing postal addresses according the xNAL standard.','','7.34'),(192,'/admin/config/regional/language?render=overlay','default','This field stores a country reference in the database.','','7.34'),(193,'/admin/config/regional/language?render=overlay','default','Store a date in the database as a datetime field, recommended for complete dates and times that may need timezone conversion.','','7.34'),(194,'/admin/config/regional/language?render=overlay','default','Store a date in the database as an ISO date, recommended for historical or partial dates.','','7.34'),(195,'/admin/config/regional/language?render=overlay','default','Store a date in the database as a timestamp, deprecated format to support legacy data.','','7.34'),(196,'/admin/config/regional/language?render=overlay','default','This field stores and renders email addresses.','','7.34'),(197,'/admin/config/regional/language?render=overlay','default','Entity Reference','','7.34'),(198,'/admin/config/regional/language?render=overlay','default','This field reference another entity.','','7.34'),(199,'/admin/config/regional/language?render=overlay','default','Field collection','','7.34'),(200,'/admin/config/regional/language?render=overlay','default','This field stores references to embedded entities, which itself may contain any number of fields.','','7.34'),(201,'/admin/config/regional/language?render=overlay','default','This field stores the ID of a file as an integer value.','','7.34'),(202,'/admin/config/regional/language?render=overlay','default','Image','','7.34'),(203,'/admin/config/regional/language?render=overlay','default','This field stores the ID of an image file as an integer value.','','7.34'),(204,'/admin/config/regional/language?render=overlay','default','Link','','7.34'),(205,'/admin/config/regional/language?render=overlay','default','Store a title, href, and attributes in the database to assemble a link.','','7.34'),(206,'/admin/config/regional/language?render=overlay','default','List (integer)','','7.34'),(207,'/admin/config/regional/language?render=overlay','default','This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.','','7.34'),(208,'/admin/config/regional/language?render=overlay','default','List (float)','','7.34'),(209,'/admin/config/regional/language?render=overlay','default','This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.','','7.34'),(210,'/admin/config/regional/language?render=overlay','default','List (text)','','7.34'),(211,'/admin/config/regional/language?render=overlay','default','This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.','','7.34'),(212,'/admin/config/regional/language?render=overlay','default','Boolean','','7.34'),(213,'/admin/config/regional/language?render=overlay','default','This field stores simple on/off or yes/no options.','','7.34'),(214,'/admin/config/regional/language?render=overlay','default','Meta tag to be displayed in the head section.','','7.34'),(215,'/admin/config/regional/language?render=overlay','default','Integer','','7.34'),(216,'/admin/config/regional/language?render=overlay','default','This field stores a number in the database as an integer.','','7.34'),(217,'/admin/config/regional/language?render=overlay','default','Decimal','','7.34'),(218,'/admin/config/regional/language?render=overlay','default','This field stores a number in the database in a fixed decimal format.','','7.34'),(219,'/admin/config/regional/language?render=overlay','default','Float','','7.34'),(220,'/admin/config/regional/language?render=overlay','default','This field stores a number in the database in a floating point format.','','7.34'),(221,'/admin/config/regional/language?render=overlay','default','Term reference','','7.34'),(222,'/admin/config/regional/language?render=overlay','default','This field stores a reference to a taxonomy term.','','7.34'),(223,'/admin/config/regional/language?render=overlay','default','Text','','7.34'),(224,'/admin/config/regional/language?render=overlay','default','This field stores varchar text in the database.','','7.34'),(225,'/admin/config/regional/language?render=overlay','default','Long text','','7.34'),(226,'/admin/config/regional/language?render=overlay','default','This field stores long text in the database.','','7.34'),(227,'/admin/config/regional/language?render=overlay','default','Long text and summary','','7.34'),(228,'/admin/config/regional/language?render=overlay','default','This field stores long text in the database along with optional summary text.','','7.34'),(229,'/admin/config/regional/language?render=overlay','default','Dynamic address form','','7.34'),(230,'/admin/config/regional/language?render=overlay','default','Countries by continent','','7.34'),(231,'/admin/config/regional/language?render=overlay','default','Select list','','7.34'),(232,'/admin/config/regional/language?render=overlay','default','Text field','','7.34'),(233,'/admin/config/regional/language?render=overlay','default','Pop-up calendar','','7.34'),(234,'/admin/config/regional/language?render=overlay','default','Autocomplete','','7.34'),(235,'/admin/config/regional/language?render=overlay','default','An autocomplete text field.','','7.34'),(236,'/admin/config/regional/language?render=overlay','default','Autocomplete (Tags style)','','7.34'),(237,'/admin/config/regional/language?render=overlay','default','Hidden','','7.34'),(238,'/admin/config/regional/language?render=overlay','default','Embedded','','7.34'),(239,'/admin/config/regional/language?render=overlay','default','Text area','','7.34'),(240,'/admin/config/regional/language?render=overlay','default','Checkboxes','','7.34'),(241,'/admin/config/regional/language?render=overlay','default','Check boxes/radio buttons','','7.34'),(242,'/admin/config/regional/language?render=overlay','default','Single on/off checkbox','','7.34'),(243,'/admin/config/regional/language?render=overlay','default','Autocomplete term widget (tagging)','','7.34'),(244,'/admin/config/regional/language?render=overlay','default','Text area (multiple rows)','','7.34'),(245,'/admin/config/regional/language?render=overlay','default','Text area with a summary','','7.34'),(246,'/admin/config/regional/language?render=overlay','default','Official name','','7.34'),(247,'/admin/config/regional/language?render=overlay','default','ISO alpha-2 code','','7.34'),(248,'/admin/config/regional/language?render=overlay','default','ISO alpha-3 code','','7.34'),(249,'/admin/config/regional/language?render=overlay','default','ISO numeric-3 code','','7.34'),(250,'/admin/config/regional/language?render=overlay','default','Continent','','7.34'),(251,'/admin/config/regional/language?render=overlay','default','Continent code','','7.34'),(252,'/admin/config/regional/language?render=overlay','default','Time ago','','7.34'),(253,'/admin/config/regional/language?render=overlay','default','Plain','','7.34'),(254,'/admin/config/regional/language?render=overlay','default','Default email link','','7.34'),(255,'/admin/config/regional/language?render=overlay','default','Display the email address as a mailto link.','','7.34'),(256,'/admin/config/regional/language?render=overlay','default','Email contact form','','7.34'),(257,'/admin/config/regional/language?render=overlay','default','Display a contact form.','','7.34'),(258,'/admin/config/regional/language?render=overlay','default','Email plain text','','7.34'),(259,'/admin/config/regional/language?render=overlay','default','Display the email address as plain text.','','7.34'),(260,'/admin/config/regional/language?render=overlay','default','Label','','7.34'),(261,'/admin/config/regional/language?render=overlay','default','Display the label of the referenced entities.','','7.34'),(262,'/admin/config/regional/language?render=overlay','default','Entity id','','7.34'),(263,'/admin/config/regional/language?render=overlay','default','Display the id of the referenced entities.','','7.34'),(264,'/admin/config/regional/language?render=overlay','default','Rendered entity','','7.34'),(265,'/admin/config/regional/language?render=overlay','default','Display the referenced entities rendered by entity_view().','','7.34'),(266,'/admin/config/regional/language?render=overlay','default','Links to field collection items','','7.34'),(267,'/admin/config/regional/language?render=overlay; misc/machine-name.js','default','Edit','','7.34'),(268,'/admin/config/regional/language?render=overlay','default','Delete','','7.34'),(269,'/admin/config/regional/language?render=overlay; sites/all/modules/views/js/views-admin.js','default','Add','','7.34'),(270,'/admin/config/regional/language?render=overlay','default','Field collection items','','7.34'),(271,'/admin/config/regional/language?render=overlay','default','Fields only','','7.34'),(272,'/admin/config/regional/language?render=overlay','default','Generic file','','7.34'),(273,'/admin/config/regional/language?render=overlay','default','Table of files','','7.34'),(274,'/admin/config/regional/language?render=overlay','default','URL to file','','7.34'),(275,'/admin/config/regional/language?render=overlay','default','jQuery Gallery','','7.34'),(276,'/admin/config/regional/language?render=overlay','default','Display multi-value fields as an jQuery Image gallery.','','7.34'),(277,'/admin/config/regional/language?render=overlay','default','Title, as link (default)','','7.34'),(278,'/admin/config/regional/language?render=overlay','default','Title, as plain text','','7.34'),(279,'/admin/config/regional/language?render=overlay','default','URL, as link','','7.34'),(280,'/admin/config/regional/language?render=overlay','default','URL, as plain text','','7.34'),(281,'/admin/config/regional/language?render=overlay','default','URL, absolute','','7.34'),(282,'/admin/config/regional/language?render=overlay','default','Domain, as link','','7.34'),(283,'/admin/config/regional/language?render=overlay','default','Short, as link with title \"Link\"','','7.34'),(284,'/admin/config/regional/language?render=overlay','default','Label, as link with label as title','','7.34'),(285,'/admin/config/regional/language?render=overlay','default','Separate title and URL','','7.34'),(286,'/admin/config/regional/language?render=overlay','default','Key','','7.34'),(287,'/admin/config/regional/language?render=overlay','default','Link head element','','7.34'),(288,'/admin/config/regional/language?render=overlay','default','Plain text of  metatags_quick','','7.34'),(289,'/admin/config/regional/language?render=overlay','default','Provide the content as plain text.','','7.34'),(290,'/admin/config/regional/language?render=overlay','default','Set page title','','7.34'),(291,'/admin/config/regional/language?render=overlay','default','Default metatags_quick formatter','','7.34'),(292,'/admin/config/regional/language?render=overlay','default','Add meta to html head.','','7.34'),(293,'/admin/config/regional/language?render=overlay','default','Unformatted','','7.34'),(294,'/admin/config/regional/language?render=overlay','default','Plain text','','7.34'),(295,'/admin/config/regional/language?render=overlay','default','RSS category','','7.34'),(296,'/admin/config/regional/language?render=overlay','default','Trimmed','','7.34'),(297,'/admin/config/regional/language?render=overlay','default','Summary or trimmed','','7.34'),(298,'/admin/config/regional/language?render=overlay','default','Default SQL storage','','7.34'),(299,'/admin/config/regional/language?render=overlay','default','Stores fields in the local SQL database, using per-field tables.','','7.34'),(300,'/admin/config/regional/language?render=overlay','default','Main menu','','7.34'),(301,'/admin/config/regional/language?render=overlay','default','Management','','7.34'),(302,'/admin/config/regional/language?render=overlay','default','Categories','','7.34'),(303,'/admin/config/regional/language?render=overlay','default','Essential Links','','7.34'),(304,'/admin/config/regional/language?render=overlay','default','Footer Menu','','7.34'),(305,'/admin/config/regional/language?render=overlay','default','Social Menu','','7.34'),(306,'/admin/config/regional/language?render=overlay','default','Navigation','','7.34'),(307,'/admin/config/regional/language?render=overlay','default','User menu','','7.34'),(308,'/admin/config/regional/language?render=overlay','default','Normal','','7.34'),(309,'/admin/config/regional/language?render=overlay','default','Overridden','','7.34'),(310,'/admin/config/regional/language?render=overlay','default','Select and configure your theme','','7.34'),(311,'/admin/config/regional/language?render=overlay','default','Settings','','7.34'),(312,'/admin/config/regional/language?render=overlay','default','Configure default and theme specific settings.','','7.34'),(313,'/admin/config/regional/language?render=overlay','default','Autox','','7.34'),(314,'/admin/config/regional/language?render=overlay','default','Bartik','','7.34'),(315,'/admin/config/regional/language?render=overlay','default','Global settings','','7.34'),(316,'/admin/config/regional/language?render=overlay','default','Seven','','7.34'),(317,'/admin/config/regional/language?render=overlay','default','Install new theme','','7.34'),(318,'/admin/config/regional/language?render=overlay','default','Update','','7.34'),(319,'/admin/config/regional/language?render=overlay','default','Text formats','','7.34'),(320,'/admin/config/regional/language?render=overlay','default','Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','','7.34'),(321,'/admin/config/regional/language?render=overlay','default','Add text format','','7.34'),(322,'/admin/config/regional/language?render=overlay','default','Webform settings','','7.34'),(323,'/admin/config/regional/language?render=overlay','default','Global configuration of webform functionality.','','7.34'),(324,'/admin/config/regional/language?render=overlay','default','Location','','7.34'),(325,'/admin/config/regional/language?render=overlay','default','Settings for Location module','','7.34'),(326,'/admin/config/regional/language?render=overlay','default','Geocoding options','','7.34'),(327,'/admin/config/regional/language?render=overlay','default','Location utilities','','7.34'),(328,'/admin/config/regional/language?render=overlay','default','Main settings','','7.34'),(329,'/admin/config/regional/language?render=overlay','default','Map links','','7.34'),(330,'/admin/config/regional/language?render=overlay','default','TagClouds configuration','','7.34'),(331,'/admin/config/regional/language?render=overlay','default','Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.','','7.34'),(332,'/admin/config/regional/language?render=overlay','default','Email Contact Form Settings','','7.34'),(333,'/admin/config/regional/language?render=overlay','default','Administer flood control settings for email contact forms','','7.34'),(334,'/admin/config/regional/language?render=overlay','default','Logging and errors','','7.34'),(335,'/admin/config/regional/language?render=overlay','default','Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','','7.34'),(336,'/admin/config/regional/language?render=overlay','default','Maintenance mode','','7.34'),(337,'/admin/config/regional/language?render=overlay','default','Take the site offline for maintenance or bring it back online.','','7.34'),(338,'/admin/config/regional/language?render=overlay','default','Performance','','7.34'),(339,'/admin/config/regional/language?render=overlay','default','Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','','7.34'),(340,'/admin/config/regional/language?render=overlay','default','jQuery update','','7.34'),(341,'/admin/config/regional/language?render=overlay','default','Configure settings related to the jQuery upgrade, the library path and compression.','','7.34'),(342,'/admin/config/regional/language?render=overlay','default','Modal forms','','7.34'),(343,'/admin/config/regional/language?render=overlay','default','Adjust Modal forms settings.','','7.34'),(344,'/admin/config/regional/language?render=overlay','default','File system','','7.34'),(345,'/admin/config/regional/language?render=overlay','default','Tell Drupal where to store uploaded files and how they are accessed.','','7.34'),(346,'/admin/config/regional/language?render=overlay','default','Image toolkit','','7.34'),(347,'/admin/config/regional/language?render=overlay','default','Choose which image toolkit to use if you have installed optional toolkits.','','7.34'),(348,'/admin/config/regional/language?render=overlay','default','Image styles','','7.34'),(349,'/admin/config/regional/language?render=overlay','default','Configure styles that can be used for resizing or adjusting images on display.','','7.34'),(350,'/admin/config/regional/language?render=overlay','default','Add style','','7.34'),(351,'/admin/config/regional/language?render=overlay','default','Add a new image style.','','7.34'),(352,'/admin/config/regional/language?render=overlay','default','List the current image styles on the site.','','7.34'),(353,'/admin/config/regional/language?render=overlay','default','optionset','','7.34'),(354,'/admin/config/regional/language?render=overlay','default','optionsets','','7.34'),(355,'/admin/config/regional/language?render=overlay','default','FlexSlider optionset','','7.34'),(356,'/admin/config/regional/language?render=overlay','default','FlexSlider optionsets','','7.34'),(357,'/admin/config/regional/language?render=overlay','default','Enable','','7.34'),(358,'/admin/config/regional/language?render=overlay','default','Disable','','7.34'),(359,'/admin/config/regional/language?render=overlay','default','Revert','','7.34'),(360,'/admin/config/regional/language?render=overlay','default','Clone','','7.34'),(361,'/admin/config/regional/language?render=overlay','default','Import','','7.34'),(362,'/admin/config/regional/language?render=overlay','default','Export','','7.34'),(363,'/admin/config/regional/language?render=overlay','default','Add a new @plugin','','7.34'),(364,'/admin/config/regional/language?render=overlay','default','Edit @plugin %title','','7.34'),(365,'/admin/config/regional/language?render=overlay','default','Clone @plugin %title','','7.34'),(366,'/admin/config/regional/language?render=overlay','default','Import @plugin','','7.34'),(367,'/admin/config/regional/language?render=overlay','default','Export @plugin %title','','7.34'),(368,'/admin/config/regional/language?render=overlay','default','Are you sure you want to revert %title?','','7.34'),(369,'/admin/config/regional/language?render=overlay','default','This action will permanently remove any customizations made to this item.','','7.34'),(370,'/admin/config/regional/language?render=overlay','default','The item has been reverted.','','7.34'),(371,'/admin/config/regional/language?render=overlay','default','Are you sure you want to delete %title?','','7.34'),(372,'/admin/config/regional/language?render=overlay','default','This action will permanently remove this item from your database..','','7.34'),(373,'/admin/config/regional/language?render=overlay','default','The item has been deleted.','','7.34'),(374,'/admin/config/regional/language?render=overlay','default','%title has been created.','','7.34'),(375,'/admin/config/regional/language?render=overlay','default','%title could not be created.','','7.34'),(376,'/admin/config/regional/language?render=overlay','default','%title has been updated.','','7.34'),(377,'/admin/config/regional/language?render=overlay','default','%title could not be updated.','','7.34'),(378,'/admin/config/regional/language?render=overlay','default','You can import an exported definition by pasting the exported object code into the field below.','','7.34'),(379,'/admin/config/regional/language?render=overlay','default','@plugin %title was enabled.','','7.34'),(380,'/admin/config/regional/language?render=overlay','default','@plugin %title was disabled.','','7.34'),(381,'/admin/config/regional/language?render=overlay','default','There are no @titles to display.','','7.34'),(382,'/admin/config/regional/language?render=overlay','default','FlexSlider','','7.34'),(383,'/admin/config/regional/language?render=overlay','default','Administer FlexSlider presets.','','7.34'),(384,'/admin/config/regional/language?render=overlay','default','Advanced settings','','7.34'),(385,'/admin/config/regional/language?render=overlay','default','Configure the advanced flexslider module settings.','','7.34'),(386,'/admin/config/regional/language?render=overlay','default','Newsletters','','7.34'),(387,'/admin/config/regional/language?render=overlay','default','Manage newsletters, subscribers, and settings.','','7.34'),(388,'/admin/config/regional/language?render=overlay','default','Lists','','7.34'),(389,'/admin/config/regional/language?render=overlay','default','Find and manage newsletter lists.','','7.34'),(390,'/admin/config/regional/language?render=overlay','default','Add new list','','7.34'),(391,'/admin/config/regional/language?render=overlay','default','Add new newsletter list.','','7.34'),(392,'/admin/config/regional/language?render=overlay','default','Create/Send','','7.34'),(393,'/admin/config/regional/language?render=overlay','default','Create custom static newsletters and send non-automated ones','','7.34'),(394,'/admin/config/regional/language?render=overlay','default','Create and send a custom newsletter','','7.34'),(395,'/admin/config/regional/language?render=overlay','default','Create a custom static newsletter','','7.34'),(396,'/admin/config/regional/language?render=overlay','default','Configure newsletter lists.','','7.34'),(397,'/admin/config/regional/language?render=overlay','default','Statistics','','7.34'),(398,'/admin/config/regional/language?render=overlay','default','General','','7.34'),(399,'/admin/config/regional/language?render=overlay','default','Watch general statistics.','','7.34'),(400,'/admin/config/regional/language?render=overlay','default','Graphic','','7.34'),(401,'/admin/config/regional/language?render=overlay','default','Watch advanced JQuery statistics.','','7.34'),(402,'/admin/config/regional/language?render=overlay','default','Subscribers','','7.34'),(403,'/admin/config/regional/language?render=overlay','default','List subscribers.','','7.34'),(404,'/admin/config/regional/language?render=overlay','default','Add new subscriber','','7.34'),(405,'/admin/config/regional/language?render=overlay','default','Add new list subscriber.','','7.34'),(406,'/admin/config/regional/language?render=overlay','default','Add subscribers (Mass)','','7.34'),(407,'/admin/config/regional/language?render=overlay','default','Add subscribers.','','7.34'),(408,'/admin/config/regional/language?render=overlay','default','Manage display','','7.34'),(409,'/admin/config/regional/language?render=overlay','default','Manage fields','','7.34'),(410,'/admin/config/regional/language?render=overlay','default','Templates','','7.34'),(411,'/admin/config/regional/language?render=overlay','default','Administer newsletter templates.','','7.34'),(412,'/admin/config/regional/language?render=overlay','default','Confirmation','','7.34'),(413,'/admin/config/regional/language?render=overlay','default','Edit confirmation template.','','7.34'),(414,'/admin/config/regional/language?render=overlay','default','Mail templates','','7.34'),(415,'/admin/config/regional/language?render=overlay','default','Administer mail templates.','','7.34'),(416,'/admin/config/regional/language?render=overlay','default','Add new mail template','','7.34'),(417,'/admin/config/regional/language?render=overlay','default','Unsubscribe','','7.34'),(418,'/admin/config/regional/language?render=overlay','default','Edit unsubscribe template.','','7.34'),(419,'/admin/config/regional/language?render=overlay','default','Welcome','','7.34'),(420,'/admin/config/regional/language?render=overlay','default','Edit welcome template.','','7.34'),(421,'/admin/config/regional/language?render=overlay','default','Issue archive','','7.34'),(422,'/admin/config/regional/language?render=overlay','default','Account settings','','7.34'),(423,'/admin/config/regional/language?render=overlay','default','Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','','7.34'),(424,'/admin/config/regional/language?render=overlay','default','IP address blocking','','7.34'),(425,'/admin/config/regional/language?render=overlay','default','Manage blocked IP addresses.','','7.34'),(426,'/admin/config/regional/language?render=overlay','default','Formats','','7.34'),(427,'/admin/config/regional/language?render=overlay','default','Configure display format strings for date and time.','','7.34'),(428,'/admin/config/regional/language?render=overlay','default','Add format','','7.34'),(429,'/admin/config/regional/language?render=overlay','default','Allow users to add additional date formats.','','7.34'),(430,'/admin/config/regional/language?render=overlay','default','Types','','7.34'),(431,'/admin/config/regional/language?render=overlay','default','Add date type','','7.34'),(432,'/admin/config/regional/language?render=overlay','default','Add new date type.','','7.34'),(433,'/admin/config/regional/language?render=overlay','default','Localize','','7.34'),(434,'/admin/config/regional/language?render=overlay','default','Configure date formats for each locale','','7.34'),(435,'/admin/config/regional/language?render=overlay','default','Add country','','7.34'),(436,'/admin/config/regional/language?render=overlay','default','Admin page to add a country.','','7.34'),(437,'/admin/config/regional/language?render=overlay','default','Update countries','','7.34'),(438,'/admin/config/regional/language?render=overlay','default','Bulk import countries from the ISO standard.','','7.34'),(439,'/admin/config/regional/language?render=overlay','default','Session language detection configuration','','7.34'),(440,'/admin/config/regional/language?render=overlay','default','URL language detection configuration','','7.34'),(441,'/admin/config/regional/language?render=overlay','default','Overview','','7.34'),(442,'/admin/config/regional/language?render=overlay','default','Translate','','7.34'),(443,'/admin/config/regional/language?render=overlay','default','Clean URLs','','7.34'),(444,'/admin/config/regional/language?render=overlay','default','Enable or disable clean URLs for your site.','','7.34'),(445,'/admin/config/regional/language?render=overlay','default','Search settings','','7.34'),(446,'/admin/config/regional/language?render=overlay','default','Configure relevance settings for search and other indexing options.','','7.34'),(447,'/admin/config/regional/language?render=overlay','default','Clear index','','7.34'),(448,'/admin/config/regional/language?render=overlay','default','URL aliases','','7.34'),(449,'/admin/config/regional/language?render=overlay','default','Change your site\'s URL paths by aliasing them.','','7.34'),(450,'/admin/config/regional/language?render=overlay','default','Add alias','','7.34'),(451,'/admin/config/regional/language?render=overlay','default','Bulk update','','7.34'),(452,'/admin/config/regional/language?render=overlay','default','Delete aliases','','7.34'),(453,'/admin/config/regional/language?render=overlay','default','Patterns','','7.34'),(454,'/admin/config/regional/language?render=overlay','default','Meta tags (quick) settings','','7.34'),(455,'/admin/config/regional/language?render=overlay','default','Path-Based Metatags','','7.34'),(456,'/admin/config/regional/language?render=overlay','default','Actions','','7.34'),(457,'/admin/config/regional/language?render=overlay','default','Manage the actions defined for your site.','','7.34'),(458,'/admin/config/regional/language?render=overlay','default','Configure an advanced action','','7.34'),(459,'/admin/config/regional/language?render=overlay','default','Manage actions','','7.34'),(460,'/admin/config/regional/language?render=overlay','default','Cron','','7.34'),(461,'/admin/config/regional/language?render=overlay','default','Manage automatic site maintenance tasks.','','7.34'),(462,'/admin/config/regional/language?render=overlay','default','Site information','','7.34'),(463,'/admin/config/regional/language?render=overlay','default','Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','','7.34'),(464,'/admin/config/regional/language?render=overlay','default','Redirect 404','','7.34'),(465,'/admin/config/regional/language?render=overlay','default','Redirect 404 will redirect your user to the server(s) outlined below preserving the full request URL.','','7.34'),(466,'/admin/config/regional/language?render=overlay','default','Shortcuts','','7.34'),(467,'/admin/config/regional/language?render=overlay','default','Add and modify shortcut sets.','','7.34'),(468,'/admin/config/regional/language?render=overlay','default','Add shortcut set','','7.34'),(469,'/admin/config/regional/language?render=overlay','default','Module filter','','7.34'),(470,'/admin/config/regional/language?render=overlay','default','Configure how the modules page looks and acts.','','7.34'),(471,'/admin/config/regional/language?render=overlay','default','Menu Breadcrumb','','7.34'),(472,'/admin/config/regional/language?render=overlay','default','Configure menu breadcrumb.','','7.34'),(473,'/admin/config/regional/language?render=overlay','default','RSS publishing','','7.34'),(474,'/admin/config/regional/language?render=overlay','default','Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','','7.34'),(475,'/admin/config/regional/language?render=overlay','default','GMap','','7.34'),(476,'/admin/config/regional/language?render=overlay','default','Configure GMap settings','','7.34'),(477,'/admin/config/regional/language?render=overlay','default','Administration menu','','7.34'),(478,'/admin/config/regional/language?render=overlay','default','Adjust administration menu settings.','','7.34'),(479,'/admin/config/regional/language?render=overlay','default','Date Popup','','7.34'),(480,'/admin/config/regional/language?render=overlay','default','Configure the Date Popup settings.','','7.34'),(481,'/admin/config/regional/language?render=overlay','default','List and edit site comments and the comment approval queue.','','7.34'),(482,'/admin/config/regional/language?render=overlay','default','Published comments','','7.34'),(483,'/admin/config/regional/language?render=overlay','default','Unapproved comments (@count)','','7.34'),(484,'/admin/config/regional/language?render=overlay','default','Blocks','','7.34'),(485,'/admin/config/regional/language?render=overlay','default','Manage blocks used on your site.','','7.34'),(486,'/admin/config/regional/language?render=overlay','default','Webforms','','7.34'),(487,'/admin/config/regional/language?render=overlay','default','View and edit all the available webforms on your site.','','7.34'),(488,'/admin/config/regional/language?render=overlay','default','Configure available dashboard blocks','','7.34'),(489,'/admin/config/regional/language?render=overlay','default','Configure which blocks can be shown on the dashboard.','','7.34'),(490,'/admin/config/regional/language?render=overlay; modules/dashboard/dashboard.js','default','Customize dashboard','','7.34'),(491,'/admin/config/regional/language?render=overlay','default','Customize your dashboard.','','7.34'),(492,'/admin/config/regional/language?render=overlay','default','Uninstall','','7.34'),(493,'/admin/config/regional/language?render=overlay','default','Install new module','','7.34'),(494,'/admin/config/regional/language?render=overlay','default','Add user','','7.34'),(495,'/admin/config/regional/language?render=overlay','default','Find and manage people interacting with your site.','','7.34'),(496,'/admin/config/regional/language?render=overlay','default','Permissions','','7.34'),(497,'/admin/config/regional/language?render=overlay','default','Determine access to features by selecting permissions for roles.','','7.34'),(498,'/admin/config/regional/language?render=overlay','default','Roles','','7.34'),(499,'/admin/config/regional/language?render=overlay','default','List, edit, or add user roles.','','7.34'),(500,'/admin/config/regional/language?render=overlay','default','Recent log messages','','7.34'),(501,'/admin/config/regional/language?render=overlay','default','View events that have recently been logged.','','7.34'),(502,'/admin/config/regional/language?render=overlay','default','Status report','','7.34'),(503,'/admin/config/regional/language?render=overlay','default','Get a status report about your site\'s operation and any detected problems.','','7.34'),(504,'/admin/config/regional/language?render=overlay','default','Top \'access denied\' errors','','7.34'),(505,'/admin/config/regional/language?render=overlay','default','View \'access denied\' errors (403s).','','7.34'),(506,'/admin/config/regional/language?render=overlay','default','Top \'page not found\' errors','','7.34'),(507,'/admin/config/regional/language?render=overlay','default','View \'page not found\' errors (404s).','','7.34'),(508,'/admin/config/regional/language?render=overlay','default','Field list','','7.34'),(509,'/admin/config/regional/language?render=overlay','default','Overview of fields on all entity types.','','7.34'),(510,'/admin/config/regional/language?render=overlay','default','Used in views','','7.34'),(511,'/admin/config/regional/language?render=overlay','default','Overview of fields used in all views.','','7.34'),(512,'/admin/config/regional/language?render=overlay','default','Top search phrases','','7.34'),(513,'/admin/config/regional/language?render=overlay','default','View most popular search phrases.','','7.34'),(514,'/admin/config/regional/language?render=overlay','default','Available updates','','7.34'),(515,'/admin/config/regional/language?render=overlay','default','Get a status report about available updates for your installed modules and themes.','','7.34'),(516,'/admin/config/regional/language?render=overlay','default','Install new module or theme','','7.34'),(517,'/admin/config/regional/language?render=overlay','default','Views plugins','','7.34'),(518,'/admin/config/regional/language?render=overlay','default','Overview of plugins used in all views.','','7.34'),(519,'/admin/config/regional/language?render=overlay','default','Configure what block content appears in your site\'s sidebars and other regions.','','7.34'),(520,'/admin/config/regional/language?render=overlay','default','Add block','','7.34'),(521,'/admin/config/regional/language?render=overlay','default','Content types','','7.34'),(522,'/admin/config/regional/language?render=overlay','default','Manage content types, including default status, front page promotion, comment settings, etc.','','7.34'),(523,'/admin/config/regional/language?render=overlay','default','Add content type','','7.34'),(524,'/admin/config/regional/language?render=overlay','default','Menus','','7.34'),(525,'/admin/config/regional/language?render=overlay','default','Add new menus to your site, edit existing menus, and rename and reorganize menu links.','','7.34'),(526,'/admin/config/regional/language?render=overlay','default','Add menu','','7.34'),(527,'/admin/config/regional/language?render=overlay','default','List menus','','7.34'),(528,'/admin/config/regional/language?render=overlay','default','Taxonomy','','7.34'),(529,'/admin/config/regional/language?render=overlay','default','Manage tagging, categorization, and classification of your content.','','7.34'),(530,'/admin/config/regional/language?render=overlay','default','Add vocabulary','','7.34'),(531,'/admin/config/regional/language?render=overlay','default','view','','7.34'),(532,'/admin/config/regional/language?render=overlay','default','View','','7.34'),(533,'/admin/config/regional/language?render=overlay','default','views','','7.34'),(534,'/admin/config/regional/language?render=overlay','default','Views','','7.34'),(535,'/admin/config/regional/language?render=overlay','default','This action will permanently remove any customizations made to this view.','','7.34'),(536,'/admin/config/regional/language?render=overlay','default','The view has been reverted.','','7.34'),(537,'/admin/config/regional/language?render=overlay','default','This action will permanently remove the view from your database.','','7.34'),(538,'/admin/config/regional/language?render=overlay','default','The view has been deleted.','','7.34'),(539,'/admin/config/regional/language?render=overlay','default','Manage customized lists of content.','','7.34'),(540,'/admin/config/regional/language?render=overlay','default','Add new view','','7.34'),(541,'/admin/config/regional/language?render=overlay','default','Add view from template','','7.34'),(542,'/admin/config/regional/language?render=overlay','default','Advanced','','7.34'),(543,'/admin/config/regional/language?render=overlay','default','Basic','','7.34'),(544,'/admin/config/regional/language?render=overlay','default','Block types','','7.34'),(545,'/admin/config/regional/language?render=overlay','default','Manage block types, including fields, settings, etc.','','7.34'),(546,'/admin/config/regional/language?render=overlay','default','Add block type','','7.34'),(547,'/admin/config/regional/language?render=overlay','default','context','','7.34'),(548,'/admin/config/regional/language?render=overlay','default','Context','','7.34'),(549,'/admin/config/regional/language?render=overlay','default','contexts','','7.34'),(550,'/admin/config/regional/language?render=overlay','default','Contexts','','7.34'),(551,'/admin/config/regional/language?render=overlay','default','Associate menus, views, blocks, etc. with different contexts to structure your site.','','7.34'),(552,'/admin/config/regional/language?render=overlay','default','TB Mega Menu','','7.34'),(553,'/admin/config/regional/language?render=overlay','default','Request','','7.34'),(554,'/admin/config/regional/language?render=overlay','default','Field collections','','7.34'),(555,'/admin/config/regional/language?render=overlay','default','Manage fields on field collections.','','7.34'),(556,'/admin/config/regional/language?render=overlay','default','Mega Menus','','7.34'),(557,'/admin/config/regional/language?render=overlay','default','block','','7.34'),(558,'/admin/config/regional/language?render=overlay','default','color','','7.34'),(559,'/admin/config/regional/language?render=overlay','default','comment','','7.34'),(560,'/admin/config/regional/language?render=overlay','default','contextual','','7.34'),(561,'/admin/config/regional/language?render=overlay','default','dashboard','','7.34'),(562,'/admin/config/regional/language?render=overlay','default','dblog','','7.34'),(563,'/admin/config/regional/language?render=overlay','default','field','','7.34'),(564,'/admin/config/regional/language?render=overlay','default','field_sql_storage','','7.34'),(565,'/admin/config/regional/language?render=overlay','default','field_ui','','7.34'),(566,'/admin/config/regional/language?render=overlay','default','file','','7.34'),(567,'/admin/config/regional/language?render=overlay','default','filter','','7.34'),(568,'/admin/config/regional/language?render=overlay','default','help','','7.34'),(569,'/admin/config/regional/language?render=overlay','default','image','','7.34'),(570,'/admin/config/regional/language?render=overlay','default','list','','7.34'),(571,'/admin/config/regional/language?render=overlay','default','menu','','7.34'),(572,'/admin/config/regional/language?render=overlay','default','node','','7.34'),(573,'/admin/config/regional/language?render=overlay','default','number','','7.34'),(574,'/admin/config/regional/language?render=overlay','default','options','','7.34'),(575,'/admin/config/regional/language?render=overlay','default','overlay','','7.34'),(576,'/admin/config/regional/language?render=overlay','default','path','','7.34'),(577,'/admin/config/regional/language?render=overlay','default','rdf','','7.34'),(578,'/admin/config/regional/language?render=overlay','default','search','','7.34'),(579,'/admin/config/regional/language?render=overlay','default','shortcut','','7.34'),(580,'/admin/config/regional/language?render=overlay','default','system','','7.34'),(581,'/admin/config/regional/language?render=overlay','default','taxonomy','','7.34'),(582,'/admin/config/regional/language?render=overlay','default','text','','7.34'),(583,'/admin/config/regional/language?render=overlay','default','user','','7.34'),(584,'/admin/config/regional/language?render=overlay','default','update','','7.34'),(585,'/admin/config/regional/language?render=overlay','default','admin_menu','','7.34'),(586,'/admin/config/regional/language?render=overlay','default','views_slideshow','','7.34'),(587,'/admin/config/regional/language?render=overlay','default','views_slideshow_cycle','','7.34'),(588,'/admin/config/regional/language?render=overlay','default','context_ui','','7.34'),(589,'/admin/config/regional/language?render=overlay','default','date','','7.34'),(590,'/admin/config/regional/language?render=overlay','default','flexslider','','7.34'),(591,'/admin/config/regional/language?render=overlay','default','jcarousel','','7.34'),(592,'/admin/config/regional/language?render=overlay','default','jquery_update','','7.34'),(593,'/admin/config/regional/language?render=overlay','default','views_accordion','','7.34'),(594,'/admin/config/regional/language?render=overlay','default','webform','','7.34'),(595,'/admin/config/regional/language?render=overlay','default','blog','','7.34'),(596,'/admin/config/regional/language?render=overlay','default','pathauto','','7.34'),(597,'/admin/config/regional/language?render=overlay','default','token','','7.34'),(598,'/admin/config/regional/language?render=overlay','default','location','','7.34'),(599,'/admin/config/regional/language?render=overlay','default','php','','7.34'),(600,'/admin/config/regional/language?render=overlay','default','field_collection','','7.34'),(601,'/admin/config/regional/language?render=overlay','default','fontawesome','','7.34'),(602,'/admin/config/regional/language?render=overlay','default','menu_breadcrumb','','7.34'),(603,'/admin/config/regional/language?render=overlay','default','redirect_404','','7.34'),(604,'/admin/config/regional/language?render=overlay','default','locale','','7.34'),(605,'/admin/config/regional/language?render=overlay','default','Field settings','','7.34'),(606,'/admin/config/regional/language?render=overlay','default','Widget type','','7.34'),(607,'/admin/config/regional/language?render=overlay','default','Add link','','7.34'),(608,'/admin/config/regional/language?render=overlay','default','Delete menu','','7.34'),(609,'/admin/config/regional/language?render=overlay','default','Edit menu','','7.34'),(610,'/admin/config/regional/language?render=overlay','default','List links','','7.34'),(611,'/admin/config/regional/language?render=overlay','default','Add term','','7.34'),(612,'/admin/config/regional/language?render=overlay','default','Webform','','7.34'),(613,'/admin/config/regional/language?render=overlay','default','Status','','7.34'),(614,'/admin/config/regional/language?render=overlay','default','The open or closed status of a webform.','','7.34'),(615,'/admin/config/regional/language?render=overlay','default','Webform submissions','','7.34'),(616,'/admin/config/regional/language?render=overlay','default','Submissions generated from Webform forms.','','7.34'),(617,'/admin/config/regional/language?render=overlay','default','Serial number','','7.34'),(618,'/admin/config/regional/language?render=overlay','default','The serial number of the submission.','','7.34'),(619,'/admin/config/regional/language?render=overlay','default','Sid','','7.34'),(620,'/admin/config/regional/language?render=overlay','default','The submission ID of the submission.','','7.34'),(621,'/admin/config/regional/language?render=overlay','default','Value','','7.34'),(622,'/admin/config/regional/language?render=overlay','default','The value of a component as submitted by a user.','','7.34'),(623,'/admin/config/regional/language?render=overlay','default','Webform submission data','','7.34'),(624,'/admin/config/regional/language?render=overlay','default','The webform node this submission was generated from.','','7.34'),(625,'/admin/config/regional/language?render=overlay','default','Webform Node','','7.34'),(626,'/admin/config/regional/language?render=overlay','default','The user who sent the webform submission.','','7.34'),(627,'/admin/config/regional/language?render=overlay','default','Webform Submission User','','7.34'),(628,'/admin/config/regional/language?render=overlay','default','Draft','','7.34'),(629,'/admin/config/regional/language?render=overlay','default','Whether or not the submission is a draft.','','7.34'),(630,'/admin/config/regional/language?render=overlay','default','Submitted','','7.34'),(631,'/admin/config/regional/language?render=overlay','default','The date this submission was submitted.','','7.34'),(632,'/admin/config/regional/language?render=overlay','default','Remote address','','7.34'),(633,'/admin/config/regional/language?render=overlay','default','The remote IP address of the user that submitted this submission.','','7.34'),(634,'/admin/config/regional/language?render=overlay','default','View link','','7.34'),(635,'/admin/config/regional/language?render=overlay','default','Provide a simple link to view the submission.','','7.34'),(636,'/admin/config/regional/language?render=overlay','default','Edit link','','7.34'),(637,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the submission.','','7.34'),(638,'/admin/config/regional/language?render=overlay','default','Delete link','','7.34'),(639,'/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the submission.','','7.34'),(640,'/admin/config/regional/language?render=overlay','default','Data','','7.34'),(641,'/admin/config/regional/language?render=overlay','default','Relates to a webform submission data','','7.34'),(642,'/admin/config/regional/language?render=overlay','default','Submission Data','','7.34'),(643,'/admin/config/regional/language?render=overlay','default','Data field','','7.34'),(644,'/admin/config/regional/language?render=overlay','default','Value (raw)','','7.34'),(645,'/admin/config/regional/language?render=overlay','default','The raw value from the database as submitted by a user. Use only when needing to sort on a field value.','','7.34'),(646,'/admin/config/regional/language?render=overlay','default','Value delta','','7.34'),(647,'/admin/config/regional/language?render=overlay','default','The delta value of the submitted data in a multi value component (such as checkboxes).','','7.34'),(648,'/admin/config/regional/language?render=overlay','default','Comments are responses to node content.','','7.34'),(649,'/admin/config/regional/language?render=overlay','default','The title of the comment.','','7.34'),(650,'/admin/config/regional/language?render=overlay','default','ID','','7.34'),(651,'/admin/config/regional/language?render=overlay','default','The comment ID of the field','','7.34'),(652,'/admin/config/regional/language?render=overlay','default','Author','','7.34'),(653,'/admin/config/regional/language?render=overlay','default','The name of the comment\'s author. Can be rendered as a link to the author\'s homepage.','','7.34'),(654,'/admin/config/regional/language?render=overlay','default','Author\'s website','','7.34'),(655,'/admin/config/regional/language?render=overlay','default','The website address of the comment\'s author. Can be rendered as a link. Will be empty if the author is a registered user.','','7.34'),(656,'/admin/config/regional/language?render=overlay','default','Hostname','','7.34'),(657,'/admin/config/regional/language?render=overlay','default','Hostname of user that posted the comment.','','7.34'),(658,'/admin/config/regional/language?render=overlay','default','Mail','','7.34'),(659,'/admin/config/regional/language?render=overlay','default','Email of user that posted the comment. Will be empty if the author is a registered user.','','7.34'),(660,'/admin/config/regional/language?render=overlay','default','Post date','','7.34'),(661,'/admin/config/regional/language?render=overlay','default','Date and time of when the comment was created.','','7.34'),(662,'/admin/config/regional/language?render=overlay','default','Language','','7.34'),(663,'/admin/config/regional/language?render=overlay','default','The language the comment is in.','','7.34'),(664,'/admin/config/regional/language?render=overlay','default','Updated date','','7.34'),(665,'/admin/config/regional/language?render=overlay','default','Date and time of when the comment was last updated.','','7.34'),(666,'/admin/config/regional/language?render=overlay','default','Created date','','7.34'),(667,'/admin/config/regional/language?render=overlay','default','Date in the form of CCYYMMDD.','','7.34'),(668,'/admin/config/regional/language?render=overlay','default','Created year + month','','7.34'),(669,'/admin/config/regional/language?render=overlay','default','Date in the form of YYYYMM.','','7.34'),(670,'/admin/config/regional/language?render=overlay','default','Created year','','7.34'),(671,'/admin/config/regional/language?render=overlay','default','Date in the form of YYYY.','','7.34'),(672,'/admin/config/regional/language?render=overlay','default','Created month','','7.34'),(673,'/admin/config/regional/language?render=overlay','default','Date in the form of MM (01 - 12).','','7.34'),(674,'/admin/config/regional/language?render=overlay','default','Created day','','7.34'),(675,'/admin/config/regional/language?render=overlay','default','Date in the form of DD (01 - 31).','','7.34'),(676,'/admin/config/regional/language?render=overlay','default','Created week','','7.34'),(677,'/admin/config/regional/language?render=overlay','default','Date in the form of WW (01 - 53).','','7.34'),(678,'/admin/config/regional/language?render=overlay','default','Approved','','7.34'),(679,'/admin/config/regional/language?render=overlay','default','Whether the comment is approved (or still in the moderation queue).','','7.34'),(680,'/admin/config/regional/language?render=overlay','default','Not Approved','','7.34'),(681,'/admin/config/regional/language?render=overlay','default','Approved comment','','7.34'),(682,'/admin/config/regional/language?render=overlay','default','Provide a simple link to view the comment.','','7.34'),(683,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the comment.','','7.34'),(684,'/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the comment.','','7.34'),(685,'/admin/config/regional/language?render=overlay','default','Approve link','','7.34'),(686,'/admin/config/regional/language?render=overlay','default','Provide a simple link to approve the comment.','','7.34'),(687,'/admin/config/regional/language?render=overlay','default','Reply-to link','','7.34'),(688,'/admin/config/regional/language?render=overlay','default','Provide a simple link to reply to the comment.','','7.34'),(689,'/admin/config/regional/language?render=overlay','default','Depth','','7.34'),(690,'/admin/config/regional/language?render=overlay','default','Display the depth of the comment if it is threaded.','','7.34'),(691,'/admin/config/regional/language?render=overlay','default','Thread','','7.34'),(692,'/admin/config/regional/language?render=overlay','default','Sort by the threaded order. This will keep child comments together with their parents.','','7.34'),(693,'/admin/config/regional/language?render=overlay','default','Nid','','7.34'),(694,'/admin/config/regional/language?render=overlay','default','The node ID to which the comment is a reply to.','','7.34'),(695,'/admin/config/regional/language?render=overlay','default','The content to which the comment is a reply to.','','7.34'),(696,'/admin/config/regional/language?render=overlay','default','Author uid','','7.34'),(697,'/admin/config/regional/language?render=overlay','default','If you need more fields than the uid add the comment: author relationship','','7.34'),(698,'/admin/config/regional/language?render=overlay','default','The User ID of the comment\'s author.','','7.34'),(699,'/admin/config/regional/language?render=overlay','default','author','','7.34'),(700,'/admin/config/regional/language?render=overlay','default','Parent CID','','7.34'),(701,'/admin/config/regional/language?render=overlay','default','The Comment ID of the parent comment.','','7.34'),(702,'/admin/config/regional/language?render=overlay','default','Parent comment','','7.34'),(703,'/admin/config/regional/language?render=overlay','default','The parent comment.','','7.34'),(704,'/admin/config/regional/language?render=overlay','default','Last comment time','','7.34'),(705,'/admin/config/regional/language?render=overlay','default','Date and time of when the last comment was posted.','','7.34'),(706,'/admin/config/regional/language?render=overlay','default','Last comment author','','7.34'),(707,'/admin/config/regional/language?render=overlay','default','The name of the author of the last posted comment.','','7.34'),(708,'/admin/config/regional/language?render=overlay','default','Comment count','','7.34'),(709,'/admin/config/regional/language?render=overlay','default','The number of comments a node has.','','7.34'),(710,'/admin/config/regional/language?render=overlay','default','Updated/commented date','','7.34'),(711,'/admin/config/regional/language?render=overlay','default','The most recent of last comment posted or node updated time.','','7.34'),(712,'/admin/config/regional/language?render=overlay','default','Last comment CID','','7.34'),(713,'/admin/config/regional/language?render=overlay','default','Display the last comment of a node','','7.34'),(714,'/admin/config/regional/language?render=overlay','default','Last Comment','','7.34'),(715,'/admin/config/regional/language?render=overlay','default','The last comment of a node.','','7.34'),(716,'/admin/config/regional/language?render=overlay','default','Last comment uid','','7.34'),(717,'/admin/config/regional/language?render=overlay','default','The User ID of the author of the last comment of a node.','','7.34'),(718,'/admin/config/regional/language?render=overlay','default','Country ID','','7.34'),(719,'/admin/config/regional/language?render=overlay','default','The country ID of the country.','','7.34'),(720,'/admin/config/regional/language?render=overlay','default','ISO2','','7.34'),(721,'/admin/config/regional/language?render=overlay','default','The ISO2 country code of the country.','','7.34'),(722,'/admin/config/regional/language?render=overlay','default','ISO2 - list','','7.34'),(723,'/admin/config/regional/language?render=overlay','default','ISO3','','7.34'),(724,'/admin/config/regional/language?render=overlay','default','The ISO3 country code of the country.','','7.34'),(725,'/admin/config/regional/language?render=overlay','default','ISO3 - list','','7.34'),(726,'/admin/config/regional/language?render=overlay','default','Name','','7.34'),(727,'/admin/config/regional/language?render=overlay','default','The name of the country.','','7.34'),(728,'/admin/config/regional/language?render=overlay','default','Name - list','','7.34'),(729,'/admin/config/regional/language?render=overlay','default','The official name of the country.','','7.34'),(730,'/admin/config/regional/language?render=overlay','default','Official name - list','','7.34'),(731,'/admin/config/regional/language?render=overlay','default','The continent of this country.','','7.34'),(732,'/admin/config/regional/language?render=overlay','default','Continent - list','','7.34'),(733,'/admin/config/regional/language?render=overlay','default','Enabled','','7.34'),(734,'/admin/config/regional/language?render=overlay','default','Whether or not the country is enabled.','','7.34'),(735,'/admin/config/regional/language?render=overlay','default','@entity \"@property\" property.','','7.34'),(736,'/admin/config/regional/language?render=overlay','default','Machine-readable name','','7.34'),(737,'/admin/config/regional/language?render=overlay','default','The machine-readable name identifying this @entity.','','7.34'),(738,'/admin/config/regional/language?render=overlay','default','Internal, numeric @entity ID','','7.34'),(739,'/admin/config/regional/language?render=overlay','default','The ID used to identify this @entity internally.','','7.34'),(740,'/admin/config/regional/language?render=overlay','default','The human readable label.','','7.34'),(741,'/admin/config/regional/language?render=overlay','default','URL','','7.34'),(742,'/admin/config/regional/language?render=overlay','default','The URL of the entity.','','7.34'),(743,'/admin/config/regional/language?render=overlay','default','The bean label','','7.34'),(744,'/admin/config/regional/language?render=overlay','default','The bean title','','7.34'),(745,'/admin/config/regional/language?render=overlay','default','View Mode','','7.34'),(746,'/admin/config/regional/language?render=overlay','default','View mode of the bean','','7.34'),(747,'/admin/config/regional/language?render=overlay','default','The delta of the block','','7.34'),(748,'/admin/config/regional/language?render=overlay','default','Block Delta','','7.34'),(749,'/admin/config/regional/language?render=overlay','default','The bean type.','','7.34'),(750,'/admin/config/regional/language?render=overlay','default','@entity ID','','7.34'),(751,'/admin/config/regional/language?render=overlay','default','The unique ID of the @entity.','','7.34'),(752,'/admin/config/regional/language?render=overlay','default','Field name','','7.34'),(753,'/admin/config/regional/language?render=overlay','default','The machine-readable name of the field collection field containing this item.','','7.34'),(754,'/admin/config/regional/language?render=overlay','default','Host entity','','7.34'),(755,'/admin/config/regional/language?render=overlay','default','The entity containing the field collection field.','','7.34'),(756,'/admin/config/regional/language?render=overlay','default','Comment ID','','7.34'),(757,'/admin/config/regional/language?render=overlay','default','The unique ID of the comment.','','7.34'),(758,'/admin/config/regional/language?render=overlay','default','IP Address','','7.34'),(759,'/admin/config/regional/language?render=overlay','default','The IP address of the computer the comment was posted from.','','7.34'),(760,'/admin/config/regional/language?render=overlay','default','The name left by the comment author.','','7.34'),(761,'/admin/config/regional/language?render=overlay','default','Email address','','7.34'),(762,'/admin/config/regional/language?render=overlay','default','The email address left by the comment author.','','7.34'),(763,'/admin/config/regional/language?render=overlay','default','Home page','','7.34'),(764,'/admin/config/regional/language?render=overlay','default','The home page URL left by the comment author.','','7.34'),(765,'/admin/config/regional/language?render=overlay','default','Subject','','7.34'),(766,'/admin/config/regional/language?render=overlay','default','The subject of the comment.','','7.34'),(767,'/admin/config/regional/language?render=overlay','default','The URL of the comment.','','7.34'),(768,'/admin/config/regional/language?render=overlay','default','Edit URL','','7.34'),(769,'/admin/config/regional/language?render=overlay','default','The URL of the comment\'s edit page.','','7.34'),(770,'/admin/config/regional/language?render=overlay','default','Date created','','7.34'),(771,'/admin/config/regional/language?render=overlay','default','The date the comment was posted.','','7.34'),(772,'/admin/config/regional/language?render=overlay','default','Parent','','7.34'),(773,'/admin/config/regional/language?render=overlay','default','The comment\'s parent, if comment threading is active.','','7.34'),(774,'/admin/config/regional/language?render=overlay','default','The node the comment was posted to.','','7.34'),(775,'/admin/config/regional/language?render=overlay','default','The author of the comment.','','7.34'),(776,'/admin/config/regional/language?render=overlay','default','Whether the comment is published or unpublished.','','7.34'),(777,'/admin/config/regional/language?render=overlay','default','Field \"@name\".','','7.34'),(778,'/admin/config/regional/language?render=overlay','default','Summary','','7.34'),(779,'/admin/config/regional/language?render=overlay','default','Text format','','7.34'),(780,'/admin/config/regional/language?render=overlay','default','The file.','','7.34'),(781,'/admin/config/regional/language?render=overlay','default','The file description','','7.34'),(782,'/admin/config/regional/language?render=overlay','default','Whether the file is being displayed.','','7.34'),(783,'/admin/config/regional/language?render=overlay','default','The image file.','','7.34'),(784,'/admin/config/regional/language?render=overlay','default','The \"Alt\" attribute text','','7.34'),(785,'/admin/config/regional/language?render=overlay','default','The \"Title\" attribute text','','7.34'),(786,'/admin/config/regional/language?render=overlay','default','Full name','','7.34'),(787,'/admin/config/regional/language?render=overlay','default','First name','','7.34'),(788,'/admin/config/regional/language?render=overlay','default','Last name','','7.34'),(789,'/admin/config/regional/language?render=overlay','default','Company','','7.34'),(790,'/admin/config/regional/language?render=overlay','default','Administrative area (i.e. State / Province)','','7.34'),(791,'/admin/config/regional/language?render=overlay','default','Sub administrative area','','7.34'),(792,'/admin/config/regional/language?render=overlay','default','Locality (i.e. City)','','7.34'),(793,'/admin/config/regional/language?render=overlay','default','Dependent locality','','7.34'),(794,'/admin/config/regional/language?render=overlay','default','Postal code','','7.34'),(795,'/admin/config/regional/language?render=overlay','default','Thoroughfare (i.e. Street address)','','7.34'),(796,'/admin/config/regional/language?render=overlay','default','Premise (i.e. Apartment / Suite number)','','7.34'),(797,'/admin/config/regional/language?render=overlay','default','The title of the link.','','7.34'),(798,'/admin/config/regional/language?render=overlay','default','The URL of the link.','','7.34'),(799,'/admin/config/regional/language?render=overlay','default','The attributes of the link.','','7.34'),(800,'/admin/config/regional/language?render=overlay','default','Node ID','','7.34'),(801,'/admin/config/regional/language?render=overlay','default','The unique ID of the node.','','7.34'),(802,'/admin/config/regional/language?render=overlay','default','Revision ID','','7.34'),(803,'/admin/config/regional/language?render=overlay','default','The unique ID of the node\'s revision.','','7.34'),(804,'/admin/config/regional/language?render=overlay','default','Is new','','7.34'),(805,'/admin/config/regional/language?render=overlay','default','Whether the node is new and not saved to the database yet.','','7.34'),(806,'/admin/config/regional/language?render=overlay','default','Content type','','7.34'),(807,'/admin/config/regional/language?render=overlay','default','The type of the node.','','7.34'),(808,'/admin/config/regional/language?render=overlay','default','The title of the node.','','7.34'),(809,'/admin/config/regional/language?render=overlay','default','The language the node is written in.','','7.34'),(810,'/admin/config/regional/language?render=overlay','default','The URL of the node.','','7.34'),(811,'/admin/config/regional/language?render=overlay','default','The URL of the node\'s edit page.','','7.34'),(812,'/admin/config/regional/language?render=overlay','default','Whether the node is published or unpublished.','','7.34'),(813,'/admin/config/regional/language?render=overlay','default','Promoted to frontpage','','7.34'),(814,'/admin/config/regional/language?render=overlay','default','Whether the node is promoted to the frontpage.','','7.34'),(815,'/admin/config/regional/language?render=overlay','default','Sticky in lists','','7.34'),(816,'/admin/config/regional/language?render=overlay','default','Whether the node is displayed at the top of lists in which it appears.','','7.34'),(817,'/admin/config/regional/language?render=overlay','default','The date the node was posted.','','7.34'),(818,'/admin/config/regional/language?render=overlay','default','Date changed','','7.34'),(819,'/admin/config/regional/language?render=overlay','default','The date the node was most recently updated.','','7.34'),(820,'/admin/config/regional/language?render=overlay','default','The author of the node.','','7.34'),(821,'/admin/config/regional/language?render=overlay','default','Translation source node','','7.34'),(822,'/admin/config/regional/language?render=overlay','default','The original-language version of this node, if one exists.','','7.34'),(823,'/admin/config/regional/language?render=overlay','default','Revision log message','','7.34'),(824,'/admin/config/regional/language?render=overlay','default','In case a new revision is to be saved, the log entry explaining the changes for this version.','','7.34'),(825,'/admin/config/regional/language?render=overlay','default','Creates revision','','7.34'),(826,'/admin/config/regional/language?render=overlay','default','Whether saving this node creates a new revision.','','7.34'),(827,'/admin/config/regional/language?render=overlay','default','Term ID','','7.34'),(828,'/admin/config/regional/language?render=overlay','default','The unique ID of the taxonomy term.','','7.34'),(829,'/admin/config/regional/language?render=overlay','default','The name of the taxonomy term.','','7.34'),(830,'/admin/config/regional/language?render=overlay','default','Description','','7.34'),(831,'/admin/config/regional/language?render=overlay','default','The optional description of the taxonomy term.','','7.34'),(832,'/admin/config/regional/language?render=overlay','default','Weight','','7.34'),(833,'/admin/config/regional/language?render=overlay','default','The weight of the term, which is used for ordering terms during display.','','7.34'),(834,'/admin/config/regional/language?render=overlay','default','Node count','','7.34'),(835,'/admin/config/regional/language?render=overlay','default','The number of nodes tagged with the taxonomy term.','','7.34'),(836,'/admin/config/regional/language?render=overlay','default','The URL of the taxonomy term.','','7.34'),(837,'/admin/config/regional/language?render=overlay','default','Vocabulary','','7.34'),(838,'/admin/config/regional/language?render=overlay','default','The vocabulary the taxonomy term belongs to.','','7.34'),(839,'/admin/config/regional/language?render=overlay','default','Parent terms','','7.34'),(840,'/admin/config/regional/language?render=overlay','default','The parent terms of the taxonomy term.','','7.34'),(841,'/admin/config/regional/language?render=overlay','default','All parent terms','','7.34'),(842,'/admin/config/regional/language?render=overlay','default','Ancestors of the term, i.e. parent of all above hierarchy levels.','','7.34'),(843,'/admin/config/regional/language?render=overlay','default','Vocabulary ID','','7.34'),(844,'/admin/config/regional/language?render=overlay','default','The unique ID of the taxonomy vocabulary.','','7.34'),(845,'/admin/config/regional/language?render=overlay','default','The name of the taxonomy vocabulary.','','7.34'),(846,'/admin/config/regional/language?render=overlay','default','Machine name','','7.34'),(847,'/admin/config/regional/language?render=overlay','default','The machine name of the taxonomy vocabulary.','','7.34'),(848,'/admin/config/regional/language?render=overlay','default','The optional description of the taxonomy vocabulary.','','7.34'),(849,'/admin/config/regional/language?render=overlay','default','Term count','','7.34'),(850,'/admin/config/regional/language?render=overlay','default','The number of terms belonging to the taxonomy vocabulary.','','7.34'),(851,'/admin/config/regional/language?render=overlay','default','User ID','','7.34'),(852,'/admin/config/regional/language?render=overlay','default','The unique ID of the user account.','','7.34'),(853,'/admin/config/regional/language?render=overlay','default','The login name of the user account.','','7.34'),(854,'/admin/config/regional/language?render=overlay','default','Email','','7.34'),(855,'/admin/config/regional/language?render=overlay','default','The email address of the user account.','','7.34'),(856,'/admin/config/regional/language?render=overlay','default','The URL of the account profile page.','','7.34'),(857,'/admin/config/regional/language?render=overlay','default','The url of the account edit page.','','7.34'),(858,'/admin/config/regional/language?render=overlay','default','Last access','','7.34'),(859,'/admin/config/regional/language?render=overlay','default','The date the user last accessed the site.','','7.34'),(860,'/admin/config/regional/language?render=overlay','default','Last login','','7.34'),(861,'/admin/config/regional/language?render=overlay','default','The date the user last logged in to the site.','','7.34'),(862,'/admin/config/regional/language?render=overlay','default','Created','','7.34'),(863,'/admin/config/regional/language?render=overlay','default','The date the user account was created.','','7.34'),(864,'/admin/config/regional/language?render=overlay','default','User roles','','7.34'),(865,'/admin/config/regional/language?render=overlay','default','The roles of the user.','','7.34'),(866,'/admin/config/regional/language?render=overlay','default','Whether the user is active or blocked.','','7.34'),(867,'/admin/config/regional/language?render=overlay','default','Default theme','','7.34'),(868,'/admin/config/regional/language?render=overlay','default','The user\'s default theme.','','7.34'),(869,'/admin/config/regional/language?render=overlay','default','The name of the site.','','7.34'),(870,'/admin/config/regional/language?render=overlay','default','Slogan','','7.34'),(871,'/admin/config/regional/language?render=overlay','default','The slogan of the site.','','7.34'),(872,'/admin/config/regional/language?render=overlay','default','The administrative email address for the site.','','7.34'),(873,'/admin/config/regional/language?render=overlay','default','The URL of the site\'s front page.','','7.34'),(874,'/admin/config/regional/language?render=overlay','default','Login page','','7.34'),(875,'/admin/config/regional/language?render=overlay','default','The URL of the site\'s login page.','','7.34'),(876,'/admin/config/regional/language?render=overlay','default','Logged in user','','7.34'),(877,'/admin/config/regional/language?render=overlay','default','The currently logged in user.','','7.34'),(878,'/admin/config/regional/language?render=overlay','default','Current date','','7.34'),(879,'/admin/config/regional/language?render=overlay','default','The current date and time.','','7.34'),(880,'/admin/config/regional/language?render=overlay','default','Current page','','7.34'),(881,'/admin/config/regional/language?render=overlay','default','Information related to the current page request.','','7.34'),(882,'/admin/config/regional/language?render=overlay','default','Path','','7.34'),(883,'/admin/config/regional/language?render=overlay','default','The internal Drupal path of the current page request.','','7.34'),(884,'/admin/config/regional/language?render=overlay','default','The full URL of the current page request.','','7.34'),(885,'/admin/config/regional/language?render=overlay','default','File ID','','7.34'),(886,'/admin/config/regional/language?render=overlay','default','The unique ID of the uploaded file.','','7.34'),(887,'/admin/config/regional/language?render=overlay','default','File name','','7.34'),(888,'/admin/config/regional/language?render=overlay','default','The name of the file on disk.','','7.34'),(889,'/admin/config/regional/language?render=overlay','default','MIME type','','7.34'),(890,'/admin/config/regional/language?render=overlay','default','The MIME type of the file.','','7.34'),(891,'/admin/config/regional/language?render=overlay','default','File size','','7.34'),(892,'/admin/config/regional/language?render=overlay','default','The size of the file, in kilobytes.','','7.34'),(893,'/admin/config/regional/language?render=overlay','default','The web-accessible URL for the file.','','7.34'),(894,'/admin/config/regional/language?render=overlay','default','Timestamp','','7.34'),(895,'/admin/config/regional/language?render=overlay','default','The date the file was most recently changed.','','7.34'),(896,'/admin/config/regional/language?render=overlay','default','Owner','','7.34'),(897,'/admin/config/regional/language?render=overlay','default','The user who originally uploaded the file.','','7.34'),(898,'/admin/config/regional/language?render=overlay','default','Continent name','','7.34'),(899,'/admin/config/regional/language?render=overlay','default','Comments allowed','','7.34'),(900,'/admin/config/regional/language?render=overlay','default','Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).','','7.34'),(901,'/admin/config/regional/language?render=overlay','default','The node comments.','','7.34'),(902,'/admin/config/regional/language?render=overlay','default','The number of comments posted on a node.','','7.34'),(903,'/admin/config/regional/language?render=overlay','default','New comment count','','7.34'),(904,'/admin/config/regional/language?render=overlay','default','The number of comments posted on a node since the reader last viewed it.','','7.34'),(905,'/admin/config/regional/language?render=overlay','default','The main body text','','7.34'),(906,'/admin/config/regional/language?render=overlay','default','This account\'s default language for e-mails, and preferred language for site presentation.','','7.34'),(907,'/admin/config/regional/language?render=overlay','default','Interface language','','7.34'),(908,'/admin/config/regional/language?render=overlay','default','The language code of the current user interface language.','','7.34'),(909,'/admin/config/regional/language?render=overlay','default','Content language','','7.34'),(910,'/admin/config/regional/language?render=overlay','default','The language code of the current content language.','','7.34'),(911,'/admin/config/regional/language?render=overlay','default','Revisions','','7.34'),(912,'/admin/config/regional/language?render=overlay','default','(No information available)','','7.34'),(913,'/admin/config/regional/language?render=overlay','default','Rendered @entity-type','','7.34'),(914,'/admin/config/regional/language?render=overlay','default','The @entity-type of the current relationship rendered using a view mode.','','7.34'),(915,'/admin/config/regional/language?render=overlay','default','Entity','','7.34'),(916,'/admin/config/regional/language?render=overlay','default','Displays a single chosen entity.','','7.34'),(917,'/admin/config/regional/language?render=overlay','default','@entity:@bundle','','7.34'),(918,'/admin/config/regional/language?render=overlay','default','Appears in: @bundles.','','7.34'),(919,'/admin/config/regional/language?render=overlay','default','@group: @field','','7.34'),(920,'/admin/config/regional/language?render=overlay','default','@label (!name)','','7.34'),(921,'/admin/config/regional/language?render=overlay','default','- No value -','','7.34'),(922,'/admin/config/regional/language?render=overlay','default','@label (!name:!column)','','7.34'),(923,'/admin/config/regional/language?render=overlay','default','@label:!column','','7.34'),(924,'/admin/config/regional/language?render=overlay','default','@group (historical data)','','7.34'),(925,'/admin/config/regional/language?render=overlay','default','@group (historical data): @field','','7.34'),(926,'/admin/config/regional/language?render=overlay','default','Field','','7.34'),(927,'/admin/config/regional/language?render=overlay','default','This is an alias of @group: @field.','','7.34'),(928,'/admin/config/regional/language?render=overlay','default','Also known as: !also.','','7.34'),(929,'/admin/config/regional/language?render=overlay','default','@label (!name:delta)','','7.34'),(930,'/admin/config/regional/language?render=overlay','default','@label:delta','','7.34'),(931,'/admin/config/regional/language?render=overlay','default','Delta - Appears in: @bundles.','','7.34'),(932,'/admin/config/regional/language?render=overlay','default','term from !field_name','','7.34'),(933,'/admin/config/regional/language?render=overlay','default','image from !field_name','','7.34'),(934,'/admin/config/regional/language?render=overlay','default','@field-label - @property-label','','7.34'),(935,'/admin/config/regional/language?render=overlay','default','@entity entity referenced from !field_name','','7.34'),(936,'/admin/config/regional/language?render=overlay','default','Referenced Entity','','7.34'),(937,'/admin/config/regional/language?render=overlay','default','A bridge to the @entity entity that is referenced via !field_name','','7.34'),(938,'/admin/config/regional/language?render=overlay','default','field collection item from !field_name','','7.34'),(939,'/admin/config/regional/language?render=overlay','default','Entity with the @field (@field_name)','','7.34'),(940,'/admin/config/regional/language?render=overlay','default','Relate each @entity using @field.','','7.34'),(941,'/admin/config/regional/language?render=overlay','default','!field_name','','7.34'),(942,'/admin/config/regional/language?render=overlay','default','Locale source','','7.34'),(943,'/admin/config/regional/language?render=overlay','default','A source string for translation, in English or the default site language.','','7.34'),(944,'/admin/config/regional/language?render=overlay','default','LID','','7.34'),(945,'/admin/config/regional/language?render=overlay','default','The ID of the source string.','','7.34'),(946,'/admin/config/regional/language?render=overlay','default','A description of the location or context of the string.','','7.34'),(947,'/admin/config/regional/language?render=overlay','default','Group','','7.34'),(948,'/admin/config/regional/language?render=overlay','default','The group the translation is in.','','7.34'),(949,'/admin/config/regional/language?render=overlay','default','Source','','7.34'),(950,'/admin/config/regional/language?render=overlay','default','The full original string.','','7.34'),(951,'/admin/config/regional/language?render=overlay','default','Version','','7.34'),(952,'/admin/config/regional/language?render=overlay','default','The version of Drupal core that this string is for.','','7.34'),(953,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the translations.','','7.34'),(954,'/admin/config/regional/language?render=overlay','default','Locale target','','7.34'),(955,'/admin/config/regional/language?render=overlay','default','Translation','','7.34'),(956,'/admin/config/regional/language?render=overlay','default','The full translation string.','','7.34'),(957,'/admin/config/regional/language?render=overlay','default','The language this translation is in.','','7.34'),(958,'/admin/config/regional/language?render=overlay','default','Singular LID','','7.34'),(959,'/admin/config/regional/language?render=overlay','default','The ID of the parent translation.','','7.34'),(960,'/admin/config/regional/language?render=overlay','default','Plural','','7.34'),(961,'/admin/config/regional/language?render=overlay','default','Whether or not the translation is plural.','','7.34'),(962,'/admin/config/regional/language?render=overlay','default','Location','geolocation','7.34'),(963,'/admin/config/regional/language?render=overlay','default','Locations are addresses and map coordinates.','','7.34'),(964,'/admin/config/regional/language?render=overlay','default','Lid','','7.34'),(965,'/admin/config/regional/language?render=overlay','default','The location ID of the location.','','7.34'),(966,'/admin/config/regional/language?render=overlay','default','The name of the selected location.','','7.34'),(967,'/admin/config/regional/language?render=overlay','default','Street','','7.34'),(968,'/admin/config/regional/language?render=overlay','default','The street address of the selected location.','','7.34'),(969,'/admin/config/regional/language?render=overlay','default','Additional','','7.34'),(970,'/admin/config/regional/language?render=overlay','default','Additional street address of the selected location.','','7.34'),(971,'/admin/config/regional/language?render=overlay','default','City','','7.34'),(972,'/admin/config/regional/language?render=overlay','default','The city of the selected location.','','7.34'),(973,'/admin/config/regional/language?render=overlay','default','Unknown','','7.34'),(974,'/admin/config/regional/language?render=overlay','default','Province','','7.34'),(975,'/admin/config/regional/language?render=overlay','default','The province of the selected location.','','7.34'),(976,'/admin/config/regional/language?render=overlay','default','Postal Code','','7.34'),(977,'/admin/config/regional/language?render=overlay','default','The postal code of the selected location.','','7.34'),(978,'/admin/config/regional/language?render=overlay','default','The country of the selected location.','','7.34'),(979,'/admin/config/regional/language?render=overlay','default','Latitude','','7.34'),(980,'/admin/config/regional/language?render=overlay','default','The latitude of the selected location.','','7.34'),(981,'/admin/config/regional/language?render=overlay','default','Longitude','','7.34'),(982,'/admin/config/regional/language?render=overlay','default','The longitude of the selected location.','','7.34'),(983,'/admin/config/regional/language?render=overlay','default','Coordinates','','7.34'),(984,'/admin/config/regional/language?render=overlay','default','The coordinates of the selected location in \'lat, long\' format.','','7.34'),(985,'/admin/config/regional/language?render=overlay','default','Distance / Proximity','','7.34'),(986,'/admin/config/regional/language?render=overlay','default','The distance from the selected location and either the current user or a specific location.','','7.34'),(987,'/admin/config/regional/language?render=overlay','default','Address','','7.34'),(988,'/admin/config/regional/language?render=overlay','default','The entire address block for the location.','','7.34'),(989,'/admin/config/regional/language?render=overlay','default','Nlid','','7.34'),(990,'/admin/config/regional/language?render=overlay','default','The newsletter list ID.','','7.34'),(991,'/admin/config/regional/language?render=overlay','default','The newsletter list name.','','7.34'),(992,'/admin/config/regional/language?render=overlay','default','Send rate','','7.34'),(993,'/admin/config/regional/language?render=overlay','default','The newsletter list send rate.','','7.34'),(994,'/admin/config/regional/language?render=overlay','default','Last sent','','7.34'),(995,'/admin/config/regional/language?render=overlay','default','The newsletter list last sent date.','','7.34'),(996,'/admin/config/regional/language?render=overlay','default','Send again','','7.34'),(997,'/admin/config/regional/language?render=overlay','default','The newsletter list send again date.','','7.34'),(998,'/admin/config/regional/language?render=overlay','default','The date the newsletter list was created.','','7.34'),(999,'/admin/config/regional/language?render=overlay','default','Nnid','','7.34'),(1000,'/admin/config/regional/language?render=overlay','default','The newsletter ID.','','7.34'),(1001,'/admin/config/regional/language?render=overlay','default','The newsletter title.','','7.34'),(1002,'/admin/config/regional/language?render=overlay','default','Send ID','','7.34'),(1003,'/admin/config/regional/language?render=overlay','default','The times a newsletter has been sent.','','7.34'),(1004,'/admin/config/regional/language?render=overlay','default','Custom','','7.34'),(1005,'/admin/config/regional/language?render=overlay','default','Whether this newsletter sent as a custom one.','','7.34'),(1006,'/admin/config/regional/language?render=overlay','default','Template ID','','7.34'),(1007,'/admin/config/regional/language?render=overlay','default','The newsletter template ({newsletter_template}.ntid) this newsletter used.','','7.34'),(1008,'/admin/config/regional/language?render=overlay','default','Subscribers sent','','7.34'),(1009,'/admin/config/regional/language?render=overlay','default','The number of the subscribers a newsletter has been sent to.','','7.34'),(1010,'/admin/config/regional/language?render=overlay','default','Clicks','','7.34'),(1011,'/admin/config/regional/language?render=overlay','default','The number of clicks a newsletter gathered.','','7.34'),(1012,'/admin/config/regional/language?render=overlay','default','Opens','','7.34'),(1013,'/admin/config/regional/language?render=overlay','default','The number of opens a newsletter gathered.','','7.34'),(1014,'/admin/config/regional/language?render=overlay','default','The newsletter last sent date.','','7.34'),(1015,'/admin/config/regional/language?render=overlay','default','Nsid','','7.34'),(1016,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber ID.','','7.34'),(1017,'/admin/config/regional/language?render=overlay','default','Uid','','7.34'),(1018,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber user ID.','','7.34'),(1019,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber email.','','7.34'),(1020,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber first name.','','7.34'),(1021,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber last name.','','7.34'),(1022,'/admin/config/regional/language?render=overlay','default','Gender','','7.34'),(1023,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber gender.','','7.34'),(1024,'/admin/config/regional/language?render=overlay','default','Receive format','','7.34'),(1025,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber receive format.','','7.34'),(1026,'/admin/config/regional/language?render=overlay','default','IP','','7.34'),(1027,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber IP address.','','7.34'),(1028,'/admin/config/regional/language?render=overlay','default','Hash','','7.34'),(1029,'/admin/config/regional/language?render=overlay','default','The newsletter subscriber unique hash.','','7.34'),(1030,'/admin/config/regional/language?render=overlay','default','Confirmed','','7.34'),(1031,'/admin/config/regional/language?render=overlay','default','Whether this subscriber has confirmed his subscription.','','7.34'),(1032,'/admin/config/regional/language?render=overlay','default','Confirmation date','','7.34'),(1033,'/admin/config/regional/language?render=overlay','default','The date the newsletter subscriber confirmed his subscription.','','7.34'),(1034,'/admin/config/regional/language?render=overlay','default','The date the newsletter subscriber was created.','','7.34'),(1035,'/admin/config/regional/language?render=overlay','default','Ntid','','7.34'),(1036,'/admin/config/regional/language?render=overlay','default','The newsletter template ID.','','7.34'),(1037,'/admin/config/regional/language?render=overlay','default','The newsletter template subject.','','7.34'),(1038,'/admin/config/regional/language?render=overlay','default','Whether this template is basic or not.','','7.34'),(1039,'/admin/config/regional/language?render=overlay','default','Exposed','','7.34'),(1040,'/admin/config/regional/language?render=overlay','default','Whether this list is exposed or not','','7.34'),(1041,'/admin/config/regional/language?render=overlay','default','The date the newsletter template was created.','','7.34'),(1042,'/admin/config/regional/language?render=overlay','default','The node ID.','','7.34'),(1043,'/admin/config/regional/language?render=overlay','default','The content title.','','7.34'),(1044,'/admin/config/regional/language?render=overlay','default','The date the content was posted.','','7.34'),(1045,'/admin/config/regional/language?render=overlay','default','The date the content was last updated.','','7.34'),(1046,'/admin/config/regional/language?render=overlay','default','Type','','7.34'),(1047,'/admin/config/regional/language?render=overlay','default','The content type (for example, \"blog entry\", \"forum post\", \"story\", etc).','','7.34'),(1048,'/admin/config/regional/language?render=overlay','default','Published','','7.34'),(1049,'/admin/config/regional/language?render=overlay','default','Whether or not the content is published.','','7.34'),(1050,'/admin/config/regional/language?render=overlay; modules/node/content_types.js; modules/node/node.js','default','Not published','','7.34'),(1051,'/admin/config/regional/language?render=overlay','default','Published or admin','','7.34'),(1052,'/admin/config/regional/language?render=overlay','default','Filters out unpublished content if the current user cannot view it.','','7.34'),(1053,'/admin/config/regional/language?render=overlay','default','Promoted to front page','','7.34'),(1054,'/admin/config/regional/language?render=overlay','default','Whether or not the content is promoted to the front page.','','7.34'),(1055,'/admin/config/regional/language?render=overlay','default','Promoted','','7.34'),(1056,'/admin/config/regional/language?render=overlay','default','Not promoted','','7.34'),(1057,'/admin/config/regional/language?render=overlay','default','Sticky','','7.34'),(1058,'/admin/config/regional/language?render=overlay','default','Whether or not the content is sticky.','','7.34'),(1059,'/admin/config/regional/language?render=overlay','default','Not sticky','','7.34'),(1060,'/admin/config/regional/language?render=overlay','default','Whether or not the content is sticky. To list sticky content first, set this to descending.','','7.34'),(1061,'/admin/config/regional/language?render=overlay','default','Provide a simple link to the content.','','7.34'),(1062,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the content.','','7.34'),(1063,'/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the content.','','7.34'),(1064,'/admin/config/regional/language?render=overlay','default','The aliased path to this content.','','7.34'),(1065,'/admin/config/regional/language?render=overlay','default','Updated year + month','','7.34'),(1066,'/admin/config/regional/language?render=overlay','default','Updated year','','7.34'),(1067,'/admin/config/regional/language?render=overlay','default','Updated month','','7.34'),(1068,'/admin/config/regional/language?render=overlay','default','Updated day','','7.34'),(1069,'/admin/config/regional/language?render=overlay','default','Updated week','','7.34'),(1070,'/admin/config/regional/language?render=overlay','default','The user authoring the content. If you need more fields than the uid add the content: author relationship','','7.34'),(1071,'/admin/config/regional/language?render=overlay','default','Relate content to the user who created it.','','7.34'),(1072,'/admin/config/regional/language?render=overlay','default','User has a revision','','7.34'),(1073,'/admin/config/regional/language?render=overlay','default','All nodes where a certain user has a revision','','7.34'),(1074,'/admin/config/regional/language?render=overlay','default','Content revision','','7.34'),(1075,'/admin/config/regional/language?render=overlay','default','Content revision is a history of changes to content.','','7.34'),(1076,'/admin/config/regional/language?render=overlay','default','Relate a content revision to the user who created the revision.','','7.34'),(1077,'/admin/config/regional/language?render=overlay','default','revision user','','7.34'),(1078,'/admin/config/regional/language?render=overlay','default','The revision NID of the content revision.','','7.34'),(1079,'/admin/config/regional/language?render=overlay','default','Get the actual content from a content revision.','','7.34'),(1080,'/admin/config/regional/language?render=overlay','default','Vid','','7.34'),(1081,'/admin/config/regional/language?render=overlay','default','The revision ID of the content revision.','','7.34'),(1082,'/admin/config/regional/language?render=overlay','default','Log message','','7.34'),(1083,'/admin/config/regional/language?render=overlay','default','The log message entered when the revision was created.','','7.34'),(1084,'/admin/config/regional/language?render=overlay','default','The date the node was last updated.','','7.34'),(1085,'/admin/config/regional/language?render=overlay','default','Provide a simple link to the revision.','','7.34'),(1086,'/admin/config/regional/language?render=overlay','default','Revert link','','7.34'),(1087,'/admin/config/regional/language?render=overlay','default','Provide a simple link to revert to the revision.','','7.34'),(1088,'/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the content revision.','','7.34'),(1089,'/admin/config/regional/language?render=overlay','default','Content access','','7.34'),(1090,'/admin/config/regional/language?render=overlay','default','Access','','7.34'),(1091,'/admin/config/regional/language?render=overlay','default','Filter by access.','','7.34'),(1092,'/admin/config/regional/language?render=overlay','default','Filter for content by view access. <strong>Not necessary if you are using node as your base table.</strong>','','7.34'),(1093,'/admin/config/regional/language?render=overlay','default','Has new content','','7.34'),(1094,'/admin/config/regional/language?render=overlay','default','Show a marker if the content is new or updated.','','7.34'),(1095,'/admin/config/regional/language?render=overlay','default','Show only content that is new or updated.','','7.34'),(1096,'/admin/config/regional/language?render=overlay','default','Search','','7.34'),(1097,'/admin/config/regional/language?render=overlay','default','Score','','7.34'),(1098,'/admin/config/regional/language?render=overlay','default','The score of the search item. This will not be used if the search filter is not also present.','','7.34'),(1099,'/admin/config/regional/language?render=overlay','default','Links from','','7.34'),(1100,'/admin/config/regional/language?render=overlay','default','Other nodes that are linked from the node.','','7.34'),(1101,'/admin/config/regional/language?render=overlay','default','Links to','','7.34'),(1102,'/admin/config/regional/language?render=overlay','default','Other nodes that link to the node.','','7.34'),(1103,'/admin/config/regional/language?render=overlay','default','Search Terms','','7.34'),(1104,'/admin/config/regional/language?render=overlay','default','The terms to search for.','','7.34'),(1105,'/admin/config/regional/language?render=overlay','default','Files maintained by Drupal and various modules.','','7.34'),(1106,'/admin/config/regional/language?render=overlay','default','The ID of the file.','','7.34'),(1107,'/admin/config/regional/language?render=overlay','default','The name of the file.','','7.34'),(1108,'/admin/config/regional/language?render=overlay','default','The path of the file.','','7.34'),(1109,'/admin/config/regional/language?render=overlay','default','Mime type','','7.34'),(1110,'/admin/config/regional/language?render=overlay','default','The mime type of the file.','','7.34'),(1111,'/admin/config/regional/language?render=overlay','default','Extension','','7.34'),(1112,'/admin/config/regional/language?render=overlay','default','The extension of the file.','','7.34'),(1113,'/admin/config/regional/language?render=overlay','default','Size','','7.34'),(1114,'/admin/config/regional/language?render=overlay','default','The size of the file.','','7.34'),(1115,'/admin/config/regional/language?render=overlay','default','The status of the file.','','7.34'),(1116,'/admin/config/regional/language?render=overlay','default','Upload date','','7.34'),(1117,'/admin/config/regional/language?render=overlay','default','The date the file was uploaded.','','7.34'),(1118,'/admin/config/regional/language?render=overlay','default','User who uploaded','','7.34'),(1119,'/admin/config/regional/language?render=overlay','default','The user that uploaded the file.','','7.34'),(1120,'/admin/config/regional/language?render=overlay','default','File Usage','','7.34'),(1121,'/admin/config/regional/language?render=overlay','default','Content that is associated with this file, usually because this file is in a field on the content.','','7.34'),(1122,'/admin/config/regional/language?render=overlay','default','A file that is associated with this node, usually because it is in a field on the node.','','7.34'),(1123,'/admin/config/regional/language?render=overlay','default','A user that is associated with this file, usually because this file is in a field on the user.','','7.34'),(1124,'/admin/config/regional/language?render=overlay','default','A file that is associated with this user, usually because it is in a field on the user.','','7.34'),(1125,'/admin/config/regional/language?render=overlay','default','A comment that is associated with this file, usually because this file is in a field on the comment.','','7.34'),(1126,'/admin/config/regional/language?render=overlay','default','A file that is associated with this comment, usually because it is in a field on the comment.','','7.34'),(1127,'/admin/config/regional/language?render=overlay','default','Taxonomy Term','','7.34'),(1128,'/admin/config/regional/language?render=overlay','default','A taxonomy term that is associated with this file, usually because this file is in a field on the taxonomy term.','','7.34'),(1129,'/admin/config/regional/language?render=overlay','default','A file that is associated with this taxonomy term, usually because it is in a field on the taxonomy term.','','7.34'),(1130,'/admin/config/regional/language?render=overlay','default','Taxonomy Vocabulary','','7.34'),(1131,'/admin/config/regional/language?render=overlay','default','A taxonomy vocabulary that is associated with this file, usually because this file is in a field on the taxonomy vocabulary.','','7.34'),(1132,'/admin/config/regional/language?render=overlay','default','A file that is associated with this taxonomy vocabulary, usually because it is in a field on the taxonomy vocabulary.','','7.34'),(1133,'/admin/config/regional/language?render=overlay','default','Module','','7.34'),(1134,'/admin/config/regional/language?render=overlay','default','The module managing this file relationship.','','7.34'),(1135,'/admin/config/regional/language?render=overlay','default','Entity type','','7.34'),(1136,'/admin/config/regional/language?render=overlay','default','The type of entity that is related to the file.','','7.34'),(1137,'/admin/config/regional/language?render=overlay','default','Entity ID','','7.34'),(1138,'/admin/config/regional/language?render=overlay','default','The ID of the entity that is related to the file.','','7.34'),(1139,'/admin/config/regional/language?render=overlay','default','Use count','','7.34'),(1140,'/admin/config/regional/language?render=overlay','default','The number of times the file is used by this entity.','','7.34'),(1141,'/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine','','7.34'),(1142,'/admin/config/regional/language?render=overlay','default','Modules/Themes/Theme engines in your codebase.','','7.34'),(1143,'/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine filename','','7.34'),(1144,'/admin/config/regional/language?render=overlay','default','The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.','','7.34'),(1145,'/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine name','','7.34'),(1146,'/admin/config/regional/language?render=overlay','default','The name of the item; e.g. node.','','7.34'),(1147,'/admin/config/regional/language?render=overlay','default','The type of the item, either module, theme, or theme_engine.','','7.34'),(1148,'/admin/config/regional/language?render=overlay','default','Boolean indicating whether or not this item is enabled.','','7.34'),(1149,'/admin/config/regional/language?render=overlay','default','Schema version','','7.34'),(1150,'/admin/config/regional/language?render=overlay','default','The module\'s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module\'s hook_update_N() function that has either been run or existed when the module was first installed.','','7.34'),(1151,'/admin/config/regional/language?render=overlay','default','Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.34'),(1152,'/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary name','','7.34'),(1153,'/admin/config/regional/language?render=overlay','default','Machine-Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.34'),(1154,'/admin/config/regional/language?render=overlay','default','Filter the results of \"Taxonomy: Term\" to a particular vocabulary.','','7.34'),(1155,'/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary ID','','7.34'),(1156,'/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary description','','7.34'),(1157,'/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary weight','','7.34'),(1158,'/admin/config/regional/language?render=overlay','default','Term','','7.34'),(1159,'/admin/config/regional/language?render=overlay','default','Taxonomy terms are attached to nodes.','','7.34'),(1160,'/admin/config/regional/language?render=overlay','default','The tid of a taxonomy term.','','7.34'),(1161,'/admin/config/regional/language?render=overlay','default','Taxonomy term chosen from autocomplete or select widget.','','7.34'),(1162,'/admin/config/regional/language?render=overlay','default','Representative node','','7.34'),(1163,'/admin/config/regional/language?render=overlay','default','Obtains a single representative node for each term, according to a chosen sort criterion.','','7.34'),(1164,'/admin/config/regional/language?render=overlay','default','The taxonomy term name.','','7.34'),(1165,'/admin/config/regional/language?render=overlay','default','Taxonomy term name.','','7.34'),(1166,'/admin/config/regional/language?render=overlay','default','Uncategorized','','7.34'),(1167,'/admin/config/regional/language?render=overlay','default','The term weight field','','7.34'),(1168,'/admin/config/regional/language?render=overlay','default','Term description','','7.34'),(1169,'/admin/config/regional/language?render=overlay','default','The description associated with a taxonomy term.','','7.34'),(1170,'/admin/config/regional/language?render=overlay','default','Term edit link','','7.34'),(1171,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the term.','','7.34'),(1172,'/admin/config/regional/language?render=overlay','default','Content with term','','7.34'),(1173,'/admin/config/regional/language?render=overlay','default','Relate all content tagged with a term.','','7.34'),(1174,'/admin/config/regional/language?render=overlay','default','Has taxonomy term ID','','7.34'),(1175,'/admin/config/regional/language?render=overlay','default','Display content if it has the selected taxonomy terms.','','7.34'),(1176,'/admin/config/regional/language?render=overlay','default','Has taxonomy term','','7.34'),(1177,'/admin/config/regional/language?render=overlay','default','Parent term','','7.34'),(1178,'/admin/config/regional/language?render=overlay','default','The parent term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.','','7.34'),(1179,'/admin/config/regional/language?render=overlay','default','Filter the results of \"Taxonomy: Term\" by the parent pid.','','7.34'),(1180,'/admin/config/regional/language?render=overlay','default','The parent term of the term.','','7.34'),(1181,'/admin/config/regional/language?render=overlay','default','The user ID','','7.34'),(1182,'/admin/config/regional/language?render=overlay','default','Content authored','','7.34'),(1183,'/admin/config/regional/language?render=overlay','default','Relate content to the user who created it. This relationship will create one record for each content item created by the user.','','7.34'),(1184,'/admin/config/regional/language?render=overlay','default','nodes','','7.34'),(1185,'/admin/config/regional/language?render=overlay','default','The raw numeric user ID.','','7.34'),(1186,'/admin/config/regional/language?render=overlay','default','Obtains a single representative node for each user, according to a chosen sort criterion.','','7.34'),(1187,'/admin/config/regional/language?render=overlay','default','Current','','7.34'),(1188,'/admin/config/regional/language?render=overlay','default','Filter the view to the currently logged in user.','','7.34'),(1189,'/admin/config/regional/language?render=overlay','default','The user or author name.','','7.34'),(1190,'/admin/config/regional/language?render=overlay','default','Name (raw)','','7.34'),(1191,'/admin/config/regional/language?render=overlay','default','The user or author name. This filter does not check if the user exists and allows partial matching. Does not utilize autocomplete.','','7.34'),(1192,'/admin/config/regional/language?render=overlay','default','E-mail','','7.34'),(1193,'/admin/config/regional/language?render=overlay','default','Email address for a given user. This field is normally not shown to users, so be cautious when using it.','','7.34'),(1194,'/admin/config/regional/language?render=overlay','default','Language of the user','','7.34'),(1195,'/admin/config/regional/language?render=overlay','default','Picture','','7.34'),(1196,'/admin/config/regional/language?render=overlay','default','The user\'s picture, if allowed.','','7.34'),(1197,'/admin/config/regional/language?render=overlay','default','Has Avatar','','7.34'),(1198,'/admin/config/regional/language?render=overlay','default','Provide a simple link to the user.','','7.34'),(1199,'/admin/config/regional/language?render=overlay','default','The date the user was created.','','7.34'),(1200,'/admin/config/regional/language?render=overlay','default','The user\'s last access date.','','7.34'),(1201,'/admin/config/regional/language?render=overlay','default','The user\'s last login date.','','7.34'),(1202,'/admin/config/regional/language?render=overlay','default','Active','','7.34'),(1203,'/admin/config/regional/language?render=overlay','default','Whether a user is active or blocked.','','7.34'),(1204,'/admin/config/regional/language?render=overlay','default','Blocked','','7.34'),(1205,'/admin/config/regional/language?render=overlay','default','Signature','','7.34'),(1206,'/admin/config/regional/language?render=overlay','default','The user\'s signature.','','7.34'),(1207,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the user.','','7.34'),(1208,'/admin/config/regional/language?render=overlay','default','Cancel link','','7.34'),(1209,'/admin/config/regional/language?render=overlay','default','Provide a simple link to cancel the user.','','7.34'),(1210,'/admin/config/regional/language?render=overlay','default','Provide serialized data of the user','','7.34'),(1211,'/admin/config/regional/language?render=overlay','default','Roles that a user belongs to.','','7.34'),(1212,'/admin/config/regional/language?render=overlay','default','No role','','7.34'),(1213,'/admin/config/regional/language?render=overlay','default','Permission','','7.34'),(1214,'/admin/config/regional/language?render=overlay','default','The user permissions.','','7.34'),(1215,'/admin/config/regional/language?render=overlay','default','Authmap ID','','7.34'),(1216,'/admin/config/regional/language?render=overlay','default','The Authmap ID.','','7.34'),(1217,'/admin/config/regional/language?render=overlay','default','Authentication name','','7.34'),(1218,'/admin/config/regional/language?render=overlay','default','The unique authentication name.','','7.34'),(1219,'/admin/config/regional/language?render=overlay','default','Authentication module','','7.34'),(1220,'/admin/config/regional/language?render=overlay','default','The name of the module managing the authentication entry.','','7.34'),(1221,'/admin/config/regional/language?render=overlay','default','Fieldset','','7.34'),(1222,'/admin/config/regional/language?render=overlay','default','Adds a fieldset to put fields and other fieldsets in.','','7.34'),(1223,'/admin/config/regional/language?render=overlay','default','Global','','7.34'),(1224,'/admin/config/regional/language?render=overlay','default','Random','','7.34'),(1225,'/admin/config/regional/language?render=overlay','default','Randomize the display order.','','7.34'),(1226,'/admin/config/regional/language?render=overlay','default','Null','','7.34'),(1227,'/admin/config/regional/language?render=overlay','default','Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.','','7.34'),(1228,'/admin/config/regional/language?render=overlay','default','Custom text','','7.34'),(1229,'/admin/config/regional/language?render=overlay','default','Provide custom text or link.','','7.34'),(1230,'/admin/config/regional/language?render=overlay','default','View result counter','','7.34'),(1231,'/admin/config/regional/language?render=overlay','default','Displays the actual position of the view result','','7.34'),(1232,'/admin/config/regional/language?render=overlay','default','Provide markup text for the area.','','7.34'),(1233,'/admin/config/regional/language?render=overlay','default','Unfiltered text','','7.34'),(1234,'/admin/config/regional/language?render=overlay','default','Add unrestricted, custom text or markup. This is similar to the custom text field.','','7.34'),(1235,'/admin/config/regional/language?render=overlay','default','View area','','7.34'),(1236,'/admin/config/regional/language?render=overlay','default','Insert a view inside an area.','','7.34'),(1237,'/admin/config/regional/language?render=overlay','default','Result summary','','7.34'),(1238,'/admin/config/regional/language?render=overlay','default','Shows result summary, for example the items per page.','','7.34'),(1239,'/admin/config/regional/language?render=overlay','default','Messages','','7.34'),(1240,'/admin/config/regional/language?render=overlay','default','Displays messages in the area.','','7.34'),(1241,'/admin/config/regional/language?render=overlay','default','Contextual Links','','7.34'),(1242,'/admin/config/regional/language?render=overlay','default','Display fields in a contextual links menu.','','7.34'),(1243,'/admin/config/regional/language?render=overlay','default','Combine fields filter','','7.34'),(1244,'/admin/config/regional/language?render=overlay','default','Combine two fields together and search by them.','','7.34'),(1245,'/admin/config/regional/language?render=overlay','default','Math expression','','7.34'),(1246,'/admin/config/regional/language?render=overlay','default','Evaluates a mathematical expression and displays it.','','7.34'),(1247,'/admin/config/regional/language?render=overlay','default','Fields comparison','','7.34'),(1248,'/admin/config/regional/language?render=overlay','default','Compare database fields against eachother.','','7.34'),(1249,'/admin/config/regional/language?render=overlay','default','Use fields comparison to filter the result of the view.','','7.34'),(1250,'/admin/config/regional/language?render=overlay','default','Webform submission','','7.34'),(1251,'/admin/config/regional/language?render=overlay','default','Webform submissions of the given Webform node.','','7.34'),(1252,'/admin/config/regional/language?render=overlay','default','Webform Submission','','7.34'),(1253,'/admin/config/regional/language?render=overlay','default','Webform submission count','','7.34'),(1254,'/admin/config/regional/language?render=overlay','default','The number of webform submissions on this node.','','7.34'),(1255,'/admin/config/regional/language?render=overlay','default','Webform submissions of the given user.','','7.34'),(1256,'/admin/config/regional/language?render=overlay','default','The number of webform submissions for this user.','','7.34'),(1257,'/admin/config/regional/language?render=overlay','default','Webform edit link','','7.34'),(1258,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the webform components and configuration.','','7.34'),(1259,'/admin/config/regional/language?render=overlay','default','Webform results link','','7.34'),(1260,'/admin/config/regional/language?render=overlay','default','Provide a simple link to view the results of a webform.','','7.34'),(1261,'/admin/config/regional/language?render=overlay','default','Webform form body','','7.34'),(1262,'/admin/config/regional/language?render=overlay','default','The Webform form body display for this node.','','7.34'),(1263,'/admin/config/regional/language?render=overlay','default','The block type','','7.34'),(1264,'/admin/config/regional/language?render=overlay','default','Edit link for bean block','','7.34'),(1265,'/admin/config/regional/language?render=overlay','default','Delete link for bean block','','7.34'),(1266,'/admin/config/regional/language?render=overlay','default','Contextual / Operation links','','7.34'),(1267,'/admin/config/regional/language?render=overlay','default','Display all the available contextual / operation links for the block.','','7.34'),(1268,'/admin/config/regional/language?render=overlay','default','New comments','','7.34'),(1269,'/admin/config/regional/language?render=overlay','default','The number of new comments on the node.','','7.34'),(1270,'/admin/config/regional/language?render=overlay','default','Add comment link','','7.34'),(1271,'/admin/config/regional/language?render=overlay','default','Display the standard add comment link used on regular nodes, which will only display if the viewing user has access to add a comment.','','7.34'),(1272,'/admin/config/regional/language?render=overlay','default','Comment status','','7.34'),(1273,'/admin/config/regional/language?render=overlay','default','Whether comments are enabled or disabled on the node.','','7.34'),(1274,'/admin/config/regional/language?render=overlay','default','User posted or commented','','7.34'),(1275,'/admin/config/regional/language?render=overlay','default','Display nodes only if a user posted the node or commented on the node.','','7.34'),(1276,'/admin/config/regional/language?render=overlay','default','Comments of the node','','7.34'),(1277,'/admin/config/regional/language?render=overlay','default','Relate all comments on the node. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.','','7.34'),(1278,'/admin/config/regional/language?render=overlay','default','@entity using @field','','7.34'),(1279,'/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the term.','','7.34'),(1280,'/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the image.','','7.34'),(1281,'/admin/config/regional/language?render=overlay','default','@entity referencing @target_entity from !field_name','','7.34'),(1282,'/admin/config/regional/language?render=overlay','default','Referencing entity','','7.34'),(1283,'/admin/config/regional/language?render=overlay','default','A bridge to the @entity entity that is referencing @target_entity via !field_name','','7.34'),(1284,'/admin/config/regional/language?render=overlay','default','The language the content is in.','','7.34'),(1285,'/admin/config/regional/language?render=overlay','default','Taxonomy terms on node','','7.34'),(1286,'/admin/config/regional/language?render=overlay','default','Relate nodes to taxonomy terms, specifiying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.','','7.34'),(1287,'/admin/config/regional/language?render=overlay','default','term','','7.34'),(1288,'/admin/config/regional/language?render=overlay','default','All taxonomy terms','','7.34'),(1289,'/admin/config/regional/language?render=overlay','default','Display all taxonomy terms associated with a node from specified vocabularies.','','7.34'),(1290,'/admin/config/regional/language?render=overlay','default','Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.','','7.34'),(1291,'/admin/config/regional/language?render=overlay','default','Has taxonomy term ID (with depth)','','7.34'),(1292,'/admin/config/regional/language?render=overlay','default','Has taxonomy terms (with depth)','','7.34'),(1293,'/admin/config/regional/language?render=overlay','default','Has taxonomy term ID depth modifier','','7.34'),(1294,'/admin/config/regional/language?render=overlay','default','Allows the \"depth\" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.','','7.34'),(1295,'/admin/config/regional/language?render=overlay','default','Break lock','','7.34'),(1296,'/admin/config/regional/language?render=overlay','default','Edit view','','7.34'),(1297,'/admin/config/regional/language?render=overlay','default','Disable text format','','7.34'),(1298,'/admin/config/regional/language?render=overlay','default','Run cron','','7.34'),(1299,'/admin/config/regional/language?render=overlay','default','Run updates','','7.34'),(1300,'/admin/config/regional/language?render=overlay','default','@project issue queue','','7.34'),(1301,'/admin/config/regional/language?render=overlay','default','Flush all caches','','7.34'),(1302,'/admin/config/regional/language?render=overlay','default','CSS and JavaScript','','7.34'),(1303,'/admin/config/regional/language?render=overlay','default','Page and else','','7.34'),(1304,'/admin/config/regional/language?render=overlay','default','Menu','','7.34'),(1305,'/admin/config/regional/language?render=overlay','default','Class registry','','7.34'),(1306,'/admin/config/regional/language?render=overlay','default','Theme registry','','7.34'),(1307,'/admin/config/regional/language?render=overlay','default','Update data','','7.34'),(1308,'/admin/config/regional/language?render=overlay','default','Disable developer modules','','7.32'),(1309,'/admin/config/regional/language?render=overlay','default','Log out','','7.34'),(1310,'/admin/config/regional/language?render=overlay','default','Add Block','','7.34'),(1311,'/admin/config/regional/language?render=overlay','default','Add content','','7.34'),(1312,'/admin/config/regional/language?render=overlay','default','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','','7.34'),(1313,'/admin/config/regional/language?render=overlay','default','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','','7.34'),(1314,'/admin/config/regional/language?render=overlay','default','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','','7.34'),(1315,'/admin/config/regional/language?render=overlay','default','Vehicle Products\r\n','','7.34'),(1316,'/admin/config/regional/language?render=overlay','default','Services','','7.34'),(1317,'/admin/config/regional/language?render=overlay','default','FAQ','','7.34'),(1318,'/admin/config/regional/language?render=overlay','default','Dealers','','7.34'),(1319,'/admin/config/regional/language?render=overlay','default','Testimonials','','7.34'),(1320,'/admin/config/regional/language?render=overlay','default','Token registry','','7.34'),(1321,'/admin/config/regional/language?render=overlay','default','Hello <strong>@username</strong>','','7.34'),(1322,'/admin/config/regional/language?render=overlay','default','News','','7.34'),(1323,'/admin/config/regional/language?render=overlay','default','Vehicles','','7.34'),(1324,'/admin/config/regional/language?render=overlay','default','My account','','7.34'),(1325,'/admin/config/regional/language?render=overlay','default','Add to %shortcut_set shortcuts','','7.34'),(1326,'/admin/config/regional/language?render=overlay','default','You are here','','7.34'),(1327,'/admin/config/regional/language?render=overlay','default','Status message','','7.34'),(1328,'/admin/config/regional/language?render=overlay','default','Error message','','7.34'),(1329,'/admin/config/regional/language?render=overlay','default','Warning message','','7.34'),(1330,'/admin/config/regional/language?render=overlay','default','Enable !title','','7.32'),(1331,'/admin/config/regional/language?render=overlay','default','Set !title as default','','7.32'),(1332,'/admin/config/regional/language?render=overlay','default','!title !required','','7.34'),(1333,'/admin/config/regional/language?render=overlay','default','edit','','7.34'),(1334,'/admin/config/regional/language?render=overlay','default','English name','','7.32'),(1335,'/admin/config/regional/language?render=overlay','default','Native name','','7.32'),(1336,'/admin/config/regional/language?render=overlay','default','Code','','7.32'),(1337,'/admin/config/regional/language?render=overlay','default','Direction','','7.32'),(1338,'/admin/config/regional/language?render=overlay','default','Operations','','7.34'),(1339,'/admin/config/regional/language?render=overlay','default','If you have problems accessing administrative pages on this site, disable the overlay on your profile page.','','7.34'),(1340,'/admin/config/regional/language?render=overlay','default','Dismiss this message.','','7.34'),(1341,'/admin/config/regional/language?render=overlay','default','Options for the administrative overlay','','7.34'),(1342,'/admin/config/regional/language?render=overlay','default','Close overlay','','7.34'),(1343,'/admin/config/regional/language?render=overlay','default','Primary tabs','','7.34'),(1344,'/admin/config/regional/language?render=overlay','default','!local-task-title!active','','7.34'),(1345,'/admin/config/regional/language?render=overlay','default','Skip to main content','','7.34'),(1346,'/404','default','Compose tips','','7.34'),(1347,'/404','default','Blogs','','7.34'),(1348,'/404','default','Countries example page','','7.32'),(1349,'/404','default','Demonstrate countries API','','7.32'),(1350,'/404','default','Tags','','7.34'),(1351,'/404','default','Loading...','','7.34'),(1352,'/404','default','Close Window','','7.34'),(1353,'/404','default','Close window','','7.34'),(1354,'/404','default','Close','','7.34'),(1355,'/404','default','Limit allowed HTML tags','','7.34'),(1356,'/404','default','Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)','','7.34'),(1357,'/404','default','Convert URLs into links','','7.34'),(1358,'/404','default','Correct faulty and chopped off HTML','','7.34'),(1359,'/404','default','Display any HTML as plain text','','7.34'),(1360,'/404','default','GMap Macro expander','','7.34'),(1361,'/404','default','GMap macros will be displayed as interactive maps.','','7.34'),(1362,'/404','default','PHP evaluator','','7.34'),(1363,'/404','default','Executes a piece of PHP code. The usage of this filter should be restricted to administrators only!','','7.34'),(1364,'/404','default','Headline','','7.34'),(1365,'/404','default','Header','','7.34'),(1366,'/404','default','Slideshow','','7.34'),(1367,'/404','default','Main Menu','','7.34'),(1368,'/404','default','Highlighted','','7.34'),(1369,'/404','default','Panel Featured','','7.34'),(1370,'/404','default','Sidebar first','','7.34'),(1371,'/404','default','Sidebar second','','7.34'),(1372,'/404','default','Panel First','','7.34'),(1373,'/404','default','Panel Second','','7.34'),(1374,'/404','default','Panel Third','','7.34'),(1375,'/404','default','Panel Fourth','','7.34'),(1376,'/404','default','Panel Fifth','','7.34'),(1377,'/404','default','Panel Sixth','','7.34'),(1378,'/404','default','Panel Footer 1','','7.34'),(1379,'/404','default','Panel Footer 2','','7.34'),(1380,'/404','default','Panel Footer 3','','7.34'),(1381,'/404','default','Panel Footer 4','','7.34'),(1382,'/404','default','Panel Footer 5','','7.34'),(1383,'/404','default','Footer','','7.34'),(1384,'/404','default','Enter the terms you wish to search for.','','7.34'),(1385,'/404','default','News Grid','','7.34'),(1386,'/404','default','News List','','7.34'),(1387,'/404','default','Vehicles List','','7.34'),(1388,'/404','default','Vehicles-Grid','','7.34'),(1389,'/404','default','Rendered submissions','','7.34'),(1390,'/404','default','Display the rendered submission','','7.34'),(1391,'/404','default','Better Exposed Filters','','7.34'),(1392,'/404','default','Allow use of checkboxes/radio buttons for exposed filters','','7.34'),(1393,'/404','default','Display the comment with standard comment view.','','7.34'),(1394,'/404','default','Display the comment as RSS.','','7.34'),(1395,'/404','default','Renders a single entity in a specific view mode (e.g. teaser).','','7.34'),(1396,'/404','default','Entity Reference Source','','7.34'),(1397,'/404','default','Entity Reference list','','7.34'),(1398,'/404','default','Inline fields','','7.34'),(1399,'/404','default','Displays the fields with an optional template.','','7.34'),(1400,'/404','default','Display the results in a FlexSlider widget.','','7.34'),(1401,'/404','default','Displays rows as a map.','','7.34'),(1402,'/404','default','Extended GMap','','7.34'),(1403,'/404','default','Displays a map of markers.','','7.34'),(1404,'/404','default','jCarousel','','7.34'),(1405,'/404','default','Display rows in a carousel via jCarousel.','','7.34'),(1406,'/404','default','Display the content with standard node view.','','7.34'),(1407,'/404','default','Content ID from URL','','7.34'),(1408,'/404','default','Taxonomy term ID from URL','','7.34'),(1409,'/404','default','Display the user with standard user view.','','7.34'),(1410,'/404','default','User ID from URL','','7.34'),(1411,'/404','default','User ID from logged in user','','7.34'),(1412,'/404','default','Views Accordion','','7.34'),(1413,'/404','default','Display a JQuery accordion with the results. The first field will be used as the header and trigger.','','7.34'),(1414,'/404','default','Views fieldsets options','','7.34'),(1415,'/404','default','A way to export Views Fieldsets.','','7.34'),(1416,'/404','default','Display the results as a slideshow.','','7.34'),(1417,'/404','default','Master','','7.34'),(1418,'/404','default','Default settings for this view.','','7.34'),(1419,'/404','default','Page','','7.34'),(1420,'/404','default','Display the view as a page, with a URL and menu links.','','7.34'),(1421,'/404','default','Display the view as a block.','','7.34'),(1422,'/404','default','Attachment','','7.34'),(1423,'/404','default','Attachments added to other displays to achieve multiple views in the same view.','','7.34'),(1424,'/404','default','Feed','','7.34'),(1425,'/404','default','Display the view as a feed, such as an RSS feed.','','7.34'),(1426,'/404','default','Embed','','7.34'),(1427,'/404','default','Provide a display which can be embedded using the views api.','','7.34'),(1428,'/404','default','Empty display extender','','7.34'),(1429,'/404','default','Unformatted list','','7.34'),(1430,'/404','default','Displays rows one after another.','','7.34'),(1431,'/404','default','HTML list','','7.34'),(1432,'/404','default','Displays rows as an HTML list.','','7.34'),(1433,'/404','default','Grid','','7.34'),(1434,'/404','default','Displays rows in a grid.','','7.34'),(1435,'/404','default','Table','','7.34'),(1436,'/404','default','Displays rows in a table.','','7.34'),(1437,'/404','default','Displays the default summary as a list.','','7.34'),(1438,'/404','default','Displays the summary unformatted, with option for one after another or inline.','','7.34'),(1439,'/404','default','RSS Feed','','7.34'),(1440,'/404','default','Generates an RSS feed from a view.','','7.34'),(1441,'/404','default','Fields','','7.34'),(1442,'/404','default','Display fields as RSS items.','','7.34'),(1443,'/404','default','Fixed value','','7.34'),(1444,'/404','default','PHP Code','','7.34'),(1445,'/404','default','Raw value from URL','','7.34'),(1446,'/404','default','Numeric','','7.34'),(1447,'/404','default','None','','7.34'),(1448,'/404','default','Will be available to all users.','','7.34'),(1449,'/404','default','Role','','7.34'),(1450,'/404','default','Access will be granted to users with any of the specified roles.','','7.34'),(1451,'/404','default','Access will be granted to users with the specified permission string.','','7.34'),(1452,'/404','default','SQL Query','','7.34'),(1453,'/404','default','Query will be generated and run using the Drupal database API.','','7.34'),(1454,'/404','default','No caching of Views data.','','7.34'),(1455,'/404','default','Time-based','','7.34'),(1456,'/404','default','Simple time-based caching of data.','','7.34'),(1457,'/404','default','Basic exposed form','','7.34'),(1458,'/404','default','Input required','','7.34'),(1459,'/404','default','An exposed form that only renders a view if the form contains user input.','','7.34'),(1460,'/404','default','Display all items','','7.34'),(1461,'/404','default','Display all items that this view might find','','7.34'),(1462,'/404','default','Display a specified number of items','','7.34'),(1463,'/404','default','Display a limited number items that this view might find.','','7.34'),(1464,'/404','default','Paged output, full pager','','7.34'),(1465,'/404','default','Full','','7.34'),(1466,'/404','default','Paged output, full Drupal style','','7.34'),(1467,'/404','default','Paged output, mini pager','','7.34'),(1468,'/404','default','Mini','','7.34'),(1469,'/404','default','Use the mini pager output.','','7.34'),(1470,'/404','default','Do not pass admin strings for translation.','','7.34'),(1471,'/404','default','Core','','7.34'),(1472,'/404','default','Use Drupal core t() function. Not recommended, as it doesn\'t support updates to existing strings.','','7.34'),(1473,'/404','default','If you need to translate Views labels into other languages, consider installing the <a href=\"!path\">Internationalization</a> package\'s Views translation module.','','7.34'),(1474,'/404','default','Jump menu','','7.34'),(1475,'/404','default','Puts all of the results into a select box and allows the user to go to a different page based upon the results.','','7.34'),(1476,'/404','default','more','','7.34'),(1477,'/404','default','Vehicles grid','','7.34'),(1478,'/404','default','Vehicle Related','','7.34'),(1479,'/404','default','fields','','7.34'),(1480,'/404','default','Contextual filters','','7.34'),(1481,'/404','default','contextual filters','','7.34'),(1482,'/404','default','Contextual filter','','7.34'),(1483,'/404','default','contextual filter','','7.34'),(1484,'/404','default','Sort criteria','','7.34'),(1485,'/404','default','sort criteria','','7.34'),(1486,'/404','default','Sort criterion','','7.34'),(1487,'/404','default','sort criterion','','7.34'),(1488,'/404','default','Filter criteria','','7.34'),(1489,'/404','default','filter criteria','','7.34'),(1490,'/404','default','Filter criterion','','7.34'),(1491,'/404','default','filter criterion','','7.34'),(1492,'/404','default','Relationships','','7.34'),(1493,'/404','default','relationships','','7.34'),(1494,'/404','default','Relationship','','7.34'),(1495,'/404','default','header','','7.34'),(1496,'/404','default','footer','','7.34'),(1497,'/404','default','No results behavior','','7.34'),(1498,'/404','default','no results behavior','','7.34'),(1499,'/404','default','Body','','7.34'),(1500,'/404','default','True','','7.34'),(1501,'/404','default','Options','','7.34'),(1502,'/404','default','Is one of','','7.34'),(1503,'/404','default','in','','7.34'),(1504,'/404','default','=','','7.34'),(1505,'/404','default','Is not one of','','7.34'),(1506,'/404','default','not in','','7.34'),(1507,'/404','default','<>','','7.34'),(1508,'/404','default','Apply','','7.34'),(1509,'/404','default','Reset','','7.34'),(1510,'/404','default','Sort by','','7.34'),(1511,'/404','default','Asc','','7.34'),(1512,'/404','default','Desc','','7.34'),(1513,'/404','default','...','','7.34'),(1514,'/404','default','About us','','7.34'),(1515,'/404','default','Contact','','7.34'),(1516,'/404','default','Tags in @voc','','7.34'),(1517,'/404','default','Subscribe to our Newsletters','','7.34'),(1518,'/404','default','Subscribe','','7.34'),(1519,'/404','default','Configure block','','7.34'),(1520,'/404','default','Default Style','','7.34'),(1521,'/404','default','Default Layout','','7.34'),(1522,'/404','default','Search form','','7.34'),(1523,'/404','default','Config TB Mega Menu','','7.34'),(1524,'/404','default','Bean module element','','7.34'),(1525,'/404','default','Revision settings','','7.34'),(1526,'/404','default','View mode','','7.34'),(1527,'/404','default','Author textfield','','7.34'),(1528,'/404','default','Subject textfield','','7.34'),(1529,'/404','default','Location module form elements','','7.34'),(1530,'/404','default','Node module element','','7.34'),(1531,'/404','default','URL path settings','','7.34'),(1532,'/404','default','Path module form elements','','7.34'),(1533,'/404','default','Term name textfield','','7.34'),(1534,'/404','default','Term description textarea','','7.34'),(1535,'/404','default','User name and password','','7.34'),(1536,'/404','default','User module account form elements.','','7.34'),(1537,'/404','default','Timezone','','7.34'),(1538,'/404','default','User module timezone form element.','','7.34'),(1539,'/404','default','History','','7.34'),(1540,'/404','default','User module history view element.','','7.34'),(1541,'/404','default','User picture','','7.34'),(1542,'/404','default','Administrative overlay','','7.34'),(1543,'/404','default','Language settings','','7.34'),(1544,'/404','default','Language settings for the user account.','','7.34'),(1545,'/404','default','Fri','','7.34'),(1546,'/404','default','View user profile.','','7.34'),(1547,'/404','default','Back to Top','','7.34'),(1548,'/js/admin_menu/cache/52dddc96df0f3dcdc2f411b7a07d7888','default','','','7.34'),(1549,'/','default','Front page feed','','7.34'),(1550,'/','default','View more','','7.34'),(1551,'/','default','CO2 emissions (g/100km)','','7.34'),(1552,'/','default','CCE','','7.34'),(1553,'/','default','Fuel consumption combined (l/100km)','','7.34'),(1554,'/','default','FCC','','7.34'),(1555,'/','default','Top speed ( km/h)','','7.34'),(1556,'/','default','top speed','','7.34'),(1557,'/','default','<a href=\"<?php print base_path();?>vehicles-list\" title=\"view all vehicles\">all vehicles</a>','','7.34'),(1558,'/','default','Is less than','','7.34'),(1559,'/','default','<','','7.34'),(1560,'/','default','Is less than or equal to','','7.34'),(1561,'/','default','<=','','7.34'),(1562,'/','default','Is equal to','','7.34'),(1563,'/','default','Is not equal to','','7.34'),(1564,'/','default','!=','','7.34'),(1565,'/','default','Is greater than or equal to','','7.34'),(1566,'/','default','>=','','7.34'),(1567,'/','default','Is greater than','','7.34'),(1568,'/','default','>','','7.34'),(1569,'/','default','Is between','','7.34'),(1570,'/','default','between','','7.34'),(1571,'/','default','Is not between','','7.34'),(1572,'/','default','not between','','7.34'),(1573,'/','default','Is empty (NULL)','','7.34'),(1574,'/','default','empty','','7.34'),(1575,'/','default','Is not empty (NOT NULL)','','7.34'),(1576,'/','default','not empty','','7.34'),(1577,'/','default','Regular expression','','7.34'),(1578,'/','default','regex','','7.34'),(1579,'/','default','Subscribe to !feed-title','','7.34'),(1580,'/','default','Fieldset','views_fieldsets','7.34'),(1581,'/','default','Read more','','7.34'),(1582,'/','default','Untitled skin','','7.34'),(1583,'/','default','Pager','','7.34'),(1584,'/','default','Controls','','7.34'),(1585,'/','default','Slide Counter','','7.34'),(1586,'/','default','Cycle','','7.34'),(1587,'/','default','Previous','','7.34'),(1588,'/','default','Next','','7.34'),(1589,'/','default','What We Do','','7.34'),(1590,'/','default','<p>\nwe are not only make your vehicles, we are your dreams\nChoose from a wide variety of dreams\n</p>','','7.34'),(1591,'/','default','Our Members','','7.34'),(1592,'/','default','Full Name','','7.34'),(1593,'/','default','Position','','7.34'),(1594,'/','default','or','','7.34'),(1595,'/','default','Is all of','','7.34'),(1596,'/','default','and','','7.34'),(1597,'/','default','Is none of','','7.34'),(1598,'/','default','not','','7.34'),(1599,'/','default','Only has the \'authenticated user\' role','','7.34'),(1600,'/','default','Has roles in addition to \'authenticated user\'','','7.34'),(1601,'/','default','@user\'s picture','','7.34'),(1602,'/','default','Local','','7.34'),(1603,'/','default','Play','','7.34'),(1604,'/','default','Counter','','7.34'),(1605,'/','default','Brands','','7.34'),(1606,'/','default','Most popular brands','','7.34'),(1607,'/','default','Tango','','7.34'),(1608,'/admin/config?render=overlay','default','GD library PNG support','','7.32'),(1609,'/admin/config?render=overlay','default','CTools CSS Cache','','7.32'),(1610,'/admin/config?render=overlay','default','Exists','','7.32'),(1611,'/admin/config?render=overlay','default','The timezone has been set to <a href=\"@regional_settings\">@timezone</a>.','','7.32'),(1612,'/admin/config?render=overlay','default','The Date API requires that you set up the <a href=\"@regional_settings\">site first day of week settings</a> to function correctly.','','7.32'),(1613,'/admin/config?render=overlay','default','The medium date format type has been set to to @value. You may find it helpful to add new format types like Date, Time, Month, or Year, with appropriate formats, at <a href=\"@regional_date_time\">Date and time</a> settings.','','7.32'),(1614,'/admin/config?render=overlay','default','System date settings','','7.32'),(1615,'/admin/config?render=overlay','default','Not enabled','','7.32'),(1616,'/admin/config?render=overlay','default','Your server is capable of displaying file upload progress, but does not have the required libraries. It is recommended to install the <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress library</a> (preferred) or to install <a href=\"http://us2.php.net/apc\">APC</a>.','','7.32'),(1617,'/admin/config?render=overlay','default','Upload progress','','7.32'),(1618,'/admin/config?render=overlay','default','Version 2.0 installed','','7.32'),(1619,'/admin/config?render=overlay','default','Version %version installed','','7.32'),(1620,'/admin/config?render=overlay','default','FlexSlider library installed.','','7.32'),(1621,'/admin/config?render=overlay','default','GD library rotate and desaturate effects','','7.32'),(1622,'/admin/config?render=overlay','default','jQuery Update','','7.32'),(1623,'/admin/config?render=overlay','default','jQuery %jquery and jQuery UI %ui','','7.32'),(1624,'/admin/config?render=overlay','default','Disabled','','7.32'),(1625,'/admin/config?render=overlay','default','If the site is experiencing problems with permissions to content, you may have to rebuild the permissions cache. Rebuilding will remove all privileges to content and replace them with permissions based on the current modules and settings. Rebuilding may take some time if there is a lot of content or complex permission settings. After rebuilding has completed, content will automatically use the new permissions.','','7.32'),(1626,'/admin/config?render=overlay','default','Node Access Permissions','','7.32'),(1627,'/admin/config?render=overlay','default','Rebuild permissions','','7.32'),(1628,'/admin/config?render=overlay','default','Drupal','','7.32'),(1629,'/admin/config?render=overlay','default','Web server','','7.32'),(1630,'/admin/config?render=overlay','default','PHP','','7.32'),(1631,'/admin/config?render=overlay','default','more information','','7.32'),(1632,'/admin/config?render=overlay','default','PHP register globals','','7.32'),(1633,'/admin/config?render=overlay','default','PHP extensions','','7.32'),(1634,'/admin/config?render=overlay','default','Database system','','7.32'),(1635,'/admin/config?render=overlay','default','Database system version','','7.32'),(1636,'/admin/config?render=overlay','default','PHP memory limit','','7.32'),(1637,'/admin/config?render=overlay','default','Protected','','7.32'),(1638,'/admin/config?render=overlay','default','Configuration file','','7.32'),(1639,'/admin/config?render=overlay','default','Public files directory','','7.32'),(1640,'/admin/config?render=overlay','default','Temporary files directory','','7.32'),(1641,'/admin/config?render=overlay','default','For more information, see the online handbook entry for <a href=\"@cron-handbook\">configuring cron jobs</a>.','','7.32'),(1642,'/admin/config?render=overlay','default','@count min','','7.32'),(1643,'/admin/config?render=overlay','default','@count sec','','7.32'),(1644,'/admin/config?render=overlay','default','Last run !time ago','','7.32'),(1645,'/admin/config?render=overlay','default','You can <a href=\"@cron\">run cron manually</a>.','','7.32'),(1646,'/admin/config?render=overlay','default','To run cron from outside the site, go to <a href=\"!cron\">!cron</a>','','7.32'),(1647,'/admin/config?render=overlay','default','Cron maintenance tasks','','7.32'),(1648,'/admin/config?render=overlay','default','Writable (<em>public</em> download method)','','7.32'),(1649,'/admin/config?render=overlay','default','Database updates','','7.32'),(1650,'/admin/config?render=overlay','default','Up to date','','7.34'),(1651,'/admin/config?render=overlay','default','Out of date','','7.32'),(1652,'/admin/config?render=overlay','default','Some modules have database schema updates to install. You should run the <a href=\"@update\">database update script</a> immediately.','','7.32'),(1653,'/admin/config?render=overlay','default','Access to update.php','','7.32'),(1654,'/admin/config?render=overlay','default','Standard PHP','','7.32'),(1655,'/admin/config?render=overlay','default','PHP Mbstring Extension','','7.32'),(1656,'/admin/config?render=overlay','default','Error','','7.32'),(1657,'/admin/config?render=overlay','default','Unicode library','','7.32'),(1658,'/admin/config?render=overlay','default','Update notifications','','7.32'),(1659,'/admin/config?render=overlay','default','The source node for this current node\'s translation set.','','7.32'),(1660,'/admin/config?render=overlay','default','The explanation of the most recent changes made to the node.','','7.32'),(1661,'/admin/config?render=overlay','default','The content type of the node.','','7.32'),(1662,'/admin/config?render=overlay','default','Tokens related to content types.','','7.32'),(1663,'/admin/config?render=overlay','default','The name of the content type.','','7.32'),(1664,'/admin/config?render=overlay','default','The unique machine-readable name of the content type.','','7.32'),(1665,'/admin/config?render=overlay','default','The optional description of the content type.','','7.32'),(1666,'/admin/config?render=overlay','default','The number of nodes belonging to the content type.','','7.32'),(1667,'/admin/config?render=overlay','default','The URL of the content type\'s edit page.','','7.32'),(1668,'/admin/config?render=overlay','default','The URL of the taxonomy term\'s edit page.','','7.32'),(1669,'/admin/config?render=overlay','default','Parents','','7.32'),(1670,'/admin/config?render=overlay','default','An array of all the term\'s parents, starting with the root.','','7.32'),(1671,'/admin/config?render=overlay','default','Root term','','7.32'),(1672,'/admin/config?render=overlay','default','The root term of the taxonomy term.','','7.32'),(1673,'/admin/config?render=overlay','default','The unique machine-readable name of the vocabulary.','','7.32'),(1674,'/admin/config?render=overlay','default','The URL of the vocabulary\'s edit page.','','7.32'),(1675,'/admin/config?render=overlay','default','Base name','','7.32'),(1676,'/admin/config?render=overlay','default','The base name of the file.','','7.32'),(1677,'/admin/config?render=overlay','default','File byte size','','7.32'),(1678,'/admin/config?render=overlay','default','The size of the file, in bytes.','','7.32'),(1679,'/admin/config?render=overlay','default','Account cancellation URL','','7.32'),(1680,'/admin/config?render=overlay','default','The URL of the confirm delete page for the user account.','','7.32'),(1681,'/admin/config?render=overlay','default','One-time login URL','','7.32'),(1682,'/admin/config?render=overlay','default','The URL of the one-time login page for the user account.','','7.32'),(1683,'/admin/config?render=overlay','default','The picture of the user.','','7.32'),(1684,'/admin/config?render=overlay','default','The user roles associated with the user account.','','7.32'),(1685,'/admin/config?render=overlay','default','IP address','','7.34'),(1686,'/admin/config?render=overlay','default','Menu links','','7.32'),(1687,'/admin/config?render=overlay','default','Tokens related to menu links.','','7.32'),(1688,'/admin/config?render=overlay','default','Link ID','','7.32'),(1689,'/admin/config?render=overlay','default','The unique ID of the menu link.','','7.32'),(1690,'/admin/config?render=overlay','default','The title of the menu link.','','7.32'),(1691,'/admin/config?render=overlay','default','The URL of the menu link.','','7.32'),(1692,'/admin/config?render=overlay','default','The menu link\'s parent.','','7.32'),(1693,'/admin/config?render=overlay','default','An array of all the menu link\'s parents, starting with the root.','','7.32'),(1694,'/admin/config?render=overlay','default','Root','','7.32'),(1695,'/admin/config?render=overlay','default','The menu link\'s root.','','7.32'),(1696,'/admin/config?render=overlay','default','Tokens related to the current page request.','','7.32'),(1697,'/admin/config?render=overlay','default','The title of the current page.','','7.32'),(1698,'/admin/config?render=overlay','default','The URL of the current page.','','7.32'),(1699,'/admin/config?render=overlay','default','Page number','','7.32'),(1700,'/admin/config?render=overlay','default','The page number of the current page when viewing paged lists.','','7.32'),(1701,'/admin/config?render=overlay','default','Query string value','','7.32'),(1702,'/admin/config?render=overlay','default','The value of a specific query string field of the current page.','','7.32'),(1703,'/admin/config?render=overlay','default','Tokens related to URLs.','','7.32'),(1704,'/admin/config?render=overlay','default','The path component of the URL.','','7.32'),(1705,'/admin/config?render=overlay','default','Relative URL','','7.32'),(1706,'/admin/config?render=overlay','default','The relative URL.','','7.32'),(1707,'/admin/config?render=overlay','default','Absolute URL','','7.32'),(1708,'/admin/config?render=overlay','default','The absolute URL.','','7.32'),(1709,'/admin/config?render=overlay','default','Brief URL','','7.32'),(1710,'/admin/config?render=overlay','default','The URL without the protocol and trailing backslash.','','7.32'),(1711,'/admin/config?render=overlay','default','Unaliased URL','','7.32'),(1712,'/admin/config?render=overlay','default','The unaliased URL.','','7.32'),(1713,'/admin/config?render=overlay','default','Arguments','','7.32'),(1714,'/admin/config?render=overlay','default','The specific argument of the current page (e.g. \'arg:1\' on the page \'node/1\' returns \'1\').','','7.32'),(1715,'/admin/config?render=overlay','default','Array','','7.32'),(1716,'/admin/config?render=overlay','default','Tokens related to arrays of strings.','','7.32'),(1717,'/admin/config?render=overlay','default','First','','7.32'),(1718,'/admin/config?render=overlay','default','The first element of the array.','','7.32'),(1719,'/admin/config?render=overlay','default','Last','','7.32'),(1720,'/admin/config?render=overlay','default','The last element of the array.','','7.32'),(1721,'/admin/config?render=overlay','default','Count','','7.32'),(1722,'/admin/config?render=overlay','default','The number of elements in the array.','','7.32'),(1723,'/admin/config?render=overlay','default','Reversed','','7.32'),(1724,'/admin/config?render=overlay','default','The array reversed.','','7.32'),(1725,'/admin/config?render=overlay','default','Keys','','7.32'),(1726,'/admin/config?render=overlay','default','The array of keys of the array.','','7.32'),(1727,'/admin/config?render=overlay','default','Imploded','','7.32'),(1728,'/admin/config?render=overlay','default','The values of the array joined together with a custom string in-between each value.','','7.32'),(1729,'/admin/config?render=overlay','default','The specific value of the array.','','7.32'),(1730,'/admin/config?render=overlay','default','Number','','7.34'),(1731,'/admin/config?render=overlay','default','A random number from 0 to @max.','','7.32'),(1732,'/admin/config?render=overlay','default','A random hash. The possible hashing algorithms are: @hash-algos.','','7.32'),(1733,'/admin/config?render=overlay','default','Submission','','7.32'),(1734,'/admin/config?render=overlay','default','Tokens related to webform submissions.','','7.32'),(1735,'/admin/config?render=overlay','default','The serial number of this webform submission.','','7.32'),(1736,'/admin/config?render=overlay','default','Submission ID','','7.32'),(1737,'/admin/config?render=overlay','default','The unique indentifier for the webform submission.','','7.32'),(1738,'/admin/config?render=overlay','default','Date submitted','','7.32'),(1739,'/admin/config?render=overlay','default','The date the webform was submitted.','','7.32'),(1740,'/admin/config?render=overlay','default','The IP address that was used when submitting the webform.','','7.32'),(1741,'/admin/config?render=overlay','default','Submitter','','7.32'),(1742,'/admin/config?render=overlay','default','The user that submitted the webform result.','','7.32'),(1743,'/admin/config?render=overlay','default','Webform tokens related to URLs.','','7.32'),(1744,'/admin/config?render=overlay','default','Webform submission values','','7.32'),(1745,'/admin/config?render=overlay','default','Webform tokens from submitted data. Replace the \"?\" with the \"field key\", including any parent field keys separated by colons. You may append \":label\" for just the label or \":withlabel\" for both the label and value together. Append \":key\" for just the key in a key|label pair.','','7.32'),(1746,'/admin/config?render=overlay','default','Address field','','7.32'),(1747,'/admin/config?render=overlay','default','Tokens related to address field values and their components.','','7.32'),(1748,'/admin/config?render=overlay','default','Country name','','7.32'),(1749,'/admin/config?render=overlay','default','The full name of the country.','','7.32'),(1750,'/admin/config?render=overlay','default','Country code','','7.32'),(1751,'/admin/config?render=overlay','default','The two letter ISO country code.','','7.32'),(1752,'/admin/config?render=overlay','default','Administrative area (i.e. State/Province)','','7.32'),(1753,'/admin/config?render=overlay','default','The administrative area value, expanded to the full name if applicable.','','7.32'),(1754,'/admin/config?render=overlay','default','Administrative area (raw value)','','7.32'),(1755,'/admin/config?render=overlay','default','The raw administrative area value.','','7.32'),(1756,'/admin/config?render=overlay','default','The locality value.','','7.32'),(1757,'/admin/config?render=overlay','default','The postal code value.','','7.32'),(1758,'/admin/config?render=overlay','default','The thoroughfare value.','','7.32'),(1759,'/admin/config?render=overlay','default','Premise (i.e. Street address)','','7.32'),(1760,'/admin/config?render=overlay','default','Organisation','','7.32'),(1761,'/admin/config?render=overlay','default','The organisation name value.','','7.32'),(1762,'/admin/config?render=overlay','default','The name line value of the address.','','7.32'),(1763,'/admin/config?render=overlay','default','The first name value.','','7.32'),(1764,'/admin/config?render=overlay','default','The last name value.','','7.32'),(1765,'/admin/config?render=overlay','default','Address formatted for MailChimp','','7.32'),(1766,'/admin/config?render=overlay','default','The full address formatted for import into MailChimp.','','7.32'),(1767,'/admin/config?render=overlay','default','Tokens for comments posted on the site.','','7.32'),(1768,'/admin/config?render=overlay','default','The formatted content of the comment itself.','','7.32'),(1769,'/admin/config?render=overlay','default','The date the comment was most recently updated.','','7.32'),(1770,'/admin/config?render=overlay','default','The author of the comment, if they were logged in.','','7.32'),(1771,'/admin/config?render=overlay','default','Tokens related to individual countries.','','7.32'),(1772,'/admin/config?render=overlay','default','Default country','','7.32'),(1773,'/admin/config?render=overlay','default','Tokens related to the sites default country.','','7.32'),(1774,'/admin/config?render=overlay','default','The unique internal database ID of the country.','','7.32'),(1775,'/admin/config?render=overlay','default','The @property of the country.','','7.32'),(1776,'/admin/config?render=overlay','default','The Continent code of the country.','','7.32'),(1777,'/admin/config?render=overlay','default','Date field values','','7.32'),(1778,'/admin/config?render=overlay','default','Tokens related to date field values.','','7.32'),(1779,'/admin/config?render=overlay','default','Date','','7.34'),(1780,'/admin/config?render=overlay','default','The date value.','','7.32'),(1781,'/admin/config?render=overlay','default','End Date','','7.32'),(1782,'/admin/config?render=overlay','default','The End date value.','','7.32'),(1783,'/admin/config?render=overlay','default','Tokens related to location.','','7.32'),(1784,'/admin/config?render=overlay','default','Location Name','','7.32'),(1785,'/admin/config?render=overlay','default','Location Name (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1786,'/admin/config?render=overlay','default','Street (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1787,'/admin/config?render=overlay','default','Additional (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1788,'/admin/config?render=overlay','default','City (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1789,'/admin/config?render=overlay','default','State/Province','','7.32'),(1790,'/admin/config?render=overlay','default','State/Province (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1791,'/admin/config?render=overlay','default','State/Province Name','','7.32'),(1792,'/admin/config?render=overlay','default','State/Province Name (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1793,'/admin/config?render=overlay','default','Postal Code (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1794,'/admin/config?render=overlay','default','Latitude (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1795,'/admin/config?render=overlay','default','Longitude (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1796,'/admin/config?render=overlay','default','Country (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1797,'/admin/config?render=overlay','default','Country Name','','7.32'),(1798,'/admin/config?render=overlay','default','Country Name (If there are multiple locations, N is the iteration, starting with 0).','','7.32'),(1799,'/admin/config?render=overlay','default','The location for this node.','','7.32'),(1800,'/admin/config?render=overlay','default','The location for this user.','','7.32'),(1801,'/admin/config?render=overlay','default','Tokens related to menus.','','7.32'),(1802,'/admin/config?render=overlay','default','The name of the menu.','','7.32'),(1803,'/admin/config?render=overlay','default','The unique machine-readable name of the menu.','','7.32'),(1804,'/admin/config?render=overlay','default','The optional description of the menu.','','7.32'),(1805,'/admin/config?render=overlay','default','Menu link count','','7.32'),(1806,'/admin/config?render=overlay','default','The number of menu links belonging to the menu.','','7.32'),(1807,'/admin/config?render=overlay','default','The URL of the menu\'s edit page.','','7.32'),(1808,'/admin/config?render=overlay','default','The menu of the menu link.','','7.32'),(1809,'/admin/config?render=overlay','default','The URL of the menu link\'s edit page.','','7.32'),(1810,'/admin/config?render=overlay','default','Menu link','','7.34'),(1811,'/admin/config?render=overlay','default','The menu link for this node.','','7.32'),(1812,'/admin/config?render=overlay','default','Tokens related to newsletters.','','7.32'),(1813,'/admin/config?render=overlay','default','Confirmation URL','','7.32'),(1814,'/admin/config?render=overlay','default','The url with the generated hash where the subscriber confirms subscription','','7.32'),(1815,'/admin/config?render=overlay','default','Subscription IP','','7.32'),(1816,'/admin/config?render=overlay','default','Unsubscribe URL','','7.32'),(1817,'/admin/config?render=overlay','default','The URL that unsubscribes the current user from subscribed newsletters','','7.32'),(1818,'/admin/config?render=overlay','default','Edit subscription URL','','7.32'),(1819,'/admin/config?render=overlay','default','The URL that allows even anonymous users to edit their newlsetter subscription','','7.32'),(1820,'/admin/config?render=overlay','default','Subscriber\'s First Name','','7.32'),(1821,'/admin/config?render=overlay','default','You need to have this required in the personal info form, in order to use it efficiently','','7.32'),(1822,'/admin/config?render=overlay','default','Subscriber\'s Last Name','','7.32'),(1823,'/admin/config?render=overlay','default','Subscriber\'s e-mail','','7.32'),(1824,'/admin/config?render=overlay','default','Subscription Time','','7.32'),(1825,'/admin/config?render=overlay','default','The date this subscriber subscribed to your list','','7.32'),(1826,'/admin/config?render=overlay','default','List name','','7.32'),(1827,'/admin/config?render=overlay','default','The newsletter list name','','7.32'),(1828,'/admin/config?render=overlay','default','List\'s description','','7.32'),(1829,'/admin/config?render=overlay','default','The newsletter list description','','7.32'),(1830,'/admin/config?render=overlay','default','List\'s category','','7.32'),(1831,'/admin/config?render=overlay','default','The newsletter list category','','7.32'),(1832,'/admin/config?render=overlay','default','Tokens related to individual content items, or \"nodes\".','','7.32'),(1833,'/admin/config?render=overlay','default','Content ID','','7.32'),(1834,'/admin/config?render=overlay','default','The unique ID of the content item, or \"node\".','','7.32'),(1835,'/admin/config?render=overlay','default','The unique ID of the node\'s latest revision.','','7.32'),(1836,'/admin/config?render=overlay','default','Translation set ID','','7.32'),(1837,'/admin/config?render=overlay','default','The unique ID of the original-language version of this node, if one exists.','','7.32'),(1838,'/admin/config?render=overlay','default','Content type name','','7.32'),(1839,'/admin/config?render=overlay','default','The human-readable name of the node type.','','7.32'),(1840,'/admin/config?render=overlay','default','The main body text of the node.','','7.32'),(1841,'/admin/config?render=overlay','default','The summary of the node\'s main body text.','','7.32'),(1842,'/admin/config?render=overlay','default','Tokens for site-wide settings and other global information.','','7.32'),(1843,'/admin/config?render=overlay','default','Dates','','7.32'),(1844,'/admin/config?render=overlay','default','Tokens related to times and dates.','','7.32'),(1845,'/admin/config?render=overlay','default','Tokens related to uploaded files.','','7.32'),(1846,'/admin/config?render=overlay','default','URL (brief)','','7.32'),(1847,'/admin/config?render=overlay','default','The URL of the site\'s front page without the protocol.','','7.32'),(1848,'/admin/config?render=overlay','default','Short format','','7.32'),(1849,'/admin/config?render=overlay','default','A date in \'short\' format. (%date)','','7.32'),(1850,'/admin/config?render=overlay','default','Medium format','','7.32'),(1851,'/admin/config?render=overlay','default','A date in \'medium\' format. (%date)','','7.32'),(1852,'/admin/config?render=overlay','default','Long format','','7.32'),(1853,'/admin/config?render=overlay','default','Friday','','7.32'),(1854,'/admin/config?render=overlay','default','January','Long month name','7.32'),(1855,'/admin/config?render=overlay','default','A date in \'long\' format. (%date)','','7.32'),(1856,'/admin/config?render=overlay','default','Custom format','','7.32'),(1857,'/admin/config?render=overlay','default','the PHP documentation','','7.32'),(1858,'/admin/config?render=overlay','default','A date in a custom format. See !php-date for details.','','7.32'),(1859,'/admin/config?render=overlay','default','Time-since','','7.32'),(1860,'/admin/config?render=overlay','default','@count years','','7.32'),(1861,'/admin/config?render=overlay','default','1 month','','7.32'),(1862,'/admin/config?render=overlay','default','A date in \'time-since\' format. (%date)','','7.32'),(1863,'/admin/config?render=overlay','default','Raw timestamp','','7.32'),(1864,'/admin/config?render=overlay','default','A date in UNIX timestamp format (%date)','','7.32'),(1865,'/admin/config?render=overlay','default','The location of the file relative to Drupal root.','','7.32'),(1866,'/admin/config?render=overlay','default','Tokens related to taxonomy terms.','','7.32'),(1867,'/admin/config?render=overlay','default','Vocabularies','','7.32'),(1868,'/admin/config?render=overlay','default','Tokens related to taxonomy vocabularies.','','7.32'),(1869,'/admin/config?render=overlay','default','The number of nodes tagged with terms belonging to the taxonomy vocabulary.','','7.32'),(1870,'/admin/config?render=overlay','default','The parent term of the taxonomy term, if one exists.','','7.32'),(1871,'/admin/config?render=overlay','default','Tokens related to individual user accounts.','','7.32'),(1872,'/admin/config?render=overlay','default','Current user','','7.32'),(1873,'/admin/config?render=overlay','default','Tokens related to the currently logged in user.','','7.32'),(1874,'/admin/config?render=overlay','default','The URL of the account edit page.','','7.32'),(1875,'/admin/config?render=overlay','default','Joined path','','7.32'),(1876,'/admin/config?render=overlay','default','The array values each cleaned by Pathauto and then joined with the slash into a string that resembles an URL.','','7.32'),(1877,'/admin/config?render=overlay','default','Tokens related to views.','','7.32'),(1878,'/admin/config?render=overlay','default','The human-readable name of the view.','','7.32'),(1879,'/admin/config?render=overlay','default','The description of the view.','','7.32'),(1880,'/admin/config?render=overlay','default','The machine-readable name of the view.','','7.32'),(1881,'/admin/config?render=overlay','default','The title of current display of the view.','','7.32'),(1882,'/admin/config?render=overlay','default','The URL of the view.','','7.32'),(1883,'/admin/config?render=overlay','default','Tokens related to the current date and time.','','7.32'),(1884,'/admin/config?render=overlay','default','Original @entity','','7.32'),(1885,'/admin/config?render=overlay','default','The original @entity data if the @entity is being updated or saved.','','7.32'),(1886,'/admin/config?render=overlay','default','@type field.','','7.32'),(1887,'/admin/config?render=overlay','default','Also known as %labels.','','7.32'),(1888,'/admin/config?render=overlay','default','The following tokens or token types are not defined as arrays:','','7.32'),(1889,'/admin/config?render=overlay','default','The following tokens or token types are missing required name and/or description information:','','7.32'),(1890,'/admin/config?render=overlay','default','The following token types do not have any tokens defined:','','7.32'),(1891,'/admin/config?render=overlay','default','The following token types are not defined but have tokens:','','7.32'),(1892,'/admin/config?render=overlay','default','The following token or token types are defined by multiple modules:','','7.32'),(1893,'/admin/config?render=overlay','default','Installed','','7.32'),(1894,'/admin/config?render=overlay','default','jQuery Cycle Library','','7.32'),(1895,'/admin/config?render=overlay','default','One or more problems were detected with your Drupal installation. Check the <a href=\"@status\">status report</a> for more information.','','7.32'),(1896,'/admin/config?render=overlay','default','Hide descriptions','','7.32'),(1897,'/admin/config?render=overlay','default','Compress layout by hiding descriptions.','','7.32'),(1898,'/admin/config/development/performance?render=overlay','default','Clear cache','','7.32'),(1899,'/admin/config/development/performance?render=overlay','default','Clear all caches','','7.32'),(1900,'/admin/config/development/performance?render=overlay','default','Caching','','7.32'),(1901,'/admin/config/development/performance?render=overlay','default','Cache pages for anonymous users','','7.32'),(1902,'/admin/config/development/performance?render=overlay','default','0 sec','','7.32'),(1903,'/admin/config/development/performance?render=overlay','default','1 min','','7.32'),(1904,'/admin/config/development/performance?render=overlay','default','1 hour','','7.32'),(1905,'/admin/config/development/performance?render=overlay','default','@count hours','','7.32'),(1906,'/admin/config/development/performance?render=overlay','default','1 day','','7.32'),(1907,'/admin/config/development/performance?render=overlay','default','none','','7.32'),(1908,'/admin/config/development/performance?render=overlay','default','Minimum cache lifetime','','7.32'),(1909,'/admin/config/development/performance?render=overlay','default','Cached pages will not be re-created until at least this much time has elapsed.','','7.32'),(1910,'/admin/config/development/performance?render=overlay','default','Expiration of cached pages','','7.32'),(1911,'/admin/config/development/performance?render=overlay','default','The maximum time an external cache can use an old version of a page.','','7.32'),(1912,'/admin/config/development/performance?render=overlay','default','Bandwidth optimization','','7.32'),(1913,'/admin/config/development/performance?render=overlay','default','External resources can be optimized automatically, which can reduce both the size and number of requests made to your website.','','7.32'),(1914,'/admin/config/development/performance?render=overlay','default','Compress cached pages.','','7.32'),(1915,'/admin/config/development/performance?render=overlay','default','Aggregate and compress CSS files.','','7.32'),(1916,'/admin/config/development/performance?render=overlay','default','Aggregate JavaScript files.','','7.32'),(1917,'/admin/config/development/performance?render=overlay','default','Cache blocks','','7.32'),(1918,'/admin/config/development/performance?render=overlay&render=overlay','default','Field type(s) in use - see <a href=\"@fields-page\">Field list</a>','','7.32'),(1919,'/admin/config/development/performance?render=overlay&render=overlay','default','Simple (with optional filter by bundle)','','7.32'),(1920,'/admin/config/development/performance?render=overlay&render=overlay','default','Views: Filter by an entity reference view','','7.32'),(1921,'/admin/config/development/performance?render=overlay&render=overlay','default','Taxonomy index','','7.32'),(1922,'/admin/config/development/performance?render=overlay&render=overlay','default','Include the term references created by instances of this field carried by node entities in the core {taxonomy_index} table. This will allow various modules to handle them like core term_reference fields.','','7.32'),(1923,'/admin/config/development/performance?render=overlay&render=overlay','default','Render Views filters as select list','','7.32'),(1924,'/admin/config/development/performance?render=overlay&render=overlay','default','Provides a select list for Views filters on this field. This should not be used when there are over 100 entities, as it might cause an out of memory error.','','7.32'),(1925,'/admin/config/development/performance?render=overlay&render=overlay','default','Content revisions','','7.32'),(1926,'/admin/config/development/performance?render=overlay&render=overlay','default','Config Mega Menus','','7.32'),(1927,'/admin/config/development/performance?render=overlay&render=overlay','default','Convert config TB MegaMenu to MegaMenu-VX','','7.32'),(1928,'/admin/config/development/performance?render=overlay&render=overlay','default','Defaults','','7.32'),(1929,'/admin/config/development/performance?render=overlay&render=overlay','default','Image gallery','','7.32'),(1930,'/admin/config/development/performance?render=overlay&render=overlay','default','Items per page','','7.34'),(1931,'/admin/config/development/performance?render=overlay&render=overlay','default','- All -','','7.34'),(1932,'/admin/config/development/performance?render=overlay&render=overlay','default','Offset','','7.34'),(1933,'/admin/config/development/performance?render=overlay&render=overlay','default','Gallery page','','7.32'),(1934,'/admin/config/development/performance?render=overlay&render=overlay','default','Newsletter archive','','7.34'),(1935,'/admin/config/development/performance?render=overlay&render=overlay','default','Continue reading','','7.34'),(1936,'/admin/config/development/performance?render=overlay&render=overlay','default','view more','','7.34'),(1937,'/admin/config/development/performance?render=overlay&render=overlay','default','Top speed','','7.34'),(1938,'/admin/config/development/performance?render=overlay&render=overlay','default','Models','','7.34'),(1939,'/admin/config/development/performance?render=overlay&render=overlay','default','price','','7.34'),(1940,'/admin/config/development/performance?render=overlay&render=overlay','default','Gallery','','7.34'),(1941,'/admin/config/development/performance?render=overlay&render=overlay','default','Public Email','','7.32'),(1942,'/admin/config/development/performance?render=overlay&render=overlay','default','Phone','','7.32'),(1943,'/admin/config/development/performance?render=overlay&render=overlay','default','Website:','','7.32'),(1944,'/admin/config/development/performance?render=overlay&render=overlay','default','.','','7.34'),(1945,'/admin/config/development/performance?render=overlay&render=overlay','default',',','','7.34'),(1946,'/admin/config/development/performance?render=overlay&render=overlay','default','The issue is stored <strong>after</strong> a newsletter list is sent to all subscribers.\n  The contents of the issue could be different from subscriber to subscriber, especially if the newsletter templates are personalized (eg use subscriber tokens).','','7.32'),(1947,'/admin/config/development/performance?render=overlay&render=overlay','default','Publish comment','','7.32'),(1948,'/admin/config/development/performance?render=overlay&render=overlay','default','Unpublish comment','','7.32'),(1949,'/admin/config/development/performance?render=overlay&render=overlay','default','Unpublish comment containing keyword(s)','','7.32'),(1950,'/admin/config/development/performance?render=overlay&render=overlay','default','Save comment','','7.32'),(1951,'/admin/config/development/performance?render=overlay&render=overlay','default','Enable country','','7.32'),(1952,'/admin/config/development/performance?render=overlay&render=overlay','default','Disable country','','7.32'),(1953,'/admin/config/development/performance?render=overlay&render=overlay','default','Publish content','','7.32'),(1954,'/admin/config/development/performance?render=overlay&render=overlay','default','Unpublish content','','7.32'),(1955,'/admin/config/development/performance?render=overlay&render=overlay','default','Make content sticky','','7.32'),(1956,'/admin/config/development/performance?render=overlay&render=overlay','default','Make content unsticky','','7.32'),(1957,'/admin/config/development/performance?render=overlay&render=overlay','default','Promote content to front page','','7.32'),(1958,'/admin/config/development/performance?render=overlay&render=overlay','default','Remove content from front page','','7.32'),(1959,'/admin/config/development/performance?render=overlay&render=overlay','default','Change the author of content','','7.32'),(1960,'/admin/config/development/performance?render=overlay&render=overlay','default','Save content','','7.32'),(1961,'/admin/config/development/performance?render=overlay&render=overlay','default','Unpublish content containing keyword(s)','','7.32'),(1962,'/admin/config/development/performance?render=overlay&render=overlay','default','Display a message to the user','','7.32'),(1963,'/admin/config/development/performance?render=overlay&render=overlay','default','Send e-mail','','7.32'),(1964,'/admin/config/development/performance?render=overlay&render=overlay','default','Ban IP address of current user','','7.32'),(1965,'/admin/config/development/performance?render=overlay&render=overlay','default','Redirect to URL','','7.32'),(1966,'/admin/config/development/performance?render=overlay&render=overlay','default','Block current user','','7.32'),(1967,'/admin/config/development/performance?render=overlay&render=overlay','default','Update node alias','','7.32'),(1968,'/admin/config/development/performance?render=overlay&render=overlay','default','Update taxonomy term alias','','7.32'),(1969,'/admin/config/development/performance?render=overlay&render=overlay','default','Update user alias','','7.32'),(1970,'/admin/config/development/performance?render=overlay&render=overlay','default','Recent blog posts','','7.34'),(1971,'/admin/config/development/performance?render=overlay&render=overlay','default','Recent comments','','7.34'),(1972,'/admin/config/development/performance?render=overlay&render=overlay','default','Context editor','','7.34'),(1973,'/admin/config/development/performance?render=overlay&render=overlay','default','User interface text','','7.34'),(1974,'/admin/config/development/performance?render=overlay&render=overlay','default','Order of language detection methods for user interface text. If a translation of user interface text is available in the detected language, it will be displayed.','','7.34'),(1975,'/admin/config/development/performance?render=overlay&render=overlay','default','Order of language detection methods for content. If a version of content is available in the detected language, it will be displayed.','','7.34'),(1976,'/admin/config/development/performance?render=overlay&render=overlay','default','Language switcher (@type)','','7.34'),(1977,'/admin/config/development/performance?render=overlay&render=overlay','default','Newsletter: Subscribe','','7.34'),(1978,'/admin/config/development/performance?render=overlay&render=overlay','default','Syndicate','','7.34'),(1979,'/admin/config/development/performance?render=overlay&render=overlay','default','Recent content','','7.34'),(1980,'/admin/config/development/performance?render=overlay&render=overlay','default','Main page content','','7.34'),(1981,'/admin/config/development/performance?render=overlay&render=overlay','default','Powered by Drupal','','7.34'),(1982,'/admin/config/development/performance?render=overlay&render=overlay','default','System help','','7.34'),(1983,'/admin/config/development/performance?render=overlay&render=overlay','default','User login','','7.34'),(1984,'/admin/config/development/performance?render=overlay&render=overlay','default','Who\'s new','','7.34'),(1985,'/admin/config/development/performance?render=overlay&render=overlay','default','Who\'s online','','7.34'),(1986,'/admin/config/development/performance?render=overlay&render=overlay','default','View: !view','','7.34'),(1987,'/admin/config/development/performance?render=overlay&render=overlay','default','Exposed form: @view-@display_id','','7.34'),(1988,'/admin/config/development/performance?render=overlay&render=overlay','default','View: !view: !display','','7.34'),(1989,'/admin/config/development/performance?render=overlay&render=overlay','default','Featured','','7.32'),(1990,'/admin/config/development/performance?render=overlay&render=overlay','default','Triptych first','','7.32'),(1991,'/admin/config/development/performance?render=overlay&render=overlay','default','Triptych middle','','7.32'),(1992,'/admin/config/development/performance?render=overlay&render=overlay','default','Triptych last','','7.32'),(1993,'/admin/config/development/performance?render=overlay&render=overlay','default','Footer first column','','7.32'),(1994,'/admin/config/development/performance?render=overlay&render=overlay','default','Footer second column','','7.32'),(1995,'/admin/config/development/performance?render=overlay&render=overlay','default','Footer third column','','7.32'),(1996,'/admin/config/development/performance?render=overlay&render=overlay','default','Footer fourth column','','7.32'),(1997,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Red','','7.32'),(1998,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Bright red','','7.32'),(1999,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Orange','','7.32'),(2000,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Pale Yellow','','7.32'),(2001,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Yellow','','7.32'),(2002,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Pale Green','','7.32'),(2003,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Green','','7.32'),(2004,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Dark Green','','7.32'),(2005,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Flouro Green','','7.32'),(2006,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Pale Blue','','7.32'),(2007,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Light Blue','','7.32'),(2008,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Blue','','7.32'),(2009,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Dark Blue','','7.32'),(2010,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Purple','','7.32'),(2011,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Pink','','7.32'),(2012,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Bright Pink','','7.32'),(2013,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Brown','','7.32'),(2014,'/admin/config/development/performance?render=overlay&render=overlay','default','Small White','','7.32'),(2015,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Light Gray','','7.32'),(2016,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Gray','','7.32'),(2017,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Black','','7.32'),(2018,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Blue (Alternate)','','7.32'),(2019,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Red (Alternate)','','7.32'),(2020,'/admin/config/development/performance?render=overlay&render=overlay','default','X marks the spot','','7.32'),(2021,'/admin/config/development/performance?render=overlay&render=overlay','default','Big Blue','','7.32'),(2022,'/admin/config/development/performance?render=overlay&render=overlay','default','Big Red','','7.32'),(2023,'/admin/config/development/performance?render=overlay&render=overlay','default','AutoX','','7.32'),(2024,'/admin/config/development/performance?render=overlay&render=overlay','default','Blue','','7.32'),(2025,'/admin/config/development/performance?render=overlay&render=overlay','default','Gray','','7.32'),(2026,'/admin/config/development/performance?render=overlay&render=overlay','default','Green','','7.32'),(2027,'/admin/config/development/performance?render=overlay&render=overlay','default','Light Blue','','7.32'),(2028,'/admin/config/development/performance?render=overlay&render=overlay','default','Orange','','7.32'),(2029,'/admin/config/development/performance?render=overlay&render=overlay','default','Pink','','7.32'),(2030,'/admin/config/development/performance?render=overlay&render=overlay','default','Purple','','7.32'),(2031,'/admin/config/development/performance?render=overlay&render=overlay','default','White','','7.32'),(2032,'/admin/config/development/performance?render=overlay&render=overlay','default','Yellow','','7.32'),(2033,'/admin/config/development/performance?render=overlay&render=overlay','default','Sunday','','7.32'),(2034,'/admin/config/development/performance?render=overlay&render=overlay','default','Monday','','7.32'),(2035,'/admin/config/development/performance?render=overlay&render=overlay','default','Tuesday','','7.32'),(2036,'/admin/config/development/performance?render=overlay&render=overlay','default','Wednesday','','7.32'),(2037,'/admin/config/development/performance?render=overlay&render=overlay','default','Thursday','','7.32'),(2038,'/admin/config/development/performance?render=overlay&render=overlay','default','Saturday','','7.32'),(2039,'/admin/config/development/performance?render=overlay&render=overlay','default','Week','','7.32'),(2040,'/admin/config/development/performance?render=overlay&render=overlay','default','Letters','','7.32'),(2041,'/admin/config/development/performance?render=overlay&render=overlay','default','Blank','','7.32'),(2042,'/admin/config/development/performance?render=overlay&render=overlay','default','Cluster','','7.32'),(2043,'/admin/config/development/performance?render=overlay&render=overlay','default','Line Vertex','','7.32'),(2044,'/admin/config/development/performance?render=overlay&render=overlay','default','Numbers','','7.32'),(2045,'/admin/config/development/performance?render=overlay&render=overlay','default','Route','','7.32'),(2046,'/admin/config/development/performance?render=overlay&render=overlay','default','Caches cleared.','','7.32'),(2047,'/admin/config/development/performance?render=overlay&render=overlay','default','Presents month, day, and year fields.','','7.34'),(2048,'/admin/config/development/performance?render=overlay&render=overlay','default','A special textfield that accepts e-mail addresses.','','7.34'),(2049,'/admin/config/development/performance?render=overlay&render=overlay','default','Fieldsets allow you to organize multiple fields into groups.','','7.34'),(2050,'/admin/config/development/performance?render=overlay&render=overlay','default','Allows creation of grid questions, denoted by radio buttons.','','7.34'),(2051,'/admin/config/development/performance?render=overlay&render=overlay','default','A field which is not visible to the user, but is recorded with the submission.','','7.34'),(2052,'/admin/config/development/performance?render=overlay&render=overlay','default','Markup','','7.34'),(2053,'/admin/config/development/performance?render=overlay&render=overlay','default','Displays text as HTML in the form; does not render a field.','','7.34'),(2054,'/admin/config/development/performance?render=overlay&render=overlay','default','A numeric input field (either as textfield or select list).','','7.34'),(2055,'/admin/config/development/performance?render=overlay&render=overlay','default','Page break','','7.34'),(2056,'/admin/config/development/performance?render=overlay&render=overlay','default','Organize forms into multiple pages.','','7.34'),(2057,'/admin/config/development/performance?render=overlay&render=overlay','default','Select options','','7.34'),(2058,'/admin/config/development/performance?render=overlay&render=overlay','default','Allows creation of checkboxes, radio buttons, or select menus.','','7.34'),(2059,'/admin/config/development/performance?render=overlay&render=overlay','default','Textarea','','7.34'),(2060,'/admin/config/development/performance?render=overlay&render=overlay','default','A large text area that allows for multiple lines of input.','','7.34'),(2061,'/admin/config/development/performance?render=overlay&render=overlay','default','Textfield','','7.34'),(2062,'/admin/config/development/performance?render=overlay&render=overlay','default','Basic textfield type.','','7.34'),(2063,'/admin/config/development/performance?render=overlay&render=overlay','default','Time','','7.34'),(2064,'/admin/config/development/performance?render=overlay&render=overlay','default','Presents the user with hour and minute fields. Optional am/pm fields.','','7.34'),(2065,'/admin/config/development/performance?render=overlay&render=overlay','default','Allow users to upload files of configurable types.','','7.34'),(2066,'/admin/config/development/performance?render=overlay&render=overlay','default','Vocabulary terms','','7.34'),(2067,'/admin/config/development/performance?render=overlay&render=overlay','default','All the terms in a vocabulary.','','7.34'),(2068,'/admin/config/development/performance?render=overlay&render=overlay','default','The picture of a user.','','7.34'),(2069,'/admin/config/development/performance?render=overlay&render=overlay','default','User profile','','7.34'),(2070,'/admin/config/development/performance?render=overlay&render=overlay','default','The profile of a user.','','7.34'),(2071,'/admin/config/development/performance?render=overlay&render=overlay','default','User signature','','7.34'),(2072,'/admin/config/development/performance?render=overlay&render=overlay','default','The signature of a user.','','7.34'),(2073,'/admin/config/development/performance?render=overlay&render=overlay','default','Term description.','','7.34'),(2074,'/admin/config/development/performance?render=overlay&render=overlay','default','List of related terms','','7.34'),(2075,'/admin/config/development/performance?render=overlay&render=overlay','default','Terms related to an existing term; may be child, siblings or top level.','','7.34'),(2076,'/admin/config/development/performance?render=overlay&render=overlay','default','Advanced search form','','7.34'),(2077,'/admin/config/development/performance?render=overlay&render=overlay','default','A search form with advanced options.','','7.34'),(2078,'/admin/config/development/performance?render=overlay&render=overlay','default','Widgets','','7.34'),(2079,'/admin/config/development/performance?render=overlay&render=overlay','default','Search results','','7.34'),(2080,'/admin/config/development/performance?render=overlay&render=overlay','default','The results of a search using keywords.','','7.34'),(2081,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the action links (local tasks) as content.','','7.34'),(2082,'/admin/config/development/performance?render=overlay&render=overlay','default','Page elements','','7.34'),(2083,'/admin/config/development/performance?render=overlay&render=overlay','default','Breadcrumb','','7.34'),(2084,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the breadcrumb trail as content.','','7.34'),(2085,'/admin/config/development/performance?render=overlay&render=overlay','default','Feed icons','','7.34'),(2086,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the site feed_icons statement as content.','','7.34'),(2087,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the help text of the current page as content.','','7.34'),(2088,'/admin/config/development/performance?render=overlay&render=overlay','default','Site logo','','7.34'),(2089,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the logo trail as content.','','7.34'),(2090,'/admin/config/development/performance?render=overlay&render=overlay','default','Status messages','','7.34'),(2091,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the status messages of the current page as content.','','7.34'),(2092,'/admin/config/development/performance?render=overlay&render=overlay','default','Primary navigation links','','7.34'),(2093,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the primary_links (local tasks) as content.','','7.34'),(2094,'/admin/config/development/performance?render=overlay&render=overlay','default','Secondary navigation links','','7.34'),(2095,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the secondary_links (local tasks) as content.','','7.34'),(2096,'/admin/config/development/performance?render=overlay&render=overlay','default','Site name','','7.34'),(2097,'/admin/config/development/performance?render=overlay&render=overlay','default','Site slogan','','7.34'),(2098,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the site\'s slogan as content.','','7.34'),(2099,'/admin/config/development/performance?render=overlay&render=overlay','default','Tabs','','7.34'),(2100,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the tabs (local tasks) as content.','','7.34'),(2101,'/admin/config/development/performance?render=overlay&render=overlay','default','Page title','','7.34'),(2102,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the page title as content.','','7.34'),(2103,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form author information','','7.34'),(2104,'/admin/config/development/performance?render=overlay&render=overlay','default','Author information on the Node form.','','7.34'),(2105,'/admin/config/development/performance?render=overlay&render=overlay','default','Form','','7.34'),(2106,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form submit buttons','','7.34'),(2107,'/admin/config/development/performance?render=overlay&render=overlay','default','Submit buttons for the node form.','','7.34'),(2108,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form comment settings','','7.34'),(2109,'/admin/config/development/performance?render=overlay&render=overlay','default','Comment settings on the Node form.','','7.34'),(2110,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form languages','','7.34'),(2111,'/admin/config/development/performance?render=overlay&render=overlay','default','The language selection form.','','7.34'),(2112,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form revision log message','','7.34'),(2113,'/admin/config/development/performance?render=overlay&render=overlay','default','Revision log message for the node.','','7.34'),(2114,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form menu settings','','7.34'),(2115,'/admin/config/development/performance?render=overlay&render=overlay','default','Menu settings on the Node form.','','7.34'),(2116,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form url path settings','','7.34'),(2117,'/admin/config/development/performance?render=overlay&render=overlay','default','Publishing options on the Node form.','','7.34'),(2118,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form publishing options','','7.34'),(2119,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form title field','','7.34'),(2120,'/admin/config/development/performance?render=overlay&render=overlay','default','The node title form.','','7.34'),(2121,'/admin/config/development/performance?render=overlay&render=overlay','default','Attached files','','7.34'),(2122,'/admin/config/development/performance?render=overlay&render=overlay','default','A list of files attached to the node.','','7.34'),(2123,'/admin/config/development/performance?render=overlay&render=overlay','default','Node author','','7.34'),(2124,'/admin/config/development/performance?render=overlay&render=overlay','default','The author of the referenced node.','','7.34'),(2125,'/admin/config/development/performance?render=overlay&render=overlay','default','Node body','','7.34'),(2126,'/admin/config/development/performance?render=overlay&render=overlay','default','The body of the referenced node.','','7.34'),(2127,'/admin/config/development/performance?render=overlay&render=overlay','default','Node comments','','7.34'),(2128,'/admin/config/development/performance?render=overlay&render=overlay','default','The comments of the referenced node.','','7.34'),(2129,'/admin/config/development/performance?render=overlay&render=overlay','default','Comment form','','7.34'),(2130,'/admin/config/development/performance?render=overlay&render=overlay','default','A form to add a new comment.','','7.34'),(2131,'/admin/config/development/performance?render=overlay&render=overlay','default','Node content','','7.34'),(2132,'/admin/config/development/performance?render=overlay&render=overlay','default','The content of the referenced node.','','7.34'),(2133,'/admin/config/development/performance?render=overlay&render=overlay','default','Node created date','','7.34'),(2134,'/admin/config/development/performance?render=overlay&render=overlay','default','The date the referenced node was created.','','7.34'),(2135,'/admin/config/development/performance?render=overlay&render=overlay','default','Node links','','7.34'),(2136,'/admin/config/development/performance?render=overlay&render=overlay','default','Node links of the referenced node.','','7.34'),(2137,'/admin/config/development/performance?render=overlay&render=overlay','default','Node terms','','7.34'),(2138,'/admin/config/development/performance?render=overlay&render=overlay','default','Taxonomy terms of the referenced node.','','7.34'),(2139,'/admin/config/development/performance?render=overlay&render=overlay','default','Node title','','7.34'),(2140,'/admin/config/development/performance?render=overlay&render=overlay','default','The title of the referenced node.','','7.34'),(2141,'/admin/config/development/performance?render=overlay&render=overlay','default','Node type description','','7.34'),(2142,'/admin/config/development/performance?render=overlay&render=overlay','default','Node type description.','','7.34'),(2143,'/admin/config/development/performance?render=overlay&render=overlay','default','Node last updated date','','7.34'),(2144,'/admin/config/development/performance?render=overlay&render=overlay','default','The date the referenced node was last updated.','','7.34'),(2145,'/admin/config/development/performance?render=overlay&render=overlay','default','Existing node','','7.34'),(2146,'/admin/config/development/performance?render=overlay&render=overlay','default','Add a node from your site as content.','','7.34'),(2147,'/admin/config/development/performance?render=overlay&render=overlay','default','Entity field','','7.34'),(2148,'/admin/config/development/performance?render=overlay&render=overlay','default','General form','','7.34'),(2149,'/admin/config/development/performance?render=overlay&render=overlay','default','Everything in the form that is not displayed by other content.','','7.34'),(2150,'/admin/config/development/performance?render=overlay&render=overlay','default','Entity extra field','','7.34'),(2151,'/admin/config/development/performance?render=overlay&render=overlay','default','Custom content','','7.34'),(2152,'/admin/config/development/performance?render=overlay&render=overlay','default','Comment Reply Form','','7.34'),(2153,'/admin/config/development/performance?render=overlay&render=overlay','default','A form to add a new comment reply.','','7.34'),(2154,'/admin/config/development/performance?render=overlay','default','Context (any)','','7.32'),(2155,'/admin/config/development/performance?render=overlay','default','Set this context on the basis of other active contexts. Put each context on a separate line. The condition will pass if <em>any</em> of the contexts are active. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to prevent this context from activating if the listed context is active. Other contexts which use context conditions can not be used to exclude this context from activating.','','7.32'),(2156,'/admin/config/development/performance?render=overlay','default','Context (all)','','7.32'),(2157,'/admin/config/development/performance?render=overlay','default','Set this context on the basis of other active contexts. Put each context on a separate line. The condition will pass only if <em>all</em> of the contexts are active. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to prevent this context from activating if the listed context is active. Other contexts which use context conditions can not be used to exclude this context from activating.','','7.32'),(2158,'/admin/config/development/performance?render=overlay','default','Node type','','7.32'),(2159,'/admin/config/development/performance?render=overlay','default','Set this context when viewing a node page or using the add/edit form of one of these content types.','','7.32'),(2160,'/admin/config/development/performance?render=overlay','default','Sitewide context','','7.32'),(2161,'/admin/config/development/performance?render=overlay','default','Should this context always be set? If <strong>true</strong>, this context will be active across your entire site.','','7.32'),(2162,'/admin/config/development/performance?render=overlay','default','Default context','','7.32'),(2163,'/admin/config/development/performance?render=overlay','default','This context will be set if no other context is active except sitewide contexts.','','7.32'),(2164,'/admin/config/development/performance?render=overlay','default','Set this context when any of the paths above match the page path. Put each path on a separate line. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to exclude one or more paths. Use &lt;front&gt; for the site front page.','','7.32'),(2165,'/admin/config/development/performance?render=overlay','default','Query String','','7.32'),(2166,'/admin/config/development/performance?render=overlay','default','Set this context when any of the query strings above match the page query string. Put each query string on a separate line. You can use the \"*\" character as a wildcard and <code>~</code> to exclude one or more query strings.','','7.32'),(2167,'/admin/config/development/performance?render=overlay','default','User role','','7.32'),(2168,'/admin/config/development/performance?render=overlay','default','Set this context when the current user has one of the selected role(s).','','7.32'),(2169,'/admin/config/development/performance?render=overlay','default','User page','','7.32'),(2170,'/admin/config/development/performance?render=overlay','default','Set this context when viewing a user page.','','7.32'),(2171,'/admin/config/development/performance?render=overlay','default','Set this context when any of the selected menu items belong to the current active menu trail.','','7.32'),(2172,'/admin/config/development/performance?render=overlay','default','Set this context when displaying the page of one of these views.','','7.32'),(2173,'/admin/config/development/performance?render=overlay','default','Set this context when viewing the site in the selected language.','','7.32'),(2174,'/admin/config/development/performance?render=overlay','default','Set this context when viewing a node with the selected taxonomy terms.','','7.32'),(2175,'/admin/config/development/performance?render=overlay','default','Set this context when viewing a taxonomy term page.','','7.32'),(2176,'/admin/config/development/performance?render=overlay','default','Control block visibility using context.','','7.32'),(2177,'/admin/config/development/performance?render=overlay','default','Regions','','7.32'),(2178,'/admin/config/development/performance?render=overlay','default','Control Region visiblity using context.','','7.32'),(2179,'/admin/config/development/performance?render=overlay','default','Set the breadcrumb trail to the selected menu item.','','7.32'),(2180,'/admin/config/development/performance?render=overlay','default','Template suggestions','','7.32'),(2181,'/admin/config/development/performance?render=overlay','default','Add template suggestions using context.','','7.32'),(2182,'/admin/config/development/performance?render=overlay','default','Theme Page','','7.32'),(2183,'/admin/config/development/performance?render=overlay','default','Control page theme variables using context.','','7.32'),(2184,'/admin/config/development/performance?render=overlay','default','Theme HTML','','7.32'),(2185,'/admin/config/development/performance?render=overlay','default','Control HTML theme variables using context.','','7.32'),(2186,'/admin/config/development/performance?render=overlay','default','Debug','','7.32'),(2187,'/admin/config/development/performance?render=overlay','default','Debug output reaction for SimpleTest.','','7.32'),(2188,'/admin/config/development/performance?render=overlay','default','Control menu active class using context.','','7.32'),(2189,'/admin/config/development/performance?render=overlay','default','A log message associated with the revision.','','7.34'),(2190,'/admin/config/development/performance?render=overlay','default','A special cache used to store objects that are being edited; it serves to save state in an ordinarily stateless environment.','','7.34'),(2191,'/admin/config/development/performance?render=overlay','default','Table that contains field group entries and settings.','','7.34'),(2192,'/admin/config/development/performance?render=overlay','default','Reply to','','7.34'),(2193,'/admin/config/development/performance?render=overlay','default','Recent posts','','7.34'),(2194,'/admin/config/development/performance?render=overlay','default','Replies','','7.34'),(2195,'/admin/config/development/performance?render=overlay','default','Last Post','','7.34'),(2196,'/admin/config/development/performance?render=overlay','default',' new','','7.34'),(2197,'/admin/config/development/performance?render=overlay','default','Recent posts for %1','','7.34'),(2198,'/admin/config/development/performance?render=overlay','default','Monthly archive','','7.34'),(2199,'/admin/config/development/performance?render=overlay','default','%1','','7.34'),(2200,'/admin/config/development/performance?render=overlay','default','Last update','','7.34'),(2201,'/admin/config/development/performance?render=overlay','default','No backlinks found.','','7.34'),(2202,'/admin/config/development/performance?render=overlay','default','Pages that link to %1','','7.34'),(2203,'/admin/config/development/performance?render=overlay','default','What links here','','7.34'),(2204,'/404','default','Resize','','7.34'),(2205,'/404','default','Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.','','7.34'),(2206,'/404','default','Scale','','7.34'),(2207,'/404','default','Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.','','7.34'),(2208,'/404','default','Scale and crop','','7.34'),(2209,'/404','default','Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.','','7.34'),(2210,'/404','default','Crop','','7.34'),(2211,'/404','default','Cropping will remove portions of an image to make it the specified dimensions.','','7.34'),(2212,'/404','default','Desaturate','','7.34'),(2213,'/404','default','Desaturate converts an image to grayscale.','','7.34'),(2214,'/404','default','Rotate','','7.34'),(2215,'/404','default','Rotating an image may cause the dimensions of an image to increase to fit the diagonal.','','7.34'),(2216,'/admin/modules?render=overlay','default','@module (<span class=\"admin-enabled\">enabled</span>)','','7.32'),(2217,'/admin/modules?render=overlay','default','Manage a flexible address field, implementing the xNAL standard.','','7.32'),(2218,'/admin/modules?render=overlay','default','Administration and debugging functionality for developers and site builders.','','7.32'),(2219,'/admin/modules?render=overlay','default','The administration menu module provides a dropdown menu arranged for one- or two-click access to most administrative tasks and other common destinations (to users with the proper permissions). Administration menu also displays the number of anonymous and authenticated users, and allows modules to add their own custom menu items. Integration with the menu varies from module to module; the contributed module <a href=\"@drupal\">Devel</a>, for instance, makes strong use of the administration menu module to provide quick access to development tools.','','7.32'),(2220,'/admin/modules?render=overlay','default','The administration menu <a href=\"@settings\">settings page</a> allows you to modify some elements of the menu\'s behavior and appearance. Since the appearance of the menu is dependent on your site theme, substantial customizations require modifications to your site\'s theme and CSS files. See the advanced module README.txt file for more information on theme and CSS customizations.','','7.32'),(2221,'/admin/modules?render=overlay','default','The menu items displayed in the administration menu depend upon the actual permissions of the viewer. First, the administration menu is only displayed to users in roles with the <em>Access administration menu</em> (admin_menu module) permission. Second, a user must be a member of a role with the <em>Access administration pages</em> (system module) permission to view administrative links. And, third, only currently permitted links are displayed; for example, if a user is not a member of a role with the permissions <em>Administer permissions</em> (user module) and <em>Administer users</em> (user module), the <em>User management</em> menu item is not displayed.','','7.32'),(2222,'/admin/modules?render=overlay','default','Configure permissions','','7.32'),(2223,'/admin/modules?render=overlay','default','Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).','','7.32'),(2224,'/admin/modules?render=overlay','default','A better Toolbar.','','7.32'),(2225,'/admin/modules?render=overlay','default','Aggregates syndicated content (RSS, RDF, and Atom feeds).','','7.32'),(2226,'/admin/modules?render=overlay','default','Views plugins to show Google Maps from entities.','','7.32'),(2227,'/admin/modules?render=overlay','default','@module (<span class=\"admin-disabled\">disabled</span>)','','7.32'),(2228,'/admin/modules?render=overlay','default','Create Bean (Block Entities)','','7.32'),(2229,'/admin/modules?render=overlay','default','@module (<span class=\"admin-missing\">missing</span>)','','7.32'),(2230,'/admin/modules?render=overlay','default','Integrates the Bean module with the Entitycache module','','7.32'),(2231,'/admin/modules?render=overlay','default','Add the ability to create Block Types in the UI','','7.32'),(2232,'/admin/modules?render=overlay','default','Integrate all blocks with beans.','','7.32'),(2233,'/admin/modules?render=overlay','default','View Bean (Block Entities) Usage','','7.32'),(2234,'/admin/modules?render=overlay','default','Allow deploying bean blocks through Deploy and UUID modules.','','7.32'),(2235,'/admin/modules?render=overlay','default','Content and Views for testing Better Exposed Filters.','','7.32'),(2236,'/admin/modules?render=overlay','default','Allow the use of checkboxes or radio buttons for exposed Views filters','','7.32'),(2237,'/admin/modules?render=overlay','default','About','','7.32'),(2238,'/admin/modules?render=overlay','default','The Block module allows you to create boxes of content, which are rendered into an area, or region, of one or more pages of a website. The core Seven administration theme, for example, implements the regions \"Content\", \"Help\", \"Dashboard main\", and \"Dashboard sidebar\", and a block may appear in any one of these regions. The <a href=\"@blocks\">Blocks administration page</a> provides a drag-and-drop interface for assigning a block to a region, and for controlling the order of blocks within regions. For more information, see the online handbook entry for <a href=\"@block\">Block module</a>.','','7.32'),(2239,'/admin/modules?render=overlay','default','Uses','','7.32'),(2240,'/admin/modules?render=overlay','default','Positioning content','','7.32'),(2241,'/admin/modules?render=overlay','default','When working with blocks, remember that all themes do <em>not</em> implement the same regions, or display regions in the same way. Blocks are positioned on a per-theme basis. Users with the <em>Administer blocks</em> permission can disable blocks. Disabled blocks are listed on the <a href=\"@blocks\">Blocks administration page</a>, but are not displayed in any region.','','7.32'),(2242,'/admin/modules?render=overlay','default','Controlling visibility','','7.32'),(2243,'/admin/modules?render=overlay','default','Blocks can be configured to be visible only on certain pages, only to users of certain roles, or only on pages displaying certain <a href=\"@content-type\">content types</a>. Administrators can also allow specific blocks to be enabled or disabled by users when they edit their <a href=\"@user\">My account</a> page. Some dynamic blocks, such as those generated by modules, will be displayed only on certain pages.','','7.32'),(2244,'/admin/modules?render=overlay','default','Creating custom blocks','','7.32'),(2245,'/admin/modules?render=overlay','default','Users with the <em>Administer blocks</em> permission can <a href=\"@block-add\">add custom blocks</a>, which are then listed on the <a href=\"@blocks\">Blocks administration page</a>. Once created, custom blocks behave just like default and module-generated blocks.','','7.32'),(2246,'/admin/modules?render=overlay','default','Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.','','7.32'),(2247,'/admin/modules?render=overlay','default','Allows assigning CSS classes to blocks.','','7.32'),(2248,'/admin/modules?render=overlay','default','The Blog module allows registered users to maintain an online journal, or <em>blog</em>. Blogs are made up of individual <em>blog entries</em>. By default, the blog entries are displayed by creation time in descending order, with comments enabled, and are promoted to the site\'s front page. For more information, see the online handbook entry for <a href=\'@blog\'>Blog module</a>.','','7.32'),(2249,'/admin/modules?render=overlay','default','Single-user blogs','','7.32'),(2250,'/admin/modules?render=overlay','default','Each user\'s blog entries are automatically displayed with a link to the user\'s main blog page. You can create as many single-user blogs as you have site users with permission to create blog content.','','7.32'),(2251,'/admin/modules?render=overlay','default','Multi-user blogs','','7.32'),(2252,'/admin/modules?render=overlay','default','Blog entries from each single-user blog are also aggregated into one central multi-user blog, which displays the blog content of all users in a single listing.','','7.32'),(2253,'/admin/modules?render=overlay','default','There is an optional <em>Blogs</em> menu item added to the Navigation menu, which displays all blogs available on your site, and a <em>My blog</em> item displaying the current user\'s blog entries.','','7.32'),(2254,'/admin/modules?render=overlay','default','The Blog module also creates a default <em>Recent blog posts</em> block that may be enabled at the <a href=\"@blocks\">blocks administration page</a>.','','7.32'),(2255,'/admin/modules?render=overlay','default','Enables multi-user blogs.','','7.32'),(2256,'/admin/modules?render=overlay','default','Allows users to create and organize related content in an outline.','','7.32'),(2257,'/admin/modules?render=overlay','default','Performs bulk exporting of data objects known about by Chaos tools.','','7.32'),(2258,'/admin/modules?render=overlay','default','A library of helpful tools by Merlin of Chaos.','','7.32'),(2259,'/admin/modules?render=overlay','default','Shows how to use the power of Chaos AJAX.','','7.32'),(2260,'/admin/modules?render=overlay','default','Shows how an external module can provide ctools plugins (for Panels, etc.).','','7.32'),(2261,'/admin/modules?render=overlay','default','Provides an API for creating fillable, persistent checklists.','','7.32'),(2262,'/admin/modules?render=overlay','default','Provides an example implementation of the Checklist API.','','7.32'),(2263,'/admin/modules?render=overlay','default','The Color module allows users with the <em>Administer site configuration</em> permission to quickly and easily change the color scheme of themes that have been built to be compatible with it. For more information, see the online handbook entry for <a href=\"@color\">Color module</a>.','','7.32'),(2264,'/admin/modules?render=overlay','default','Changing colors','','7.32'),(2265,'/admin/modules?render=overlay','default','Using the Color module allows you to easily change the color of links, backgrounds, text, and other theme elements. To change the color settings for a compatible theme, select the <em>Settings</em> link for your theme on the <a href=\'@configure\'>Themes administration page</a>. If you don\'t see a color picker on that page, then your theme is not compatible with the color module. If you are sure that the theme does indeed support the color module, but the color picker does not appear, then <a href=\'@troubleshoot\'>follow these troubleshooting procedures</a>.','','7.32'),(2266,'/admin/modules?render=overlay','default','The Color module saves a modified copy of the theme\'s specified stylesheets in the files directory. This means that if you make any manual changes to your theme\'s stylesheet, <em>you must save your color settings again, even if they haven\'t changed</em>. This step is required because the module stylesheets (in the files directory) need to be recreated to include your changes.','','7.32'),(2267,'/admin/modules?render=overlay','default','Allows administrators to change the color scheme of compatible themes.','','7.32'),(2268,'/admin/modules?render=overlay','default','A light-weight, customizable lightbox plugin for jQuery 1.4.3+.','','7.32'),(2269,'/admin/modules?render=overlay','default','The Comment module allows users to comment on site content, set commenting defaults and permissions, and moderate comments. For more information, see the online handbook entry for <a href=\"@comment\">Comment module</a>.','','7.32'),(2270,'/admin/modules?render=overlay','default','Default and custom settings','','7.32'),(2271,'/admin/modules?render=overlay','default','Each <a href=\'@content-type\'>content type</a> can have its own default comment settings configured as: <em>Open</em> to allow new comments, <em>Hidden</em> to hide existing comments and prevent new comments, or <em>Closed</em> to view existing comments, but prevent new comments. These defaults will apply to all new content created (changes to the settings on existing content must be done manually). Other comment settings can also be customized per content type, and can be overridden for any given item of content. When a comment has no replies, it remains editable by its author, as long as the author has a user account and is logged in.','','7.32'),(2272,'/admin/modules?render=overlay','default','Comment approval','','7.32'),(2273,'/admin/modules?render=overlay','default','Comments from users who have the <em>Skip comment approval</em> permission are published immediately. All other comments are placed in the <a href=\'@comment-approval\'>Unapproved comments</a> queue, until a user who has permission to <em>Administer comments</em> publishes or deletes them. Published comments can be bulk managed on the <a href=\'@admin-comment\'>Published comments</a> administration page.','','7.32'),(2274,'/admin/modules?render=overlay','default','Allows users to comment on and discuss published content.','','7.32'),(2275,'/admin/modules?render=overlay','default','Enables the use of both personal and site-wide contact forms.','','7.32'),(2276,'/admin/modules?render=overlay','default','Allows content to be translated into different languages.','','7.32'),(2277,'/admin/modules?render=overlay','default','Provide modules with a cache that lasts for a single page request.','','7.32'),(2278,'/admin/modules?render=overlay','default','Allow theme layer to provide multiple region layouts and integrate with context.','','7.32'),(2279,'/admin/modules?render=overlay','default','Provides a simple UI for settings up a site structure using Context.','','7.32'),(2280,'/admin/modules?render=overlay','default','The Contextual links module displays links related to regions of pages on your site to users with <em>access contextual links</em> permission. For more information, see the online handbook entry for <a href=\"@contextual\">Contextual links module</a>.','','7.32'),(2281,'/admin/modules?render=overlay','default','Displaying contextual links','','7.32'),(2282,'/admin/modules?render=overlay','default','Contextual links are supplied by modules, to give you quick access to tasks associated with regions of pages on your site. For instance, if you have a custom menu block displayed in a sidebar of your site, the Blocks and Menus modules will supply links to configure the block and edit the menu. The Contextual links module collects these links into a list for display by your theme, and also adds JavaScript code to the page to hide the links initially, and display them when your mouse hovers over the block.','','7.32'),(2283,'/admin/modules?render=overlay','default','Provides contextual links to perform actions related to elements on a page.','','7.32'),(2284,'/admin/modules?render=overlay','default','A module that provides a FAPI / Field country element and a simple wrapper module to store / update country data.','','7.32'),(2285,'/admin/modules?render=overlay','default','A configuration utility module to assist storing country specific data.','','7.32'),(2286,'/admin/modules?render=overlay','default','Countries example module','','7.32'),(2287,'/admin/modules?render=overlay','default','Translation of countries.','','7.32'),(2288,'/admin/modules?render=overlay','default','Create custom, exportable, reusable content panes for applications like Panels.','','7.32'),(2289,'/admin/modules?render=overlay','default','Create custom, exportable, reusable access rulesets for applications like Panels.','','7.32'),(2290,'/admin/modules?render=overlay','default','The Dashboard module provides a <a href=\"@dashboard\">Dashboard page</a> in the administrative interface for organizing administrative tasks and navigation, and tracking information within your site. The Dashboard page contains blocks, which you can add to and arrange using the drag-and-drop interface that appears when you click on the <em>Customize dashboard</em> link. Within this interface, blocks that are not primarily used for site administration do not appear by default, but can be added via the <em>Add other blocks</em> link. For more information, see the online handbook entry for <a href=\"@handbook\">Dashboard module</a>.','','7.32'),(2291,'/admin/modules?render=overlay','default','Tracking user activity','','7.32'),(2292,'/admin/modules?render=overlay','default','By enabling blocks such as <em>Who\'s online</em> and <em>Who\'s new</em>, site users can track who is logged in and new user signups at a centralized location.','','7.32'),(2293,'/admin/modules?render=overlay','default','Tracking content activity','','7.32'),(2294,'/admin/modules?render=overlay','default','By enabling blocks such as <em>Recent blog posts</em>, <em>New forum topics</em> and <em>Recent comments</em>, site users can view newly added site content at a glance.','','7.32'),(2295,'/admin/modules?render=overlay','default','Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.','','7.32'),(2296,'/admin/modules?render=overlay','default','The Database logging module logs system events in the Drupal database. For more information, see the online handbook entry for the <a href=\"@dblog\">Database logging module</a>.','','7.32'),(2297,'/admin/modules?render=overlay','default','Monitoring your site','','7.32'),(2298,'/admin/modules?render=overlay','default','The Database logging module allows you to view an event log on the <a href=\"@dblog\">Recent log messages</a> page. The log is a chronological list of recorded events containing usage data, performance data, errors, warnings and operational information. Administrators should check the log on a regular basis to ensure their site is working properly.','','7.32'),(2299,'/admin/modules?render=overlay','default','Debugging site problems','','7.32'),(2300,'/admin/modules?render=overlay','default','In case of errors or problems with the site, the <a href=\"@dblog\">Recent log messages</a> page can be useful for debugging, since it shows the sequence of events. The log messages include usage information, warnings, and errors.','','7.32'),(2301,'/admin/modules?render=overlay','default','Logs and records system events to the database.','','7.32'),(2302,'/admin/modules?render=overlay','default','Dates and calendars can be complicated to set up. If you enable the Date Tools module, it provides a Date Wizard that makes it easy to create a simple date content type with a date field. ','','7.32'),(2303,'/admin/modules?render=overlay','default','Complete documentation for the Date and Date API modules is available at <a href=\"@link\">http://drupal.org/node/92460</a>.','','7.32'),(2304,'/admin/modules?render=overlay','default','Makes date/time fields available.','','7.32'),(2305,'/admin/modules?render=overlay','default','Adds \'All Day\' functionality to date fields, including an \'All Day\' theme and \'All Day\' checkboxes for the Date select and Date popup widgets.','','7.32'),(2306,'/admin/modules?render=overlay','default','A Date API that can be used by other modules.','','7.32'),(2307,'/admin/modules?render=overlay','default','Adds an option to the Context module to set a context condition based on the value of a date field.','','7.32'),(2308,'/admin/modules?render=overlay','default','Examples of migrating with the Date module','','7.32'),(2309,'/admin/modules?render=overlay','default','Enables jquery popup calendars and time entry widgets for selecting dates and times.','','7.32'),(2310,'/admin/modules?render=overlay','default','A Date Repeat API to calculate repeating dates and times from iCal rules.','','7.32'),(2311,'/admin/modules?render=overlay','default','Creates the option of Repeating date fields and manages Date fields that use the Date Repeat API.','','7.32'),(2312,'/admin/modules?render=overlay','default','Tools to import and auto-create dates and calendars.','','7.32'),(2313,'/admin/modules?render=overlay','default','Views integration for date fields and date functionality.','','7.32'),(2314,'/admin/modules?render=overlay','default','Various blocks, pages, and functions for developers.','','7.32'),(2315,'/admin/modules?render=overlay','default','Generate dummy users, nodes, and taxonomy terms.','','7.32'),(2316,'/admin/modules?render=overlay','default','Developer blocks and page illustrating relevant node_access records.','','7.32'),(2317,'/admin/modules?render=overlay','default','Defines an email field type.','','7.32'),(2318,'/admin/modules?render=overlay','default','Enables modules to work with any entity type and to provide entities.','','7.32'),(2319,'/admin/modules?render=overlay','default','Provides a field that can reference other entities.','','7.32'),(2320,'/admin/modules?render=overlay','default','Provides some example code for implementing Entity Reference behaviors.','','7.32'),(2321,'/admin/modules?render=overlay','default','Provides token replacements for all properties that have no tokens and are known to the entity API.','','7.32'),(2322,'/admin/modules?render=overlay','default','Automatic settings for meta tags (quick)','','7.32'),(2323,'/admin/modules?render=overlay','default','Simple module that provides a configurable block with Facebook Likebox\'s plugin.','','7.32'),(2324,'/admin/modules?render=overlay','default','Enables compatibility of Facebook Likebox with patterns module.','','7.32'),(2325,'/admin/modules?render=overlay','default','The Field module allows custom data fields to be defined for <em>entity</em> types (entities include content items, comments, user accounts, and taxonomy terms). The Field module takes care of storing, loading, editing, and rendering field data. Most users will not interact with the Field module directly, but will instead use the <a href=\"@field-ui-help\">Field UI module</a> user interface. Module developers can use the Field API to make new entity types \"fieldable\" and thus allow fields to be attached to them. For more information, see the online handbook entry for <a href=\"@field\">Field module</a>.','','7.32'),(2326,'/admin/modules?render=overlay','default','Enabling field types','','7.32'),(2327,'/admin/modules?render=overlay','default','The Field module provides the infrastructure for fields and field attachment; the field types and input widgets themselves are provided by additional modules. Some of the modules are required; the optional modules can be enabled from the <a href=\"@modules\">Modules administration page</a>. Drupal core includes the following field type modules: Number (required), Text (required), List (required), Taxonomy (optional), Image (optional), and File (optional); the required Options module provides input widgets for other field modules. Additional fields and widgets may be provided by contributed modules, which you can find in the <a href=\"@contrib\">contributed module section of Drupal.org</a>. Currently enabled field and input widget modules:','','7.32'),(2328,'/admin/modules?render=overlay','default','Managing field data storage','','7.32'),(2329,'/admin/modules?render=overlay','default','Developers of field modules can either use the default <a href=\"@sql-store\">Field SQL storage module</a> to store data for their fields, or a contributed or custom module developed using the <a href=\"@storage-api\">field storage API</a>.','','7.32'),(2330,'/admin/modules?render=overlay','default','Field API to add fields to entities like nodes and users.','','7.32'),(2331,'/admin/modules?render=overlay','default','The field collection module provides a field, to which any number of fields can be attached. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','7.32'),(2332,'/admin/modules?render=overlay','default','Provides a field collection field, to which any number of fields can be attached.','','7.32'),(2333,'/admin/modules?render=overlay','default','Provides the ability to group your fields on both form and display.','','7.32'),(2334,'/admin/modules?render=overlay','default','The Field SQL storage module stores field data in the database. It is the default field storage module; other field storage mechanisms may be available as contributed modules. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','7.32'),(2335,'/admin/modules?render=overlay','default','Stores field data in an SQL database.','','7.32'),(2336,'/admin/modules?render=overlay','default','The Field UI module provides an administrative user interface (UI) for attaching and managing fields. Fields can be defined at the content-type level for content items and comments, at the vocabulary level for taxonomy terms, and at the site level for user accounts. Other modules may also enable fields to be defined for their data. Field types (text, image, number, etc.) are defined by modules, and collected and managed by the <a href=\"@field\">Field module</a>. For more information, see the online handbook entry for <a href=\"@field_ui\" target=\"_blank\">Field UI module</a>.','','7.32'),(2337,'/admin/modules?render=overlay','default','Planning fields','','7.32'),(2338,'/admin/modules?render=overlay','default','There are several decisions you will need to make before defining a field for content, comments, etc.:','','7.32'),(2339,'/admin/modules?render=overlay','default','What the field will be called','','7.32'),(2340,'/admin/modules?render=overlay','default','A field has a <em>label</em> (the name displayed in the user interface) and a <em>machine name</em> (the name used internally). The label can be changed after you create the field, if needed, but the machine name cannot be changed after you have created the field.','','7.32'),(2341,'/admin/modules?render=overlay','default','What type of data the field will store','','7.32'),(2342,'/admin/modules?render=overlay','default','Each field can store one type of data (text, number, file, etc.). When you define a field, you choose a particular <em>field type</em>, which corresponds to the type of data you want to store. The field type cannot be changed after you have created the field.','','7.32'),(2343,'/admin/modules?render=overlay','default','How the data will be input and displayed','','7.32'),(2344,'/admin/modules?render=overlay','default','Each field type has one or more available <em>widgets</em> associated with it; each widget provides a mechanism for data input when you are editing (text box, select list, file upload, etc.). Each field type also has one or more display options, which determine how the field is displayed to site visitors. The widget and display options can be changed after you have created the field.','','7.32'),(2345,'/admin/modules?render=overlay','default','How many values the field will store','','7.32'),(2346,'/admin/modules?render=overlay','default','You can store one value, a specific maximum number of values, or an unlimited number of values in each field. For example, an employee identification number field might store a single number, whereas a phone number field might store multiple phone numbers. This setting can be changed after you have created the field, but if you reduce the maximum number of values, you may lose information.','','7.32'),(2347,'/admin/modules?render=overlay','default','Reusing fields','','7.32'),(2348,'/admin/modules?render=overlay','default','Once you have defined a field, you can reuse it. For example, if you define a custom image field for one content type, and you need to have an image field with the same parameters on another content type, you can add the same field to the second content type, in the <em>Add existing field</em> area of the user interface. You could also add this field to a taxonomy vocabulary, comments, user accounts, etc.','','7.32'),(2349,'/admin/modules?render=overlay','default','Some settings of a reused field are unique to each use of the field; others are shared across all places you use the field. For example, the label of a text field is unique to each use, while the setting for the number of values is shared.','','7.32'),(2350,'/admin/modules?render=overlay','default','There are two main reasons for reusing fields. First, reusing fields can save you time over defining new fields. Second, reusing fields also allows you to display, filter, group, and sort content together by field across content types. For example, the contributed Views module allows you to create lists and tables of content. So if you use the same field on multiple content types, you can create a View containing all of those content types together displaying that field, sorted by that field, and/or filtered by that field.','','7.32'),(2351,'/admin/modules?render=overlay','default','Fields on content items','','7.32'),(2352,'/admin/modules?render=overlay','default','Fields on content items are defined at the content-type level, on the <em>Manage fields</em> tab of the content type edit page (which you can reach from the <a href=\"@types\">Content types page</a>). When you define a field for a content type, each content item of that type will have that field added to it. Some fields, such as the Title and Body, are provided for you when you create a content type, or are provided on content types created by your installation profile.','','7.32'),(2353,'/admin/modules?render=overlay','default','Fields on taxonomy terms','','7.32'),(2354,'/admin/modules?render=overlay','default','Fields on taxonomy terms are defined at the taxonomy vocabulary level, on the <em>Manage fields</em> tab of the vocabulary edit page (which you can reach from the <a href=\"@taxonomy\">Taxonomy page</a>). When you define a field for a vocabulary, each term in that vocabulary will have that field added to it. For example, you could define an image field for a vocabulary to store an icon with each term.','','7.32'),(2355,'/admin/modules?render=overlay','default','Fields on user accounts','','7.32'),(2356,'/admin/modules?render=overlay','default','Fields on user accounts are defined on a site-wide basis on the <a href=\"@fields\">Manage fields tab</a> of the <a href=\"@accounts\">Account settings</a> page. When you define a field for user accounts, each user account will have that field added to it. For example, you could add a long text field to allow users to include a biography.','','7.32'),(2357,'/admin/modules?render=overlay','default','Fields on comments','','7.32'),(2358,'/admin/modules?render=overlay','default','Fields on comments are defined at the content-type level, on the <em>Comment fields</em> tab of the content type edit page (which you can reach from the <a href=\"@types\">Content types page</a>). When you add a field for comments, each comment on a content item of that type will have that field added to it. For example, you could add a website field to the comments on forum posts, to allow forum commenters to add a link to their website.','','7.32'),(2359,'/admin/modules?render=overlay','default','User interface for the Field API.','','7.32'),(2360,'/admin/modules?render=overlay','default','The File module defines a <em>File</em> field type for the Field module, which lets you manage and validate uploaded files attached to content on your site (see the <a href=\"@field-help\">Field module help page</a> for more information about fields). For more information, see the online handbook entry for <a href=\"@file\">File module</a>.','','7.32'),(2361,'/admin/modules?render=overlay','default','Attaching files to content','','7.32'),(2362,'/admin/modules?render=overlay','default','The File module allows users to attach files to content (e.g., PDF files, spreadsheets, etc.), when a <em>File</em> field is added to a given content type using the <a href=\"@fieldui-help\">Field UI module</a>. You can add validation options to your File field, such as specifying a maximum file size and allowed file extensions.','','7.32'),(2363,'/admin/modules?render=overlay','default','Managing attachment display','','7.32'),(2364,'/admin/modules?render=overlay','default','When you attach a file to content, you can specify whether it is <em>listed</em> or not. Listed files are displayed automatically in a section at the bottom of your content; non-listed files are available for embedding in your content, but are not included in the list at the bottom.','','7.32'),(2365,'/admin/modules?render=overlay','default','Managing file locations','','7.32'),(2366,'/admin/modules?render=overlay','default','When you create a File field, you can specify a directory where the files will be stored, which can be within either the <em>public</em> or <em>private</em> files directory. Files in the public directory can be accessed directly through the web server; when public files are listed, direct links to the files are used, and anyone who knows a file\'s URL can download the file. Files in the private directory are not accessible directly through the web server; when private files are listed, the links are Drupal path requests. This adds to server load and download time, since Drupal must start up and resolve the path for each file download request, but allows for access restrictions.','','7.32'),(2367,'/admin/modules?render=overlay','default','Defines a file field type.','','7.32'),(2368,'/admin/modules?render=overlay','default','The Filter module allows administrators to configure text formats. A text format defines the HTML tags, codes, and other input allowed in content and comments, and is a key feature in guarding against potentially damaging input from malicious users. For more information, see the online handbook entry for <a href=\"@filter\">Filter module</a>.','','7.32'),(2369,'/admin/modules?render=overlay','default','Configuring text formats','','7.32'),(2370,'/admin/modules?render=overlay','default','Configure text formats on the <a href=\"@formats\">Text formats page</a>. <strong>Improper text format configuration is a security risk</strong>. To ensure security, untrusted users should only have access to text formats that restrict them to either plain text or a safe set of HTML tags, since certain HTML tags can allow embedding malicious links or scripts in text. More trusted registered users may be granted permission to use less restrictive text formats in order to create rich content.','','7.32'),(2371,'/admin/modules?render=overlay','default','Applying filters to text','','7.32'),(2372,'/admin/modules?render=overlay','default','Each text format uses filters to manipulate text, and most formats apply several different filters to text in a specific order. Each filter is designed for a specific purpose, and generally either adds, removes, or transforms elements within user-entered text before it is displayed. A filter does not change the actual content, but instead, modifies it temporarily before it is displayed. One filter may remove unapproved HTML tags, while another automatically adds HTML to make URLs display as clickable links.','','7.32'),(2373,'/admin/modules?render=overlay','default','Defining text formats','','7.32'),(2374,'/admin/modules?render=overlay','default','One format is included by default: <em>Plain text</em> (which removes all HTML tags). Additional formats may be created by your installation profile when you install Drupal, and more can be created by an administrator on the <a href=\"@text-formats\">Text formats page</a>.','','7.32'),(2375,'/admin/modules?render=overlay','default','Choosing a text format','','7.32'),(2376,'/admin/modules?render=overlay','default','Users with access to more than one text format can use the <em>Text format</em> fieldset to choose between available text formats when creating or editing multi-line content. Administrators can define the text formats available to each user role, and control the order of formats listed in the <em>Text format</em> fieldset on the <a href=\"@text-formats\">Text formats page</a>.','','7.32'),(2377,'/admin/modules?render=overlay','default','Filters content in preparation for display.','','7.32'),(2378,'/admin/modules?render=overlay','default','Integrate the FlexSlider 2 library with Drupal','','7.32'),(2379,'/admin/modules?render=overlay','default','Sample implementation of FlexSlider','','7.32'),(2380,'/admin/modules?render=overlay','default','Adds a display mode in Fields for FlexSlider','','7.32'),(2381,'/admin/modules?render=overlay','default','Adds a Views style plugin for FlexSlider','','7.32'),(2382,'/admin/modules?render=overlay','default','<a href=\"@fontawesome\">Font Awesome</a> is an iconic font designed for use with <a href=\"@bootstrap\">Twitter Bootstrap</a>.','','7.32'),(2383,'/admin/modules?render=overlay','default','Iconic font designed for use with Twitter Bootstrap.','','7.32'),(2384,'/admin/modules?render=overlay','default','Provides discussion forums.','','7.32'),(2385,'/admin/modules?render=overlay','default','Provides a jquery gallery CCK formatter for imagefield','','7.32'),(2386,'/admin/modules?render=overlay','default','Display location.module information on Google Maps','','7.32'),(2387,'/admin/modules?render=overlay','default','UI for building GMap macros.','','7.32'),(2388,'/admin/modules?render=overlay','default','A module that lets you add more styles to your gmap popup bubbles.','','7.32'),(2389,'/admin/modules?render=overlay','default','Taxonomy based markers','','7.32'),(2390,'/admin/modules?render=overlay','default','Allows your site to be tracked by Google Analytics by adding a Javascript tracking code to every page.','','7.32'),(2391,'/admin/modules?render=overlay','default','The Help module provides <a href=\"@help-page\">Help reference pages</a> and context-sensitive advice to guide you through the use and configuration of modules. It is a starting point for the online <a href=\"@handbook\">Drupal handbooks</a>. The handbooks contain more extensive and up-to-date information, are annotated with user-contributed comments, and serve as the definitive reference point for all Drupal documentation. For more information, see the online handbook entry for the <a href=\"@help\">Help module</a>.','','7.32'),(2392,'/admin/modules?render=overlay','default','Providing a help reference','','7.32'),(2393,'/admin/modules?render=overlay','default','The Help module displays explanations for using each module listed on the main <a href=\"@help\">Help reference page</a>.','','7.32'),(2394,'/admin/modules?render=overlay','default','Providing context-sensitive help','','7.32'),(2395,'/admin/modules?render=overlay','default','The Help module displays context-sensitive advice and explanations on various pages.','','7.32'),(2396,'/admin/modules?render=overlay','default','Manages the display of online help.','','7.32'),(2397,'/admin/modules?render=overlay','default','The Image module allows you to manipulate images on your website. It exposes a setting for using the <em>Image toolkit</em>, allows you to configure <em>Image styles</em> that can be used for resizing or adjusting images on display, and provides an <em>Image</em> field for attaching images to content. For more information, see the online handbook entry for <a href=\"@image\">Image module</a>.','','7.32'),(2398,'/admin/modules?render=overlay','default','Manipulating images','','7.32'),(2399,'/admin/modules?render=overlay','default','With the Image module you can scale, crop, resize, rotate and desaturate images without affecting the original image using <a href=\"@image\">image styles</a>. When you change an image style, the module automatically refreshes all created images. Every image style must have a name, which will be used in the URL of the generated images. There are two common approaches to naming image styles (which you use will depend on how the image style is being applied):','','7.32'),(2400,'/admin/modules?render=overlay','default','Based on where it will be used: eg. <em>profile-picture</em>','','7.32'),(2401,'/admin/modules?render=overlay','default','Describing its appearance: eg. <em>square-85x85</em>','','7.32'),(2402,'/admin/modules?render=overlay','default','After you create an image style, you can add effects: crop, scale, resize, rotate, and desaturate (other contributed modules provide additional effects). For example, by combining effects as crop, scale, and desaturate, you can create square, grayscale thumbnails.','','7.32'),(2403,'/admin/modules?render=overlay','default','Attaching images to content as fields','','7.32'),(2404,'/admin/modules?render=overlay','default','Image module also allows you to attach images to content as fields. To add an image field to a <a href=\'@content-type\'>content type</a>, go to the content type\'s <em>manage fields</em> page, and add a new field of type <em>Image</em>. Attaching images to content this way allows image styles to be applied and maintained, and also allows you more flexibility when theming.','','7.32'),(2405,'/admin/modules?render=overlay','default','Provides image manipulation tools.','','7.32'),(2406,'/admin/modules?render=overlay','default','View sample code','','7.32'),(2407,'/admin/modules?render=overlay','default','The following HTML may be printed out to the page through a node, block, or in a custom template. Then the following PHP code must be run to add the jCarousel library and CSS to the page.','','7.32'),(2408,'/admin/modules?render=overlay','default','The jCarousel module provides the ability to create carousel-style lists such as those included on this page. The jCarousel module includes integrations with other Drupal modules, but may also be used manually within your own theme or custom modules. It does not include any site-wide settings page or options, each carousel is separately configured.','','7.32'),(2409,'/admin/modules?render=overlay','default','Views integration','','7.32'),(2410,'/admin/modules?render=overlay','default','Most configuration options for the jCarousel module are provided through <a href=\"http://drupal.org/project/views\">Views module</a>.','','7.32'),(2411,'/admin/modules?render=overlay','default','You may configure a new view through the <a href=\"!views-url\">Views module interface</a>. After adding a new view, change its \"Display style\" to \"jCarousel\" and configure the remaining options there. When using the jCarousel display style with Views, you can construct any of the examples on this page as well as dynamically loaded carousels through AJAX requests.','','7.32'),(2412,'/admin/modules?render=overlay','default','Custom implementations','','7.32'),(2413,'/admin/modules?render=overlay','default','The following are demonstrations of jCarousel module when used directly by another module or your theme. <strong>Most users do not need to manually code carousels</strong> (building carousels using Views is the most common approach), but these demonstrations provide good examples of jCarousel\'s abilities.','','7.32'),(2414,'/admin/modules?render=overlay','default','Horizontal carousel','','7.32'),(2415,'/admin/modules?render=overlay','default','This example uses <code>jcarousel_add()</code> directly with no options to create the default horizontal carousel.','','7.32'),(2416,'/admin/modules?render=overlay','default','Vertical carousel','','7.32'),(2417,'/admin/modules?render=overlay','default','jCarousel can accept a variety of <a href=\"http://sorgalla.com/projects/jcarousel/#Configuration\">configuration options</a> via the second argument to <code>jcarousel_add()</code>. In this example, we created a vertical carousel.','','7.32'),(2418,'/admin/modules?render=overlay','default','Different skins','','7.32'),(2419,'/admin/modules?render=overlay','default','The \"skin\" of a carousel can be changed by setting the <code>$options[\'skin\']</code> property. This skin must match one of the skins either provided by a module or matching a skin included in your theme\'s style.css file. Skins are simply a class given to the HTML list with the name \"jcarousel-skin-[skin-name]\". A custom skin path may be specified in <code>$options[\'skin path\']</code>, or you can use one of these module-based skins:','','7.32'),(2420,'/admin/modules?render=overlay','default','Note that with skins you will often need to override certain CSS styles in your theme\'s style.css file. Certain properties (like the height and width of individual items and the carousel itself) must be manually specified directly in CSS. Not using a skin at all by specifying <code>$options[\'skin\'] = NULL</code> and then styling the entire carousel in style.css is also a good approach.','','7.32'),(2421,'/admin/modules?render=overlay','default','Theme function','','7.32'),(2422,'/admin/modules?render=overlay','default','The <code>theme(\'jcarousel\')</code> function allows you to easily create the markup and add all the JavaScript to the page in one function call. Like <code>jcarousel_add()</code> the theme function approach can also take options. In this example we create the carousel with the button next event being called when the mouse rolls over the buttons.','','7.32'),(2423,'/admin/modules?render=overlay','default','The following PHP code may be placed in a template file or a module to create a carousel.','','7.32'),(2424,'/admin/modules?render=overlay','default','Circular wrap','','7.32'),(2425,'/admin/modules?render=overlay','default','This example puts the carousel into a circular wrap.','','7.32'),(2426,'/admin/modules?render=overlay','default','Create jQuery-based carousel rotators.','','7.32'),(2427,'/admin/modules?render=overlay','default','An API and home for miscellaneous jQuery plugins.','','7.32'),(2428,'/admin/modules?render=overlay','default','Update jQuery and jQuery UI to a more recent version.','','7.32'),(2429,'/admin/modules?render=overlay','default','Allows version-dependent and shared usage of external libraries.','','7.32'),(2430,'/admin/modules?render=overlay','default','Defines simple link field types.','','7.32'),(2431,'/admin/modules?render=overlay','default','The List module defines various fields for storing a list of items, for use with the Field module. Usually these items are entered through a select list, checkboxes, or radio buttons. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','7.32'),(2432,'/admin/modules?render=overlay','default','Defines list field types. Use with Options to create selection lists.','','7.32'),(2433,'/admin/modules?render=overlay','default','The Locale module allows your Drupal site to be presented in languages other than the default English, and to be multilingual. The Locale module works by maintaining a database of translations, and examining text as it is about to be displayed. When a translation of the text is available in the language to be displayed, the translation is displayed rather than the original text. When a translation is unavailable, the original text is displayed, and then stored for review by a translator. For more information, see the online handbook entry for <a href=\"@locale\">Locale module</a>.','','7.32'),(2434,'/admin/modules?render=overlay','default','Translating interface text','','7.32'),(2435,'/admin/modules?render=overlay','default','Translations of text in the Drupal interface may be provided by:','','7.32'),(2436,'/admin/modules?render=overlay','default','Translating within your site, using the Locale module\'s integrated <a href=\'@translate\'>translation interface</a>.','','7.32'),(2437,'/admin/modules?render=overlay','default','Importing files from a set of existing translations, known as a translation package. A translation package enables the display of a specific version of Drupal in a specific language, and contains files in the Gettext Portable Object (<em>.po</em>) format. Although not all languages are available for every version of Drupal, translation packages for many languages are available for download from the <a href=\"@translations\">Drupal translations page</a>.','','7.32'),(2438,'/admin/modules?render=overlay','default','If an existing translation package does not meet your needs, the Gettext Portable Object (<em>.po</em>) files within a package may be modified, or new <em>.po</em> files may be created, using a desktop Gettext editor. The Locale module\'s <a href=\'@import\'>import</a> feature allows the translated strings from a new or modified <em>.po</em> file to be added to your site. The Locale module\'s <a href=\'@export\'>export</a> feature generates files from your site\'s translated strings, that can either be shared with others or edited offline by a Gettext translation editor.','','7.32'),(2439,'/admin/modules?render=overlay','default','Configuring a multilingual site','','7.32'),(2440,'/admin/modules?render=overlay','default','Language negotiation allows your site to automatically change language based on the domain or path used for each request. Users may (optionally) select their preferred language on their <em>My account</em> page, and your site can be configured to honor a web browser\'s preferred language settings. Site content can be translated using the <a href=\'@content-help\'>Content translation module</a>.','','7.32'),(2441,'/admin/modules?render=overlay','default','Adds language handling functionality and enables the translation of the user interface to languages other than English.','','7.32'),(2442,'/admin/modules?render=overlay','default','The location module allows you to associate a geographic location with content and users. Users can do proximity searches by postal code.  This is useful for organizing communities that have a geographic presence.','','7.32'),(2443,'/admin/modules?render=overlay','default','To administer locative information for content, use the content type administration page.  To support most location enabled features, you will need to install the country specific include file.  To support postal code proximity searches for a particular country, you will need a database dump of postal code data for that country.  As of June 2007 only U.S. and German postal codes are supported.','','7.32'),(2444,'/admin/modules?render=overlay','default','<p>You can</p>\n          <ul>\n          <li>administer locative information at <a href=\"@admin-node-configure-types\">Administer &gt;&gt; Content management &gt;&gt; Content types</a> to configure a type and see the locative information.</li>\n          <li>administer location at <a href=\"@admin-settings-location\">Administer &gt;&gt; Site configuration &gt;&gt; Location</a>.</li>\n          <li>use a database dump for a U.S. and/or German postal codes table that can be found at <a href=\"@external-http-cvs-drupal-org\">zipcode database</a>.</li>\n          ','','7.32'),(2445,'/admin/modules?render=overlay','default','For more information read the configuration and customization handbook <a href=\"@location\">Location page</a>.','','7.32'),(2446,'/admin/modules?render=overlay','default','Adds a \'Find Address\' button to all location fields that use gmap','','7.32'),(2447,'/admin/modules?render=overlay','default','Allows you to quickly add locations directly from a node without having to click \'edit\' first.','','7.32'),(2448,'/admin/modules?render=overlay','default','Defines a Location field type.','','7.32'),(2449,'/admin/modules?render=overlay','default','Allows you to add an email address to a location.','','7.32'),(2450,'/admin/modules?render=overlay','default','Provide information about Location field to Entity module.','','7.32'),(2451,'/admin/modules?render=overlay','default','Allows you to add a fax number to a location.','','7.32'),(2452,'/admin/modules?render=overlay','default','Bulk assign random latitude and longitudes to nodes.','','7.32'),(2453,'/admin/modules?render=overlay','default','Allows you to add a phone number to a location.','','7.32'),(2454,'/admin/modules?render=overlay','default','Advanced search page for locations.','','7.32'),(2455,'/admin/modules?render=overlay','default','Associate locations with taxonomy terms.','','7.32'),(2456,'/admin/modules?render=overlay','default','Manage Multiple Terms','','7.32'),(2457,'/admin/modules?render=overlay','default','Menu solutions for Drupal','','7.32'),(2458,'/admin/modules?render=overlay','default','High performance integration with memcache.','','7.32'),(2459,'/admin/modules?render=overlay','default','Adds a User Interface to monitor the Memcache for this site.','','7.32'),(2460,'/admin/modules?render=overlay','default','The Menu module provides an interface for managing menus. A menu is a hierarchical collection of links, which can be within or external to the site, generally used for navigation. Each menu is rendered in a block that can be enabled and positioned through the <a href=\"@blocks\">Blocks administration page</a>. You can view and manage menus on the <a href=\"@menus\">Menus administration page</a>. For more information, see the online handbook entry for the <a href=\"@menu\">Menu module</a>.','','7.32'),(2461,'/admin/modules?render=overlay','default','Managing menus','','7.32'),(2462,'/admin/modules?render=overlay','default','Users with the <em>Administer menus and menu items</em> permission can add, edit and delete custom menus on the <a href=\"@menu\">Menus administration page</a>. Custom menus can be special site menus, menus of external links, or any combination of internal and external links. You may create an unlimited number of additional menus, each of which will automatically have an associated block. By selecting <em>list links</em>, you can add, edit, or delete links for a given menu. The links listing page provides a drag-and-drop interface for controlling the order of links, and creating a hierarchy within the menu.','','7.32'),(2463,'/admin/modules?render=overlay','default','Displaying menus','','7.32'),(2464,'/admin/modules?render=overlay','default','After you have created a menu, you must enable and position the associated block on the <a href=\"@blocks\">Blocks administration page</a>.','','7.32'),(2465,'/admin/modules?render=overlay','default','Allows administrators to customize the site navigation menu.','','7.32'),(2466,'/admin/modules?render=overlay','default','Allows administrators to specify custom attributes for menu items.','','7.32'),(2467,'/admin/modules?render=overlay','default','Allows you to use the menu the current page belongs to for the breadcrumb.','','7.32'),(2468,'/admin/modules?render=overlay','default','Meta tags support build using FieldAPI/EntityAPI','','7.32'),(2469,'/admin/modules?render=overlay','default','This module use ctools modal feature to open some common forms in a modal window.','','7.32'),(2470,'/admin/modules?render=overlay','default','Filter the modules list.','','7.32'),(2471,'/admin/modules?render=overlay','default','Send emails to subscribed users.','','7.32'),(2472,'/admin/modules?render=overlay','default','The Node module manages the creation, editing, deletion, settings, and display of the main site content. Content items managed by the Node module are typically displayed as pages on your site, and include a title, some meta-data (author, creation time, content type, etc.), and optional fields containing text or other data (fields are managed by the <a href=\"@field\">Field module</a>). For more information, see the online handbook entry for <a href=\"@node\">Node module</a>.','','7.32'),(2473,'/admin/modules?render=overlay','default','Creating content','','7.32'),(2474,'/admin/modules?render=overlay','default','When new content is created, the Node module records basic information about the content, including the author, date of creation, and the <a href=\"@content-type\">Content type</a>. It also manages the <em>publishing options</em>, which define whether or not the content is published, promoted to the front page of the site, and/or sticky at the top of content lists. Default settings can be configured for each <a href=\"@content-type\">type of content</a> on your site.','','7.32'),(2475,'/admin/modules?render=overlay','default','Creating custom content types','','7.32'),(2476,'/admin/modules?render=overlay','default','The Node module gives users with the <em>Administer content types</em> permission the ability to <a href=\"@content-new\">create new content types</a> in addition to the default ones already configured. Creating custom content types allows you the flexibility to add <a href=\"@field\">fields</a> and configure default settings that suit the differing needs of various site content.','','7.32'),(2477,'/admin/modules?render=overlay','default','Administering content','','7.32'),(2478,'/admin/modules?render=overlay','default','The <a href=\"@content\">Content administration page</a> allows you to review and bulk manage your site content.','','7.32'),(2479,'/admin/modules?render=overlay','default','Creating revisions','','7.32'),(2480,'/admin/modules?render=overlay','default','The Node module also enables you to create multiple versions of any content, and revert to older versions using the <em>Revision information</em> settings.','','7.32'),(2481,'/admin/modules?render=overlay','default','User permissions','','7.32'),(2482,'/admin/modules?render=overlay','default','The Node module makes a number of permissions available for each content type, which can be set by role on the <a href=\"@permissions\">permissions page</a>.','','7.32'),(2483,'/admin/modules?render=overlay','default','Allows content to be submitted to the site and displayed on pages.','','7.32'),(2484,'/admin/modules?render=overlay','default','Associate locations with nodes.','','7.32'),(2485,'/admin/modules?render=overlay','default','Defines a field type for referencing one node from another.','','7.32'),(2486,'/admin/modules?render=overlay','default','The Number module defines various numeric field types for the Field module. Numbers can be in integer, decimal, or floating-point form, and they can be formatted when displayed. Number fields can be limited to a specific set of input values or to a range of values. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','7.32'),(2487,'/admin/modules?render=overlay','default','Defines numeric field types.','','7.32'),(2488,'/admin/modules?render=overlay','default','Allows users to log into your site using OpenID.','','7.32'),(2489,'/admin/modules?render=overlay','default','The Options module defines checkbox, selection, and other input widgets for the Field module. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','7.32'),(2490,'/admin/modules?render=overlay','default','Defines selection, check box and radio button widgets for text and numeric fields.','','7.32'),(2491,'/admin/modules?render=overlay','default','The Overlay module makes the administration pages on your site display in a JavaScript overlay of the page you were viewing when you clicked the administrative link, instead of replacing the page in your browser window. Use the close link on the overlay to return to the page you were viewing when you clicked the link. For more information, see the online handbook entry for <a href=\"@overlay\">Overlay module</a>.','','7.32'),(2492,'/admin/modules?render=overlay','default','Displays the Drupal administration interface in an overlay.','','7.32'),(2493,'/admin/modules?render=overlay','default','Provides a UI and API to manage pages within the site.','','7.32'),(2494,'/admin/modules?render=overlay','default','The Path module allows you to specify an alias, or custom URL, for any existing internal system path. Aliases should not be confused with URL redirects, which allow you to forward a changed or inactive URL to a new URL. In addition to making URLs more readable, aliases also help search engines index content more effectively. Multiple aliases may be used for a single internal system path. To automate the aliasing of paths, you can install the contributed module <a href=\"@pathauto\">Pathauto</a>. For more information, see the online handbook entry for the <a href=\"@path\">Path module</a>.','','7.32'),(2495,'/admin/modules?render=overlay','default','Creating aliases','','7.32'),(2496,'/admin/modules?render=overlay','default','Users with sufficient <a href=\"@permissions\">permissions</a> can create aliases under the <em>URL path settings</em> section when they create or edit content. Some examples of aliases are: ','','7.32'),(2497,'/admin/modules?render=overlay','default','<em>member/jane-smith</em> aliased to internal path <em>user/123</em>','','7.32'),(2498,'/admin/modules?render=overlay','default','<em>about-us/team</em> aliased to internal path <em>node/456</em>','','7.32'),(2499,'/admin/modules?render=overlay','default','Managing aliases','','7.32'),(2500,'/admin/modules?render=overlay','default','The Path module provides a way to search and view a <a href=\"@aliases\">list of all aliases</a> that are in use on your website. Aliases can be added, edited and deleted through this list.','','7.32'),(2501,'/admin/modules?render=overlay','default','Allows users to rename URLs.','','7.32'),(2502,'/admin/modules?render=overlay','default','Provides a mechanism for modules to automatically generate aliases for the content they manage.','','7.32'),(2503,'/admin/modules?render=overlay','default','Maximum alias and component length','','7.32'),(2504,'/admin/modules?render=overlay','default','The <strong>maximum alias length</strong> and <strong>maximum component length</strong> values default to 100 and have a limit of @max from Pathauto. This length is limited by the length of the \"alias\" column of the url_alias database table. The default database schema for this column is @max. If you set a length that is equal to that of the one set in the \"alias\" column it will cause problems in situations where the system needs to append additional words to the aliased URL. You should enter a value that is the length of the \"alias\" column minus the length of any strings that might get added to the end of the URL. The length of strings that might get added to the end of your URLs depends on which modules you have enabled and on your Pathauto settings. The recommended and default value is 100.','','7.32'),(2505,'/admin/modules?render=overlay','default','The phone module allows administrators to define a field type for phone numbers.','','7.32'),(2506,'/admin/modules?render=overlay','default','The PHP filter module adds a PHP filter to your site, for use with <a href=\"@filter\">text formats</a>. This filter adds the ability to execute PHP code in any text field that uses a text format (such as the body of a content item or the text of a comment). <a href=\"@php-net\">PHP</a> is a general-purpose scripting language widely-used for web development, and is the language with which Drupal has been developed. For more information, see the online handbook entry for the <a href=\"@php\">PHP filter module</a>.','','7.32'),(2507,'/admin/modules?render=overlay','default','Enabling execution of PHP in text fields','','7.32'),(2508,'/admin/modules?render=overlay','default','The PHP filter module allows users with the proper permissions to include custom PHP code that will get executed when pages of your site are processed. While this is a powerful and flexible feature if used by a trusted user with PHP experience, it is a significant and dangerous security risk in the hands of a malicious or inexperienced user. Even a trusted user may accidentally compromise the site by entering malformed or incorrect PHP code. Only the most trusted users should be granted permission to use the PHP filter, and all PHP code added through the PHP filter should be carefully examined before use. <a href=\"@php-snippets\">Example PHP snippets</a> can be found on Drupal.org.','','7.32'),(2509,'/admin/modules?render=overlay','default','Allows embedded PHP code/snippets to be evaluated.','','7.32'),(2510,'/admin/modules?render=overlay','default','Allows your site to capture votes on different topics in the form of multiple choice questions.','','7.32'),(2511,'/admin/modules?render=overlay','default','Render content with tabs and other display styles','','7.32'),(2512,'/admin/modules?render=overlay','default','Adds predefined tab styles to choose from per Quicktabs instance.','','7.32'),(2513,'/admin/modules?render=overlay','default','The RDF module enriches your content with metadata to let other applications (e.g., search engines, aggregators, and so on) better understand its relationships and attributes. This semantically enriched, machine-readable output for Drupal sites uses the <a href=\"@rdfa\">RDFa specification</a> which allows RDF data to be embedded in HTML markup. Other modules can define mappings of their data to RDF terms, and the RDF module makes this RDF data available to the theme. The core Drupal modules define RDF mappings for their data model, and the core Drupal themes output this RDF metadata information along with the human-readable visual information. For more information, see the online handbook entry for <a href=\"@rdf\">RDF module</a>.','','7.32'),(2514,'/admin/modules?render=overlay','default','Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.','','7.32'),(2515,'/admin/modules?render=overlay','default','Redirect 404 allows you to specify a number of servers that should be attempted to be redirected to if a 404 (Page not found) error is encountered. ','','7.32'),(2516,'/admin/modules?render=overlay','default','Redirects 404 allows you to specify a number of servers that should be attempted to be redirected to if a 404 (Page not found) error is encountered.','','7.32'),(2517,'/admin/modules?render=overlay','default','Defines common base features for the various reference field types.','','7.32'),(2518,'/admin/modules?render=overlay','default','The Search module provides the ability to index and search for content by exact keywords, and for users by username or e-mail. For more information, see the online handbook entry for <a href=\"@search-module\">Search module</a>.','','7.32'),(2519,'/admin/modules?render=overlay','default','Searching content and users','','7.32'),(2520,'/admin/modules?render=overlay','default','Users with <em>Use search</em> permission can use the search block and <a href=\"@search\">Search page</a>. Users with the <em>View published content</em> permission can search for content containing exact keywords. Users with the <em>View user profiles</em> permission can search for users containing the keyword anywhere in the user name, and users with the <em>Administer users</em> permission can search for users by email address. Additionally, users with <em>Use advanced search</em> permission can find content using more complex search methods and filtering by choosing the <em>Advanced search</em> option on the <a href=\"@search\">Search page</a>.','','7.32'),(2521,'/admin/modules?render=overlay','default','Indexing content with cron','','7.32'),(2522,'/admin/modules?render=overlay','default','To provide keyword searching, the search engine maintains an index of words found in the content and its fields, along with text added to your content by other modules (such as comments from the core Comment module, and taxonomy terms from the core Taxonomy module). To build and maintain this index, a correctly configured <a href=\"@cron\">cron maintenance task</a> is required. Users with <em>Administer search</em> permission can further configure the cron settings on the <a href=\"@searchsettings\">Search settings page</a>.','','7.32'),(2523,'/admin/modules?render=overlay','default','Content reindexing','','7.32'),(2524,'/admin/modules?render=overlay','default','Content-related actions on your site (creating, editing, or deleting content and comments) automatically cause affected content items to be marked for indexing or reindexing at the next cron run. When content is marked for reindexing, the previous content remains in the index until cron runs, at which time it is replaced by the new content. Unlike content-related actions, actions related to the structure of your site do not cause affected content to be marked for reindexing. Examples of structure-related actions that affect content include deleting or editing taxonomy terms, enabling or disabling modules that add text to content (such as Taxonomy, Comment, and field-providing modules), and modifying the fields or display parameters of your content types. If you take one of these actions and you want to ensure that the search index is updated to reflect your changed site structure, you can mark all content for reindexing by clicking the \"Re-index site\" button on the <a href=\"@searchsettings\">Search settings page</a>. If you have a lot of content on your site, it may take several cron runs for the content to be reindexed.','','7.32'),(2525,'/admin/modules?render=overlay','default','Configuring search settings','','7.32'),(2526,'/admin/modules?render=overlay','default','Indexing behavior can be adjusted using the <a href=\"@searchsettings\">Search settings page</a>. Users with <em>Administer search</em> permission can control settings such as the <em>Number of items to index per cron run</em>, <em>Indexing settings</em> (word length), <em>Active search modules</em>, and <em>Content ranking</em>, which lets you adjust the priority in which indexed content is returned in results.','','7.32'),(2527,'/admin/modules?render=overlay','default','Search block','','7.32'),(2528,'/admin/modules?render=overlay','default','The Search module includes a default <em>Search form</em> block, which can be enabled and configured on the <a href=\"@blocks\">Blocks administration page</a>. The block is available to users with the <em>Search content</em> permission.','','7.32'),(2529,'/admin/modules?render=overlay','default','Extending Search module','','7.32'),(2530,'/admin/modules?render=overlay','default','By default, the Search module only supports exact keyword matching in content searches. You can modify this behavior by installing a language-specific stemming module for your language (such as <a href=\"http://drupal.org/project/porterstemmer\">Porter Stemmer</a> for American English), which allows words such as walk, walking, and walked to be matched in the Search module. Another approach is to use a third-party search technology with stemming or partial word matching features built in, such as <a href=\"http://drupal.org/project/apachesolr\">Apache Solr</a> or <a href=\"http://drupal.org/project/sphinx\">Sphinx</a>. These and other <a href=\"@contrib-search\">search-related contributed modules</a> can be downloaded by visiting Drupal.org.','','7.32'),(2531,'/admin/modules?render=overlay','default','Enables site-wide keyword searching.','','7.32'),(2532,'/admin/modules?render=overlay','default','Automatically search for the keywords in URLs that result in 404 errors and show results instead of Page-Not-Found. ','','7.32'),(2533,'/admin/modules?render=overlay','default','A Search Engine Optimization checklist for Drupal.','','7.32'),(2534,'/admin/modules?render=overlay','default','Add the <a href=\"http://www.sharethis.com/\">ShareThis</a> widget to nodes on your site.','','7.32'),(2535,'/admin/modules?render=overlay','default','The Shortcut module allows users to create sets of <em>shortcut</em> links to commonly-visited pages of the site. Shortcuts are contained within <em>sets</em>. Each user with <em>Select any shortcut set</em> permission can select a shortcut set created by anyone at the site. For more information, see the online handbook entry for <a href=\"@shortcut\">Shortcut module</a>.','','7.32'),(2536,'/admin/modules?render=overlay','default','Administering shortcuts','','7.32'),(2537,'/admin/modules?render=overlay','default','Users with the <em>Administer shortcuts</em> permission can manage shortcut sets and edit the shortcuts within sets from the <a href=\"@shortcuts\">Shortcuts administration page</a>.','','7.32'),(2538,'/admin/modules?render=overlay','default','Choosing shortcut sets','','7.32'),(2539,'/admin/modules?render=overlay','default','Users with permission to switch shortcut sets can choose a shortcut set to use from the Shortcuts tab of their user account page.','','7.32'),(2540,'/admin/modules?render=overlay','default','Adding and removing shortcuts','','7.32'),(2541,'/admin/modules?render=overlay','default','The Shortcut module creates an add/remove link for each page on your site; the link lets you add or remove the current page from the currently-enabled set of shortcuts (if your theme displays it and you have permission to edit your shortcut set). The core Seven administration theme displays this link next to the page title, as a small + or - sign. If you click on the + sign, you will add that page to your preferred set of shortcuts. If the page is already part of your shortcut set, the link will be a - sign, and will allow you to remove the current page from your shortcut set.','','7.32'),(2542,'/admin/modules?render=overlay','default','Displaying shortcuts','','7.32'),(2543,'/admin/modules?render=overlay','default','You can display your shortcuts by enabling the Shortcuts block on the <a href=\"@blocks\">Blocks administration page</a>. Certain administrative modules also display your shortcuts; for example, the core <a href=\"@toolbar-help\">Toolbar module</a> displays them near the top of the page, along with an <em>Edit shortcuts</em> link.','','7.32'),(2544,'/admin/modules?render=overlay','default','Allows users to manage customizable lists of shortcut links.','','7.32'),(2545,'/admin/modules?render=overlay','default','Display a site map.','','7.32'),(2546,'/admin/modules?render=overlay','default','Logs access statistics for your site.','','7.32'),(2547,'/admin/modules?render=overlay','default','Enforces variable values defined by modules that need settings set to operate properly.','','7.32'),(2548,'/admin/modules?render=overlay','default','Create custom styles for applications such as Panels.','','7.32'),(2549,'/admin/modules?render=overlay','default','Logs and records system events to syslog.','','7.32'),(2550,'/admin/modules?render=overlay','default','The System module is integral to the site, and provides basic but extensible functionality for use by other modules and themes. Some integral elements of Drupal are contained in and managed by the System module, including caching, enabling and disabling modules and themes, preparing and displaying the administrative page, and configuring fundamental site settings. A number of key system maintenance operations are also part of the System module. For more information, see the online handbook entry for <a href=\"@system\">System module</a>.','','7.32'),(2551,'/admin/modules?render=overlay','default','Managing modules','','7.32'),(2552,'/admin/modules?render=overlay','default','The System module allows users with the appropriate permissions to enable and disable modules on the <a href=\"@modules\">Modules administration page</a>. Drupal comes with a number of core modules, and each module provides a discrete set of features and may be enabled or disabled depending on the needs of the site. Many additional modules contributed by members of the Drupal community are available for download at the <a href=\"@drupal-modules\">Drupal.org module page</a>.','','7.32'),(2553,'/admin/modules?render=overlay','default','Managing themes','','7.32'),(2554,'/admin/modules?render=overlay','default','The System module allows users with the appropriate permissions to enable and disable themes on the <a href=\"@themes\">Appearance administration page</a>. Themes determine the design and presentation of your site. Drupal comes packaged with several core themes, and additional contributed themes are available at the <a href=\"@drupal-themes\">Drupal.org theme page</a>.','','7.32'),(2555,'/admin/modules?render=overlay','default','Managing caching','','7.32'),(2556,'/admin/modules?render=overlay','default','The System module allows users with the appropriate permissions to manage caching on the <a href=\'@cache-settings\'>Performance settings page</a>. Drupal has a robust caching system that allows the efficient re-use of previously-constructed web pages and web page components. Pages requested by anonymous users are stored in a compressed format; depending on your site configuration and the amount of your web traffic tied to anonymous visitors, the caching system may significantly increase the speed of your site.','','7.32'),(2557,'/admin/modules?render=overlay','default','Performing system maintenance','','7.32'),(2558,'/admin/modules?render=overlay','default','In order for the site and its modules to continue to operate well, a set of routine administrative operations must run on a regular basis. The System module manages this task by making use of a system cron job. You can verify the status of cron tasks by visiting the <a href=\"@status\">Status report page</a>. For more information, see the online handbook entry for <a href=\"@handbook\">configuring cron jobs</a>. You can set up cron job by visiting <a href=\"@cron\">Cron configuration</a> page','','7.32'),(2559,'/admin/modules?render=overlay','default','Configuring basic site settings','','7.32'),(2560,'/admin/modules?render=overlay','default','The System module also handles basic configuration options for your site, including <a href=\"@date-time-settings\">Date and time settings</a>, <a href=\"@file-system\">File system settings</a>, <a href=\"@clean-url\">Clean URL support</a>, <a href=\"@site-info\">Site name and other information</a>, and a <a href=\"@maintenance-mode\">Maintenance mode</a> for taking your site temporarily offline.','','7.32'),(2561,'/admin/modules?render=overlay','default','Configuring actions','','7.32'),(2562,'/admin/modules?render=overlay','default','Actions are individual tasks that the system can do, such as unpublishing a piece of content or banning a user. Modules, such as the <a href=\"@trigger-help\">Trigger module</a>, can fire these actions when certain system events happen; for example, when a new post is added or when a user logs in. Modules may also provide additional actions. Visit the <a href=\"@actions\">Actions page</a> to configure actions.','','7.32'),(2563,'/admin/modules?render=overlay','default','Handles general site configuration for administrators.','','7.32'),(2564,'/admin/modules?render=overlay','default','TagClouds makes weighted tag clouds from your taxonomy terms.','','7.32'),(2565,'/admin/modules?render=overlay','default','The Taxonomy module allows you to classify the content of your website. To classify content, you define <em>vocabularies</em> that contain related <em>terms</em>, and then assign the vocabularies to content types. For more information, see the online handbook entry for the <a href=\"@taxonomy\">Taxonomy module</a>.','','7.32'),(2566,'/admin/modules?render=overlay','default','Creating vocabularies','','7.32'),(2567,'/admin/modules?render=overlay','default','Users with sufficient <a href=\"@perm\">permissions</a> can create <em>vocabularies</em> and <em>terms</em> through the <a href=\"@taxo\">Taxonomy page</a>. The page listing the terms provides a drag-and-drop interface for controlling the order of the terms and sub-terms within a vocabulary, in a hierarchical fashion. A <em>controlled vocabulary</em> classifying music by genre with terms and sub-terms could look as follows:','','7.32'),(2568,'/admin/modules?render=overlay','default','<em>vocabulary</em>: Music','','7.32'),(2569,'/admin/modules?render=overlay','default','<em>term</em>: Jazz','','7.32'),(2570,'/admin/modules?render=overlay','default','<em>sub-term</em>: Swing','','7.32'),(2571,'/admin/modules?render=overlay','default','<em>sub-term</em>: Fusion','','7.32'),(2572,'/admin/modules?render=overlay','default','<em>term</em>: Rock','','7.32'),(2573,'/admin/modules?render=overlay','default','<em>sub-term</em>: Country rock','','7.32'),(2574,'/admin/modules?render=overlay','default','<em>sub-term</em>: Hard rock','','7.32'),(2575,'/admin/modules?render=overlay','default','You can assign a sub-term to multiple parent terms. For example, <em>fusion</em> can be assigned to both <em>rock</em> and <em>jazz</em>.','','7.32'),(2576,'/admin/modules?render=overlay','default','Terms in a <em>free-tagging vocabulary</em> can be built gradually as you create or edit content. This is often done used for blogs or photo management applications.','','7.32'),(2577,'/admin/modules?render=overlay','default','Assigning vocabularies to content types','','7.32'),(2578,'/admin/modules?render=overlay','default','Before you can use a new vocabulary to classify your content, a new Taxonomy term field must be added to a <a href=\"@ctedit\">content type</a> on its <em>manage fields</em> page. When adding a taxonomy field, you choose a <em>widget</em> to use to enter the taxonomy information on the content editing page: a select list, checkboxes, radio buttons, or an auto-complete field (to build a free-tagging vocabulary). After choosing the field type and widget, on the subsequent <em>field settings</em> page you can choose the desired vocabulary, whether one or multiple terms can be chosen from the vocabulary, and other settings. The same vocabulary can be added to multiple content types, by using the \"Add existing field\" section on the manage fields page.','','7.32'),(2579,'/admin/modules?render=overlay','default','Classifying content','','7.32'),(2580,'/admin/modules?render=overlay','default','After the vocabulary is assigned to the content type, you can start classifying content. The field with terms will appear on the content editing screen when you edit or <a href=\"@addnode\">add new content</a>.','','7.32'),(2581,'/admin/modules?render=overlay','default','Viewing listings and RSS feeds by term','','7.32'),(2582,'/admin/modules?render=overlay','default','Each taxonomy term automatically provides a page listing content that has its classification, and a corresponding RSS feed. For example, if the taxonomy term <em>country rock</em> has the ID 123 (you can see this by looking at the URL when hovering on the linked term, which you can click to navigate to the listing page), then you will find this list at the path <em>taxonomy/term/123</em>. The RSS feed will use the path <em>taxonomy/term/123/feed</em> (the RSS icon for this term\'s listing will automatically display in your browser\'s address bar when viewing the listing page).','','7.32'),(2583,'/admin/modules?render=overlay','default','Extending Taxonomy module','','7.32'),(2584,'/admin/modules?render=overlay','default','There are <a href=\"@taxcontrib\">many contributed modules</a> that extend the behavior of the Taxonomy module for both display and organization of terms.','','7.32'),(2585,'/admin/modules?render=overlay','default','Enables the categorization of content.','','7.32'),(2586,'/admin/modules?render=overlay','default','Adds links to taxonomy terms to a menu.','','7.32'),(2587,'/admin/modules?render=overlay','default','Megamenu solutions for Drupal','','7.32'),(2588,'/admin/modules?render=overlay','default','Controls access to context based upon term depth','','7.32'),(2589,'/admin/modules?render=overlay','default','Provides a framework for unit and functional testing.','','7.32'),(2590,'/admin/modules?render=overlay','default','The Text module defines various text field types for the Field module. A text field may contain plain text only, or optionally, may use Drupal\'s <a href=\'@filter-help\'>text filters</a> to securely manage HTML output. Text input fields may be either a single line (text field), multiple lines (text area), or for greater input control, a select box, checkbox, or radio buttons. If desired, the field can be validated, so that it is limited to a set of allowed values. See the <a href=\'@field-help\'>Field module help page</a> for more information about fields.','','7.32'),(2591,'/admin/modules?render=overlay','default','Defines simple text field types.','','7.32'),(2592,'/admin/modules?render=overlay','default','Provides a user interface for the Token API and some missing core tokens.','','7.32'),(2593,'/admin/modules?render=overlay','default','Provides a toolbar that shows the top-level administration menu items and links from other modules.','','7.32'),(2594,'/admin/modules?render=overlay','default','Enables tracking of recent content for users.','','7.32'),(2595,'/admin/modules?render=overlay','default','Enables actions to be fired on certain system events, such as when new content is created.','','7.32'),(2596,'/admin/modules?render=overlay','default','Provides configurable blocks for a Twitter feed.','','7.32'),(2597,'/admin/modules?render=overlay','default','The Update manager module periodically checks for new versions of your site\'s software (including contributed modules and themes), and alerts administrators to available updates. In order to provide update information, anonymous usage statistics are sent to Drupal.org. If desired, you may disable the Update manager module from the <a href=\'@modules\'>Module administration page</a>. For more information, see the online handbook entry for <a href=\'@update\'>Update manager module</a>.','','7.32'),(2598,'/admin/modules?render=overlay','default','The Update manager also allows administrators to update and install modules and themes through the administration interface.','','7.32'),(2599,'/admin/modules?render=overlay','default','Checking for available updates','','7.32'),(2600,'/admin/modules?render=overlay','default','A report of <a href=\"@update-report\">available updates</a> will alert you when new releases are available for download. You may configure options for the frequency for checking updates (which are performed during <a href=\"@cron\">cron</a> runs) and e-mail notifications at the <a href=\"@update-settings\">Update manager settings</a>  page.','','7.32'),(2601,'/admin/modules?render=overlay','default','Performing updates through the user interface','','7.32'),(2602,'/admin/modules?render=overlay','default','The Update manager module allows administrators to perform updates directly through the administration interface. At the top of the <a href=\"@modules_page\">modules</a> and <a href=\"@themes_page\">themes</a> pages you will see a link to update to new releases. This will direct you to the <a href=\"@update-page\">update page</a> where you see a listing of all the missing updates and confirm which ones you want to upgrade. From there, you are prompted for your FTP/SSH password, which then transfers the files into your Drupal installation, overwriting your old files. More detailed instructions can be found in the <a href=\"@update\">online handbook</a>.','','7.32'),(2603,'/admin/modules?render=overlay','default','Installing new modules and themes through the user interface','','7.32'),(2604,'/admin/modules?render=overlay','default','You can also install new modules and themes in the same fashion, through the <a href=\"@install\">install page</a>, or by clicking the <em>Install new module/theme</em> link at the top of the <a href=\"@modules_page\">modules</a> and <a href=\"@themes_page\">themes</a> pages. In this case, you are prompted to provide either the URL to the download, or to upload a packaged release file from your local computer.','','7.32'),(2605,'/admin/modules?render=overlay','default','Checks for available updates, and can securely install or update modules and themes via a web interface.','','7.32'),(2606,'/admin/modules?render=overlay','default','Transform nodewords data to Drupal 7 fields','','7.32'),(2607,'/admin/modules?render=overlay','default','The User module allows users to register, log in, and log out. It also allows users with proper permissions to manage user roles (used to classify users) and permissions associated with those roles. For more information, see the online handbook entry for <a href=\"@user\">User module</a>.','','7.32'),(2608,'/admin/modules?render=overlay','default','Creating and managing users','','7.32'),(2609,'/admin/modules?render=overlay','default','The User module allows users with the appropriate <a href=\"@permissions\">permissions</a> to create user accounts through the <a href=\"@people\">People administration page</a>, where they can also assign users to one or more roles, and block or delete user accounts. If allowed, users without accounts (anonymous users) can create their own accounts on the <a href=\"@register\">Create new account</a> page.','','7.32'),(2610,'/admin/modules?render=overlay','default','User roles and permissions','','7.32'),(2611,'/admin/modules?render=overlay','default','<em>Roles</em> are used to group and classify users; each user can be assigned one or more roles. By default there are two roles: <em>anonymous user</em> (users that are not logged in) and <em>authenticated user</em> (users that are registered and logged in). Depending on choices you made when you installed Drupal, the installation process may have defined more roles, and you can create additional custom roles on the <a href=\"@roles\">Roles page</a>. After creating roles, you can set permissions for each role on the <a href=\"@permissions_user\">Permissions page</a>. Granting a permission allows users who have been assigned a particular role to perform an action on the site, such as viewing a particular type of content, editing or creating content, administering settings for a particular module, or using a particular function of the site (such as search).','','7.32'),(2612,'/admin/modules?render=overlay','default','The <a href=\"@accounts\">Account settings page</a> allows you to manage settings for the displayed name of the anonymous user role, personal contact forms, user registration, and account cancellation. On this page you can also manage settings for account personalization (including signatures and user pictures), and adapt the text for the e-mail messages that are sent automatically during the user registration process.','','7.32'),(2613,'/admin/modules?render=overlay','default','Manages the user registration and login system.','','7.32'),(2614,'/admin/modules?render=overlay','default','Associate locations with users.','','7.32'),(2615,'/admin/modules?render=overlay','default','Defines a field type for referencing a user from a node.','','7.32'),(2616,'/admin/modules?render=overlay','default','Create customized lists and queries from your database.','','7.32'),(2617,'/admin/modules?render=overlay','default','Views Accordion documentation page','','7.32'),(2618,'/admin/modules?render=overlay','default','The Views Accordion module is a Views style plugin that displays the results in a JQuery accordion style. For more updated information visit the !views_accordion_documentation_page.','','7.32'),(2619,'/admin/modules?render=overlay','default','How to use the plugin','','7.32'),(2620,'/admin/modules?render=overlay','default','<strong>IMPORTANT:</strong> The first field in order of appearance will be the one used as the \"header\" or \"trigger\" of the accordion action.','','7.32'),(2621,'/admin/modules?render=overlay','default','Your view must meet these requirements:','','7.32'),(2622,'/admin/modules?render=overlay','default','<em>Row style</em> must be set to <em>Fields</em>.','','7.32'),(2623,'/admin/modules?render=overlay','default','The header field can not be set to inline.','','7.32'),(2624,'/admin/modules?render=overlay','default','If you use a separator for inline fields, be sure to wrap it in a html tag, like a span tag.','','7.32'),(2625,'/admin/modules?render=overlay','default','Choose <em>Views Accordion</em> in the <em>Style</em> dialog within your view, which will prompt you to configure:','','7.32'),(2626,'/admin/modules?render=overlay','default','<strong>Transition time</strong>: How fast you want the opening and closing of the sections to last for, in seconds. Default is half a second.','','7.32'),(2627,'/admin/modules?render=overlay','default','<strong>Start with the first row opened</strong>: Wether or not the first row of the view should start opened when the view is first shown. Uncheck this if you would like the accordion to start closed.','','7.32'),(2628,'/admin/modules?render=overlay','default','<strong>Use the module\'s default styling</strong>:  If you disable this, the CSS file in the module\'s directory (views-accordion.css) will not be loaded. You can uncheck this if you plan on doing your own CSS styling.','','7.32'),(2629,'/admin/modules?render=overlay','default','Theming information','','7.32'),(2630,'/admin/modules?render=overlay','default','This module comes with a default style, which you can disable in the options (see above). Files included for your convinence:','','7.32'),(2631,'/admin/modules?render=overlay','default','<strong>views-acordion.css</strong> - with how the classes the author thought would be best used, mostly empty.','','7.32'),(2632,'/admin/modules?render=overlay','default','<strong>views-view-accordion.tpl.php</strong> - copy/paste into your theme directory - please the comments in this file for requirements/instructions.','','7.32'),(2633,'/admin/modules?render=overlay','default','Provides an accordion views display plugin.','','7.32'),(2634,'/admin/modules?render=overlay','default','Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.','','7.32'),(2635,'/admin/modules?render=overlay','default','Output several Views fields into a fieldset.','','7.32'),(2636,'/admin/modules?render=overlay','default','Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.','','7.32'),(2637,'/admin/modules?render=overlay','default','Views Slideshow Cycle help can be found by installing and enabling the !advanced_help','','7.32'),(2638,'/admin/modules?render=overlay','default','Adds a Rotating slideshow mode to Views Slideshow.','','7.32'),(2639,'/admin/modules?render=overlay','default','Administrative interface to views. Without this module, you cannot create or edit your views.','','7.32'),(2640,'/admin/modules?render=overlay','default','Webform-enabled piece of content','','7.32'),(2641,'/admin/modules?render=overlay','default','Webform is currently not enabled on any content types.','','7.32'),(2642,'/admin/modules?render=overlay','default','Visit the <a href=\"!url\">Webform settings</a> page and enable Webform on at least one content type.','','7.32'),(2643,'/admin/modules?render=overlay','default','<p>This module lets you create forms or questionnaires and define their content. Submissions from these forms are stored in the database and optionally also sent by e-mail to a predefined address.</p>\n      <p>Here is how to create one:</p>\n      <ul>\n        <li>!webform-types-message</li>\n        <li>Go to <a href=\"!create-content\">Create content</a> and add a !types piece of content.</li>\n        <li>After saving the new content, you will be redirected to the main field list of the form that will be created. Add the fields you would like on your form.</li>\n        <li>Once finished adding fields, you may want to send e-mails to administrators or back to the user who filled out the form. Click on the <em>Emails</em> sub-tab underneath the <em>Webform</em> tab on the piece of content.</li>\n        <li>Finally, visit the <em>Form settings</em> sub-tab under the <em>Webform</em> tab to configure remaining configurations options for your form.\n          <ul>\n          <li>Add a confirmation message and/or redirect URL that is to be displayed after successful submission.</li>\n          <li>Set a submission limit.</li>\n          <li>Determine which roles may submit the form.</li>\n          <li>Advanced configuration options such as allowing drafts or show users a message indicating how they can edit their submissions.</li>\n          </ul>\n        </li>\n        <li>Your form is now ready for viewing. After receiving submissions, you can check the results users have submitted by visiting the <em>Results</em> tab on the piece of content.</li>\n      </ul>\n      <p>Help on adding and configuring the components will be shown after you add your first component.</p>\n      ','','7.32'),(2644,'/admin/modules?render=overlay','default','Enables the creation of forms and questionnaires.','','7.32'),(2645,'/admin/modules?render=overlay','default','Bean','','7.32'),(2646,'/admin/modules?render=overlay','default','Performance and scalability','','7.32'),(2647,'/admin/modules?render=overlay','default','BEF Tests','','7.32'),(2648,'/admin/modules?render=overlay','default','Other','','7.32'),(2649,'/admin/modules?render=overlay','default','Chaos tool suite','','7.32'),(2650,'/admin/modules?render=overlay','default','Example modules','','7.32'),(2651,'/admin/modules?render=overlay','default','Multilingual - Internationalization','','7.32'),(2652,'/admin/modules?render=overlay','default','Date/Time','','7.32'),(2653,'/admin/modules?render=overlay','default','Features','','7.32'),(2654,'/admin/modules?render=overlay','default','Meta tags (quick)','','7.32'),(2655,'/admin/modules?render=overlay','default','FB Likebox','','7.32'),(2656,'/admin/modules?render=overlay','default','megamenus','','7.32'),(2657,'/admin/modules?render=overlay','default','SEO','','7.32'),(2658,'/admin/modules?render=overlay','default','Sharing','','7.32'),(2659,'/admin/modules?render=overlay','default','Taxonomy menu','','7.32'),(2660,'/admin/modules?render=overlay','default','tb_megamenu','','7.32'),(2661,'/admin/modules?render=overlay','default','Required','','7.32'),(2662,'/admin/modules?render=overlay','default','Unavailable','','7.32'),(2663,'/admin/modules?render=overlay','default','Filter list','','7.32'),(2664,'/admin/modules?render=overlay','default','Download additional <a href=\"@modules\">contributed modules</a> to extend Drupal\'s functionality.','','7.32'),(2665,'/admin/modules?render=overlay','default','Regularly review and install <a href=\"@updates\">available updates</a> to maintain a secure and current site. Always run the <a href=\"@update-php\">update script</a> each time a module is updated.','','7.32'),(2666,'/admin/modules?render=overlay','default','Requires: !module-list','','7.32'),(2667,'/admin/modules?render=overlay','default','Required by: !module-list','','7.32'),(2668,'/admin/config/regional/language?render=overlay&render=overlay','default','Configuration saved.','','7.32'),(2669,'modules/block/block.js','default','Not restricted','','none'),(2670,'modules/block/block.js','default','Restricted to certain pages','','none'),(2671,'modules/block/block.js','default','Not customizable','','none'),(2672,'modules/block/block.js','default','The changes to these blocks will not be saved until the <em>Save blocks</em> button is clicked.','','none'),(2673,'modules/block/block.js','default','The block cannot be placed in this region.','','none'),(2674,'/about-us','default','!instance_label @count','','7.34'),(2675,'/services','default','« first','','7.34'),(2676,'/services','default','‹ previous','','7.34'),(2677,'/services','default','next ›','','7.34'),(2678,'/services','default','last »','','7.34'),(2679,'/','default','There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately!','','7.32'),(2680,'/','default','See the <a href=\"@available_updates\">available updates</a> page for more information.','','7.32'),(2681,'/','default','Not secure!','','7.34'),(2682,'/','default','(version @version available)','','7.32'),(2683,'/','default','Module and theme update status','','7.34'),(2684,'/','default','There are security updates available for one or more of your modules or themes. To ensure the security of your server, you should update immediately!','','7.34'),(2685,'/','default','New release(s) available for !site_name','','7.32'),(2686,'/','default','See the available updates page for more information:','','7.32'),(2687,'/','default','Your site is currently configured to send these emails when any updates are available. To get notified only for security updates, !url.','','7.32'),(2688,'/','default','Unable to send e-mail. Contact the site administrator if the problem persists.','','7.32'),(2689,'/send-cv','default','August','Long month name','7.34'),(2690,'/send-cv','default','pm','','7.34'),(2691,'/send-cv','default','am','','7.34'),(2692,'/send-cv','default','Tue','','7.34'),(2693,'/vehicles','default','Read more<span class=\"element-invisible\"> about @title</span>','','7.34'),(2694,'/vehicles','default','Select any filter and click on Apply to see results','','7.34'),(2695,'/vehicles','default','Select terms from vocabulary @voc','','7.34'),(2696,'/vehicles','default','- Any -','','7.34'),(2697,'/vehicles','default','Advanced options','','7.34'),(2698,'sites/all/modules/better_exposed_filters/better_exposed_filters.js','default','Select All','','none'),(2699,'sites/all/modules/better_exposed_filters/better_exposed_filters.js','default','Select None','','none'),(2700,'/sites/default/files/styles/thumbnail_big_vehicle/public/field/image/product/vehicle-11.png?itok=04Hn1c2O','default','Generate image style','','7.32'),(2701,'/sites/default/files/styles/thumbnail_big_vehicle/public/field/image/product/vehicle-10_0.png?itok=e_uA_lHX','default','GD2 image manipulation toolkit','','7.34'),(2702,'/sites/default/files/styles/thumbnail_big_vehicle/public/field/image/product/vehicle-11.png?itok=04Hn1c2O','default','Error generating image.','','7.32'),(2703,'/product/2013-volvo-c30','default','View the full image','','7.34'),(2704,'/product/2013-volvo-c30','default','vehicle information','','7.34'),(2705,'/product/2013-volvo-c30','default','Group about the data','','7.34'),(2706,'/en','default','404 - Page not found','','7.32'),(2707,'/en','default','The page you are looking for could not be found.','','7.32'),(2708,'/user','default','Create new account','','7.34'),(2709,'/user','default','Log in','','7.34'),(2710,'/user','default','Request new password','','7.34'),(2711,'/user','default','Username','','7.34'),(2712,'/user','default','Enter your @s username.','','7.34'),(2713,'/user','default','Password','','7.34'),(2714,'/user','default','Enter the password that accompanies your username.','','7.34'),(2715,'/user; sites/all/modules/webform/js/webform.js','default','This field is required.','','7.34'),(2716,'/users/admin','default','Address form (country-specific)','','7.32'),(2717,'/users/admin','default','Address 1','','7.32'),(2718,'/users/admin','default','Address 2','','7.32'),(2719,'/users/admin','default','Andorra','','7.32'),(2720,'/users/admin','default','United Arab Emirates','','7.32'),(2721,'/users/admin','default','Afghanistan','','7.32'),(2722,'/users/admin','default','Antigua and Barbuda','','7.32'),(2723,'/users/admin','default','Anguilla','','7.32'),(2724,'/users/admin','default','Albania','','7.32'),(2725,'/users/admin','default','Armenia','','7.32'),(2726,'/users/admin','default','Netherlands Antilles','','7.32'),(2727,'/users/admin','default','Angola','','7.32'),(2728,'/users/admin','default','Antarctica','','7.32'),(2729,'/users/admin','default','Argentina','','7.32'),(2730,'/users/admin','default','American Samoa','','7.32'),(2731,'/users/admin','default','Austria','','7.32'),(2732,'/users/admin','default','Australia','','7.32'),(2733,'/users/admin','default','Aruba','','7.32'),(2734,'/users/admin','default','Aland Islands','','7.32'),(2735,'/users/admin','default','Azerbaijan','','7.32'),(2736,'/users/admin','default','Bosnia and Herzegovina','','7.32'),(2737,'/users/admin','default','Barbados','','7.32'),(2738,'/users/admin','default','Bangladesh','','7.32'),(2739,'/users/admin','default','Belgium','','7.32'),(2740,'/users/admin','default','Burkina Faso','','7.32'),(2741,'/users/admin','default','Bulgaria','','7.32'),(2742,'/users/admin','default','Bahrain','','7.32'),(2743,'/users/admin','default','Burundi','','7.32'),(2744,'/users/admin','default','Benin','','7.32'),(2745,'/users/admin','default','Saint Barthélemy','','7.32'),(2746,'/users/admin','default','Bermuda','','7.32'),(2747,'/users/admin','default','Brunei','','7.32'),(2748,'/users/admin','default','Bolivia','','7.32'),(2749,'/users/admin','default','Caribbean Netherlands','','7.32'),(2750,'/users/admin','default','Brazil','','7.32'),(2751,'/users/admin','default','Bahamas','','7.32'),(2752,'/users/admin','default','Bhutan','','7.32'),(2753,'/users/admin','default','Bouvet Island','','7.32'),(2754,'/users/admin','default','Botswana','','7.32'),(2755,'/users/admin','default','Belarus','','7.32'),(2756,'/users/admin','default','Belize','','7.32'),(2757,'/users/admin','default','Canada','','7.32'),(2758,'/users/admin','default','Cocos (Keeling) Islands','','7.32'),(2759,'/users/admin','default','Congo (Kinshasa)','','7.32'),(2760,'/users/admin','default','Central African Republic','','7.32'),(2761,'/users/admin','default','Congo (Brazzaville)','','7.32'),(2762,'/users/admin','default','Switzerland','','7.32'),(2763,'/users/admin','default','Ivory Coast','','7.32'),(2764,'/users/admin','default','Cook Islands','','7.32'),(2765,'/users/admin','default','Chile','','7.32'),(2766,'/users/admin','default','Cameroon','','7.32'),(2767,'/users/admin','default','China','','7.32'),(2768,'/users/admin','default','Colombia','','7.32'),(2769,'/users/admin','default','Costa Rica','','7.32'),(2770,'/users/admin','default','Cuba','','7.32'),(2771,'/users/admin','default','Cape Verde','','7.32'),(2772,'/users/admin','default','Curaçao','','7.32'),(2773,'/users/admin','default','Christmas Island','','7.32'),(2774,'/users/admin','default','Cyprus','','7.32'),(2775,'/users/admin','default','Czech Republic','','7.32'),(2776,'/users/admin','default','Germany','','7.32'),(2777,'/users/admin','default','Djibouti','','7.32'),(2778,'/users/admin','default','Denmark','','7.32'),(2779,'/users/admin','default','Dominica','','7.32'),(2780,'/users/admin','default','Dominican Republic','','7.32'),(2781,'/users/admin','default','Algeria','','7.32'),(2782,'/users/admin','default','Ecuador','','7.32'),(2783,'/users/admin','default','Estonia','','7.32'),(2784,'/users/admin','default','Egypt','','7.32'),(2785,'/users/admin','default','Western Sahara','','7.32'),(2786,'/users/admin','default','Eritrea','','7.32'),(2787,'/users/admin','default','Spain','','7.32'),(2788,'/users/admin','default','Ethiopia','','7.32'),(2789,'/users/admin','default','Finland','','7.32'),(2790,'/users/admin','default','Fiji','','7.32'),(2791,'/users/admin','default','Falkland Islands','','7.32'),(2792,'/users/admin','default','Micronesia','','7.32'),(2793,'/users/admin','default','Faroe Islands','','7.32'),(2794,'/users/admin','default','France','','7.32'),(2795,'/users/admin','default','Gabon','','7.32'),(2796,'/users/admin','default','United Kingdom','','7.32'),(2797,'/users/admin','default','Grenada','','7.32'),(2798,'/users/admin','default','Georgia','','7.32'),(2799,'/users/admin','default','French Guiana','','7.32'),(2800,'/users/admin','default','Guernsey','','7.32'),(2801,'/users/admin','default','Ghana','','7.32'),(2802,'/users/admin','default','Gibraltar','','7.32'),(2803,'/users/admin','default','Greenland','','7.32'),(2804,'/users/admin','default','Gambia','','7.32'),(2805,'/users/admin','default','Guinea','','7.32'),(2806,'/users/admin','default','Guadeloupe','','7.32'),(2807,'/users/admin','default','Equatorial Guinea','','7.32'),(2808,'/users/admin','default','Greece','','7.32'),(2809,'/users/admin','default','South Georgia and the South Sandwich Islands','','7.32'),(2810,'/users/admin','default','Guatemala','','7.32'),(2811,'/users/admin','default','Guam','','7.32'),(2812,'/users/admin','default','Guinea-Bissau','','7.32'),(2813,'/users/admin','default','Guyana','','7.32'),(2814,'/users/admin','default','Hong Kong S.A.R., China','','7.32'),(2815,'/users/admin','default','Heard Island and McDonald Islands','','7.32'),(2816,'/users/admin','default','Honduras','','7.32'),(2817,'/users/admin','default','Croatia','','7.32'),(2818,'/users/admin','default','Haiti','','7.32'),(2819,'/users/admin','default','Hungary','','7.32'),(2820,'/users/admin','default','Indonesia','','7.32'),(2821,'/users/admin','default','Ireland','','7.32'),(2822,'/users/admin','default','Israel','','7.32'),(2823,'/users/admin','default','Isle of Man','','7.32'),(2824,'/users/admin','default','India','','7.32'),(2825,'/users/admin','default','British Indian Ocean Territory','','7.32'),(2826,'/users/admin','default','Iraq','','7.32'),(2827,'/users/admin','default','Iran','','7.32'),(2828,'/users/admin','default','Iceland','','7.32'),(2829,'/users/admin','default','Italy','','7.32'),(2830,'/users/admin','default','Jersey','','7.32'),(2831,'/users/admin','default','Jamaica','','7.32'),(2832,'/users/admin','default','Jordan','','7.32'),(2833,'/users/admin','default','Japan','','7.32'),(2834,'/users/admin','default','Kenya','','7.32'),(2835,'/users/admin','default','Kyrgyzstan','','7.32'),(2836,'/users/admin','default','Cambodia','','7.32'),(2837,'/users/admin','default','Kiribati','','7.32'),(2838,'/users/admin','default','Comoros','','7.32'),(2839,'/users/admin','default','Saint Kitts and Nevis','','7.32'),(2840,'/users/admin','default','North Korea','','7.32'),(2841,'/users/admin','default','South Korea','','7.32'),(2842,'/users/admin','default','Kuwait','','7.32'),(2843,'/users/admin','default','Cayman Islands','','7.32'),(2844,'/users/admin','default','Kazakhstan','','7.32'),(2845,'/users/admin','default','Laos','','7.32'),(2846,'/users/admin','default','Lebanon','','7.32'),(2847,'/users/admin','default','Saint Lucia','','7.32'),(2848,'/users/admin','default','Liechtenstein','','7.32'),(2849,'/users/admin','default','Sri Lanka','','7.32'),(2850,'/users/admin','default','Liberia','','7.32'),(2851,'/users/admin','default','Lesotho','','7.32'),(2852,'/users/admin','default','Lithuania','','7.32'),(2853,'/users/admin','default','Luxembourg','','7.32'),(2854,'/users/admin','default','Latvia','','7.32'),(2855,'/users/admin','default','Libya','','7.32'),(2856,'/users/admin','default','Morocco','','7.32'),(2857,'/users/admin','default','Monaco','','7.32'),(2858,'/users/admin','default','Moldova','','7.32'),(2859,'/users/admin','default','Montenegro','','7.32'),(2860,'/users/admin','default','Saint Martin (French part)','','7.32'),(2861,'/users/admin','default','Madagascar','','7.32'),(2862,'/users/admin','default','Marshall Islands','','7.32'),(2863,'/users/admin','default','Macedonia','','7.32'),(2864,'/users/admin','default','Mali','','7.32'),(2865,'/users/admin','default','Myanmar','','7.32'),(2866,'/users/admin','default','Mongolia','','7.32'),(2867,'/users/admin','default','Macao S.A.R., China','','7.32'),(2868,'/users/admin','default','Northern Mariana Islands','','7.32'),(2869,'/users/admin','default','Martinique','','7.32'),(2870,'/users/admin','default','Mauritania','','7.32'),(2871,'/users/admin','default','Montserrat','','7.32'),(2872,'/users/admin','default','Malta','','7.32'),(2873,'/users/admin','default','Mauritius','','7.32'),(2874,'/users/admin','default','Maldives','','7.32'),(2875,'/users/admin','default','Malawi','','7.32'),(2876,'/users/admin','default','Mexico','','7.32'),(2877,'/users/admin','default','Malaysia','','7.32'),(2878,'/users/admin','default','Mozambique','','7.32'),(2879,'/users/admin','default','Namibia','','7.32'),(2880,'/users/admin','default','New Caledonia','','7.32'),(2881,'/users/admin','default','Niger','','7.32'),(2882,'/users/admin','default','Norfolk Island','','7.32'),(2883,'/users/admin','default','Nigeria','','7.32'),(2884,'/users/admin','default','Nicaragua','','7.32'),(2885,'/users/admin','default','Netherlands','','7.32'),(2886,'/users/admin','default','Norway','','7.32'),(2887,'/users/admin','default','Nepal','','7.32'),(2888,'/users/admin','default','Nauru','','7.32'),(2889,'/users/admin','default','Niue','','7.32'),(2890,'/users/admin','default','New Zealand','','7.32'),(2891,'/users/admin','default','Oman','','7.32'),(2892,'/users/admin','default','Panama','','7.32'),(2893,'/users/admin','default','Peru','','7.32'),(2894,'/users/admin','default','French Polynesia','','7.32'),(2895,'/users/admin','default','Papua New Guinea','','7.32'),(2896,'/users/admin','default','Philippines','','7.32'),(2897,'/users/admin','default','Pakistan','','7.32'),(2898,'/users/admin','default','Poland','','7.32'),(2899,'/users/admin','default','Saint Pierre and Miquelon','','7.32'),(2900,'/users/admin','default','Pitcairn','','7.32'),(2901,'/users/admin','default','Puerto Rico','','7.32'),(2902,'/users/admin','default','Palestinian Territory','','7.32'),(2903,'/users/admin','default','Portugal','','7.32'),(2904,'/users/admin','default','Palau','','7.32'),(2905,'/users/admin','default','Paraguay','','7.32'),(2906,'/users/admin','default','Qatar','','7.32'),(2907,'/users/admin','default','Reunion','','7.32'),(2908,'/users/admin','default','Romania','','7.32'),(2909,'/users/admin','default','Serbia','','7.32'),(2910,'/users/admin','default','Russia','','7.32'),(2911,'/users/admin','default','Rwanda','','7.32'),(2912,'/users/admin','default','Saudi Arabia','','7.32'),(2913,'/users/admin','default','Solomon Islands','','7.32'),(2914,'/users/admin','default','Seychelles','','7.32'),(2915,'/users/admin','default','Sudan','','7.32'),(2916,'/users/admin','default','Sweden','','7.32'),(2917,'/users/admin','default','Singapore','','7.32'),(2918,'/users/admin','default','Saint Helena','','7.32'),(2919,'/users/admin','default','Slovenia','','7.32'),(2920,'/users/admin','default','Svalbard and Jan Mayen','','7.32'),(2921,'/users/admin','default','Slovakia','','7.32'),(2922,'/users/admin','default','Sierra Leone','','7.32'),(2923,'/users/admin','default','San Marino','','7.32'),(2924,'/users/admin','default','Senegal','','7.32'),(2925,'/users/admin','default','Somalia','','7.32'),(2926,'/users/admin','default','Suriname','','7.32'),(2927,'/users/admin','default','South Sudan','','7.32'),(2928,'/users/admin','default','Sao Tome and Principe','','7.32'),(2929,'/users/admin','default','El Salvador','','7.32'),(2930,'/users/admin','default','Sint Maarten','','7.32'),(2931,'/users/admin','default','Syria','','7.32'),(2932,'/users/admin','default','Swaziland','','7.32'),(2933,'/users/admin','default','Turks and Caicos Islands','','7.32'),(2934,'/users/admin','default','Chad','','7.32'),(2935,'/users/admin','default','French Southern Territories','','7.32'),(2936,'/users/admin','default','Togo','','7.32'),(2937,'/users/admin','default','Thailand','','7.32'),(2938,'/users/admin','default','Tajikistan','','7.32'),(2939,'/users/admin','default','Tokelau','','7.32'),(2940,'/users/admin','default','Timor-Leste','','7.32'),(2941,'/users/admin','default','Turkmenistan','','7.32'),(2942,'/users/admin','default','Tunisia','','7.32'),(2943,'/users/admin','default','Tonga','','7.32'),(2944,'/users/admin','default','Turkey','','7.32'),(2945,'/users/admin','default','Trinidad and Tobago','','7.32'),(2946,'/users/admin','default','Tuvalu','','7.32'),(2947,'/users/admin','default','Taiwan','','7.32'),(2948,'/users/admin','default','Tanzania','','7.32'),(2949,'/users/admin','default','Ukraine','','7.32'),(2950,'/users/admin','default','Uganda','','7.32'),(2951,'/users/admin','default','United States Minor Outlying Islands','','7.32'),(2952,'/users/admin','default','United States','','7.32'),(2953,'/users/admin','default','Uruguay','','7.32'),(2954,'/users/admin','default','Uzbekistan','','7.32'),(2955,'/users/admin','default','Vatican','','7.32'),(2956,'/users/admin','default','Saint Vincent and the Grenadines','','7.32'),(2957,'/users/admin','default','Venezuela','','7.32'),(2958,'/users/admin','default','British Virgin Islands','','7.32'),(2959,'/users/admin','default','U.S. Virgin Islands','','7.32'),(2960,'/users/admin','default','Vietnam','','7.32'),(2961,'/users/admin','default','Vanuatu','','7.32'),(2962,'/users/admin','default','Wallis and Futuna','','7.32'),(2963,'/users/admin','default','Samoa','','7.32'),(2964,'/users/admin','default','Yemen','','7.32'),(2965,'/users/admin','default','Mayotte','','7.32'),(2966,'/users/admin','default','South Africa','','7.32'),(2967,'/users/admin','default','Zambia','','7.32'),(2968,'/users/admin','default','Zimbabwe','','7.32'),(2969,'/users/admin','default','State','Territory of a country','7.32'),(2970,'/users/admin','default','Hide the country when only one is available','','7.32'),(2971,'/users/admin','default','Name (First name, Last name)','','7.32'),(2972,'/users/admin','default','Name (single line)','','7.32'),(2973,'/users/admin','default','Organisation (single line)','','7.32'),(2974,'/users/admin','default','Blog','','7.32'),(2975,'/users/admin','default','View recent blog entries','','7.32'),(2976,'/users/admin','default','Read !username\'s latest blog entries.','','7.32'),(2977,'/users/admin','default','Member for','','7.32'),(2978,'/users/admin','default','@count months','','7.32'),(2979,'/users/admin','default','@count weeks','','7.32'),(2980,'/users/admin','default','Account','','7.32'),(2981,'/users/admin','default','Newsletter subscriptions','','7.32'),(2982,'/admin/config?render=overlay','default','See the <a href=\"@available_updates\">available updates</a> page for more information and to install your missing updates.','','7.34'),(2983,'/admin/config?render=overlay','default','Mon','','7.32'),(2984,'/admin/config/regional/language/edit/ar?render=overlay','default','Edit language','','7.32'),(2985,'/admin/config/regional/language/edit/ar?render=overlay','default','Language code','','7.32'),(2986,'/admin/config/regional/language/edit/ar?render=overlay','default','Language name in English','','7.32'),(2987,'/admin/config/regional/language/edit/ar?render=overlay','default','Name of the language in English. Will be available for translation in all languages.','','7.32'),(2988,'/admin/config/regional/language/edit/ar?render=overlay','default','Native language name','','7.32'),(2989,'/admin/config/regional/language/edit/ar?render=overlay','default','Name of the language in the language being added.','','7.32'),(2990,'/admin/config/regional/language/edit/ar?render=overlay','default','Path prefix language code','','7.32'),(2991,'/admin/config/regional/language/edit/ar?render=overlay','default','Language code or other custom text to use as a path prefix for URL language detection, if your <em>Detection and selection</em> settings use URL path prefixes. For the default language, this value may be left blank. <strong>Modifying this value may break existing URLs. Use with caution in a production environment.</strong> Example: Specifying \"deutsch\" as the path prefix code for German results in URLs like \"example.com/deutsch/contact\".','','7.32'),(2992,'/admin/config/regional/language/edit/ar?render=overlay','default','Language domain','','7.32'),(2993,'/admin/config/regional/language/edit/ar?render=overlay','default','The domain name to use for this language if URL domains are used for <em>Detection and selection</em>. Leave blank for the default language. <strong>Changing this value may break existing URLs.</strong> Example: Specifying \"de.example.com\" as language domain for German will result in an URL like \"http://de.example.com/contact\".','','7.32'),(2994,'/admin/config/regional/language/edit/ar?render=overlay','default','Direction that text in this language is presented.','','7.32'),(2995,'/admin/config/regional/language/edit/ar?render=overlay','default','Save language','','7.32'),(2996,'/admin/config/regional/language/configure?render=overlay','default','Determine the language from the URL (Path prefix or domain).','','7.32'),(2997,'/admin/config/regional/language/configure?render=overlay','default','Session','','7.32'),(2998,'/admin/config/regional/language/configure?render=overlay','default','Determine the language from a request/session parameter.','','7.32'),(2999,'/admin/config/regional/language/configure?render=overlay','default','Follow the user\'s language preference.','','7.32'),(3000,'/admin/config/regional/language/configure?render=overlay','default','Browser','','7.32'),(3001,'/admin/config/regional/language/configure?render=overlay','default','Determine the language from the browser\'s language settings.','','7.32'),(3002,'/admin/config/regional/language/configure?render=overlay','default','Interface','','7.32'),(3003,'/admin/config/regional/language/configure?render=overlay','default','Use the detected interface language.','','7.32'),(3004,'/admin/config/regional/language/configure?render=overlay','default','URL fallback','','7.32'),(3005,'/admin/config/regional/language/configure?render=overlay','default','Use an already detected language for URLs if none is found.','','7.32'),(3006,'/admin/config/regional/language/configure?render=overlay','default','Use the default site language (@language_name).','','7.32'),(3007,'/admin/config/regional/language/configure?render=overlay','default','@type language detection','','7.32'),(3008,'/admin/config/regional/language/configure?render=overlay','default','@title language provider','','7.32'),(3009,'/admin/config/regional/language/configure?render=overlay','default','Save settings','','7.32'),(3010,'/admin/config/regional/language/configure?render=overlay','default','Define how to decide which language is used to display page elements (primarily text provided by Drupal and modules, such as field labels and help text). This decision is made by evaluating a series of detection methods for languages; the first detection method that gets a result will determine which language is used for that type of text. Define the order of evaluation of language detection methods on this page.','','7.32'),(3011,'/admin/config/regional/language/configure?render=overlay','default','Detection method','','7.32'),(3012,'/admin/config/regional/language/configure?render=overlay&render=overlay','default','Language negotiation configuration saved.','','7.32'),(3013,'/ar/dealers','default','--','','7.32'),(3014,'/ar/dealers','default','Alabama','','7.32'),(3015,'/ar/dealers','default','Alaska','','7.32'),(3016,'/ar/dealers','default','Arizona','','7.32'),(3017,'/ar/dealers','default','Arkansas','','7.32'),(3018,'/ar/dealers','default','California','','7.32'),(3019,'/ar/dealers','default','Colorado','','7.32'),(3020,'/ar/dealers','default','Connecticut','','7.32'),(3021,'/ar/dealers','default','Delaware','','7.32'),(3022,'/ar/dealers','default','District Of Columbia','','7.32'),(3023,'/ar/dealers','default','Florida','','7.32'),(3024,'/ar/dealers','default','Hawaii','','7.32'),(3025,'/ar/dealers','default','Idaho','','7.32'),(3026,'/ar/dealers','default','Illinois','','7.32'),(3027,'/ar/dealers','default','Indiana','','7.32'),(3028,'/ar/dealers','default','Iowa','','7.32'),(3029,'/ar/dealers','default','Kansas','','7.32'),(3030,'/ar/dealers','default','Kentucky','','7.32'),(3031,'/ar/dealers','default','Louisiana','','7.32'),(3032,'/ar/dealers','default','Maine','','7.32'),(3033,'/ar/dealers','default','Maryland','','7.32'),(3034,'/ar/dealers','default','Massachusetts','','7.32'),(3035,'/ar/dealers','default','Michigan','','7.32'),(3036,'/ar/dealers','default','Minnesota','','7.32'),(3037,'/ar/dealers','default','Mississippi','','7.32'),(3038,'/ar/dealers','default','Missouri','','7.32'),(3039,'/ar/dealers','default','Montana','','7.32'),(3040,'/ar/dealers','default','Nebraska','','7.32'),(3041,'/ar/dealers','default','Nevada','','7.32'),(3042,'/ar/dealers','default','New Hampshire','','7.32'),(3043,'/ar/dealers','default','New Jersey','','7.32'),(3044,'/ar/dealers','default','New Mexico','','7.32'),(3045,'/ar/dealers','default','New York','','7.32'),(3046,'/ar/dealers','default','North Carolina','','7.32'),(3047,'/ar/dealers','default','North Dakota','','7.32'),(3048,'/ar/dealers','default','Ohio','','7.32'),(3049,'/ar/dealers','default','Oklahoma','','7.32'),(3050,'/ar/dealers','default','Oregon','','7.32'),(3051,'/ar/dealers','default','Pennsylvania','','7.32'),(3052,'/ar/dealers','default','Rhode Island','','7.32'),(3053,'/ar/dealers','default','South Carolina','','7.32'),(3054,'/ar/dealers','default','South Dakota','','7.32'),(3055,'/ar/dealers','default','Tennessee','','7.32'),(3056,'/ar/dealers','default','Texas','','7.32'),(3057,'/ar/dealers','default','Utah','','7.32'),(3058,'/ar/dealers','default','Vermont','','7.32'),(3059,'/ar/dealers','default','Virginia','','7.32'),(3060,'/ar/dealers','default','Washington','','7.32'),(3061,'/ar/dealers','default','West Virginia','','7.32'),(3062,'/ar/dealers','default','Wisconsin','','7.32'),(3063,'/ar/dealers','default','Wyoming','','7.32'),(3064,'/ar/dealers','default','Armed Forces (Americas)','','7.32'),(3065,'/ar/dealers','default','Armed Forces (Europe, Canada, Middle East, Africa)','','7.32'),(3066,'/ar/dealers','default','Armed Forces (Pacific)','','7.32'),(3067,'/ar/dealers','default','Federated States of Micronesia','','7.32'),(3068,'/ar/dealers','default','Virgin Islands','','7.32'),(3069,'/ar/dealers','default','ZIP Code','','7.32'),(3070,'/ar/dealers','default','Javascript is required to view this map.','','7.32'),(3071,'/ar/dealer/vestibulum-ante-ipsum-primis-faucibus-orci-luctus-et-ultrices-posuere','default','Submitted by !username on !datetime','','7.32'),(3072,'/ar/news','default','authenticated user','','7.32'),(3073,'/ar/news','default','<a href=\"@login\">Log in</a> or <a href=\"@register\">register</a> to post comments','','7.32'),(3074,'/ar/news','default','@count comments','','7.32'),(3075,'/ar/news','default','Jump to the first comment of this posting.','','7.32'),(3076,'/ar/news','default','Thu','','7.32'),(3077,'misc/tableselect.js','default','Select all rows in this table','','none'),(3078,'misc/tableselect.js','default','Deselect all rows in this table','','none'),(3079,'/ar/modal_forms/ajax/login','default','Create a new user account.','','7.34'),(3080,'/ar/modal_forms/ajax/login','default','Request new password via e-mail.','','7.34'),(3081,'/ar/modal_forms/ajax/login','default','Login success','','7.34'),(3082,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Your name','','7.32'),(3083,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','The content of this field is kept private and will not be shown publicly.','','7.32'),(3084,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Homepage','','7.32'),(3085,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Authored on','','7.32'),(3086,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Save','','7.32'),(3087,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Preview','','7.32'),(3088,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Add new comment','','7.32'),(3089,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','More information about text formats','','7.32'),(3090,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Web page addresses and e-mail addresses turn into links automatically.','','7.32'),(3091,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Allowed HTML tags: @tags','','7.32'),(3092,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Lines and paragraphs break automatically.','','7.32'),(3093,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','No HTML tags allowed.','','7.32'),(3094,'/ar/comment/reply/45','default','Preview comment','','7.32'),(3095,'/ar/comment/reply/45','default','Permalink','','7.32'),(3096,'/ar/news','default','Add a new comment to this page.','','7.32'),(3097,'/ar/comment/reply/45','default','Your comment has been posted.','','7.32'),(3098,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','Share your thoughts and opinions related to this posting.','','7.32'),(3099,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','reply','','7.32'),(3100,'/ar/article/quisque-rhoncus-vitae-purus-ac-luctu','default','new','','7.32'),(3101,'/ar/contact','default','Sat','','7.32'),(3102,'/ar/user/6/edit','default','Spaces are allowed; punctuation is not allowed except for periods, hyphens, apostrophes, and underscores.','','7.32'),(3103,'/ar/user/6/edit','default','E-mail address','','7.32'),(3104,'/ar/user/6/edit','default','A valid e-mail address. All e-mails from the system will be sent to this address. The e-mail address is not made public and will only be used if you wish to receive a new password or wish to receive certain news or notifications by e-mail.','','7.32'),(3105,'/ar/user/6/edit','default','To change the current user password, enter the new password in both fields.','','7.32'),(3106,'/ar/user/6/edit','default','Enter your current password to change the %mail or %pass. !request_new.','','7.32'),(3107,'/ar/user/6/edit','default','Current password','','7.32'),(3108,'/ar/user/6/edit','default','Notify user of new account','','7.32'),(3109,'/ar/user/6/edit','default','Signature settings','','7.32'),(3110,'/ar/user/6/edit','default','Your signature will be publicly displayed at the end of your comments.','','7.32'),(3111,'/ar/user/6/edit','default','Delete picture','','7.32'),(3112,'/ar/user/6/edit','default','Check this box to delete your current picture.','','7.32'),(3113,'/ar/user/6/edit','default','Upload picture','','7.32'),(3114,'/ar/user/6/edit','default','Your virtual face or picture. Pictures larger than @dimensions pixels will be scaled down.','','7.32'),(3115,'/ar/user/6/edit','default','- None -','','7.32'),(3116,'/ar/user/6/edit','default','Cancel account','','7.32'),(3117,'/ar/user/6/edit','default','Arabic','','7.32'),(3118,'/ar/user/6/edit','default','English','','7.32'),(3119,'/ar/user/6/edit','default','Locale settings','','7.32'),(3120,'/ar/user/6/edit','default','Time zone','','7.32'),(3121,'/ar/user/6/edit','default','Africa/Abidjan','','7.32'),(3122,'/ar/user/6/edit','default','@zone: @date','','7.32'),(3123,'/ar/user/6/edit','default','Africa/Accra','','7.32'),(3124,'/ar/user/6/edit','default','Africa/Addis Ababa','','7.32'),(3125,'/ar/user/6/edit','default','Africa/Algiers','','7.32'),(3126,'/ar/user/6/edit','default','Africa/Asmara','','7.32'),(3127,'/ar/user/6/edit','default','Africa/Bamako','','7.32'),(3128,'/ar/user/6/edit','default','Africa/Bangui','','7.32'),(3129,'/ar/user/6/edit','default','Africa/Banjul','','7.32'),(3130,'/ar/user/6/edit','default','Africa/Bissau','','7.32'),(3131,'/ar/user/6/edit','default','Africa/Blantyre','','7.32'),(3132,'/ar/user/6/edit','default','Africa/Brazzaville','','7.32'),(3133,'/ar/user/6/edit','default','Africa/Bujumbura','','7.32'),(3134,'/ar/user/6/edit','default','Africa/Cairo','','7.32'),(3135,'/ar/user/6/edit','default','Africa/Casablanca','','7.32'),(3136,'/ar/user/6/edit','default','Africa/Ceuta','','7.32'),(3137,'/ar/user/6/edit','default','Africa/Conakry','','7.32'),(3138,'/ar/user/6/edit','default','Africa/Dakar','','7.32'),(3139,'/ar/user/6/edit','default','Africa/Dar es Salaam','','7.32'),(3140,'/ar/user/6/edit','default','Africa/Djibouti','','7.32'),(3141,'/ar/user/6/edit','default','Africa/Douala','','7.32'),(3142,'/ar/user/6/edit','default','Africa/El Aaiun','','7.32'),(3143,'/ar/user/6/edit','default','Africa/Freetown','','7.32'),(3144,'/ar/user/6/edit','default','Africa/Gaborone','','7.32'),(3145,'/ar/user/6/edit','default','Africa/Harare','','7.32'),(3146,'/ar/user/6/edit','default','Africa/Johannesburg','','7.32'),(3147,'/ar/user/6/edit','default','Africa/Juba','','7.32'),(3148,'/ar/user/6/edit','default','Africa/Kampala','','7.32'),(3149,'/ar/user/6/edit','default','Africa/Khartoum','','7.32'),(3150,'/ar/user/6/edit','default','Africa/Kigali','','7.32'),(3151,'/ar/user/6/edit','default','Africa/Kinshasa','','7.32'),(3152,'/ar/user/6/edit','default','Africa/Lagos','','7.32'),(3153,'/ar/user/6/edit','default','Africa/Libreville','','7.32'),(3154,'/ar/user/6/edit','default','Africa/Lome','','7.32'),(3155,'/ar/user/6/edit','default','Africa/Luanda','','7.32'),(3156,'/ar/user/6/edit','default','Africa/Lubumbashi','','7.32'),(3157,'/ar/user/6/edit','default','Africa/Lusaka','','7.32'),(3158,'/ar/user/6/edit','default','Africa/Malabo','','7.32'),(3159,'/ar/user/6/edit','default','Africa/Maputo','','7.32'),(3160,'/ar/user/6/edit','default','Africa/Maseru','','7.32'),(3161,'/ar/user/6/edit','default','Africa/Mbabane','','7.32'),(3162,'/ar/user/6/edit','default','Africa/Mogadishu','','7.32'),(3163,'/ar/user/6/edit','default','Africa/Monrovia','','7.32'),(3164,'/ar/user/6/edit','default','Africa/Nairobi','','7.32'),(3165,'/ar/user/6/edit','default','Africa/Ndjamena','','7.32'),(3166,'/ar/user/6/edit','default','Africa/Niamey','','7.32'),(3167,'/ar/user/6/edit','default','Africa/Nouakchott','','7.32'),(3168,'/ar/user/6/edit','default','Africa/Ouagadougou','','7.32'),(3169,'/ar/user/6/edit','default','Africa/Porto-Novo','','7.32'),(3170,'/ar/user/6/edit','default','Africa/Sao Tome','','7.32'),(3171,'/ar/user/6/edit','default','Africa/Tripoli','','7.32'),(3172,'/ar/user/6/edit','default','Africa/Tunis','','7.32'),(3173,'/ar/user/6/edit','default','Africa/Windhoek','','7.32'),(3174,'/ar/user/6/edit','default','America/Adak','','7.32'),(3175,'/ar/user/6/edit','default','America/Anchorage','','7.32'),(3176,'/ar/user/6/edit','default','America/Anguilla','','7.32'),(3177,'/ar/user/6/edit','default','America/Antigua','','7.32'),(3178,'/ar/user/6/edit','default','America/Araguaina','','7.32'),(3179,'/ar/user/6/edit','default','America/Argentina/Buenos Aires','','7.32'),(3180,'/ar/user/6/edit','default','America/Argentina/Catamarca','','7.32'),(3181,'/ar/user/6/edit','default','America/Argentina/Cordoba','','7.32'),(3182,'/ar/user/6/edit','default','America/Argentina/Jujuy','','7.32'),(3183,'/ar/user/6/edit','default','America/Argentina/La Rioja','','7.32'),(3184,'/ar/user/6/edit','default','America/Argentina/Mendoza','','7.32'),(3185,'/ar/user/6/edit','default','America/Argentina/Rio Gallegos','','7.32'),(3186,'/ar/user/6/edit','default','America/Argentina/Salta','','7.32'),(3187,'/ar/user/6/edit','default','America/Argentina/San Juan','','7.32'),(3188,'/ar/user/6/edit','default','America/Argentina/San Luis','','7.32'),(3189,'/ar/user/6/edit','default','America/Argentina/Tucuman','','7.32'),(3190,'/ar/user/6/edit','default','America/Argentina/Ushuaia','','7.32'),(3191,'/ar/user/6/edit','default','America/Aruba','','7.32'),(3192,'/ar/user/6/edit','default','America/Asuncion','','7.32'),(3193,'/ar/user/6/edit','default','America/Atikokan','','7.32'),(3194,'/ar/user/6/edit','default','America/Bahia','','7.32'),(3195,'/ar/user/6/edit','default','America/Bahia Banderas','','7.32'),(3196,'/ar/user/6/edit','default','America/Barbados','','7.32'),(3197,'/ar/user/6/edit','default','America/Belem','','7.32'),(3198,'/ar/user/6/edit','default','America/Belize','','7.32'),(3199,'/ar/user/6/edit','default','America/Blanc-Sablon','','7.32'),(3200,'/ar/user/6/edit','default','America/Boa Vista','','7.32'),(3201,'/ar/user/6/edit','default','America/Bogota','','7.32'),(3202,'/ar/user/6/edit','default','America/Boise','','7.32'),(3203,'/ar/user/6/edit','default','America/Cambridge Bay','','7.32'),(3204,'/ar/user/6/edit','default','America/Campo Grande','','7.32'),(3205,'/ar/user/6/edit','default','America/Cancun','','7.32'),(3206,'/ar/user/6/edit','default','America/Caracas','','7.32'),(3207,'/ar/user/6/edit','default','America/Cayenne','','7.32'),(3208,'/ar/user/6/edit','default','America/Cayman','','7.32'),(3209,'/ar/user/6/edit','default','America/Chicago','','7.32'),(3210,'/ar/user/6/edit','default','America/Chihuahua','','7.32'),(3211,'/ar/user/6/edit','default','America/Costa Rica','','7.32'),(3212,'/ar/user/6/edit','default','America/Creston','','7.32'),(3213,'/ar/user/6/edit','default','America/Cuiaba','','7.32'),(3214,'/ar/user/6/edit','default','America/Curacao','','7.32'),(3215,'/ar/user/6/edit','default','America/Danmarkshavn','','7.32'),(3216,'/ar/user/6/edit','default','America/Dawson','','7.32'),(3217,'/ar/user/6/edit','default','America/Dawson Creek','','7.32'),(3218,'/ar/user/6/edit','default','America/Denver','','7.32'),(3219,'/ar/user/6/edit','default','America/Detroit','','7.32'),(3220,'/ar/user/6/edit','default','America/Dominica','','7.32'),(3221,'/ar/user/6/edit','default','America/Edmonton','','7.32'),(3222,'/ar/user/6/edit','default','America/Eirunepe','','7.32'),(3223,'/ar/user/6/edit','default','America/El Salvador','','7.32'),(3224,'/ar/user/6/edit','default','America/Fortaleza','','7.32'),(3225,'/ar/user/6/edit','default','America/Glace Bay','','7.32'),(3226,'/ar/user/6/edit','default','America/Godthab','','7.32'),(3227,'/ar/user/6/edit','default','America/Goose Bay','','7.32'),(3228,'/ar/user/6/edit','default','America/Grand Turk','','7.32'),(3229,'/ar/user/6/edit','default','America/Grenada','','7.32'),(3230,'/ar/user/6/edit','default','America/Guadeloupe','','7.32'),(3231,'/ar/user/6/edit','default','America/Guatemala','','7.32'),(3232,'/ar/user/6/edit','default','America/Guayaquil','','7.32'),(3233,'/ar/user/6/edit','default','America/Guyana','','7.32'),(3234,'/ar/user/6/edit','default','America/Halifax','','7.32'),(3235,'/ar/user/6/edit','default','America/Havana','','7.32'),(3236,'/ar/user/6/edit','default','America/Hermosillo','','7.32'),(3237,'/ar/user/6/edit','default','America/Indiana/Indianapolis','','7.32'),(3238,'/ar/user/6/edit','default','America/Indiana/Knox','','7.32'),(3239,'/ar/user/6/edit','default','America/Indiana/Marengo','','7.32'),(3240,'/ar/user/6/edit','default','America/Indiana/Petersburg','','7.32'),(3241,'/ar/user/6/edit','default','America/Indiana/Tell City','','7.32'),(3242,'/ar/user/6/edit','default','America/Indiana/Vevay','','7.32'),(3243,'/ar/user/6/edit','default','America/Indiana/Vincennes','','7.32'),(3244,'/ar/user/6/edit','default','America/Indiana/Winamac','','7.32'),(3245,'/ar/user/6/edit','default','America/Inuvik','','7.32'),(3246,'/ar/user/6/edit','default','America/Iqaluit','','7.32'),(3247,'/ar/user/6/edit','default','America/Jamaica','','7.32'),(3248,'/ar/user/6/edit','default','America/Juneau','','7.32'),(3249,'/ar/user/6/edit','default','America/Kentucky/Louisville','','7.32'),(3250,'/ar/user/6/edit','default','America/Kentucky/Monticello','','7.32'),(3251,'/ar/user/6/edit','default','America/Kralendijk','','7.32'),(3252,'/ar/user/6/edit','default','America/La Paz','','7.32'),(3253,'/ar/user/6/edit','default','America/Lima','','7.32'),(3254,'/ar/user/6/edit','default','America/Los Angeles','','7.32'),(3255,'/ar/user/6/edit','default','America/Lower Princes','','7.32'),(3256,'/ar/user/6/edit','default','America/Maceio','','7.32'),(3257,'/ar/user/6/edit','default','America/Managua','','7.32'),(3258,'/ar/user/6/edit','default','America/Manaus','','7.32'),(3259,'/ar/user/6/edit','default','America/Marigot','','7.32'),(3260,'/ar/user/6/edit','default','America/Martinique','','7.32'),(3261,'/ar/user/6/edit','default','America/Matamoros','','7.32'),(3262,'/ar/user/6/edit','default','America/Mazatlan','','7.32'),(3263,'/ar/user/6/edit','default','America/Menominee','','7.32'),(3264,'/ar/user/6/edit','default','America/Merida','','7.32'),(3265,'/ar/user/6/edit','default','America/Metlakatla','','7.32'),(3266,'/ar/user/6/edit','default','America/Mexico City','','7.32'),(3267,'/ar/user/6/edit','default','America/Miquelon','','7.32'),(3268,'/ar/user/6/edit','default','America/Moncton','','7.32'),(3269,'/ar/user/6/edit','default','America/Monterrey','','7.32'),(3270,'/ar/user/6/edit','default','America/Montevideo','','7.32'),(3271,'/ar/user/6/edit','default','America/Montserrat','','7.32'),(3272,'/ar/user/6/edit','default','America/Nassau','','7.32'),(3273,'/ar/user/6/edit','default','America/New York','','7.32'),(3274,'/ar/user/6/edit','default','America/Nipigon','','7.32'),(3275,'/ar/user/6/edit','default','America/Nome','','7.32'),(3276,'/ar/user/6/edit','default','America/Noronha','','7.32'),(3277,'/ar/user/6/edit','default','America/North Dakota/Beulah','','7.32'),(3278,'/ar/user/6/edit','default','America/North Dakota/Center','','7.32'),(3279,'/ar/user/6/edit','default','America/North Dakota/New Salem','','7.32'),(3280,'/ar/user/6/edit','default','America/Ojinaga','','7.32'),(3281,'/ar/user/6/edit','default','America/Panama','','7.32'),(3282,'/ar/user/6/edit','default','America/Pangnirtung','','7.32'),(3283,'/ar/user/6/edit','default','America/Paramaribo','','7.32'),(3284,'/ar/user/6/edit','default','America/Phoenix','','7.32'),(3285,'/ar/user/6/edit','default','America/Port-au-Prince','','7.32'),(3286,'/ar/user/6/edit','default','America/Port of Spain','','7.32'),(3287,'/ar/user/6/edit','default','America/Porto Velho','','7.32'),(3288,'/ar/user/6/edit','default','America/Puerto Rico','','7.32'),(3289,'/ar/user/6/edit','default','America/Rainy River','','7.32'),(3290,'/ar/user/6/edit','default','America/Rankin Inlet','','7.32'),(3291,'/ar/user/6/edit','default','America/Recife','','7.32'),(3292,'/ar/user/6/edit','default','America/Regina','','7.32'),(3293,'/ar/user/6/edit','default','America/Resolute','','7.32'),(3294,'/ar/user/6/edit','default','America/Rio Branco','','7.32'),(3295,'/ar/user/6/edit','default','America/Santa Isabel','','7.32'),(3296,'/ar/user/6/edit','default','America/Santarem','','7.32'),(3297,'/ar/user/6/edit','default','America/Santiago','','7.32'),(3298,'/ar/user/6/edit','default','America/Santo Domingo','','7.32'),(3299,'/ar/user/6/edit','default','America/Sao Paulo','','7.32'),(3300,'/ar/user/6/edit','default','America/Scoresbysund','','7.32'),(3301,'/ar/user/6/edit','default','America/Sitka','','7.32'),(3302,'/ar/user/6/edit','default','America/St Barthelemy','','7.32'),(3303,'/ar/user/6/edit','default','America/St Johns','','7.32'),(3304,'/ar/user/6/edit','default','America/St Kitts','','7.32'),(3305,'/ar/user/6/edit','default','America/St Lucia','','7.32'),(3306,'/ar/user/6/edit','default','America/St Thomas','','7.32'),(3307,'/ar/user/6/edit','default','America/St Vincent','','7.32'),(3308,'/ar/user/6/edit','default','America/Swift Current','','7.32'),(3309,'/ar/user/6/edit','default','America/Tegucigalpa','','7.32'),(3310,'/ar/user/6/edit','default','America/Thule','','7.32'),(3311,'/ar/user/6/edit','default','America/Thunder Bay','','7.32'),(3312,'/ar/user/6/edit','default','America/Tijuana','','7.32'),(3313,'/ar/user/6/edit','default','America/Toronto','','7.32'),(3314,'/ar/user/6/edit','default','America/Tortola','','7.32'),(3315,'/ar/user/6/edit','default','America/Vancouver','','7.32'),(3316,'/ar/user/6/edit','default','America/Whitehorse','','7.32'),(3317,'/ar/user/6/edit','default','America/Winnipeg','','7.32'),(3318,'/ar/user/6/edit','default','America/Yakutat','','7.32'),(3319,'/ar/user/6/edit','default','America/Yellowknife','','7.32'),(3320,'/ar/user/6/edit','default','Antarctica/Casey','','7.32'),(3321,'/ar/user/6/edit','default','Antarctica/Davis','','7.32'),(3322,'/ar/user/6/edit','default','Antarctica/DumontDUrville','','7.32'),(3323,'/ar/user/6/edit','default','Antarctica/Macquarie','','7.32'),(3324,'/ar/user/6/edit','default','Antarctica/Mawson','','7.32'),(3325,'/ar/user/6/edit','default','Antarctica/McMurdo','','7.32'),(3326,'/ar/user/6/edit','default','Antarctica/Palmer','','7.32'),(3327,'/ar/user/6/edit','default','Antarctica/Rothera','','7.32'),(3328,'/ar/user/6/edit','default','Antarctica/Syowa','','7.32'),(3329,'/ar/user/6/edit','default','Antarctica/Troll','','7.32'),(3330,'/ar/user/6/edit','default','Antarctica/Vostok','','7.32'),(3331,'/ar/user/6/edit','default','Arctic/Longyearbyen','','7.32'),(3332,'/ar/user/6/edit','default','Asia/Aden','','7.32'),(3333,'/ar/user/6/edit','default','Asia/Almaty','','7.32'),(3334,'/ar/user/6/edit','default','Asia/Amman','','7.32'),(3335,'/ar/user/6/edit','default','Asia/Anadyr','','7.32'),(3336,'/ar/user/6/edit','default','Asia/Aqtau','','7.32'),(3337,'/ar/user/6/edit','default','Asia/Aqtobe','','7.32'),(3338,'/ar/user/6/edit','default','Asia/Ashgabat','','7.32'),(3339,'/ar/user/6/edit','default','Asia/Baghdad','','7.32'),(3340,'/ar/user/6/edit','default','Asia/Bahrain','','7.32'),(3341,'/ar/user/6/edit','default','Asia/Baku','','7.32'),(3342,'/ar/user/6/edit','default','Asia/Bangkok','','7.32'),(3343,'/ar/user/6/edit','default','Asia/Beirut','','7.32'),(3344,'/ar/user/6/edit','default','Asia/Bishkek','','7.32'),(3345,'/ar/user/6/edit','default','Asia/Brunei','','7.32'),(3346,'/ar/user/6/edit','default','Asia/Choibalsan','','7.32'),(3347,'/ar/user/6/edit','default','Asia/Chongqing','','7.32'),(3348,'/ar/user/6/edit','default','Asia/Colombo','','7.32'),(3349,'/ar/user/6/edit','default','Asia/Damascus','','7.32'),(3350,'/ar/user/6/edit','default','Asia/Dhaka','','7.32'),(3351,'/ar/user/6/edit','default','Asia/Dili','','7.32'),(3352,'/ar/user/6/edit','default','Asia/Dubai','','7.32'),(3353,'/ar/user/6/edit','default','Asia/Dushanbe','','7.32'),(3354,'/ar/user/6/edit','default','Asia/Gaza','','7.32'),(3355,'/ar/user/6/edit','default','Asia/Harbin','','7.32'),(3356,'/ar/user/6/edit','default','Asia/Hebron','','7.32'),(3357,'/ar/user/6/edit','default','Asia/Ho Chi Minh','','7.32'),(3358,'/ar/user/6/edit','default','Asia/Hong Kong','','7.32'),(3359,'/ar/user/6/edit','default','Asia/Hovd','','7.32'),(3360,'/ar/user/6/edit','default','Asia/Irkutsk','','7.32'),(3361,'/ar/user/6/edit','default','Asia/Jakarta','','7.32'),(3362,'/ar/user/6/edit','default','Asia/Jayapura','','7.32'),(3363,'/ar/user/6/edit','default','Asia/Jerusalem','','7.32'),(3364,'/ar/user/6/edit','default','Asia/Kabul','','7.32'),(3365,'/ar/user/6/edit','default','Asia/Kamchatka','','7.32'),(3366,'/ar/user/6/edit','default','Asia/Karachi','','7.32'),(3367,'/ar/user/6/edit','default','Asia/Kashgar','','7.32'),(3368,'/ar/user/6/edit','default','Asia/Kathmandu','','7.32'),(3369,'/ar/user/6/edit','default','Asia/Khandyga','','7.32'),(3370,'/ar/user/6/edit','default','Asia/Kolkata','','7.32'),(3371,'/ar/user/6/edit','default','Asia/Krasnoyarsk','','7.32'),(3372,'/ar/user/6/edit','default','Asia/Kuala Lumpur','','7.32'),(3373,'/ar/user/6/edit','default','Asia/Kuching','','7.32'),(3374,'/ar/user/6/edit','default','Asia/Kuwait','','7.32'),(3375,'/ar/user/6/edit','default','Asia/Macau','','7.32'),(3376,'/ar/user/6/edit','default','Asia/Magadan','','7.32'),(3377,'/ar/user/6/edit','default','Asia/Makassar','','7.32'),(3378,'/ar/user/6/edit','default','Asia/Manila','','7.32'),(3379,'/ar/user/6/edit','default','Asia/Muscat','','7.32'),(3380,'/ar/user/6/edit','default','Asia/Nicosia','','7.32'),(3381,'/ar/user/6/edit','default','Asia/Novokuznetsk','','7.32'),(3382,'/ar/user/6/edit','default','Asia/Novosibirsk','','7.32'),(3383,'/ar/user/6/edit','default','Asia/Omsk','','7.32'),(3384,'/ar/user/6/edit','default','Asia/Oral','','7.32'),(3385,'/ar/user/6/edit','default','Asia/Phnom Penh','','7.32'),(3386,'/ar/user/6/edit','default','Asia/Pontianak','','7.32'),(3387,'/ar/user/6/edit','default','Asia/Pyongyang','','7.32'),(3388,'/ar/user/6/edit','default','Asia/Qatar','','7.32'),(3389,'/ar/user/6/edit','default','Asia/Qyzylorda','','7.32'),(3390,'/ar/user/6/edit','default','Asia/Rangoon','','7.32'),(3391,'/ar/user/6/edit','default','Asia/Riyadh','','7.32'),(3392,'/ar/user/6/edit','default','Asia/Sakhalin','','7.32'),(3393,'/ar/user/6/edit','default','Asia/Samarkand','','7.32'),(3394,'/ar/user/6/edit','default','Asia/Seoul','','7.32'),(3395,'/ar/user/6/edit','default','Asia/Shanghai','','7.32'),(3396,'/ar/user/6/edit','default','Asia/Singapore','','7.32'),(3397,'/ar/user/6/edit','default','Asia/Taipei','','7.32'),(3398,'/ar/user/6/edit','default','Asia/Tashkent','','7.32'),(3399,'/ar/user/6/edit','default','Asia/Tbilisi','','7.32'),(3400,'/ar/user/6/edit','default','Asia/Tehran','','7.32'),(3401,'/ar/user/6/edit','default','Asia/Thimphu','','7.32'),(3402,'/ar/user/6/edit','default','Asia/Tokyo','','7.32'),(3403,'/ar/user/6/edit','default','Asia/Ulaanbaatar','','7.32'),(3404,'/ar/user/6/edit','default','Asia/Urumqi','','7.32'),(3405,'/ar/user/6/edit','default','Asia/Ust-Nera','','7.32'),(3406,'/ar/user/6/edit','default','Asia/Vientiane','','7.32'),(3407,'/ar/user/6/edit','default','Asia/Vladivostok','','7.32'),(3408,'/ar/user/6/edit','default','Asia/Yakutsk','','7.32'),(3409,'/ar/user/6/edit','default','Asia/Yekaterinburg','','7.32'),(3410,'/ar/user/6/edit','default','Asia/Yerevan','','7.32'),(3411,'/ar/user/6/edit','default','Atlantic/Azores','','7.32'),(3412,'/ar/user/6/edit','default','Atlantic/Bermuda','','7.32'),(3413,'/ar/user/6/edit','default','Atlantic/Canary','','7.32'),(3414,'/ar/user/6/edit','default','Atlantic/Cape Verde','','7.32'),(3415,'/ar/user/6/edit','default','Atlantic/Faroe','','7.32'),(3416,'/ar/user/6/edit','default','Atlantic/Madeira','','7.32'),(3417,'/ar/user/6/edit','default','Atlantic/Reykjavik','','7.32'),(3418,'/ar/user/6/edit','default','Atlantic/South Georgia','','7.32'),(3419,'/ar/user/6/edit','default','Atlantic/St Helena','','7.32'),(3420,'/ar/user/6/edit','default','Atlantic/Stanley','','7.32'),(3421,'/ar/user/6/edit','default','Australia/Adelaide','','7.32'),(3422,'/ar/user/6/edit','default','Australia/Brisbane','','7.32'),(3423,'/ar/user/6/edit','default','Australia/Broken Hill','','7.32'),(3424,'/ar/user/6/edit','default','Australia/Currie','','7.32'),(3425,'/ar/user/6/edit','default','Australia/Darwin','','7.32'),(3426,'/ar/user/6/edit','default','Australia/Eucla','','7.32'),(3427,'/ar/user/6/edit','default','Australia/Hobart','','7.32'),(3428,'/ar/user/6/edit','default','Australia/Lindeman','','7.32'),(3429,'/ar/user/6/edit','default','Australia/Lord Howe','','7.32'),(3430,'/ar/user/6/edit','default','Australia/Melbourne','','7.32'),(3431,'/ar/user/6/edit','default','Australia/Perth','','7.32'),(3432,'/ar/user/6/edit','default','Australia/Sydney','','7.32'),(3433,'/ar/user/6/edit','default','Europe/Amsterdam','','7.32'),(3434,'/ar/user/6/edit','default','Europe/Andorra','','7.32'),(3435,'/ar/user/6/edit','default','Europe/Athens','','7.32'),(3436,'/ar/user/6/edit','default','Europe/Belgrade','','7.32'),(3437,'/ar/user/6/edit','default','Europe/Berlin','','7.32'),(3438,'/ar/user/6/edit','default','Europe/Bratislava','','7.32'),(3439,'/ar/user/6/edit','default','Europe/Brussels','','7.32'),(3440,'/ar/user/6/edit','default','Europe/Bucharest','','7.32'),(3441,'/ar/user/6/edit','default','Europe/Budapest','','7.32'),(3442,'/ar/user/6/edit','default','Europe/Busingen','','7.32'),(3443,'/ar/user/6/edit','default','Europe/Chisinau','','7.32'),(3444,'/ar/user/6/edit','default','Europe/Copenhagen','','7.32'),(3445,'/ar/user/6/edit','default','Europe/Dublin','','7.32'),(3446,'/ar/user/6/edit','default','Europe/Gibraltar','','7.32'),(3447,'/ar/user/6/edit','default','Europe/Guernsey','','7.32'),(3448,'/ar/user/6/edit','default','Europe/Helsinki','','7.32'),(3449,'/ar/user/6/edit','default','Europe/Isle of Man','','7.32'),(3450,'/ar/user/6/edit','default','Europe/Istanbul','','7.32'),(3451,'/ar/user/6/edit','default','Europe/Jersey','','7.32'),(3452,'/ar/user/6/edit','default','Europe/Kaliningrad','','7.32'),(3453,'/ar/user/6/edit','default','Europe/Kiev','','7.32'),(3454,'/ar/user/6/edit','default','Europe/Lisbon','','7.32'),(3455,'/ar/user/6/edit','default','Europe/Ljubljana','','7.32'),(3456,'/ar/user/6/edit','default','Europe/London','','7.32'),(3457,'/ar/user/6/edit','default','Europe/Luxembourg','','7.32'),(3458,'/ar/user/6/edit','default','Europe/Madrid','','7.32'),(3459,'/ar/user/6/edit','default','Europe/Malta','','7.32'),(3460,'/ar/user/6/edit','default','Europe/Mariehamn','','7.32'),(3461,'/ar/user/6/edit','default','Europe/Minsk','','7.32'),(3462,'/ar/user/6/edit','default','Europe/Monaco','','7.32'),(3463,'/ar/user/6/edit','default','Europe/Moscow','','7.32'),(3464,'/ar/user/6/edit','default','Europe/Oslo','','7.32'),(3465,'/ar/user/6/edit','default','Europe/Paris','','7.32'),(3466,'/ar/user/6/edit','default','Europe/Podgorica','','7.32'),(3467,'/ar/user/6/edit','default','Europe/Prague','','7.32'),(3468,'/ar/user/6/edit','default','Europe/Riga','','7.32'),(3469,'/ar/user/6/edit','default','Europe/Rome','','7.32'),(3470,'/ar/user/6/edit','default','Europe/Samara','','7.32'),(3471,'/ar/user/6/edit','default','Europe/San Marino','','7.32'),(3472,'/ar/user/6/edit','default','Europe/Sarajevo','','7.32'),(3473,'/ar/user/6/edit','default','Europe/Simferopol','','7.32'),(3474,'/ar/user/6/edit','default','Europe/Skopje','','7.32'),(3475,'/ar/user/6/edit','default','Europe/Sofia','','7.32'),(3476,'/ar/user/6/edit','default','Europe/Stockholm','','7.32'),(3477,'/ar/user/6/edit','default','Europe/Tallinn','','7.32'),(3478,'/ar/user/6/edit','default','Europe/Tirane','','7.32'),(3479,'/ar/user/6/edit','default','Europe/Uzhgorod','','7.32'),(3480,'/ar/user/6/edit','default','Europe/Vaduz','','7.32'),(3481,'/ar/user/6/edit','default','Europe/Vatican','','7.32'),(3482,'/ar/user/6/edit','default','Europe/Vienna','','7.32'),(3483,'/ar/user/6/edit','default','Europe/Vilnius','','7.32'),(3484,'/ar/user/6/edit','default','Europe/Volgograd','','7.32'),(3485,'/ar/user/6/edit','default','Europe/Warsaw','','7.32'),(3486,'/ar/user/6/edit','default','Europe/Zagreb','','7.32'),(3487,'/ar/user/6/edit','default','Europe/Zaporozhye','','7.32'),(3488,'/ar/user/6/edit','default','Europe/Zurich','','7.32'),(3489,'/ar/user/6/edit','default','Indian/Antananarivo','','7.32'),(3490,'/ar/user/6/edit','default','Indian/Chagos','','7.32'),(3491,'/ar/user/6/edit','default','Indian/Christmas','','7.32'),(3492,'/ar/user/6/edit','default','Indian/Cocos','','7.32'),(3493,'/ar/user/6/edit','default','Indian/Comoro','','7.32'),(3494,'/ar/user/6/edit','default','Indian/Kerguelen','','7.32'),(3495,'/ar/user/6/edit','default','Indian/Mahe','','7.32'),(3496,'/ar/user/6/edit','default','Indian/Maldives','','7.32'),(3497,'/ar/user/6/edit','default','Indian/Mauritius','','7.32'),(3498,'/ar/user/6/edit','default','Indian/Mayotte','','7.32'),(3499,'/ar/user/6/edit','default','Indian/Reunion','','7.32'),(3500,'/ar/user/6/edit','default','Pacific/Apia','','7.32'),(3501,'/ar/user/6/edit','default','Pacific/Auckland','','7.32'),(3502,'/ar/user/6/edit','default','Pacific/Chatham','','7.32'),(3503,'/ar/user/6/edit','default','Pacific/Chuuk','','7.32'),(3504,'/ar/user/6/edit','default','Pacific/Easter','','7.32'),(3505,'/ar/user/6/edit','default','Pacific/Efate','','7.32'),(3506,'/ar/user/6/edit','default','Pacific/Enderbury','','7.32'),(3507,'/ar/user/6/edit','default','Pacific/Fakaofo','','7.32'),(3508,'/ar/user/6/edit','default','Pacific/Fiji','','7.32'),(3509,'/ar/user/6/edit','default','Pacific/Funafuti','','7.32'),(3510,'/ar/user/6/edit','default','Pacific/Galapagos','','7.32'),(3511,'/ar/user/6/edit','default','Pacific/Gambier','','7.32'),(3512,'/ar/user/6/edit','default','Pacific/Guadalcanal','','7.32'),(3513,'/ar/user/6/edit','default','Pacific/Guam','','7.32'),(3514,'/ar/user/6/edit','default','Pacific/Honolulu','','7.32'),(3515,'/ar/user/6/edit','default','Pacific/Johnston','','7.32'),(3516,'/ar/user/6/edit','default','Pacific/Kiritimati','','7.32'),(3517,'/ar/user/6/edit','default','Pacific/Kosrae','','7.32'),(3518,'/ar/user/6/edit','default','Pacific/Kwajalein','','7.32'),(3519,'/ar/user/6/edit','default','Pacific/Majuro','','7.32'),(3520,'/ar/user/6/edit','default','Pacific/Marquesas','','7.32'),(3521,'/ar/user/6/edit','default','Pacific/Midway','','7.32'),(3522,'/ar/user/6/edit','default','Pacific/Nauru','','7.32'),(3523,'/ar/user/6/edit','default','Pacific/Niue','','7.32'),(3524,'/ar/user/6/edit','default','Pacific/Norfolk','','7.32'),(3525,'/ar/user/6/edit','default','Pacific/Noumea','','7.32'),(3526,'/ar/user/6/edit','default','Pacific/Pago Pago','','7.32'),(3527,'/ar/user/6/edit','default','Pacific/Palau','','7.32'),(3528,'/ar/user/6/edit','default','Pacific/Pitcairn','','7.32'),(3529,'/ar/user/6/edit','default','Pacific/Pohnpei','','7.32'),(3530,'/ar/user/6/edit','default','Pacific/Port Moresby','','7.32'),(3531,'/ar/user/6/edit','default','Pacific/Rarotonga','','7.32'),(3532,'/ar/user/6/edit','default','Pacific/Saipan','','7.32'),(3533,'/ar/user/6/edit','default','Pacific/Tahiti','','7.32'),(3534,'/ar/user/6/edit','default','Pacific/Tarawa','','7.32'),(3535,'/ar/user/6/edit','default','Pacific/Tongatapu','','7.32'),(3536,'/ar/user/6/edit','default','Pacific/Wake','','7.32'),(3537,'/ar/user/6/edit','default','Pacific/Wallis','','7.32'),(3538,'/ar/user/6/edit','default','UTC','','7.32'),(3539,'/ar/user/6/edit','default','Select the desired local time and time zone. Dates and times throughout this site will be displayed using this time zone.','','7.32'),(3540,'/ar/user/6/edit','default','Confirm password','','7.32'),(3541,'/ar/user/6/edit','default','Password strength:','','7.32'),(3542,'/ar/user/6/edit','default','To make your password stronger:','','7.32'),(3543,'/ar/user/6/edit','default','Make it at least 6 characters','','7.32'),(3544,'/ar/user/6/edit','default','Add lowercase letters','','7.32'),(3545,'/ar/user/6/edit','default','Add uppercase letters','','7.32'),(3546,'/ar/user/6/edit','default','Add numbers','','7.32'),(3547,'/ar/user/6/edit','default','Add punctuation','','7.32'),(3548,'/ar/user/6/edit','default','Make it different from your username','','7.32'),(3549,'/ar/user/6/edit','default','yes','','7.32'),(3550,'/ar/user/6/edit','default','no','','7.32'),(3551,'/ar/user/6/edit','default','Weak','','7.32'),(3552,'/ar/user/6/edit','default','Fair','','7.32'),(3553,'/ar/user/6/edit','default','Good','','7.32'),(3554,'/ar/user/6/edit','default','Strong','','7.32'),(3555,'/ar/user/6/edit','default','Passwords match:','','7.32'),(3556,'/ar/user/6/edit','default','The link title is limited to @maxlength characters maximum.','','7.32'),(3557,'/ar/user/password','default','Username or e-mail address','','7.32'),(3558,'/ar/user/password','default','E-mail new password','','7.32'),(3559,'/ar/user/register','default','- Select a value -','','7.32'),(3560,'/ar/service/auto-maintenance','default','Wed','','7.32'),(3561,'/ar/news','default','1 comment','','7.32'),(3562,'/ar/news-grid','default','July','Long month name','7.34'),(3563,'modules/comment/comment-node-form.js','default','@number comments per page','','none'),(3564,'modules/node/content_types.js','default','Requires a title','','none'),(3565,'modules/node/content_types.js','default','Don\'t display post information','','none'),(3566,'modules/field/modules/text/text.js','default','Hide summary','','none'),(3567,'modules/field/modules/text/text.js','default','Edit summary','','none'),(3568,'modules/menu/menu.js','default','Not in menu','','none'),(3569,'modules/node/node.js','default','New revision','','none'),(3570,'modules/node/node.js','default','No revision','','none'),(3571,'modules/node/node.js','default','By @name on @date','','none'),(3572,'modules/node/node.js','default','By @name','','none'),(3573,'sites/all/modules/pathauto/pathauto.js','default','Automatic alias','','none'),(3574,'sites/all/modules/pathauto/pathauto.js','default','Alias: @alias','','none'),(3575,'sites/all/modules/pathauto/pathauto.js','default','No alias','','none'),(3576,'misc/autocomplete.js','default','Autocomplete popup','','none'),(3577,'misc/autocomplete.js','default','Searching for matches...','','none'),(3578,'/ar/search/node/adff','default','results','','7.32'),(3579,'/ar/search/node/adff','default','Enter your keywords','','7.32'),(3580,'/ar/search/node/adff','default','Advanced search','','7.32'),(3581,'/ar/search/node/adff','default','Containing any of the words','','7.32'),(3582,'/ar/search/node/adff','default','Containing the phrase','','7.32'),(3583,'/ar/search/node/adff','default','Containing none of the words','','7.32'),(3584,'/ar/search/node/adff','default','Only of the type(s)','','7.32'),(3585,'/ar/search/node/adff','default','Go to first page','','7.32'),(3586,'/ar/search/node/adff','default','Go to previous page','','7.32'),(3587,'/ar/search/node/adff','default','Go to next page','','7.32'),(3588,'/ar/search/node/adff','default','Go to last page','','7.32'),(3589,'/ar/search/node/adff','default','Your search yielded no results','','7.32'),(3590,'/ar/search/node/adff','default','<ul>\n<li>Check if your spelling is correct.</li>\n<li>Remove quotes around phrases to search for each word individually. <em>bike shed</em> will often show more results than <em>&quot;bike shed&quot;</em>.</li>\n<li>Consider loosening your query with <em>OR</em>. <em>bike OR shed</em> will often show more results than <em>bike shed</em>.</li>\n</ul>','','7.32'),(3591,'modules/file/file.js','default','The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','none'),(3592,'/ar/contact','default','Other...','','7.32'),(3593,'/ar/contact','default','Submit','','7.32'),(3594,'/ar/contact','default','- Select -','','7.32'),(3595,'/ar/send-cv','default','@size KB','','7.32'),(3596,'/ar/send-cv','default','@size MB','','7.32'),(3597,'/ar/send-cv','default','@size GB','','7.32'),(3598,'/ar/send-cv','default','@size TB','','7.32'),(3599,'/ar/send-cv','default','@size PB','','7.32'),(3600,'/ar/send-cv','default','@size EB','','7.32'),(3601,'/ar/send-cv','default','@size ZB','','7.32'),(3602,'/ar/send-cv','default','@size YB','','7.32'),(3603,'/ar/send-cv','default','Files must be less than !size.','','7.32'),(3604,'/ar/send-cv','default','Allowed file types: !extensions.','','7.32'),(3605,'/ar/send-cv','default','Upload','','7.32'),(3606,'/ar/send-cv','default','Remove','','7.32'),(3607,'/ar/send-cv','default','Choose a file','','7.32'),(3608,'/ar/product/2013-volvo-c30','default','Webform client form.','','7.34'),(3609,'/autox/ar','default','All values','','7.34'),(3610,'/autox/ar','default','Displays all values as submitted by a user.','','7.34'),(3611,'/autox/ar','default','Search result highlighting input','','7.34'),(3612,'/autox/ar','default','Sub Premise (i.e. Suite, Apartment, Floor, Unknown.','','7.34'),(3613,'/autox/ar','default','Result summary with additional tokens','','7.34'),(3614,'/autox/ar','default','Shows result summary, for example the items per page (and links to change the items per page).','','7.34'),(3615,'/autox/ar/admin/structure/menu/manage/main-menu/list?destination=frontpage&render=overlay','default','Enable @title menu link','','7.34'),(3616,'/autox/ar/admin/structure/menu/manage/main-menu/list?destination=frontpage&render=overlay','default','delete','','7.34'),(3617,'/autox/ar/admin/structure/menu/manage/main-menu/list?destination=frontpage&render=overlay','default','reset','','7.34'),(3618,'/autox/ar/admin/structure/menu/item/683/delete?render=overlay','default','Delete menu link','','7.34'),(3619,'/autox/ar/admin/structure/menu/item/683/delete?render=overlay','default','Are you sure you want to delete the custom menu link %item?','','7.34'),(3620,'/autox/ar/admin/structure/menu/item/683/delete?render=overlay','default','This action cannot be undone.','','7.34'),(3621,'/autox/ar/admin/structure/menu/item/683/delete?render=overlay','default','Confirm','','7.34'),(3622,'/autox/ar/admin/structure/menu/item/683/delete?render=overlay','default','Cancel','','7.34'),(3623,'/autox/ar/admin/structure/menu/item/683/delete?render=overlay&render=overlay','default','The menu link %title has been deleted.','','7.34'),(3624,'/autox/ar/modal_forms/ajax/login','default','User links','','7.34'),(3625,'/autox/ar/modal_forms/ajax/login','default','User links of the referenced user.','','7.34'),(3626,'/autox/ar/modal_forms/ajax/login','default','Term name','','7.34'),(3627,'/autox/ar/modal_forms/ajax/login','default','The name of this taxonomy term.','','7.34'),(3628,'/autox/ar/modal_forms/ajax/login','default','The name of the site, optionally links to the front page.','','7.34'),(3629,'/autox/ar/modal_forms/ajax/login','default','Comments and comment form.','','7.34'),(3630,'/autox/ar/modal_forms/ajax/login','default','The comments and comment form for the referenced node.','','7.34'),(3631,'/autox/ar/modal_forms/ajax/login','default','Comment links','','7.34'),(3632,'/autox/ar/modal_forms/ajax/login','default','Comment links of the referenced comment.','','7.34'),(3633,'/autox/ar/news-grid','default','Showing @start - @end of @total','','7.34'),(3634,'/autox/ar/news-grid','default','Serial Number','','7.34'),(3635,'/autox/ar/news-grid','default','[serial]','','7.34'),(3636,'/autox/ar/news-grid','default','Showing @start - @end of @total @items_per_page_links','','7.34'),(3637,'/autox/ar/news-grid','default','#','','7.34'),(3638,'modules/dashboard/dashboard.js','default','Done','','none'),(3639,'sites/all/modules/webform/js/webform.js','default','An infinite loop was detected in this webform\'s conditionals. Contact the administrator.','','none'),(3640,'sites/all/modules/views/js/views-admin.js','default','Remove group','','none'),(3641,'sites/all/modules/views/js/views-admin.js','default','Apply (all displays)','','none'),(3642,'sites/all/modules/views/js/views-admin.js','default','Revert to default','','none'),(3643,'sites/all/modules/views/js/views-admin.js','default','Apply (this display)','','none'),(3644,'misc/drupal.js','default','CustomMessage: !customMessage','','none'),(3645,'misc/ajax.js','default','The response failed verification so will not be processed.','','none'),(3646,'misc/ajax.js','default','The callback URL is not local and not trusted: !url','','none');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code. References languages.language.',
  `plid` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent lid (lid of the previous string in the plural chain) in case of plural strings. References locales_source.lid.',
  `plural` int(11) NOT NULL DEFAULT '0' COMMENT 'Plural index number in case of plural strings.',
  PRIMARY KEY (`language`,`lid`,`plural`),
  KEY `lid` (`lid`),
  KEY `plid` (`plid`),
  KEY `plural` (`plural`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `location`
--

DROP TABLE IF EXISTS `location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `location` (
  `lid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique location ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Place Name.',
  `street` varchar(255) NOT NULL DEFAULT '' COMMENT 'Street address, line 1.',
  `additional` varchar(255) NOT NULL DEFAULT '' COMMENT 'Street address, line 2.',
  `city` varchar(255) NOT NULL DEFAULT '' COMMENT 'City.',
  `province` varchar(16) NOT NULL DEFAULT '' COMMENT 'State / Province code.',
  `postal_code` varchar(16) NOT NULL DEFAULT '' COMMENT 'Postal / ZIP code.',
  `country` char(2) NOT NULL DEFAULT '' COMMENT 'Two letter ISO country code.',
  `latitude` decimal(10,6) NOT NULL DEFAULT '0.000000' COMMENT 'Location latitude (decimal degrees).',
  `longitude` decimal(10,6) NOT NULL DEFAULT '0.000000' COMMENT 'Location longitude (decimal degrees).',
  `source` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Source of the latitude and longitude data (Geocoder, user entered, invalid, etc.)',
  `is_primary` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Is this the primary location of an object? (unused, civicrm legacy field?).',
  PRIMARY KEY (`lid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Locational data managed by location.module.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `location`
--

LOCK TABLES `location` WRITE;
/*!40000 ALTER TABLE `location` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `location_country`
--

DROP TABLE IF EXISTS `location_country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `location_country` (
  `code` char(2) NOT NULL COMMENT 'Primary Key: Two letter ISO Country Code',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Full Country Name ',
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Country data managed by location.module.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `location_country`
--

LOCK TABLES `location_country` WRITE;
/*!40000 ALTER TABLE `location_country` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `location_country` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `location_instance`
--

DROP TABLE IF EXISTS `location_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `location_instance` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Reference to node.nid.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Reference to node_revision.vid.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Reference to users.uid.',
  `genid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Generic reference key.',
  `lid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Reference to location.lid.',
  KEY `nid` (`nid`),
  KEY `vid` (`vid`),
  KEY `uid` (`uid`),
  KEY `genid` (`genid`),
  KEY `lid` (`lid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='N:M join table to join locations to other tables.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `location_instance`
--

LOCK TABLES `location_instance` WRITE;
/*!40000 ALTER TABLE `location_instance` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `location_instance` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `megamenus`
--

DROP TABLE IF EXISTS `megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `megamenus`
--

LOCK TABLES `megamenus` WRITE;
/*!40000 ALTER TABLE `megamenus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `megamenus` VALUES ('main-menu','{\"direction\":\"horizontal\",\"style\":\"\",\"animation\":\"none\",\"auto-arrow\":\"1\",\"always-show-submenu\":\"1\",\"duration\":400,\"delay\":200,\"import_from_tb_menu\":\"1\"}','[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"221\",\"level\":1}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"447\",\"level\":1}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"473\",\"level\":1}},{\"submenu\":{\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"668\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"664\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"683\",\"level\":2,\"align-submenu\":0}}],\"type\":\"ul\",\"config\":{\"grid\":\"\",\"level\":1,\"class\":\"\"}}]],\"config\":{\"width\":\"\",\"class\":\"\"}},\"config\":{\"group\":0,\"hidesub\":0,\"mlid\":\"468\",\"level\":1,\"align-submenu\":0}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"474\",\"level\":1}},{\"config\":{\"align-submenu\":\"left\",\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"430\",\"level\":1},\"submenu\":{\"config\":{\"width\":\"px\",\"class\":\"\"},\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"665\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"666\",\"level\":2}}],\"type\":\"ul\",\"config\":{\"hidewcol\":\"0\",\"grid\":\"12\",\"level\":1,\"class\":\"\",\"show-block-title\":\"1\"}}]]}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"428\",\"level\":1}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"449\",\"level\":1}}]');
/*!40000 ALTER TABLE `megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_custom`
--

DROP TABLE IF EXISTS `menu_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_custom` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',
  `description` text COMMENT 'Menu description.',
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_custom`
--

LOCK TABLES `menu_custom` WRITE;
/*!40000 ALTER TABLE `menu_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_custom` VALUES ('main-menu','Main menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.'),('management','Management','The <em>Management</em> menu contains links for administrative tasks.'),('menu-categories','Categories',''),('menu-essential-links','Essential Links',''),('menu-footer-menu','Footer Menu',''),('menu-social-menu','Social Menu','Social Menu'),('navigation','Navigation','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.'),('user-menu','User menu','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.');
/*!40000 ALTER TABLE `menu_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_links`
--

DROP TABLE IF EXISTS `menu_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_links` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',
  `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',
  `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',
  `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',
  `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',
  `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',
  `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',
  `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',
  `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',
  `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',
  `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',
  `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',
  PRIMARY KEY (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=InnoDB AUTO_INCREMENT=1205 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_links`
--

LOCK TABLES `menu_links` WRITE;
/*!40000 ALTER TABLE `menu_links` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_links` VALUES ('management',1,0,'admin','admin','Administration','a:0:{}','system',0,0,1,0,9,1,0,1,0,0,0,0,0,0,0,0,0),('user-menu',2,0,'user','user','User account','a:1:{s:5:\"alter\";b:1;}','system',0,0,0,0,-10,1,0,2,0,0,0,0,0,0,0,0,0),('navigation',3,0,'comment/%','comment/%','Comment permalink','a:0:{}','system',0,0,1,0,0,1,0,3,0,0,0,0,0,0,0,0,0),('navigation',4,0,'filter/tips','filter/tips','Compose tips','a:0:{}','system',1,0,1,0,0,1,0,4,0,0,0,0,0,0,0,0,0),('navigation',5,0,'node/%','node/%','','a:0:{}','system',0,0,0,0,0,1,0,5,0,0,0,0,0,0,0,0,0),('navigation',6,0,'node/add','node/add','Add content','a:0:{}','system',0,0,1,0,0,1,0,6,0,0,0,0,0,0,0,0,0),('management',7,1,'admin/appearance','admin/appearance','Appearance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Select and configure your themes.\";}}','system',0,0,0,0,-6,2,0,1,7,0,0,0,0,0,0,0,0),('management',8,1,'admin/config','admin/config','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Administer settings.\";}}','system',0,0,1,0,0,2,0,1,8,0,0,0,0,0,0,0,0),('management',9,1,'admin/content','admin/content','Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer content and comments.\";}}','system',0,0,1,0,-10,2,0,1,9,0,0,0,0,0,0,0,0),('user-menu',10,2,'user/register','user/register','Create new account','a:0:{}','system',-1,0,0,0,0,2,0,2,10,0,0,0,0,0,0,0,0),('management',11,1,'admin/dashboard','admin/dashboard','Dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View and customize your dashboard.\";}}','system',0,0,0,0,-15,2,0,1,11,0,0,0,0,0,0,0,0),('management',12,1,'admin/index','admin/index','Index','a:0:{}','system',-1,0,0,0,-18,2,0,1,12,0,0,0,0,0,0,0,0),('user-menu',13,2,'user/login','user/login','Log in','a:0:{}','system',-1,0,0,0,0,2,0,2,13,0,0,0,0,0,0,0,0),('user-menu',14,0,'user/logout','user/logout','Log out','a:0:{}','system',0,0,0,0,10,1,0,14,0,0,0,0,0,0,0,0,0),('management',15,1,'admin/modules','admin/modules','Modules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Extend site functionality.\";}}','system',0,0,0,0,-2,2,0,1,15,0,0,0,0,0,0,0,0),('navigation',16,0,'user/%','user/%','My account','a:0:{}','system',0,0,1,0,0,1,0,16,0,0,0,0,0,0,0,0,0),('management',17,1,'admin/people','admin/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Manage user accounts, roles, and permissions.\";}}','system',0,0,0,0,-4,2,0,1,17,0,0,0,0,0,0,0,0),('management',18,1,'admin/reports','admin/reports','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View reports, updates, and errors.\";}}','system',0,0,1,0,5,2,0,1,18,0,0,0,0,0,0,0,0),('user-menu',19,2,'user/password','user/password','Request new password','a:0:{}','system',-1,0,0,0,0,2,0,2,19,0,0,0,0,0,0,0,0),('management',20,1,'admin/structure','admin/structure','Structure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Administer blocks, content types, menus, etc.\";}}','system',0,0,1,0,-8,2,0,1,20,0,0,0,0,0,0,0,0),('management',21,1,'admin/tasks','admin/tasks','Tasks','a:0:{}','system',-1,0,0,0,-20,2,0,1,21,0,0,0,0,0,0,0,0),('navigation',22,0,'comment/reply/%','comment/reply/%','Add new comment','a:0:{}','system',0,0,0,0,0,1,0,22,0,0,0,0,0,0,0,0,0),('navigation',23,3,'comment/%/approve','comment/%/approve','Approve','a:0:{}','system',0,0,0,0,1,2,0,3,23,0,0,0,0,0,0,0,0),('navigation',24,3,'comment/%/delete','comment/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,3,24,0,0,0,0,0,0,0,0),('navigation',25,3,'comment/%/edit','comment/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,3,25,0,0,0,0,0,0,0,0),('navigation',26,0,'taxonomy/term/%','taxonomy/term/%','Taxonomy term','a:0:{}','system',0,0,0,0,0,1,0,26,0,0,0,0,0,0,0,0,0),('navigation',27,3,'comment/%/view','comment/%/view','View comment','a:0:{}','system',-1,0,0,0,-10,2,0,3,27,0,0,0,0,0,0,0,0),('management',28,17,'admin/people/create','admin/people/create','Add user','a:0:{}','system',-1,0,0,0,0,3,0,1,17,28,0,0,0,0,0,0,0),('management',29,20,'admin/structure/block','admin/structure/block','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";}}','system',0,0,1,0,0,3,0,1,20,29,0,0,0,0,0,0,0),('navigation',30,16,'user/%/cancel','user/%/cancel','Cancel account','a:0:{}','system',0,0,1,0,0,2,0,16,30,0,0,0,0,0,0,0,0),('management',31,9,'admin/content/comment','admin/content/comment','Comments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"List and edit site comments and the comment approval queue.\";}}','system',0,0,0,0,0,3,0,1,9,31,0,0,0,0,0,0,0),('management',32,11,'admin/dashboard/configure','admin/dashboard/configure','Configure available dashboard blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure which blocks can be shown on the dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,32,0,0,0,0,0,0,0),('management',33,9,'admin/content/node','admin/content/node','Content','a:0:{}','system',-1,0,0,0,-10,3,0,1,9,33,0,0,0,0,0,0,0),('management',34,8,'admin/config/content','admin/config/content','Content authoring','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Settings related to formatting and authoring content.\";}}','system',0,0,1,0,-15,3,0,1,8,34,0,0,0,0,0,0,0),('management',35,20,'admin/structure/types','admin/structure/types','Content types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:92:\"Manage content types, including default status, front page promotion, comment settings, etc.\";}}','system',0,0,1,0,0,3,0,1,20,35,0,0,0,0,0,0,0),('management',36,11,'admin/dashboard/customize','admin/dashboard/customize','Customize dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Customize your dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,36,0,0,0,0,0,0,0),('navigation',37,5,'node/%/delete','node/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,2,0,5,37,0,0,0,0,0,0,0,0),('management',38,8,'admin/config/development','admin/config/development','Development','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Development tools.\";}}','system',0,0,1,0,-10,3,0,1,8,38,0,0,0,0,0,0,0),('navigation',39,16,'user/%/edit','user/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,16,39,0,0,0,0,0,0,0,0),('navigation',40,5,'node/%/edit','node/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,5,40,0,0,0,0,0,0,0,0),('management',41,15,'admin/modules/list','admin/modules/list','List','a:0:{}','system',-1,0,0,0,0,3,0,1,15,41,0,0,0,0,0,0,0),('management',42,17,'admin/people/people','admin/people/people','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Find and manage people interacting with your site.\";}}','system',-1,0,0,0,-10,3,0,1,17,42,0,0,0,0,0,0,0),('management',43,7,'admin/appearance/list','admin/appearance/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Select and configure your theme\";}}','system',-1,0,0,0,-1,3,0,1,7,43,0,0,0,0,0,0,0),('management',44,8,'admin/config/media','admin/config/media','Media','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Media tools.\";}}','system',0,0,1,0,-10,3,0,1,8,44,0,0,0,0,0,0,0),('management',45,20,'admin/structure/menu','admin/structure/menu','Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:86:\"Add new menus to your site, edit existing menus, and rename and reorganize menu links.\";}}','system',0,0,1,0,0,3,0,1,20,45,0,0,0,0,0,0,0),('management',46,8,'admin/config/people','admin/config/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Configure user accounts.\";}}','system',0,0,1,0,-20,3,0,1,8,46,0,0,0,0,0,0,0),('management',47,17,'admin/people/permissions','admin/people/permissions','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,0,3,0,1,17,47,0,0,0,0,0,0,0),('management',48,18,'admin/reports/dblog','admin/reports/dblog','Recent log messages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View events that have recently been logged.\";}}','system',0,0,0,0,-1,3,0,1,18,48,0,0,0,0,0,0,0),('management',49,8,'admin/config/regional','admin/config/regional','Regional and language','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Regional settings, localization and translation.\";}}','system',0,0,1,0,-5,3,0,1,8,49,0,0,0,0,0,0,0),('navigation',50,5,'node/%/revisions','node/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,2,2,0,5,50,0,0,0,0,0,0,0,0),('management',51,8,'admin/config/search','admin/config/search','Search and metadata','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Local site search, metadata and SEO.\";}}','system',0,0,1,0,-10,3,0,1,8,51,0,0,0,0,0,0,0),('management',52,7,'admin/appearance/settings','admin/appearance/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure default and theme specific settings.\";}}','system',-1,0,0,0,20,3,0,1,7,52,0,0,0,0,0,0,0),('management',53,18,'admin/reports/status','admin/reports/status','Status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Get a status report about your site\'s operation and any detected problems.\";}}','system',0,0,0,0,-60,3,0,1,18,53,0,0,0,0,0,0,0),('management',54,8,'admin/config/system','admin/config/system','System','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"General system related configuration.\";}}','system',0,0,1,0,-20,3,0,1,8,54,0,0,0,0,0,0,0),('management',55,20,'admin/structure/taxonomy','admin/structure/taxonomy','Taxonomy','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Manage tagging, categorization, and classification of your content.\";}}','system',0,0,1,0,0,3,0,1,20,55,0,0,0,0,0,0,0),('management',56,18,'admin/reports/access-denied','admin/reports/access-denied','Top \'access denied\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"View \'access denied\' errors (403s).\";}}','system',0,0,0,0,0,3,0,1,18,56,0,0,0,0,0,0,0),('management',57,18,'admin/reports/page-not-found','admin/reports/page-not-found','Top \'page not found\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View \'page not found\' errors (404s).\";}}','system',0,0,0,0,0,3,0,1,18,57,0,0,0,0,0,0,0),('management',58,15,'admin/modules/uninstall','admin/modules/uninstall','Uninstall','a:0:{}','system',-1,0,0,0,20,3,0,1,15,58,0,0,0,0,0,0,0),('management',59,8,'admin/config/user-interface','admin/config/user-interface','User interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Tools that enhance the user interface.\";}}','system',0,0,1,0,-15,3,0,1,8,59,0,0,0,0,0,0,0),('navigation',60,5,'node/%/view','node/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,5,60,0,0,0,0,0,0,0,0),('navigation',61,16,'user/%/view','user/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,16,61,0,0,0,0,0,0,0,0),('management',62,8,'admin/config/services','admin/config/services','Web services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Tools related to web services.\";}}','system',0,0,1,0,0,3,0,1,8,62,0,0,0,0,0,0,0),('management',63,8,'admin/config/workflow','admin/config/workflow','Workflow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Content workflow, editorial workflow tools.\";}}','system',0,0,0,0,5,3,0,1,8,63,0,0,0,0,0,0,0),('navigation',64,26,'taxonomy/term/%/edit','taxonomy/term/%/edit','Edit','a:0:{}','system',-1,0,0,0,10,2,0,26,64,0,0,0,0,0,0,0,0),('navigation',65,26,'taxonomy/term/%/view','taxonomy/term/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,26,65,0,0,0,0,0,0,0,0),('management',66,55,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,55,66,0,0,0,0,0,0),('management',67,46,'admin/config/people/accounts','admin/config/people/accounts','Account settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:109:\"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.\";}}','system',0,0,0,0,-10,4,0,1,8,46,67,0,0,0,0,0,0),('management',68,54,'admin/config/system/actions','admin/config/system/actions','Actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',0,0,1,0,0,4,0,1,8,54,68,0,0,0,0,0,0),('management',69,29,'admin/structure/block/add','admin/structure/block/add','Add block','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,69,0,0,0,0,0,0),('management',70,35,'admin/structure/types/add','admin/structure/types/add','Add content type','a:0:{}','system',-1,0,0,0,0,4,0,1,20,35,70,0,0,0,0,0,0),('management',71,45,'admin/structure/menu/add','admin/structure/menu/add','Add menu','a:0:{}','system',-1,0,0,0,0,4,0,1,20,45,71,0,0,0,0,0,0),('management',72,55,'admin/structure/taxonomy/add','admin/structure/taxonomy/add','Add vocabulary','a:0:{}','system',-1,0,0,0,0,4,0,1,20,55,72,0,0,0,0,0,0),('management',73,52,'admin/appearance/settings/autox','admin/appearance/settings/autox','Autox','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,73,0,0,0,0,0,0),('management',74,52,'admin/appearance/settings/bartik','admin/appearance/settings/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,74,0,0,0,0,0,0),('management',75,51,'admin/config/search/clean-urls','admin/config/search/clean-urls','Clean URLs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Enable or disable clean URLs for your site.\";}}','system',0,0,0,0,5,4,0,1,8,51,75,0,0,0,0,0,0),('management',76,54,'admin/config/system/cron','admin/config/system/cron','Cron','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:40:\"Manage automatic site maintenance tasks.\";}}','system',0,0,0,0,20,4,0,1,8,54,76,0,0,0,0,0,0),('management',77,49,'admin/config/regional/date-time','admin/config/regional/date-time','Date and time','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',0,0,0,0,-15,4,0,1,8,49,77,0,0,0,0,0,0),('management',78,18,'admin/reports/event/%','admin/reports/event/%','Details','a:0:{}','system',0,0,0,0,0,3,0,1,18,78,0,0,0,0,0,0,0),('management',79,44,'admin/config/media/file-system','admin/config/media/file-system','File system','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Tell Drupal where to store uploaded files and how they are accessed.\";}}','system',0,0,0,0,-10,4,0,1,8,44,79,0,0,0,0,0,0),('management',80,52,'admin/appearance/settings/garland','admin/appearance/settings/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,80,0,0,0,0,0,0),('management',81,52,'admin/appearance/settings/global','admin/appearance/settings/global','Global settings','a:0:{}','system',-1,0,0,0,-1,4,0,1,7,52,81,0,0,0,0,0,0),('management',82,46,'admin/config/people/ip-blocking','admin/config/people/ip-blocking','IP address blocking','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Manage blocked IP addresses.\";}}','system',0,0,1,0,10,4,0,1,8,46,82,0,0,0,0,0,0),('management',83,44,'admin/config/media/image-toolkit','admin/config/media/image-toolkit','Image toolkit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";}}','system',0,0,0,0,20,4,0,1,8,44,83,0,0,0,0,0,0),('management',84,35,'admin/structure/types/list','admin/structure/types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,35,84,0,0,0,0,0,0),('management',85,41,'admin/modules/list/confirm','admin/modules/list/confirm','List','a:0:{}','system',-1,0,0,0,0,4,0,1,15,41,85,0,0,0,0,0,0),('management',86,55,'admin/structure/taxonomy/list','admin/structure/taxonomy/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,55,86,0,0,0,0,0,0),('management',87,45,'admin/structure/menu/list','admin/structure/menu/list','List menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,45,87,0,0,0,0,0,0),('management',88,38,'admin/config/development/logging','admin/config/development/logging','Logging and errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:154:\"Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.\";}}','system',0,0,0,0,-15,4,0,1,8,38,88,0,0,0,0,0,0),('management',89,38,'admin/config/development/maintenance','admin/config/development/maintenance','Maintenance mode','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Take the site offline for maintenance or bring it back online.\";}}','system',0,0,0,0,-10,4,0,1,8,38,89,0,0,0,0,0,0),('management',90,38,'admin/config/development/performance','admin/config/development/performance','Performance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:101:\"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.\";}}','system',0,0,0,0,-20,4,0,1,8,38,90,0,0,0,0,0,0),('management',91,47,'admin/people/permissions/list','admin/people/permissions/list','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,-8,4,0,1,17,47,91,0,0,0,0,0,0),('management',92,31,'admin/content/comment/new','admin/content/comment/new','Published comments','a:0:{}','system',-1,0,0,0,-10,4,0,1,9,31,92,0,0,0,0,0,0),('management',93,62,'admin/config/services/rss-publishing','admin/config/services/rss-publishing','RSS publishing','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:114:\"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.\";}}','system',0,0,0,0,0,4,0,1,8,62,93,0,0,0,0,0,0),('management',94,49,'admin/config/regional/settings','admin/config/regional/settings','Regional settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Settings for the site\'s default time zone and country.\";}}','system',0,0,0,0,-20,4,0,1,8,49,94,0,0,0,0,0,0),('management',95,47,'admin/people/permissions/roles','admin/people/permissions/roles','Roles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"List, edit, or add user roles.\";}}','system',-1,0,1,0,-5,4,0,1,17,47,95,0,0,0,0,0,0),('management',96,45,'admin/structure/menu/settings','admin/structure/menu/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,20,45,96,0,0,0,0,0,0),('management',97,52,'admin/appearance/settings/seven','admin/appearance/settings/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,97,0,0,0,0,0,0),('management',98,54,'admin/config/system/site-information','admin/config/system/site-information','Site information','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:104:\"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.\";}}','system',0,0,0,0,-20,4,0,1,8,54,98,0,0,0,0,0,0),('management',99,52,'admin/appearance/settings/stark','admin/appearance/settings/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,99,0,0,0,0,0,0),('management',100,34,'admin/config/content/formats','admin/config/content/formats','Text formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:127:\"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.\";}}','system',0,0,1,0,0,4,0,1,8,34,100,0,0,0,0,0,0),('management',101,31,'admin/content/comment/approval','admin/content/comment/approval','Unapproved comments','a:0:{}','system',-1,0,0,0,0,4,0,1,9,31,101,0,0,0,0,0,0),('management',102,58,'admin/modules/uninstall/confirm','admin/modules/uninstall/confirm','Uninstall','a:0:{}','system',-1,0,0,0,0,4,0,1,15,58,102,0,0,0,0,0,0),('navigation',103,39,'user/%/edit/account','user/%/edit/account','Account','a:0:{}','system',-1,0,0,0,0,3,0,16,39,103,0,0,0,0,0,0,0),('management',104,100,'admin/config/content/formats/%','admin/config/content/formats/%','','a:0:{}','system',0,0,1,0,0,5,0,1,8,34,100,104,0,0,0,0,0),('management',105,66,'admin/structure/taxonomy/%/add','admin/structure/taxonomy/%/add','Add term','a:0:{}','system',-1,0,0,0,0,5,0,1,20,55,66,105,0,0,0,0,0),('management',106,100,'admin/config/content/formats/add','admin/config/content/formats/add','Add text format','a:0:{}','system',-1,0,0,0,1,5,0,1,8,34,100,106,0,0,0,0,0),('management',107,29,'admin/structure/block/list/autox','admin/structure/block/list/autox','Autox','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,29,107,0,0,0,0,0,0),('management',108,29,'admin/structure/block/list/bartik','admin/structure/block/list/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,108,0,0,0,0,0,0),('management',109,68,'admin/config/system/actions/configure','admin/config/system/actions/configure','Configure an advanced action','a:0:{}','system',-1,0,0,0,0,5,0,1,8,54,68,109,0,0,0,0,0),('management',110,45,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Customize menu','a:0:{}','system',0,0,1,0,0,4,0,1,20,45,110,0,0,0,0,0,0),('management',111,66,'admin/structure/taxonomy/%/edit','admin/structure/taxonomy/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,55,66,111,0,0,0,0,0),('management',112,35,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit content type','a:0:{}','system',0,0,1,0,0,4,0,1,20,35,112,0,0,0,0,0,0),('management',113,77,'admin/config/regional/date-time/formats','admin/config/regional/date-time/formats','Formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"Configure display format strings for date and time.\";}}','system',-1,0,1,0,-9,5,0,1,8,49,77,113,0,0,0,0,0),('management',114,29,'admin/structure/block/list/garland','admin/structure/block/list/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,114,0,0,0,0,0,0),('management',115,66,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%/list','List','a:0:{}','system',-1,0,0,0,-20,5,0,1,20,55,66,115,0,0,0,0,0),('management',116,100,'admin/config/content/formats/list','admin/config/content/formats/list','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,34,100,116,0,0,0,0,0),('management',117,68,'admin/config/system/actions/manage','admin/config/system/actions/manage','Manage actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',-1,0,0,0,-2,5,0,1,8,54,68,117,0,0,0,0,0),('management',118,67,'admin/config/people/accounts/settings','admin/config/people/accounts/settings','Settings','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,46,67,118,0,0,0,0,0),('management',119,29,'admin/structure/block/list/seven','admin/structure/block/list/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,119,0,0,0,0,0,0),('management',120,29,'admin/structure/block/list/stark','admin/structure/block/list/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,120,0,0,0,0,0,0),('management',121,77,'admin/config/regional/date-time/types','admin/config/regional/date-time/types','Types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',-1,0,1,0,-10,5,0,1,8,49,77,121,0,0,0,0,0),('navigation',122,50,'node/%/revisions/%/delete','node/%/revisions/%/delete','Delete earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,50,122,0,0,0,0,0,0,0),('navigation',123,50,'node/%/revisions/%/revert','node/%/revisions/%/revert','Revert to earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,50,123,0,0,0,0,0,0,0),('navigation',124,50,'node/%/revisions/%/view','node/%/revisions/%/view','Revisions','a:0:{}','system',0,0,0,0,0,3,0,5,50,124,0,0,0,0,0,0,0),('management',126,114,'admin/structure/block/list/garland/add','admin/structure/block/list/garland/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,114,126,0,0,0,0,0),('management',127,119,'admin/structure/block/list/seven/add','admin/structure/block/list/seven/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,119,127,0,0,0,0,0),('management',128,120,'admin/structure/block/list/stark/add','admin/structure/block/list/stark/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,120,128,0,0,0,0,0),('management',129,121,'admin/config/regional/date-time/types/add','admin/config/regional/date-time/types/add','Add date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Add new date type.\";}}','system',-1,0,0,0,-10,6,0,1,8,49,77,121,129,0,0,0,0),('management',130,113,'admin/config/regional/date-time/formats/add','admin/config/regional/date-time/formats/add','Add format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Allow users to add additional date formats.\";}}','system',-1,0,0,0,-10,6,0,1,8,49,77,113,130,0,0,0,0),('management',131,110,'admin/structure/menu/manage/%/add','admin/structure/menu/manage/%/add','Add link','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,110,131,0,0,0,0,0),('management',132,29,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','a:0:{}','system',0,0,0,0,0,4,0,1,20,29,132,0,0,0,0,0,0),('navigation',133,30,'user/%/cancel/confirm/%/%','user/%/cancel/confirm/%/%','Confirm account cancellation','a:0:{}','system',0,0,0,0,0,3,0,16,30,133,0,0,0,0,0,0,0),('management',134,112,'admin/structure/types/manage/%/delete','admin/structure/types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,35,112,134,0,0,0,0,0),('management',135,82,'admin/config/people/ip-blocking/delete/%','admin/config/people/ip-blocking/delete/%','Delete IP address','a:0:{}','system',0,0,0,0,0,5,0,1,8,46,82,135,0,0,0,0,0),('management',136,68,'admin/config/system/actions/delete/%','admin/config/system/actions/delete/%','Delete action','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Delete an action.\";}}','system',0,0,0,0,0,5,0,1,8,54,68,136,0,0,0,0,0),('management',137,110,'admin/structure/menu/manage/%/delete','admin/structure/menu/manage/%/delete','Delete menu','a:0:{}','system',0,0,0,0,0,5,0,1,20,45,110,137,0,0,0,0,0),('management',138,45,'admin/structure/menu/item/%/delete','admin/structure/menu/item/%/delete','Delete menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,138,0,0,0,0,0,0),('management',139,95,'admin/people/permissions/roles/delete/%','admin/people/permissions/roles/delete/%','Delete role','a:0:{}','system',0,0,0,0,0,5,0,1,17,47,95,139,0,0,0,0,0),('management',140,104,'admin/config/content/formats/%/disable','admin/config/content/formats/%/disable','Disable text format','a:0:{}','system',0,0,0,0,0,6,0,1,8,34,100,104,140,0,0,0,0),('management',141,112,'admin/structure/types/manage/%/edit','admin/structure/types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,20,35,112,141,0,0,0,0,0),('management',142,110,'admin/structure/menu/manage/%/edit','admin/structure/menu/manage/%/edit','Edit menu','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,110,142,0,0,0,0,0),('management',143,45,'admin/structure/menu/item/%/edit','admin/structure/menu/item/%/edit','Edit menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,143,0,0,0,0,0,0),('management',144,95,'admin/people/permissions/roles/edit/%','admin/people/permissions/roles/edit/%','Edit role','a:0:{}','system',0,0,0,0,0,5,0,1,17,47,95,144,0,0,0,0,0),('management',145,110,'admin/structure/menu/manage/%/list','admin/structure/menu/manage/%/list','List links','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,45,110,145,0,0,0,0,0),('management',146,45,'admin/structure/menu/item/%/reset','admin/structure/menu/item/%/reset','Reset menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,146,0,0,0,0,0,0),('management',147,112,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%/comment/display','Comment display','a:0:{}','system',-1,0,0,0,4,5,0,1,20,35,112,147,0,0,0,0,0),('management',148,112,'admin/structure/types/manage/%/comment/fields','admin/structure/types/manage/%/comment/fields','Comment fields','a:0:{}','system',-1,0,1,0,3,5,0,1,20,35,112,148,0,0,0,0,0),('management',149,132,'admin/structure/block/manage/%/%/configure','admin/structure/block/manage/%/%/configure','Configure block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,132,149,0,0,0,0,0),('management',150,132,'admin/structure/block/manage/%/%/delete','admin/structure/block/manage/%/%/delete','Delete block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,132,150,0,0,0,0,0),('management',151,113,'admin/config/regional/date-time/formats/%/delete','admin/config/regional/date-time/formats/%/delete','Delete date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Allow users to delete a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,49,77,113,151,0,0,0,0),('management',152,121,'admin/config/regional/date-time/types/%/delete','admin/config/regional/date-time/types/%/delete','Delete date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to delete a configured date type.\";}}','system',0,0,0,0,0,6,0,1,8,49,77,121,152,0,0,0,0),('management',153,113,'admin/config/regional/date-time/formats/%/edit','admin/config/regional/date-time/formats/%/edit','Edit date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to edit a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,49,77,113,153,0,0,0,0),('management',154,45,'admin/structure/menu/manage/main-menu','admin/structure/menu/manage/%','Main menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,154,0,0,0,0,0,0),('management',155,45,'admin/structure/menu/manage/management','admin/structure/menu/manage/%','Management','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,155,0,0,0,0,0,0),('management',156,45,'admin/structure/menu/manage/navigation','admin/structure/menu/manage/%','Navigation','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,156,0,0,0,0,0,0),('management',157,45,'admin/structure/menu/manage/user-menu','admin/structure/menu/manage/%','User menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,157,0,0,0,0,0,0),('navigation',158,0,'search','search','Search','a:0:{}','system',1,0,0,0,0,1,0,158,0,0,0,0,0,0,0,0,0),('navigation',159,158,'search/node','search/node','Content','a:0:{}','system',-1,0,0,0,-10,2,0,158,159,0,0,0,0,0,0,0,0),('navigation',160,158,'search/user','search/user','Users','a:0:{}','system',-1,0,0,0,0,2,0,158,160,0,0,0,0,0,0,0,0),('management',161,1,'admin/help','admin/help','Help','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Reference for usage, configuration, and modules.\";}}','system',0,0,0,0,9,2,0,1,161,0,0,0,0,0,0,0,0),('navigation',162,159,'search/node/%','search/node/%','Content','a:0:{}','system',-1,0,0,0,0,3,0,158,159,162,0,0,0,0,0,0,0),('management',163,18,'admin/reports/fields','admin/reports/fields','Field list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Overview of fields on all entity types.\";}}','system',0,0,0,0,0,3,0,1,18,163,0,0,0,0,0,0,0),('navigation',164,16,'user/%/shortcuts','user/%/shortcuts','Shortcuts','a:0:{}','system',-1,0,0,0,0,2,0,16,164,0,0,0,0,0,0,0,0),('management',165,18,'admin/reports/search','admin/reports/search','Top search phrases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"View most popular search phrases.\";}}','system',0,0,0,0,0,3,0,1,18,165,0,0,0,0,0,0,0),('navigation',166,160,'search/user/%','search/user/%','Users','a:0:{}','system',-1,0,0,0,0,3,0,158,160,166,0,0,0,0,0,0,0),('management',167,161,'admin/help/block','admin/help/block','block','a:0:{}','system',-1,0,0,0,0,3,0,1,161,167,0,0,0,0,0,0,0),('management',168,161,'admin/help/color','admin/help/color','color','a:0:{}','system',-1,0,0,0,0,3,0,1,161,168,0,0,0,0,0,0,0),('management',169,161,'admin/help/comment','admin/help/comment','comment','a:0:{}','system',-1,0,0,0,0,3,0,1,161,169,0,0,0,0,0,0,0),('management',170,161,'admin/help/contextual','admin/help/contextual','contextual','a:0:{}','system',-1,0,0,0,0,3,0,1,161,170,0,0,0,0,0,0,0),('management',171,161,'admin/help/dashboard','admin/help/dashboard','dashboard','a:0:{}','system',-1,0,0,0,0,3,0,1,161,171,0,0,0,0,0,0,0),('management',172,161,'admin/help/dblog','admin/help/dblog','dblog','a:0:{}','system',-1,0,0,0,0,3,0,1,161,172,0,0,0,0,0,0,0),('management',173,161,'admin/help/field','admin/help/field','field','a:0:{}','system',-1,0,0,0,0,3,0,1,161,173,0,0,0,0,0,0,0),('management',174,161,'admin/help/field_sql_storage','admin/help/field_sql_storage','field_sql_storage','a:0:{}','system',-1,0,0,0,0,3,0,1,161,174,0,0,0,0,0,0,0),('management',175,161,'admin/help/field_ui','admin/help/field_ui','field_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,175,0,0,0,0,0,0,0),('management',176,161,'admin/help/file','admin/help/file','file','a:0:{}','system',-1,0,0,0,0,3,0,1,161,176,0,0,0,0,0,0,0),('management',177,161,'admin/help/filter','admin/help/filter','filter','a:0:{}','system',-1,0,0,0,0,3,0,1,161,177,0,0,0,0,0,0,0),('management',178,161,'admin/help/help','admin/help/help','help','a:0:{}','system',-1,0,0,0,0,3,0,1,161,178,0,0,0,0,0,0,0),('management',179,161,'admin/help/image','admin/help/image','image','a:0:{}','system',-1,0,0,0,0,3,0,1,161,179,0,0,0,0,0,0,0),('management',180,161,'admin/help/list','admin/help/list','list','a:0:{}','system',-1,0,0,0,0,3,0,1,161,180,0,0,0,0,0,0,0),('management',181,161,'admin/help/menu','admin/help/menu','menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,181,0,0,0,0,0,0,0),('management',182,161,'admin/help/node','admin/help/node','node','a:0:{}','system',-1,0,0,0,0,3,0,1,161,182,0,0,0,0,0,0,0),('management',183,161,'admin/help/number','admin/help/number','number','a:0:{}','system',-1,0,0,0,0,3,0,1,161,183,0,0,0,0,0,0,0),('management',184,161,'admin/help/options','admin/help/options','options','a:0:{}','system',-1,0,0,0,0,3,0,1,161,184,0,0,0,0,0,0,0),('management',185,161,'admin/help/overlay','admin/help/overlay','overlay','a:0:{}','system',-1,0,0,0,0,3,0,1,161,185,0,0,0,0,0,0,0),('management',186,161,'admin/help/path','admin/help/path','path','a:0:{}','system',-1,0,0,0,0,3,0,1,161,186,0,0,0,0,0,0,0),('management',188,161,'admin/help/search','admin/help/search','search','a:0:{}','system',-1,0,0,0,0,3,0,1,161,188,0,0,0,0,0,0,0),('management',189,161,'admin/help/shortcut','admin/help/shortcut','shortcut','a:0:{}','system',-1,0,0,0,0,3,0,1,161,189,0,0,0,0,0,0,0),('management',190,161,'admin/help/system','admin/help/system','system','a:0:{}','system',-1,0,0,0,0,3,0,1,161,190,0,0,0,0,0,0,0),('management',191,161,'admin/help/taxonomy','admin/help/taxonomy','taxonomy','a:0:{}','system',-1,0,0,0,0,3,0,1,161,191,0,0,0,0,0,0,0),('management',192,161,'admin/help/text','admin/help/text','text','a:0:{}','system',-1,0,0,0,0,3,0,1,161,192,0,0,0,0,0,0,0),('management',193,161,'admin/help/user','admin/help/user','user','a:0:{}','system',-1,0,0,0,0,3,0,1,161,193,0,0,0,0,0,0,0),('management',194,44,'admin/config/media/image-styles','admin/config/media/image-styles','Image styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";}}','system',0,0,1,0,0,4,0,1,8,44,194,0,0,0,0,0,0),('management',195,51,'admin/config/search/settings','admin/config/search/settings','Search settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Configure relevance settings for search and other indexing options.\";}}','system',0,0,0,0,-10,4,0,1,8,51,195,0,0,0,0,0,0),('management',196,59,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Shortcuts','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Add and modify shortcut sets.\";}}','system',0,0,1,0,0,4,0,1,8,59,196,0,0,0,0,0,0),('management',197,51,'admin/config/search/path','admin/config/search/path','URL aliases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Change your site\'s URL paths by aliasing them.\";}}','system',0,0,1,0,-5,4,0,1,8,51,197,0,0,0,0,0,0),('management',198,197,'admin/config/search/path/add','admin/config/search/path/add','Add alias','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,197,198,0,0,0,0,0),('management',199,196,'admin/config/user-interface/shortcut/add-set','admin/config/user-interface/shortcut/add-set','Add shortcut set','a:0:{}','system',-1,0,0,0,0,5,0,1,8,59,196,199,0,0,0,0,0),('management',200,194,'admin/config/media/image-styles/add','admin/config/media/image-styles/add','Add style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Add a new image style.\";}}','system',-1,0,0,0,2,5,0,1,8,44,194,200,0,0,0,0,0),('management',201,195,'admin/config/search/settings/reindex','admin/config/search/settings/reindex','Clear index','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,195,201,0,0,0,0,0),('management',202,196,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit shortcuts','a:0:{}','system',0,0,1,0,0,5,0,1,8,59,196,202,0,0,0,0,0),('management',203,197,'admin/config/search/path/list','admin/config/search/path/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,51,197,203,0,0,0,0,0),('management',204,194,'admin/config/media/image-styles/list','admin/config/media/image-styles/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"List the current image styles on the site.\";}}','system',-1,0,0,0,1,5,0,1,8,44,194,204,0,0,0,0,0),('management',205,202,'admin/config/user-interface/shortcut/%/add-link','admin/config/user-interface/shortcut/%/add-link','Add shortcut','a:0:{}','system',-1,0,0,0,0,6,0,1,8,59,196,202,205,0,0,0,0),('management',206,197,'admin/config/search/path/delete/%','admin/config/search/path/delete/%','Delete alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,197,206,0,0,0,0,0),('management',207,202,'admin/config/user-interface/shortcut/%/delete','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','a:0:{}','system',0,0,0,0,0,6,0,1,8,59,196,202,207,0,0,0,0),('management',208,197,'admin/config/search/path/edit/%','admin/config/search/path/edit/%','Edit alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,197,208,0,0,0,0,0),('management',209,202,'admin/config/user-interface/shortcut/%/edit','admin/config/user-interface/shortcut/%/edit','Edit set name','a:0:{}','system',-1,0,0,0,10,6,0,1,8,59,196,202,209,0,0,0,0),('management',210,196,'admin/config/user-interface/shortcut/link/%','admin/config/user-interface/shortcut/link/%','Edit shortcut','a:0:{}','system',0,0,1,0,0,5,0,1,8,59,196,210,0,0,0,0,0),('management',211,194,'admin/config/media/image-styles/edit/%','admin/config/media/image-styles/edit/%','Edit style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure an image style.\";}}','system',0,0,1,0,0,5,0,1,8,44,194,211,0,0,0,0,0),('management',212,202,'admin/config/user-interface/shortcut/%/links','admin/config/user-interface/shortcut/%/links','List links','a:0:{}','system',-1,0,0,0,0,6,0,1,8,59,196,202,212,0,0,0,0),('management',213,194,'admin/config/media/image-styles/delete/%','admin/config/media/image-styles/delete/%','Delete style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Delete an image style.\";}}','system',0,0,0,0,0,5,0,1,8,44,194,213,0,0,0,0,0),('management',214,194,'admin/config/media/image-styles/revert/%','admin/config/media/image-styles/revert/%','Revert style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Revert an image style.\";}}','system',0,0,0,0,0,5,0,1,8,44,194,214,0,0,0,0,0),('management',215,210,'admin/config/user-interface/shortcut/link/%/delete','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','a:0:{}','system',0,0,0,0,0,6,0,1,8,59,196,210,215,0,0,0,0),('management',216,211,'admin/config/media/image-styles/edit/%/add/%','admin/config/media/image-styles/edit/%/add/%','Add image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Add a new effect to a style.\";}}','system',0,0,0,0,0,6,0,1,8,44,194,211,216,0,0,0,0),('management',217,211,'admin/config/media/image-styles/edit/%/effects/%','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Edit an existing effect within a style.\";}}','system',0,0,1,0,0,6,0,1,8,44,194,211,217,0,0,0,0),('management',218,217,'admin/config/media/image-styles/edit/%/effects/%/delete','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Delete an existing effect from a style.\";}}','system',0,0,0,0,0,7,0,1,8,44,194,211,217,218,0,0,0),('shortcut-set-1',219,0,'node/add','node/add','Add content','a:0:{}','menu',0,0,0,0,-20,1,0,219,0,0,0,0,0,0,0,0,0),('shortcut-set-1',220,0,'admin/content','admin/content','Find content','a:0:{}','menu',0,0,0,0,-19,1,0,220,0,0,0,0,0,0,0,0,0),('main-menu',221,0,'<front>','','Home','a:0:{}','menu',0,1,0,0,-50,1,1,221,0,0,0,0,0,0,0,0,0),('navigation',222,6,'node/add/article','node/add/article','Article','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";}}','system',0,0,0,0,0,2,0,6,222,0,0,0,0,0,0,0,0),('navigation',223,6,'node/add/page','node/add/page','Basic page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";}}','system',0,0,0,0,0,2,0,6,223,0,0,0,0,0,0,0,0),('management',263,15,'admin/modules/install','admin/modules/install','Install new module','a:0:{}','system',-1,0,0,0,25,3,0,1,15,263,0,0,0,0,0,0,0),('management',264,7,'admin/appearance/install','admin/appearance/install','Install new theme','a:0:{}','system',-1,0,0,0,25,3,0,1,7,264,0,0,0,0,0,0,0),('management',265,15,'admin/modules/update','admin/modules/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,15,265,0,0,0,0,0,0,0),('management',266,18,'admin/reports/updates','admin/reports/updates','Available updates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:82:\"Get a status report about available updates for your installed modules and themes.\";}}','system',0,0,0,0,-50,3,0,1,18,266,0,0,0,0,0,0,0),('management',267,7,'admin/appearance/update','admin/appearance/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,7,267,0,0,0,0,0,0,0),('management',268,161,'admin/help/update','admin/help/update','update','a:0:{}','system',-1,0,0,0,0,3,0,1,161,268,0,0,0,0,0,0,0),('management',269,266,'admin/reports/updates/install','admin/reports/updates/install','Install new module or theme','a:0:{}','system',-1,0,0,0,25,4,0,1,18,266,269,0,0,0,0,0,0),('management',270,266,'admin/reports/updates/list','admin/reports/updates/list','List','a:0:{}','system',-1,0,0,0,0,4,0,1,18,266,270,0,0,0,0,0,0),('management',271,266,'admin/reports/updates/settings','admin/reports/updates/settings','Settings','a:0:{}','system',-1,0,0,0,50,4,0,1,18,266,271,0,0,0,0,0,0),('management',272,266,'admin/reports/updates/update','admin/reports/updates/update','Update','a:0:{}','system',-1,0,0,0,10,4,0,1,18,266,272,0,0,0,0,0,0),('management',311,108,'admin/structure/block/list/bartik/add','admin/structure/block/list/bartik/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,108,311,0,0,0,0,0),('management',312,8,'admin/config/administration','admin/config/administration','Administration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Administration tools.\";}}','system',0,0,1,0,0,3,0,1,8,312,0,0,0,0,0,0,0),('management',313,161,'admin/help/admin_menu','admin/help/admin_menu','admin_menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,313,0,0,0,0,0,0,0),('management',314,312,'admin/config/administration/admin_menu','admin/config/administration/admin_menu','Administration menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Adjust administration menu settings.\";}}','system',0,0,0,0,0,4,0,1,8,312,314,0,0,0,0,0,0),('management',315,59,'admin/config/user-interface/modulefilter','admin/config/user-interface/modulefilter','Module filter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure how the modules page looks and acts.\";}}','system',0,0,0,0,0,4,0,1,8,59,315,0,0,0,0,0,0),('management',316,62,'admin/config/services/gmap','admin/config/services/gmap','GMap','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Configure GMap settings\";}}','system',0,0,0,0,0,4,0,1,8,62,316,0,0,0,0,0,0),('management',317,20,'admin/structure/views','admin/structure/views','Views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage customized lists of content.\";}}','system',0,0,1,0,0,3,0,1,20,317,0,0,0,0,0,0,0),('management',318,18,'admin/reports/views-plugins','admin/reports/views-plugins','Views plugins','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Overview of plugins used in all views.\";}}','system',0,0,0,0,0,3,0,1,18,318,0,0,0,0,0,0,0),('management',319,161,'admin/help/views_slideshow','admin/help/views_slideshow','views_slideshow','a:0:{}','system',-1,0,0,0,0,3,0,1,161,319,0,0,0,0,0,0,0),('management',320,161,'admin/help/views_slideshow_cycle','admin/help/views_slideshow_cycle','views_slideshow_cycle','a:0:{}','system',-1,0,0,0,0,3,0,1,161,320,0,0,0,0,0,0,0),('management',321,317,'admin/structure/views/add','admin/structure/views/add','Add new view','a:0:{}','system',-1,0,0,0,0,4,0,1,20,317,321,0,0,0,0,0,0),('management',322,317,'admin/structure/views/add-template','admin/structure/views/add-template','Add view from template','a:0:{}','system',-1,0,0,0,0,4,0,1,20,317,322,0,0,0,0,0,0),('management',323,317,'admin/structure/views/import','admin/structure/views/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,317,323,0,0,0,0,0,0),('management',324,163,'admin/reports/fields/list','admin/reports/fields/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,163,324,0,0,0,0,0,0),('management',325,317,'admin/structure/views/list','admin/structure/views/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,317,325,0,0,0,0,0,0),('management',326,317,'admin/structure/views/settings','admin/structure/views/settings','Settings','a:0:{}','system',-1,0,0,0,0,4,0,1,20,317,326,0,0,0,0,0,0),('management',327,163,'admin/reports/fields/views-fields','admin/reports/fields/views-fields','Used in views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Overview of fields used in all views.\";}}','system',-1,0,0,0,0,4,0,1,18,163,327,0,0,0,0,0,0),('management',328,326,'admin/structure/views/settings/advanced','admin/structure/views/settings/advanced','Advanced','a:0:{}','system',-1,0,0,0,1,5,0,1,20,317,326,328,0,0,0,0,0),('management',329,326,'admin/structure/views/settings/basic','admin/structure/views/settings/basic','Basic','a:0:{}','system',-1,0,0,0,0,5,0,1,20,317,326,329,0,0,0,0,0),('management',330,317,'admin/structure/views/view/%','admin/structure/views/view/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,317,330,0,0,0,0,0,0),('management',331,330,'admin/structure/views/view/%/break-lock','admin/structure/views/view/%/break-lock','Break lock','a:0:{}','system',-1,0,0,0,0,5,0,1,20,317,330,331,0,0,0,0,0),('management',332,330,'admin/structure/views/view/%/edit','admin/structure/views/view/%/edit','Edit view','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,317,330,332,0,0,0,0,0),('management',333,330,'admin/structure/views/view/%/clone','admin/structure/views/view/%/clone','Clone','a:0:{}','system',-1,0,0,0,0,5,0,1,20,317,330,333,0,0,0,0,0),('management',334,330,'admin/structure/views/view/%/delete','admin/structure/views/view/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,5,0,1,20,317,330,334,0,0,0,0,0),('management',335,330,'admin/structure/views/view/%/export','admin/structure/views/view/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,317,330,335,0,0,0,0,0),('management',336,330,'admin/structure/views/view/%/revert','admin/structure/views/view/%/revert','Revert','a:0:{}','system',-1,0,0,0,0,5,0,1,20,317,330,336,0,0,0,0,0),('management',337,330,'admin/structure/views/view/%/preview/%','admin/structure/views/view/%/preview/%','','a:0:{}','system',-1,0,0,0,0,5,0,1,20,317,330,337,0,0,0,0,0),('management',338,317,'admin/structure/views/nojs/preview/%/%','admin/structure/views/nojs/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,317,338,0,0,0,0,0,0),('management',339,317,'admin/structure/views/ajax/preview/%/%','admin/structure/views/ajax/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,317,339,0,0,0,0,0,0),('shortcut-set-1',341,0,'admin/content/blocks','admin/content','Blocks','a:0:{}','menu',0,0,0,0,-18,1,0,341,0,0,0,0,0,0,0,0,0),('navigation',342,0,'block/add','block/add','Add Block','a:0:{}','system',0,0,1,0,0,1,0,342,0,0,0,0,0,0,0,0,0),('navigation',343,0,'block/%','block/%','Block','a:0:{}','system',0,0,0,0,0,1,0,343,0,0,0,0,0,0,0,0,0),('navigation',344,343,'block/%/delete','block/%/delete','Delete Block','a:0:{}','system',-1,0,0,0,1,2,0,343,344,0,0,0,0,0,0,0,0),('navigation',345,343,'block/%/edit','block/%/edit','Edit Block','a:0:{}','system',-1,0,0,0,0,2,0,343,345,0,0,0,0,0,0,0,0),('navigation',346,343,'block/%/revisions','block/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,0,2,0,343,346,0,0,0,0,0,0,0,0),('navigation',347,343,'block/%/view','block/%/view','View','a:0:{}','system',-1,0,0,0,-20,2,0,343,347,0,0,0,0,0,0,0,0),('management',348,20,'admin/structure/block-types','admin/structure/block-types','Block types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:52:\"Manage block types, including fields, settings, etc.\";}}','system',0,0,1,0,0,3,0,1,20,348,0,0,0,0,0,0,0),('management',349,9,'admin/content/blocks','admin/content/blocks','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Manage blocks used on your site.\";}}','system',0,0,0,0,0,3,0,1,9,349,0,0,0,0,0,0,0),('navigation',350,346,'block/%/revisions/%','block/%/revisions/%','','a:0:{}','system',0,0,0,0,0,3,0,343,346,350,0,0,0,0,0,0,0),('management',351,348,'admin/structure/block-types/add','admin/structure/block-types/add','Add block type','a:0:{}','system',-1,0,0,0,0,4,0,1,20,348,351,0,0,0,0,0,0),('management',352,348,'admin/structure/block-types/list','admin/structure/block-types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,348,352,0,0,0,0,0,0),('navigation',353,350,'block/%/revisions/%/delete','block/%/revisions/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,4,0,343,346,350,353,0,0,0,0,0,0),('navigation',354,350,'block/%/revisions/%/edit','block/%/revisions/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,4,0,343,346,350,354,0,0,0,0,0,0),('management',355,348,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Edit block type','a:0:{}','system',0,0,1,0,0,4,0,1,20,348,355,0,0,0,0,0,0),('navigation',356,350,'block/%/revisions/%/set-active','block/%/revisions/%/set-active','Set active','a:0:{}','system',-1,0,0,0,0,4,0,343,346,350,356,0,0,0,0,0,0),('navigation',357,350,'block/%/revisions/%/view','block/%/revisions/%/view','View','a:0:{}','system',-1,0,0,0,-10,4,0,343,346,350,357,0,0,0,0,0,0),('management',358,355,'admin/structure/block-types/manage/%/delete','admin/structure/block-types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,348,355,358,0,0,0,0,0),('management',359,355,'admin/structure/block-types/manage/%/revert','admin/structure/block-types/manage/%/revert','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,348,355,359,0,0,0,0,0),('management',360,355,'admin/structure/block-types/manage/%/edit','admin/structure/block-types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,20,348,355,360,0,0,0,0,0),('management',361,20,'admin/structure/context','admin/structure/context','Context','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:84:\"Associate menus, views, blocks, etc. with different contexts to structure your site.\";}}','system',0,0,0,0,0,3,0,1,20,361,0,0,0,0,0,0,0),('management',362,8,'admin/config/date','admin/config/date','Date API','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"Settings for modules the use the Date API.\";}}','system',0,0,1,0,-10,3,0,1,8,362,0,0,0,0,0,0,0),('navigation',363,5,'node/%/webform-results','node/%/webform-results','Results','a:0:{}','system',-1,0,0,0,2,2,0,5,363,0,0,0,0,0,0,0,0),('management',364,20,'admin/structure/tb-megamenu','admin/structure/tb-megamenu','TB Mega Menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"TB Mega Menu\";}}','system',0,0,0,0,0,3,0,1,20,364,0,0,0,0,0,0,0),('navigation',365,6,'node/add/webform','node/add/webform','Webform','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:138:\"Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.\";}}','system',0,0,0,0,0,2,0,6,365,0,0,0,0,0,0,0,0),('navigation',366,5,'node/%/webform','node/%/webform','Webform','a:0:{}','system',-1,0,0,0,1,2,0,5,366,0,0,0,0,0,0,0,0),('management',367,9,'admin/content/webform','admin/content/webform','Webforms','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"View and edit all the available webforms on your site.\";}}','system',-1,0,0,0,0,3,0,1,9,367,0,0,0,0,0,0,0),('management',368,161,'admin/help/context','admin/help/context','context','a:0:{}','system',-1,0,0,0,0,3,0,1,161,368,0,0,0,0,0,0,0),('management',369,161,'admin/help/context_ui','admin/help/context_ui','context_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,369,0,0,0,0,0,0,0),('management',370,161,'admin/help/date','admin/help/date','date','a:0:{}','system',-1,0,0,0,0,3,0,1,161,370,0,0,0,0,0,0,0),('management',371,161,'admin/help/flexslider','admin/help/flexslider','flexslider','a:0:{}','system',-1,0,0,0,0,3,0,1,161,371,0,0,0,0,0,0,0),('management',372,161,'admin/help/jcarousel','admin/help/jcarousel','jcarousel','a:0:{}','system',-1,0,0,0,0,3,0,1,161,372,0,0,0,0,0,0,0),('management',373,161,'admin/help/jquery_update','admin/help/jquery_update','jquery_update','a:0:{}','system',-1,0,0,0,0,3,0,1,161,373,0,0,0,0,0,0,0),('management',374,161,'admin/help/views_accordion','admin/help/views_accordion','views_accordion','a:0:{}','system',-1,0,0,0,0,3,0,1,161,374,0,0,0,0,0,0,0),('management',375,161,'admin/help/webform','admin/help/webform','webform','a:0:{}','system',-1,0,0,0,0,3,0,1,161,375,0,0,0,0,0,0,0),('management',376,361,'admin/structure/context/add','admin/structure/context/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,1,20,361,376,0,0,0,0,0,0),('navigation',377,363,'node/%/webform-results/analysis','node/%/webform-results/analysis','Analysis','a:0:{}','system',-1,0,0,0,5,3,0,5,363,377,0,0,0,0,0,0,0),('navigation',378,363,'node/%/webform-results/clear','node/%/webform-results/clear','Clear','a:0:{}','system',-1,0,0,0,8,3,0,5,363,378,0,0,0,0,0,0,0),('management',379,362,'admin/config/date/date_popup','admin/config/date/date_popup','Date Popup','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"Configure the Date Popup settings.\";}}','system',0,0,0,0,0,4,0,1,8,362,379,0,0,0,0,0,0),('navigation',380,363,'node/%/webform-results/download','node/%/webform-results/download','Download','a:0:{}','system',-1,0,0,0,7,3,0,5,363,380,0,0,0,0,0,0,0),('navigation',381,366,'node/%/webform/emails','node/%/webform/emails','E-mails','a:0:{}','system',-1,0,0,0,4,3,0,5,366,381,0,0,0,0,0,0,0),('management',382,44,'admin/config/media/flexslider','admin/config/media/flexslider','FlexSlider','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Administer FlexSlider presets.\";}}','system',0,0,0,0,0,4,0,1,8,44,382,0,0,0,0,0,0),('navigation',383,366,'node/%/webform/components','node/%/webform/components','Form components','a:0:{}','system',-1,0,0,0,0,3,0,5,366,383,0,0,0,0,0,0,0),('navigation',384,366,'node/%/webform/configure','node/%/webform/configure','Form settings','a:0:{}','system',-1,0,0,0,5,3,0,5,366,384,0,0,0,0,0,0,0),('management',385,361,'admin/structure/context/import','admin/structure/context/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,361,385,0,0,0,0,0,0),('management',386,361,'admin/structure/context/list','admin/structure/context/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,361,386,0,0,0,0,0,0),('management',387,51,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','Meta tags (quick) settings','a:0:{}','system',0,0,0,0,0,4,0,1,8,51,387,0,0,0,0,0,0),('management',388,364,'admin/structure/tb-megamenu/request','admin/structure/tb-megamenu/request','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,364,388,0,0,0,0,0,0),('management',389,361,'admin/structure/context/settings','admin/structure/context/settings','Settings','a:0:{}','system',-1,0,0,0,3,4,0,1,20,361,389,0,0,0,0,0,0),('navigation',390,363,'node/%/webform-results/submissions','node/%/webform-results/submissions','Submissions','a:0:{}','system',-1,0,0,0,4,3,0,5,363,390,0,0,0,0,0,0,0),('navigation',391,363,'node/%/webform-results/table','node/%/webform-results/table','Table','a:0:{}','system',-1,0,0,0,6,3,0,5,363,391,0,0,0,0,0,0,0),('management',392,34,'admin/config/content/webform','admin/config/content/webform','Webform settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Global configuration of webform functionality.\";}}','system',0,0,0,0,0,4,0,1,8,34,392,0,0,0,0,0,0),('management',393,38,'admin/config/development/jquery_update','admin/config/development/jquery_update','jQuery update','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:83:\"Configure settings related to the jQuery upgrade, the library path and compression.\";}}','system',0,0,0,0,0,4,0,1,8,38,393,0,0,0,0,0,0),('management',394,382,'admin/config/media/flexslider/add','admin/config/media/flexslider/add','Add','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,382,394,0,0,0,0,0),('management',395,387,'admin/config/search/metatags_quick/path_based','admin/config/search/metatags_quick/path_based','Path-Based Metatags','a:0:{}','system',-1,0,0,0,50,5,0,1,8,51,387,395,0,0,0,0,0),('management',396,382,'admin/config/media/flexslider/advanced','admin/config/media/flexslider/advanced','Advanced settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Configure the advanced flexslider module settings.\";}}','system',-1,0,0,0,2,5,0,1,8,44,382,396,0,0,0,0,0),('management',397,364,'admin/structure/tb-megamenu/%/config','admin/structure/tb-megamenu/%/config','Config TB Mega Menu','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,364,397,0,0,0,0,0,0),('management',398,387,'admin/config/search/metatags_quick/settings','admin/config/search/metatags_quick/settings','General','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,387,398,0,0,0,0,0),('management',399,382,'admin/config/media/flexslider/import','admin/config/media/flexslider/import','Import','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,382,399,0,0,0,0,0),('management',400,382,'admin/config/media/flexslider/list','admin/config/media/flexslider/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,44,382,400,0,0,0,0,0),('navigation',403,5,'node/%/submission/%/delete','node/%/submission/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,5,403,0,0,0,0,0,0,0,0),('navigation',404,383,'node/%/webform/components/%','node/%/webform/components/%','','a:0:{}','system',-1,0,0,0,0,4,0,5,366,383,404,0,0,0,0,0,0),('navigation',405,5,'node/%/submission/%/edit','node/%/submission/%/edit','Edit','a:0:{}','system',-1,0,0,0,1,2,0,5,405,0,0,0,0,0,0,0,0),('navigation',406,381,'node/%/webform/emails/%','node/%/webform/emails/%','','a:0:{}','system',-1,0,0,0,0,4,0,5,366,381,406,0,0,0,0,0,0),('navigation',407,5,'node/%/submission/%/view','node/%/submission/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,5,407,0,0,0,0,0,0,0,0),('navigation',409,404,'node/%/webform/components/%/delete','node/%/webform/components/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,5,366,383,404,409,0,0,0,0,0),('navigation',410,404,'node/%/webform/components/%/clone','node/%/webform/components/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,5,366,383,404,410,0,0,0,0,0),('navigation',411,406,'node/%/webform/emails/%/delete','node/%/webform/emails/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,5,366,381,406,411,0,0,0,0,0),('management',412,386,'admin/structure/context/list/%/edit','admin/structure/context/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,361,386,412,0,0,0,0,0),('management',414,386,'admin/structure/context/list/%/export','admin/structure/context/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,361,386,414,0,0,0,0,0),('management',416,400,'admin/config/media/flexslider/list/%/edit','admin/config/media/flexslider/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,44,382,400,416,0,0,0,0),('management',418,400,'admin/config/media/flexslider/list/%/export','admin/config/media/flexslider/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,6,0,1,8,44,382,400,418,0,0,0,0),('navigation',421,0,'blog','blog','Blogs','a:0:{}','system',1,0,1,0,0,1,0,421,0,0,0,0,0,0,0,0,0),('navigation',422,421,'blog/%','blog/%','My blog','a:0:{}','system',0,0,0,0,0,2,0,421,422,0,0,0,0,0,0,0,0),('navigation',423,6,'node/add/blog','node/add/blog','Blog entry','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Use for multi-user blogs. Every user gets a personal blog.\";}}','system',0,0,0,0,0,2,0,6,423,0,0,0,0,0,0,0,0),('management',424,161,'admin/help/blog','admin/help/blog','blog','a:0:{}','system',-1,0,0,0,0,3,0,1,161,424,0,0,0,0,0,0,0),('navigation',425,6,'node/add/products','node/add/products','Products','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Vehicle Products\r\n\";}}','system',0,0,0,0,0,2,0,6,425,0,0,0,0,0,0,0,0),('navigation',426,6,'node/add/services','node/add/services','Services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:8:\"Services\";}}','system',0,0,0,0,0,2,0,6,426,0,0,0,0,0,0,0,0),('navigation',427,6,'node/add/faq','node/add/faq','FAQ','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:3:\"FAQ\";}}','system',0,0,0,0,0,2,0,6,427,0,0,0,0,0,0,0,0),('main-menu',428,0,'faq','faq','FAQ','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:3:\"FAQ\";}}','system',0,0,0,0,-44,1,1,428,0,0,0,0,0,0,0,0,0),('navigation',429,6,'node/add/dealers','node/add/dealers','Dealers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:7:\"Dealers\";}}','system',0,0,0,0,0,2,0,6,429,0,0,0,0,0,0,0,0),('main-menu',430,0,'news','news','News','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:4:\"News\";}}','system',0,0,1,1,-45,1,1,430,0,0,0,0,0,0,0,0,0),('management',431,161,'admin/help/pathauto','admin/help/pathauto','pathauto','a:0:{}','system',-1,0,0,0,0,3,0,1,161,431,0,0,0,0,0,0,0),('management',432,161,'admin/help/token','admin/help/token','token','a:0:{}','system',-1,0,0,0,0,3,0,1,161,432,0,0,0,0,0,0,0),('management',433,197,'admin/config/search/path/update_bulk','admin/config/search/path/update_bulk','Bulk generate','a:0:{}','system',-1,0,0,0,30,5,0,1,8,51,197,433,0,0,0,0,0),('management',434,197,'admin/config/search/path/delete_bulk','admin/config/search/path/delete_bulk','Delete aliases','a:0:{}','system',-1,0,0,0,40,5,0,1,8,51,197,434,0,0,0,0,0),('management',435,197,'admin/config/search/path/patterns','admin/config/search/path/patterns','Patterns','a:0:{}','system',-1,0,0,0,10,5,0,1,8,51,197,435,0,0,0,0,0),('management',436,197,'admin/config/search/path/settings','admin/config/search/path/settings','Settings','a:0:{}','system',-1,0,0,0,20,5,0,1,8,51,197,436,0,0,0,0,0),('management',441,161,'admin/help/location','admin/help/location','location','a:0:{}','system',-1,0,0,0,0,3,0,1,161,441,0,0,0,0,0,0,0),('management',442,34,'admin/config/content/location','admin/config/content/location','Location','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Settings for Location module\";}}','system',0,0,0,0,0,4,0,1,8,34,442,0,0,0,0,0,0),('management',443,442,'admin/config/content/location/geocoding','admin/config/content/location/geocoding','Geocoding options','a:0:{}','system',-1,0,0,0,2,5,0,1,8,34,442,443,0,0,0,0,0),('management',444,442,'admin/config/content/location/util','admin/config/content/location/util','Location utilities','a:0:{}','system',-1,0,0,0,3,5,0,1,8,34,442,444,0,0,0,0,0),('management',445,442,'admin/config/content/location/main','admin/config/content/location/main','Main settings','a:0:{}','system',-1,0,0,0,0,5,0,1,8,34,442,445,0,0,0,0,0),('management',446,442,'admin/config/content/location/maplinking','admin/config/content/location/maplinking','Map links','a:0:{}','system',-1,0,0,0,1,5,0,1,8,34,442,446,0,0,0,0,0),('main-menu',447,0,'node/17','node/%','About us','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:8:\"About us\";}}','menu',0,0,0,0,-49,1,1,447,0,0,0,0,0,0,0,0,0),('navigation',448,6,'node/add/testimonials','node/add/testimonials','Testimonials','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Testimonials\";}}','system',0,0,0,0,0,2,0,6,448,0,0,0,0,0,0,0,0),('main-menu',449,0,'node/18','node/%','Contact','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:7:\"Contact\";}}','menu',0,0,0,0,-43,1,1,449,0,0,0,0,0,0,0,0,0),('navigation',450,0,'countries-example','countries-example','Countries example page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Demonstrate countries API\";}}','system',0,0,0,0,0,1,0,450,0,0,0,0,0,0,0,0,0),('management',451,49,'admin/config/regional/countries','admin/config/regional/countries','Countries','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"List, edit, or add countries.\";}}','system',0,0,0,0,0,4,0,1,8,49,451,0,0,0,0,0,0),('management',452,451,'admin/config/regional/countries/%','admin/config/regional/countries/%','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:15:\"Edit a country.\";}}','system',-1,0,0,0,0,5,0,1,8,49,451,452,0,0,0,0,0),('management',453,451,'admin/config/regional/countries/add','admin/config/regional/countries/add','Add country','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Admin page to add a country.\";}}','system',-1,0,0,0,1,5,0,1,8,49,451,453,0,0,0,0,0),('management',454,451,'admin/config/regional/countries/list','admin/config/regional/countries/list','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,451,454,0,0,0,0,0),('management',457,451,'admin/config/regional/countries/import','admin/config/regional/countries/import','Update countries','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Bulk import countries from the ISO standard.\";}}','system',-1,0,0,0,2,5,0,1,8,49,451,457,0,0,0,0,0),('management',460,452,'admin/config/regional/countries/%/delete','admin/config/regional/countries/%/delete','Delete country','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Country delete confirmation form.\";}}','system',-1,0,0,0,0,6,0,1,8,49,451,452,460,0,0,0,0),('management',461,452,'admin/config/regional/countries/%/edit','admin/config/regional/countries/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,49,451,452,461,0,0,0,0),('main-menu',468,0,'vehicles','vehicles','Vehicles','a:1:{s:10:\"attributes\";a:0:{}}','system',0,0,1,1,-47,1,1,468,0,0,0,0,0,0,0,0,0),('main-menu',473,0,'services','services','Services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:8:\"Services\";}}','system',0,0,0,0,-48,1,1,473,0,0,0,0,0,0,0,0,0),('main-menu',474,0,'dealers','dealers','Dealers','a:0:{}','system',0,0,0,0,-46,1,1,474,0,0,0,0,0,0,0,0,0),('management',475,45,'admin/structure/menu/manage/menu-footer-menu','admin/structure/menu/manage/%','Footer Menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,475,0,0,0,0,0,0),('menu-footer-menu',476,0,'<front>','','Home','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,1,0,0,-50,1,1,476,0,0,0,0,0,0,0,0,0),('menu-footer-menu',477,0,'node/17','node/%','About us','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,477,0,0,0,0,0,0,0,0,0),('menu-footer-menu',478,0,'faq','faq','FAQ','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-48,1,1,478,0,0,0,0,0,0,0,0,0),('menu-footer-menu',479,0,'node/18','node/%','Contact','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-47,1,1,479,0,0,0,0,0,0,0,0,0),('management',480,45,'admin/structure/menu/manage/menu-social-menu','admin/structure/menu/manage/%','Social Menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,480,0,0,0,0,0,0),('menu-social-menu',481,0,'http://facebook.com/weebpal','','Facebook','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:11:\"fa-facebook\";}s:6:\"target\";s:6:\"_blank\";}}','menu',0,1,0,0,-50,1,1,481,0,0,0,0,0,0,0,0,0),('menu-social-menu',482,0,'http://twitter.com/weebpal','','Twitter','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:10:\"fa-twitter\";}s:6:\"target\";s:6:\"_blank\";}}','menu',0,1,0,0,-49,1,1,482,0,0,0,0,0,0,0,0,0),('menu-social-menu',483,0,'http://plus.google.com/+weebpal','','Gplus','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:14:\"fa-google-plus\";}s:6:\"target\";s:6:\"_blank\";}}','menu',0,1,0,0,-48,1,1,483,0,0,0,0,0,0,0,0,0),('navigation',485,0,'tagclouds','tagclouds','Tags','a:0:{}','system',1,0,0,0,0,1,0,485,0,0,0,0,0,0,0,0,0),('navigation',486,485,'tagclouds/chunk/%','tagclouds/chunk/%','Tags','a:0:{}','system',1,0,0,0,0,2,0,485,486,0,0,0,0,0,0,0,0),('management',487,34,'admin/config/content/tagclouds','admin/config/content/tagclouds','TagClouds configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.\";}}','system',0,0,0,0,0,4,0,1,8,34,487,0,0,0,0,0,0),('management',488,45,'admin/structure/menu/manage/menu-categories','admin/structure/menu/manage/%','Categories','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,488,0,0,0,0,0,0),('management',489,45,'admin/structure/menu/manage/menu-essential-links','admin/structure/menu/manage/%','Essential Links','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,489,0,0,0,0,0,0),('menu-essential-links',490,0,'http://google.com','','Google','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,1,0,0,0,1,1,490,0,0,0,0,0,0,0,0,0),('menu-essential-links',491,0,'http://facebook.com','','Facebook','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,1,0,0,0,1,1,491,0,0,0,0,0,0,0,0,0),('menu-essential-links',492,0,'http://twitter.com','','Twitter','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,1,0,0,0,1,1,492,0,0,0,0,0,0,0,0,0),('menu-essential-links',493,0,'http://pinterest.com','','Pinterest','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,1,0,0,0,1,1,493,0,0,0,0,0,0,0,0,0),('navigation',494,0,'newsletter/edit/%','newsletter/edit/%','Edit newsletter subscriptions','a:0:{}','system',-1,0,0,0,0,1,0,494,0,0,0,0,0,0,0,0,0),('navigation',495,16,'user/%/newsletter','user/%/newsletter','Newsletter subscriptions','a:0:{}','system',-1,0,0,0,0,2,0,16,495,0,0,0,0,0,0,0,0),('management',496,44,'admin/config/media/newsletter','admin/config/media/newsletter','Newsletters','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Manage newsletters, subscribers, and settings.\";}}','system',0,0,0,0,0,4,0,1,8,44,496,0,0,0,0,0,0),('management',497,496,'admin/config/media/newsletter/lists','admin/config/media/newsletter/lists','Lists','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Find and manage newsletter lists.\";}}','system',-1,0,0,0,2,5,0,1,8,44,496,497,0,0,0,0,0),('management',498,496,'admin/config/media/newsletter/create-send','admin/config/media/newsletter/create-send','Create/Send','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:60:\"Create custom static newsletters and send non-automated ones\";}}','system',-1,0,0,0,1,5,0,1,8,44,496,498,0,0,0,0,0),('management',499,496,'admin/config/media/newsletter/configure','admin/config/media/newsletter/configure','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Configure newsletter lists.\";}}','system',-1,0,0,0,5,5,0,1,8,44,496,499,0,0,0,0,0),('management',500,496,'admin/config/media/newsletter/stats','admin/config/media/newsletter/stats','Statistics','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,496,500,0,0,0,0,0),('management',501,496,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter/subscribers','Subscribers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"List subscribers.\";}}','system',-1,0,0,0,3,5,0,1,8,44,496,501,0,0,0,0,0),('management',502,496,'admin/config/media/newsletter/templates','admin/config/media/newsletter/templates','Templates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer newsletter templates.\";}}','system',-1,0,0,0,4,5,0,1,8,44,496,502,0,0,0,0,0),('management',503,496,'admin/config/media/newsletter/archive','admin/config/media/newsletter/archive','Issue archive','a:0:{}','system',-1,0,0,0,1,5,0,1,8,44,496,503,0,0,0,0,0),('management',504,497,'admin/config/media/newsletter/lists/add','admin/config/media/newsletter/lists/add','Add new list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Add new newsletter list.\";}}','system',-1,0,0,0,0,6,0,1,8,44,496,497,504,0,0,0,0),('management',505,501,'admin/config/media/newsletter/subscribers/add','admin/config/media/newsletter/subscribers/add','Add new subscriber','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Add new list subscriber.\";}}','system',-1,0,0,0,0,6,0,1,8,44,496,501,505,0,0,0,0),('management',506,501,'admin/config/media/newsletter/subscribers/add-mass','admin/config/media/newsletter/subscribers/add-mass','Add subscribers (Mass)','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"Add subscribers.\";}}','system',-1,0,0,0,0,6,0,1,8,44,496,501,506,0,0,0,0),('management',507,502,'admin/config/media/newsletter/templates/confirmation','admin/config/media/newsletter/templates/confirmation','Confirmation','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Edit confirmation template.\";}}','system',-1,0,0,0,-9,6,0,1,8,44,496,502,507,0,0,0,0),('management',508,498,'admin/config/media/newsletter/create-send/new','admin/config/media/newsletter/create-send/new','Create and send a custom newsletter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Create a custom static newsletter\";}}','system',-1,0,0,0,0,6,0,1,8,44,496,498,508,0,0,0,0),('management',509,500,'admin/config/media/newsletter/stats/general','admin/config/media/newsletter/stats/general','General','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Watch general statistics.\";}}','system',-1,0,0,0,0,6,0,1,8,44,496,500,509,0,0,0,0),('management',510,500,'admin/config/media/newsletter/stats/graphic','admin/config/media/newsletter/stats/graphic','Graphic','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Watch advanced JQuery statistics.\";}}','system',-1,0,0,0,1,6,0,1,8,44,496,500,510,0,0,0,0),('management',511,502,'admin/config/media/newsletter/templates/mail','admin/config/media/newsletter/templates/mail','Mail templates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Administer mail templates.\";}}','system',-1,0,0,0,-10,6,0,1,8,44,496,502,511,0,0,0,0),('management',516,502,'admin/config/media/newsletter/templates/unsubscribe','admin/config/media/newsletter/templates/unsubscribe','Unsubscribe','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Edit unsubscribe template.\";}}','system',-1,0,0,0,-7,6,0,1,8,44,496,502,516,0,0,0,0),('management',517,502,'admin/config/media/newsletter/templates/welcome','admin/config/media/newsletter/templates/welcome','Welcome','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Edit welcome template.\";}}','system',-1,0,0,0,-8,6,0,1,8,44,496,502,517,0,0,0,0),('management',518,511,'admin/config/media/newsletter/templates/mail/add','admin/config/media/newsletter/templates/mail/add','Add new mail template','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Administer mail templates.\";}}','system',-1,0,0,0,0,7,0,1,8,44,496,502,511,518,0,0,0),('navigation',531,6,'node/add/statistics','node/add/statistics','Statistics','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"Statistics\";}}','system',0,0,0,0,0,2,0,6,531,0,0,0,0,0,0,0,0),('management',532,34,'admin/config/content/email','admin/config/content/email','Email Contact Form Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:57:\"Administer flood control settings for email contact forms\";}}','system',0,0,0,0,0,4,0,1,8,34,532,0,0,0,0,0,0),('management',533,161,'admin/help/php','admin/help/php','php','a:0:{}','system',-1,0,0,0,0,3,0,1,161,533,0,0,0,0,0,0,0),('management',534,20,'admin/structure/field-collections','admin/structure/field-collections','Field collections','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage fields on field collections.\";}}','system',0,0,1,0,0,3,0,1,20,534,0,0,0,0,0,0,0),('management',535,161,'admin/help/field_collection','admin/help/field_collection','field_collection','a:0:{}','system',-1,0,0,0,0,3,0,1,161,535,0,0,0,0,0,0,0),('navigation',536,342,'block/add/list-block','block/add/list-block','List Block','a:0:{}','system',0,0,0,0,0,2,0,342,536,0,0,0,0,0,0,0,0),('navigation',546,0,'field-collection/field-simple-field/%','field-collection/field-simple-field/%','','a:0:{}','system',0,0,1,0,0,1,0,546,0,0,0,0,0,0,0,0,0),('navigation',547,546,'field-collection/field-simple-field/%/delete','field-collection/field-simple-field/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,2,0,546,547,0,0,0,0,0,0,0,0),('navigation',548,546,'field-collection/field-simple-field/%/edit','field-collection/field-simple-field/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,546,548,0,0,0,0,0,0,0,0),('navigation',549,546,'field-collection/field-simple-field/%/view','field-collection/field-simple-field/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,546,549,0,0,0,0,0,0,0,0),('navigation',551,0,'field-collection/field-simple-field/add/%/%','field-collection/field-simple-field/add/%/%','','a:0:{}','system',0,0,0,0,0,1,0,551,0,0,0,0,0,0,0,0,0),('navigation',552,546,'field-collection/field-simple-field/%/revisions/%','field-collection/field-simple-field/%/revisions/%','','a:0:{}','system',0,0,0,0,0,2,0,546,552,0,0,0,0,0,0,0,0),('management',563,161,'admin/help/fontawesome','admin/help/fontawesome','fontawesome','a:0:{}','system',-1,0,0,0,0,3,0,1,161,563,0,0,0,0,0,0,0),('user-menu',564,0,'user/login','user/login','Login','a:1:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-user\";}}}','menu',0,0,0,0,0,1,1,564,0,0,0,0,0,0,0,0,0),('user-menu',565,0,'user/register','user/register','Register','a:1:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:6:\"fa-key\";}}}','menu',0,0,0,0,0,1,1,565,0,0,0,0,0,0,0,0,0),('management',662,161,'admin/help/menu_breadcrumb','admin/help/menu_breadcrumb','menu_breadcrumb','a:0:{}','system',-1,0,0,0,0,3,0,1,161,662,0,0,0,0,0,0,0),('management',663,59,'admin/config/user-interface/menu-breadcrumb','admin/config/user-interface/menu-breadcrumb','Menu Breadcrumb','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Configure menu breadcrumb.\";}}','system',0,0,0,0,0,4,0,1,8,59,663,0,0,0,0,0,0),('main-menu',664,468,'vehicles-list','vehicles-list','Vehicles List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:13:\"Vehicles List\";}}','system',0,0,0,0,-49,2,1,468,664,0,0,0,0,0,0,0,0),('main-menu',665,430,'news-grid','news-grid','News Grid','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:9:\"News Grid\";}}','system',0,0,0,0,-50,2,1,430,665,0,0,0,0,0,0,0,0),('main-menu',666,430,'news-list','news-list','News List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:9:\"News List\";}}','system',0,0,0,0,-49,2,1,430,666,0,0,0,0,0,0,0,0),('main-menu',668,468,'vehicles-grid','vehicles-grid','Vehicles-Grid','a:0:{}','system',0,0,0,0,-50,2,1,468,668,0,0,0,0,0,0,0,0),('management',669,38,'admin/config/development/modal_forms','admin/config/development/modal_forms','Modal forms','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Adjust Modal forms settings.\";}}','system',0,0,0,0,0,4,0,1,8,38,669,0,0,0,0,0,0),('menu-social-menu',672,0,'http://www.pinterest.com/weebpal/','','Pinterest','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:12:\"fa-pinterest\";}s:6:\"target\";s:6:\"_blank\";}}','menu',0,1,0,0,0,1,1,672,0,0,0,0,0,0,0,0,0),('management',673,20,'admin/structure/megamenus','admin/structure/megamenus','Mega Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"Mega Menus\";}}','system',0,0,0,0,0,3,0,1,20,673,0,0,0,0,0,0,0),('management',674,161,'admin/help/redirect_404','admin/help/redirect_404','redirect_404','a:0:{}','system',-1,0,0,0,0,3,0,1,161,674,0,0,0,0,0,0,0),('navigation',675,366,'node/%/webform/conditionals','node/%/webform/conditionals','Conditionals','a:0:{}','system',-1,0,0,0,1,3,0,5,366,675,0,0,0,0,0,0,0),('management',676,54,'admin/config/system/redirect_404','admin/config/system/redirect_404','Redirect 404','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:101:\"Redirect 404 will redirect your user to the server(s) outlined below preserving the full request URL.\";}}','system',0,0,0,0,0,4,0,1,8,54,676,0,0,0,0,0,0),('management',677,673,'admin/structure/megamenus/load_block','admin/structure/megamenus/load_block','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,673,677,0,0,0,0,0,0),('management',678,673,'admin/structure/megamenus/load_menu','admin/structure/megamenus/load_menu','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,673,678,0,0,0,0,0,0),('management',679,673,'admin/structure/megamenus/save_config','admin/structure/megamenus/save_config','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,673,679,0,0,0,0,0,0),('management',680,673,'admin/structure/megamenus/%/config','admin/structure/megamenus/%/config','Config Mega Menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,673,680,0,0,0,0,0,0),('navigation',681,377,'node/%/webform-results/analysis/%','node/%/webform-results/analysis/%','Analysis','a:0:{}','system',-1,0,0,0,0,4,0,5,363,377,681,0,0,0,0,0,0),('navigation',682,681,'node/%/webform-results/analysis/%/more','node/%/webform-results/analysis/%/more','In-depth analysis','a:0:{}','system',-1,0,0,0,0,5,0,5,363,377,681,682,0,0,0,0,0),('management',684,161,'admin/help/locale','admin/help/locale','locale','a:0:{}','system',-1,0,0,0,0,3,0,1,161,684,0,0,0,0,0,0,0),('management',685,49,'admin/config/regional/language','admin/config/regional/language','Languages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:55:\"Configure languages for content and the user interface.\";}}','system',0,0,1,0,-10,4,0,1,8,49,685,0,0,0,0,0,0),('management',686,49,'admin/config/regional/translate','admin/config/regional/translate','Translate interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Translate the built in interface and optionally other text.\";}}','system',0,0,1,0,-5,4,0,1,8,49,686,0,0,0,0,0,0),('management',687,685,'admin/config/regional/language/configure','admin/config/regional/language/configure','Detection and selection','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,685,687,0,0,0,0,0),('management',688,685,'admin/config/regional/language/overview','admin/config/regional/language/overview','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,685,688,0,0,0,0,0),('management',689,685,'admin/config/regional/language/add','admin/config/regional/language/add','Add language','a:0:{}','system',-1,0,0,0,5,5,0,1,8,49,685,689,0,0,0,0,0),('management',690,686,'admin/config/regional/translate/export','admin/config/regional/translate/export','Export','a:0:{}','system',-1,0,0,0,30,5,0,1,8,49,686,690,0,0,0,0,0),('management',691,686,'admin/config/regional/translate/import','admin/config/regional/translate/import','Import','a:0:{}','system',-1,0,0,0,20,5,0,1,8,49,686,691,0,0,0,0,0),('management',692,77,'admin/config/regional/date-time/locale','admin/config/regional/date-time/locale','Localize','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',-1,0,1,0,-8,5,0,1,8,49,77,692,0,0,0,0,0),('management',693,686,'admin/config/regional/translate/overview','admin/config/regional/translate/overview','Overview','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,686,693,0,0,0,0,0),('management',694,686,'admin/config/regional/translate/translate','admin/config/regional/translate/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,686,694,0,0,0,0,0),('management',695,685,'admin/config/regional/language/delete/%','admin/config/regional/language/delete/%','Confirm','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,685,695,0,0,0,0,0),('management',696,686,'admin/config/regional/translate/delete/%','admin/config/regional/translate/delete/%','Delete string','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,686,696,0,0,0,0,0),('management',697,685,'admin/config/regional/language/edit/%','admin/config/regional/language/edit/%','Edit language','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,685,697,0,0,0,0,0),('management',698,686,'admin/config/regional/translate/edit/%','admin/config/regional/translate/edit/%','Edit string','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,686,698,0,0,0,0,0),('management',699,687,'admin/config/regional/language/configure/session','admin/config/regional/language/configure/session','Session language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,685,687,699,0,0,0,0),('management',700,687,'admin/config/regional/language/configure/url','admin/config/regional/language/configure/url','URL language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,685,687,700,0,0,0,0),('management',701,692,'admin/config/regional/date-time/locale/%/edit','admin/config/regional/date-time/locale/%/edit','Localize date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',0,0,0,0,0,6,0,1,8,49,77,692,701,0,0,0,0),('management',702,692,'admin/config/regional/date-time/locale/%/reset','admin/config/regional/date-time/locale/%/reset','Reset date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Reset localized date formats to global defaults\";}}','system',0,0,0,0,0,6,0,1,8,49,77,692,702,0,0,0,0),('management',1093,20,'admin/structure/migrate_content','admin/structure/migrate_content','Migrate Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Manage Migrate Content.\";}}','system',0,0,0,0,0,3,0,1,20,1093,0,0,0,0,0,0,0),('management',1094,1093,'admin/structure/migrate_content/create','admin/structure/migrate_content/create','Create','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Migrate Content Create.\";}}','system',-1,0,0,0,10,4,0,1,20,1093,1094,0,0,0,0,0,0),('management',1095,1093,'admin/structure/migrate_content/import-from-upload','admin/structure/migrate_content/import-from-upload','Import','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Upload zip file to import.\";}}','system',-1,0,0,0,11,4,0,1,20,1093,1095,0,0,0,0,0,0),('management',1096,1093,'admin/structure/migrate_content/manage','admin/structure/migrate_content/manage','Manage','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Enable and disable entity bundle.\";}}','system',-1,0,0,0,0,4,0,1,20,1093,1096,0,0,0,0,0,0),('management',1097,1093,'admin/structure/migrate_content/settings','admin/structure/migrate_content/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Adjust settings for using migrate content module.\";}}','system',-1,0,0,0,11,4,0,1,20,1093,1097,0,0,0,0,0,0),('management',1098,52,'admin/appearance/settings/we_backend','admin/appearance/settings/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,1098,0,0,0,0,0,0),('management',1099,29,'admin/structure/block/list/we_backend','admin/structure/block/list/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,1099,0,0,0,0,0,0),('management',1100,1099,'admin/structure/block/list/we_backend/add','admin/structure/block/list/we_backend/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,1099,1100,0,0,0,0,0),('navigation',1101,4,'filter/tips/%','filter/tips/%','Compose tips','a:0:{}','system',0,0,0,0,0,2,0,4,1101,0,0,0,0,0,0,0,0),('management',1102,18,'admin/reports/libraries','admin/reports/libraries','Libraries','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"An overview of libraries installed on this site.\";}}','system',0,0,1,0,0,3,0,1,18,1102,0,0,0,0,0,0,0),('management',1103,161,'admin/help/libraries','admin/help/libraries','libraries','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1103,0,0,0,0,0,0,0),('management',1104,1102,'admin/reports/libraries/%','admin/reports/libraries/%','Library status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Status overview for a single library\";}}','system',0,0,0,0,0,4,0,1,18,1102,1104,0,0,0,0,0,0),('navigation',1105,406,'node/%/webform/emails/%/clone','node/%/webform/emails/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,5,366,381,406,1105,0,0,0,0,0),('management',1106,534,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage fields','a:0:{}','system',0,0,0,0,1,4,0,1,20,534,1106,0,0,0,0,0,0),('management',1107,451,'admin/config/regional/countries/display','admin/config/regional/countries/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,8,49,451,1107,0,0,0,0,0),('management',1108,1106,'admin/structure/field-collections/%/display','admin/structure/field-collections/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,534,1106,1108,0,0,0,0,0),('management',1109,387,'admin/config/search/metatags_quick/display','admin/config/search/metatags_quick/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,8,51,387,1109,0,0,0,0,0),('management',1110,66,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,55,66,1110,0,0,0,0,0),('management',1111,67,'admin/config/people/accounts/display','admin/config/people/accounts/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,8,46,67,1111,0,0,0,0,0),('management',1112,451,'admin/config/regional/countries/fields','admin/config/regional/countries/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,8,49,451,1112,0,0,0,0,0),('management',1113,387,'admin/config/search/metatags_quick/fields','admin/config/search/metatags_quick/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,8,51,387,1113,0,0,0,0,0),('management',1114,66,'admin/structure/taxonomy/%/fields','admin/structure/taxonomy/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,55,66,1114,0,0,0,0,0),('management',1115,67,'admin/config/people/accounts/fields','admin/config/people/accounts/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,8,46,67,1115,0,0,0,0,0),('management',1116,1106,'admin/structure/field-collections/%/fields','admin/structure/field-collections/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,534,1106,1116,0,0,0,0,0),('management',1117,1107,'admin/config/regional/countries/display/full','admin/config/regional/countries/display/full','Country','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,451,1107,1117,0,0,0,0),('management',1118,1107,'admin/config/regional/countries/display/default','admin/config/regional/countries/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,49,451,1107,1118,0,0,0,0),('management',1119,1108,'admin/structure/field-collections/%/display/default','admin/structure/field-collections/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,534,1106,1108,1119,0,0,0,0),('management',1120,1109,'admin/config/search/metatags_quick/display/default','admin/config/search/metatags_quick/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,51,387,1109,1120,0,0,0,0),('management',1121,1110,'admin/structure/taxonomy/%/display/default','admin/structure/taxonomy/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,55,66,1110,1121,0,0,0,0),('management',1122,1111,'admin/config/people/accounts/display/default','admin/config/people/accounts/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,46,67,1111,1122,0,0,0,0),('management',1123,1108,'admin/structure/field-collections/%/display/full','admin/structure/field-collections/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,20,534,1106,1108,1123,0,0,0,0),('management',1124,355,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,348,355,1124,0,0,0,0,0),('management',1125,501,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter/subscribers/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,8,44,496,501,1125,0,0,0,0),('management',1126,502,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter/templates/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,8,44,496,502,1126,0,0,0,0),('management',1127,112,'admin/structure/types/manage/%/display','admin/structure/types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,35,112,1127,0,0,0,0,0),('management',1128,355,'admin/structure/block-types/manage/%/fields','admin/structure/block-types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,348,355,1128,0,0,0,0,0),('management',1129,501,'admin/config/media/newsletter/subscribers/fields','admin/config/media/newsletter/subscribers/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,8,44,496,501,1129,0,0,0,0),('management',1130,502,'admin/config/media/newsletter/templates/fields','admin/config/media/newsletter/templates/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,8,44,496,502,1130,0,0,0,0),('management',1131,112,'admin/structure/types/manage/%/fields','admin/structure/types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,35,112,1131,0,0,0,0,0),('management',1132,1110,'admin/structure/taxonomy/%/display/full','admin/structure/taxonomy/%/display/full','Taxonomy term page','a:0:{}','system',-1,0,0,0,0,6,0,1,20,55,66,1110,1132,0,0,0,0),('management',1133,1107,'admin/config/regional/countries/display/token','admin/config/regional/countries/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,8,49,451,1107,1133,0,0,0,0),('management',1134,1108,'admin/structure/field-collections/%/display/token','admin/structure/field-collections/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,534,1106,1108,1134,0,0,0,0),('management',1135,1109,'admin/config/search/metatags_quick/display/token','admin/config/search/metatags_quick/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,6,0,1,8,51,387,1109,1135,0,0,0,0),('management',1136,1110,'admin/structure/taxonomy/%/display/token','admin/structure/taxonomy/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,55,66,1110,1136,0,0,0,0),('management',1137,1111,'admin/config/people/accounts/display/token','admin/config/people/accounts/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,8,46,67,1111,1137,0,0,0,0),('management',1138,1111,'admin/config/people/accounts/display/full','admin/config/people/accounts/display/full','User account','a:0:{}','system',-1,0,0,0,0,6,0,1,8,46,67,1111,1138,0,0,0,0),('management',1139,1112,'admin/config/regional/countries/fields/%','admin/config/regional/countries/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,8,49,451,1112,1139,0,0,0,0),('management',1140,1116,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,534,1106,1116,1140,0,0,0,0),('management',1141,1113,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,8,51,387,1113,1141,0,0,0,0),('management',1142,1114,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,55,66,1114,1142,0,0,0,0),('management',1143,1115,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,8,46,67,1115,1143,0,0,0,0),('management',1144,1124,'admin/structure/block-types/manage/%/display/default','admin/structure/block-types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,348,355,1124,1144,0,0,0,0),('management',1145,1125,'admin/config/media/newsletter/subscribers/display/default','admin/config/media/newsletter/subscribers/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,8,44,496,501,1125,1145,0,0,0),('management',1146,1126,'admin/config/media/newsletter/templates/display/default','admin/config/media/newsletter/templates/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,8,44,496,502,1126,1146,0,0,0),('management',1147,1127,'admin/structure/types/manage/%/display/default','admin/structure/types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,35,112,1127,1147,0,0,0,0),('management',1148,1127,'admin/structure/types/manage/%/display/full','admin/structure/types/manage/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,20,35,112,1127,1148,0,0,0,0),('management',1149,1127,'admin/structure/types/manage/%/display/rss','admin/structure/types/manage/%/display/rss','RSS','a:0:{}','system',-1,0,0,0,2,6,0,1,20,35,112,1127,1149,0,0,0,0),('management',1150,1127,'admin/structure/types/manage/%/display/search_index','admin/structure/types/manage/%/display/search_index','Search index','a:0:{}','system',-1,0,0,0,3,6,0,1,20,35,112,1127,1150,0,0,0,0),('management',1151,1127,'admin/structure/types/manage/%/display/search_result','admin/structure/types/manage/%/display/search_result','Search result highlighting input','a:0:{}','system',-1,0,0,0,4,6,0,1,20,35,112,1127,1151,0,0,0,0),('management',1152,1127,'admin/structure/types/manage/%/display/teaser','admin/structure/types/manage/%/display/teaser','Teaser','a:0:{}','system',-1,0,0,0,1,6,0,1,20,35,112,1127,1152,0,0,0,0),('management',1153,1124,'admin/structure/block-types/manage/%/display/token','admin/structure/block-types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,6,0,1,20,348,355,1124,1153,0,0,0,0),('management',1154,1125,'admin/config/media/newsletter/subscribers/display/token','admin/config/media/newsletter/subscribers/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,7,0,1,8,44,496,501,1125,1154,0,0,0),('management',1155,1126,'admin/config/media/newsletter/templates/display/token','admin/config/media/newsletter/templates/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,7,0,1,8,44,496,502,1126,1155,0,0,0),('management',1156,1127,'admin/structure/types/manage/%/display/token','admin/structure/types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,5,6,0,1,20,35,112,1127,1156,0,0,0,0),('management',1157,1128,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,348,355,1128,1157,0,0,0,0),('management',1158,1139,'admin/config/regional/countries/fields/%/delete','admin/config/regional/countries/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,8,49,451,1112,1139,1158,0,0,0),('management',1159,1139,'admin/config/regional/countries/fields/%/edit','admin/config/regional/countries/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,8,49,451,1112,1139,1159,0,0,0),('management',1160,1139,'admin/config/regional/countries/fields/%/field-settings','admin/config/regional/countries/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,8,49,451,1112,1139,1160,0,0,0),('management',1161,1139,'admin/config/regional/countries/fields/%/widget-type','admin/config/regional/countries/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,8,49,451,1112,1139,1161,0,0,0),('management',1162,1140,'admin/structure/field-collections/%/fields/%/delete','admin/structure/field-collections/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,534,1106,1116,1140,1162,0,0,0),('management',1163,1140,'admin/structure/field-collections/%/fields/%/edit','admin/structure/field-collections/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,534,1106,1116,1140,1163,0,0,0),('management',1164,1140,'admin/structure/field-collections/%/fields/%/field-settings','admin/structure/field-collections/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,534,1106,1116,1140,1164,0,0,0),('management',1165,1140,'admin/structure/field-collections/%/fields/%/widget-type','admin/structure/field-collections/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,534,1106,1116,1140,1165,0,0,0),('management',1166,1141,'admin/config/search/metatags_quick/fields/%/delete','admin/config/search/metatags_quick/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,8,51,387,1113,1141,1166,0,0,0),('management',1167,1141,'admin/config/search/metatags_quick/fields/%/edit','admin/config/search/metatags_quick/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,8,51,387,1113,1141,1167,0,0,0),('management',1168,1141,'admin/config/search/metatags_quick/fields/%/field-settings','admin/config/search/metatags_quick/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,8,51,387,1113,1141,1168,0,0,0),('management',1169,1141,'admin/config/search/metatags_quick/fields/%/widget-type','admin/config/search/metatags_quick/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,8,51,387,1113,1141,1169,0,0,0),('management',1170,1129,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,44,496,501,1129,1170,0,0,0),('management',1171,1130,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,44,496,502,1130,1171,0,0,0),('management',1172,1131,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,35,112,1131,1172,0,0,0,0),('management',1173,1142,'admin/structure/taxonomy/%/fields/%/delete','admin/structure/taxonomy/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,55,66,1114,1142,1173,0,0,0),('management',1174,1142,'admin/structure/taxonomy/%/fields/%/edit','admin/structure/taxonomy/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,1114,1142,1174,0,0,0),('management',1175,1142,'admin/structure/taxonomy/%/fields/%/field-settings','admin/structure/taxonomy/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,1114,1142,1175,0,0,0),('management',1176,1142,'admin/structure/taxonomy/%/fields/%/widget-type','admin/structure/taxonomy/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,1114,1142,1176,0,0,0),('management',1177,1143,'admin/config/people/accounts/fields/%/delete','admin/config/people/accounts/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,8,46,67,1115,1143,1177,0,0,0),('management',1178,1143,'admin/config/people/accounts/fields/%/edit','admin/config/people/accounts/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,1115,1143,1178,0,0,0),('management',1179,1143,'admin/config/people/accounts/fields/%/field-settings','admin/config/people/accounts/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,1115,1143,1179,0,0,0),('management',1180,1143,'admin/config/people/accounts/fields/%/widget-type','admin/config/people/accounts/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,1115,1143,1180,0,0,0),('management',1181,147,'admin/structure/types/manage/%/comment/display/default','admin/structure/types/manage/%/comment/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,35,112,147,1181,0,0,0,0),('management',1182,147,'admin/structure/types/manage/%/comment/display/full','admin/structure/types/manage/%/comment/display/full','Full comment','a:0:{}','system',-1,0,0,0,0,6,0,1,20,35,112,147,1182,0,0,0,0),('management',1183,147,'admin/structure/types/manage/%/comment/display/token','admin/structure/types/manage/%/comment/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,35,112,147,1183,0,0,0,0),('management',1184,1157,'admin/structure/block-types/manage/%/fields/%/delete','admin/structure/block-types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,348,355,1128,1157,1184,0,0,0),('management',1185,1157,'admin/structure/block-types/manage/%/fields/%/edit','admin/structure/block-types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,348,355,1128,1157,1185,0,0,0),('management',1186,1157,'admin/structure/block-types/manage/%/fields/%/field-settings','admin/structure/block-types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,348,355,1128,1157,1186,0,0,0),('management',1187,1157,'admin/structure/block-types/manage/%/fields/%/widget-type','admin/structure/block-types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,348,355,1128,1157,1187,0,0,0),('management',1188,148,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,35,112,148,1188,0,0,0,0),('management',1189,1170,'admin/config/media/newsletter/subscribers/fields/%/delete','admin/config/media/newsletter/subscribers/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,8,44,496,501,1129,1170,1189,0,0),('management',1190,1170,'admin/config/media/newsletter/subscribers/fields/%/edit','admin/config/media/newsletter/subscribers/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,496,501,1129,1170,1190,0,0),('management',1191,1170,'admin/config/media/newsletter/subscribers/fields/%/field-settings','admin/config/media/newsletter/subscribers/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,496,501,1129,1170,1191,0,0),('management',1192,1170,'admin/config/media/newsletter/subscribers/fields/%/widget-type','admin/config/media/newsletter/subscribers/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,496,501,1129,1170,1192,0,0),('management',1193,1171,'admin/config/media/newsletter/templates/fields/%/delete','admin/config/media/newsletter/templates/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,8,44,496,502,1130,1171,1193,0,0),('management',1194,1171,'admin/config/media/newsletter/templates/fields/%/edit','admin/config/media/newsletter/templates/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,496,502,1130,1171,1194,0,0),('management',1195,1171,'admin/config/media/newsletter/templates/fields/%/field-settings','admin/config/media/newsletter/templates/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,496,502,1130,1171,1195,0,0),('management',1196,1171,'admin/config/media/newsletter/templates/fields/%/widget-type','admin/config/media/newsletter/templates/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,496,502,1130,1171,1196,0,0),('management',1197,1172,'admin/structure/types/manage/%/fields/%/delete','admin/structure/types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,35,112,1131,1172,1197,0,0,0),('management',1198,1172,'admin/structure/types/manage/%/fields/%/edit','admin/structure/types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,112,1131,1172,1198,0,0,0),('management',1199,1172,'admin/structure/types/manage/%/fields/%/field-settings','admin/structure/types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,112,1131,1172,1199,0,0,0),('management',1200,1172,'admin/structure/types/manage/%/fields/%/widget-type','admin/structure/types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,112,1131,1172,1200,0,0,0),('management',1201,1188,'admin/structure/types/manage/%/comment/fields/%/delete','admin/structure/types/manage/%/comment/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,35,112,148,1188,1201,0,0,0),('management',1202,1188,'admin/structure/types/manage/%/comment/fields/%/edit','admin/structure/types/manage/%/comment/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,112,148,1188,1202,0,0,0),('management',1203,1188,'admin/structure/types/manage/%/comment/fields/%/field-settings','admin/structure/types/manage/%/comment/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,112,148,1188,1203,0,0,0),('management',1204,1188,'admin/structure/types/manage/%/comment/fields/%/widget-type','admin/structure/types/manage/%/comment/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,112,148,1188,1204,0,0,0);
/*!40000 ALTER TABLE `menu_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_router`
--

DROP TABLE IF EXISTS `menu_router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_router` (
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',
  `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',
  `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',
  `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',
  `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',
  `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',
  `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',
  `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',
  `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',
  `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',
  `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',
  `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',
  `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',
  `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',
  `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',
  `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',
  `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',
  `description` text NOT NULL COMMENT 'A description of this item.',
  `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',
  `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',
  PRIMARY KEY (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_router`
--

LOCK TABLES `menu_router` WRITE;
/*!40000 ALTER TABLE `menu_router` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_router` VALUES ('admin','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',1,1,0,'','admin','Administration','t','','','a:0:{}',6,'','',9,'modules/system/system.admin.inc'),('admin/appearance','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',3,2,0,'','admin/appearance','Appearance','t','','','a:0:{}',6,'Select and configure your themes.','left',-6,'modules/system/system.admin.inc'),('admin/appearance/default','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_default','a:0:{}','',7,3,0,'','admin/appearance/default','Set default theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/disable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_disable','a:0:{}','',7,3,0,'','admin/appearance/disable','Disable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/enable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_enable','a:0:{}','',7,3,0,'','admin/appearance/enable','Enable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Install new theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/appearance/list','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',7,3,1,'admin/appearance','admin/appearance','List','t','','','a:0:{}',140,'Select and configure your theme','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',7,3,1,'admin/appearance','admin/appearance','Settings','t','','','a:0:{}',132,'Configure default and theme specific settings.','',20,'modules/system/system.admin.inc'),('admin/appearance/settings/autox','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:33:\"sites/all/themes/autox/autox.info\";s:4:\"name\";s:5:\"autox\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Autox\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:5:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:50:\"sites/all/themes/autox/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:56:\"sites/all/themes/autox/bootstrap/css/bootstrap-theme.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/autox/fonts/stylesheet.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/autox/css/base.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/autox/css/html.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/autox/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/autox/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/autox/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/autox/css/page.css\";}s:33:\"only screen and (max-width:991px)\";a:2:{s:22:\"css/screens/common.css\";s:45:\"sites/all/themes/autox/css/screens/common.css\";s:19:\"css/mobile-menu.css\";s:42:\"sites/all/themes/autox/css/mobile-menu.css\";}s:56:\"only screen and (min-width:992px) and (max-width:1199px)\";a:1:{s:22:\"css/screens/tablet.css\";s:45:\"sites/all/themes/autox/css/screens/tablet.css\";}s:55:\"only screen and (min-width:768px) and (max-width:991px)\";a:1:{s:31:\"css/screens/vertical_tablet.css\";s:54:\"sites/all/themes/autox/css/screens/vertical_tablet.css\";}s:33:\"only screen and (max-width:767px)\";a:1:{s:22:\"css/screens/mobile.css\";s:45:\"sites/all/themes/autox/css/screens/mobile.css\";}}s:7:\"scripts\";a:8:{s:19:\"js/jquery.appear.js\";s:42:\"sites/all/themes/autox/js/jquery.appear.js\";s:25:\"bootstrap/js/bootstrap.js\";s:48:\"sites/all/themes/autox/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:42:\"sites/all/themes/autox/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:49:\"sites/all/themes/autox/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:43:\"sites/all/themes/autox/js/jquery.countTo.js\";s:17:\"js/mobile_menu.js\";s:40:\"sites/all/themes/autox/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/autox/js/weebpal.js\";s:11:\"js/autox.js\";s:34:\"sites/all/themes/autox/js/autox.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:27:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:14:\"panel_featured\";s:14:\"Panel Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:11:\"panel_first\";s:11:\"Panel First\";s:12:\"panel_second\";s:12:\"Panel Second\";s:11:\"panel_third\";s:11:\"Panel Third\";s:12:\"panel_fourth\";s:12:\"Panel Fourth\";s:11:\"panel_fifth\";s:11:\"Panel Fifth\";s:11:\"panel_sixth\";s:11:\"Panel Sixth\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:14:\"panel_footer_5\";s:14:\"Panel Footer 5\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:12:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:22:\"panel_featured_1_width\";s:1:\"3\";s:22:\"panel_featured_2_width\";s:1:\"3\";s:22:\"panel_featured_3_width\";s:1:\"3\";s:22:\"panel_featured_4_width\";s:1:\"3\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"2\";s:20:\"panel_footer_3_width\";s:1:\"2\";s:20:\"panel_footer_4_width\";s:1:\"2\";s:20:\"panel_footer_5_width\";s:1:\"3\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:5:\"light\";s:5:\"Light\";s:4:\"blue\";s:4:\"Blue\";s:4:\"pink\";s:4:\"Pink\";s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:37:\"sites/all/themes/autox/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499940454;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:5:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:50:\"sites/all/themes/autox/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:56:\"sites/all/themes/autox/bootstrap/css/bootstrap-theme.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/autox/fonts/stylesheet.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/autox/css/base.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/autox/css/html.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/autox/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/autox/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/autox/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/autox/css/page.css\";}s:33:\"only screen and (max-width:991px)\";a:2:{s:22:\"css/screens/common.css\";s:45:\"sites/all/themes/autox/css/screens/common.css\";s:19:\"css/mobile-menu.css\";s:42:\"sites/all/themes/autox/css/mobile-menu.css\";}s:56:\"only screen and (min-width:992px) and (max-width:1199px)\";a:1:{s:22:\"css/screens/tablet.css\";s:45:\"sites/all/themes/autox/css/screens/tablet.css\";}s:55:\"only screen and (min-width:768px) and (max-width:991px)\";a:1:{s:31:\"css/screens/vertical_tablet.css\";s:54:\"sites/all/themes/autox/css/screens/vertical_tablet.css\";}s:33:\"only screen and (max-width:767px)\";a:1:{s:22:\"css/screens/mobile.css\";s:45:\"sites/all/themes/autox/css/screens/mobile.css\";}}s:7:\"scripts\";a:8:{s:19:\"js/jquery.appear.js\";s:42:\"sites/all/themes/autox/js/jquery.appear.js\";s:25:\"bootstrap/js/bootstrap.js\";s:48:\"sites/all/themes/autox/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:42:\"sites/all/themes/autox/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:49:\"sites/all/themes/autox/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:43:\"sites/all/themes/autox/js/jquery.countTo.js\";s:17:\"js/mobile_menu.js\";s:40:\"sites/all/themes/autox/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/autox/js/weebpal.js\";s:11:\"js/autox.js\";s:34:\"sites/all/themes/autox/js/autox.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"autox\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Autox','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/bartik','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:6:\"bartik\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Bartik','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/garland','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:7:\"garland\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Garland','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/global','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Global settings','t','','','a:0:{}',140,'','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings/seven','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"seven\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Seven','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/stark','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"stark\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Stark','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/we_backend','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:10:\"we_backend\";}','',15,4,1,'admin/appearance/settings','admin/appearance','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/compact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_compact_page','a:0:{}','',3,2,0,'','admin/compact','Compact mode','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_config_page','a:0:{}','',3,2,0,'','admin/config','Configuration','t','','','a:0:{}',6,'Administer settings.','',0,'modules/system/system.admin.inc'),('admin/config/administration','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/administration','Administration','t','','','a:0:{}',6,'Administration tools.','',0,'modules/system/system.admin.inc'),('admin/config/administration/admin_menu','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"admin_menu_theme_settings\";}','',15,4,0,'','admin/config/administration/admin_menu','Administration menu','t','','','a:0:{}',6,'Adjust administration menu settings.','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('admin/config/content','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/content','Content authoring','t','','','a:0:{}',6,'Settings related to formatting and authoring content.','left',-15,'modules/system/system.admin.inc'),('admin/config/content/email','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"email_admin_settings\";}','',15,4,0,'','admin/config/content/email','Email Contact Form Settings','t','','','a:0:{}',6,'Administer flood control settings for email contact forms','',0,''),('admin/config/content/formats','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',15,4,0,'','admin/config/content/formats','Text formats','t','','','a:0:{}',6,'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%','a:1:{i:4;s:18:\"filter_format_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/config/content/formats/%','','filter_admin_format_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%/disable','a:1:{i:4;s:18:\"filter_format_load\";}','','_filter_disable_format_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:20:\"filter_admin_disable\";i:1;i:4;}','',61,6,0,'','admin/config/content/formats/%/disable','Disable text format','t','','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/add','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:0:{}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','Add text format','t','','','a:0:{}',388,'','',1,'modules/filter/filter.admin.inc'),('admin/config/content/formats/list','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','List','t','','','a:0:{}',140,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/location','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"location_admin_settings\";}','',15,4,0,'','admin/config/content/location','Location','t','','','a:0:{}',6,'Settings for Location module','',0,'sites/all/modules/location/location.admin.inc'),('admin/config/content/location/geocoding','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"location_geocoding_options_form\";}','',31,5,1,'admin/config/content/location','admin/config/content/location','Geocoding options','t','','','a:0:{}',132,'','',2,'sites/all/modules/location/location.admin.inc'),('admin/config/content/location/geocoding/%/%','a:2:{i:5;N;i:6;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','location_geocoding_parameters_page','a:2:{i:0;i:5;i:1;i:6;}','',124,7,0,'','admin/config/content/location/geocoding/%/%','','t','','','a:0:{}',0,'','',0,''),('admin/config/content/location/main','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"location_admin_settings\";}','',31,5,1,'admin/config/content/location','admin/config/content/location','Main settings','t','','','a:0:{}',140,'','',0,'sites/all/modules/location/location.admin.inc'),('admin/config/content/location/maplinking','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:30:\"location_map_link_options_form\";}','',31,5,1,'admin/config/content/location','admin/config/content/location','Map links','t','','','a:0:{}',132,'','',1,'sites/all/modules/location/location.admin.inc'),('admin/config/content/location/util','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:18:\"location_util_form\";}','',31,5,1,'admin/config/content/location','admin/config/content/location','Location utilities','t','','','a:0:{}',132,'','',3,'sites/all/modules/location/location.admin.inc'),('admin/config/content/tagclouds','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:18:\"tagclouds_settings\";}','',15,4,0,'','admin/config/content/tagclouds','TagClouds configuration','t','','','a:0:{}',6,'Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.','',0,''),('admin/config/content/webform','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:22:\"webform_admin_settings\";}','',15,4,0,'','admin/config/content/webform','Webform settings','t','','','a:0:{}',6,'Global configuration of webform functionality.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/config/date','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/date','Date API','t','','','a:0:{}',6,'Settings for modules the use the Date API.','left',-10,'modules/system/system.admin.inc'),('admin/config/date/date_popup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:19:\"date_popup_settings\";}','',15,4,0,'','admin/config/date/date_popup','Date Popup','t','','','a:0:{}',6,'Configure the Date Popup settings.','',0,''),('admin/config/development','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/development','Development','t','','','a:0:{}',6,'Development tools.','right',-10,'modules/system/system.admin.inc'),('admin/config/development/jquery_update','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"jquery_update_settings_form\";}','',15,4,0,'','admin/config/development/jquery_update','jQuery update','t','','','a:0:{}',6,'Configure settings related to the jQuery upgrade, the library path and compression.','',0,''),('admin/config/development/logging','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"system_logging_settings\";}','',15,4,0,'','admin/config/development/logging','Logging and errors','t','','','a:0:{}',6,'Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','',-15,'modules/system/system.admin.inc'),('admin/config/development/maintenance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"system_site_maintenance_mode\";}','',15,4,0,'','admin/config/development/maintenance','Maintenance mode','t','','','a:0:{}',6,'Take the site offline for maintenance or bring it back online.','',-10,'modules/system/system.admin.inc'),('admin/config/development/modal_forms','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:26:\"modal_forms_admin_settings\";}','',15,4,0,'','admin/config/development/modal_forms','Modal forms','t','','','a:0:{}',6,'Adjust Modal forms settings.','',0,'sites/all/modules/modal_forms/modal_forms.admin.inc'),('admin/config/development/performance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_performance_settings\";}','',15,4,0,'','admin/config/development/performance','Performance','t','','','a:0:{}',6,'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','',-20,'modules/system/system.admin.inc'),('admin/config/media','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/media','Media','t','','','a:0:{}',6,'Media tools.','left',-10,'modules/system/system.admin.inc'),('admin/config/media/file-system','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_file_system_settings\";}','',15,4,0,'','admin/config/media/file-system','File system','t','','','a:0:{}',6,'Tell Drupal where to store uploaded files and how they are accessed.','',-10,'modules/system/system.admin.inc'),('admin/config/media/flexslider','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','',15,4,0,'','admin/config/media/flexslider','FlexSlider','t','','','a:0:{}',6,'Administer FlexSlider presets.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/add','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:3:\"add\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/advanced','','','user_access','a:1:{i:0;s:21:\"administer flexslider\";}','drupal_get_form','a:1:{i:0;s:24:\"flexslider_form_settings\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Advanced settings','t','','','a:0:{}',132,'Configure the advanced flexslider module settings.','',2,'sites/all/modules/flexslider/flexslider.admin.inc'),('admin/config/media/flexslider/import','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"import\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','',62,6,0,'','admin/config/media/flexslider/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/clone','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/delete','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/disable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/edit','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','',125,7,1,'admin/config/media/flexslider/list/%','admin/config/media/flexslider/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/enable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/export','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:5;}','',125,7,1,'admin/config/media/flexslider/list/%','admin/config/media/flexslider/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/revert','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"revert\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/image-styles','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',15,4,0,'','admin/config/media/image-styles','Image styles','t','','','a:0:{}',6,'Configure styles that can be used for resizing or adjusting images on display.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/add','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:1:{i:0;s:20:\"image_style_add_form\";}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','Add style','t','','','a:0:{}',388,'Add a new image style.','',2,'modules/image/image.admin.inc'),('admin/config/media/image-styles/delete/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"1\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/delete/%','Delete style','t','','','a:0:{}',6,'Delete an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%','a:1:{i:5;s:16:\"image_style_load\";}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:16:\"image_style_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/edit/%','Edit style','t','','','a:0:{}',6,'Configure an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/add/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:28:\"image_effect_definition_load\";a:1:{i:0;i:5;}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/add/%','Add image effect','t','','','a:0:{}',6,'Add a new effect to a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','t','','','a:0:{}',6,'Edit an existing effect within a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%/delete','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:24:\"image_effect_delete_form\";i:1;i:5;i:2;i:7;}','',501,9,0,'','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','t','','','a:0:{}',6,'Delete an existing effect from a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/list','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','List','t','','','a:0:{}',140,'List the current image styles on the site.','',1,'modules/image/image.admin.inc'),('admin/config/media/image-styles/revert/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"2\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_revert_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/revert/%','Revert style','t','','','a:0:{}',6,'Revert an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-toolkit','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"system_image_toolkit_settings\";}','',15,4,0,'','admin/config/media/image-toolkit','Image toolkit','t','','','a:0:{}',6,'Choose which image toolkit to use if you have installed optional toolkits.','',20,'modules/system/system.admin.inc'),('admin/config/media/newsletter','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',15,4,0,'','admin/config/media/newsletter','Newsletters','t','','','a:0:{}',6,'Manage newsletters, subscribers, and settings.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/archive','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:28:\"access newsletter statistics\";}}}','views_page','a:2:{i:0;s:18:\"newsletter_archive\";i:1;s:4:\"page\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Issue archive','t','','','a:0:{}',132,'','',1,''),('admin/config/media/newsletter/configure','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:20:\"newsletter_configure\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Settings','t','','','a:0:{}',132,'Configure newsletter lists.','',5,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_draft_manual_list','a:0:{}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Create/Send','t','','','a:0:{}',132,'Create custom static newsletters and send non-automated ones','',1,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/draft/%','a:1:{i:6;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_form_send_draft\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/create-send/draft/%','Send a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/draft/delete/%','a:1:{i:7;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:28:\"newsletter_form_delete_draft\";i:1;i:7;}','',254,8,0,'','admin/config/media/newsletter/create-send/draft/delete/%','Delete a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/new','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:22:\"newsletter_create_send\";}','',63,6,1,'admin/config/media/newsletter/create-send','admin/config/media/newsletter','Create and send a custom newsletter','t','','','a:0:{}',388,'Create a custom static newsletter','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/newsletter/delete/%','a:1:{i:7;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:33:\"newsletter_form_delete_newsletter\";i:1;i:7;}','',254,8,0,'','admin/config/media/newsletter/create-send/newsletter/delete/%','Delete a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/send/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_manual_send','a:1:{i:0;i:6;}','',126,7,0,'','admin/config/media/newsletter/create-send/send/%','Send a manual newsletter','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:15:\"newsletter_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Lists','t','','','a:0:{}',132,'Find and manage newsletter lists.','',2,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_list_add','a:0:{}','',63,6,1,'admin/config/media/newsletter/lists','admin/config/media/newsletter','Add new list','t','','','a:0:{}',388,'Add new newsletter list.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/delete/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:22:\"newsletter_list_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/lists/delete/%','Delete newsletter list','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/edit/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:20:\"newsletter_list_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/lists/edit/%','Edit newsletter list','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Statistics','t','','','a:0:{}',140,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats/general','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',63,6,1,'admin/config/media/newsletter/stats','admin/config/media/newsletter','General','t','','','a:0:{}',140,'Watch general statistics.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats/graphic','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','newsletter_stats_graphic','a:0:{}','',63,6,1,'admin/config/media/newsletter/stats','admin/config/media/newsletter','Graphic','t','','','a:0:{}',132,'Watch advanced JQuery statistics.','',1,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:26:\"newsletter_subscriber_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Subscribers','t','','','a:0:{}',132,'List subscribers.','',3,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_subscriber_add','a:0:{}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Add new subscriber','t','','','a:0:{}',388,'Add new list subscriber.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/add-mass','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:30:\"newsletter_subscriber_add_mass\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Add subscribers (Mass)','t','','','a:0:{}',388,'Add subscribers.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/delete/%','a:1:{i:6;s:26:\"newsletter_subscriber_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:28:\"newsletter_subscriber_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/delete/%','Delete subscriber','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:7:\"default\";}','',127,7,1,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:5:\"token\";}','',127,7,1,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/edit/%','a:1:{i:6;s:26:\"newsletter_subscriber_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_subscriber_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/edit/%','Edit newsletter subscriber','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/newsletter/subscribers/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/media/newsletter/subscribers/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/newsletter/subscribers/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/media/newsletter/templates','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:24:\"newsletter_template_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Templates','t','','','a:0:{}',132,'Administer newsletter templates.','',4,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/confirmation','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"1\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Confirmation','t','','','a:0:{}',132,'Edit confirmation template.','',-9,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/delete/%','a:1:{i:6;s:24:\"newsletter_template_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_template_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/delete/%','Delete newsletter templates','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:7:\"default\";}','',127,7,1,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:5:\"token\";}','',127,7,1,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/edit/%','a:1:{i:6;s:24:\"newsletter_template_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:24:\"newsletter_template_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/edit/%','Edit newsletter templates','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/newsletter/templates/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/media/newsletter/templates/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/newsletter/templates/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/media/newsletter/templates/mail','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:24:\"newsletter_template_list\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Mail templates','t','','','a:0:{}',140,'Administer mail templates.','',-10,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/mail/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_template_add','a:0:{}','',127,7,1,'admin/config/media/newsletter/templates/mail','admin/config/media/newsletter','Add new mail template','t','','','a:0:{}',388,'Administer mail templates.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/unsubscribe','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"3\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Unsubscribe','t','','','a:0:{}',132,'Edit unsubscribe template.','',-7,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/welcome','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"2\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Welcome','t','','','a:0:{}',132,'Edit welcome template.','',-8,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/people','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/people','People','t','','','a:0:{}',6,'Configure user accounts.','left',-20,'modules/system/system.admin.inc'),('admin/config/people/accounts','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',15,4,0,'','admin/config/people/accounts','Account settings','t','','','a:0:{}',6,'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','',-10,'modules/user/user.admin.inc'),('admin/config/people/accounts/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:4:\"full\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','User account','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/people/accounts/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/settings','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Settings','t','','','a:0:{}',140,'','',-10,'modules/user/user.admin.inc'),('admin/config/people/ip-blocking','','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','system_ip_blocking','a:0:{}','',15,4,0,'','admin/config/people/ip-blocking','IP address blocking','t','','','a:0:{}',6,'Manage blocked IP addresses.','',10,'modules/system/system.admin.inc'),('admin/config/people/ip-blocking/delete/%','a:1:{i:5;s:15:\"blocked_ip_load\";}','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','drupal_get_form','a:2:{i:0;s:25:\"system_ip_blocking_delete\";i:1;i:5;}','',62,6,0,'','admin/config/people/ip-blocking/delete/%','Delete IP address','t','','','a:0:{}',6,'','',0,'modules/system/system.admin.inc'),('admin/config/regional','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/regional','Regional and language','t','','','a:0:{}',6,'Regional settings, localization and translation.','left',-5,'modules/system/system.admin.inc'),('admin/config/regional/countries','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','countries_admin_overview','a:0:{}','',15,4,0,'','admin/config/regional/countries','Countries','t','','','a:0:{}',6,'List, edit, or add countries.','',0,'sites/all/modules/countries/countries.admin.inc'),('admin/config/regional/countries/%','a:1:{i:4;s:12:\"country_load\";}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','countries_admin_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/config/regional/countries/%','','countries_page_title','a:1:{i:0;i:4;}','','a:0:{}',4,'Edit a country.','',0,'sites/all/modules/countries/countries.admin.inc'),('admin/config/regional/countries/%/delete','a:1:{i:4;s:12:\"country_load\";}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:22:\"countries_admin_delete\";i:1;i:4;}','',61,6,0,'','admin/config/regional/countries/%/delete','Delete country','t','','','a:0:{}',4,'Country delete confirmation form.','',0,'sites/all/modules/countries/countries.admin.inc'),('admin/config/regional/countries/%/edit','a:1:{i:4;s:12:\"country_load\";}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','countries_admin_page','a:1:{i:0;i:4;}','',61,6,1,'admin/config/regional/countries/%','admin/config/regional/countries/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/countries/countries.admin.inc'),('admin/config/regional/countries/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','countries_admin_page','a:0:{}','',31,5,1,'admin/config/regional/countries','admin/config/regional/countries','Add country','t','','','a:0:{}',388,'Admin page to add a country.','',1,'sites/all/modules/countries/countries.admin.inc'),('admin/config/regional/countries/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"country\";i:2;s:7:\"country\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/regional/countries','admin/config/regional/countries','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"country\";i:2;s:7:\"country\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/regional/countries/display','admin/config/regional/countries','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"country\";i:2;s:7:\"country\";i:3;s:4:\"full\";}','',63,6,1,'admin/config/regional/countries/display','admin/config/regional/countries','Country','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"country\";i:2;s:7:\"country\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/regional/countries/display','admin/config/regional/countries','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:7:\"country\";i:2;s:7:\"country\";}','',31,5,1,'admin/config/regional/countries','admin/config/regional/countries','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/countries/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/regional/countries/fields/%','admin/config/regional/countries/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/regional/countries/fields/%','admin/config/regional/countries/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/regional/countries/fields/%','admin/config/regional/countries/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:29:\"administer site configuration\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/regional/countries/fields/%','admin/config/regional/countries/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/regional/countries/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/countries/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/regional/countries/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"country\";i:1;s:7:\"country\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/countries/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/regional/countries/import','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"countries_admin_import_form\";}','',31,5,1,'admin/config/regional/countries','admin/config/regional/countries','Update countries','t','','','a:0:{}',388,'Bulk import countries from the ISO standard.','',2,'sites/all/modules/countries/countries.admin.inc'),('admin/config/regional/countries/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','countries_admin_overview','a:0:{}','',31,5,1,'admin/config/regional/countries','admin/config/regional/countries','List','t','','','a:0:{}',140,'','',0,'sites/all/modules/countries/countries.admin.inc'),('admin/config/regional/date-time','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',15,4,0,'','admin/config/regional/date-time','Date and time','t','','','a:0:{}',6,'Configure display formats for date and time.','',-15,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_formats','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Formats','t','','','a:0:{}',132,'Configure display format strings for date and time.','',-9,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:30:\"system_date_delete_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/delete','Delete date format','t','','','a:0:{}',6,'Allow users to delete a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:34:\"system_configure_date_formats_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/edit','Edit date format','t','','','a:0:{}',6,'Allow users to edit a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"system_configure_date_formats_form\";}','',63,6,1,'admin/config/regional/date-time/formats','admin/config/regional/date-time','Add format','t','','','a:0:{}',388,'Allow users to add additional date formats.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/lookup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_lookup','a:0:{}','',63,6,0,'','admin/config/regional/date-time/formats/lookup','Date and time lookup','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/locale','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','locale_date_format_language_overview_page','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Localize','t','','','a:0:{}',132,'Configure date formats for each locale','',-8,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"locale_date_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/edit','Localize date formats','t','','','a:0:{}',6,'Configure date formats for each locale','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/reset','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:29:\"locale_date_format_reset_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/reset','Reset date formats','t','','','a:0:{}',6,'Reset localized date formats to global defaults','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/types','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Types','t','','','a:0:{}',140,'Configure display formats for date and time.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:35:\"system_delete_date_format_type_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/types/%/delete','Delete date type','t','','','a:0:{}',6,'Allow users to delete a configured date type.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_add_date_format_type_form\";}','',63,6,1,'admin/config/regional/date-time/types','admin/config/regional/date-time','Add date type','t','','','a:0:{}',388,'Add new date type.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/language','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',15,4,0,'','admin/config/regional/language','Languages','t','','','a:0:{}',6,'Configure languages for content and the user interface.','',-10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/add','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','locale_languages_add_screen','a:0:{}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Add language','t','','','a:0:{}',388,'','',5,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:31:\"locale_languages_configure_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Detection and selection','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/session','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:38:\"locale_language_providers_session_form\";}','',63,6,0,'','admin/config/regional/language/configure/session','Session language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/url','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:34:\"locale_language_providers_url_form\";}','',63,6,0,'','admin/config/regional/language/configure/url','URL language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:28:\"locale_languages_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/delete/%','Confirm','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_languages_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/edit/%','Edit language','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/overview','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','List','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:24:\"system_regional_settings\";}','',15,4,0,'','admin/config/regional/settings','Regional settings','t','','','a:0:{}',6,'Settings for the site\'s default time zone and country.','',-20,'modules/system/system.admin.inc'),('admin/config/regional/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',15,4,0,'','admin/config/regional/translate','Translate interface','t','','','a:0:{}',6,'Translate the built in interface and optionally other text.','',-5,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_delete_page','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/regional/translate/delete/%','Delete string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_translate_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/translate/edit/%','Edit string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/export','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_export_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Export','t','','','a:0:{}',132,'','',30,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/import','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:1:{i:0;s:28:\"locale_translate_import_form\";}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Import','t','','','a:0:{}',132,'','',20,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/overview','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Overview','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_seek_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Translate','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/search','Search and metadata','t','','','a:0:{}',6,'Local site search, metadata and SEO.','left',-10,'modules/system/system.admin.inc'),('admin/config/search/clean-urls','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_clean_url_settings\";}','',15,4,0,'','admin/config/search/clean-urls','Clean URLs','t','','','a:0:{}',6,'Enable or disable clean URLs for your site.','',5,'modules/system/system.admin.inc'),('admin/config/search/clean-urls/check','','','1','a:0:{}','drupal_json_output','a:1:{i:0;a:1:{s:6:\"status\";b:1;}}','',31,5,0,'','admin/config/search/clean-urls/check','Clean URL check','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/search/metatags_quick','','','user_access','a:1:{i:0;s:25:\"administer metatags_quick\";}','drupal_get_form','a:1:{i:0;s:29:\"metatags_quick_admin_settings\";}','',15,4,0,'','admin/config/search/metatags_quick','Meta tags (quick) settings','t','','','a:0:{}',6,'','',0,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/metatags_quick/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"metatags_path_based\";i:2;s:19:\"metatags_path_based\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"metatags_path_based\";i:2;s:19:\"metatags_path_based\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/search/metatags_quick/display','admin/config/search/metatags_quick','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"metatags_path_based\";i:2;s:19:\"metatags_path_based\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/search/metatags_quick/display','admin/config/search/metatags_quick','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:19:\"metatags_path_based\";i:2;s:19:\"metatags_path_based\";}','',31,5,1,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/search/metatags_quick/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"edit metatags_quick\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/search/metatags_quick/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/search/metatags_quick/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"edit metatags_quick\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/config/search/metatags_quick/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/search/metatags_quick/path_based','','','user_access','a:1:{i:0;s:30:\"edit path_based metatags_quick\";}','drupal_get_form','a:1:{i:0;s:31:\"metatags_quick_admin_path_based\";}','',31,5,1,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','Path-Based Metatags','t','','','a:0:{}',132,'','',50,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/metatags_quick/path_based/delete','','','user_access','a:1:{i:0;s:30:\"edit path_based metatags_quick\";}','drupal_get_form','a:1:{i:0;s:38:\"metatags_quick_admin_path_based_delete\";}','',63,6,0,'','admin/config/search/metatags_quick/path_based/delete','Path-Based Metatags','t','','','a:0:{}',0,'','',0,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/metatags_quick/path_based/edit','','','user_access','a:1:{i:0;s:30:\"edit path_based metatags_quick\";}','drupal_get_form','a:1:{i:0;s:36:\"metatags_quick_admin_path_based_edit\";}','',63,6,0,'','admin/config/search/metatags_quick/path_based/edit','Path-Based Metatags','t','','','a:0:{}',0,'','',0,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/metatags_quick/settings','','','user_access','a:1:{i:0;s:25:\"administer metatags_quick\";}','drupal_get_form','a:1:{i:0;s:29:\"metatags_quick_admin_settings\";}','',31,5,1,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','General','t','','','a:0:{}',140,'','',0,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/path','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',15,4,0,'','admin/config/search/path','URL aliases','t','','','a:0:{}',6,'Change your site\'s URL paths by aliasing them.','',-5,'modules/path/path.admin.inc'),('admin/config/search/path/add','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','Add alias','t','','','a:0:{}',388,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:2:{i:0;s:25:\"path_admin_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/config/search/path/delete/%','Delete alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:21:\"pathauto_admin_delete\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Delete aliases','t','','','a:0:{}',132,'','',40,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/edit/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/search/path/edit/%','Edit alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/list','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','List','t','','','a:0:{}',140,'','',-10,'modules/path/path.admin.inc'),('admin/config/search/path/patterns','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_patterns_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Patterns','t','','','a:0:{}',132,'','',10,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/settings','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_settings_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Settings','t','','','a:0:{}',132,'','',20,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/update_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:25:\"pathauto_bulk_update_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Bulk generate','t','','','a:0:{}',132,'','',30,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/settings','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:21:\"search_admin_settings\";}','',15,4,0,'','admin/config/search/settings','Search settings','t','','','a:0:{}',6,'Configure relevance settings for search and other indexing options.','',-10,'modules/search/search.admin.inc'),('admin/config/search/settings/reindex','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:22:\"search_reindex_confirm\";}','',31,5,0,'','admin/config/search/settings/reindex','Clear index','t','','','a:0:{}',4,'','',0,'modules/search/search.admin.inc'),('admin/config/services','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/services','Web services','t','','','a:0:{}',6,'Tools related to web services.','right',0,'modules/system/system.admin.inc'),('admin/config/services/gmap','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:19:\"gmap_admin_settings\";}','',15,4,0,'','admin/config/services/gmap','GMap','t','','','a:0:{}',6,'Configure GMap settings','',0,'sites/all/modules/gmap/gmap_settings_ui.inc'),('admin/config/services/rss-publishing','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_rss_feeds_settings\";}','',15,4,0,'','admin/config/services/rss-publishing','RSS publishing','t','','','a:0:{}',6,'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','',0,'modules/system/system.admin.inc'),('admin/config/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/system','System','t','','','a:0:{}',6,'General system related configuration.','right',-20,'modules/system/system.admin.inc'),('admin/config/system/actions','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',15,4,0,'','admin/config/system/actions','Actions','t','','','a:0:{}',6,'Manage the actions defined for your site.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/configure','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:1:{i:0;s:24:\"system_actions_configure\";}','',31,5,0,'','admin/config/system/actions/configure','Configure an advanced action','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/delete/%','a:1:{i:5;s:12:\"actions_load\";}','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:2:{i:0;s:26:\"system_actions_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/system/actions/delete/%','Delete action','t','','','a:0:{}',6,'Delete an action.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/manage','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',31,5,1,'admin/config/system/actions','admin/config/system/actions','Manage actions','t','','','a:0:{}',140,'Manage the actions defined for your site.','',-2,'modules/system/system.admin.inc'),('admin/config/system/actions/orphan','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_remove_orphans','a:0:{}','',31,5,0,'','admin/config/system/actions/orphan','Remove orphans','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/system/cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"system_cron_settings\";}','',15,4,0,'','admin/config/system/cron','Cron','t','','','a:0:{}',6,'Manage automatic site maintenance tasks.','',20,'modules/system/system.admin.inc'),('admin/config/system/redirect_404','','','user_access','a:1:{i:0;s:24:\"administer redirects 404\";}','drupal_get_form','a:1:{i:0;s:21:\"redirect_404_settings\";}','',15,4,0,'','admin/config/system/redirect_404','Redirect 404','t','','','a:0:{}',6,'Redirect 404 will redirect your user to the server(s) outlined below preserving the full request URL.','',0,''),('admin/config/system/site-information','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_site_information_settings\";}','',15,4,0,'','admin/config/system/site-information','Site information','t','','','a:0:{}',6,'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','',-20,'modules/system/system.admin.inc'),('admin/config/user-interface','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/user-interface','User interface','t','','','a:0:{}',6,'Tools that enhance the user interface.','right',-15,'modules/system/system.admin.inc'),('admin/config/user-interface/menu-breadcrumb','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:35:\"menu_breadcrumb_admin_settings_form\";}','',15,4,0,'','admin/config/user-interface/menu-breadcrumb','Menu Breadcrumb','t','','','a:0:{}',6,'Configure menu breadcrumb.','',0,''),('admin/config/user-interface/modulefilter','','','user_access','a:1:{i:0;s:24:\"administer module filter\";}','drupal_get_form','a:1:{i:0;s:22:\"module_filter_settings\";}','',15,4,0,'','admin/config/user-interface/modulefilter','Module filter','t','','','a:0:{}',6,'Configure how the modules page looks and acts.','',0,'sites/all/modules/module_filter/module_filter.admin.inc'),('admin/config/user-interface/shortcut','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','shortcut_set_admin','a:0:{}','',15,4,0,'','admin/config/user-interface/shortcut','Shortcuts','t','','','a:0:{}',6,'Add and modify shortcut sets.','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',30,5,0,'','admin/config/user-interface/shortcut/%','Edit shortcuts','shortcut_set_title_callback','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:17:\"shortcut_link_add\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Add shortcut','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link-inline','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','shortcut_link_add_inline','a:1:{i:0;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/add-link-inline','Add shortcut','t','','','a:0:{}',0,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/delete','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:24:\"shortcut_set_delete_form\";i:1;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/edit','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_edit_form\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit set name','t','','','a:0:{}',132,'','',10,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/links','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','List links','t','','','a:0:{}',140,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/add-set','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','drupal_get_form','a:1:{i:0;s:21:\"shortcut_set_add_form\";}','',31,5,1,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Add shortcut set','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:\"shortcut_link_edit\";i:1;i:5;}','',62,6,0,'','admin/config/user-interface/shortcut/link/%','Edit shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%/delete','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:20:\"shortcut_link_delete\";i:1;i:5;}','',125,7,0,'','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/workflow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/workflow','Workflow','t','','','a:0:{}',6,'Content workflow, editorial workflow tools.','right',5,'modules/system/system.admin.inc'),('admin/content','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',3,2,0,'','admin/content','Content','t','','','a:0:{}',6,'Administer content and comments.','',-10,'modules/node/node.admin.inc'),('admin/content/blocks','','','user_access','a:1:{i:0;s:20:\"access bean overview\";}','bean_list','a:0:{}','',7,3,1,'admin/content','admin/content','Blocks','t','','','a:0:{}',134,'Manage blocks used on your site.','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('admin/content/comment','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',7,3,1,'admin/content','admin/content','Comments','t','','','a:0:{}',134,'List and edit site comments and the comment approval queue.','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/approval','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:1:{i:0;s:8:\"approval\";}','',15,4,1,'admin/content/comment','admin/content','Unapproved comments','comment_count_unpublished','','','a:0:{}',132,'','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/new','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',15,4,1,'admin/content/comment','admin/content','Published comments','t','','','a:0:{}',140,'','',-10,'modules/comment/comment.admin.inc'),('admin/content/node','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',7,3,1,'admin/content','admin/content','Content','t','','','a:0:{}',140,'','',-10,'modules/node/node.admin.inc'),('admin/content/webform','','','user_access','a:1:{i:0;s:26:\"access all webform results\";}','webform_admin_content','a:0:{}','',7,3,1,'admin/content','admin/content','Webforms','t','','','a:0:{}',132,'View and edit all the available webforms on your site.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/dashboard','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:0:{}','',3,2,0,'','admin/dashboard','Dashboard','t','','','a:0:{}',6,'View and customize your dashboard.','',-15,''),('admin/dashboard/block-content/%/%','a:2:{i:3;N;i:4;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_block_content','a:2:{i:0;i:3;i:1;i:4;}','',28,5,0,'','admin/dashboard/block-content/%/%','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/configure','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_admin_blocks','a:0:{}','',7,3,0,'','admin/dashboard/configure','Configure available dashboard blocks','t','','','a:0:{}',4,'Configure which blocks can be shown on the dashboard.','',0,''),('admin/dashboard/customize','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:1:{i:0;b:1;}','',7,3,0,'','admin/dashboard/customize','Customize dashboard','t','','','a:0:{}',4,'Customize your dashboard.','',0,''),('admin/dashboard/drawer','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_disabled','a:0:{}','',7,3,0,'','admin/dashboard/drawer','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/update','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_update','a:0:{}','',7,3,0,'','admin/dashboard/update','','t','','','a:0:{}',0,'','',0,''),('admin/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_main','a:0:{}','',3,2,0,'','admin/help','Help','t','','','a:0:{}',6,'Reference for usage, configuration, and modules.','',9,'modules/help/help.admin.inc'),('admin/help/admin_menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/admin_menu','admin_menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/block','block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/blog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/blog','blog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/color','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/color','color','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/comment','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/comment','comment','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context','context','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contextual','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contextual','contextual','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context_ui','context_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dashboard','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dashboard','dashboard','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/date','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/date','date','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dblog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dblog','dblog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field','field','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_collection','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_collection','field_collection','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_sql_storage','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_sql_storage','field_sql_storage','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_ui','field_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/file','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/file','file','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/filter','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/filter','filter','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/flexslider','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/flexslider','flexslider','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/fontawesome','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/fontawesome','fontawesome','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/help','help','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/image','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/image','image','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jcarousel','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jcarousel','jcarousel','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jquery_update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jquery_update','jquery_update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/libraries','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/libraries','libraries','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/list','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/list','list','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/locale','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/locale','locale','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/location','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/location','location','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu','menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu_breadcrumb','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu_breadcrumb','menu_breadcrumb','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/node','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/node','node','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/number','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/number','number','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/options','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/options','options','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/overlay','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/overlay','overlay','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/path','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/path','path','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/pathauto','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/pathauto','pathauto','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/php','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/php','php','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/redirect_404','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/redirect_404','redirect_404','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/search','search','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/shortcut','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/shortcut','shortcut','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/system','system','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/taxonomy','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/taxonomy','taxonomy','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/text','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/text','text','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/token','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/token','token','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/update','update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/user','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/user','user','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_accordion','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_accordion','views_accordion','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow','views_slideshow','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow_cycle','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow_cycle','views_slideshow_cycle','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/webform','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/webform','webform','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/index','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_index','a:0:{}','',3,2,1,'admin','admin','Index','t','','','a:0:{}',132,'','',-18,'modules/system/system.admin.inc'),('admin/modules','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',3,2,0,'','admin/modules','Modules','t','','','a:0:{}',6,'Extend site functionality.','',-2,'modules/system/system.admin.inc'),('admin/modules/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Install new module','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/modules/list','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',7,3,1,'admin/modules','admin/modules','List','t','','','a:0:{}',140,'','',0,'modules/system/system.admin.inc'),('admin/modules/list/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',15,4,0,'','admin/modules/list/confirm','List','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/uninstall','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',7,3,1,'admin/modules','admin/modules','Uninstall','t','','','a:0:{}',132,'','',20,'modules/system/system.admin.inc'),('admin/modules/uninstall/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',15,4,0,'','admin/modules/uninstall/confirm','Uninstall','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',3,2,0,'','admin/people','People','t','','','a:0:{}',6,'Manage user accounts, roles, and permissions.','left',-4,'modules/user/user.admin.inc'),('admin/people/create','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:6:\"create\";}','',7,3,1,'admin/people','admin/people','Add user','t','','','a:0:{}',388,'','',0,'modules/user/user.admin.inc'),('admin/people/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',7,3,1,'admin/people','admin/people','List','t','','','a:0:{}',140,'Find and manage people interacting with your site.','',-10,'modules/user/user.admin.inc'),('admin/people/permissions','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',7,3,1,'admin/people','admin/people','Permissions','t','','','a:0:{}',132,'Determine access to features by selecting permissions for roles.','',0,'modules/user/user.admin.inc'),('admin/people/permissions/list','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',15,4,1,'admin/people/permissions','admin/people','Permissions','t','','','a:0:{}',140,'Determine access to features by selecting permissions for roles.','',-8,'modules/user/user.admin.inc'),('admin/people/permissions/roles','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:16:\"user_admin_roles\";}','',15,4,1,'admin/people/permissions','admin/people','Roles','t','','','a:0:{}',132,'List, edit, or add user roles.','',-5,'modules/user/user.admin.inc'),('admin/people/permissions/roles/delete/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:30:\"user_admin_role_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/delete/%','Delete role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/permissions/roles/edit/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:15:\"user_admin_role\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/edit/%','Edit role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/reports','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/reports','Reports','t','','','a:0:{}',6,'View reports, updates, and errors.','left',5,'modules/system/system.admin.inc'),('admin/reports/access-denied','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:13:\"access denied\";}','',7,3,0,'','admin/reports/access-denied','Top \'access denied\' errors','t','','','a:0:{}',6,'View \'access denied\' errors (403s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/dblog','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_overview','a:0:{}','',7,3,0,'','admin/reports/dblog','Recent log messages','t','','','a:0:{}',6,'View events that have recently been logged.','',-1,'modules/dblog/dblog.admin.inc'),('admin/reports/event/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_event','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/event/%','Details','t','','','a:0:{}',6,'','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/fields','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',7,3,0,'','admin/reports/fields','Field list','t','','','a:0:{}',6,'Overview of fields on all entity types.','',0,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','List','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/views-fields','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_field_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','Used in views','t','','','a:0:{}',132,'Overview of fields used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/libraries','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','drupal_get_form','a:1:{i:0;s:24:\"libraries_admin_overview\";}','',7,3,0,'','admin/reports/libraries','Libraries','t','','','a:0:{}',6,'An overview of libraries installed on this site.','',0,'sites/all/modules/libraries/libraries.admin.inc'),('admin/reports/libraries/%','a:1:{i:3;s:17:\"libraries_ui_load\";}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','drupal_get_form','a:2:{i:0;s:35:\"libraries_admin_library_status_form\";i:1;i:3;}','',14,4,0,'','admin/reports/libraries/%','Library status report','t','','','a:0:{}',6,'Status overview for a single library','',0,'sites/all/modules/libraries/libraries.admin.inc'),('admin/reports/page-not-found','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:14:\"page not found\";}','',7,3,0,'','admin/reports/page-not-found','Top \'page not found\' errors','t','','','a:0:{}',6,'View \'page not found\' errors (404s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/search','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:6:\"search\";}','',7,3,0,'','admin/reports/search','Top search phrases','t','','','a:0:{}',6,'View most popular search phrases.','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/status','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_status','a:0:{}','',7,3,0,'','admin/reports/status','Status report','t','','','a:0:{}',6,'Get a status report about your site\'s operation and any detected problems.','',-60,'modules/system/system.admin.inc'),('admin/reports/status/php','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_php','a:0:{}','',15,4,0,'','admin/reports/status/php','PHP','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/status/rebuild','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','drupal_get_form','a:1:{i:0;s:30:\"node_configure_rebuild_confirm\";}','',15,4,0,'','admin/reports/status/rebuild','Rebuild permissions','t','','','a:0:{}',0,'','',0,'modules/node/node.admin.inc'),('admin/reports/status/run-cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_run_cron','a:0:{}','',15,4,0,'','admin/reports/status/run-cron','Run cron','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/updates','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',7,3,0,'','admin/reports/updates','Available updates','t','','','a:0:{}',6,'Get a status report about available updates for your installed modules and themes.','',-50,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/check','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_manual_status','a:0:{}','',15,4,0,'','admin/reports/updates/check','Manual update check','t','','','a:0:{}',0,'','',0,'modules/update/update.fetch.inc'),('admin/reports/updates/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Install new module or theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/reports/updates/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',15,4,1,'admin/reports/updates','admin/reports/updates','List','t','','','a:0:{}',140,'','',0,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:15:\"update_settings\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Settings','t','','','a:0:{}',132,'','',50,'modules/update/update.settings.inc'),('admin/reports/updates/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/reports/views-plugins','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_plugin_list','a:0:{}','',7,3,0,'','admin/reports/views-plugins','Views plugins','t','','','a:0:{}',6,'Overview of plugins used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/structure','Structure','t','','','a:0:{}',6,'Administer blocks, content types, menus, etc.','right',-8,'modules/system/system.admin.inc'),('admin/structure/block','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','block_admin_display','a:1:{i:0;s:5:\"autox\";}','',7,3,0,'','admin/structure/block','Blocks','t','','','a:0:{}',6,'Configure what block content appears in your site\'s sidebars and other regions.','',0,'modules/block/block.admin.inc'),('admin/structure/block-types','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','bean_admin_ui_admin_page','a:0:{}','',7,3,0,'','admin/structure/block-types','Block types','t','','','a:0:{}',6,'Manage block types, including fields, settings, etc.','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/add','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:1:{i:0;s:23:\"bean_admin_ui_type_form\";}','',15,4,1,'admin/structure/block-types','admin/structure/block-types','Add block type','t','','','a:0:{}',388,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/list','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','bean_admin_ui_admin_page','a:0:{}','',15,4,1,'admin/structure/block-types','admin/structure/block-types','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"bean_admin_ui_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/block-types/manage/%','Edit block type','bean_admin_ui_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/delete','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:3:{i:0;s:29:\"bean_admin_ui_type_op_confirm\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/block-types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/display','a:1:{i:4;s:14:\"bean_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/display/default','a:1:{i:4;s:14:\"bean_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/display/token','a:1:{i:4;s:14:\"bean_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/edit','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"bean_admin_ui_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/fields','a:1:{i:4;s:14:\"bean_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"bean\";i:2;i:4;}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/block-types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/structure/block-types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/block-types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/structure/block-types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/block-types/manage/%/revert','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:3:{i:0;s:29:\"bean_admin_ui_type_op_confirm\";i:1;s:6:\"revert\";i:2;i:4;}','',61,6,0,'','admin/structure/block-types/manage/%/revert','Delete','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',15,4,1,'admin/structure/block','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/autox','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:33:\"sites/all/themes/autox/autox.info\";s:4:\"name\";s:5:\"autox\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Autox\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:5:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:50:\"sites/all/themes/autox/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:56:\"sites/all/themes/autox/bootstrap/css/bootstrap-theme.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/autox/fonts/stylesheet.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/autox/css/base.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/autox/css/html.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/autox/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/autox/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/autox/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/autox/css/page.css\";}s:33:\"only screen and (max-width:991px)\";a:2:{s:22:\"css/screens/common.css\";s:45:\"sites/all/themes/autox/css/screens/common.css\";s:19:\"css/mobile-menu.css\";s:42:\"sites/all/themes/autox/css/mobile-menu.css\";}s:56:\"only screen and (min-width:992px) and (max-width:1199px)\";a:1:{s:22:\"css/screens/tablet.css\";s:45:\"sites/all/themes/autox/css/screens/tablet.css\";}s:55:\"only screen and (min-width:768px) and (max-width:991px)\";a:1:{s:31:\"css/screens/vertical_tablet.css\";s:54:\"sites/all/themes/autox/css/screens/vertical_tablet.css\";}s:33:\"only screen and (max-width:767px)\";a:1:{s:22:\"css/screens/mobile.css\";s:45:\"sites/all/themes/autox/css/screens/mobile.css\";}}s:7:\"scripts\";a:8:{s:19:\"js/jquery.appear.js\";s:42:\"sites/all/themes/autox/js/jquery.appear.js\";s:25:\"bootstrap/js/bootstrap.js\";s:48:\"sites/all/themes/autox/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:42:\"sites/all/themes/autox/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:49:\"sites/all/themes/autox/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:43:\"sites/all/themes/autox/js/jquery.countTo.js\";s:17:\"js/mobile_menu.js\";s:40:\"sites/all/themes/autox/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/autox/js/weebpal.js\";s:11:\"js/autox.js\";s:34:\"sites/all/themes/autox/js/autox.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:27:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:14:\"panel_featured\";s:14:\"Panel Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:11:\"panel_first\";s:11:\"Panel First\";s:12:\"panel_second\";s:12:\"Panel Second\";s:11:\"panel_third\";s:11:\"Panel Third\";s:12:\"panel_fourth\";s:12:\"Panel Fourth\";s:11:\"panel_fifth\";s:11:\"Panel Fifth\";s:11:\"panel_sixth\";s:11:\"Panel Sixth\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:14:\"panel_footer_5\";s:14:\"Panel Footer 5\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:12:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:22:\"panel_featured_1_width\";s:1:\"3\";s:22:\"panel_featured_2_width\";s:1:\"3\";s:22:\"panel_featured_3_width\";s:1:\"3\";s:22:\"panel_featured_4_width\";s:1:\"3\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"2\";s:20:\"panel_footer_3_width\";s:1:\"2\";s:20:\"panel_footer_4_width\";s:1:\"2\";s:20:\"panel_footer_5_width\";s:1:\"3\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:5:\"light\";s:5:\"Light\";s:4:\"blue\";s:4:\"Blue\";s:4:\"pink\";s:4:\"Pink\";s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:37:\"sites/all/themes/autox/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499940454;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:5:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:50:\"sites/all/themes/autox/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:56:\"sites/all/themes/autox/bootstrap/css/bootstrap-theme.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/autox/fonts/stylesheet.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/autox/css/base.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/autox/css/html.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/autox/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/autox/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/autox/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/autox/css/page.css\";}s:33:\"only screen and (max-width:991px)\";a:2:{s:22:\"css/screens/common.css\";s:45:\"sites/all/themes/autox/css/screens/common.css\";s:19:\"css/mobile-menu.css\";s:42:\"sites/all/themes/autox/css/mobile-menu.css\";}s:56:\"only screen and (min-width:992px) and (max-width:1199px)\";a:1:{s:22:\"css/screens/tablet.css\";s:45:\"sites/all/themes/autox/css/screens/tablet.css\";}s:55:\"only screen and (min-width:768px) and (max-width:991px)\";a:1:{s:31:\"css/screens/vertical_tablet.css\";s:54:\"sites/all/themes/autox/css/screens/vertical_tablet.css\";}s:33:\"only screen and (max-width:767px)\";a:1:{s:22:\"css/screens/mobile.css\";s:45:\"sites/all/themes/autox/css/screens/mobile.css\";}}s:7:\"scripts\";a:8:{s:19:\"js/jquery.appear.js\";s:42:\"sites/all/themes/autox/js/jquery.appear.js\";s:25:\"bootstrap/js/bootstrap.js\";s:48:\"sites/all/themes/autox/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:42:\"sites/all/themes/autox/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:49:\"sites/all/themes/autox/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:43:\"sites/all/themes/autox/js/jquery.countTo.js\";s:17:\"js/mobile_menu.js\";s:40:\"sites/all/themes/autox/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/autox/js/weebpal.js\";s:11:\"js/autox.js\";s:34:\"sites/all/themes/autox/js/autox.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"autox\";}','',31,5,0,'','admin/structure/block/demo/autox','Autox','t','','_block_custom_theme','a:1:{i:0;s:5:\"autox\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:6:\"bartik\";}','',31,5,0,'','admin/structure/block/demo/bartik','Bartik','t','','_block_custom_theme','a:1:{i:0;s:6:\"bartik\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:7:\"garland\";}','',31,5,0,'','admin/structure/block/demo/garland','Garland','t','','_block_custom_theme','a:1:{i:0;s:7:\"garland\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"seven\";}','',31,5,0,'','admin/structure/block/demo/seven','Seven','t','','_block_custom_theme','a:1:{i:0;s:5:\"seven\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"stark\";}','',31,5,0,'','admin/structure/block/demo/stark','Stark','t','','_block_custom_theme','a:1:{i:0;s:5:\"stark\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:10:\"we_backend\";}','',31,5,0,'','admin/structure/block/demo/we_backend','WeebPal Backend theme','t','','_block_custom_theme','a:1:{i:0;s:10:\"we_backend\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/autox','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:33:\"sites/all/themes/autox/autox.info\";s:4:\"name\";s:5:\"autox\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Autox\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:5:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:50:\"sites/all/themes/autox/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:56:\"sites/all/themes/autox/bootstrap/css/bootstrap-theme.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/autox/fonts/stylesheet.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/autox/css/base.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/autox/css/html.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/autox/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/autox/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/autox/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/autox/css/page.css\";}s:33:\"only screen and (max-width:991px)\";a:2:{s:22:\"css/screens/common.css\";s:45:\"sites/all/themes/autox/css/screens/common.css\";s:19:\"css/mobile-menu.css\";s:42:\"sites/all/themes/autox/css/mobile-menu.css\";}s:56:\"only screen and (min-width:992px) and (max-width:1199px)\";a:1:{s:22:\"css/screens/tablet.css\";s:45:\"sites/all/themes/autox/css/screens/tablet.css\";}s:55:\"only screen and (min-width:768px) and (max-width:991px)\";a:1:{s:31:\"css/screens/vertical_tablet.css\";s:54:\"sites/all/themes/autox/css/screens/vertical_tablet.css\";}s:33:\"only screen and (max-width:767px)\";a:1:{s:22:\"css/screens/mobile.css\";s:45:\"sites/all/themes/autox/css/screens/mobile.css\";}}s:7:\"scripts\";a:8:{s:19:\"js/jquery.appear.js\";s:42:\"sites/all/themes/autox/js/jquery.appear.js\";s:25:\"bootstrap/js/bootstrap.js\";s:48:\"sites/all/themes/autox/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:42:\"sites/all/themes/autox/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:49:\"sites/all/themes/autox/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:43:\"sites/all/themes/autox/js/jquery.countTo.js\";s:17:\"js/mobile_menu.js\";s:40:\"sites/all/themes/autox/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/autox/js/weebpal.js\";s:11:\"js/autox.js\";s:34:\"sites/all/themes/autox/js/autox.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:27:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:14:\"panel_featured\";s:14:\"Panel Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:11:\"panel_first\";s:11:\"Panel First\";s:12:\"panel_second\";s:12:\"Panel Second\";s:11:\"panel_third\";s:11:\"Panel Third\";s:12:\"panel_fourth\";s:12:\"Panel Fourth\";s:11:\"panel_fifth\";s:11:\"Panel Fifth\";s:11:\"panel_sixth\";s:11:\"Panel Sixth\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:14:\"panel_footer_5\";s:14:\"Panel Footer 5\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:12:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:22:\"panel_featured_1_width\";s:1:\"3\";s:22:\"panel_featured_2_width\";s:1:\"3\";s:22:\"panel_featured_3_width\";s:1:\"3\";s:22:\"panel_featured_4_width\";s:1:\"3\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"2\";s:20:\"panel_footer_3_width\";s:1:\"2\";s:20:\"panel_footer_4_width\";s:1:\"2\";s:20:\"panel_footer_5_width\";s:1:\"3\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:5:\"light\";s:5:\"Light\";s:4:\"blue\";s:4:\"Blue\";s:4:\"pink\";s:4:\"Pink\";s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:37:\"sites/all/themes/autox/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499940454;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:5:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:50:\"sites/all/themes/autox/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:56:\"sites/all/themes/autox/bootstrap/css/bootstrap-theme.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/autox/fonts/stylesheet.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/autox/css/base.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/autox/css/html.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/autox/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/autox/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/autox/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/autox/css/page.css\";}s:33:\"only screen and (max-width:991px)\";a:2:{s:22:\"css/screens/common.css\";s:45:\"sites/all/themes/autox/css/screens/common.css\";s:19:\"css/mobile-menu.css\";s:42:\"sites/all/themes/autox/css/mobile-menu.css\";}s:56:\"only screen and (min-width:992px) and (max-width:1199px)\";a:1:{s:22:\"css/screens/tablet.css\";s:45:\"sites/all/themes/autox/css/screens/tablet.css\";}s:55:\"only screen and (min-width:768px) and (max-width:991px)\";a:1:{s:31:\"css/screens/vertical_tablet.css\";s:54:\"sites/all/themes/autox/css/screens/vertical_tablet.css\";}s:33:\"only screen and (max-width:767px)\";a:1:{s:22:\"css/screens/mobile.css\";s:45:\"sites/all/themes/autox/css/screens/mobile.css\";}}s:7:\"scripts\";a:8:{s:19:\"js/jquery.appear.js\";s:42:\"sites/all/themes/autox/js/jquery.appear.js\";s:25:\"bootstrap/js/bootstrap.js\";s:48:\"sites/all/themes/autox/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:42:\"sites/all/themes/autox/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:49:\"sites/all/themes/autox/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:43:\"sites/all/themes/autox/js/jquery.countTo.js\";s:17:\"js/mobile_menu.js\";s:40:\"sites/all/themes/autox/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/autox/js/weebpal.js\";s:11:\"js/autox.js\";s:34:\"sites/all/themes/autox/js/autox.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"autox\";}','',31,5,1,'admin/structure/block','admin/structure/block','Autox','t','','','a:0:{}',140,'','',-10,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:6:\"bartik\";}','',31,5,1,'admin/structure/block','admin/structure/block','Bartik','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/bartik','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:7:\"garland\";}','',31,5,1,'admin/structure/block','admin/structure/block','Garland','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/garland','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"seven\";}','',31,5,1,'admin/structure/block','admin/structure/block','Seven','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/seven','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"stark\";}','',31,5,1,'admin/structure/block','admin/structure/block','Stark','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/stark','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:10:\"we_backend\";}','',31,5,1,'admin/structure/block','admin/structure/block','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/we_backend','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',6,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/configure','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',121,7,2,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',140,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/delete','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:25:\"block_custom_block_delete\";i:1;i:4;i:2;i:5;}','',121,7,0,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Delete block','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/context','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/context','Context','t','','','a:0:{}',6,'Associate menus, views, blocks, etc. with different contexts to structure your site.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/add','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/context','admin/structure/context','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/import','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/context','admin/structure/context','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/context','admin/structure/context','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/context/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/settings','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','drupal_get_form','a:1:{i:0;s:19:\"context_ui_settings\";}','',15,4,1,'admin/structure/context','admin/structure/context','Settings','t','','','a:0:{}',132,'','',3,''),('admin/structure/field-collections','','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','field_collections_overview','a:0:{}','',7,3,0,'','admin/structure/field-collections','Field collections','t','','','a:0:{}',6,'Manage fields on field collections.','',0,'sites/all/modules/field_collection/field_collection.admin.inc'),('admin/structure/field-collections/%','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;}','',14,4,0,'','admin/structure/field-collections/%','Manage fields','field_collection_admin_page_title','a:1:{i:0;i:3;}','','a:0:{}',6,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/default','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/full','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/token','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;}','',29,5,1,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage fields','t','','','a:0:{}',140,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/field-collections/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/delete','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/edit','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/field-settings','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/widget-type','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/groups/%/delete','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/field-collections/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/field-collections/%/groups/%/enable','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/field-collections/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/megamenus','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:1:{i:0;s:24:\"megamenus_admin_settings\";}','',7,3,0,'','admin/structure/megamenus','Mega Menus','t','','','a:0:{}',6,'Mega Menus','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:24:\"megamenus_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/megamenus/%','Config Mega Menus','t','','','a:0:{}',0,'Config Mega Menus','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%/config','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:24:\"megamenus_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/megamenus/%','admin/structure/megamenus/%','Config Mega Menus','t','','','a:0:{}',140,'','',-10,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%/convert','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:38:\"megamenus_convert_from_tb_menu_confirm\";i:1;i:3;}','',29,5,0,'','admin/structure/megamenus/%/convert','Import from TB MegaMenu','t','','','a:0:{}',0,'Convert config TB MegaMenu to MegaMenu-VX','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/load_block','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_load_block','a:0:{}','',15,4,0,'','admin/structure/megamenus/load_block','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/megamenus/load_menu','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_load_menu','a:0:{}','',15,4,0,'','admin/structure/megamenus/load_menu','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/megamenus/save_config','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_save_config','a:0:{}','',15,4,0,'','admin/structure/megamenus/save_config','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/menu','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',7,3,0,'','admin/structure/menu','Menus','t','','','a:0:{}',6,'Add new menus to your site, edit existing menus, and rename and reorganize menu links.','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/add','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:14:\"menu_edit_menu\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Add menu','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/delete','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_item_delete_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/item/%/delete','Delete menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/edit','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:4:\"edit\";i:2;i:4;i:3;N;}','',61,6,0,'','admin/structure/menu/item/%/edit','Edit menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/reset','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:23:\"menu_reset_item_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/menu/item/%/reset','Reset menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/list','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',15,4,1,'admin/structure/menu','admin/structure/menu','List menus','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',30,5,0,'','admin/structure/menu/manage/%','Customize menu','menu_overview_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/add','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:3:\"add\";i:2;N;i:3;i:4;}','',61,6,1,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Add link','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/delete','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_delete_menu_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/manage/%/delete','Delete menu','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/edit','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:3:{i:0;s:14:\"menu_edit_menu\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Edit menu','t','','','a:0:{}',132,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/list','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','List links','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/parents','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_parent_options_js','a:0:{}','',15,4,0,'','admin/structure/menu/parents','Parent menu items','t','','','a:0:{}',0,'','',0,''),('admin/structure/menu/settings','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:1:{i:0;s:14:\"menu_configure\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Settings','t','','','a:0:{}',132,'','',5,'modules/menu/menu.admin.inc'),('admin/structure/migrate_content','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',7,3,0,'','admin/structure/migrate_content','Migrate Content','t','','','a:0:{}',6,'Manage Migrate Content.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/create','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"we_content_migration_export_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Create','t','','','a:0:{}',132,'Migrate Content Create.','',10,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/import-from-upload','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:44:\"we_content_migration_import_from_upload_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Import','t','','','a:0:{}',132,'Upload zip file to import.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/manage','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Manage','t','','','a:0:{}',140,'Enable and disable entity bundle.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"we_content_migration_settings_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Settings','t','','','a:0:{}',132,'Adjust settings for using migrate content module.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/taxonomy','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',7,3,0,'','admin/structure/taxonomy','Taxonomy','t','','','a:0:{}',6,'Manage tagging, categorization, and classification of your content.','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',14,4,0,'','admin/structure/taxonomy/%','','entity_label','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/add','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;a:0:{}i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Add term','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/display','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/default','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/full','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Taxonomy term page','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/token','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/edit','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"taxonomy_form_vocabulary\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Edit','t','','','a:0:{}',132,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/fields','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/taxonomy/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/edit','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/field-settings','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/widget-type','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/groups/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/groups/%/enable','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/list','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','List','t','','','a:0:{}',140,'','',-20,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/add','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:24:\"taxonomy_form_vocabulary\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','Add vocabulary','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/list','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','List','t','','','a:0:{}',140,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/tb-megamenu','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:1:{i:0;s:26:\"tb_megamenu_admin_settings\";}','',7,3,0,'','admin/structure/tb-megamenu','TB Mega Menu','t','','','a:0:{}',6,'TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',0,'Config TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%/config','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/tb-megamenu/%','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',140,'','',-10,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/request','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','tb_megamenu_request','a:0:{}','',15,4,0,'','admin/structure/tb-megamenu/request','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc'),('admin/structure/types','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',7,3,0,'','admin/structure/types','Content types','t','','','a:0:{}',6,'Manage content types, including default status, front page promotion, comment settings, etc.','',0,'modules/node/content_types.inc'),('admin/structure/types/add','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:1:{i:0;s:14:\"node_type_form\";}','',15,4,1,'admin/structure/types','admin/structure/types','Add content type','t','','','a:0:{}',388,'','',0,'modules/node/content_types.inc'),('admin/structure/types/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',15,4,1,'admin/structure/types','admin/structure/types','List','t','','','a:0:{}',140,'','',-10,'modules/node/content_types.inc'),('admin/structure/types/manage/%','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/types/manage/%','Edit content type','node_type_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/comment/display','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment display','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/default','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/full','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:4:\"full\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Full comment','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/token','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:5:\"token\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:7:\"comment\";i:2;i:4;}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment fields','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',246,8,0,'','admin/structure/types/manage/%/comment/fields/%','','field_ui_menu_title','a:1:{i:0;i:7;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/edit','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/field-settings','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/widget-type','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/groups/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/comment/groups/%/enable','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/delete','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/display','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/default','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/full','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:4:\"full\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/rss','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:3:\"rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:3:\"rss\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','RSS','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_index','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:12:\"search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:12:\"search_index\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search index','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_result','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"search_result\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search result highlighting input','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/teaser','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:6:\"teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:6:\"teaser\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Teaser','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/token','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/edit','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/fields','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"node\";i:2;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/views','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/views','Views','t','','','a:0:{}',6,'Manage customized lists of content.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/add','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add new view','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/add-template','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_template_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add view from template','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}','ajax_deliver',60,6,0,'','admin/structure/views/ajax/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','ajax_deliver',124,7,0,'','admin/structure/views/ajax/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/import','','','views_import_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:20:\"views_ui_import_page\";}','',15,4,1,'admin/structure/views','admin/structure/views','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/views','admin/structure/views','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/nojs/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/views/nojs/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/nojs/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','',124,7,0,'','admin/structure/views/nojs/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',15,4,1,'admin/structure/views','admin/structure/views','Settings','t','','','a:0:{}',132,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/advanced','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:32:\"views_ui_admin_settings_advanced\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Advanced','t','','','a:0:{}',132,'','',1,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/basic','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Basic','t','','','a:0:{}',140,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/template/%/add','a:1:{i:4;N;}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','',61,6,0,'','admin/structure/views/template/%/add','Add from template','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/views/view/%','','views_ui_edit_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/break-lock','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:2:{i:0;s:27:\"views_ui_break_lock_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/views/view/%/break-lock','Break lock','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/clone','Clone','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/delete','Delete','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/edit','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',61,6,3,'admin/structure/views/view/%','admin/structure/views/view/%','Edit view','t','','ajax_base_page_theme','a:0:{}',140,'','',-10,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/edit/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_get_form','a:3:{i:0;s:18:\"views_ui_edit_form\";i:1;i:4;i:2;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/edit/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/export','Export','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/preview/%','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','',122,7,3,'','admin/structure/views/view/%/preview/%','','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/preview/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/preview/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/revert','Revert','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/tasks','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,1,'admin','admin','Tasks','t','','','a:0:{}',140,'','',-20,'modules/system/system.admin.inc'),('admin/update/ready','','','update_manager_access','a:0:{}','drupal_get_form','a:1:{i:0;s:32:\"update_manager_update_ready_form\";}','',7,3,0,'','admin/update/ready','Ready to update','t','','','a:0:{}',0,'','',0,'modules/update/update.manager.inc'),('admin/views/ajax/autocomplete/tag','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_autocomplete_tag','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/tag','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/views/ajax/autocomplete/taxonomy','','','user_access','a:1:{i:0;s:14:\"access content\";}','views_ajax_autocomplete_taxonomy','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/taxonomy','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin/views/ajax/autocomplete/user','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','views_ajax_autocomplete_user','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/user','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin_menu/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','admin_menu_flush_cache','a:0:{}','',3,2,0,'','admin_menu/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('batch','','','1','a:0:{}','system_batch_page','a:0:{}','',1,1,0,'','batch','','t','','_system_batch_theme','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('block/%','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:14:\"view bean page\";}','bean_view_page','a:1:{i:0;i:1;}','',2,2,0,'','block/%','Block','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/delete','a:1:{i:1;s:15:\"bean_delta_load\";}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"bean_delete_confirm\";i:1;i:1;}','',5,3,0,'block/%','block/%','Delete Block','t','','','a:0:{}',132,'','',1,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/edit','a:1:{i:1;s:15:\"bean_delta_load\";}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','bean_edit','a:1:{i:0;i:1;}','',5,3,3,'block/%','block/%','Edit Block','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:19:\"view bean revisions\";}','bean_revisions_page','a:1:{i:0;i:1;}','',5,3,1,'block/%','block/%','Revisions','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:4:\"bean\";i:2;i:1;}','bean_view','a:1:{i:0;i:1;}','',10,4,0,'','block/%/revisions/%','','bean_revision_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/delete','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:28:\"bean_delete_revision_confirm\";i:1;i:1;}','',21,5,0,'block/%/revisions/%','block/%/revisions/%','Delete','t','','','a:0:{}',132,'','',1,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/edit','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','bean_edit','a:1:{i:0;i:1;}','',21,5,3,'block/%/revisions/%','block/%/revisions/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/set-active','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"bean_set_default_confirm\";i:1;i:1;}','',21,5,3,'block/%/revisions/%','block/%/revisions/%','Set active','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/view','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:4:\"bean\";i:2;i:1;}','bean_view','a:1:{i:0;i:1;}','',21,5,0,'block/%/revisions/%','block/%/revisions/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/view','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:14:\"view bean page\";}','bean_view_page','a:1:{i:0;i:1;}','',5,3,0,'block/%','block/%','View','t','','','a:0:{}',140,'','',-20,'sites/all/modules/bean/includes/bean.pages.inc'),('block/add','','','bean_add_page_access','a:1:{i:0;s:3:\"add\";}','bean_add_page','a:0:{}','',3,2,0,'','block/add','Add Block','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/add/list-block','','','bean_access','a:2:{i:0;s:6:\"create\";i:1;s:10:\"list_block\";}','bean_add','a:1:{i:0;s:10:\"list_block\";}','',7,3,0,'','block/add/list-block','List Block','check_plain','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('blog','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_page_last','a:0:{}','',1,1,0,'','blog','Blogs','t','','','a:0:{}',20,'','',0,'modules/blog/blog.pages.inc'),('blog/%','a:1:{i:1;s:22:\"user_uid_optional_load\";}','a:1:{i:1;s:24:\"user_uid_optional_to_arg\";}','blog_page_user_access','a:1:{i:0;i:1;}','blog_page_user','a:1:{i:0;i:1;}','',2,2,0,'','blog/%','My blog','t','','','a:0:{}',6,'','',0,'modules/blog/blog.pages.inc'),('blog/%/feed','a:1:{i:1;s:9:\"user_load\";}','','blog_page_user_access','a:1:{i:0;i:1;}','blog_feed_user','a:1:{i:0;i:1;}','',5,3,0,'','blog/%/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('blog/feed','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_feed_last','a:0:{}','',3,2,0,'','blog/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('brands','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:6:\"brands\";i:1;s:4:\"page\";}','',1,1,0,'','brands','','t','','','a:0:{}',0,'','',0,''),('comment/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',2,2,0,'','comment/%','Comment permalink','t','','','a:0:{}',6,'','',0,''),('comment/%/approve','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_approve','a:1:{i:0;i:1;}','',5,3,0,'','comment/%/approve','Approve','t','','','a:0:{}',6,'','',1,'modules/comment/comment.pages.inc'),('comment/%/delete','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_confirm_delete_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Delete','t','','','a:0:{}',132,'','',2,'modules/comment/comment.admin.inc'),('comment/%/edit','a:1:{i:1;s:12:\"comment_load\";}','','comment_access','a:2:{i:0;s:4:\"edit\";i:1;i:1;}','comment_edit_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Edit','t','','','a:0:{}',132,'','',0,''),('comment/%/view','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','View comment','t','','','a:0:{}',140,'','',-10,''),('comment/reply/%','a:1:{i:2;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','comment_reply','a:1:{i:0;i:2;}','',6,3,0,'','comment/reply/%','Add new comment','t','','','a:0:{}',6,'','',0,'modules/comment/comment.pages.inc'),('context-ui/activate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_activate','a:0:{}','',3,2,0,'','context-ui/activate','Activate Context UI','t','','','a:0:{}',0,'','',0,''),('context-ui/deactivate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_deactivate','a:0:{}','',3,2,0,'','context-ui/deactivate','Deactivate Context UI','t','','','a:0:{}',0,'','',0,''),('countries-example','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:17:\"countries_example\";}','',1,1,0,'','countries-example','Countries example page','t','','','a:0:{}',6,'Demonstrate countries API','',0,''),('ctools/autocomplete/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_content_autocomplete_entity','a:1:{i:0;i:2;}','',6,3,0,'','ctools/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/content.menu.inc'),('ctools/context/ajax/access/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_add','a:0:{}','',31,5,0,'','ctools/context/ajax/access/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_edit','a:0:{}','',31,5,0,'','ctools/context/ajax/access/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_delete','a:0:{}','',31,5,0,'','ctools/context/ajax/access/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_add','a:0:{}','',15,4,0,'','ctools/context/ajax/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_edit','a:0:{}','',15,4,0,'','ctools/context/ajax/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_delete','a:0:{}','',15,4,0,'','ctools/context/ajax/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('dealers','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"dealers\";i:1;s:4:\"page\";}','',1,1,0,'','dealers','Dealers','t','','','a:0:{}',6,'','',0,''),('email/%/%/%','a:3:{i:1;N;i:2;N;i:3;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','email_mail_page','a:3:{i:0;i:1;i:1;i:2;i:2;i:3;}','',8,4,0,'','email/%/%/%','Email Contact Form','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/single/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/single/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/tags/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/tags/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('faq','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:3:\"faq\";i:1;s:4:\"page\";}','',1,1,0,'','faq','FAQ','t','','','a:0:{}',6,'FAQ','',0,''),('field-collection/field-simple-field/%','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',6,3,0,'','field-collection/field-simple-field/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-simple-field/%/delete','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','drupal_get_form','a:2:{i:0;s:36:\"field_collection_item_delete_confirm\";i:1;i:2;}','',13,4,2,'field-collection/field-simple-field/%','field-collection/field-simple-field/%','Delete','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-simple-field/%/edit','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','drupal_get_form','a:2:{i:0;s:26:\"field_collection_item_form\";i:1;i:2;}','',13,4,3,'field-collection/field-simple-field/%','field-collection/field-simple-field/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-simple-field/%/revisions/%','a:2:{i:2;s:26:\"field_collection_item_load\";i:4;s:35:\"field_collection_item_revision_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:4;}','field_collection_item_page_view','a:1:{i:0;i:4;}','',26,5,0,'','field-collection/field-simple-field/%/revisions/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-simple-field/%/view','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',13,4,1,'field-collection/field-simple-field/%','field-collection/field-simple-field/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-simple-field/add/%/%','a:2:{i:3;N;i:4;N;}','','1','a:0:{}','field_collection_item_add','a:3:{i:0;s:18:\"field_simple_field\";i:1;i:3;i:2;i:4;}','',28,5,0,'','field-collection/field-simple-field/add/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('file/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_upload','a:0:{}','ajax_deliver',3,2,0,'','file/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('file/progress','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_progress','a:0:{}','',3,2,0,'','file/progress','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('filter/tips','','','1','a:0:{}','filter_tips_long','a:0:{}','',3,2,0,'','filter/tips','Compose tips','t','','','a:0:{}',20,'','',0,'modules/filter/filter.pages.inc'),('filter/tips/%','a:1:{i:2;s:18:\"filter_format_load\";}','','filter_access','a:1:{i:0;i:2;}','filter_tips_long','a:1:{i:0;i:2;}','',6,3,0,'','filter/tips/%','Compose tips','t','','','a:0:{}',6,'','',0,'modules/filter/filter.pages.inc'),('frontpage','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"page\";}','',1,1,0,'','frontpage','','t','','','a:0:{}',0,'','',0,''),('jcarousel/ajax/views','','','1','a:0:{}','jcarousel_views_ajax','a:0:{}','',7,3,0,'','jcarousel/ajax/views','','t','','','a:0:{}',0,'','',0,'sites/all/modules/jcarousel/includes/jcarousel.views.inc'),('js/admin_menu/cache','','','user_access','a:1:{i:0;s:26:\"access administration menu\";}','admin_menu_js_cache','a:0:{}','admin_menu_deliver',7,3,0,'','js/admin_menu/cache','','t','','','a:0:{}',0,'','',0,''),('location/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','_location_autocomplete','a:0:{}','',3,2,0,'','location/autocomplete','','t','','','a:0:{}',0,'','',0,''),('migrate_content/ajaxcallback/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','we_content_migration_export_components_json','a:1:{i:0;i:2;}','',6,3,0,'','migrate_content/ajaxcallback/%','','Check require bundles','','','a:0:{}',0,'Check require bundles.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('modal_forms/%/comment/reply/%','a:2:{i:1;s:14:\"ctools_js_load\";i:4;s:9:\"node_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','user_access','a:1:{i:0;s:13:\"post comments\";}','modal_forms_comment_reply','a:2:{i:0;i:1;i:1;i:4;}','',22,5,0,'','modal_forms/%/comment/reply/%','Comment','t','','','a:0:{}',0,'','',0,'sites/all/modules/modal_forms/modal_forms.pages.inc'),('modal_forms/%/contact','a:1:{i:1;s:14:\"ctools_js_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','user_access','a:1:{i:0;s:29:\"access site-wide contact form\";}','modal_forms_contact','a:1:{i:0;i:1;}','',5,3,0,'','modal_forms/%/contact','Contact','t','','','a:0:{}',0,'','',0,'sites/all/modules/modal_forms/modal_forms.pages.inc'),('modal_forms/%/dismiss','a:1:{i:1;s:14:\"ctools_js_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','1','a:0:{}','modal_forms_dismiss','a:1:{i:0;i:1;}','',5,3,0,'','modal_forms/%/dismiss','Dismiss','t','','','a:0:{}',0,'','',0,'sites/all/modules/modal_forms/modal_forms.pages.inc'),('modal_forms/%/login','a:1:{i:1;s:14:\"ctools_js_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','1','a:0:{}','modal_forms_login','a:1:{i:0;i:1;}','',5,3,0,'','modal_forms/%/login','Log in','t','','','a:0:{}',0,'','',0,'sites/all/modules/modal_forms/modal_forms.pages.inc'),('modal_forms/%/password','a:1:{i:1;s:14:\"ctools_js_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','user_is_anonymous','a:0:{}','modal_forms_password','a:1:{i:0;i:1;}','',5,3,0,'','modal_forms/%/password','Password','t','','','a:0:{}',0,'','',0,'sites/all/modules/modal_forms/modal_forms.pages.inc'),('modal_forms/%/register','a:1:{i:1;s:14:\"ctools_js_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','user_register_access','a:0:{}','modal_forms_register','a:1:{i:0;i:1;}','',5,3,0,'','modal_forms/%/register','Register','t','','','a:0:{}',0,'','',0,'sites/all/modules/modal_forms/modal_forms.pages.inc'),('modal_forms/%/webform/%','a:2:{i:1;s:14:\"ctools_js_load\";i:3;s:9:\"node_load\";}','a:1:{i:1;s:16:\"ctools_js_to_arg\";}','node_access','a:2:{i:0;s:4:\"view\";i:1;i:3;}','modal_forms_view_webform','a:2:{i:0;i:1;i:1;i:3;}','',10,4,0,'','modal_forms/%/webform/%','Webform','t','','','a:0:{}',0,'','',0,'sites/all/modules/modal_forms/modal_forms.pages.inc'),('news','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"news\";i:1;s:4:\"page\";}','',1,1,0,'','news','News','t','','','a:0:{}',6,'News','',0,''),('news-grid','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"news\";i:1;s:6:\"page_1\";}','',1,1,0,'','news-grid','News Grid','t','','','a:0:{}',6,'News Grid','',0,''),('news-list','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"news\";i:1;s:6:\"page_2\";}','',1,1,0,'','news-list','News List','t','','','a:0:{}',6,'News List','',0,''),('newsletter/confirm/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','newsletter_confirm','a:1:{i:0;i:2;}','',6,3,0,'','newsletter/confirm/%','Confirm subscription','t','','','a:0:{}',0,'Confirm your subscription to our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/edit/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','1','a:0:{}','drupal_get_form','a:2:{i:0;s:36:\"newsletter_manage_subscriptions_form\";i:1;i:2;}','',6,3,1,'','newsletter/edit/%','Edit newsletter subscriptions','t','','','a:0:{}',132,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/statistics/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','newsletter_statistics_open','a:1:{i:0;i:2;}','',6,3,0,'','newsletter/statistics/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/subscribe','','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','drupal_get_form','a:1:{i:0;s:36:\"newsletter_manage_subscriptions_form\";}','',3,2,0,'','newsletter/subscribe','Subscribe','t','','','a:0:{}',0,'Subscribe to our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/unsubscribe/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','drupal_get_form','a:2:{i:0;s:22:\"newsletter_unsubscribe\";i:1;i:2;}','',6,3,0,'','newsletter/unsubscribe/%','Unsubscribe','t','','','a:0:{}',0,'Confirm that you want to unsubscribe from our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('node','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_page_default','a:0:{}','',1,1,0,'','node','','t','','','a:0:{}',0,'','',0,''),('node/%','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',2,2,0,'','node/%','','node_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('node/%/delete','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"delete\";i:1;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"node_delete_confirm\";i:1;i:1;}','',5,3,2,'node/%','node/%','Delete','t','','','a:0:{}',132,'','',1,'modules/node/node.pages.inc'),('node/%/done','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_confirmation_page_access','a:1:{i:0;i:1;}','_webform_confirmation','a:1:{i:0;i:1;}','',5,3,0,'','node/%/done','Webform confirmation','t','','','a:0:{}',0,'','',0,''),('node/%/edit','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','node_page_edit','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Edit','t','','','a:0:{}',132,'','',0,'modules/node/node.pages.inc'),('node/%/revisions','a:1:{i:1;s:9:\"node_load\";}','','_node_revision_access','a:1:{i:0;i:1;}','node_revision_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Revisions','t','','','a:0:{}',132,'','',2,'modules/node/node.pages.inc'),('node/%/revisions/%/delete','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"delete\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_delete_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/delete','Delete earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/revert','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"update\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_revert_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/revert','Revert to earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/view','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:1:{i:0;i:1;}','node_show','a:2:{i:0;i:1;i:1;b:1;}','',21,5,0,'','node/%/revisions/%/view','Revisions','t','','','a:0:{}',6,'','',0,''),('node/%/submission/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',10,4,0,'','node/%/submission/%','Webform submission','webform_submission_title','a:2:{i:0;i:1;i:1;i:3;}','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:6:\"delete\";}','drupal_get_form','a:3:{i:0;s:30:\"webform_submission_delete_form\";i:1;i:1;i:2;i:3;}','',21,5,1,'node/%/submission/%','node/%/submission/%','Delete','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/edit','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"edit\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"form\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','Edit','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/resend','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_submission_resend\";i:1;i:1;i:2;i:3;}','',21,5,0,'','node/%/submission/%/resend','Resend e-mails','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/view','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','View','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;N;i:2;s:4:\"list\";}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:1;i:2;s:2:\"50\";}','',5,3,0,'','node/%/submissions','Submissions','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/view','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','View','t','','','a:0:{}',140,'','',-10,''),('node/%/webform','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Webform','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform-results','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',5,3,3,'node/%','node/%','Results','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform-results','node/%','Analysis','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',22,5,1,'node/%/webform-results/analysis','node/%','Analysis','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%/more','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',45,6,1,'node/%/webform-results/analysis/%','node/%','In-depth analysis','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/clear','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_clear_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:26:\"webform_results_clear_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Clear','t','','','a:0:{}',132,'','',8,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:29:\"webform_results_download_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Download','t','','','a:0:{}',132,'','',7,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download-file','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_download_callback','a:1:{i:0;i:1;}','',11,4,0,'','node/%/webform-results/download-file','Download','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Submissions','t','','','a:0:{}',140,'','',4,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/table','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_table','a:2:{i:0;i:1;i:1;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Table','t','','','a:0:{}',132,'','',6,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform/components','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform','node/%','Form components','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:0;}','',22,5,1,'node/%/webform/components','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:29:\"webform_component_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/conditionals','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:25:\"webform_conditionals_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Conditionals','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.conditionals.inc'),('node/%/webform/configure','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:22:\"webform_configure_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Form settings','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.pages.inc'),('node/%/webform/emails','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"webform_emails_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','E-mails','t','','','a:0:{}',132,'','',4,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;}','',22,5,1,'node/%/webform/emails','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_email_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/add','','','_node_add_access','a:0:{}','node_add_page','a:0:{}','',3,2,0,'','node/add','Add content','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/article','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"article\";}','node_add','a:1:{i:0;s:7:\"article\";}','',7,3,0,'','node/add/article','Article','check_plain','','','a:0:{}',6,'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',0,'modules/node/node.pages.inc'),('node/add/blog','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"blog\";}','node_add','a:1:{i:0;s:4:\"blog\";}','',7,3,0,'','node/add/blog','Blog entry','check_plain','','','a:0:{}',6,'Use for multi-user blogs. Every user gets a personal blog.','',0,'modules/node/node.pages.inc'),('node/add/dealers','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"dealers\";}','node_add','a:1:{i:0;s:7:\"dealers\";}','',7,3,0,'','node/add/dealers','Dealers','check_plain','','','a:0:{}',6,'Dealers','',0,'modules/node/node.pages.inc'),('node/add/faq','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:3:\"faq\";}','node_add','a:1:{i:0;s:3:\"faq\";}','',7,3,0,'','node/add/faq','FAQ','check_plain','','','a:0:{}',6,'FAQ','',0,'modules/node/node.pages.inc'),('node/add/page','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"page\";}','node_add','a:1:{i:0;s:4:\"page\";}','',7,3,0,'','node/add/page','Basic page','check_plain','','','a:0:{}',6,'Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',0,'modules/node/node.pages.inc'),('node/add/products','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:8:\"products\";}','node_add','a:1:{i:0;s:8:\"products\";}','',7,3,0,'','node/add/products','Products','check_plain','','','a:0:{}',6,'Vehicle Products\r\n','',0,'modules/node/node.pages.inc'),('node/add/services','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:8:\"services\";}','node_add','a:1:{i:0;s:8:\"services\";}','',7,3,0,'','node/add/services','Services','check_plain','','','a:0:{}',6,'Services','',0,'modules/node/node.pages.inc'),('node/add/statistics','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:10:\"statistics\";}','node_add','a:1:{i:0;s:10:\"statistics\";}','',7,3,0,'','node/add/statistics','Statistics','check_plain','','','a:0:{}',6,'Statistics','',0,'modules/node/node.pages.inc'),('node/add/testimonials','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:12:\"testimonials\";}','node_add','a:1:{i:0;s:12:\"testimonials\";}','',7,3,0,'','node/add/testimonials','Testimonials','check_plain','','','a:0:{}',6,'Testimonials','',0,'modules/node/node.pages.inc'),('node/add/webform','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"webform\";}','node_add','a:1:{i:0;s:7:\"webform\";}','',7,3,0,'','node/add/webform','Webform','check_plain','','','a:0:{}',6,'Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',0,'modules/node/node.pages.inc'),('overlay-ajax/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_ajax_render_region','a:1:{i:0;i:1;}','',2,2,0,'','overlay-ajax/%','','t','','','a:0:{}',0,'','',0,''),('overlay/dismiss-message','','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_user_dismiss_message','a:0:{}','',3,2,0,'','overlay/dismiss-message','','t','','','a:0:{}',0,'','',0,''),('redirect_404','','','user_access','a:1:{i:0;s:14:\"access content\";}','redirect_404','a:0:{}','',1,1,0,'','redirect_404','','_redirect_404_title','','','a:0:{}',0,'The page you are looking for could not be found.','',0,''),('rss.xml','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"feed\";}','',1,1,0,'','rss.xml','','t','','','a:0:{}',0,'','',0,''),('search','','','search_is_active','a:0:{}','search_view','a:0:{}','',1,1,0,'','search','Search','t','','','a:0:{}',20,'','',0,'modules/search/search.pages.inc'),('search/node','','','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;s:0:\"\";}','',3,2,1,'search','search','Content','t','','','a:0:{}',132,'','',-10,'modules/search/search.pages.inc'),('search/node/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Content','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user','','','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;s:0:\"\";}','',3,2,1,'search','search','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('services','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"services\";i:1;s:4:\"page\";}','',1,1,0,'','services','Services','t','','','a:0:{}',6,'Services','',0,''),('sites/default/files/styles/%','a:1:{i:4;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:4;}','',30,5,0,'','sites/default/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('statistics','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:10:\"statistics\";i:1;s:4:\"page\";}','',1,1,0,'','statistics','','t','','','a:0:{}',0,'','',0,''),('system/ajax','','','1','a:0:{}','ajax_form_callback','a:0:{}','ajax_deliver',3,2,0,'','system/ajax','AHAH callback','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'includes/form.inc'),('system/files','','','1','a:0:{}','file_download','a:1:{i:0;s:7:\"private\";}','',3,2,0,'','system/files','File download','t','','','a:0:{}',0,'','',0,''),('system/files/styles/%','a:1:{i:3;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:3;}','',14,4,0,'','system/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/temporary','','','1','a:0:{}','file_download','a:1:{i:0;s:9:\"temporary\";}','',3,2,0,'','system/temporary','Temporary files','t','','','a:0:{}',0,'','',0,''),('system/timezone','','','1','a:0:{}','system_timezone','a:0:{}','',3,2,0,'','system/timezone','Time zone','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('tagclouds','','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_chunk','a:1:{i:0;N;}','',1,1,0,'','tagclouds','Tags','t','','','a:0:{}',20,'','',0,''),('tagclouds/chunk/%','a:1:{i:2;s:19:\"tagclouds_vocs_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_chunk','a:1:{i:0;i:2;}','',6,3,0,'','tagclouds/chunk/%','Tags','t','','','a:0:{}',20,'','',0,''),('tagclouds/list/%','a:1:{i:2;s:19:\"tagclouds_vocs_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_list','a:1:{i:0;i:2;}','',6,3,0,'','tagclouds/list/%','Tags','t','','','a:0:{}',0,'','',0,''),('taxonomy/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_autocomplete','a:0:{}','',3,2,0,'','taxonomy/autocomplete','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_page','a:1:{i:0;i:2;}','',6,3,0,'','taxonomy/term/%','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/edit','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','taxonomy_term_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;i:2;i:2;N;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Edit','t','','','a:0:{}',132,'','',10,'modules/taxonomy/taxonomy.admin.inc'),('taxonomy/term/%/feed','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_feed','a:1:{i:0;i:2;}','',13,4,0,'','taxonomy/term/%/feed','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/view','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_page','a:1:{i:0;i:2;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','View','t','','','a:0:{}',140,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('token/autocomplete/%','a:1:{i:2;s:15:\"token_type_load\";}','','1','a:0:{}','token_autocomplete_token','a:1:{i:0;i:2;}','',6,3,0,'','token/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','token_flush_cache_callback','a:0:{}','',3,2,0,'','token/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/tree','','','1','a:0:{}','token_page_output_tree','a:0:{}','',3,2,0,'','token/tree','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('user','','','1','a:0:{}','user_page','a:0:{}','',1,1,0,'','user','User account','user_menu_title','','','a:0:{}',6,'','',-10,'modules/user/user.pages.inc'),('user/%','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',2,2,0,'','user/%','My account','user_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('user/%/cancel','a:1:{i:1;s:9:\"user_load\";}','','user_cancel_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"user_cancel_confirm_form\";i:1;i:1;}','',5,3,0,'','user/%/cancel','Cancel account','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/cancel/confirm/%/%','a:3:{i:1;s:9:\"user_load\";i:4;N;i:5;N;}','','user_cancel_access','a:1:{i:0;i:1;}','user_cancel_confirm','a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}','',44,6,0,'','user/%/cancel/confirm/%/%','Confirm account cancellation','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/edit','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Edit','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/%/edit/account','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',11,4,1,'user/%/edit','user/%','Account','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/%/newsletter','a:1:{i:1;s:9:\"user_load\";}','','newsletter_edit_subsdcriber_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:36:\"newsletter_manage_subscriptions_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Newsletter subscriptions','t','','','a:0:{}',132,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('user/%/shortcuts','a:1:{i:1;s:9:\"user_load\";}','','shortcut_set_switch_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"shortcut_set_switch\";i:1;i:1;}','',5,3,1,'user/%','user/%','Shortcuts','t','','','a:0:{}',132,'','',0,'modules/shortcut/shortcut.admin.inc'),('user/%/view','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','View','t','','','a:0:{}',140,'','',-10,''),('user/autocomplete','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','user_autocomplete','a:0:{}','',3,2,0,'','user/autocomplete','User autocomplete','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('user/login','','','user_is_anonymous','a:0:{}','user_page','a:0:{}','',3,2,1,'user','user','Log in','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/logout','','','user_is_logged_in','a:0:{}','user_logout','a:0:{}','',3,2,0,'','user/logout','Log out','t','','','a:0:{}',6,'','',10,'modules/user/user.pages.inc'),('user/password','','','1','a:0:{}','drupal_get_form','a:1:{i:0;s:9:\"user_pass\";}','',3,2,1,'user','user','Request new password','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/register','','','user_register_access','a:0:{}','drupal_get_form','a:1:{i:0;s:18:\"user_register_form\";}','',3,2,1,'user','user','Create new account','t','','','a:0:{}',132,'','',0,''),('user/reset/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','1','a:0:{}','drupal_get_form','a:4:{i:0;s:15:\"user_pass_reset\";i:1;i:2;i:2;i:3;i:3;i:4;}','',24,5,0,'','user/reset/%/%/%','Reset password','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('vehicles','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"vehicles\";i:1;s:6:\"page_2\";}','',1,1,0,'','vehicles','Vehicles','t','','','a:0:{}',6,'','',0,''),('vehicles-grid','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"vehicles\";i:1;s:4:\"page\";}','',1,1,0,'','vehicles-grid','Vehicles-Grid','t','','','a:0:{}',6,'','',0,''),('vehicles-list','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"vehicles\";i:1;s:6:\"page_1\";}','',1,1,0,'','vehicles-list','Vehicles List','t','','','a:0:{}',6,'Vehicles List','',0,''),('views/ajax','','','1','a:0:{}','views_ajax','a:0:{}','ajax_deliver',3,2,0,'','views/ajax','Views','t','','ajax_base_page_theme','a:0:{}',0,'Ajax callback for view loading.','',0,'sites/all/modules/views/includes/ajax.inc'),('webform/ajax/options/%','a:1:{i:3;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:3;}}}','a:1:{i:3;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:3;}','webform_select_options_ajax','a:0:{}','',14,4,0,'','webform/ajax/options/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/components/select.inc'),('webform/autocomplete','','','user_access','a:1:{i:0;s:16:\"administer views\";}','webform_views_autocomplete','a:0:{}','',3,2,0,'','webform/autocomplete','Webforms','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/views/webform.views.inc');
/*!40000 ALTER TABLE `menu_router` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `metatags_quick_path_based`
--

DROP TABLE IF EXISTS `metatags_quick_path_based`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `metatags_quick_path_based` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Entity id',
  `path` varchar(255) NOT NULL COMMENT 'The path of the page to apply meta tags to',
  `lang` varchar(8) NOT NULL COMMENT 'Language code',
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_path` (`lang`,`path`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Path based meta tags';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `metatags_quick_path_based`
--

LOCK TABLES `metatags_quick_path_based` WRITE;
/*!40000 ALTER TABLE `metatags_quick_path_based` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `metatags_quick_path_based` VALUES (1,'user/1/newsletter','en');
/*!40000 ALTER TABLE `metatags_quick_path_based` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_list`
--

DROP TABLE IF EXISTS `newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_list` (
  `nlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique ID of this list.',
  `title` varchar(255) NOT NULL COMMENT 'The list’s title.',
  `send_rate` varchar(11) NOT NULL DEFAULT 'Manual' COMMENT 'How often to send this list.Manual,Daily,Weekly or Monthly.',
  `last_sent` int(11) DEFAULT NULL COMMENT 'Timestamp this list was last sent.',
  `send_again` date DEFAULT NULL COMMENT 'Date this list needs to be sent again.',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this subscriber.',
  PRIMARY KEY (`nlid`),
  UNIQUE KEY `list_title` (`title`),
  KEY `list_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contains the newsletter subscriber lists with their...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_list`
--

LOCK TABLES `newsletter_list` WRITE;
/*!40000 ALTER TABLE `newsletter_list` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `newsletter_list` VALUES (1,'Standard list','Manual',NULL,NULL,1407306061);
/*!40000 ALTER TABLE `newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_newsletter`
--

DROP TABLE IF EXISTS `newsletter_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_newsletter` (
  `nnid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a newsletter.',
  `title` varchar(255) NOT NULL COMMENT 'The newsletter’s title.(If this newsletter is automatic then it gets its list title)',
  `send_id` int(11) DEFAULT '0' COMMENT 'The # of sent times.',
  `custom` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether this newsletter sent as a custom one.',
  `ntid` int(10) unsigned NOT NULL COMMENT 'The newsletter_templates.id this newsletter uses.',
  `subscribers_sent` int(10) unsigned DEFAULT '0' COMMENT 'No Of subscribers this newsletter sent to.',
  `clicks` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'how many clicks this newsletter/list generated for the website.',
  `opens` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'how many times this newsletter/list opened by subscriber.',
  `last_sent` int(11) DEFAULT '0' COMMENT 'The last sent timestamp of this newsletter.',
  PRIMARY KEY (`nnid`),
  KEY `newsletter_send_id` (`send_id`),
  KEY `newsletter_last_sent` (`last_sent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains the newsletters that are sent with their...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_newsletter`
--

LOCK TABLES `newsletter_newsletter` WRITE;
/*!40000 ALTER TABLE `newsletter_newsletter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `newsletter_newsletter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_subscriber`
--

DROP TABLE IF EXISTS `newsletter_subscriber`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_subscriber` (
  `nsid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a subscriber.',
  `uid` int(11) DEFAULT NULL COMMENT 'The user id (if the user is registered) of the subscriber.',
  `email` varchar(64) NOT NULL COMMENT 'The subscriber’s email.',
  `firstname` varchar(64) DEFAULT NULL COMMENT 'The subscriber’s full name.',
  `lastname` varchar(64) DEFAULT NULL COMMENT 'The subscriber’s full name.',
  `gender` varchar(24) DEFAULT NULL COMMENT 'The subscriber’s gender.',
  `receive_format` varchar(11) DEFAULT NULL COMMENT 'The subscriber’s Preferred newsletter format.',
  `ip` varchar(22) DEFAULT NULL COMMENT 'Subscriber’s IP, when he/she subscribed.',
  `hash` varchar(128) NOT NULL COMMENT 'Subscriber’s hash, used to confirm subscription and unsubscribe.',
  `confirmed` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether this user has confirm his subscription through email.',
  `confirmation_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The confirmation timestamp of this subscriber.',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this subscriber.',
  PRIMARY KEY (`nsid`),
  UNIQUE KEY `subscriber_email` (`email`),
  UNIQUE KEY `subscriber_uid` (`uid`),
  KEY `subscriber_created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains the subscriber emails with their list relations.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_subscriber`
--

LOCK TABLES `newsletter_subscriber` WRITE;
/*!40000 ALTER TABLE `newsletter_subscriber` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `newsletter_subscriber` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_template`
--

DROP TABLE IF EXISTS `newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_template` (
  `ntid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique ID of this template.',
  `subject` varchar(255) NOT NULL COMMENT 'The template’s title/subject .',
  `basic` int(11) DEFAULT '0' COMMENT 'Whether this template is basic or not.',
  `exposed` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean.whether this list is exposed or not',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this template.',
  PRIMARY KEY (`ntid`),
  UNIQUE KEY `template_subject` (`subject`),
  KEY `template_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Contains the newsletter templates.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_template`
--

LOCK TABLES `newsletter_template` WRITE;
/*!40000 ALTER TABLE `newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `newsletter_template` VALUES (1,'Newsletter confirmation',1,0,1407306061),(2,'Newsletter welcome',1,0,1407306061),(3,'Newsletter unsubscribe',1,0,1407306061),(4,'Default',0,0,1407306061);
/*!40000 ALTER TABLE `newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',
  `vid` int(10) unsigned DEFAULT NULL COMMENT 'The current node_revision.vid version identifier.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',
  `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node` VALUES (1,1,'faq','und','Sed erat orci, pharetra nec diam quis, posuere feugiat elit?',1,1,1406801902,1406801902,2,1,0,0,0),(2,2,'faq','und','Fusce rhoncus diam vel elementum tempus?',1,1,1406801975,1406801975,1,1,0,0,0),(3,3,'faq','und','Nulla non dui tristique, aliquet nisi vitae, tempus eros?',1,1,1406802053,1406802053,1,1,0,0,0),(4,4,'faq','und','Sed id vestibulum elit. Phasellus vel sem purus. Proin sed arcu nibh?',1,1,1406802062,1406802062,1,1,0,0,0),(5,5,'faq','und','Vestibulum eget fermentum leo?',1,1,1406802072,1406802072,1,1,0,0,0),(6,6,'faq','und','In ultrices massa quis dui molestie, ut bibendum ligula dictum?',1,1,1406802081,1406802081,1,1,0,0,0),(7,7,'blog','und','Vivamus porta molestie dolor, eu porta metus pharetra id',1,1,1406802832,1406802832,2,1,0,0,0),(8,8,'blog','und','Vivamus enim tellus, pretium ac malesuada sit amet',1,1,1406802874,1406802874,2,1,0,0,0),(9,9,'blog','und','Curabitur dignissim posuere dui vitae dictum',1,1,1406802894,1406802894,2,1,0,0,0),(10,10,'blog','und','Proin eu metus sit amet diam consectetur sagittis nec a erat',1,1,1406802917,1406802917,2,1,0,0,0),(11,11,'blog','und','Integer lacus ante, porttitor tempus blandit ut',1,1,1406802946,1406802946,2,1,0,0,0),(12,12,'article','und','Maecenas justo lectus, mollis et sem at, scelerisque sodales leo',1,1,1406803074,1407914480,2,1,0,0,0),(13,13,'article','und','Nam dignissim consectetur felis, ut molestie lorem suscipit et',1,1,1406803503,1407904783,2,1,0,0,0),(14,14,'article','und','Quisque cursus tortor ut libero euismod, vitae tempor nibh tincidunt',1,1,1406803568,1407904769,2,1,0,0,0),(15,15,'article','und','Donec lacus ligula, pharetra quis malesuada et, accumsan at nibh',1,1,1406803591,1407904755,2,1,0,0,0),(16,16,'article','und','Duis scelerisque purus ac tristique dignissim',1,1,1406803695,1407904722,2,1,0,0,0),(17,17,'page','und','About us',1,1,1406908484,1407831691,1,0,0,0,0),(18,18,'webform','und','Contact',1,1,1406934539,1406935967,1,0,0,0,0),(19,19,'services','und','Build your vehicle',1,1,1407313007,1407899116,1,1,0,0,0),(20,20,'services','und','Financial services',1,1,1407313052,1407313143,1,1,0,0,0),(21,21,'services','und','Repair & optimize',1,1,1407313422,1407899373,1,1,0,0,0),(22,22,'services','und','Auto maintenance',1,1,1407313564,1407313564,1,1,0,0,0),(23,23,'products','und','FERRARI ENZO',1,1,1407314601,1408179471,1,1,0,0,0),(25,25,'products','und','Mantiz Concept',1,1,1407318442,1408179180,1,1,0,0,0),(26,26,'testimonials','und','Vestibulum mattis mattis mi vel faucibus',5,1,1407320937,1407321156,1,1,0,0,0),(27,27,'testimonials','und','Etiam leo nisi, mattis sed semper vitae',4,1,1407321202,1407321202,1,1,0,0,0),(28,28,'statistics','und','Cars selling',1,1,1407323083,1407323083,1,1,0,0,0),(29,29,'statistics','und','Global customer',1,1,1407323468,1407323468,1,1,0,0,0),(30,30,'statistics','und','Best brands',1,1,1407323485,1407323485,1,1,0,0,0),(31,31,'statistics','und','Supporter 24/7',1,1,1407323499,1407323499,1,1,0,0,0),(32,32,'dealers','und','Vestibulum imperdiet, ligula quis dignissim luctus',1,1,1407745161,1408601624,1,1,0,0,0),(33,33,'dealers','und','Fusce scelerisque ut lorem et pellentesque',1,1,1407745699,1408601538,1,1,0,0,0),(34,34,'dealers','und','Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere',1,1,1407745733,1407997228,1,1,0,0,0),(35,35,'products','und','2014 FERRARI CALIFORNIA',1,1,1407819597,1408179463,1,1,0,0,0),(36,36,'products','und','2014 AUDI ALLROAD',1,1,1408072906,1408179171,1,1,0,0,0),(37,37,'products','und','2014 FERRARI FF',1,1,1408074106,1408179130,1,1,0,0,0),(38,38,'products','und','ducati monster 795',1,1,1408074430,1408179023,1,1,0,0,0),(39,39,'products','und','2013 MAZDA MAZDASPEED',1,1,1408074676,1408178062,1,1,0,0,0),(40,40,'products','und','2014 HYUNDAI ACCENT',1,1,1408075015,1408416581,1,1,0,0,0),(41,41,'products','und','2015 KTM 1290 Super Adventure',1,1,1408075707,1408178010,1,1,0,0,0),(42,42,'products','und','2014 LEXUS CT 200H',1,1,1408075837,1408177982,1,1,0,0,0),(43,43,'products','und','2013 VOLVO C30',1,1,1408075932,1408177947,1,1,0,0,0),(44,44,'testimonials','und','Nulla quis orci auctor',1,1,1408358607,1408358607,1,1,0,0,0),(45,45,'article','und','Quisque rhoncus vitae purus ac luctu',1,1,1408361765,1408423732,2,1,0,0,0),(46,46,'webform','und','Send CV',1,1,1408423891,1408424063,1,1,0,0,0),(48,48,'page','und','404',1,1,1408680646,1408680646,1,0,0,0,0),(49,49,'page','und','Mega Menus',1,1,1414563861,1414563861,1,0,0,0,0);
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_access` VALUES (0,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_comment_statistics`
--

DROP TABLE IF EXISTS `node_comment_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  PRIMARY KEY (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_comment_statistics`
--

LOCK TABLES `node_comment_statistics` WRITE;
/*!40000 ALTER TABLE `node_comment_statistics` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_comment_statistics` VALUES (1,0,1406801902,NULL,1,0),(2,0,1406801975,NULL,1,0),(3,0,1406802053,NULL,1,0),(4,0,1406802062,NULL,1,0),(5,0,1406802072,NULL,1,0),(6,0,1406802081,NULL,1,0),(7,0,1406802832,NULL,1,0),(8,0,1406802874,NULL,1,0),(9,0,1406802894,NULL,1,0),(10,0,1406802917,NULL,1,0),(11,0,1406802946,NULL,1,0),(12,0,1406803074,NULL,1,0),(13,0,1406803503,NULL,1,0),(14,0,1406803568,NULL,1,0),(15,0,1406803591,NULL,1,0),(16,3,1408013551,'',6,3),(17,0,1406908484,NULL,1,0),(18,0,1406934539,NULL,1,0),(19,0,1407313007,NULL,1,0),(20,0,1407313052,NULL,1,0),(21,0,1407313422,NULL,1,0),(22,0,1407313564,NULL,1,0),(23,0,1407314601,NULL,1,0),(25,0,1407318442,NULL,1,0),(26,0,1407320937,NULL,0,0),(27,0,1407321202,NULL,4,0),(28,0,1407323083,NULL,1,0),(29,0,1407323468,NULL,1,0),(30,0,1407323485,NULL,1,0),(31,0,1407323499,NULL,1,0),(32,0,1407745161,NULL,1,0),(33,0,1407745699,NULL,1,0),(34,0,1407745733,NULL,1,0),(35,0,1407819597,NULL,1,0),(36,0,1408072906,NULL,1,0),(37,0,1408074106,NULL,1,0),(38,0,1408074430,NULL,1,0),(39,0,1408074676,NULL,1,0),(40,0,1408075015,NULL,1,0),(41,0,1408075707,NULL,1,0),(42,0,1408075837,NULL,1,0),(43,0,1408075932,NULL,1,0),(44,0,1408358607,NULL,1,0),(45,0,1408361765,'',1,0),(46,0,1408423891,NULL,1,0),(48,0,1408680646,NULL,1,0),(49,0,1414563861,NULL,1,0);
/*!40000 ALTER TABLE `node_comment_statistics` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node (at the time of this revision) is published (visible to non-administrators).',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision` VALUES (1,1,1,'Sed erat orci, pharetra nec diam quis, posuere feugiat elit?','',1406801902,1,2,1,0),(2,2,1,'Fusce rhoncus diam vel elementum tempus?','',1406801975,1,1,1,0),(3,3,1,'Nulla non dui tristique, aliquet nisi vitae, tempus eros?','',1406802053,1,1,1,0),(4,4,1,'Sed id vestibulum elit. Phasellus vel sem purus. Proin sed arcu nibh?','',1406802062,1,1,1,0),(5,5,1,'Vestibulum eget fermentum leo?','',1406802072,1,1,1,0),(6,6,1,'In ultrices massa quis dui molestie, ut bibendum ligula dictum?','',1406802081,1,1,1,0),(7,7,1,'Vivamus porta molestie dolor, eu porta metus pharetra id','',1406802832,1,2,1,0),(8,8,1,'Vivamus enim tellus, pretium ac malesuada sit amet','',1406802874,1,2,1,0),(9,9,1,'Curabitur dignissim posuere dui vitae dictum','',1406802894,1,2,1,0),(10,10,1,'Proin eu metus sit amet diam consectetur sagittis nec a erat','',1406802917,1,2,1,0),(11,11,1,'Integer lacus ante, porttitor tempus blandit ut','',1406802946,1,2,1,0),(12,12,1,'Maecenas justo lectus, mollis et sem at, scelerisque sodales leo','',1407914480,1,2,1,0),(13,13,1,'Nam dignissim consectetur felis, ut molestie lorem suscipit et','',1407904783,1,2,1,0),(14,14,1,'Quisque cursus tortor ut libero euismod, vitae tempor nibh tincidunt','',1407904769,1,2,1,0),(15,15,1,'Donec lacus ligula, pharetra quis malesuada et, accumsan at nibh','',1407904755,1,2,1,0),(16,16,1,'Duis scelerisque purus ac tristique dignissim','',1407904722,1,2,1,0),(17,17,1,'About us','',1407831691,1,1,0,0),(18,18,1,'Contact','',1406935967,1,1,0,0),(19,19,1,'Build your vehicle','',1407899116,1,1,1,0),(20,20,1,'Financial services','',1407313143,1,1,1,0),(21,21,1,'Repair & optimize','',1407899373,1,1,1,0),(22,22,1,'Auto maintenance','',1407313564,1,1,1,0),(23,23,1,'FERRARI ENZO','',1408179471,1,1,1,0),(25,25,1,'Mantiz Concept','',1408179180,1,1,1,0),(26,26,1,'Vestibulum mattis mattis mi vel faucibus','',1407321156,1,1,1,0),(27,27,1,'Etiam leo nisi, mattis sed semper vitae','',1407321202,1,1,1,0),(28,28,1,'Cars selling','',1407323083,1,1,1,0),(29,29,1,'Global customer','',1407323468,1,1,1,0),(30,30,1,'Best brands','',1407323485,1,1,1,0),(31,31,1,'Supporter 24/7','',1407323499,1,1,1,0),(32,32,1,'Vestibulum imperdiet, ligula quis dignissim luctus','',1408601624,1,1,1,0),(33,33,1,'Fusce scelerisque ut lorem et pellentesque','',1408601538,1,1,1,0),(34,34,1,'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere','',1407997228,1,1,1,0),(35,35,1,'2014 FERRARI CALIFORNIA','',1408179463,1,1,1,0),(36,36,1,'2014 AUDI ALLROAD','',1408179171,1,1,1,0),(37,37,1,'2014 FERRARI FF','',1408179130,1,1,1,0),(38,38,1,'ducati monster 795','',1408179023,1,1,1,0),(39,39,1,'2013 MAZDA MAZDASPEED','',1408178062,1,1,1,0),(40,40,1,'2014 HYUNDAI ACCENT','',1408416581,1,1,1,0),(41,41,1,'2015 KTM 1290 Super Adventure','',1408178010,1,1,1,0),(42,42,1,'2014 LEXUS CT 200H','',1408177982,1,1,1,0),(43,43,1,'2013 VOLVO C30','',1408177947,1,1,1,0),(44,44,1,'Nulla quis orci auctor','',1408358607,1,1,1,0),(45,45,1,'Quisque rhoncus vitae purus ac luctu','',1408423732,1,2,1,0),(46,46,1,'Send CV','',1408424063,1,1,1,0),(48,48,1,'404','',1408680646,1,1,0,0),(49,49,1,'Mega Menus','',1414563861,1,1,0,0);
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_type`
--

DROP TABLE IF EXISTS `node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_type` (
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',
  `module` varchar(255) NOT NULL COMMENT 'The module defining this node type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',
  `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',
  `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',
  `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',
  `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',
  `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_type`
--

LOCK TABLES `node_type` WRITE;
/*!40000 ALTER TABLE `node_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_type` VALUES ('article','Article','node_content','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',1,'Title',1,1,0,0,'article'),('blog','Blog entry','blog','blog','Use for multi-user blogs. Every user gets a personal blog.','',1,'Title',0,0,1,0,'blog'),('dealers','Dealers','node_content','node','Dealers','',1,'Title',1,1,0,0,'dealers'),('faq','FAQ','node_content','node','FAQ','',1,'Title',1,1,0,0,'faq'),('page','Basic page','node_content','node','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',1,'Title',1,1,0,0,'page'),('products','Products','node_content','node','Vehicle Products\r\n','',1,'Title',1,1,0,0,'products'),('services','Services','node_content','node','Services','',1,'Title',1,1,0,0,'services'),('statistics','Statistics','node_content','node','Statistics','',1,'Title',1,1,0,0,'statistics'),('testimonials','Testimonials','node_content','node','Testimonials','',1,'Title',1,1,0,0,'testimonials'),('webform','Webform','node_content','node','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',1,'Title',1,1,0,0,'webform');
/*!40000 ALTER TABLE `node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `pathauto_state`
--

DROP TABLE IF EXISTS `pathauto_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pathauto_state` (
  `entity_type` varchar(32) NOT NULL COMMENT 'The entity type.',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity ID.',
  `pathauto` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The automatic alias status of the entity.',
  PRIMARY KEY (`entity_type`,`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The status of each entity alias (whether it was...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pathauto_state`
--

LOCK TABLES `pathauto_state` WRITE;
/*!40000 ALTER TABLE `pathauto_state` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `pathauto_state` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=619 DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `queue` VALUES (585,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500440102;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440364),(586,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Date\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1491562090\";s:8:\"includes\";a:3:{s:4:\"date\";s:4:\"Date\";s:8:\"date_api\";s:8:\"Date API\";s:10:\"date_popup\";s:10:\"Date Popup\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440364),(587,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"email\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Email\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:5:\"email\";s:9:\"datestamp\";s:10:\"1397134155\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1397134155\";s:8:\"includes\";a:1:{s:5:\"email\";s:5:\"Email\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440364),(588,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:1:{s:6:\"entity\";s:10:\"Entity API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440364),(589,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1495557187\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440364),(590,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1479402861\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440364),(591,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440364),(592,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1487028488\";s:8:\"includes\";a:2:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440364),(593,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1476103133\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1476103133\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(594,'update_fetch_tasks','a:8:{s:4:\"name\";s:16:\"galleryformatter\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Gallery Formatter\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1442600640\";s:16:\"_info_file_ctime\";i:1500440103;}s:9:\"datestamp\";s:10:\"1442600640\";s:8:\"includes\";a:1:{s:16:\"galleryformatter\";s:17:\"Gallery Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(595,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"gmap\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"GMap\";s:7:\"package\";s:8:\"Location\";s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:16:\"_info_file_ctime\";i:1500440106;}s:9:\"datestamp\";s:10:\"1457698170\";s:8:\"includes\";a:1:{s:4:\"gmap\";s:4:\"GMap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(596,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499940453;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(597,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500440106;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(598,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(599,'update_fetch_tasks','a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(600,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"location\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Location\";s:7:\"package\";s:8:\"Location\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1438695672\";s:8:\"includes\";a:1:{s:8:\"location\";s:8:\"Location\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(601,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1455568740\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440113;}s:9:\"datestamp\";s:10:\"1455568740\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(602,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"menu_breadcrumb\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440114;}s:9:\"datestamp\";s:10:\"1425993992\";s:8:\"includes\";a:1:{s:15:\"menu_breadcrumb\";s:15:\"Menu breadcrumb\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(603,'update_fetch_tasks','a:8:{s:4:\"name\";s:14:\"metatags_quick\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Meta tags (quick)\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1405184328\";s:8:\"includes\";a:1:{s:14:\"metatags_quick\";s:17:\"Meta tags (quick)\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(604,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"modal_forms\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Modal forms\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"modal_forms\";s:9:\"datestamp\";s:10:\"1353326875\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1353326875\";s:8:\"includes\";a:1:{s:11:\"modal_forms\";s:11:\"Modal forms\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(605,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500440114;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(606,'update_fetch_tasks','a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(607,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(608,'update_fetch_tasks','a:8:{s:4:\"name\";s:12:\"redirect_404\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Redirect 404\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:12:\"redirect_404\";s:9:\"datestamp\";s:10:\"1378403209\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1378403209\";s:8:\"includes\";a:1:{s:12:\"redirect_404\";s:12:\"Redirect 404\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(609,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1452956656\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1452956656\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(610,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(611,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1440756596\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(612,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(613,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(614,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_accordion\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Accordion\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"views_accordion\";s:9:\"datestamp\";s:10:\"1422545700\";s:16:\"_info_file_ctime\";i:1499940454;}s:9:\"datestamp\";s:10:\"1422545700\";s:8:\"includes\";a:1:{s:15:\"views_accordion\";s:15:\"Views Accordion\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(615,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1452361196\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(616,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500440115;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(617,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499940588;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365),(618,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500440116;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500440365);
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rdf_mapping`
--

DROP TABLE IF EXISTS `rdf_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rdf_mapping` (
  `type` varchar(128) NOT NULL COMMENT 'The name of the entity type a mapping applies to (node, user, comment, etc.).',
  `bundle` varchar(128) NOT NULL COMMENT 'The name of the bundle a mapping applies to.',
  `mapping` longblob COMMENT 'The serialized mapping of the bundle type and fields to RDF terms.',
  PRIMARY KEY (`type`,`bundle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores custom RDF mappings for user defined content types...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rdf_mapping`
--

LOCK TABLES `rdf_mapping` WRITE;
/*!40000 ALTER TABLE `rdf_mapping` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rdf_mapping` VALUES ('node','article','a:11:{s:11:\"field_image\";a:2:{s:10:\"predicates\";a:2:{i:0;s:8:\"og:image\";i:1;s:12:\"rdfs:seeAlso\";}s:4:\"type\";s:3:\"rel\";}s:10:\"field_tags\";a:2:{s:10:\"predicates\";a:1:{i:0;s:10:\"dc:subject\";}s:4:\"type\";s:3:\"rel\";}s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Item\";i:1;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','blog','a:9:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:14:\"sioct:BlogPost\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','page','a:9:{s:7:\"rdftype\";a:1:{i:0;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}');
/*!40000 ALTER TABLE `rdf_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry`
--

DROP TABLE IF EXISTS `registry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',
  `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',
  `filename` varchar(255) NOT NULL COMMENT 'Name of the file.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  PRIMARY KEY (`name`,`type`),
  KEY `hook` (`type`,`weight`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry`
--

LOCK TABLES `registry` WRITE;
/*!40000 ALTER TABLE `registry` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry` VALUES ('AccessDeniedTestCase','class','modules/system/system.test','system',0),('addressfield_views_handler_field_administrative_area','class','sites/all/modules/addressfield/views/addressfield_views_handler_field_administrative_area.inc','addressfield',0),('addressfield_views_handler_field_country','class','sites/all/modules/addressfield/views/addressfield_views_handler_field_country.inc','addressfield',0),('addressfield_views_handler_filter_country','class','sites/all/modules/addressfield/views/addressfield_views_handler_filter_country.inc','addressfield',0),('AdminMenuCustomizedTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuDynamicLinksTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuLinkTypesTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuPermissionsTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuWebTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMetaTagTestCase','class','modules/system/system.test','system',0),('ArchiverInterface','interface','includes/archiver.inc','',0),('ArchiverTar','class','modules/system/system.archiver.inc','system',0),('ArchiverZip','class','modules/system/system.archiver.inc','system',0),('Archive_Tar','class','modules/system/system.tar.inc','system',0),('BatchMemoryQueue','class','includes/batch.queue.inc','',0),('BatchQueue','class','includes/batch.queue.inc','',0),('Bean','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanAccess','class','sites/all/modules/bean/bean.test','bean',0),('BeanCustom','class','sites/all/modules/bean/bean_admin_ui/plugins/BeanCustom.class.php','bean_admin_ui',0),('BeanDefault','class','sites/all/modules/bean/plugins/BeanDefault.class.php','bean',0),('BeanEntityAPIController','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanException','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanInlineEntityFormController','class','sites/all/modules/bean/includes/bean.inline_entity_form.inc','bean',0),('BeanIntegrationTests','class','sites/all/modules/bean/bean.test','bean',0),('BeanMetadataController','class','sites/all/modules/bean/includes/bean.info.inc','bean',0),('BeanPlugin','class','sites/all/modules/bean/plugins/BeanPlugin.class.php','bean',0),('BeanSetup','class','sites/all/modules/bean/bean.test','bean',0),('BeanTestPlugins','class','sites/all/modules/bean/bean.test','bean',0),('BeanTests','class','sites/all/modules/bean/bean.test','bean',0),('BeanTypePluginInterface','interface','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanUnitTests','class','sites/all/modules/bean/bean.test','bean',0),('BEF_TestCheckboxes','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestDatepicker','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestHidden','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestLinks','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestMisc','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestOptions','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestRadios','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestRewrite','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSecondaryFilters','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSliders','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSort','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestTaxonomyFilters','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('better_exposed_filters_exposed_form_plugin','class','sites/all/modules/better_exposed_filters/better_exposed_filters_exposed_form_plugin.inc','better_exposed_filters',0),('BlockAdminThemeTestCase','class','modules/block/block.test','block',-5),('BlockCacheTestCase','class','modules/block/block.test','block',-5),('BlockClassContextTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassFeaturesTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassPermissionTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassUpdateDisplayTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockHashTestCase','class','modules/block/block.test','block',-5),('BlockHiddenRegionTestCase','class','modules/block/block.test','block',-5),('BlockHTMLIdTestCase','class','modules/block/block.test','block',-5),('BlockInvalidRegionTestCase','class','modules/block/block.test','block',-5),('BlockTemplateSuggestionsUnitTest','class','modules/block/block.test','block',-5),('BlockTestCase','class','modules/block/block.test','block',-5),('BlockViewModuleDeltaAlterWebTest','class','modules/block/block.test','block',-5),('BlogTestCase','class','modules/blog/blog.test','blog',0),('ColorTestCase','class','modules/color/color.test','color',0),('CommentActionsTestCase','class','modules/comment/comment.test','comment',0),('CommentAnonymous','class','modules/comment/comment.test','comment',0),('CommentApprovalTest','class','modules/comment/comment.test','comment',0),('CommentBlockFunctionalTest','class','modules/comment/comment.test','comment',0),('CommentContentRebuild','class','modules/comment/comment.test','comment',0),('CommentController','class','modules/comment/comment.module','comment',0),('CommentFieldsTest','class','modules/comment/comment.test','comment',0),('CommentHelperCase','class','modules/comment/comment.test','comment',0),('CommentInterfaceTest','class','modules/comment/comment.test','comment',0),('CommentNodeAccessTest','class','modules/comment/comment.test','comment',0),('CommentNodeChangesTestCase','class','modules/comment/comment.test','comment',0),('CommentPagerTest','class','modules/comment/comment.test','comment',0),('CommentPreviewTest','class','modules/comment/comment.test','comment',0),('CommentRSSUnitTest','class','modules/comment/comment.test','comment',0),('CommentThreadingTestCase','class','modules/comment/comment.test','comment',0),('CommentTokenReplaceTestCase','class','modules/comment/comment.test','comment',0),('ConfirmFormTest','class','modules/system/system.test','system',0),('ContextConditionBookroot','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionBookTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionContextTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionLanguageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionMenuTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTaxonomyTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionPathTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionSitewideTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserPageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextReactionBlockAjaxAccessTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockAjaxTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBreadcrumbTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionMenuTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionRegionTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionThemeHtmlTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextualDynamicContextTestCase','class','modules/contextual/contextual.test','contextual',0),('ContextUiTestCase','class','sites/all/modules/context/context_ui/tests/context_ui.test','context_ui',0),('ContextUnitTest','class','sites/all/modules/context/tests/context.test','context',0),('context_condition','class','sites/all/modules/context/plugins/context_condition.inc','context',0),('context_condition_context','class','sites/all/modules/context/plugins/context_condition_context.inc','context',0),('context_condition_context_all','class','sites/all/modules/context/plugins/context_condition_context_all.inc','context',0),('context_condition_default','class','sites/all/modules/context/plugins/context_condition_default.inc','context',0),('context_condition_language','class','sites/all/modules/context/plugins/context_condition_language.inc','context',0),('context_condition_menu','class','sites/all/modules/context/plugins/context_condition_menu.inc','context',0),('context_condition_node','class','sites/all/modules/context/plugins/context_condition_node.inc','context',0),('context_condition_node_taxonomy','class','sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','context',0),('context_condition_path','class','sites/all/modules/context/plugins/context_condition_path.inc','context',0),('context_condition_query_string','class','sites/all/modules/context/plugins/context_condition_query_string.inc','context',0),('context_condition_sitewide','class','sites/all/modules/context/plugins/context_condition_sitewide.inc','context',0),('context_condition_taxonomy_term','class','sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','context',0),('context_condition_user','class','sites/all/modules/context/plugins/context_condition_user.inc','context',0),('context_condition_user_page','class','sites/all/modules/context/plugins/context_condition_user_page.inc','context',0),('context_condition_views','class','sites/all/modules/context/plugins/context_condition_views.inc','context',0),('context_export_ui','class','sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','context_ui',0),('context_reaction','class','sites/all/modules/context/plugins/context_reaction.inc','context',0),('context_reaction_block','class','sites/all/modules/context/plugins/context_reaction_block.inc','context',0),('context_reaction_breadcrumb','class','sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','context',0),('context_reaction_debug','class','sites/all/modules/context/plugins/context_reaction_debug.inc','context',0),('context_reaction_menu','class','sites/all/modules/context/plugins/context_reaction_menu.inc','context',0),('context_reaction_region','class','sites/all/modules/context/plugins/context_reaction_region.inc','context',0),('context_reaction_template_suggestions','class','sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','context',0),('context_reaction_theme','class','sites/all/modules/context/plugins/context_reaction_theme.inc','context',0),('context_reaction_theme_html','class','sites/all/modules/context/plugins/context_reaction_theme_html.inc','context',0),('CountriesBaseImportUnitTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CountriesBaseInstallUnitTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CountriesBaseSetupTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CountriesCacheUnitTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CountriesCRUDUIUnitTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CountriesCRUDUnitTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CountriesElementUnitTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CountriesFieldUnitTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CountriesFunctionsUnitTest','class','sites/all/modules/countries/tests/countries.test','countries',0),('CowInstanceTest','class','sites/all/modules/location/tests/cow.test','location',0),('CronQueueTestCase','class','modules/system/system.test','system',0),('CronRunTestCase','class','modules/system/system.test','system',0),('CtoolsContextKeywordsSubstitutionTestCase','class','sites/all/modules/ctools/tests/context.test','ctools',0),('CToolsCssCache','class','sites/all/modules/ctools/includes/css-cache.inc','ctools',0),('CtoolsCssTestCase','class','sites/all/modules/ctools/tests/css.test','ctools',0),('CtoolsMathExpressionStackTestCase','class','sites/all/modules/ctools/tests/math_expression_stack.test','ctools',0),('CtoolsMathExpressionTestCase','class','sites/all/modules/ctools/tests/math_expression.test','ctools',0),('CtoolsObjectCache','class','sites/all/modules/ctools/tests/object_cache.test','ctools',0),('CtoolsPluginsGetInfoTestCase','class','sites/all/modules/ctools/tests/ctools.plugins.test','ctools',0),('ctools_context','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_optional','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_required','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_export_ui','class','sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','ctools',0),('ctools_math_expr','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_math_expr_stack','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_stylizer_image_processor','class','sites/all/modules/ctools/includes/stylizer.inc','ctools',0),('DashboardBlocksTestCase','class','modules/dashboard/dashboard.test','dashboard',0),('Database','class','includes/database/database.inc','',0),('DatabaseCondition','class','includes/database/query.inc','',0),('DatabaseConnection','class','includes/database/database.inc','',0),('DatabaseConnectionNotDefinedException','class','includes/database/database.inc','',0),('DatabaseConnection_mysql','class','includes/database/mysql/database.inc','',0),('DatabaseConnection_pgsql','class','includes/database/pgsql/database.inc','',0),('DatabaseConnection_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseDriverNotSpecifiedException','class','includes/database/database.inc','',0),('DatabaseLog','class','includes/database/log.inc','',0),('DatabaseSchema','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectDoesNotExistException','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectExistsException','class','includes/database/schema.inc','',0),('DatabaseSchema_mysql','class','includes/database/mysql/schema.inc','',0),('DatabaseSchema_pgsql','class','includes/database/pgsql/schema.inc','',0),('DatabaseSchema_sqlite','class','includes/database/sqlite/schema.inc','',0),('DatabaseStatementBase','class','includes/database/database.inc','',0),('DatabaseStatementEmpty','class','includes/database/database.inc','',0),('DatabaseStatementInterface','interface','includes/database/database.inc','',0),('DatabaseStatementPrefetch','class','includes/database/prefetch.inc','',0),('DatabaseStatement_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseTaskException','class','includes/install.inc','',0),('DatabaseTasks','class','includes/install.inc','',0),('DatabaseTasks_mysql','class','includes/database/mysql/install.inc','',0),('DatabaseTasks_pgsql','class','includes/database/pgsql/install.inc','',0),('DatabaseTasks_sqlite','class','includes/database/sqlite/install.inc','',0),('DatabaseTransaction','class','includes/database/database.inc','',0),('DatabaseTransactionCommitFailedException','class','includes/database/database.inc','',0),('DatabaseTransactionExplicitCommitNotAllowedException','class','includes/database/database.inc','',0),('DatabaseTransactionNameNonUniqueException','class','includes/database/database.inc','',0),('DatabaseTransactionNoActiveException','class','includes/database/database.inc','',0),('DatabaseTransactionOutOfOrderException','class','includes/database/database.inc','',0),('DateAPITestCase','class','sites/all/modules/date/tests/date_api.test','date',0),('DateFieldBasic','class','sites/all/modules/date/tests/date_field.test','date',0),('DateFieldTestCase','class','sites/all/modules/date/tests/date_field.test','date',0),('DateFormatTestCase','class','modules/system/system.test','system',0),('DateFormTestCase','class','sites/all/modules/date/tests/date_form.test','date',0),('DateMigrateExampleUnitTest','class','sites/all/modules/date/tests/date_migrate.test','date',0),('DateMigrateFieldHandler','class','sites/all/modules/date/date.migrate.inc','date',0),('DateObject','class','sites/all/modules/date/date_api/date_api.module','date_api',0),('DateTimeFunctionalTest','class','modules/system/system.test','system',0),('DateTimezoneTestCase','class','sites/all/modules/date/tests/date_timezone.test','date',0),('DateUITestCase','class','sites/all/modules/date/tests/date.test','date',0),('DateValidationTestCase','class','sites/all/modules/date/tests/date_validation.test','date',0),('DateViewsPopupTestCase','class','sites/all/modules/date/tests/date_views_popup.test','date',0),('date_sql_handler','class','sites/all/modules/date/date_api/date_api_sql.inc','date_api',0),('DBLogTestCase','class','modules/dblog/dblog.test','dblog',0),('DefaultMailSystem','class','modules/system/system.mail.inc','system',0),('DeleteQuery','class','includes/database/query.inc','',0),('DeleteQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('DrupalCacheArray','class','includes/bootstrap.inc','',0),('DrupalCacheInterface','interface','includes/cache.inc','',0),('DrupalDatabaseCache','class','includes/cache.inc','',0),('DrupalDefaultEntityController','class','includes/entity.inc','',0),('DrupalEntityControllerInterface','interface','includes/entity.inc','',0),('DrupalFakeCache','class','includes/cache-install.inc','',0),('DrupalLocalStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPrivateStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPublicStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalQueue','class','modules/system/system.queue.inc','system',0),('DrupalQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalReliableQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalSetMessageTest','class','modules/system/system.test','system',0),('DrupalStreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('DrupalTemporaryStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalUpdateException','class','includes/update.inc','',0),('DrupalUpdaterInterface','interface','includes/updater.inc','',0),('EnableDisableTestCase','class','modules/system/system.test','system',0),('Entity','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityAPICommentNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIController','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerExportable','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerRevisionableInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIi18nItegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIRulesIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPITestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityBundleableUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityContentUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDB','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDBExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDefaultExtraFieldsController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultFeaturesController','class','sites/all/modules/entity/entity.features.inc','entity',0),('EntityDefaultI18nStringController','class','sites/all/modules/entity/entity.i18n.inc','entity',0),('EntityDefaultMetadataController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultRulesController','class','sites/all/modules/entity/entity.rules.inc','entity',0),('EntityDefaultUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDefaultViewsController','class','sites/all/modules/entity/views/entity.views.inc','entity',0),('EntityDrupalWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityExtraFieldsControllerInterface','interface','sites/all/modules/entity/entity.info.inc','entity',0),('EntityFieldHandlerHelper','class','sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','entity',0),('EntityFieldQuery','class','includes/entity.inc','',0),('EntityFieldQueryException','class','includes/entity.inc','',0),('EntityInterface','interface','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityListWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMalformedException','class','includes/entity.inc','',0),('EntityMetadataArrayObject','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeCreateAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeRevisionAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataTaxonomyAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperException','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperIterator','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityPropertiesTestCase','class','modules/field/tests/field.test','field',0),('EntityReferenceAdminTestCase','class','sites/all/modules/entityreference/tests/entityreference.admin.test','entityreference',0),('EntityReferenceBehavior_TaxonomyIndex','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','entityreference',0),('EntityReferenceBehavior_ViewsFilterSelect','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','entityreference',0),('EntityReferenceHandlersTestCase','class','sites/all/modules/entityreference/tests/entityreference.handlers.test','entityreference',0),('EntityReferenceTaxonomyTestCase','class','sites/all/modules/entityreference/tests/entityreference.taxonomy.test','entityreference',0),('EntityReference_BehaviorHandler','interface','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Abstract','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Broken','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('entityreference_plugin_display','class','sites/all/modules/entityreference/views/entityreference_plugin_display.inc','entityreference',0),('entityreference_plugin_row_fields','class','sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','entityreference',0),('entityreference_plugin_style','class','sites/all/modules/entityreference/views/entityreference_plugin_style.inc','entityreference',0),('EntityReference_SelectionHandler','interface','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Broken','class','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Generic','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_comment','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_file','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_node','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_taxonomy_term','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_user','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Views','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','entityreference',0),('EntityStructureWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityTokenTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityTranslationBeanHandler','class','sites/all/modules/bean/includes/translation.handler.bean.inc','bean',0),('EntityTranslationFieldCollectionItemHandler','class','sites/all/modules/field_collection/includes/translation.handler.field_collection_item.inc','field_collection',0),('EntityValueWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityWebTestCase','class','sites/all/modules/entity/entity.test','entity',0),('entity_views_handler_area_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','entity',0),('entity_views_handler_field_boolean','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','entity',0),('entity_views_handler_field_date','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','entity',0),('entity_views_handler_field_duration','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','entity',0),('entity_views_handler_field_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','entity',0),('entity_views_handler_field_field','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','entity',0),('entity_views_handler_field_numeric','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','entity',0),('entity_views_handler_field_options','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','entity',0),('entity_views_handler_field_text','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','entity',0),('entity_views_handler_field_uri','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','entity',0),('entity_views_handler_relationship','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','entity',0),('entity_views_handler_relationship_by_bundle','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','entity',0),('entity_views_plugin_row_entity_view','class','sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','entity',0),('FeedsMapperFieldTestCase','class','sites/all/modules/entityreference/tests/entityreference.feeds.test','entityreference',0),('FieldAttachOtherTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachStorageTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachTestCase','class','modules/field/tests/field.test','field',0),('FieldBulkDeleteTestCase','class','modules/field/tests/field.test','field',0),('FieldCollectionBasicTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionContentTranslationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionEntityTranslationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionItemEntity','class','sites/all/modules/field_collection/field_collection.entity.inc','field_collection',0),('FieldCollectionItemMetadataController','class','sites/all/modules/field_collection/field_collection.info.inc','field_collection',0),('FieldCollectionRulesIntegrationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldDisplayAPITestCase','class','modules/field/tests/field.test','field',0),('FieldException','class','modules/field/field.module','field',0),('FieldFormTestCase','class','modules/field/tests/field.test','field',0),('FieldInfo','class','modules/field/field.info.class.inc','field',0),('FieldInfoTestCase','class','modules/field/tests/field.test','field',0),('FieldInstanceCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldsOverlapException','class','includes/database/database.inc','',0),('FieldSqlStorageTestCase','class','modules/field/modules/field_sql_storage/field_sql_storage.test','field_sql_storage',0),('FieldTestCase','class','modules/field/tests/field.test','field',0),('FieldTranslationsTestCase','class','modules/field/tests/field.test','field',0),('FieldUIAlterTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageDisplayTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageFieldsTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUITestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUpdateForbiddenException','class','modules/field/field.module','field',0),('FieldValidationException','class','modules/field/field.attach.inc','field',0),('field_collection_handler_relationship','class','sites/all/modules/field_collection/views/field_collection_handler_relationship.inc','field_collection',0),('FileFieldAnonymousSubmission','class','modules/file/tests/file.test','file',0),('FileFieldDisplayTestCase','class','modules/file/tests/file.test','file',0),('FileFieldPathTestCase','class','modules/file/tests/file.test','file',0),('FileFieldRevisionTestCase','class','modules/file/tests/file.test','file',0),('FileFieldTestCase','class','modules/file/tests/file.test','file',0),('FileFieldValidateTestCase','class','modules/file/tests/file.test','file',0),('FileFieldWidgetTestCase','class','modules/file/tests/file.test','file',0),('FileManagedFileElementTestCase','class','modules/file/tests/file.test','file',0),('FilePrivateTestCase','class','modules/file/tests/file.test','file',0),('FileTaxonomyTermTestCase','class','modules/file/tests/file.test','file',0),('FileTokenReplaceTestCase','class','modules/file/tests/file.test','file',0),('FileTransfer','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferChmodInterface','interface','includes/filetransfer/filetransfer.inc','',0),('FileTransferException','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferFTP','class','includes/filetransfer/ftp.inc','',0),('FileTransferFTPExtension','class','includes/filetransfer/ftp.inc','',0),('FileTransferLocal','class','includes/filetransfer/local.inc','',0),('FileTransferSSH','class','includes/filetransfer/ssh.inc','',0),('FilterAdminTestCase','class','modules/filter/filter.test','filter',0),('FilterCRUDTestCase','class','modules/filter/filter.test','filter',0),('FilterDefaultFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterDOMSerializeTestCase','class','modules/filter/filter.test','filter',0),('FilterFormatAccessTestCase','class','modules/filter/filter.test','filter',0),('FilterHooksTestCase','class','modules/filter/filter.test','filter',0),('FilterNoFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterSecurityTestCase','class','modules/filter/filter.test','filter',0),('FilterSettingsTestCase','class','modules/filter/filter.test','filter',0),('FilterUnitTestCase','class','modules/filter/filter.test','filter',0),('FlexsliderTestCase','class','sites/all/modules/flexslider/flexslider.test','flexslider',0),('flexslider_views_plugin_style_flexslider','class','sites/all/modules/flexslider/flexslider_views/flexslider_views_plugin_style_flexslider.inc','flexslider_views',0),('FloodFunctionalTest','class','modules/system/system.test','system',0),('FrontPageTestCase','class','modules/system/system.test','system',0),('GmapDefaults','class','sites/all/modules/gmap/lib/Drupal/gmap/GmapDefaults.php','gmap',0),('GmapDefaultsTestCase','class','sites/all/modules/gmap/tests/oopmigration.test','gmap',0),('GMapMacroTest','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('GmapMacroToolbox','class','sites/all/modules/gmap/lib/Drupal/gmap/GmapMacroToolbox.php','gmap',0),('GmapMacroToolboxTestCase','class','sites/all/modules/gmap/tests/oopmigration.test','gmap',0),('GmapPolylineToolbox','class','sites/all/modules/gmap/lib/Drupal/gmap/GmapPolylineToolbox.php','gmap',0),('GmapPolylineToolboxTestCase','class','sites/all/modules/gmap/tests/oopmigration.test','gmap',0),('GMapSimpleAPITest','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('gmap_plugin_style_gmap','class','sites/all/modules/gmap/gmap_plugin_style_gmap.inc','gmap',0),('gmap_plugin_style_gmapextended','class','sites/all/modules/gmap/gmap_plugin_style_gmapextended.inc','gmap',0),('GroupDisplayTestCase','class','sites/all/modules/field_group/tests/field_group.display.test','field_group',1),('GroupUITestCase','class','sites/all/modules/field_group/tests/field_group.ui.test','field_group',0),('HelpTestCase','class','modules/help/help.test','help',0),('HookRequirementsTestCase','class','modules/system/system.test','system',0),('ImageAdminStylesUnitTest','class','modules/image/image.test','image',0),('ImageAdminUiTestCase','class','modules/image/image.test','image',0),('ImageDimensionsScaleTestCase','class','modules/image/image.test','image',0),('ImageDimensionsTestCase','class','modules/image/image.test','image',0),('ImageEffectsUnitTest','class','modules/image/image.test','image',0),('ImageFieldDefaultImagesTestCase','class','modules/image/image.test','image',0),('ImageFieldDisplayTestCase','class','modules/image/image.test','image',0),('ImageFieldTestCase','class','modules/image/image.test','image',0),('ImageFieldValidateTestCase','class','modules/image/image.test','image',0),('ImageStyleFlushTest','class','modules/image/image.test','image',0),('ImageStylesPathAndUrlTestCase','class','modules/image/image.test','image',0),('ImageThemeFunctionWebTestCase','class','modules/image/image.test','image',0),('InfoFileParserTestCase','class','modules/system/system.test','system',0),('InsertQuery','class','includes/database/query.inc','',0),('InsertQuery_mysql','class','includes/database/mysql/query.inc','',0),('InsertQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('InsertQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('InvalidMergeQueryException','class','includes/database/database.inc','',0),('IPAddressBlockingTestCase','class','modules/system/system.test','system',0),('jcarousel_style_plugin','class','sites/all/modules/jcarousel/includes/jcarousel_style_plugin.inc','jcarousel',0),('LGFATestCase','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('LibrariesAdminWebTest','class','sites/all/modules/libraries/tests/LibrariesAdminWebTest.test','libraries',0),('LibrariesLoadWebTest','class','sites/all/modules/libraries/tests/LibrariesLoadWebTest.test','libraries',0),('LibrariesUnitTest','class','sites/all/modules/libraries/tests/LibrariesUnitTest.test','libraries',0),('LibrariesWebTestBase','class','sites/all/modules/libraries/tests/LibrariesWebTestBase.test','libraries',0),('LinkAttributeCrudTest','class','sites/all/modules/link/tests/link.attribute.test','link',0),('LinkBaseTestClass','class','sites/all/modules/link/tests/link.test','link',0),('LinkContentCrudTest','class','sites/all/modules/link/tests/link.crud.test','link',0),('LinkEntityTokenTest','class','sites/all/modules/link/tests/link.entity_token.test','link',0),('LinkTokenTest','class','sites/all/modules/link/tests/link.token.test','link',0),('LinkUITest','class','sites/all/modules/link/tests/link.crud_browser.test','link',0),('LinkValidateSpecificURL','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTest','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestCase','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestNews','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateUrlLight','class','sites/all/modules/link/tests/link.validate.test','link',0),('link_views_handler_argument_target','class','sites/all/modules/link/views/link_views_handler_argument_target.inc','link',0),('link_views_handler_filter_protocol','class','sites/all/modules/link/views/link_views_handler_filter_protocol.inc','link',0),('ListDynamicValuesTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListDynamicValuesValidationTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldUITestCase','class','modules/field/modules/list/tests/list.test','list',0),('LocaleBrowserDetectionTest','class','modules/locale/locale.test','locale',0),('LocaleCommentLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleConfigurationTest','class','modules/locale/locale.test','locale',0),('LocaleContentFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleCSSAlterTest','class','modules/locale/locale.test','locale',0),('LocaleDateFormatsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleExportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleImportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleInstallTest','class','modules/locale/locale.test','locale',0),('LocaleJavascriptTranslationTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageNegotiationInfoFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageSwitchingFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLibraryInfoAlterTest','class','modules/locale/locale.test','locale',0),('LocaleMultilingualFieldsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePathFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePluralFormatTest','class','modules/locale/locale.test','locale',0),('LocaleStringIsSafeTest','class','modules/locale/locale.test','locale',0),('LocaleTranslationFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUILanguageNegotiationTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFrenchFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUrlRewritingTest','class','modules/locale/locale.test','locale',0),('LocaleUserCreationTest','class','modules/locale/locale.test','locale',0),('LocaleUserLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LocationCCK2Test','class','sites/all/modules/location/tests/location_cck2.test','location',0),('LocationCCKTest','class','sites/all/modules/location/tests/location_cck.test','location',0),('LocationEarthTest','class','sites/all/modules/location/tests/earth.test','location',0),('LocationGoogleGeocoderTest','class','sites/all/modules/location/tests/google_geocoder.test','location',0),('LocationTestCase','class','sites/all/modules/location/tests/location_testcase.test','location',0),('location_handler_argument_location_country','class','sites/all/modules/location/handlers/location_handler_argument_location_country.inc','location',0),('location_handler_argument_location_province','class','sites/all/modules/location/handlers/location_handler_argument_location_province.inc','location',0),('location_handler_argument_location_proximity','class','sites/all/modules/location/handlers/location_handler_argument_location_proximity.inc','location',0),('location_handler_field_location_additional','class','sites/all/modules/location/handlers/location_handler_field_location_additional.inc','location',0),('location_handler_field_location_address','class','sites/all/modules/location/handlers/location_handler_field_location_address.inc','location',0),('location_handler_field_location_country','class','sites/all/modules/location/handlers/location_handler_field_location_country.inc','location',0),('location_handler_field_location_distance','class','sites/all/modules/location/handlers/location_handler_field_location_distance.inc','location',0),('location_handler_field_location_province','class','sites/all/modules/location/handlers/location_handler_field_location_province.inc','location',0),('location_handler_field_location_street','class','sites/all/modules/location/handlers/location_handler_field_location_street.inc','location',0),('location_handler_filter_location_country','class','sites/all/modules/location/handlers/location_handler_filter_location_country.inc','location',0),('location_handler_filter_location_province','class','sites/all/modules/location/handlers/location_handler_filter_location_province.inc','location',0),('location_handler_sort_location_country','class','sites/all/modules/location/handlers/location_handler_sort_location_country.inc','location',0),('location_handler_sort_location_distance','class','sites/all/modules/location/handlers/location_handler_sort_location_distance.inc','location',0),('location_views_handler_field_coordinates','class','sites/all/modules/location/handlers/location_views_handler_field_coordinates.inc','location',0),('location_views_handler_field_latitude','class','sites/all/modules/location/handlers/location_views_handler_field_latitude.inc','location',0),('location_views_handler_field_longitude','class','sites/all/modules/location/handlers/location_views_handler_field_longitude.inc','location',0),('location_views_handler_filter_proximity','class','sites/all/modules/location/handlers/location_views_handler_filter_proximity.inc','location',0),('MailSystemInterface','interface','includes/mail.inc','',0),('MemoryQueue','class','modules/system/system.queue.inc','system',0),('MenuAttributesNodeTestCase','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',10),('MenuAttributesTestCase','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',10),('MenuAttributesTestHelper','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',10),('MenuNodeTestCase','class','modules/menu/menu.test','menu',0),('MenuTestCase','class','modules/menu/menu.test','menu',0),('MergeQuery','class','includes/database/query.inc','',0),('MigrateAddressFieldHandler','class','sites/all/modules/addressfield/addressfield.migrate.inc','addressfield',0),('MigrateCountryFieldHandler','class','sites/all/modules/countries/countries.migrate.inc','countries',0),('MigrateDestinationFieldCollection','class','sites/all/modules/field_collection/field_collection.migrate.inc','field_collection',0),('MigrateEmailFieldHandler','class','sites/all/modules/email/email.migrate.inc','email',0),('MigrateEntityReferenceFieldHandler','class','sites/all/modules/entityreference/entityreference.migrate.inc','entityreference',0),('MigrateLinkFieldHandler','class','sites/all/modules/link/link.migrate.inc','link',0),('MigrateLocationFieldHandler','class','sites/all/modules/location/location.migrate.inc','location',0),('MigrateMetatagsquickFieldHandler','class','sites/all/modules/metatags_quick/metatags_quick.migrate.inc','metatags_quick',0),('ModuleDependencyTestCase','class','modules/system/system.test','system',0),('ModuleRequiredTestCase','class','modules/system/system.test','system',0),('ModuleTestCase','class','modules/system/system.test','system',0),('ModuleUpdater','class','modules/system/system.updater.inc','system',0),('ModuleVersionTestCase','class','modules/system/system.test','system',0),('MultiStepNodeFormBasicOptionsTest','class','modules/node/node.test','node',0),('NewDefaultThemeBlocks','class','modules/block/block.test','block',-5),('NewsletterAutomated','class','sites/all/modules/newsletter/includes/newsletter.automated.inc','newsletter',0),('NewsletterBasic','class','sites/all/modules/newsletter/includes/newsletter.basic.inc','newsletter',0),('NewsletterCustom','class','sites/all/modules/newsletter/includes/newsletter.custom.inc','newsletter',0),('NewsletterListController','class','sites/all/modules/newsletter/includes/newsletter.list.controller.inc','newsletter',0),('NewsletterListTestCase','class','sites/all/modules/newsletter/newsletter.test','newsletter',0),('NewsletterMailSystem','class','sites/all/modules/newsletter/includes/newsletter.mail.inc','newsletter',0),('NewsletterNewsletterController','class','sites/all/modules/newsletter/includes/newsletter.newsletter.controller.inc','newsletter',0),('NewsletterSubscriberController','class','sites/all/modules/newsletter/includes/newsletter.subscriber.controller.inc','newsletter',0),('NewsletterTemplateController','class','sites/all/modules/newsletter/includes/newsletter.template.controller.inc','newsletter',0),('NewsletterTemplateTestCase','class','sites/all/modules/newsletter/newsletter.test','newsletter',0),('newsletter_handler_field_datetime','class','sites/all/modules/newsletter/includes/views/handlers/newsletter_handler_field_datetime.inc','newsletter',0),('NodeAccessBaseTableTestCase','class','modules/node/node.test','node',0),('NodeAccessFieldTestCase','class','modules/node/node.test','node',0),('NodeAccessPagerTestCase','class','modules/node/node.test','node',0),('NodeAccessRebuildTestCase','class','modules/node/node.test','node',0),('NodeAccessRecordsTestCase','class','modules/node/node.test','node',0),('NodeAccessTestCase','class','modules/node/node.test','node',0),('NodeAdminTestCase','class','modules/node/node.test','node',0),('NodeBlockFunctionalTest','class','modules/node/node.test','node',0),('NodeBlockTestCase','class','modules/node/node.test','node',0),('NodeBuildContent','class','modules/node/node.test','node',0),('NodeController','class','modules/node/node.module','node',0),('NodeCreationTestCase','class','modules/node/node.test','node',0),('NodeEntityFieldQueryAlter','class','modules/node/node.test','node',0),('NodeEntityViewModeAlterTest','class','modules/node/node.test','node',0),('NodeFeedTestCase','class','modules/node/node.test','node',0),('NodeLoadHooksTestCase','class','modules/node/node.test','node',0),('NodeLoadMultipleTestCase','class','modules/node/node.test','node',0),('NodeMultiByteUtf8Test','class','modules/node/node.test','node',0),('NodePageCacheTest','class','modules/node/node.test','node',0),('NodePostSettingsTestCase','class','modules/node/node.test','node',0),('NodeQueryAlter','class','modules/node/node.test','node',0),('NodeRevisionPermissionsTestCase','class','modules/node/node.test','node',0),('NodeRevisionsTestCase','class','modules/node/node.test','node',0),('NodeRSSContentTestCase','class','modules/node/node.test','node',0),('NodeSaveTestCase','class','modules/node/node.test','node',0),('NodeTitleTestCase','class','modules/node/node.test','node',0),('NodeTitleXSSTestCase','class','modules/node/node.test','node',0),('NodeTokenReplaceTestCase','class','modules/node/node.test','node',0),('NodeTypePersistenceTestCase','class','modules/node/node.test','node',0),('NodeTypeTestCase','class','modules/node/node.test','node',0),('NodeWebTestCase','class','modules/node/node.test','node',0),('NoFieldsException','class','includes/database/database.inc','',0),('NoHelpTestCase','class','modules/help/help.test','help',0),('NonDefaultBlockAdmin','class','modules/block/block.test','block',-5),('NumberFieldTestCase','class','modules/field/modules/number/number.test','number',0),('OptionsSelectDynamicValuesTestCase','class','modules/field/modules/options/options.test','options',0),('OptionsWidgetsTestCase','class','modules/field/modules/options/options.test','options',0),('PageEditTestCase','class','modules/node/node.test','node',0),('PageNotFoundTestCase','class','modules/system/system.test','system',0),('PagePreviewTestCase','class','modules/node/node.test','node',0),('PagerDefault','class','includes/pager.inc','',0),('PageTitleFiltering','class','modules/system/system.test','system',0),('PageViewTestCase','class','modules/node/node.test','node',0),('PathautoBulkUpdateTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoLocaleTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoMigrationHandler','class','sites/all/modules/pathauto/pathauto.migrate.inc','pathauto',1),('PathautoTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoTokenTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoUnitTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathLanguageTestCase','class','modules/path/path.test','path',0),('PathLanguageUITestCase','class','modules/path/path.test','path',0),('PathMonolingualTestCase','class','modules/path/path.test','path',0),('PathTaxonomyTermTestCase','class','modules/path/path.test','path',0),('PathTestCase','class','modules/path/path.test','path',0),('PHPAccessTestCase','class','modules/php/php.test','php',0),('PHPFilterTestCase','class','modules/php/php.test','php',0),('PHPTestCase','class','modules/php/php.test','php',0),('Query','class','includes/database/query.inc','',0),('QueryAlterableInterface','interface','includes/database/query.inc','',0),('QueryConditionInterface','interface','includes/database/query.inc','',0),('QueryExtendableInterface','interface','includes/database/select.inc','',0),('QueryPlaceholderInterface','interface','includes/database/query.inc','',0),('QueueTestCase','class','modules/system/system.test','system',0),('RetrieveFileTestCase','class','modules/system/system.test','system',0),('SchemaCache','class','includes/bootstrap.inc','',0),('SearchAdvancedSearchForm','class','modules/search/search.test','search',0),('SearchBlockTestCase','class','modules/search/search.test','search',0),('SearchCommentCountToggleTestCase','class','modules/search/search.test','search',0),('SearchCommentTestCase','class','modules/search/search.test','search',0),('SearchConfigSettingsForm','class','modules/search/search.test','search',0),('SearchEmbedForm','class','modules/search/search.test','search',0),('SearchExactTestCase','class','modules/search/search.test','search',0),('SearchExcerptTestCase','class','modules/search/search.test','search',0),('SearchExpressionInsertExtractTestCase','class','modules/search/search.test','search',0),('SearchKeywordsConditions','class','modules/search/search.test','search',0),('SearchLanguageTestCase','class','modules/search/search.test','search',0),('SearchMatchTestCase','class','modules/search/search.test','search',0),('SearchNodeAccessTest','class','modules/search/search.test','search',0),('SearchNodeTagTest','class','modules/search/search.test','search',0),('SearchNumberMatchingTestCase','class','modules/search/search.test','search',0),('SearchNumbersTestCase','class','modules/search/search.test','search',0),('SearchPageOverride','class','modules/search/search.test','search',0),('SearchPageText','class','modules/search/search.test','search',0),('SearchQuery','class','modules/search/search.extender.inc','search',0),('SearchRankingTestCase','class','modules/search/search.test','search',0),('SearchSetLocaleTest','class','modules/search/search.test','search',0),('SearchSimplifyTestCase','class','modules/search/search.test','search',0),('SearchTokenizerTestCase','class','modules/search/search.test','search',0),('SelectQuery','class','includes/database/select.inc','',0),('SelectQueryExtender','class','includes/database/select.inc','',0),('SelectQueryInterface','interface','includes/database/select.inc','',0),('SelectQuery_pgsql','class','includes/database/pgsql/select.inc','',0),('SelectQuery_sqlite','class','includes/database/sqlite/select.inc','',0),('ShortcutLinksTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutSetsTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShutdownFunctionsTest','class','modules/system/system.test','system',0),('SiteMaintenanceTestCase','class','modules/system/system.test','system',0),('SkipDotsRecursiveDirectoryIterator','class','includes/filetransfer/filetransfer.inc','',0),('StreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('SummaryLengthTestCase','class','modules/node/node.test','node',0),('SystemAdminTestCase','class','modules/system/system.test','system',0),('SystemAuthorizeCase','class','modules/system/system.test','system',0),('SystemBlockTestCase','class','modules/system/system.test','system',0),('SystemIndexPhpTest','class','modules/system/system.test','system',0),('SystemInfoAlterTestCase','class','modules/system/system.test','system',0),('SystemMainContentFallback','class','modules/system/system.test','system',0),('SystemQueue','class','modules/system/system.queue.inc','system',0),('SystemThemeFunctionalTest','class','modules/system/system.test','system',0),('SystemValidTokenTest','class','modules/system/system.test','system',0),('TableSort','class','includes/tablesort.inc','',0),('TaxonomyEFQTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyHooksTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLegacyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLoadMultipleTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyMenuHierarchyTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuTreeNode','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuUnitTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuWebTestCase','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyQueryAlterTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyRSSTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyTermFieldMultipleVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFieldTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFunctionTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermIndexTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyThemeTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTokenReplaceTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyVocabularyFunctionalTest','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyWebTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('testGmapFormsTestCase','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('testGmapMacroFormsTestCase','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('testGmapTaxonomyFormsTestCase','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('TestingMailSystem','class','modules/system/system.mail.inc','system',0),('TextFieldTestCase','class','modules/field/modules/text/text.test','text',0),('TextSummaryTestCase','class','modules/field/modules/text/text.test','text',0),('TextTranslationTestCase','class','modules/field/modules/text/text.test','text',0),('ThemeRegistry','class','includes/theme.inc','',0),('ThemeUpdater','class','modules/system/system.updater.inc','system',0),('TokenArrayTestCase','class','sites/all/modules/token/token.test','token',0),('TokenBlockTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCommentTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCurrentPageTestCase','class','sites/all/modules/token/token.test','token',0),('TokenDateTestCase','class','sites/all/modules/token/token.test','token',0),('TokenEntityTestCase','class','sites/all/modules/token/token.test','token',0),('TokenFileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenMenuTestCase','class','sites/all/modules/token/token.test','token',0),('TokenNodeTestCase','class','sites/all/modules/token/token.test','token',0),('TokenProfileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenRandomTestCase','class','sites/all/modules/token/token.test','token',0),('TokenReplaceTestCase','class','modules/system/system.test','system',0),('TokenScanTest','class','modules/system/system.test','system',0),('TokenTaxonomyTestCase','class','sites/all/modules/token/token.test','token',0),('TokenTestHelper','class','sites/all/modules/token/token.test','token',0),('TokenUnitTestCase','class','sites/all/modules/token/token.test','token',0),('TokenURLTestCase','class','sites/all/modules/token/token.test','token',0),('TokenUserTestCase','class','sites/all/modules/token/token.test','token',0),('TruncateQuery','class','includes/database/query.inc','',0),('TruncateQuery_mysql','class','includes/database/mysql/query.inc','',0),('TruncateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('UpdateCoreTestCase','class','modules/update/update.test','update',0),('UpdateCoreUnitTestCase','class','modules/update/update.test','update',0),('UpdateQuery','class','includes/database/query.inc','',0),('UpdateQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('UpdateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('Updater','class','includes/updater.inc','',0),('UpdaterException','class','includes/updater.inc','',0),('UpdaterFileTransferException','class','includes/updater.inc','',0),('UpdateScriptFunctionalTest','class','modules/system/system.test','system',0),('UpdateTestContribCase','class','modules/update/update.test','update',0),('UpdateTestHelper','class','modules/update/update.test','update',0),('UpdateTestUploadCase','class','modules/update/update.test','update',0),('UserAccountLinksUnitTests','class','modules/user/user.test','user',0),('UserAdminTestCase','class','modules/user/user.test','user',0),('UserAuthmapAssignmentTestCase','class','modules/user/user.test','user',0),('UserAutocompleteTestCase','class','modules/user/user.test','user',0),('UserBlocksUnitTests','class','modules/user/user.test','user',0),('UserCancelTestCase','class','modules/user/user.test','user',0),('UserController','class','modules/user/user.module','user',0),('UserCreateTestCase','class','modules/user/user.test','user',0),('UserEditedOwnAccountTestCase','class','modules/user/user.test','user',0),('UserEditRebuildTestCase','class','modules/user/user.test','user',0),('UserEditTestCase','class','modules/user/user.test','user',0),('UserLoginTestCase','class','modules/user/user.test','user',0),('UserPasswordResetTestCase','class','modules/user/user.test','user',0),('UserPermissionsTestCase','class','modules/user/user.test','user',0),('UserPictureTestCase','class','modules/user/user.test','user',0),('UserRegistrationTestCase','class','modules/user/user.test','user',0),('UserRoleAdminTestCase','class','modules/user/user.test','user',0),('UserRolesAssignmentTestCase','class','modules/user/user.test','user',0),('UserSaveTestCase','class','modules/user/user.test','user',0),('UserSignatureTestCase','class','modules/user/user.test','user',0),('UserTimeZoneFunctionalTest','class','modules/user/user.test','user',0),('UserTokenReplaceTestCase','class','modules/user/user.test','user',0),('UserUserSearchTestCase','class','modules/user/user.test','user',0),('UserValidateCurrentPassCustomForm','class','modules/user/user.test','user',0),('UserValidationTestCase','class','modules/user/user.test','user',0),('view','class','sites/all/modules/views/includes/view.inc','views',10),('ViewsAccessTest','class','sites/all/modules/views/tests/views_access.test','views',0),('ViewsAnalyzeTest','class','sites/all/modules/views/tests/views_analyze.test','views',0),('ViewsArgumentDefaultTest','class','sites/all/modules/views/tests/views_argument_default.test','views',0),('ViewsArgumentValidatorTest','class','sites/all/modules/views/tests/views_argument_validator.test','views',0),('ViewsBasicTest','class','sites/all/modules/views/tests/views_basic.test','views',0),('ViewsCacheTest','class','sites/all/modules/views/tests/views_cache.test','views',0),('ViewsExposedFormTest','class','sites/all/modules/views/tests/views_exposed_form.test','views',10),('viewsFieldApiDataTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsFieldApiTestHelper','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsGlossaryTestCase','class','sites/all/modules/views/tests/views_glossary.test','views',0),('ViewsHandlerAreaTextTest','class','sites/all/modules/views/tests/handlers/views_handler_area_text.test','views',0),('viewsHandlerArgumentCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','views',0),('ViewsHandlerArgumentNullTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_null.test','views',0),('ViewsHandlerArgumentStringTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_string.test','views',0),('ViewsHandlerFieldBooleanTest','class','sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','views',0),('ViewsHandlerFieldCustomTest','class','sites/all/modules/views/tests/handlers/views_handler_field_custom.test','views',0),('ViewsHandlerFieldDateTest','class','sites/all/modules/views/tests/handlers/views_handler_field_date.test','views',0),('viewsHandlerFieldFieldTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsHandlerFieldMath','class','sites/all/modules/views/tests/handlers/views_handler_field_math.test','views',0),('ViewsHandlerFieldTest','class','sites/all/modules/views/tests/handlers/views_handler_field.test','views',0),('ViewsHandlerFieldUrlTest','class','sites/all/modules/views/tests/handlers/views_handler_field_url.test','views',0),('viewsHandlerFieldUserNameTest','class','sites/all/modules/views/tests/user/views_handler_field_user_name.test','views',0),('ViewsHandlerFileExtensionTest','class','sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','views',0),('ViewsHandlerFilterCombineTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','views',0),('viewsHandlerFilterCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','views',0),('ViewsHandlerFilterCounterTest','class','sites/all/modules/views/tests/handlers/views_handler_field_counter.test','views',0),('ViewsHandlerFilterDateTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_date.test','views',10),('ViewsHandlerFilterEqualityTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','views',0),('ViewsHandlerFilterInOperator','class','sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','views',0),('ViewsHandlerFilterNumericTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','views',0),('ViewsHandlerFilterStringTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_string.test','views',0),('ViewsHandlerRelationshipNodeTermDataTest','class','sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','views',0),('ViewsHandlerSortDateTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_date.test','views',0),('ViewsHandlerSortRandomTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_random.test','views',0),('ViewsHandlerSortTest','class','sites/all/modules/views/tests/handlers/views_handler_sort.test','views',0),('ViewsHandlersTest','class','sites/all/modules/views/tests/views_handlers.test','views',0),('ViewsHandlerTest','class','sites/all/modules/views/tests/handlers/views_handlers.test','views',0),('ViewsHandlerTestFileSize','class','sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','views',0),('ViewsHandlerTestXss','class','sites/all/modules/views/tests/handlers/views_handler_field_xss.test','views',0),('ViewsModuleTest','class','sites/all/modules/views/tests/views_module.test','views',10),('ViewsNodeRevisionRelationsTestCase','class','sites/all/modules/views/tests/node/views_node_revision_relations.test','views',0),('ViewsPagerTest','class','sites/all/modules/views/tests/views_pager.test','views',0),('ViewsPagerTestCase','class','sites/all/modules/date/tests/date_views_pager.test','date',0),('ViewsPluginDisplayTestCase','class','sites/all/modules/views/tests/plugins/views_plugin_display.test','views',0),('viewsPluginStyleJumpMenuTest','class','sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','views',0),('ViewsPluginStyleMappingTest','class','sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','views',0),('ViewsPluginStyleTestBase','class','sites/all/modules/views/tests/styles/views_plugin_style_base.test','views',0),('ViewsPluginStyleTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style.test','views',10),('ViewsPluginStyleUnformattedTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','views',0),('ViewsQueryGroupByTest','class','sites/all/modules/views/tests/views_groupby.test','views',10),('viewsSearchQuery','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('ViewsSqlTest','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTestCase','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTranslatableTest','class','sites/all/modules/views/tests/views_translatable.test','views',0),('ViewsUiBaseViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsUiCommentViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','views_ui',0),('ViewsUiFileManagedViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','views_ui',0),('viewsUiGroupbyTestCase','class','sites/all/modules/views/tests/views_groupby.test','views',10),('ViewsUiNodeRevisionViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','views_ui',0),('ViewsUiNodeViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','views_ui',0),('ViewsUiTaxonomyTermViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','views_ui',0),('ViewsUiUsersViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','views_ui',0),('ViewsUIWizardBasicTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardDefaultViewsTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardHelper','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardItemsPerPageTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardJumpMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardOverrideDisplaysTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardSortingTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardTaggedWithTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUpgradeTestCase','class','sites/all/modules/views/tests/views_upgrade.test','views',0),('ViewsUserArgumentDefault','class','sites/all/modules/views/tests/user/views_user_argument_default.test','views',0),('ViewsUserArgumentValidate','class','sites/all/modules/views/tests/user/views_user_argument_validate.test','views',0),('ViewsUserTestCase','class','sites/all/modules/views/tests/user/views_user.test','views',0),('ViewsViewTest','class','sites/all/modules/views/tests/views_view.test','views',0),('ViewsWizardException','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsWizardInterface','interface','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('views_accordion_style_plugin','class','sites/all/modules/views_accordion/views_accordion_style_plugin.inc','views_accordion',0),('views_db_object','class','sites/all/modules/views/includes/view.inc','views',10),('views_display','class','sites/all/modules/views/includes/view.inc','views',10),('views_fieldsets_fieldset_field_handler','class','sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','views_fieldsets',0),('views_handler','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_handler_area','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_broken','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_messages','class','sites/all/modules/views/handlers/views_handler_area_messages.inc','views',0),('views_handler_area_result','class','sites/all/modules/views/handlers/views_handler_area_result.inc','views',10),('views_handler_area_text','class','sites/all/modules/views/handlers/views_handler_area_text.inc','views',0),('views_handler_area_text_custom','class','sites/all/modules/views/handlers/views_handler_area_text_custom.inc','views',0),('views_handler_area_view','class','sites/all/modules/views/handlers/views_handler_area_view.inc','views',10),('views_handler_argument','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','views',0),('views_handler_argument_aggregator_fid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','views',0),('views_handler_argument_aggregator_iid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','views',0),('views_handler_argument_broken','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','views',0),('views_handler_argument_countries_country','class','sites/all/modules/countries/views/views_handler_argument_countries_country.inc','countries',0),('views_handler_argument_date','class','sites/all/modules/views/handlers/views_handler_argument_date.inc','views',0),('views_handler_argument_field_list','class','sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','views',0),('views_handler_argument_field_list_string','class','sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','views',0),('views_handler_argument_file_fid','class','sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','views',0),('views_handler_argument_formula','class','sites/all/modules/views/handlers/views_handler_argument_formula.inc','views',0),('views_handler_argument_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','views',0),('views_handler_argument_locale_group','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','views',0),('views_handler_argument_locale_language','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','views',0),('views_handler_argument_many_to_one','class','sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','views',0),('views_handler_argument_node_created_day','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_fulldate','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_week','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_language','class','sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','views',0),('views_handler_argument_node_nid','class','sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','views',0),('views_handler_argument_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','views',0),('views_handler_argument_node_type','class','sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','views',0),('views_handler_argument_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','views',0),('views_handler_argument_node_vid','class','sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','views',0),('views_handler_argument_null','class','sites/all/modules/views/handlers/views_handler_argument_null.inc','views',0),('views_handler_argument_numeric','class','sites/all/modules/views/handlers/views_handler_argument_numeric.inc','views',0),('views_handler_argument_search','class','sites/all/modules/views/modules/search/views_handler_argument_search.inc','views',10),('views_handler_argument_string','class','sites/all/modules/views/handlers/views_handler_argument_string.inc','views',0),('views_handler_argument_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','views',0),('views_handler_argument_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','views',10),('views_handler_argument_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','views',0),('views_handler_argument_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','views',10),('views_handler_argument_term_node_tid_depth_modifier','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','views',0),('views_handler_argument_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','views',0),('views_handler_argument_users_roles_rid','class','sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','views',0),('views_handler_argument_user_uid','class','sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','views',0),('views_handler_argument_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','views',0),('views_handler_argument_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','views',0),('views_handler_field','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_accesslog_path','class','sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','views',0),('views_handler_field_aggregator_category','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','views',0),('views_handler_field_aggregator_title_link','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','views',0),('views_handler_field_aggregator_xss','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','views',0),('views_handler_field_bean_delete_link','class','sites/all/modules/bean/views/views_handler_field_bean_delete_link.inc','bean',0),('views_handler_field_bean_edit_link','class','sites/all/modules/bean/views/views_handler_field_bean_edit_link.inc','bean',0),('views_handler_field_bean_operations','class','sites/all/modules/bean/views/views_handler_field_bean_operations.inc','bean',0),('views_handler_field_bean_type','class','sites/all/modules/bean/views/views_handler_field_bean_type.inc','bean',0),('views_handler_field_boolean','class','sites/all/modules/views/handlers/views_handler_field_boolean.inc','views',0),('views_handler_field_broken','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_comment','class','sites/all/modules/views/modules/comment/views_handler_field_comment.inc','views',0),('views_handler_field_comment_depth','class','sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','views',0),('views_handler_field_comment_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','views',0),('views_handler_field_comment_link_approve','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','views',0),('views_handler_field_comment_link_delete','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','views',0),('views_handler_field_comment_link_edit','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','views',0),('views_handler_field_comment_link_reply','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','views',0),('views_handler_field_comment_node_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','views',0),('views_handler_field_comment_username','class','sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','views',0),('views_handler_field_contact_link','class','sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','views',0),('views_handler_field_contextual_links','class','sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','views',10),('views_handler_field_counter','class','sites/all/modules/views/handlers/views_handler_field_counter.inc','views',10),('views_handler_field_countries_continent','class','sites/all/modules/countries/views/views_handler_field_countries_continent.inc','countries',0),('views_handler_field_ctools_dropdown','class','sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','views',10),('views_handler_field_custom','class','sites/all/modules/views/handlers/views_handler_field_custom.inc','views',0),('views_handler_field_date','class','sites/all/modules/views/handlers/views_handler_field_date.inc','views',0),('views_handler_field_entity','class','sites/all/modules/views/handlers/views_handler_field_entity.inc','views',0),('views_handler_field_field','class','sites/all/modules/views/modules/field/views_handler_field_field.inc','views',10),('views_handler_field_file','class','sites/all/modules/views/modules/system/views_handler_field_file.inc','views',0),('views_handler_field_file_extension','class','sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','views',0),('views_handler_field_file_filemime','class','sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','views',0),('views_handler_field_file_size','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_file_status','class','sites/all/modules/views/modules/system/views_handler_field_file_status.inc','views',0),('views_handler_field_file_uri','class','sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','views',0),('views_handler_field_filter_format_name','class','sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','views',0),('views_handler_field_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','views',0),('views_handler_field_last_comment_timestamp','class','sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','views',0),('views_handler_field_links','class','sites/all/modules/views/handlers/views_handler_field_links.inc','views',10),('views_handler_field_locale_group','class','sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','views',0),('views_handler_field_locale_language','class','sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','views',0),('views_handler_field_locale_link_edit','class','sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','views',10),('views_handler_field_machine_name','class','sites/all/modules/views/handlers/views_handler_field_machine_name.inc','views',0),('views_handler_field_markup','class','sites/all/modules/views/handlers/views_handler_field_markup.inc','views',0),('views_handler_field_math','class','sites/all/modules/views/handlers/views_handler_field_math.inc','views',10),('views_handler_field_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','views',0),('views_handler_field_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','views',0),('views_handler_field_node','class','sites/all/modules/views/modules/node/views_handler_field_node.inc','views',0),('views_handler_field_node_comment','class','sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','views',0),('views_handler_field_node_counter_timestamp','class','sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','views',10),('views_handler_field_node_language','class','sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','views',0),('views_handler_field_node_link','class','sites/all/modules/views/modules/node/views_handler_field_node_link.inc','views',0),('views_handler_field_node_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','views',0),('views_handler_field_node_link_edit','class','sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','views',0),('views_handler_field_node_link_translate','class','sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','views',0),('views_handler_field_node_new_comments','class','sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','views',0),('views_handler_field_node_path','class','sites/all/modules/views/modules/node/views_handler_field_node_path.inc','views',0),('views_handler_field_node_revision','class','sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','views',0),('views_handler_field_node_revision_link','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','views',0),('views_handler_field_node_revision_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','views',0),('views_handler_field_node_revision_link_revert','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','views',0),('views_handler_field_node_translation_link','class','sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','views',0),('views_handler_field_node_type','class','sites/all/modules/views/modules/node/views_handler_field_node_type.inc','views',0),('views_handler_field_node_version_count','class','sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','views',10),('views_handler_field_numeric','class','sites/all/modules/views/handlers/views_handler_field_numeric.inc','views',10),('views_handler_field_prerender_list','class','sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','views',0),('views_handler_field_profile_date','class','sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','views',0),('views_handler_field_profile_list','class','sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','views',0),('views_handler_field_search_score','class','sites/all/modules/views/modules/search/views_handler_field_search_score.inc','views',0),('views_handler_field_serialized','class','sites/all/modules/views/handlers/views_handler_field_serialized.inc','views',0),('views_handler_field_statistics_numeric','class','sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','views',10),('views_handler_field_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','views',10),('views_handler_field_term_link_edit','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','views',0),('views_handler_field_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','views',10),('views_handler_field_time_interval','class','sites/all/modules/views/handlers/views_handler_field_time_interval.inc','views',0),('views_handler_field_url','class','sites/all/modules/views/handlers/views_handler_field_url.inc','views',0),('views_handler_field_user','class','sites/all/modules/views/modules/user/views_handler_field_user.inc','views',0),('views_handler_field_user_language','class','sites/all/modules/views/modules/user/views_handler_field_user_language.inc','views',0),('views_handler_field_user_link','class','sites/all/modules/views/modules/user/views_handler_field_user_link.inc','views',0),('views_handler_field_user_link_cancel','class','sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','views',0),('views_handler_field_user_link_edit','class','sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','views',0),('views_handler_field_user_mail','class','sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','views',0),('views_handler_field_user_name','class','sites/all/modules/views/modules/user/views_handler_field_user_name.inc','views',10),('views_handler_field_user_permissions','class','sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','views',0),('views_handler_field_user_picture','class','sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','views',0),('views_handler_field_user_roles','class','sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','views',0),('views_handler_field_xss','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_filter','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','views',0),('views_handler_filter_bean_type','class','sites/all/modules/bean/views/views_handler_filter_bean_type.inc','bean',0),('views_handler_filter_boolean_operator','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','views',0),('views_handler_filter_boolean_operator_string','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','views',0),('views_handler_filter_broken','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_combine','class','sites/all/modules/views/handlers/views_handler_filter_combine.inc','views',10),('views_handler_filter_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','views',0),('views_handler_filter_countries_continents_list','class','sites/all/modules/countries/views/views_handler_filter_countries_continents_list.inc','countries',0),('views_handler_filter_countries_list','class','sites/all/modules/countries/views/views_handler_filter_countries_list.inc','countries',0),('views_handler_filter_date','class','sites/all/modules/views/handlers/views_handler_filter_date.inc','views',10),('views_handler_filter_entity_bundle','class','sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','views',0),('views_handler_filter_equality','class','sites/all/modules/views/handlers/views_handler_filter_equality.inc','views',0),('views_handler_filter_fields_compare','class','sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','views',0),('views_handler_filter_field_list','class','sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','views',0),('views_handler_filter_field_list_boolean','class','sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','views',10),('views_handler_filter_file_status','class','sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','views',0),('views_handler_filter_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','views',0),('views_handler_filter_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','views',0),('views_handler_filter_in_operator','class','sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','views',0),('views_handler_filter_locale_group','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','views',0),('views_handler_filter_locale_language','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','views',0),('views_handler_filter_locale_version','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','views',0),('views_handler_filter_many_to_one','class','sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','views',0),('views_handler_filter_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','views',0),('views_handler_filter_node_access','class','sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','views',0),('views_handler_filter_node_comment','class','sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','views',0),('views_handler_filter_node_language','class','sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','views',0),('views_handler_filter_node_status','class','sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','views',0),('views_handler_filter_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','views',0),('views_handler_filter_node_tnid_child','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','views',0),('views_handler_filter_node_type','class','sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','views',0),('views_handler_filter_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','views',10),('views_handler_filter_node_version_count','class','sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','views',10),('views_handler_filter_numeric','class','sites/all/modules/views/handlers/views_handler_filter_numeric.inc','views',0),('views_handler_filter_profile_selection','class','sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','views',0),('views_handler_filter_search','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('views_handler_filter_string','class','sites/all/modules/views/handlers/views_handler_filter_string.inc','views',0),('views_handler_filter_system_type','class','sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','views',0),('views_handler_filter_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','views',10),('views_handler_filter_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','views',0),('views_handler_filter_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','views',10),('views_handler_filter_tracker_boolean_operator','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','views',0),('views_handler_filter_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','views',0),('views_handler_filter_user_current','class','sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','views',0),('views_handler_filter_user_name','class','sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','views',0),('views_handler_filter_user_permissions','class','sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','views',0),('views_handler_filter_user_roles','class','sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','views',0),('views_handler_filter_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','views',0),('views_handler_filter_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','views',0),('views_handler_relationship','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_broken','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_entity_reverse','class','sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','views',0),('views_handler_relationship_groupwise_max','class','sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','views',0),('views_handler_relationship_node_term_data','class','sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','views',10),('views_handler_relationship_translation','class','sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','views',0),('views_handler_sort','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_broken','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_comment_thread','class','sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','views',0),('views_handler_sort_date','class','sites/all/modules/views/handlers/views_handler_sort_date.inc','views',0),('views_handler_sort_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','views',0),('views_handler_sort_menu_hierarchy','class','sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','views',0),('views_handler_sort_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','views',0),('views_handler_sort_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','views',0),('views_handler_sort_node_language','class','sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','views',10),('views_handler_sort_node_version_count','class','sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','views',10),('views_handler_sort_random','class','sites/all/modules/views/handlers/views_handler_sort_random.inc','views',0),('views_handler_sort_search_score','class','sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','views',0),('views_join','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_join_subquery','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_many_to_one_helper','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_object','class','sites/all/modules/views/includes/base.inc','views',10),('views_plugin','class','sites/all/modules/views/includes/plugins.inc','views',10),('views_plugin_access','class','sites/all/modules/views/plugins/views_plugin_access.inc','views',0),('views_plugin_access_none','class','sites/all/modules/views/plugins/views_plugin_access_none.inc','views',0),('views_plugin_access_perm','class','sites/all/modules/views/plugins/views_plugin_access_perm.inc','views',0),('views_plugin_access_role','class','sites/all/modules/views/plugins/views_plugin_access_role.inc','views',0),('views_plugin_argument_default','class','sites/all/modules/views/plugins/views_plugin_argument_default.inc','views',0),('views_plugin_argument_default_book_root','class','sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','views',0),('views_plugin_argument_default_current_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','views',0),('views_plugin_argument_default_fixed','class','sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','views',0),('views_plugin_argument_default_node','class','sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','views',0),('views_plugin_argument_default_php','class','sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','views',0),('views_plugin_argument_default_raw','class','sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','views',0),('views_plugin_argument_default_taxonomy_tid','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','views',0),('views_plugin_argument_default_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','views',0),('views_plugin_argument_validate','class','sites/all/modules/views/plugins/views_plugin_argument_validate.inc','views',10),('views_plugin_argument_validate_node','class','sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','views',0),('views_plugin_argument_validate_numeric','class','sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','views',0),('views_plugin_argument_validate_php','class','sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','views',0),('views_plugin_argument_validate_taxonomy_term','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','views',10),('views_plugin_argument_validate_user','class','sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','views',0),('views_plugin_cache','class','sites/all/modules/views/plugins/views_plugin_cache.inc','views',10),('views_plugin_cache_none','class','sites/all/modules/views/plugins/views_plugin_cache_none.inc','views',0),('views_plugin_cache_time','class','sites/all/modules/views/plugins/views_plugin_cache_time.inc','views',10),('views_plugin_display','class','sites/all/modules/views/plugins/views_plugin_display.inc','views',10),('views_plugin_display_attachment','class','sites/all/modules/views/plugins/views_plugin_display_attachment.inc','views',10),('views_plugin_display_block','class','sites/all/modules/views/plugins/views_plugin_display_block.inc','views',10),('views_plugin_display_default','class','sites/all/modules/views/plugins/views_plugin_display_default.inc','views',0),('views_plugin_display_embed','class','sites/all/modules/views/plugins/views_plugin_display_embed.inc','views',0),('views_plugin_display_extender','class','sites/all/modules/views/plugins/views_plugin_display_extender.inc','views',0),('views_plugin_display_feed','class','sites/all/modules/views/plugins/views_plugin_display_feed.inc','views',0),('views_plugin_display_page','class','sites/all/modules/views/plugins/views_plugin_display_page.inc','views',10),('views_plugin_exposed_form','class','sites/all/modules/views/plugins/views_plugin_exposed_form.inc','views',0),('views_plugin_exposed_form_basic','class','sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','views',0),('views_plugin_exposed_form_input_required','class','sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','views',0),('views_plugin_localization','class','sites/all/modules/views/plugins/views_plugin_localization.inc','views',0),('views_plugin_localization_core','class','sites/all/modules/views/plugins/views_plugin_localization_core.inc','views',0),('views_plugin_localization_none','class','sites/all/modules/views/plugins/views_plugin_localization_none.inc','views',0),('views_plugin_localization_test','class','sites/all/modules/views/tests/views_plugin_localization_test.inc','views',0),('views_plugin_pager','class','sites/all/modules/views/plugins/views_plugin_pager.inc','views',0),('views_plugin_pager_full','class','sites/all/modules/views/plugins/views_plugin_pager_full.inc','views',0),('views_plugin_pager_mini','class','sites/all/modules/views/plugins/views_plugin_pager_mini.inc','views',0),('views_plugin_pager_none','class','sites/all/modules/views/plugins/views_plugin_pager_none.inc','views',0),('views_plugin_pager_some','class','sites/all/modules/views/plugins/views_plugin_pager_some.inc','views',0),('views_plugin_query','class','sites/all/modules/views/plugins/views_plugin_query.inc','views',10),('views_plugin_query_default','class','sites/all/modules/views/plugins/views_plugin_query_default.inc','views',10),('views_plugin_row','class','sites/all/modules/views/plugins/views_plugin_row.inc','views',0),('views_plugin_row_aggregator_rss','class','sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','views',0),('views_plugin_row_comment_rss','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','views',10),('views_plugin_row_comment_view','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','views',0),('views_plugin_row_fields','class','sites/all/modules/views/plugins/views_plugin_row_fields.inc','views',0),('views_plugin_row_node_rss','class','sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','views',10),('views_plugin_row_node_view','class','sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','views',10),('views_plugin_row_rss_fields','class','sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','views',0),('views_plugin_row_search_view','class','sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','views',0),('views_plugin_row_user_view','class','sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','views',10),('views_plugin_style','class','sites/all/modules/views/plugins/views_plugin_style.inc','views',10),('views_plugin_style_default','class','sites/all/modules/views/plugins/views_plugin_style_default.inc','views',0),('views_plugin_style_grid','class','sites/all/modules/views/plugins/views_plugin_style_grid.inc','views',0),('views_plugin_style_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','views',10),('views_plugin_style_list','class','sites/all/modules/views/plugins/views_plugin_style_list.inc','views',0),('views_plugin_style_mapping','class','sites/all/modules/views/plugins/views_plugin_style_mapping.inc','views',10),('views_plugin_style_rss','class','sites/all/modules/views/plugins/views_plugin_style_rss.inc','views',10),('views_plugin_style_summary','class','sites/all/modules/views/plugins/views_plugin_style_summary.inc','views',0),('views_plugin_style_summary_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','views',0),('views_plugin_style_summary_unformatted','class','sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','views',0),('views_plugin_style_table','class','sites/all/modules/views/plugins/views_plugin_style_table.inc','views',0),('views_slideshow_plugin_style_slideshow','class','sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','views_slideshow',0),('views_test_area_access','class','sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','views',0),('views_test_plugin_access_test_dynamic','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','views',0),('views_test_plugin_access_test_static','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','views',0),('views_test_plugin_style_test_mapping','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','views',0),('views_ui','class','sites/all/modules/views/plugins/export_ui/views_ui.class.php','views_ui',0),('WebformComponentsTestCase','class','sites/all/modules/webform/tests/WebformComponentsTestCase.test','webform',-1),('WebformConditionals','class','sites/all/modules/webform/includes/webform.webformconditionals.inc','webform',-1),('WebformConditionalsTestCase','class','sites/all/modules/webform/tests/WebformConditionalsTestCase.test','webform',-1),('WebformGeneralTestCase','class','sites/all/modules/webform/tests/WebformGeneralTestCase.test','webform',-1),('WebformPermissionsTestCase','class','sites/all/modules/webform/tests/WebformPermissionsTestCase.test','webform',-1),('WebformSubmissionTestCase','class','sites/all/modules/webform/tests/WebformSubmissionTestCase.test','webform',-1),('WebformTestCase','class','sites/all/modules/webform/tests/WebformTestCase.test','webform',-1),('webform_exporter','class','sites/all/modules/webform/includes/exporters/webform_exporter.inc','webform',-1),('webform_exporter_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','webform',-1),('webform_exporter_excel_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','webform',-1),('webform_exporter_excel_xlsx','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','webform',-1),('webform_handler_area_result_pager','class','sites/all/modules/webform/views/webform_handler_area_result_pager.inc','webform',-1),('webform_handler_field_form_body','class','sites/all/modules/webform/views/webform_handler_field_form_body.inc','webform',-1),('webform_handler_field_is_draft','class','sites/all/modules/webform/views/webform_handler_field_is_draft.inc','webform',-1),('webform_handler_field_node_link_edit','class','sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','webform',-1),('webform_handler_field_node_link_results','class','sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','webform',-1),('webform_handler_field_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_field_submission_count','class','sites/all/modules/webform/views/webform_handler_field_submission_count.inc','webform',-1),('webform_handler_field_submission_data','class','sites/all/modules/webform/views/webform_handler_field_submission_data.inc','webform',-1),('webform_handler_field_submission_link','class','sites/all/modules/webform/views/webform_handler_field_submission_link.inc','webform',-1),('webform_handler_field_webform_status','class','sites/all/modules/webform/views/webform_handler_field_webform_status.inc','webform',-1),('webform_handler_filter_is_draft','class','sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','webform',0),('webform_handler_filter_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_filter_submission_data','class','sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','webform',-1),('webform_handler_filter_webform_status','class','sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','webform',0),('webform_handler_relationship_submission_data','class','sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','webform',-1),('webform_handler_sort_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_views_plugin_row_submission_view','class','sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','webform',-1);
/*!40000 ALTER TABLE `registry` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry_file`
--

DROP TABLE IF EXISTS `registry_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry_file` (
  `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',
  `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',
  PRIMARY KEY (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry_file`
--

LOCK TABLES `registry_file` WRITE;
/*!40000 ALTER TABLE `registry_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry_file` VALUES ('includes/actions.inc','f36b066681463c7dfe189e0430cb1a89bf66f7e228cbb53cdfcd93987193f759'),('includes/ajax.inc','3d1c0d2efcdab327224122df1156a665f9bbf60873907dde2f189b018d4e9be3'),('includes/archiver.inc','bdbb21b712a62f6b913590b609fd17cd9f3c3b77c0d21f68e71a78427ed2e3e9'),('includes/authorize.inc','6d64d8c21aa01eb12fc29918732e4df6b871ed06e5d41373cb95c197ed661d13'),('includes/batch.inc','1fe00f9a25481cd43e19fbd6bd37b7ff9dca79f8405ec3e55ffb011be12ec2c3'),('includes/batch.queue.inc','554b2e92e1dad0f7fd5a19cb8dff7e109f10fbe2441a5692d076338ec908de0f'),('includes/bootstrap.inc','fdd02ea25268751b8024237b82792c9c05e596f744bb1c2cda4d36da839c902c'),('includes/cache-install.inc','e7ed123c5805703c84ad2cce9c1ca46b3ce8caeeea0d8ef39a3024a4ab95fa0e'),('includes/cache.inc','033c9bf2555dba29382b077f78cc00c82fd7f42a959ba31b710adddf6fdf24fe'),('includes/common.inc','04e8ed1c7f366c1012909481c118ec0203e3c998782564bfdbc5620c82def903'),('includes/database/database.inc','2ef46543fb9cf61ed9fa9aed4e44dd31630c22604ea6b8e48b57ebd7ad11a111'),('includes/database/log.inc','9feb5a17ae2fabcf26a96d2a634ba73da501f7bcfc3599a693d916a6971d00d1'),('includes/database/mysql/database.inc','32a577354dba6030043500873f8a2a7359c80c179a213284b026c1a9b0452b70'),('includes/database/mysql/install.inc','6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),('includes/database/mysql/query.inc','0212a871646c223bf77aa26b945c77a8974855373967b5fb9fdc09f8a1de88a6'),('includes/database/mysql/schema.inc','2ef729f8d6466d5cd87ba233152d88590bce629d8366040b2509b4e24258d780'),('includes/database/pgsql/database.inc','651bec324e2204aa35a28fdbd876aa8e4f7a9e909e75cc8db811e9c156b0df88'),('includes/database/pgsql/install.inc','39587f26a9e054afaab2064d996af910f1b201ef1c6b82938ef130e4ff8c6aab'),('includes/database/pgsql/query.inc','0df57377686c921e722a10b49d5e433b131176c8059a4ace4680964206fc14b4'),('includes/database/pgsql/schema.inc','1588daadfa53506aa1f5d94572162a45a46dc3ceabdd0e2f224532ded6508403'),('includes/database/pgsql/select.inc','1e509bc97c58223750e8ea735145b316827e36f43c07b946003e41f5bca23659'),('includes/database/prefetch.inc','b5b207a66a69ecb52ee4f4459af16a7b5eabedc87254245f37cc33bebb61c0fb'),('includes/database/query.inc','982d44a294eea1c9619687c14df2987257e3776fcabeba05f01432e934cf61c6'),('includes/database/schema.inc','6ea8e4063eb72d8f6b1a9f8b8908489d9f89b4a158ef37002d21209fb500358c'),('includes/database/select.inc','02a2d4345287df62b163ca2524e99b7370c9ec167bc937245328683d4e3e3d56'),('includes/database/sqlite/database.inc','62f6669c4610557c4b34ada9f0a0f61d6cb7b377e0a9032d2efca7b5f39b0965'),('includes/database/sqlite/install.inc','6620f354aa175a116ba3a0562c980d86cc3b8b481042fc3cc5ed6a4d1a7a6d74'),('includes/database/sqlite/query.inc','0eb02ad036ef61c490fb3f189a4cdc8fc1ae0d442737806346fd63aea8f30db3'),('includes/database/sqlite/schema.inc','3a7d22ec1f0ee09bfa267309b90e30edbe39e453b3025b30cbe3ae7412a4df2d'),('includes/database/sqlite/select.inc','8d1c426dbd337733c206cce9f59a172546c6ed856d8ef3f1c7bef05a16f7bf68'),('includes/date.inc','1de2c25e3b67a9919fc6c8061594442b6fb2cdd3a48ddf1591ee3aa98484b737'),('includes/entity.inc','f06b508f93e72ba70f979d8391be57662c018a03a32fac0a6d3baa752740133d'),('includes/errors.inc','d731bbe3a60508e164cfa90b8edc06400c7f15844f9f9bc3935dd87e44c460db'),('includes/file.inc','f112194214d483ce867165922ad7996c64174bd932369f89f8335af026bbb493'),('includes/file.mimetypes.inc','33266e837f4ce076378e7e8cef6c5af46446226ca4259f83e13f605856a7f147'),('includes/filetransfer/filetransfer.inc','fdea8ae48345ec91885ac48a9bc53daf87616271472bb7c29b7e3ce219b22034'),('includes/filetransfer/ftp.inc','51eb119b8e1221d598ffa6cc46c8a322aa77b49a3d8879f7fb38b7221cf7e06d'),('includes/filetransfer/local.inc','7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),('includes/filetransfer/ssh.inc','92f1232158cb32ab04cbc93ae38ad3af04796e18f66910a9bc5ca8e437f06891'),('includes/form.inc','a0e219d53d641f08d6f1d609e53f06f3f8b1c591d20113d0992557c815b44a72'),('includes/graph.inc','8e0e313a8bb33488f371df11fc1b58d7cf80099b886cd1003871e2c896d1b536'),('includes/image.inc','bcdc7e1599c02227502b9d0fe36eeb2b529b130a392bc709eb737647bd361826'),('includes/install.core.inc','189653e4bb7d4828bd6e1b61015fabcc7182e23d9dd8858170f98114d99400c8'),('includes/install.inc','fbb23627b06abb070b4531da786c1e06bf1dbd6f923bb2b404f4808c2340b0f9'),('includes/iso.inc','0ce4c225edcfa9f037703bc7dd09d4e268a69bcc90e55da0a3f04c502bd2f349'),('includes/json-encode.inc','02a822a652d00151f79db9aa9e171c310b69b93a12f549bc2ce00533a8efa14e'),('includes/language.inc','4e08f30843a7ccaeea5c041083e9f77d33d57ff002f1ab4f66168e2c683ce128'),('includes/locale.inc','ca50acc0780cbffeca17f99a0997f91b8b9402f0eec1898c3122e1d73664d01d'),('includes/lock.inc','a181c8bd4f88d292a0a73b9f1fbd727e3314f66ec3631f288e6b9a54ba2b70fa'),('includes/mail.inc','41d0e657119a05f8d7e85ebf32e74b12a1c3107d717a348158414b113e208b9c'),('includes/menu.inc','8e7a8a1a4666a8ca66d1b19cc97be4cf82c3bb0e835e652ee366bec9b74a8c23'),('includes/module.inc','8dab73e50e6bcd680a26f55597d2d103ba68a29089f888e2a2c206fc38eaa669'),('includes/pager.inc','6f9494b85c07a2cc3be4e54aff2d2757485238c476a7da084d25bde1d88be6d8'),('includes/password.inc','fd9a1c94fe5a0fa7c7049a2435c7280b1d666b2074595010e3c492dd15712775'),('includes/path.inc','2dca08d14a46e5ac6a665b7a5dde78045d8de2b35aaa78c6fb811e1125ce4953'),('includes/registry.inc','f47b20859f0fc80bf4bb2849a1282d6c54006957b69da0e5f4691de585ca4cdf'),('includes/session.inc','5851ff6941aba2744dd0c247f077fc02fbbe24e9786e04ea0a3c372d68ca6d16'),('includes/stream_wrappers.inc','b8a5a53f3d3ef26ea868037547f76af8049ce0c55b464810c627310a84f24924'),('includes/tablesort.inc','2d88768a544829595dd6cda2a5eb008bedb730f36bba6dfe005d9ddd999d5c0f'),('includes/theme.inc','5d8b96db9760367eb86821085a17a144a58cb355e6f547e321321ee34535da7b'),('includes/theme.maintenance.inc','39f068b3eee4d10a90d6aa3c86db587b6d25844c2919d418d34d133cfe330f5a'),('includes/token.inc','5e7898cd78689e2c291ed3cd8f41c032075656896f1db57e49217aac19ae0428'),('includes/unicode.entities.inc','2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),('includes/unicode.inc','e18772dafe0f80eb139fcfc582fef1704ba9f730647057d4f4841d6a6e4066ca'),('includes/update.inc','25c30f1e61ef9c91a7bdeb37791c2215d9dc2ae07dba124722d783ca31bb01e7'),('includes/updater.inc','d2da0e74ed86e93c209f16069f3d32e1a134ceb6c06a0044f78e841a1b54e380'),('includes/utility.inc','3458fd2b55ab004dd0cc529b8e58af12916e8bd36653b072bdd820b26b907ed5'),('includes/xmlrpc.inc','ea24176ec445c440ba0c825fc7b04a31b440288df8ef02081560dc418e34e659'),('includes/xmlrpcs.inc','925c4d5bf429ad9650f059a8862a100bd394dce887933f5b3e7e32309a51fd8e'),('modules/block/block.test','40d9de00589211770a85c47d38c8ad61c598ec65d9332128a882eb8750e65a16'),('modules/blog/blog.test','f7534b972951c05d34bd832d3e06176b372fff6f4999c428f789fdd7703ed2e2'),('modules/color/color.test','610ba154f42b6af5871fb09cdb0bc7badc29b03845c08d86e0e524840dd27568'),('modules/comment/comment.module','db858137ff6ce06d87cb3b8f5275bed90c33a6d9aa7d46e7a74524cc2f052309'),('modules/comment/comment.test','332d14e197b4ebe85b1b70a15602981d99d332e2293576c0e44cf18a808c7aac'),('modules/contextual/contextual.test','023dafa199bd325ecc55a17b2a3db46ac0a31e23059f701f789f3bc42427ba0b'),('modules/dashboard/dashboard.test','125df00fc6deb985dc554aa7807a48e60a68dbbddbad9ec2c4718da724f0e683'),('modules/dblog/dblog.test','79ba7991c3f40f9241e9a03ffa43faf945c82658ca9b52ec62bd13bd80f41269'),('modules/field/field.attach.inc','2df4687b5ec078c4893dc1fea514f67524fd5293de717b9e05caf977e5ae2327'),('modules/field/field.info.class.inc','cf18178e119d43897d3abd882ba3acc0cf59d1ad747663437c57b1ec4d0a4322'),('modules/field/field.module','48b5b83f214a8d19e446f46c5d7a1cd35faa656ccb7b540f9f02462a440cacdd'),('modules/field/modules/field_sql_storage/field_sql_storage.test','315eedaf2022afc884c35efd3b7c400eddab6ea30bec91924bc82ab5cd3e79f2'),('modules/field/modules/list/tests/list.test','c1a214d7efd3247dd947d742a8514ec9649da62593608dfdccee6913d48e5709'),('modules/field/modules/number/number.test','fc8f193904f1c5f87dcf51a279975214b34aa1349fe9c38b09c4e6740b059b49'),('modules/field/modules/options/options.test','1b30956b6f46840ccb41b99bda08f328172f008f1fb4164c65fe9e4047fffa5f'),('modules/field/modules/text/text.test','5c28b9da26417d2ed8a169850989c0b59f2b188a0161eb58e2b87c67994d602d'),('modules/field/tests/field.test','5eaad7a933ef8ea05b958056492ce17858cd542111f0fe81dd1a5949ad8f966e'),('modules/field_ui/field_ui.test','f535e5627c969e9083a63aaf72d4ac645e30709d7b87af15c6c3b870481f283a'),('modules/file/tests/file.test','f2328df0915f0d7235cb147515ed64cb1c510a744646fb680da98c8d9f2523c5'),('modules/filter/filter.test','b8aa5e6b832422c6ad5fe963898ec9526c814614f27ecccb67107ce194997d6a'),('modules/help/help.test','bc934de8c71bd9874a05ccb5e8f927f4c227b3b2397d739e8504c8fd6ae5a83c'),('modules/image/image.test','6e7a0cbcb58f6210127b0ac7c1d118d488abd0925fe8db10a3405af87f1d9fe1'),('modules/locale/locale.test','08793bfbabe6147248a3cbbecaec2c3179baf15bd3289b43f3b0dad3bc8280ae'),('modules/menu/menu.test','71efd7117a882fdcdd50971b4a68f7f2895b532e09acf094d747f27a15742c5b'),('modules/node/node.module','70f969229d03819dba439546ae7aef30283b93e410af1b45f5a25b90d3cb8edd'),('modules/node/node.test','35bf40fde62f3a1de95bab9f037b84f20c2f93a1c579d7d19e4a87afe75dc330'),('modules/path/path.test','2004183b2c7c86028bf78c519c6a7afc4397a8267874462b0c2b49b0f8c20322'),('modules/php/php.test','d234f9c1ab18a05834a3cb6dc532fb4c259aa25612551f953ba6e3bb714657b8'),('modules/search/search.extender.inc','013a6a841cc48a6dc991153fb692b8d1546e56b78d9c95e97e0d7e92296d3481'),('modules/search/search.test','e43c21510d510885dfad6484afa931382083b75b7e67286bda56a6aafe265f28'),('modules/shortcut/shortcut.test','0d78280d4d0a05aa772218e45911552e39611ca9c258b9dd436307914ac3f254'),('modules/system/system.archiver.inc','faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),('modules/system/system.mail.inc','d31e1769f5defbe5f27dc68f641ab80fb8d3de92f6e895f4c654ec05fc7e5f0f'),('modules/system/system.queue.inc','a77a5913d84368092805ac551ca63737c1d829455504fcccb95baa2932f28009'),('modules/system/system.tar.inc','d0d2f191d79b3227852e7436908386bdd7a25f78c73f3c8bf9ef5903892ae993'),('modules/system/system.test','7a94d94c13eb60684678e62f25cec44d46714a1ca4987f62d86d358e8978902a'),('modules/system/system.updater.inc','9433fa8d39500b8c59ab05f41c0aac83b2586a43be4aa949821380e36c4d3c48'),('modules/taxonomy/taxonomy.module','19992c2e810a7b7a1c228d178b0b6c5f358082d515b8a6e77b0415a430e23997'),('modules/taxonomy/taxonomy.test','ce91ff8a2879d65fdb3477d3f437cad8ef50b8963dadb75ae203854987b2c23a'),('modules/update/update.test','994b66b737f16eb98ee18c9e9ecd62e86de2792159e70b36982e95b48f2746a3'),('modules/user/user.module','b773a1b0f7448546393e6f7b2436d0d91b7965889afdf4a863bba4c0bc0dba69'),('modules/user/user.test','0b55048c0de2dee5ab1c25a38c01b3bd13f476b43e4172bb0c06cb6188d2edc9'),('sites/all/modules/addressfield/addressfield.migrate.inc','1750da9b75d2f5b4f1303bc7592774e971080ba13d467e3d95265279d6261a4f'),('sites/all/modules/addressfield/views/addressfield_views_handler_field_administrative_area.inc','557ad6bbaeab17cc99820f08887169e1408e5fff8c17c44b66b5e56e5fd62db2'),('sites/all/modules/addressfield/views/addressfield_views_handler_field_country.inc','e87fd32bd4ba5229040ab7020206774fec2717236d4a39c729362b5c7a55f03c'),('sites/all/modules/addressfield/views/addressfield_views_handler_filter_country.inc','51956e153daca9f27e4c8bbecfa2398a4ef50391d2f5bcac258586a6d1dd1fb2'),('sites/all/modules/admin_menu/tests/admin_menu.test','185f8244f7a086cda1bd9435ec529e8632598e9b09d1e0d7363b75cf87c04afb'),('sites/all/modules/bean/bean.test','a9e4a3181284e8fde14ea84d3d43457db1b88fc3224f593cc80fc261e6991bad'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','00dcdb1b8dad36d2f01be0133f6cfc05058f44c80b14b7cc9ebead32276631db'),('sites/all/modules/bean/bean_admin_ui/plugins/BeanCustom.class.php','88d197383ee6b796bedd193d9c0bf60cf0434eb038936cabb53b93586b856b11'),('sites/all/modules/bean/includes/bean.core.inc','4c8e26524635bbe37b7023a28e3c15e1184d96a597298ea837647db7d599ac1a'),('sites/all/modules/bean/includes/bean.info.inc','a42eaa64065f453d710efc7158cba691e206fd8c4109a38c9a8ac6c171db7016'),('sites/all/modules/bean/includes/bean.inline_entity_form.inc','ac30e293a60f6253f9572d2aa58cb8738b4d592c47b80159c16e6a2caee4cb86'),('sites/all/modules/bean/includes/translation.handler.bean.inc','511b7fb84c934527ad4ecd8c51121ec60fa95f3ce57dc0447a3d59b338b1de41'),('sites/all/modules/bean/plugins/BeanDefault.class.php','8d1806968fd6cf5458de179115b5707aede67480a10d6e510bbf0b7a9fa9976b'),('sites/all/modules/bean/plugins/BeanPlugin.class.php','6ce3a322d204a39874a9110e4abb4d830394cfd08e9a2880d71c2dc387506484'),('sites/all/modules/bean/views/views_handler_field_bean_delete_link.inc','88dc2137059157c3be780594c6e517927176609bb4e7409837b2ba7ae382fb4a'),('sites/all/modules/bean/views/views_handler_field_bean_edit_link.inc','868ef7a7053cf5cbdcbf365798dd646b0e9909b99b479d9f1bb677d99333e1f1'),('sites/all/modules/bean/views/views_handler_field_bean_operations.inc','d8101316aff08a185611f4128ea46a00fa8cd94867ec18c3775ecf57f1b1feec'),('sites/all/modules/bean/views/views_handler_field_bean_type.inc','a99634103fa22d9a1b13da43c72fbbe35f5963432fa7096d847843d262c38bfe'),('sites/all/modules/bean/views/views_handler_filter_bean_type.inc','4da64b68eff8dced69f2032d57e68970c385b0a5bace3bcff617c0464ecf52e6'),('sites/all/modules/better_exposed_filters/better_exposed_filters_exposed_form_plugin.inc','64b7e6ba646b8e34d12ab61f6635d3b56acffe4f8220cff22eec0b790a37d5a5'),('sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','6ca4aeb4b38d2efe8df587435dd073b8e1a218faa48f155d27ec2c44b5f88c35'),('sites/all/modules/block_class/block_class.test','ad3e6238a7a0c025d2cac75cfa089c90ce721a94241925db4484ceb6a04ec8a4'),('sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','669518a4d1dcbf4b01ac4aea05074e342419a07b7bbda23d2c5ba04c8b3be6a7'),('sites/all/modules/context/context_ui/tests/context_ui.test','c30c5cb7193436a17e7e7892064232dc6b53a4e02ede31d5f12e4ae0f970e903'),('sites/all/modules/context/plugins/context_condition.inc','2701acb0f8667cf922052a9265bb84c936a3b716afaf3a8eff2ad04e332b5a2f'),('sites/all/modules/context/plugins/context_condition_context.inc','cc3630470442db0c92d2def23cc03eeb9de30fb1c00dd2e00660646e292a705c'),('sites/all/modules/context/plugins/context_condition_context_all.inc','80b00ab0cd49aa4cfe4493a2cd08dde594d73ba3f3563d34c15ae2b46fc5983e'),('sites/all/modules/context/plugins/context_condition_default.inc','5764948ea3f0c7b55e14b0cd3690ab279f2237eb45043fac102a82b5d392c4a2'),('sites/all/modules/context/plugins/context_condition_language.inc','edbd457b68a4dd1e213792dce89d89ae17127d21ec3aa7e64eb6e636f11b2034'),('sites/all/modules/context/plugins/context_condition_menu.inc','1043c5b26abfb064ee307a21d8893c97593e1bc3f1b77c848542248afe7b4c89'),('sites/all/modules/context/plugins/context_condition_node.inc','8d54a13f2ed57cd1a36d1dbcba62e32f256ed6e71554643599fca50a3dddbbd0'),('sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','bc21088c7859b6db39417b1ee3124da8b3ea720b18d3731063299d3b0edf1ecb'),('sites/all/modules/context/plugins/context_condition_path.inc','c9ad2e426c75c8ba6bc4c94181aadadf3f474272cd0dc0bc67bd7c6cd810fea7'),('sites/all/modules/context/plugins/context_condition_query_string.inc','3902793c371098e42e0d3336fb8a0c26a0f18685ac03c6ac9a04f755a8ebd0cc'),('sites/all/modules/context/plugins/context_condition_sitewide.inc','cb5061fe6757287744f3db7296380120089c4e56af3298395aeaa3da16aedc3b'),('sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','94eb955d5705e75936cc440417893e341905fa7fb3df3b6d3e7d838fa33e313c'),('sites/all/modules/context/plugins/context_condition_user.inc','a6fd04ce6574d5391427a038da1f158f47b062cde7655811fa5a41271e75d20c'),('sites/all/modules/context/plugins/context_condition_user_page.inc','c5c48146a183e6d2cdfa07222e7f614bd9ba3ff4b745131c9910aeb79bbf4bcd'),('sites/all/modules/context/plugins/context_condition_views.inc','5cd3e84b22977af2d1a72ecc9dffb9b1beb1ac42f2ad2741de5a015a45734473'),('sites/all/modules/context/plugins/context_reaction.inc','497ce814344a5789eebd05e77f9a84625d20f8bf38cf77bf794ac85fdd1c1c0a'),('sites/all/modules/context/plugins/context_reaction_block.inc','e387623a2916d3ecd34eb455a8b62d621edd2f84ba6a2a925bdd835338120fbb'),('sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','74497dfd46b263561fb22e395049edc7ba24d14ff4b6b9c89af0ae1136aba8b5'),('sites/all/modules/context/plugins/context_reaction_debug.inc','c57b92ccf0b1278dce108089989eb32fb532e786f9bc01d2cb694819b468f322'),('sites/all/modules/context/plugins/context_reaction_menu.inc','b4fe6cd7738895c013ba7bae05fe0d23e34003f5bfcf18cd2c89c666a3688eed'),('sites/all/modules/context/plugins/context_reaction_region.inc','fc61c32bcdd8da4db6441424a4b5af8c7ccfd388386b0a0f3e497fe694006241'),('sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','9f819f86c6e2865d33e5a73473ce5ca2bfccd236d7880d6bab04eff56ceb2a4e'),('sites/all/modules/context/plugins/context_reaction_theme.inc','eae05dc2e34947aacc18bdfb4925df9a7946d64d9b23e7cde92ee23610cadffd'),('sites/all/modules/context/plugins/context_reaction_theme_html.inc','b0b4f355aebce29dbaa3e2bf26c35443d134f73649f1e197170e73d5ab93e0a2'),('sites/all/modules/context/tests/context.conditions.test','d13d632b7140e82946c2238bffdaab99893c3cab9d8a59ae6a1e2bebb5a42c88'),('sites/all/modules/context/tests/context.reactions.test','4d1d8d1497fc32e685446e52e387e537a6ec183ed598d224e356ad1461676efa'),('sites/all/modules/context/tests/context.test','05e97800946a534d2a4f3f017f6ac3ee682c7ef8a430cef5bb769574701d9419'),('sites/all/modules/countries/countries.migrate.inc','e3f771150e30e4ed2036fe6f9220f7cba778329689a3a20299cb7ac8f35f7372'),('sites/all/modules/countries/tests/countries.test','f3cc28f8c2f6682bf7ab8eea1a6fd0838b5722161f9fb062458feb5c589cb135'),('sites/all/modules/countries/views/views_handler_argument_countries_country.inc','a0c03b35ae2dccc8377e4c3614892ac4ed20c55fa7cfcd18a3015d116a377ecc'),('sites/all/modules/countries/views/views_handler_field_countries_continent.inc','7f3bd40b6f34a7b596eae46fa7a9e659b9d3890aa041d5907b7373e68953b6a2'),('sites/all/modules/countries/views/views_handler_filter_countries_continents_list.inc','476ce117d28bfddece1fd8464f76cd19d1c61cd660976ae92bc2b76672b593f8'),('sites/all/modules/countries/views/views_handler_filter_countries_list.inc','b17e7c4d5eb7cad5cf548dde7108e2b764a8454c133fe1236f95e16b0e1ad4fd'),('sites/all/modules/ctools/includes/context.inc','867c8a65b99131be8226700d51a5fb3d51896bf95279beedac55f51a27fd714b'),('sites/all/modules/ctools/includes/css-cache.inc','db90ff67669d9fa445e91074ac67fb97cdb191a19e68d42744f0fd4158649cfa'),('sites/all/modules/ctools/includes/math-expr.inc','3c60674360d5caa754895f32d87cde6a122f61800d4b762e7e09d49501fd47b8'),('sites/all/modules/ctools/includes/stylizer.inc','3f91f5ed42fb6ee1b65ddef7ac22577b07a5d75ca1eb2df60041243ced5c7079'),('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','2fd87a7d80689e4d44673b31c07b762144eb8ac57324fd0b9cd9ede5f4ea34b5'),('sites/all/modules/ctools/tests/context.test','05145aae34016fd1d8c776ad4cca92b2f514570a8cd26b30dfb563a07540afd2'),('sites/all/modules/ctools/tests/css.test','dbf094da0eb52da28afb07b894e15425169d29d9d06011a3ad2cdd5980a0df01'),('sites/all/modules/ctools/tests/css_cache.test','9d72d577414a35941d245b5531a4505d2c4a7b702ac301814631b5ed6b15187a'),('sites/all/modules/ctools/tests/ctools.plugins.test','e1c9d250430253676d417e50faef04c4e577614ff0ec2c3c0ce76095873e9b00'),('sites/all/modules/ctools/tests/math_expression.test','92ac6cb63ac8be8384d5ee4d3a7abe32d52fa78c82c99c7291151609ea2b6d06'),('sites/all/modules/ctools/tests/math_expression_stack.test','2816fd55f6c1a4742b6e962613c20f72bd31e034af12b64e33df35b272a6c176'),('sites/all/modules/ctools/tests/object_cache.test','c680cc821c2b51d48032213eb61b17896513fff2fa0df29d16e12ba54a7ce443'),('sites/all/modules/date/date.migrate.inc','7822a7a36b311d200501e2cab67165e23d8501ad268df36c1a1c1d639eca450d'),('sites/all/modules/date/date_api/date_api.module','6d1d63b0f55af7e9c886384e7b259d0cf6e2da8d005cfdb82f9173995c9d68f4'),('sites/all/modules/date/date_api/date_api_sql.inc','5a484b487c13fd6094348e2011c19e72d6c6c9ceb0b0a4143ef5542cd1c495fa'),('sites/all/modules/date/tests/date.test','6cb38e9ed60bfdfa268051b47fcad699f1c8104accc7286abafbeddbbc9d143c'),('sites/all/modules/date/tests/date_api.test','3018073791ba419f53d04d9b1ec73cbd751c7436e12be0215d4b64e5664ebe6b'),('sites/all/modules/date/tests/date_field.test','6f5c2ea12b3dad6516e438eaad587d5bb189f96e369c671e0e5b22b8de9e0be7'),('sites/all/modules/date/tests/date_form.test','77c10765c4da14f4c143ca8143708c53b80cb8710fb7a971bde9598dd677b4fa'),('sites/all/modules/date/tests/date_migrate.test','ea21aeccf0c30c45104c970e0074f0dab072b3fe8c47b23b934752304ab5b8b5'),('sites/all/modules/date/tests/date_timezone.test','b9439865cb3942708249130b9d4ea3e1a6335153b4d95e739dc19a81b7d61d49'),('sites/all/modules/date/tests/date_validation.test','2e4d27c29192c9d55eb27b985d7e9838702c4324d36ed6e3a85999e9f25ada99'),('sites/all/modules/date/tests/date_views_pager.test','aceff66e11dd3ea418e9905b28384432f4fe7cf9746e711cf56add73e64336dd'),('sites/all/modules/date/tests/date_views_popup.test','0684ad4977093fd7338eb045f85ceda195e82f50bd33fecbf0dca00e42b0385e'),('sites/all/modules/email/email.migrate.inc','bf3859ca39a3e5570e4ac862858f066668caab33841d65bdfa229c8445e12d5a'),('sites/all/modules/entity/entity.features.inc','53f537caf6ad9355fb92b2c6db019959abdf399d80764151dd976b0891f37436'),('sites/all/modules/entity/entity.i18n.inc','41e0e62af7e2774f62b162d597bb3244551c280296b692b29d039a2c243d7059'),('sites/all/modules/entity/entity.info.inc','8799080b9393c9560e64feae1276fb7d26fef4d92bb0edacc863ee3e7b67bf04'),('sites/all/modules/entity/entity.rules.inc','774199059d1b3ebe6d3fe7a49dbb1550df489055a3d066b5de54edda8dd7ba84'),('sites/all/modules/entity/entity.test','aba6490cd2041438d832dc8f63b213e0d171a5a218f6d51a9fe00c51e95069ce'),('sites/all/modules/entity/includes/entity.controller.inc','b85d1882fae38ee8a0e82bf75952f44f65a58fd95e3bf0c3cb2a1321cf4d308a'),('sites/all/modules/entity/includes/entity.inc','02c3c8b1d4b7230f875c4fae8e6ba3bd57431e01f312b32f3ed305a7be734774'),('sites/all/modules/entity/includes/entity.ui.inc','49653cbbccc4b4e51f957727aa95803c149fac9565f53ed553e2cd1c1c3580ff'),('sites/all/modules/entity/includes/entity.wrapper.inc','ba890faf0f18d6262bc211db1fdf0ca7742058b1f454cf3d9a9f281c71bface7'),('sites/all/modules/entity/views/entity.views.inc','089b8ed3103f62778be3395a99ddfbd84da4235f5ad431392f8984eaa4bf349f'),('sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','88e4cbbbeab9bbaa4c928118bdefb158ea99f343f813cf88cce01ed7fbf8bf6a'),('sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','7b7bb88e53861739b7279f705f0492fc83ce95f5b20d89339480f546422ebf25'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','b28b8eee8761ba7a6af35d97ab7aaee28406e6c227271f9769818560626c5791'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','b0f5be5b399de94934b24e84c8cf6053a043f6b00c60dcffa752daeafdd38778'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','ed7bb64cb63b94a20c8cde98cfb053b5ea252804396cf61ac562faf1d850266b'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','4f255918a22fefebe9c7734f200751457a7ca4d3648e32a98511bb51968d7521'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','893121efbce2a7181e31147bade260c9cc657cbd33b0d254cb28b2650e57566d'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','f14e2b063930e8820af381b4f5e83c7278440e7804ab88cfde865b6c94e7c0f6'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','27ef31b8ee7b9999930380d6a5fdb477772329c4ddbd5c70cc34bcdc7543ce56'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','5fb0a85d35d29944c699ceaf6efed5eda2df757009e44caba8ff2be397568b60'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','79ecaa3eb17dfdd0ca077351b75a2c0adf411ebc04720e7cc0e2397674225f24'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','b69bc538d1e1e0f91f8485ca54c3b6e2be025caa47619734c467377cf89041b9'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','65300c793c4591d60ad908dc02cf3148fe4e899fa6ad218e875fd92d411374dc'),('sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','e489ca209c66b76228383864b8267067e7cf3a1e375d9a195339f89932fed71f'),('sites/all/modules/entityreference/entityreference.migrate.inc','6dfe7be97f3198bff6c145dce9a0f521c3695c380d24fe6d3feb97362363407d'),('sites/all/modules/entityreference/plugins/behavior/abstract.inc','a7959ddece2ce3490f92d916162e07aed313e28ca299ca0375bad633b42d93e3'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','29e0f80ac52c1c313455a531404a3040c9160ecd173afd2e200ff99ffbab491c'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','f6805f62bbd376d98676706602aeb1c4d16e645acb429d31032bc3fb37d850d3'),('sites/all/modules/entityreference/plugins/selection/abstract.inc','9c8cdf704c8e42cc2a63d4c8271d28c7b0aa7e0b1ec081ed7bd84712631e3e72'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','d9535fae7a2ef011de9138b93c5bcaa159de0fdb74a99eaa8a53e0d6e67fc5f8'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','5b2fd228aec8548b2c7b32dd966017bcedbce1c3ca211bd69b114b95a37927f4'),('sites/all/modules/entityreference/plugins/selection/views.inc','7bbe8900b6b71c2d41e370deaccca869884d0fe9ca81772d7d5bca5f58ec1cd8'),('sites/all/modules/entityreference/tests/entityreference.admin.test','f9e581f0fd8481b12ae74779f28942b26d29b0df828ba092b7be87cab29e1172'),('sites/all/modules/entityreference/tests/entityreference.feeds.test','b19193542031d2e1a247ffac8852e9219e5f7f0ed38298207ffe27cd1af9352a'),('sites/all/modules/entityreference/tests/entityreference.handlers.test','501b326e8d8864614b97ccfba75c7f01d5bb76536892422fe66dc284160db42f'),('sites/all/modules/entityreference/tests/entityreference.taxonomy.test','28aed16bd109189d6b2bfc8f59d914c8e237190738fa23d81dbd6cf2c2bced9b'),('sites/all/modules/entityreference/views/entityreference_plugin_display.inc','369e6ef46c06cc651ed209f94aa64ff6a4bbb3f2af678b2f1a8b23e42c81e648'),('sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','7f5a58c099c2df6fd1c3ae285197a4648841d44fa107bcb2064bc1edf435ea8b'),('sites/all/modules/entityreference/views/entityreference_plugin_style.inc','fef62f9375cbcadbfd1918227434193f45e4cc62964cb4fee22ab1d8d3b3bb26'),('sites/all/modules/field_collection/field_collection.entity.inc','ffaefd3a88911d2f3cc70e287ff5e1f81ae493fcaffbabdb2f651154f8774e83'),('sites/all/modules/field_collection/field_collection.info.inc','e11b810756dabe6eb24b70a3a84390480a2de7c5d65ea5a1f0d6045802f8405e'),('sites/all/modules/field_collection/field_collection.migrate.inc','e483818782fc66acd36ce6499dcdd8725c8eb16595406dff57471c72366c9187'),('sites/all/modules/field_collection/field_collection.test','064977821eb77d471b4bd876f0c3bbedd8b1ee41ae4e7739598712d45991057a'),('sites/all/modules/field_collection/includes/translation.handler.field_collection_item.inc','8730fcca390a663d98cc781d3327f122541116715605554d45848f1a371ff8be'),('sites/all/modules/field_collection/views/field_collection_handler_relationship.inc','6e8c13805c1ff233410bb408d524786df4ca64fc10ee4bd874a16277243efba1'),('sites/all/modules/field_group/tests/field_group.display.test','68b48634e0311fb4a804d39d8c03acc3de868719df0f4cca495c81e9de4e2035'),('sites/all/modules/field_group/tests/field_group.ui.test','17486a055b85febf5cc55cdb638bf104ef3acab75b76735763650217dd5ab9d4'),('sites/all/modules/flexslider/flexslider.test','7f63bc36abe645446407ca9e185b47c931f6a99acceff22eacbd465ae0184767'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.module','bfb2794b3c8711c84db6f31c60e87314c26b5489903cedb92b9d632812f05496'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.views.inc','6bba7b25386477b60098a754e67f26e93cf9256ef9b85d1f1801adb130b82c73'),('sites/all/modules/flexslider/flexslider_views/flexslider_views_plugin_style_flexslider.inc','a4986b2603f1a0752766d4d327e7be9053cc8809bebd0221578778df4f9f5796'),('sites/all/modules/flexslider/theme/flexslider.theme.inc','14b0d81c4946e8cce3c3b7e9a626e6e0a3fc76d3b2e1f5a56c03c9d688b88c63'),('sites/all/modules/fontawesome/fontawesome.install','cc2520c84a0cf8761a3c189a8e4dfe946abba314e9548b4f6703681f0377ef5c'),('sites/all/modules/fontawesome/fontawesome.module','157fe2b54482f9ce11ed7b95a204cf8b40f0c718b8c93c99ec4dd23a5ef4e486'),('sites/all/modules/galleryformatter/galleryformatter.install','8f92aa20022b89c8cb99715fbc1417e1ee6a91158e7207b601b2cc0d1fa1fba9'),('sites/all/modules/galleryformatter/galleryformatter.module','69fc57f204c8e327373d8012af283626102593c50abc563c58a7384894bbe099'),('sites/all/modules/galleryformatter/theme/galleryformatter.tpl.php','fa9f9d2314bfdad253cde2cb7203d6322fe9bd834b00197f27cc0b22dbb33ebf'),('sites/all/modules/gmap/gmap_plugin_style_gmap.inc','87163ff9ed0faea1bfbfa008e69ec4f443ca5c3a263f76e7d9896d0a56ffe799'),('sites/all/modules/gmap/gmap_plugin_style_gmapextended.inc','b9b3b6b84dbaab3d8dd433d7cf17d38facb0baaffbdae8cb13f327fb0d43b542'),('sites/all/modules/gmap/lib/Drupal/gmap/GmapDefaults.php','3a1f0bd6ebecbca05ca2f61509e843a031e6e8d70389137e26f649620ab37ae0'),('sites/all/modules/gmap/lib/Drupal/gmap/GmapMacroToolbox.php','b59621e19e6bff4470edd27784cd57a594e4a80dc56537eec64efc601183c45d'),('sites/all/modules/gmap/lib/Drupal/gmap/GmapPolylineToolbox.php','bfb5de6122cdd1ffafdfb6c9f14c6ce884e56d2b5a94d9e986e5b3bc1bd86c45'),('sites/all/modules/gmap/tests/gmap.test','3e7de4d0d1db5a5fe0c126860eecf2d96b60fc75a121b17d97643389c9564560'),('sites/all/modules/gmap/tests/inc/gmap_defaults.inc','68ace77723622c8256518778d17016ff39e88b686ef41fbb6bd51304a48cb9ac'),('sites/all/modules/gmap/tests/inc/gmap_polyutil.inc','b05ea6252d0b43b47f38a81ce0988b58a21169ebdd0f9fe8b3264d7153236ddc'),('sites/all/modules/gmap/tests/oopmigration.test','0d3ecf0d9674db3ea94653fcc9b0caf8f25dfcbb81e8ac2f218554353c47c68c'),('sites/all/modules/jcarousel/includes/jcarousel.views.inc','690f67684bd4f7dfa0e2e9573fa2db6cb0ea932ad7eebbbcac3868fd721bfe05'),('sites/all/modules/jcarousel/includes/jcarousel_style_plugin.inc','07c54b3d8b4d0dfc8c02e102d36f30089e673010a3e4dd88cbb24814ab66f18d'),('sites/all/modules/jcarousel/jcarousel.module','2fc24478d406def8c9b14be739f446a344bda59a9bfaad6f8990a713ce59c1af'),('sites/all/modules/jquery_update/jquery_update.install','d377a4e1df5c9606b4d603fbf14296f6d4df921bb3e188341a0c602651498388'),('sites/all/modules/jquery_update/jquery_update.module','5550809cea16a9f09ebcd6e70fc36a19a2aa3fd6180039d2e2382b86d659a8c3'),('sites/all/modules/libraries/tests/LibrariesAdminWebTest.test','933af00ee9ad342999e20c0a82440ab04933b5d7713ffe2e7371a9af15492bf5'),('sites/all/modules/libraries/tests/LibrariesLoadWebTest.test','4cfaf88ce29e72f8ecd52b02cc9f7bac2ea60a715530cd9ff4fea929dac161ee'),('sites/all/modules/libraries/tests/LibrariesUnitTest.test','08139d770447993484828d0a642b6a771314c74e392074e94c2b7dcebc10b093'),('sites/all/modules/libraries/tests/LibrariesWebTestBase.test','056dfdd67ac9d6a84ffbe0f507e165fd6f07a0c82c3c7efbc1874e870e85e83a'),('sites/all/modules/link/link.migrate.inc','0a17ff0daa79813174fff92e9db787e75e710fe757b6924eec193c66fe13f3df'),('sites/all/modules/link/link.module','39bc7a76730d855c17544d4a67ef6dbf3e018b74bc2f2b5d2431b6a370e1da3d'),('sites/all/modules/link/tests/link.attribute.test','92c76292e0b2f74ef21d6bca563cf5d47d0331d72bacc454a550c6ace51697cc'),('sites/all/modules/link/tests/link.crud.test','de19e2c5e8c6cb02f25d7051bdd1db77852379ac59ce8185c25b4bf927478f22'),('sites/all/modules/link/tests/link.crud_browser.test','13da1fde2aa1c45ec11c8b343004d116aed074789a5b46f8dd6b299781e9755d'),('sites/all/modules/link/tests/link.entity_token.test','e3c414eb7bdc1a27b8408446ded03b77c52b3419f38f6a3d3ada68effda4b616'),('sites/all/modules/link/tests/link.test','fe5d8cd577fbfc07929e7216e115530a28777ace9b7135fbc853a3a78d550456'),('sites/all/modules/link/tests/link.token.test','74d2a9888005d08fba8c6d3720592a4d9dffa5d30a25fee1714ce89fa0688041'),('sites/all/modules/link/tests/link.validate.test','ff8a018f4ecf621e8f5f0fdec7c8d505305778c615ef17a84c7542bee0e29c47'),('sites/all/modules/link/views/link_views_handler_argument_target.inc','d77c23c6b085382c63e7dbce3d95afc9756517edcdc4cd455892d8333520d4c9'),('sites/all/modules/link/views/link_views_handler_filter_protocol.inc','e10a0d2de73bfa9a56fadbac023c6ac16022ced40c0444ab6ffed1b5d7ea7358'),('sites/all/modules/location/handlers/location_handler_argument_location_country.inc','f578011609004d9f95ec9f15811bcee117725e5b0660585aeb44ba42c0dba48e'),('sites/all/modules/location/handlers/location_handler_argument_location_province.inc','45a63c726e4c54ce64f167a01039109ea81804902066c0650ccbede3273b3826'),('sites/all/modules/location/handlers/location_handler_argument_location_proximity.inc','58c786828b263adde3e83d2857205a885a29c34df1386fb9535f5df141938d1b'),('sites/all/modules/location/handlers/location_handler_field_location_additional.inc','3131316a4a596b92f94ce02636fe2ab4d52a48df5ae921d822b8aee8a41a2085'),('sites/all/modules/location/handlers/location_handler_field_location_address.inc','ec3233c49e5799cd3f5b025c6423d1ddae747a17538ce1dcf6b5b06d54b23fc0'),('sites/all/modules/location/handlers/location_handler_field_location_country.inc','8b41adf8c407a28f7c3c577d23b2b686af7e81dcdc941b3f382a2ce83b0a3acc'),('sites/all/modules/location/handlers/location_handler_field_location_distance.inc','41ef322d938d1526a5cf2950581f160fd6e9485c4a3628114b3c7bfab8c72797'),('sites/all/modules/location/handlers/location_handler_field_location_province.inc','734a1bb5a8945956006c21386966885196929d8da8fc301297c02f2b18fe3756'),('sites/all/modules/location/handlers/location_handler_field_location_street.inc','04058e2222a25a8316f9bab92bc9279da4452c5263acf05b7f5eb313827a7b0b'),('sites/all/modules/location/handlers/location_handler_filter_location_country.inc','ce8c9c67173518f1633f486d2386723ea5e2340216235b468ad1348da20934bc'),('sites/all/modules/location/handlers/location_handler_filter_location_province.inc','1df7bfe95d3f211108f6737cf2dffc261ea66e24f691d2d263266a3ca7654a19'),('sites/all/modules/location/handlers/location_handler_sort_location_country.inc','dd39e691dc1c202fe94e48d1b4dbf18adab1aa12db710f36be4e98108ed60e02'),('sites/all/modules/location/handlers/location_handler_sort_location_distance.inc','39d9b50c734598171ed2d8cdcf48404d27518ac00b4d3e5e4011cf0540bbcc49'),('sites/all/modules/location/handlers/location_views_handler_field_coordinates.inc','1fda7261c7eac7387dd12ee8ec52888ce44482fd61f17c287834347e9bde853b'),('sites/all/modules/location/handlers/location_views_handler_field_latitude.inc','8d1b31f56a2610cdb1e901f300b0c139ed2fac82a64878a32febff087a8a5cc9'),('sites/all/modules/location/handlers/location_views_handler_field_longitude.inc','6ef6c1871efe59095312b8d8f61179496a144ce3aa740d91997abcc53383374f'),('sites/all/modules/location/handlers/location_views_handler_filter_proximity.inc','df6f4077eff42115a57822c2ce22cd91e9553f23a64c51ed09d2f5c947c530f3'),('sites/all/modules/location/location.admin.inc','c87faa4499160abe1a2548cbc5f6a67dc262770b81aafcfab471b91d9722e73c'),('sites/all/modules/location/location.georss.inc','8d7a9646f7aca2839d1de3dd06e27c291ae49fff0dd092c456d9c8799d824929'),('sites/all/modules/location/location.inc','e0c2d5f584eddb75e1cd58029d8be13a614e87f5d01c4eb2fc153f7e3e0701b6'),('sites/all/modules/location/location.migrate.inc','040fc2086f799e0ef3a4afc6936d9663130686f5309049c29efd57dd47d91bef'),('sites/all/modules/location/location.token.inc','c1a89953256052d641479e6366f859fddb9046135ae57c3df6c0453fa071676b'),('sites/all/modules/location/location.views.inc','2c7fdcd6c61b17aadf65643350c5ca6023635805d765feecb7d7bf19e4a611bd'),('sites/all/modules/location/location.views_default.inc','10f1e9c8e2eba4e0608c1673f872e2221b62fe569e0f802e5281fba0986980b4'),('sites/all/modules/location/plugins/contexts/location.inc','ce30c40ba99c94a0d5a019de892e559647d10314ca3c9a69b1ea550f22718634'),('sites/all/modules/location/plugins/relationships/location_from_node.inc','fa05154e7db5c7126c5a5b07f17a7b79cff089e844d2f7c0070763c076be92b9'),('sites/all/modules/location/tests/cow.test','db2be927639827a370331d7da1958322ccf2a8c87c6ab8fefc5e46a49cc497a2'),('sites/all/modules/location/tests/earth.test','61e09a9e00024e7c94892a929945ce0d87fcc131bd8ece4f61f62d92b41345fd'),('sites/all/modules/location/tests/google_geocoder.test','895a9d7e3e21116f1c4cffff992fd4388085b19c0dabb24885cf0c26c569c792'),('sites/all/modules/location/tests/location_cck.test','f0dbfa6743f98ffc1e112f544f770168f01f43542b7823d7c4b0ebba5d63e55c'),('sites/all/modules/location/tests/location_cck2.test','fe99d5ebffa270e883237ef36b58ee56cbdcaaf124efa978cbb2c3aa208e723b'),('sites/all/modules/location/tests/location_testcase.test','fdd67f59df97b6bc875f8f3a288b5ab2632e6417bf0b30603f0783f1d547f0fd'),('sites/all/modules/megamenus/megamenus.admin.inc','918e59841c3f6b2c3a5778b52dbc5ea044f9a5d47f1a31a10ffa4c63cc6fccb5'),('sites/all/modules/megamenus/megamenus.ajax.inc','7559193d973b06aca7dbf0f7b6d2d3b3b33bad63cbed89fdd4fedb57ddd42dc8'),('sites/all/modules/megamenus/megamenus.inc','5472507498653abcd53743f5094e42549a4360fae6c9784defdc05735c719b3b'),('sites/all/modules/megamenus/megamenus.module','f0af80a43e70c397876b80681cc90c251db2fe96bda9db44cda6eeca1524e473'),('sites/all/modules/megamenus/megamenus.themes.inc','415537627d6ce15047b14f06fff99a8169cf0ab2d75738448cd86b34dbb31eb8'),('sites/all/modules/menu_attributes/menu_attributes.test','76009e0888c9b051e6f914fdabdfd4a29a8ea6d9e8575c2fe275666366f6d74b'),('sites/all/modules/menu_breadcrumb/menu_breadcrumb.install','2bbdb94dec4dc305afffa48559ef5cf24533d30d4a483ac83e758689cf2f42a7'),('sites/all/modules/metatags_quick/metatags_quick.migrate.inc','befca7e4c581ebe83f98918daa0301220732719b52031bb6c92856589e7f1a24'),('sites/all/modules/module_filter/css/module_filter.css','23d534ed382a1e7805d4391d8aa72317b79e6c56905036db2cefd6eb5124168d'),('sites/all/modules/module_filter/css/module_filter_tab.css','ed032d26ec91fa509868dca0bcd201808d2b07d8565991fd877f0c77c0ef6af6'),('sites/all/modules/module_filter/js/module_filter.js','fafd3413175777e0a7659cffb41765e9c26c2ecca11a28fbe043759dd56548da'),('sites/all/modules/module_filter/js/module_filter_tab.js','f8b24ea3eaff792ff95e74e940fa4716c682ff73f368a4cd4942a7852b3d6377'),('sites/all/modules/module_filter/module_filter.admin.inc','502ac86b3ab04a4a86ab079e5d47ad8e30d78db6fe88486efc5a532182dfcf6c'),('sites/all/modules/module_filter/module_filter.install','75f3cbebb23c5f14e70d84110ac82649d270a9c37a4f298e661a1c6148acc783'),('sites/all/modules/module_filter/module_filter.module','70a57f95a82053922f415b942e0652e726564baf7383779a68d6c5aad1be9833'),('sites/all/modules/module_filter/module_filter.theme.inc','df066d4c342572d66792b9c1c829edb8f11dcd6eccd2a89e7e6b6b26002bf542'),('sites/all/modules/newsletter/includes/newsletter.automated.inc','11a2316e4335b0764cb2e16db3e9b627da0a7eca2b887bd25340c7bc2cfd2c71'),('sites/all/modules/newsletter/includes/newsletter.basic.inc','e138df53d2d94649e473091717484d7a1e5512d0bf7a3767e5ec43878aab6192'),('sites/all/modules/newsletter/includes/newsletter.custom.inc','c391bed05b2e8ee1b872c2be404a752a3e4ba87e3bc64ec206e05185103a0ff6'),('sites/all/modules/newsletter/includes/newsletter.list.controller.inc','299bcbc54c68d1b312874163667e939f5968973c7014250a68366cf29e04debe'),('sites/all/modules/newsletter/includes/newsletter.mail.inc','3a0b0e670e8722cea4520aa461f5309e6054a46fa9aaff6d6c2ed3cf1b7ed36e'),('sites/all/modules/newsletter/includes/newsletter.newsletter.controller.inc','d390bcf7ee65a1ef11ad089dc6c7e5e83189e284f7026ae1be1f864962d22f92'),('sites/all/modules/newsletter/includes/newsletter.subscriber.controller.inc','f6f9eb75d1f9a371187f399ad6d3f5e9c0b27d0ef2fc5167b15856f6ccd84cbf'),('sites/all/modules/newsletter/includes/newsletter.template.controller.inc','599e43fa91609525552a249d99a8effc09d20a9601fbdf5cca5aae37ea191e2f'),('sites/all/modules/newsletter/includes/views/handlers/newsletter_handler_field_datetime.inc','990a7971895b225c9a95d96c3788bd5f416cc610a1087741e0a545095b7201dc'),('sites/all/modules/newsletter/newsletter.test','47cfc5e5e0700cfa7f68e5de4e25f1dfda4bb035626bb083db331be914257582'),('sites/all/modules/pathauto/pathauto.migrate.inc','31084f25620be5620aecf9d60356dba662b6eda426c0c94ba996821110e4b1cc'),('sites/all/modules/pathauto/pathauto.test','1297560df48bad9b325d775d3bc64a411c03a0fd630c5e53ff8e46c4550a6977'),('sites/all/modules/taxonomy_menu/taxonomy_menu.batch.inc','e7cf6aa0476da11b29910a108faca5d636e4582340d789ebe9049f3e1f944a5d'),('sites/all/modules/taxonomy_menu/taxonomy_menu.database.inc','ecb8a8713bcb2ec2aec7062137e2bc51dc819bb695da608b03be7be5472902c2'),('sites/all/modules/taxonomy_menu/taxonomy_menu.install','b1b3b627fbc2c55f2dc004d62f2192c51884b4f2667cce63b37da53bb1c9c781'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','0ee1bc326987ffa350b04287e8e9a20821ad8d8ad2129bdb147a9392c7599705'),('sites/all/modules/taxonomy_menu/taxonomy_menu.test','3a99877ef3d1fb93e110e268ea52771054425ce075e3ad11511ab93bd5728fb6'),('sites/all/modules/token/token.test','79c44cc6bb46caa41eaf371df9c77d7ef98bbee7d96c04ca1039375dc6674961'),('sites/all/modules/views/handlers/views_handler_area.inc','95d4374c805c057c9855304ded14ce316cdee8aca0744120a74400e2a8173fae'),('sites/all/modules/views/handlers/views_handler_area_messages.inc','de94f83a65b47d55bbb4949fcf93dd4ad628a4a105cea2b47cdc22593f3e5925'),('sites/all/modules/views/handlers/views_handler_area_result.inc','f406d7e4409545ffea2e56c9a10f87f20adef2276c6d6bbc8003885cccc8ca3b'),('sites/all/modules/views/handlers/views_handler_area_text.inc','531d0ac3b64206970593762df0abac60524f607253c3af876dd66ba747786dce'),('sites/all/modules/views/handlers/views_handler_area_text_custom.inc','35b702060c192b0adf6601ed437d0a02effd3accb71c07d6156013c8be9d5a15'),('sites/all/modules/views/handlers/views_handler_area_view.inc','e604b5716d9ea202ab0b8e51d2bd0a4a8eeab461db0a74bf37745d6cbba25c41'),('sites/all/modules/views/handlers/views_handler_argument.inc','1f0498d1878e331f59b9f0cc87b67df330437c736e565a05fe1a14ab65ec3f26'),('sites/all/modules/views/handlers/views_handler_argument_date.inc','1b423d5a437bbd8ed97d0bfb69c635d36f15114699a7bc0056568cc87937477d'),('sites/all/modules/views/handlers/views_handler_argument_formula.inc','5a29748494a7e1c37606224de0c3cac45566efe057e4748b6676a898ac224a61'),('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','b8d29f27592448b63f15138510128203d726590daef56cf153a09407c90ec481'),('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','b2de259c2d00fe7ed04eb5d45eb5107ce60535dd0275823883cc29b04d1a3974'),('sites/all/modules/views/handlers/views_handler_argument_null.inc','26699660fd0915ec078d7eb35a93ef39fd53e3a2a4841c0ac5dbf0bb02207bee'),('sites/all/modules/views/handlers/views_handler_argument_numeric.inc','ae23d847fa0f1e92baec32665a8894e26660999e338bebffb49ee42daac5a063'),('sites/all/modules/views/handlers/views_handler_argument_string.inc','f8fe4daf0a636cc93d520a0d5ff212840d8bdaa704ddc3c59a24667f341ed3a1'),('sites/all/modules/views/handlers/views_handler_field.inc','3d059d737e738436a15651f9ac8374f460a71eb569619ba0a8a14a55a3efc87e'),('sites/all/modules/views/handlers/views_handler_field_boolean.inc','dc00b916a223935e05f51d94a2dffbaf430b162517072f7c2122332af41e8fc2'),('sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','2f54701c9f71a4a525e724a6787b5e0089a3c38e426d1925bf8344d017d571bf'),('sites/all/modules/views/handlers/views_handler_field_counter.inc','865a5ad7df830dae9e167709446e66cebf3e32e91ec05b5c2b887c96d0d6b0d8'),('sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','a78c424ef884ae9878c0b140d532bdf3b116fdc0e8a7cd519848c675d5b1a5a6'),('sites/all/modules/views/handlers/views_handler_field_custom.inc','a3d25fc20401ae0a1af4b7d6e83376a5b7dc18ab0aed17a3c6d81e2314cf19f8'),('sites/all/modules/views/handlers/views_handler_field_date.inc','79cb6583981104d70d20393fe62281c749680f375cb67355635ef00688258934'),('sites/all/modules/views/handlers/views_handler_field_entity.inc','909ab36aff896ad8fa4306d95a052172ec27e471ab385a035fcadef8d019e0f9'),('sites/all/modules/views/handlers/views_handler_field_links.inc','331a7c8e68a9a94a41a0d7e3e2b6a5c8436792cf244b409ffd732f9cbbab3642'),('sites/all/modules/views/handlers/views_handler_field_machine_name.inc','df2fe47cf9c6d2e7de8627c08da809fb60883c38697340966f303c223e22aee4'),('sites/all/modules/views/handlers/views_handler_field_markup.inc','a0c652fdf47f7efe35bbf2371f00e230409fe90ea0038eb101bf0c93ae0718e9'),('sites/all/modules/views/handlers/views_handler_field_math.inc','08c9fb88b20ca346ee3dc29773b2341ea294ba85b659dbd8c1cc92a9ddf900e8'),('sites/all/modules/views/handlers/views_handler_field_numeric.inc','1e36f9d55b4cfeb268068e5c9bd6f326999c04191485d3db4610e94e6f57fad9'),('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','0fe605bf457886fbca5f041a422fc51c6a1927654dcd06cbfc619496fe57de0e'),('sites/all/modules/views/handlers/views_handler_field_serialized.inc','ad3d82a9f37ae4c71a875526c353839da2ff529351efc7861f8b7c9d4b5a47db'),('sites/all/modules/views/handlers/views_handler_field_time_interval.inc','280d569784312d19dabfb7aeb94639442ae37e16cba02659a8251de08a4f1de2'),('sites/all/modules/views/handlers/views_handler_field_url.inc','7ca57a8dcc42a3d1e7e7ec5defa64a689cb678073e15153ff6a7cafe54c90249'),('sites/all/modules/views/handlers/views_handler_filter.inc','4c8937c5b6399c42bb6659169f5c8563ca415fd7effab1ddeeebf2bb6b9a8011'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','f4ca59e4e1f91f219a1b33690a4ad412269946804fe7cacf24f2574b2c6d8599'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','0ddd32cda535112c187de1c062797849ff90d9b312a8659056e76d2d209f694a'),('sites/all/modules/views/handlers/views_handler_filter_combine.inc','802f033bba6a9965896b02e3c3e0ea4493e4be282f2c5444ebbeec7e8a478072'),('sites/all/modules/views/handlers/views_handler_filter_date.inc','fb63877ecfa64f2be8557a21dcf34e28b59c4a9c5f561f55738162d2301c4aa1'),('sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','02db977a67a09f70bdc8e2bbc46a05fff8a6d8bd6423308c95418476e84714a3'),('sites/all/modules/views/handlers/views_handler_filter_equality.inc','2100cdd7f5232348adae494c5122ba41ff051eee0a8cc14aeaf6a66202cb7ed1'),('sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','e116c3796f1bd409b150f5ab896b9bab956d6e71a82e5770ed6fde44605751b2'),('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','9401c4c0fe0d678898e5288ef8152784a12e0743df21dec15457353eb2cdb01d'),('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','8fd7f075468bddde5c4208b1c3a6105f8fea0ac0c214452a37c00fc2f3453a7d'),('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','b4a415c2824195d3d7d0e37ada9d69ebec0b9cd833ebcac2439efc20aac15595'),('sites/all/modules/views/handlers/views_handler_filter_numeric.inc','8a999227d17674a70381ab8b45fbdc91269a83a45e5f7514607ed8b4a5bf6a9f'),('sites/all/modules/views/handlers/views_handler_filter_string.inc','140006335ac5b19b6253b431afde624db70385b9d22390b8c275296ae469cc7b'),('sites/all/modules/views/handlers/views_handler_relationship.inc','4fefdb6c9c48b72dcfe86484123b97eb5f5b90b6a440d8026d71f74dccbd1cd6'),('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','47dcfe351159b10153697c17b3a92607edb34a258ba3b44087c947b9cc88e86f'),('sites/all/modules/views/handlers/views_handler_sort.inc','06aab8d75f3dce81eb032128b8f755bfff752dcefc2e5d494b137bca161fdefa'),('sites/all/modules/views/handlers/views_handler_sort_date.inc','d7e771abf74585bd09cc8e666747a093f40848b451de8ba67c8158317946f1b2'),('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','4ba1c38c9af32789a951b8f9377e13631ae26bf1dac3371b31a37ead25b32eb8'),('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','ccd65ea3b3270366b7175e2cd7cc9167a09c27e1486949e4a05495ff5c7be5c1'),('sites/all/modules/views/handlers/views_handler_sort_random.inc','05a00c3bf76c3278ae0ce39a206a6224089faf5ac4a00dd5b8a558f06fab8e46'),('sites/all/modules/views/includes/base.inc','5ad8155dbc31cc4460b65747d99b70a64a83f6fefa00231c8d965293a7a183ee'),('sites/all/modules/views/includes/handlers.inc','5cab753c012d357ce2a10b645eca4254b3647fdfe2452510eee37c8a12639a14'),('sites/all/modules/views/includes/plugins.inc','11c03b1c69be7e9969ec0665b07ddfe170c9505f8d4e862cb27f1232a2a4240e'),('sites/all/modules/views/includes/view.inc','99e60c217d6dc781ec48ae8fc841e636eee31d977936e1980a34eca28734ad2e'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','97acf41d6694fd4451909c18b118f482db9f39aa4b8c5cfa75d044d410c46012'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','c37def91d635b01db36809141d147d263cc910895e11c05e73d703e86b39fd43'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','344f2806344d9c6356f2e19d297522f53bab7a4cebdf23c76d04c85c9e0a0d8e'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','252b30b832d8c0097d6878f5d56beecfc8cc1fc7cc8b5a4670d8d95a80b4f17d'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','1bb18967b11f2f4de62075d27e483f175b5e3431622c2e5e8292afcd000beadf'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','2db2e1f0500e0a252c7367e6a92906870b3247f9d424f999c381368ee2c76597'),('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','7c7c0690c836ac1b75bca3433aca587b79aec3e7d072ce97dc9b33a35780ad4f'),('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','591e5bb7272e389fe5fc2b563f8887dbc3674811ffbb41333d36a7a9a1859e56'),('sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','bd3bd9496bf519b1688cf39396f3afa495a29c8190a3e173c0740f4d20606a53'),('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','5e29f7523010a074bda7c619b24c5d31e0c060cdbe47136b8b16b2f198ed4b4a'),('sites/all/modules/views/modules/comment/views_handler_field_comment.inc','a126d690cc5bf8491cb4bee4cc8237b90e86768bebbbecb8a9409a3c1e00fa9e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','1dc353a31d3c71c67d0b3e6854d9e767e421010fbbf6a8b04a14035e5f7c097f'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','1f7382f7cb05c65a7cba44e4cd58022bbc6ce5597b96228d1891d7720510bf0e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','f6db8a0b4dd9fffba9d8ecb7b7363ba99d3b2dc7176436a0a6dd7a93195a5789'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','905a4cb1f91a4b40ee1ca1d1ded9958ae18e82286589fec100adb676769b1fe9'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','8139c932cde20f366a3019111c054b1ed00dbc0c40634b91239b400243b7723a'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','8807884efb840407696c909b9d5d07f60bde9d7f385a59eca214178ce5369558'),('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','64746ff2b80a5f8e83b996a325c3d5c8393934c331510b93d5815ea11c1db162'),('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','1ce3fa61b3933a3e15466760e4c5d4a85407ba4c8753422b766fc04395fa4d02'),('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','30c55ec6d55bf4928b757f2a236aab56d34a8e6955944a1471e9d7b7aed057c0'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','82025f3ad22b63abc57172d358b3f975006109802f4a5ecac93ce3785c505cae'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','facfbc5defd843f4dfb60e645f09a784234d87876628c8de98d2dfa6bb98a895'),('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','0cf9e8fb416dca35c3b9df3125eb3a8585f798c6a8f8d0e1034b1fccb5cec38b'),('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','e0830d1f70dea473e46ab2b86e380ef741b2907f033777889f812f46989f2ff7'),('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','f526c2c4153b28d7b144054828261ba7b26566169350477cd4fb3f5b5f280719'),('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','9369675dfee24891fe19bddf85a847c275b8127949c55112ae5cb4d422977d24'),('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','70706c47bad9180c2426005da6c178ed8d27b75b28cb797ca2a1925a96dcef09'),('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','a64bc780cba372bd408f08a5ea9289cdf3d40562bdf2f7320657be9a9f6c7882'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','9f039e8b8a046c058fda620804e3503be7b3e7e3e4119f0b015ccbae0922635b'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','fa8b9c3614ad5838aa40194940d9dc6935175a16e141ac919f40e74a7428c4e3'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','96f651234e30a3aff805ae9a524c99813a286bf75b5a9fd8da2d7d4fbec50810'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','82d7296fa3109ca170f66f6f3b5e1209af98a9519bb5e4a2c42d9fc0e95d7078'),('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','ec783b215a06c89c0933107a580c144051118305dd0129ac28a7fea5f95a8fd5'),('sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','eff5152a2c120425a2a75fe7dbcb49ed86e5d48392b0f45b49c2e7abee9fa72b'),('sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','534af91d92da7a622580ab8b262f9ef76241671a5185f30ba81898806c7b7f15'),('sites/all/modules/views/modules/field/views_handler_field_field.inc','94ff7382dba773fc637c777e20b810ae7d4aa4936fb0bc067e6a3824ba929d2d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','3b55cd0a14453c95ebd534507ab842a8505496d0b7e4c7fcd61c186034c7322d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','d33035e141ca686b3f18da1e97adaa1ff8e5d1db266340d3030e873a744685e2'),('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','060035c5430c81671e4541bcf7de833c8a1eb3fa3f3a9db94dd3cebfa4299ef1'),('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','fc3f074ffb39822182783a8d5cf2b89ffcc097ccbb2ed15818a72a99e3a18468'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','c8545411096da40f48eef8ec59391f4729c884079482e3e5b3cdd5578a1f9ad7'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','a1b6505bb26e4b3abce543b9097cd0a7b8cddf00bf1e49fbba86febebb0f4486'),('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','5b62afe18f92ee4a5fb49eb0995e65b4744bbe3b9c24ffe8f6c21f3191c04afc'),('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','0cc08bd2d42e07f26e7acc92642b36f0ac62bf23ee9ba3fd21e6cab9a80e9f72'),('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','3883d3f37030d6d8e397e79ccb99ec3cb715ba7a789510f4b79b7515e314e7ae'),('sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','a6ccdb6c1c4df3b4fd31b714f5aa4ac99771ffce63439d6c5de6c0ae2f09a2c1'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','40fbc041bab64f336f59d1e0593f184b879b2a0c9e2a6050709bdc54cceb2716'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','3433893d988aad36b918dd6214f5258b701506bc9c0c6a72fd854a036b635e20'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','9337ea5216784ffc67a0aa45c946e65ad11fc40849189cc70911a81366b78620'),('sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','d7edea3f35891cc76aa3bb185b9c1404378623ea7fd214c2a1f0d824df12779a'),('sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','b7b70efcf7de1f4dee4722ac8aa16031f17d62e60b1b5772f9985cadf91e4415'),('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','80ee0e32fd48de1fa9d91645f27f7f26e8700acd3b1120a6d414bb1a794f6d0e'),('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','7ee3ba02bddaa6aeef9961cdf6af7bb386fc2b12529f095b28520bb98af51775'),('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','11c5b62413ffd1b2c66d4b60a2fe21cf6eb839ae40d4ef81c7a938c5be3e30de'),('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','9e21b4cc4ae861f58c804ea7e2c17fbc5dd2a7938b9abfeb54437b531fc95e6e'),('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','675c99f8da9748ac507e202f546914bee3ed4065f6ce83a23a2aaafdaefd084e'),('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','7e5da5594a336c1d0f4cf080ab3fcd690e0de1ee6b5e1830b5fb76a46bced19c'),('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','7d6d9c8273d317ab908d4873a32086dbd5f78a2b2d07b7ed79975841a2cadea6'),('sites/all/modules/views/modules/node/views_handler_field_node.inc','99a0ef52b68e8913eb3563d5c47097c09e46c6493fcb006f383c6f6798edb7fc'),('sites/all/modules/views/modules/node/views_handler_field_node_link.inc','26d8309a3a9140682d7d90e4d16ff664a3d7ce662af6ccbf75dc4c493515d7d9'),('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','3eeed8c9ffc088ee28b8ffaa5e2b084db24284acc4d1b2e69f90c96cc889016d'),('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','28f8c3b7d3d60c31fec3cdf81c84cfbb20f492220457694a0e150c3ddee030c0'),('sites/all/modules/views/modules/node/views_handler_field_node_path.inc','f392fde21e434fd40fc672546ef684780179d91827350ba9c348bb1cc5924727'),('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','3f510d58acaa8f844292b86c388cb1e78eac8c732bb5e7c9e92439c425710240'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','ace72f296cf4a4da4b7dd7b303532aebf93b6b1c18a5d30b51b65738475e3889'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','0a36602f080c4ef2bb5cb7dbddc5533deab7743c2fbf3bd88b9e478432cac7fb'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','80ddc7f0c001fde9af491bb22d6044b85324fe90bea611fc3822408fd60008fa'),('sites/all/modules/views/modules/node/views_handler_field_node_type.inc','f8f39c6f238f837270d1b2e42e67bf9ab400a37fe24246c8b86dfcfacc1c4fd9'),('sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','1298f7f7ee4b6e6e2957b266fbb7c63e102b9d7e9ccca8d5a86592736bce9493'),('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','2970f270e071cad079880e9598d9f7b71d4dd2a2a42a31cd4489029a3cafe158'),('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','ca625167c8928f1c5b354c27c120ed9b19c1df665dc3b02ed6d96b58194d6243'),('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','f7099a59d3f237f2870ecb6b0b5e49dd9d785b1085e94baf55687251e7f3231b'),('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','6842082e7b6e131d6e002e627e6b4490b93ca6ffe7fc0b158d31843217c8c929'),('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','2cfe9ba95e5ea8c240a57cfa1bed58385cbfed0c7f35e3d8c4da6d873b5a61fa'),('sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','de61f3547604e5905486cdae5f5e94d1a45bdac4d3c43157193dd6fe0dd6473c'),('sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','ce2a392319ebed3dbb2b660f3d6f4c6690b1cd46cf6b1c01802f12158114c4c4'),('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','7fb79c8f4adb9bcef7c7da4bf4046fe3490e16c244f6ab96fdca97a8567315ff'),('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','f10d3f4081eed5ca32c41b67e9a0e6f35b2f8ba2cd7897230cb5a680b410a6de'),('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','1e55454684102fad08c947695c370a890a22ea22c3c9aca3207f2299aa3daf7e'),('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','6b7dfe1a3b16eae682b2664a48bb6af16f040b4ca2c8e71f8b771a0577a66bae'),('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','e206509ef8b592e602e005f6e3fa5ba8ef7222bdb5bacd0aaeea898c4001e9b0'),('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','da5fa527ab4bb6a1ff44cc2f9cec91cf3b094670f9e6e3884e1fedce714afe6f'),('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','758dea53760a1b655986c33d21345ac396ad41d10ddf39dd16bc7d8c68e72da7'),('sites/all/modules/views/modules/search/views_handler_argument_search.inc','9de18defd5d9320b6333dc496627657be1dd8ccb145dfc136a80f1bcee6e1f55'),('sites/all/modules/views/modules/search/views_handler_field_search_score.inc','711af637c864b775672d9f6203fc2da0902ed17404181d1117b400012aac366f'),('sites/all/modules/views/modules/search/views_handler_filter_search.inc','aa2ae23905b84b77ee6042f8f26542eedd7422bdd7518255a289db7da0f6400b'),('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','9d23dd6c464d486266749106caec1d10cec2da1cc3ae5f907f39056c46badbdf'),('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','bc25864154d4df0a58bc1ac1148581c76df36267a1d18f8caee2e3e1233c8286'),('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','7843e5f4b35f4322d673b5646e840c274f7d747f2c60c4d4e9c47e282e6db37d'),('sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','a1de51345d268dc0f080104ff9ae4c9ca1f7a2dd45560a59630b2bb03bdc54c9'),('sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','b46b6b14e14631941ac2dc9baf0b1290c148f42801f05cb419f84a2091d03e40'),('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','e9bf1fdf12f210f0a77774381b670c77ee88e7789971ce732b254f6be5a0e451'),('sites/all/modules/views/modules/system/views_handler_field_file.inc','0fff4adb471c0c164a78f507b035a68d41f404ab10535f06f6c11206f39a7681'),('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','768aa56198c7e82327391084f5dd27d7efdb8179ff6b8c941f892fe30469a0da'),('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','bdd7f1255f3000f7f2900341d4c4ca378244b96390ef52a30db2962d017b61a4'),('sites/all/modules/views/modules/system/views_handler_field_file_status.inc','bfb0b9d796a4dbf95c4bb7a3deef7724bcda9e0d9067939b74ec787da934f2b0'),('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','350d7dde27ee97cb4279360374eb8633ce7fee115a109346bea85c2c4e3a68c2'),('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','9210a34795f9db36974525e718c91c03c28554da1199932791925d7c4a2f3b11'),('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','d27513703a75c4d8af79b489266cf4102a36e350c3d90404dab24403ab637205'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','8962fa76f1e03316932468b0fd805817af94726beb82bf9f4786e0c709264662'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','e50f47ac64a93c2a43b6bd940119dee46b9f25f79f5d25a93fd0df7d707c93ab'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','5b2806fbad4a6cc104e733a3a0faf6eb1c19975930c67c4149fb3267976e0b7d'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','ca667646f99645c00e6dfb7eb52e2f54faf848be41c99af5caf2201dcd56926b'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','d85ebe68290239b25fc240451655b825325854e9707cf742fbd75de81e0f1aa7'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','888647527bec3444b2d0a571a77900396d7c5e884bca04a2a3667a61f6377b5e'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','bf4be783ef6899f004f4dbd06c1bf2cd6dbc322678c825eec36bee81d667e81f'),('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','fcafbbf79b79829eff211aa69580aa746b6d21a29416758bd43e25b5433f9a02'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','3da63f6feb1fa3312853b54585d761d037dac8841b4c06e01e35463c9098064a'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','d7bb6f685b85de9f9cc87500b3e5a07493832f032d826e20700bbd1baa020a61'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','6ecc68ee0efaaedd1ae8b290e587955a7d6c3ea361f671921167df55d353922e'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','0b05ec052dcc03081e20338808dda17beb0bdf869b0cfc1375ca96cfb758c22a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','76d59ca83bdcb40493055829a9132646ed89478d7eb6e468db2d879e66e3794c'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','f1787b436b914cfe5ca6f2575d4c0595f4f496795711d6e8a116a39986728b0a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','2a4d7dfbb6b795d217e2617595238f552bbea04b80217c933f1ee9978ceb7a0e'),('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','0bfd4c7882054565fb4ff52cf5697fe8cffca69d24717ebc37e6eacc14fe2312'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','fc4c3ace525162fc922de581af0710c7d92dc355e9630040a29a5c3a6ab7f9af'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','8a9d828e5e4387d831172a5c658fac8ef584d843be6c95e9b4e357af6c8f97de'),('sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','91f5b7e9537942eee7a1798906f772cb9806eebfdc201c54fcdecf027cd71d0f'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','5efea908902052d68141017b6f29f17381e7bb8ebb6d88245471926f0a552207'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','05e07f74d1e3978afd4c80a9b4bd72444872b84a44949a512f1d3040ce28421c'),('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','b0e3c87d3790cfa2e265f3d9700f2b3c2857932aa4b6e003e5d0114fc1b4d499'),('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','27a1ac81b50d4807d9a1eff4c5dc8929e4472f9d363f70f5391a794db73424a2'),('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','641ff25cd317bb803de2ace4bd23e8c5f5af5ba4ac38aab7be2fdc58fbb9e86a'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','0942fd793740e3aec032a1abb7132f53788a9cdeaeb3d931cac908ac30b73950'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','2a7a96d6caa4a99996549be0457bf40fa619731543a636d4573e55c190c64c7a'),('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','9137c85f5ca309d4ee0d3243c470563a5853f5926b8cbd3e843438d4308c9516'),('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','72da80e7f3c6980da024d86f37ba3721021cc1ead2cfcc1ab9b27897b7b5077a'),('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','a4af1bdc1ec5e40587c22c14e839980050baaa346c9d5934ef3f01794932cdc5'),('sites/all/modules/views/modules/user/views_handler_field_user.inc','1a2141524e43d86b52c7828fe6df61dd603ad433743c1139cfc5cc28ccb5ce74'),('sites/all/modules/views/modules/user/views_handler_field_user_language.inc','5a3da9e08ebeebbcb5abc6a9b16e0d380c5bb5c57b608afb540a3ca6dc1b2959'),('sites/all/modules/views/modules/user/views_handler_field_user_link.inc','5a0f35d5305a29816658385ecbd804bf43c92d4b3629fbe4bd9b8d0e9574b6ff'),('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','b865881b15ce86b5a00f2892d3fc62f40131417527211275ff9a3d09d485750b'),('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','5d7c1155d9eccbd6b07c7446fe2b6a8848d6a500f508ac3779f16df56816f92b'),('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','b7355b704f19322afb4876cea27744367e20098d4ed973e480bf2baf1ddd111c'),('sites/all/modules/views/modules/user/views_handler_field_user_name.inc','3be11e273d7a0e8d1e1406b94ba651a6f545f9d48d94758495449b68487f4426'),('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','ec37373524bf23ae107adda6b825570c550e6654c0f0956409fc58df2c860903'),('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','0103d136a91fb219fd981801301b7df00adf90617900ded08efbf6d7df04959b'),('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','ab5068c4f01a05c6511f7d4b973a77650d5b5c481d4a73f63b7a9b1ef9c0d138'),('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','7f70b7e3b3c10e75d95f54afc9c2fe2f1af9b7a9eab2308d2961b2588dc05845'),('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','5225e5d89051313e0e49ea833709bb4dc44369afeee970b0cfaf1818ababa22c'),('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','a72e8d02c1075cebfee33e5b046460eef9193b2a7c1d47ff130457e4485b6fe5'),('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','3bb69fbc4e352ce8e4840ec78bdd0f1f29e8709097ce6b29cc2fedd2c74c023e'),('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','11e729115350deffe46ebfe3a55281fa169a90e38a76c3a9d98f26c87900a22b'),('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','fe567f009a8e20f402f104b157fd44c04d6bd886a39b2f3355104f644f905419'),('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','40d623b0a678fa7c292da92582f06449d0396341ab161069f0fe8d1086ab95da'),('sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','6a6c1bfac677eb9ffd25870cd72939c903f2c92d6d18e3abc6c634ac153e5c2b'),('sites/all/modules/views/plugins/export_ui/views_ui.class.php','8cd921da4fc00f0441808c6d521fa9fdfc753976244518a001a6354975eb6fe8'),('sites/all/modules/views/plugins/views_plugin_access.inc','cc16bf7dc4c10eab382e948cfd91902ac1055514b627e3c50932376d3e3f1b91'),('sites/all/modules/views/plugins/views_plugin_access_none.inc','8e0a6b706c60abf63ab84d8624567ca12a5b80ad293e4334790065fbe6fa14d4'),('sites/all/modules/views/plugins/views_plugin_access_perm.inc','1807a9c91485a5abd3fb2f6590ed4bc185fdabe308db37b169be8abdfc30cab2'),('sites/all/modules/views/plugins/views_plugin_access_role.inc','8784836ea87ec6b0974125ed95ed6bbf6fdf91624f496f22c28e9229c695068d'),('sites/all/modules/views/plugins/views_plugin_argument_default.inc','43e593760f0e8f031f2e7b861385caa5e39f37de400fe4595925288c78f52f23'),('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','daaa3b59b54cbb11e411e010303f67a51348bb97a4e06997b475f4c41e91c4e0'),('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','7a133b603294bfe498bfdeb50fade0b6e3cf8862270376067d86f69e7dc50eb8'),('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','4318e0dfa56f167183453cf8cd913f3b7ee539b77a096507905e36db12ded97e'),('sites/all/modules/views/plugins/views_plugin_argument_validate.inc','2ada4fdc59b366f33209c0cfc515b06e765b487091760cfa22e94ca1c028c9cb'),('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','c050d3b5723dbfdca9ad312c7fa198e509c626057b95eed326820ce733dd9730'),('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','56a09922081a5e368d5796907727e35cbf43b0d634e53f947990c8a42d5b5f3e'),('sites/all/modules/views/plugins/views_plugin_cache.inc','870ceb5dd920212f4297849046e696b50dbe35a9ad4ac28b7021a7dd03aa64d9'),('sites/all/modules/views/plugins/views_plugin_cache_none.inc','a0d0ba252e1e2b65350c7ce648b97364726fa8ded5a366bfcce30c62daee4450'),('sites/all/modules/views/plugins/views_plugin_cache_time.inc','fb55f3236b30f00f3ca5228c40115444a0e2f164a4f54e6fe07dee514e183569'),('sites/all/modules/views/plugins/views_plugin_display.inc','dd190a0984bfd20a876e6437898ec691b4f46bc7a8d2e9ef17e054d03294536f'),('sites/all/modules/views/plugins/views_plugin_display_attachment.inc','6124e2ec51eadd7500fb878c25d9c5044b4ae9b6323dbbaa40b4806b69dd4cc0'),('sites/all/modules/views/plugins/views_plugin_display_block.inc','7ad6a90efa396f68276e93e19a6273c88782d514c1f1cea6ed0b046287e16a10'),('sites/all/modules/views/plugins/views_plugin_display_default.inc','91c6554d8f41f848bf30093d44d076051c54e998f6b50bdc2a922bfeeef9c54d'),('sites/all/modules/views/plugins/views_plugin_display_embed.inc','5424f2ea9e031faade7a562b8013aea193db5b0bc1be92b97bd7967de0d7bfff'),('sites/all/modules/views/plugins/views_plugin_display_extender.inc','75fb9f80e7f153715b911690c7140f251df588e6a541fab5881fbfafc0bbf778'),('sites/all/modules/views/plugins/views_plugin_display_feed.inc','f2fb6152e12da300b9bb8e1b45621dfe921c3ce0e769970ee1532e32a3657c53'),('sites/all/modules/views/plugins/views_plugin_display_page.inc','ece0ae5d5d730ef646178b09bc41a59e091c96a6ac3b3db5bdb9e61d194787bb'),('sites/all/modules/views/plugins/views_plugin_exposed_form.inc','0632ce61b4e39f8c0f39866987e4908657020298520fcf7c2712c0135e77d95b'),('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','c736e1862b393e15ecc80deb58663405a1d68c2db07eb620d8e640406876cd17'),('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','98b81e3b78f7242dd30a3754830bdde2fb1dfe8f002ae0daa06976f1bb64fa75'),('sites/all/modules/views/plugins/views_plugin_localization.inc','d7239cc693994dcd069c1f1e7847a7902c5bd29b8d64a93cdf37c602576661fb'),('sites/all/modules/views/plugins/views_plugin_localization_core.inc','f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc'),('sites/all/modules/views/plugins/views_plugin_localization_none.inc','4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),('sites/all/modules/views/plugins/views_plugin_pager.inc','d7c32e38f149e9009e175395dff2b00ec429867653c7535301b705a7cc69d9ed'),('sites/all/modules/views/plugins/views_plugin_pager_full.inc','60e4dec532de00bf7e785e5fa29a0be43c7b550efa85df0346a1712a3c39f7cd'),('sites/all/modules/views/plugins/views_plugin_pager_mini.inc','0a9d101d5a4217fb888c643bfddd7bf7f2f9c0937faa2753a31452a5ee68190b'),('sites/all/modules/views/plugins/views_plugin_pager_none.inc','822cab1ada25f4902a0505f13db86886061d2ced655438b33b197d031ccceddd'),('sites/all/modules/views/plugins/views_plugin_pager_some.inc','bc6aa7cbf1bc09374eced33334195c8897e4078336b8306d02d71c7aaaa22c99'),('sites/all/modules/views/plugins/views_plugin_query.inc','475a7ff0d4c7c7e27d7971ebd909a87bdb8322c47d6023b68f50f6fe6a1ec059'),('sites/all/modules/views/plugins/views_plugin_query_default.inc','d5f89543721a3cd24f6a18114c630f741d11029d933f1b01d59f349219b747d6'),('sites/all/modules/views/plugins/views_plugin_row.inc','3ca81529526b930cfb0dda202757f203649236b90441e3c035bb79cd419ee2a6'),('sites/all/modules/views/plugins/views_plugin_row_fields.inc','875fb2868cdbcc5f7af03098cbe55b9bb91ef512e5e52ccde89f7a02a0c5fbe2'),('sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','62f4a0ceef14aec9958ee8b98d352303f10818ddc66031814cc8b9d21752ade9'),('sites/all/modules/views/plugins/views_plugin_style.inc','1ac358d216da612e1731d6b1c730d2ee57ccb8cdd31ad768ae97af542325244f'),('sites/all/modules/views/plugins/views_plugin_style_default.inc','bf411e635d2fd9e09eb245b43581a0a7b670359180ccb042d42a5e579bbe9c30'),('sites/all/modules/views/plugins/views_plugin_style_grid.inc','35094b7f644b7e0692c9026b6b6b4c4c864c37fcdedef04b359dd2bdba496a47'),('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','53a438d8a5398877eacdbff97f3b0c418ebc2fa16e69efd5e4a31b0b986e03a3'),('sites/all/modules/views/plugins/views_plugin_style_list.inc','407b928d2c74a91903b681088bccce926d2268d0a9a6a34c185a4849dc0d7e31'),('sites/all/modules/views/plugins/views_plugin_style_mapping.inc','a6b430a148dda1b07ecee314b897c1da41ce375566adf50ee23ae1da822fddf3'),('sites/all/modules/views/plugins/views_plugin_style_rss.inc','ac72d530faffee78a1695a0b3893528ceb8451f18be0521c580485904a5ba57b'),('sites/all/modules/views/plugins/views_plugin_style_summary.inc','872df59f8f389eaf9b019e82d859dd198d31166e26a9102132e3932c7f1f2916'),('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','2ec0d225824ee65b6bb61317979e1dabe2be524a66ab19da924c6949dd31af3b'),('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','c1e6f9dd1d75e29fee271171440d2182e633a1dbbc996cb186f637ff7ad93ed9'),('sites/all/modules/views/plugins/views_plugin_style_table.inc','0cbcc5d256a13953fbd3e5966a33d2426d5c3bd8c228ef370daebf2f428e693c'),('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','d8325414c8ddde5c955a5cfb053b77478bb4d73cb2f7d75b857b082bc5a1e12d'),('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','585a8e885a18d4d2dee260859492eb332d70166abf2d201777ebf0d2083d2ebe'),('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','5734fb564ba9e2485cfa5d4a49f0c76f65a9be357b78e769ee4af92c4ef9e22a'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','6faf9ef92501a4f1aeaf86bcff9edaeb47bd7526ba50d06b841c9366149e7725'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','f10e588fcfe2dc37d0df1c520c3cd797b85d6f729335606b1aa11fcb5884e6eb'),('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','87d72dba2aef587994307cb287b638a409d148911e4b90109798ecacf5a721e7'),('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','f9fe2fb1ee87a1871e6ad32bad61b2457313f24da1bd5423977ced12de542919'),('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','b8b417ef0e05806a88bd7d5e2f7dcb41339fbf5b66f39311defc9fb65476d561'),('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','347c6ffd4383706dbde844235aaf31cff44a22e95d2e6d8ef4da34a41b70edd1'),('sites/all/modules/views/tests/field/views_fieldapi.test','53e6d57c2d1d6cd0cd92e15ca4077ba532214daf41e9c7c0f940c7c8dbd86a66'),('sites/all/modules/views/tests/handlers/views_handlers.test','f94dd3c4ba0bb1ffbf42704f600b94a808c1202a9ca26e7bdef8e7921c2724e9'),('sites/all/modules/views/tests/handlers/views_handler_area_text.test','af74a74a3357567b844606add76d7ca1271317778dd7bd245a216cf963c738b4'),('sites/all/modules/views/tests/handlers/views_handler_argument_null.test','1d174e1f467b905d67217bd755100d78ffeca4aa4ada5c4be40270cd6d30b721'),('sites/all/modules/views/tests/handlers/views_handler_argument_string.test','3d0213af0041146abb61dcdc750869ed773d0ac80cfa74ffbadfdd03b1f11c52'),('sites/all/modules/views/tests/handlers/views_handler_field.test','af552bf825ab77486b3d0d156779b7c4806ce5a983c6116ad68b633daf9bb927'),('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','d334b12a850f36b41fe89ab30a9d758fd3ce434286bd136404344b7b288460ae'),('sites/all/modules/views/tests/handlers/views_handler_field_counter.test','75b31942adf06b107f5ffd3c97545fde8cd1040b1d00f682e3c7c1320026e26c'),('sites/all/modules/views/tests/handlers/views_handler_field_custom.test','1446bc3d5a6b1180a79edfa46a5268dbf7f089836aa3bc45df00ddaff9dd0ce1'),('sites/all/modules/views/tests/handlers/views_handler_field_date.test','02df76a93a42d6131957748b1e69254835f9e44a47dafca1e833914e6b7f88a0'),('sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','606ca091ad7e5709f7653324aaa021484d1f0e07e8639b3f0f7c26d3cfdee53c'),('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','49184db68af398a54e81c8a76261acd861da8fd7846b9d51dcf476d61396bfb9'),('sites/all/modules/views/tests/handlers/views_handler_field_math.test','6e39e4f782e6b36151ceafb41a5509f7c661be79b393b24f6f5496d724535887'),('sites/all/modules/views/tests/handlers/views_handler_field_url.test','b41f762a71594b438a2e60a79c8260ba54e6305635725b0747e29f0d3ffe08c9'),('sites/all/modules/views/tests/handlers/views_handler_field_xss.test','f129ee16c03f84673e33990cbb2da5aa88c362f46e9ba1620b2a842ffd1c9cd2'),('sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','05842d83a11822afe7d566835f5db9f0f94fdb27ddfc388d38138767bdf36f8b'),('sites/all/modules/views/tests/handlers/views_handler_filter_date.test','ad2ca901c6a4ac3a82fc349a33826f043c6c80f773f40374be2e95acb39491e3'),('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','c88f21c9cbf1aae83393b26616908f8020c18fe378d76256c7ba192df2ec17af'),('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','89420a4071677232e0eb82b184b37b818a82bdb2ff90a8b21293f9ecb21808bf'),('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','35ac7a34e696b979e86ef7209b6697098d9abe218e30a02cc4fe39fb11f2a852'),('sites/all/modules/views/tests/handlers/views_handler_filter_string.test','b7d090780748faad478e619fd55673d746d4a0cf343d9e40ea96881324c34cbd'),('sites/all/modules/views/tests/handlers/views_handler_sort.test','f4ff79e6bc54e83c4eb2777811f33702b7e9fe7416ef70ae00d100fa54d44fec'),('sites/all/modules/views/tests/handlers/views_handler_sort_date.test','f548584d7c6a71cabd3ce07e04053a38df3f3e1685210ce8114238fd05344c10'),('sites/all/modules/views/tests/handlers/views_handler_sort_random.test','4fdba9bf05a26720ffa97e7a37da65ddc9044bd2832f8c89007b82feb062f182'),('sites/all/modules/views/tests/node/views_node_revision_relations.test','9467497a6d693615b48c8f57611a850002317bcb091b926d2efbbe56a4e61480'),('sites/all/modules/views/tests/plugins/views_plugin_display.test','4a6b136543a60999604c54125fa9d4f5aa61a5dcc71e2133d89325d81bc0fc2d'),('sites/all/modules/views/tests/styles/views_plugin_style.test','92d9a02f87f07d091999b961045b1dd654165059d8d1931b5c2ea1d88d0b439f'),('sites/all/modules/views/tests/styles/views_plugin_style_base.test','54fb7816d18416d8b0db67e9f55aa2aa50ac204eb9311be14b6700b7d7a95ae7'),('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','b88baa8aebe183943a6e4cf2df314fef13ac41b5844cd5fa4aa91557dd624895'),('sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','a4e68bc8cfbeff4a1d9b8085fd115bfe7a8c4b84c049573fa0409b0dc8c2f053'),('sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','033ca29d41af47cd7bd12d50fea6c956dde247202ebda9df7f637111481bb51d'),('sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','6074f5c7ae63225ea0cd26626ace6c017740e226f4d3c234e39869c31308223d'),('sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','619e39bc4535976865b96751535d0d5aac4a7a87c1d47cb6d4c4bb9c9fa74716'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','6a3ce8c256b84734b6b67a893ab24465a5f62d7bdf9ab5d22082a31849346b7d'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','e345e42d443cfa73db0ed2be61291117ebd57b86196cdb77c6f440e93443def3'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','0b2c68626105bd5f6b9074022a37c3d09d3a6bd70b811bb26d5eacad6d74546f'),('sites/all/modules/views/tests/user/views_handler_field_user_name.test','69641b6da26d8daee9a2ceb2d0df56668bf09b86db1d4071c275b6e8d0885f9e'),('sites/all/modules/views/tests/user/views_user.test','fbb63b42a0b7051bd4d33cf36841f39d7cc13a63b0554eca431b2a08c19facae'),('sites/all/modules/views/tests/user/views_user_argument_default.test','6423f2db7673763991b1fd0c452a7d84413c7dd888ca6c95545fadc531cfaaf4'),('sites/all/modules/views/tests/user/views_user_argument_validate.test','c88c9e5d162958f8924849758486a0d83822ada06088f5cf71bfbe76932d8d84'),('sites/all/modules/views/tests/views_access.test','f8b9d04b43c09a67ec722290a30408c1df8c163cf6e5863b41468bb4e381ee6f'),('sites/all/modules/views/tests/views_analyze.test','5548e36c99bb626209d63e5cddbc31f49ad83865c983d2662c6826b328d24ffb'),('sites/all/modules/views/tests/views_argument_default.test','5950937aae4608bba5b86f366ef3a56cc6518bbccfeaeacda79fa13246d220e4'),('sites/all/modules/views/tests/views_argument_validator.test','31f8f49946c8aa3b03d6d9a2281bdfb11c54071b28e83fb3e827ca6ff5e38c88'),('sites/all/modules/views/tests/views_basic.test','655bd33983f84bbea68a3f24bfab545d2c02f36a478566edf35a98a58ff0c6cf'),('sites/all/modules/views/tests/views_cache.test','4e9b8ae1d9e72a9eaee95f5083004316d2199617f7d6c8f4bea40e99d17efcd8'),('sites/all/modules/views/tests/views_exposed_form.test','6962c7ed8a38030ec1cfa94485de07ceb1f9393216985bd8bfecac768f6c0950'),('sites/all/modules/views/tests/views_glossary.test','118d50177a68a6f88e3727e10f8bcc6f95176282cc42fbd604458eeb932a36e8'),('sites/all/modules/views/tests/views_groupby.test','f26ad6857dc4821a4a0780642bda05fcb69ed506968e521f759bb28be4080143'),('sites/all/modules/views/tests/views_handlers.test','a696e3d6b1748da03a04ac532f403700d07c920b9c405c628a6c94ea6764f501'),('sites/all/modules/views/tests/views_module.test','5137e27449639d3e02f1b27206ef3ff96957546333b517318dfe8f58239dc860'),('sites/all/modules/views/tests/views_pager.test','6f448c8c13c5177afb35103119d6281958a2d6dbdfb96ae5f4ee77cb3b44adc5'),('sites/all/modules/views/tests/views_plugin_localization_test.inc','baedcf6c7381f9c5d3a5062f7d256f96808d06e04b6e73eff8e791e5f5293f45'),('sites/all/modules/views/tests/views_query.test','f8cb1649e43c8a2b036fec742e86b8eb9c2c4c095a4c4e7a7c3ca13c6ce8e6e6'),('sites/all/modules/views/tests/views_test.views_default.inc','4c65cc385b3e3c2e17fe054eb7a1ec70f4dd4b0394bdb108de2ddc0a7b435635'),('sites/all/modules/views/tests/views_translatable.test','6899c7b09ab72c262480cf78d200ecddfb683e8f2495438a55b35ae0e103a1b3'),('sites/all/modules/views/tests/views_ui.test','f9687a363d7cc2828739583e3eedeb68c99acd505ff4e3036c806a42b93a2688'),('sites/all/modules/views/tests/views_upgrade.test','c48bd74b85809dd78d963e525e38f3b6dd7e12aa249f73bd6a20247a40d6713a'),('sites/all/modules/views/tests/views_view.test','a52e010d27cc2eb29804a3acd30f574adf11fad1f5860e431178b61cddbdbb69'),('sites/all/modules/views/views_ui.module','418d555f71e72cb771a01ad7bfe7410c4d8191738271fa4e7cbb063940afb2a0'),('sites/all/modules/views_accordion/views_accordion_style_plugin.inc','32863455a2360a8d9557de59edca4ee607615bae663a8aa37cccacc3f4cf43a5'),('sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','628b99856ed217132afe0cb416028d9e109789a6fef52b8bb2d7a0f61db0def0'),('sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','ebece9df829a44c71f7043d3b972f706d9f05d6d0f548b03c3c0eec39c2902d1'),('sites/all/modules/webform/includes/exporters/webform_exporter.inc','d0ecbf7c7b218e10442b6bf1ef32ac4a67862b0cb1c37f10936dbf69b55c75a1'),('sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','deb820b134e34386daa833b78aaaacdd4bc78fcb1832a452145c0851909e1bb4'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','fe301ec8cba10b2e5ecdfed30c386fef1dbb1a33db21a19fa686533775b72223'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','b3407ce58fb72c05d723ab699440f687db6344d4a8756eca7333deaa9c6f2df3'),('sites/all/modules/webform/includes/webform.webformconditionals.inc','a9097667c37e229b06f6000d3a3e76f6bb850dd28a4d2ce64d6b8815920e5f2b'),('sites/all/modules/webform/tests/WebformComponentsTestCase.test','c049c524ca26457fc0ab02580feeb65ee530a8c6ee929117bfb1588230ea0b2a'),('sites/all/modules/webform/tests/WebformConditionalsTestCase.test','70d4b6d2d29cca00179ed5e12f902c6e5c4d8aabf2f08d0bb6624a117233d2de'),('sites/all/modules/webform/tests/WebformGeneralTestCase.test','4517422697e246f32906bdf73ee4e8351eb1331c7e4f7d662e17df03b51f53d7'),('sites/all/modules/webform/tests/WebformPermissionsTestCase.test','23f0c6b6489d78e13956e0b4d6e0728bf7e461b5b585d1f21907ff24ebdcb3ee'),('sites/all/modules/webform/tests/WebformSubmissionTestCase.test','896ac04995ad9f634d7457ec35424b4be64438f9375dece837ccaa35d7b48310'),('sites/all/modules/webform/tests/WebformTestCase.test','7722ef29dd244fea0468140de978427bc7e73a41303bbeff2c5eb305a68a616c'),('sites/all/modules/webform/views/webform.views.inc','0afd6ebbcb717b1f21f39347bad1ccdc23424d74a7e53e5e2119f888597ba3ea'),('sites/all/modules/webform/views/webform_handler_area_result_pager.inc','23b6f7013773cfed06c540748f7e2f0dc40602289bc97d73fe603ca9c87f0deb'),('sites/all/modules/webform/views/webform_handler_field_form_body.inc','60d708d683c67b553ecee37c7d74b00ee4b06253799e31befef9cb3ff703abb2'),('sites/all/modules/webform/views/webform_handler_field_is_draft.inc','1f1411981bc3e96ae4dccfb4c52a059b2e6488818ad4649fe8074f7de2d324f6'),('sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','15c6c4755b2ec87f71699399851a831176d515071ef356de4a64b75b76989e89'),('sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','5320f9c4ffa4842d2efc31c6d563c083e0432c682f1eff706ade34fb8e54d630'),('sites/all/modules/webform/views/webform_handler_field_submission_count.inc','1ed985c65786a215a39ecb119ad26c7e78108ecb8f969ed902cc4618c5378232'),('sites/all/modules/webform/views/webform_handler_field_submission_data.inc','eac20f1d2b77d98e1c64e357ac676bb2941f65f6f3521f314e5923f7e372bf45'),('sites/all/modules/webform/views/webform_handler_field_submission_link.inc','faaf698125ac99f18bdb8c4a7b9961e5ad06bdd157c7bbeaf8a8ad7d5be6aa60'),('sites/all/modules/webform/views/webform_handler_field_webform_status.inc','c67f6a8dc4db5c165cb6109dc28c8b8ebe79d130ac208281274caac0df258ce4'),('sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','dfb94fba66085fd0c07b8012f6846228fabc46809b00028bb896d6a304cdfec8'),('sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','74d41b7fc50055de6279fd1d4757752841018374116ca844466b72a6085f9792'),('sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','4a6e3f21703f750b31e868e64fd1fc4b760c01b9a3ca98b250f34c29614fbc69'),('sites/all/modules/webform/views/webform_handler_numeric_data.inc','c5a8fbfa2c74e1db9a4691714cb5c1c6693f2d4350c8a2ea27b4840414b1aa79'),('sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','10ba625ac9813ee2b7cb3b66b557ea8d60d32ae5bf4300b8bd6ee41be0303fbd'),('sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','728907aaf814b5dc10a6d2c2c60880b160031536e81cff7071ffe04c570a7f60');
/*!40000 ALTER TABLE `registry_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',
  PRIMARY KEY (`rid`),
  UNIQUE KEY `name` (`name`),
  KEY `name_weight` (`name`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role` VALUES (3,'administrator',2),(1,'anonymous user',0),(2,'authenticated user',1);
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role_permission`
--

DROP TABLE IF EXISTS `role_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_permission` (
  `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',
  `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',
  PRIMARY KEY (`rid`,`permission`),
  KEY `permission` (`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_permission`
--

LOCK TABLES `role_permission` WRITE;
/*!40000 ALTER TABLE `role_permission` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role_permission` VALUES (1,'access comments','comment'),(1,'access content','node'),(1,'search content','search'),(1,'subscribe newsletters','newsletter'),(1,'use advanced search','search'),(1,'use text format filtered_html','filter'),(1,'view any list_block bean','bean'),(1,'view bean page','bean'),(2,'access comments','comment'),(2,'access content','node'),(2,'edit webform components','webform'),(2,'post comments','comment'),(2,'search content','search'),(2,'skip comment approval','comment'),(2,'subscribe newsletters','newsletter'),(2,'use advanced search','search'),(2,'use text format filtered_html','filter'),(2,'view any list_block bean','bean'),(2,'view bean page','bean'),(3,'access administration menu','admin_menu'),(3,'access administration pages','system'),(3,'access all views','views'),(3,'access all webform results','webform'),(3,'access bean overview','bean'),(3,'access comments','comment'),(3,'access content','node'),(3,'access content overview','node'),(3,'access contextual links','contextual'),(3,'access dashboard','dashboard'),(3,'access newsletter statistics','newsletter'),(3,'access overlay','overlay'),(3,'access own webform results','webform'),(3,'access own webform submissions','webform'),(3,'access site in maintenance mode','system'),(3,'access site reports','system'),(3,'access toolbar','toolbar'),(3,'access user profiles','user'),(3,'administer actions','system'),(3,'administer bean settings','bean'),(3,'administer bean types','bean'),(3,'administer beans','bean'),(3,'administer block classes','block_class'),(3,'administer blocks','block'),(3,'administer comments','comment'),(3,'administer content types','node'),(3,'administer contexts','context_ui'),(3,'administer field collections','field_collection'),(3,'administer fieldgroups','field_group'),(3,'administer fields','field'),(3,'administer filters','filter'),(3,'administer flexslider','flexslider'),(3,'administer image styles','image'),(3,'administer languages','locale'),(3,'administer megamenus','megamenus'),(3,'administer menu','menu'),(3,'administer menu attributes','menu_attributes'),(3,'administer metatags_quick','metatags_quick'),(3,'administer module filter','module_filter'),(3,'administer modules','system'),(3,'administer newsletters','newsletter'),(3,'administer nodes','node'),(3,'administer pathauto','pathauto'),(3,'administer permissions','user'),(3,'administer redirects 404','redirect_404'),(3,'administer search','search'),(3,'administer shortcuts','shortcut'),(3,'administer site configuration','system'),(3,'administer software updates','system'),(3,'administer taxonomy','taxonomy'),(3,'administer tb_megamenu','tb_megamenu'),(3,'administer themes','system'),(3,'administer url aliases','path'),(3,'administer users','user'),(3,'administer views','views'),(3,'block IP addresses','system'),(3,'bypass node access','node'),(3,'cancel account','user'),(3,'change own username','user'),(3,'context ajax block access','context_ui'),(3,'create article content','node'),(3,'create page content','node'),(3,'create url aliases','path'),(3,'customize shortcut links','shortcut'),(3,'delete all webform submissions','webform'),(3,'delete any article content','node'),(3,'delete any page content','node'),(3,'delete own article content','node'),(3,'delete own page content','node'),(3,'delete own webform submissions','webform'),(3,'delete revisions','node'),(3,'delete terms in 1','taxonomy'),(3,'display drupal links','admin_menu'),(3,'edit all webform submissions','webform'),(3,'edit any article content','node'),(3,'edit any page content','node'),(3,'edit bean view mode','bean'),(3,'edit metatags_quick','metatags_quick'),(3,'edit own article content','node'),(3,'edit own comments','comment'),(3,'edit own page content','node'),(3,'edit own webform submissions','webform'),(3,'edit path_based metatags_quick','metatags_quick'),(3,'edit terms in 1','taxonomy'),(3,'flush caches','admin_menu'),(3,'notify of path changes','pathauto'),(3,'post comments','comment'),(3,'revert revisions','node'),(3,'search content','search'),(3,'select account cancellation method','user'),(3,'skip comment approval','comment'),(3,'submit latitude/longitude','location'),(3,'subscribe newsletters','newsletter'),(3,'switch shortcut sets','shortcut'),(3,'translate interface','locale'),(3,'use advanced search','search'),(3,'use PHP for settings','php'),(3,'use text format filtered_html','filter'),(3,'use text format full_html','filter'),(3,'view bean page','bean'),(3,'view bean revisions','bean'),(3,'view location directory','location'),(3,'view node location table','location'),(3,'view own unpublished content','node'),(3,'view revisions','node'),(3,'view the administration theme','system'),(3,'view user location table','location');
/*!40000 ALTER TABLE `role_permission` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',
  `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_dataset` VALUES (1,'node',' sed erat orci pharetra nec diam quis posuere feugiat elit  maecenas ultricies libero sit amet libero varius at malesuada nulla condimentum donec ullamcorper augue in facilisis lacinia est lectus adipiscing turpis euismod tincidunt arcu enim sagittis nisl sed pretium nisi a semper lobortis proin tempus facilisis nisl praesent sit amet risus metus nunc dictum ipsum quis purus eleifend molestie donec quam nulla ultricies a facilisis porttitor imperdiet vel metus curabitur faucibus tortor vel commodo accumsan sed vitae commodo tellus a fermentum mauris aenean nisi leo posuere et adipiscing eu varius ut tortor donec ac adipiscing sem non fringilla dui nullam ac fringilla nibh in malesuada felis sed tempus lacinia consectetur vestibulum sagittis nulla luctus commodo lobortis morbi sed risus varius feugiat risus nec luctus sem interdum et malesuada fames ac ante ipsum primis in faucibus interdum et malesuada fames ac ante ipsum primis in faucibus vestibulum pretium ipsum vitae erat tempor in viverra velit cursus vestibulum porttitor eu dui vel iaculis aliquam dapibus orci ante sed porta massa placerat vel aenean rutrum lectus sit amet tellus tincidunt sed condimentum sapien aliquet praesent fringilla cras amet  ',0),(2,'node',' fusce rhoncus diam vel elementum tempus  pellentesque nisl enim viverra nec adipiscing quis tincidunt at sem donec eu suscipit velit donec sollicitudin nibh a dui bibendum lacinia vivamus fringilla velit augue nec viverra mauris consectetur a nam faucibus dolor vitae dictum rhoncus ut nisi libero fringilla sollicitudin eros ut cursus condimentum nulla sed pharetra gravida odio non pharetra phasellus scelerisque justo ipsum eget tempus urna semper gravida maecenas non risus iaculis suscipit neque eu tempus sapien vestibulum viverra est sit amet lacus vulputate gravida praesent facilisis imperdiet elit sed dapibus urna viverra at cras ac sem tellus in hac habitasse platea dictumst mauris augue ante sollicitudin nec bibendum a facilisis sed leo nulla iaculis neque nec nulla pellentesque et sollicitudin metus imperdiet fusce porta quam scelerisque pretium lacinia dolor urna luctus libero nec sodales leo tortor id erat integer mauris urna pellentesque in lacinia non commodo vel elit pellentesque purus augue elementum euismod facilisis at suscipit vitae ligula nam auctor rhoncus consequat curabitur pretium sodales nulla quis dignissim sapien eleifend in aliquam erat volutpat etiam posuere  ',0),(3,'node',' nulla non dui tristique aliquet nisi vitae tempus eros  integer pulvinar tempor tortor nam faucibus dolor ac odio iaculis tempor fusce consequat elit eu venenatis molestie justo enim tempor erat vitae dictum nisl dolor sed mauris nulla vehicula cursus justo ut suscipit libero mattis non maecenas consequat quam et diam luctus blandit vestibulum hendrerit augue elementum vulputate egestas ipsum ligula porttitor felis tempus porttitor nisl arcu id lorem vestibulum condimentum justo ut urna rutrum eu cursus tortor lacinia nunc id sapien a odio venenatis dictum fusce a suscipit dolor vestibulum non tortor convallis nisl sollicitudin tempor sed id eros maecenas semper velit ut nisi pretium adipiscing donec ac porttitor arcu id luctus felis proin sagittis viverra dolor quis fringilla donec id eros iaculis dignissim metus vel suscipit nisi integer aliquam purus nisl id lacinia nisi laoreet sed fusce nec interdum nisl nunc sit amet turpis nisi proin luctus mauris a mi auctor at ultricies neque pellentesque in erat arcu accumsan et suscipit in ullamcorper in sapien vestibulum at quam rhoncus pretium dolor at pretium ante morbi tincidunt ligula vitae elementum ultrices diam odio lobortis eros nec ultrices id  ',0),(4,'node',' sed id vestibulum elit phasellus vel sem purus proin sed arcu nibh  nullam id sagittis augue nunc vel hendrerit nulla pretium fringilla purus donec vel augue dictum condimentum neque in pellentesque sem aliquam erat volutpat curabitur sodales mi felis vel rhoncus sem tristique ut donec in tellus vehicula mattis odio a facilisis magna cras tincidunt odio in dui porttitor volutpat cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus mauris egestas blandit feugiat praesent mattis gravida nulla aliquam id porttitor diam vivamus varius volutpat mi in cursus fusce suscipit porttitor tellus eu varius sapien hendrerit a nunc sodales purus at laoreet placerat etiam vulputate justo nisl vestibulum egestas neque id ante dictum tristique quisque mauris magna tincidunt blandit leo eget porttitor varius metus pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas in et arcu magna in augue massa tempus quis convallis in adipiscing eu diam aliquam sodales sapien at sem elementum viverra sit amet vitae felis integer ut tellus ut ligula aliquam mattis nunc id orci felis sed pellentesque volutpat dolor non consequat vestibulum blandit ornare augue non orci aliquam  ',0),(5,'node',' vestibulum eget fermentum leo  integer et enim eget mauris tincidunt eleifend ultricies a dolor nulla dolor purus convallis sed erat sed accumsan vehicula orci praesent in eros velit suspendisse imperdiet venenatis metus at consequat risus facilisis ut ut auctor commodo ligula a congue neque rhoncus vitae fusce sit amet diam elementum sagittis sapien et bibendum libero sed eget lectus porttitor dui feugiat facilisis vitae non urna ut dictum elit et rutrum interdum purus ligula mollis nisl sagittis pulvinar dolor lorem quis massa vivamus venenatis augue id dictum vulputate nibh nulla mollis sapien vel faucibus ligula purus eleifend nulla ut id lectus ac ipsum viverra elementum sed eu mi praesent ullamcorper iaculis mi quis faucibus ligula interdum et malesuada fames ac ante ipsum primis in faucibus aenean dignissim rhoncus egestas aliquam eleifend enim eget pulvinar vehicula tortor sem ullamcorper neque ut congue diam lacus a justo quisque nec est cursus mollis urna id suscipit nisi in hac habitasse platea dictumst morbi et ultricies dui aenean tincidunt augue id ipsum gravida semper praesent iaculis dui ut justo lobortis ornare nunc tempus mi eget posuere condimentum nunc sed  ',0),(6,'node',' in ultrices massa quis dui molestie ut bibendum ligula dictum  donec sit amet lorem vel nibh mattis varius mauris dui erat interdum nec metus non venenatis mattis sem vestibulum ac elit lacinia nisi molestie aliquet quisque dictum tellus in tortor bibendum tempor donec augue lectus lobortis ac malesuada nec ultricies in turpis nunc semper nunc eu mi placerat eu consequat nulla congue pellentesque nibh dui placerat nec mattis et lacinia eu felis ut tempor libero mi morbi pellentesque metus vel tempor egestas augue neque malesuada mauris pretium sollicitudin magna velit id risus nam accumsan ipsum nec orci consequat at venenatis quam vulputate etiam vestibulum magna nec iaculis rhoncus duis scelerisque vel elit id vulputate maecenas imperdiet porttitor justo vitae tempor cras rutrum justo eu malesuada fermentum duis in tortor non leo commodo aliquet viverra non massa curabitur a turpis elit nulla vel nulla sed sapien lobortis lacinia nunc posuere tortor ac aliquet semper nunc consequat rutrum odio non pretium urna feugiat sed curabitur suscipit lorem a odio convallis elementum nulla pretium dolor a est venenatis mollis nulla facilisi donec sit amet sollicitudin risus eget ultricies dui vestibulum vehicula amet  ',0),(7,'node',' vivamus porta molestie dolor eu porta metus pharetra id nunc urna arcu sagittis in dapibus ac malesuada vitae odio integer iaculis diam vulputate purus mollis vel dictum magna semper cras nec ligula facilisis cursus purus sed adipiscing augue phasellus massa felis mattis a dolor a tempor tempus eros integer id blandit leo non fringilla massa curabitur lobortis euismod dui a vestibulum ante vestibulum ac vestibulum facilisis molestie tincidunt pellentesque porttitor fringilla ante in quis elit eget augue viverra auctor sit amet et ligula quisque ullamcorper leo sit amet libero aliquet sodales fusce faucibus dui non iaculis dignissim diam quam cursus arcu sit amet interdum tellus urna eget elit quisque magna nisi rutrum at erat quis imperdiet consequat dui interdum et malesuada fames ac ante ipsum primis in faucibus sed at ultricies libero in pharetra est felis non pretium tellus vulputate non mauris orci orci sagittis at hendrerit non pharetra vel velit fusce suscipit rhoncus accumsan lorem ipsum dolor sit amet consectetur adipiscing elit sed vitae sem elementum dapibus felis nec laoreet sapien praesent lectus metus consequat id varius id tincidunt nec ipsum nullam suscipit nisi non justo posuere admin s blog ',0),(8,'node',' vivamus enim tellus pretium ac malesuada sit amet nunc lobortis faucibus ante eget vehicula nullam porta ipsum eget tincidunt suscipit proin a sapien in enim consequat gravida nec in nulla aliquam ornare tellus velit curabitur aliquet enim enim ac volutpat metus tempor ac integer libero justo condimentum quis felis ac sagittis fringilla risus sed egestas sapien eu vestibulum molestie tellus nisl feugiat urna et ultrices ante enim quis quam phasellus bibendum turpis ac lacus fringilla lacinia pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas sed mollis felis a diam dignissim a aliquam nibh tempor sed in eleifend mi vivamus ut mollis neque praesent eget ante nibh phasellus in tellus vel nunc ullamcorper hendrerit a vitae dui duis rhoncus diam eu feugiat luctus quisque et ipsum tellus sed ac sapien magna vestibulum sed nunc ut tortor euismod aliquet suspendisse cursus consectetur dictum vivamus non lectus eu felis fermentum pellentesque aenean egestas velit sed dignissim viverra tortor nisi varius felis vitae adipiscing velit orci in lorem nam ac nunc commodo suscipit ante quis porta tortor pellentesque accumsan enim at ipsum imperdiet a pulvinar ligula amet admin s blog ',0),(9,'node',' curabitur dignissim posuere dui vitae dictum suspendisse eleifend semper nunc venenatis euismod vestibulum laoreet nec purus ac mattis sed fringilla gravida pharetra curabitur sollicitudin turpis at elit pretium luctus eget at lorem ut scelerisque felis in placerat consectetur maecenas tempus ullamcorper lacus nec ullamcorper enim aliquam in congue mauris integer elementum eros eu sagittis imperdiet fusce nisi nisl dictum sed convallis vel placerat non nisl donec fermentum nunc ut eros vulputate mattis pellentesque ut hendrerit nisl cras laoreet elit in dictum mattis ut pharetra sem id suscipit eleifend class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos donec varius velit ante in feugiat mi viverra ac sed dui lectus faucibus vitae varius vitae pretium sit amet diam integer suscipit mollis magna id bibendum purus elementum quis nunc luctus ligula erat vel dignissim diam congue in aenean arcu sapien viverra vestibulum felis sed semper elementum turpis quisque iaculis nunc quis leo hendrerit scelerisque pellentesque varius ligula vitae libero ultricies et volutpat dolor ultricies vestibulum vulputate nisi quam nec imperdiet augue sollicitudin sed proin sed admin s blog ',0),(10,'node',' proin eu metus sit amet diam consectetur sagittis nec a erat nam condimentum feugiat massa non elementum velit ullamcorper non curabitur accumsan metus eu posuere luctus lorem ipsum mattis erat vel fermentum dui diam id lectus vestibulum suscipit dolor id facilisis blandit donec purus enim bibendum non malesuada consectetur consequat vel risus suspendisse dapibus elementum adipiscing donec in orci felis fusce eu facilisis libero eget volutpat libero aenean et luctus erat maecenas facilisis nisl ut ante lobortis at mollis mauris tristique ut eu urna augue morbi at lectus vitae velit iaculis posuere vivamus nec pulvinar sem vestibulum at semper lorem duis posuere tortor at enim tempor id viverra dolor varius donec eget turpis sapien vestibulum ultrices erat quis tristique tincidunt nisi arcu porttitor justo sit amet mattis ante ante at nibh integer non consectetur ipsum id laoreet mi curabitur venenatis eleifend sem tincidunt vestibulum purus dignissim a fusce commodo ipsum ligula a porta nunc fringilla ut vestibulum egestas metus neque in viverra orci dignissim vitae mauris eleifend sed nisl in imperdiet nunc convallis luctus orci a rutrum est suscipit sed praesent in rutrum ipsum condimentum turpis duis admin s blog ',0),(11,'node',' integer lacus ante porttitor tempus blandit ut donec sagittis accumsan dolor vitae cursus morbi condimentum tempor mi vel porttitor elit porttitor ac nam sed ligula ut turpis mattis bibendum ut et sapien donec blandit est quis auctor fermentum curabitur massa libero aliquet eget enim id pharetra aliquet augue pellentesque dictum molestie porttitor suspendisse tincidunt interdum lobortis duis at lacus in metus bibendum volutpat aenean velit dolor rhoncus ac arcu in porta auctor nisi donec auctor hendrerit metus ac blandit aliquam fringilla metus id mi congue interdum phasellus nec ligula interdum venenatis neque nec consectetur eros fusce pretium dui vitae adipiscing mollis vestibulum eu est imperdiet nulla bibendum venenatis sit amet ut eros suspendisse dui arcu consequat sed nulla sit amet aliquet pellentesque arcu etiam malesuada nulla quis imperdiet volutpat duis mollis risus quis lectus volutpat id luctus urna pellentesque proin sodales lorem et dui molestie sit amet feugiat neque aliquet phasellus volutpat cursus turpis at mattis risus venenatis id vivamus porttitor nisl non sapien lobortis vulputate a in magna curabitur sed lorem vulputate sollicitudin orci eget lobortis dolor mauris sed admin s blog ',0),(12,'node',' maecenas justo lectus mollis et sem at scelerisque sodales leo excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo etiam ultrices lectus aliquam amet dictum turpis ',0),(13,'node',' nam dignissim consectetur felis ut molestie lorem suscipit et nunc laoreet convallis faucibus sed eget mi tortor proin commodo ultricies posuere quisque nec pellentesque turpis etiam tellus sapien auctor in turpis quis bibendum facilisis quam pellentesque fermentum nunc consectetur sagittis iaculis vestibulum egestas turpis vestibulum consectetur feugiat neque purus cursus purus sit amet placerat lectus sapien eu nisi aliquam ac commodo magna maecenas porttitor non diam ut ultrices praesent dui elit dapibus quis convallis nec congue vitae metus aenean eleifend orci quam elementum mollis quam rutrum ac quisque volutpat scelerisque dui vel tempus duis iaculis est ut velit blandit pharetra nulla facilisi nulla metus lacus ultrices eu sapien vel pretium dictum mauris etiam porta leo et lacus egestas a dapibus tortor bibendum sed ultrices quam vitae erat interdum ut tempus enim commodo phasellus neque dolor semper congue rutrum vitae ornare eget est nam ut commodo lacus id volutpat elit praesent tincidunt porta dolor eget dictum mauris tempor et nullam vitae pellentesque ipsum curabitur ut lobortis ligula fusce ut sollicitudin felis donec eget justo laoreet rutrum orci lobortis vehicula augue sed non metus amet dictum turpis ',0),(14,'node',' quisque cursus tortor ut libero euismod vitae tempor nibh tincidunt aliquam eget viverra nibh vel aliquet erat ut tincidunt cursus arcu nec lobortis morbi rhoncus sem convallis semper auctor mauris risus scelerisque sem vel molestie velit ipsum ut elit nullam vel congue nunc eget scelerisque augue sed auctor consectetur varius vivamus vel augue auctor convallis diam eget cursus mi phasellus feugiat justo ipsum vitae rhoncus leo ullamcorper sed phasellus et justo sit amet mauris viverra semper cras sed auctor mauris duis ultrices ante a condimentum ornare dui nisl malesuada dui ac blandit mi urna quis turpis praesent aliquam sed massa nec viverra vivamus at imperdiet elit at imperdiet tortor sed luctus dui id dolor tempus ac condimentum urna cursus mauris hendrerit interdum lorem ut lobortis sed rutrum erat at sollicitudin placerat est eros fermentum tortor vel ornare odio diam sit amet ligula phasellus pretium dictum accumsan curabitur ac urna non libero porttitor ullamcorper cras tempus turpis sed mattis ullamcorper velit urna dictum est eu consequat ipsum mauris eu quam mauris tortor turpis elementum facilisis ornare imperdiet aliquam lacinia urna donec malesuada suscipit sodales curabitur tempus elit metus lectus aliquam ',0),(15,'node',' donec lacus ligula pharetra quis malesuada et accumsan at nibh nunc laoreet erat eu risus vestibulum laoreet venenatis odio semper quisque ac hendrerit mauris vitae aliquam nulla ut tempor dapibus eros quis laoreet quisque a feugiat eros sed et auctor eros duis tincidunt sed purus nec tincidunt fusce sollicitudin sodales augue sit amet faucibus velit blandit et fusce malesuada commodo ullamcorper aenean laoreet consequat risus nec placerat nunc tristique at duis tincidunt risus id nisi pharetra vestibulum donec lobortis nisl ac mauris rutrum in vestibulum ante rutrum etiam at est et odio bibendum semper eget in lorem vivamus consectetur neque vel feugiat vulputate integer venenatis volutpat nibh vitae ultricies vestibulum hendrerit orci ligula at lobortis turpis faucibus eget fusce bibendum turpis sit amet porta interdum augue tellus lacinia sapien et elementum arcu dui id lorem aliquam fermentum nibh id metus pellentesque non interdum orci eleifend pellentesque sed commodo velit vivamus eget metus hendrerit mattis sapien sit amet faucibus nisi nullam mattis eleifend eros vel placerat sem porttitor et aliquam nec ipsum vitae eros egestas mollis nam aliquet et enim sit amet molestie aliquam sollicitudin nullam ultrices ',0),(16,'node',' duis scelerisque purus ac tristique dignissim nullam magna elit tempus a tincidunt nec cursus vitae nibh mauris turpis nisl pulvinar sed pulvinar non tristique in libero in euismod consectetur tellus et ultricies elit cursus nec quisque consectetur arcu non libero cursus vel consequat lacus sollicitudin suspendisse sollicitudin orci vel bibendum laoreet cras interdum tincidunt pharetra vivamus volutpat nunc at augue tincidunt sed facilisis est molestie suspendisse pharetra adipiscing massa eu scelerisque nisl tincidunt ac morbi lobortis vitae erat quis egestas vestibulum et interdum enim quisque luctus blandit nunc sit amet condimentum duis ultrices enim at interdum egestas ut lacinia urna mauris in volutpat quam tristique quis duis laoreet neque vel lorem venenatis vitae faucibus sapien volutpat ut interdum augue eu mattis scelerisque in mattis varius facilisis ut ac enim sapien duis blandit tortor nec ultricies viverra erat est congue ligula ut facilisis elit ipsum in enim nulla sodales mauris a arcu viverra feugiat ut ut porta sapien curabitur fringilla ut magna et ullamcorper mauris placerat est dolor at tincidunt tellus convallis a proin tortor dolor tristique a diam sit amet cras amet vivamus porttitor faucibus tellus permalink submitted by admin on wed 8132014 1255 porttitor faucibus tellus log in or register to post comments in sollicitudin enim erat id permalink submitted by laura on thu 8142014 1852 in sollicitudin enim erat id log in or register to post comments vivamus porttitor faucibus tellus permalink submitted by laura on thu 8142014 1851 vivamus porttitor faucibus tellus log in or register to post comments  ',0),(17,'node',' about us who we are quisque at diam sed velit consequat adipiscing et at dolor praesent sollicitudin consequat porttitor sed at semper tellus in dapibus tellus maecenas sodales nulla faucibus accumsan elit ac pharetra metus praesent hendrerit purus a neque iaculis commodo nullam consequat eros porttitor velit placerat rutrum cras vulputate in dolor at dapibus phasellus non ornare leo maecenas id facilisis justo id lobortis dui duis suscipit justo in venenatis rhoncus lacus lectus suscipit est a sagittis justo tellus ut dui curabitur eget felis id eros commodo placerat ut in neque praesent pellentesque tellus dui id iaculis sem venenatis ac vestibulum ipsum ante bibendum vel nunc a malesuada faucibus tortor curabitur eu sem a enim faucibus euismod phasellus adipiscing orci erat eu vehicula quam mattis quis donec pulvinar scelerisque eros in pulvinar proin eu urna elementum sodales lacus non aliquet magna curabitur sed lacinia elit in aliquet magna proin rhoncus ante vitae faucibus iaculis curabitur adipiscing quam vitae ante ultricies sit amet ultricies nulla pulvinar vestibulum varius orci eget lorem porta in viverra neque posuere donec et scelerisque massa sed id  ',0),(18,'node',' contact salutation mr ms mrs name email country afghanistan aland islands albania algeria american samoa andorra angola anguilla antarctica antigua and barbuda argentina armenia aruba australia austria azerbaijan bahamas bahrain bangladesh barbados belarus belgium belize benin bermuda bhutan bolivia bosnia and herzegovina botswana bouvet island brazil british indian ocean territory british virgin islands brunei bulgaria burkina faso burundi cambodia cameroon canada cape verde caribbean netherlands cayman islands central african republic chad chile china christmas island cocos keeling islands colombia comoros congo brazzaville congo kinshasa cook islands costa rica croatia cuba curaçao cyprus czech republic denmark djibouti dominica dominican republic ecuador egypt el salvador equatorial guinea eritrea estonia ethiopia falkland islands faroe islands fiji finland france french guiana french polynesia french southern territories gabon gambia georgia germany ghana gibraltar greece greenland grenada guadeloupe guam guatemala guernsey guinea guineabissau guyana haiti heard island and mcdonald islands honduras hong kong sar china hungary iceland india indonesia iran iraq ireland isle of man israel italy ivory coast jamaica japan jersey jordan kazakhstan kenya kiribati kuwait kyrgyzstan laos latvia lebanon lesotho liberia libya liechtenstein lithuania luxembourg macao sar china macedonia madagascar malawi malaysia maldives mali malta marshall islands martinique mauritania mauritius mayotte mexico micronesia moldova monaco mongolia montenegro montserrat morocco mozambique myanmar namibia nauru nepal netherlands netherlands antilles new caledonia new zealand nicaragua niger nigeria niue norfolk island northern mariana islands north korea norway oman pakistan palau palestinian territory panama papua new guinea paraguay peru philippines pitcairn poland portugal puerto rico qatar reunion romania russia rwanda saint barthélemy saint helena saint kitts and nevis saint lucia saint martin french part saint pierre and miquelon saint vincent and the grenadines samoa san marino sao tome and principe saudi arabia senegal serbia seychelles sierra leone singapore sint maarten slovakia slovenia solomon islands somalia south africa south georgia and the south sandwich islands south korea south sudan spain sri lanka sudan suriname svalbard and jan mayen swaziland sweden switzerland syria taiwan tajikistan tanzania thailand timorleste togo tokelau tonga trinidad and tobago tunisia turkey turkmenistan turks and caicos islands tuvalu us virgin islands uganda ukraine united arab emirates united kingdom united states united states minor outlying islands uruguay uzbekistan vanuatu vatican venezuela vietnam wallis and futuna western sahara yemen zambia zimbabwe phone request type sales support test drive request request detail confirm i hereby grant to bmw armenia the right to use modify reproduce and distribute my data for event invitations marketing research and statistical purpose within partners or companies that are part of the bmw group i am aware that all my personal data will be dealt with in accordance with the prevailing privacy protection regulations  ',0),(19,'node',' build your vehicle phasellus orci sapien sollicitudin non interdum vel vehicula nec risus nunc sodales leo vel pretium blandit donec porttitor ut libero vitae rutrum maecenas lorem ligula pretium sed erat sit amet luctus ultricies lectus curabitur venenatis luctus erat et tristique curabitur elementum velit gravida consequat suscipit augue nibh dapibus dolor et facilisis sapien massa sed est cras et consequat leo nam ac metus erat praesent blandit faucibus blandit in ultricies rhoncus tortor vitae adipiscing mauris sed lacus sed lorem ullamcorper consequat nec ac leo pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas nullam rhoncus consectetur tortor non fermentum urna vestibulum id phasellus congue dignissim egestas quisque eget magna imperdiet pulvinar neque non euismod risus phasellus lacinia sem id sapien dictum eu feugiat odio rhoncus praesent euismod urna egestas consequat ante sed sagittis lacus donec at metus vel orci aliquet suscipit at gravida mauris nunc hendrerit dui sed tortor tristique pharetra mauris volutpat ante commodo eros iaculis condimentum duis sollicitudin mi quis velit luctus sed ultricies purus posuere nulla eleifend libero vitae sodales ullamcorper suspendisse orci eros consectetur id hendrerit non tempus sed lorem suspendisse scelerisque nisi vel egestas aliquet massa turpis aliquet nunc at imperdiet eros arcu vel nunc aenean consequat tellus ut vulputate eleifend turpis nisl egestas nisi et mollis nulla odio eu enim donec a euismod odio curabitur lacinia dolor rhoncus sapien ultricies sed laoreet mi tristique nulla in placerat leo quisque mattis lacus arcu morbi fringilla diam sit amet commodo tempor enim diam pulvinar ipsum id aliquet felis nunc ac urna praesent elementum odio ac est dapibus pellentesque etiam ultricies varius aliquet quisque vitae porta neque vel lacinia ligula etiam non ligula nec diam elementum vulputate sit amet id nunc suspendisse facilisis vestibulum adipiscing sed a nibh fermentum ornare mi nec cursus dolor pellentesque placerat urna et sodales fermentum leo metus molestie lacus in aliquam quam erat in erat phasellus porttitor tincidunt purus in varius tortor pellentesque eu phasellus bibendum massa at sodales hendrerit neque nunc sollicitudin lacus a varius tellus purus id nisl quisque id est odio duis fringilla vitae leo ut porta etiam dictum accumsan malesuada  ',0),(20,'node',' financial services nulla facilisi duis vitae varius justo ac tristique dui vivamus rutrum elit libero aliquet sagittis felis malesuada vitae vivamus massa dui aliquet quis nisl vel malesuada fermentum ligula fusce viverra lacinia nulla sit amet euismod ligula tempus id nullam malesuada ultrices augue eget fringilla nisi gravida vitae in scelerisque nulla eget congue auctor vivamus vitae massa pharetra sodales enim ac commodo purus duis ut nibh eu tellus pretium cursus sed tempus porttitor scelerisque ut feugiat iaculis erat in iaculis nisl porttitor sit amet nam molestie massa tincidunt arcu vestibulum interdum id et nunc duis ac lacus vel lacus sodales fringilla ullamcorper dignissim odio maecenas sed felis eros proin aliquam diam a malesuada porttitor sapien erat aliquam metus ut hendrerit risus nunc gravida leo quisque feugiat aliquet convallis etiam scelerisque pulvinar lectus eget euismod fusce eu mauris odio mauris ante velit vehicula ac libero sed pulvinar cursus sem fusce blandit dolor quis magna venenatis elementum aenean arcu ante viverra vitae urna ac viverra commodo dui in hac habitasse platea dictumst duis nec fringilla turpis nam egestas neque amet  ',0),(21,'node',' repair optimize praesent adipiscing nibh mauris eu accumsan diam adipiscing ut suspendisse potenti mauris auctor vulputate mattis fusce ullamcorper sagittis leo curabitur molestie purus a blandit convallis mauris ultricies a sem sed vestibulum praesent pellentesque malesuada dui vitae ultricies aliquam auctor vitae purus sed volutpat nam euismod rhoncus nisl morbi auctor lorem massa sit amet aliquet tellus tristique a nullam sit amet arcu mollis tincidunt magna a venenatis eros vestibulum mollis neque sit amet massa feugiat ultrices vestibulum porta diam tincidunt pretium euismod augue libero tempor nisl non dapibus nunc nisi in nulla vivamus accumsan nisi eu ipsum ultricies pretium phasellus egestas suscipit nisl et fermentum duis sodales tempor eros pellentesque fringilla gravida libero quisque interdum est nisi nam tristique tincidunt scelerisque curabitur interdum sapien ac mauris commodo luctus nunc at dignissim lorem ut sodales nisl vel hendrerit elementum fusce sed mauris ut massa cursus vulputate sed at ante donec a est nec erat ultricies aliquam quis sit amet arcu suspendisse ut sollicitudin dui mauris non facilisis nibh quisque luctus mollis ante a nullam  ',0),(22,'node',' auto maintenance nunc a pulvinar purus proin tincidunt sagittis est a accumsan maecenas vehicula elit vel dapibus malesuada est nulla viverra massa a tincidunt purus neque sit amet urna suspendisse non mollis lacus nunc quis fermentum lectus sed vitae viverra diam duis bibendum purus libero dapibus tempus ligula semper non praesent sed scelerisque elit vestibulum fringilla lacus id purus accumsan porta vel ac lacus praesent vel vulputate risus quis pharetra felis nulla fermentum neque ut lacus sollicitudin nec auctor nunc feugiat curabitur porttitor ante enim id tincidunt nunc mattis ut etiam sollicitudin convallis dolor ac iaculis dui viverra a donec viverra massa a venenatis rhoncus purus dolor mattis sapien nec ornare est sapien quis sem donec pretium egestas tempus morbi auctor malesuada massa convallis auctor sed ut auctor quam quis pulvinar ipsum fusce euismod ligula urna ut tempus nisl feugiat vel etiam posuere nibh a odio pharetra mattis etiam feugiat dolor augue ut facilisis orci adipiscing sit amet mauris velit arcu hendrerit non feugiat quis consectetur nec est nunc ante leo imperdiet id risus eget ornare malesuada libero fusce aliquet ipsum nullam  ',0),(23,'node',' ferrari enzo view the full image view the full image view the full image manual 198 86 280 phasellus id aliquam augue a viverra elit phasellus eu cursus lectus etiam tristique consectetur dolor in vestibulum mi fermentum quis donec dolor ipsum facilisis quis neque quis ultricies ultricies lorem in hac habitasse platea dictumst proin cursus lorem nibh ac aliquam enim pretium at duis a tincidunt ligula pretium tincidunt eros proin pellentesque turpis metus sed dictum magna commodo non in vitae sollicitudin elit vestibulum porttitor est augue ac ullamcorper tortor pellentesque id proin dapibus lorem augue in tincidunt sapien fermentum et sed faucibus libero in dignissim pellentesque cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus maecenas vel posuere lorem nulla lacinia metus quis euismod lacinia ante mi semper nunc a mollis nisi est sit amet erat suspendisse elementum malesuada feugiat pellentesque adipiscing sed erat sit amet tincidunt integer faucibus semper velit donec neque eros elementum id consequat ac consequat eget dui aenean vel sem et lectus tempor euismod etiam condimentum elit a mattis condimentum odio dui tincidunt nunc sed iaculis lacus est eu turpis suspendisse sollicitudin massa nunc trucks ',0),(25,'node',' mantiz concept view the full image view the full image view the full image view the full image 3series glacier silver manual 198 86 290 2 996 643330 adaptive led headtlights colours wheels bang olufsen sound system control display rearseat entertainment maecenas at massa nec ante semper posuere integer lacinia velit metus quis placerat augue ultricies eget vestibulum faucibus erat suscipit imperdiet imperdiet dazzlefree highbeam assistance driver assistance systems vestibulum congue massa et nunc sagittis malesuada cras blandit iaculis risus a tristique ligula mollis vel donec et mi ante pellentesque porta pharetra orci at interdum orci pellentesque ut suspendisse imperdiet hendrerit erat lacinia mollis massa tempus a pellentesque quis ultricies nisi eu condimentum ipsum nam at risus non dui faucibus sollicitudin nunc pharetra urna at suscipit tristique donec aliquam justo ac felis placerat non pellentesque eros tincidunt donec placerat tincidunt facilisis cras scelerisque diam tellus ac ultricies sem sollicitudin et duis congue diam a diam vehicula mollis donec sodales est tortor quis porta nisl adipiscing lobortis phasellus gravida dui sit amet dolor lacinia elementum tincidunt ante tempor mauris vitae ipsum nec mi porttitor dignissim ac non lorem vestibulum consectetur sapien non ipsum tincidunt suscipit morbi vulputate sapien ut leo lobortis ac luctus diam mattis sed eleifend sem sit amet pharetra aliquet felis ligula vestibulum nisi quis scelerisque est justo ac nisi cras vel ultricies leo vestibulum quam ipsum rutrum quis ipsum at porttitor suscipit metus pellentesque velit eros dictum eu pharetra amet luxury sport cars trucks vans suvs ',0),(26,'node',' vestibulum mattis mattis mi vel faucibus mauris iaculis vel nisl vitae mollis sed auctor purus eget tempor dapibus leo metus dapibus enim in cursus mi arcu at elit maecenas lobortis ipsum sit amet felis molestie interdum imperdiet nunc accumsan  ',0),(27,'node',' etiam leo nisi mattis sed semper vitae etiam leo nisi mattis sed semper vitae dapibus et erat cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas  ',0),(28,'node',' cars selling nam a ullamcorper tortor curabitur sit amet dictum neque vel consectetur ipsum quisque elementum eu ante non sodales class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos nullam tempor orci ut pulvinar interdum est lacus mattis sapien vehicula porttitor elit elit et libero fusce laoreet libero ipsum non pretium quam tincidunt sit amet ut nec odio eget urna tincidunt tincidunt maecenas tortor arcu ornare sit amet lobortis sit amet suscipit eget libero phasellus posuere turpis non lectus volutpat a mattis odio hendrerit vestibulum eget odio in augue pulvinar imperdiet pellentesque malesuada tortor sapien ut sollicitudin erat facilisis vitae cras ac nisl adipiscing interdum orci a pharetra turpis phasellus facilisis leo nisl non auctor massa cursus et vestibulum sit amet tempor arcu quisque ac urna luctus interdum turpis eget dignissim elit fusce quis nulla velit duis enim augue rutrum eu arcu vel elementum lobortis dui nam egestas sit amet nunc a bibendum fusce eget lectus a quam placerat semper quis lobortis magna aliquam tincidunt arcu ut augue adipiscing eleifend varius mi laoreet vestibulum elementum metus 5 670  ',0),(29,'node',' global customer integer sodales nisi a justo egestas eget malesuada nisi malesuada suspendisse quis massa et risus vulputate tincidunt donec at mauris quis risus porttitor aliquam vitae et magna vivamus lacus risus aliquam nec tempor a sagittis sit amet turpis quisque molestie ante eget adipiscing rhoncus eros diam bibendum arcu sed pulvinar sapien odio non nisl nullam quis lorem metus quisque interdum dolor quis dignissim elementum integer sit amet pellentesque diam mauris a mauris quis mi ultrices venenatis mauris bibendum pretium erat eu posuere quisque sit amet felis id mauris porttitor elementum vitae ac dolor nullam semper elit a venenatis sodales mauris arcu dignissim lectus eget venenatis tortor lectus ut mauris mauris id purus at massa aliquam viverra sed neque nunc eleifend id tristique ac dictum vitae erat duis malesuada nisi erat a facilisis turpis congue id ut dapibus semper sagittis phasellus id lacus sed tortor imperdiet cursus sed placerat venenatis purus quis egestas elit euismod sed nulla facilisi proin id massa at justo vehicula consectetur phasellus arcu ligula mollis eu vestibulum vel blandit a justo pellentesque habitant morbi tristique sed 43 256  ',0),(30,'node',' best brands nam ultrices libero vitae rhoncus hendrerit aenean risus dolor pharetra tincidunt scelerisque vitae dictum feugiat nisl etiam congue feugiat dui vel interdum leo mauris consequat massa eu ornare hendrerit est massa aliquet ipsum vitae fermentum ligula dolor sit amet lacus phasellus nibh elit venenatis quis tincidunt quis iaculis et augue mauris vel mollis odio vestibulum sapien libero faucibus vitae tristique ut cursus ac est suspendisse potenti nunc sit amet volutpat diam in tempus pharetra nulla sed pretium cras pharetra ligula pharetra fermentum ornare erat magna interdum lorem vel facilisis dui risus vitae nibh etiam rhoncus posuere ante vitae convallis nulla nec tellus ligula proin hendrerit malesuada vulputate vestibulum eget lacus blandit tincidunt nunc pharetra egestas mi nam ut auctor quam ut ultrices tortor nulla molestie elementum viverra in turpis purus consequat suscipit feugiat eget interdum non felis ut ante quam tincidunt dignissim nibh a varius mattis quam nulla gravida ipsum consectetur enim pretium vitae suscipit nisl eleifend nulla condimentum nisl orci a laoreet quam interdum pretium curabitur eu tellus in magna nullam 350  ',0),(31,'node',' supporter 247 suspendisse ornare id ante eu tempus etiam imperdiet eleifend tortor vel consequat nunc facilisis at donec porttitor gravida imperdiet morbi urna felis vehicula sit amet urna sed sodales luctus risus donec vitae massa convallis hendrerit magna at semper eros sed lobortis hendrerit tortor eu tristique pellentesque quis sapien vehicula mattis nibh sit amet pharetra urna pellentesque ac posuere diam sed ut mattis elit proin tincidunt consequat nibh id aliquet sed vulputate aliquam justo id consectetur curabitur luctus ornare posuere curabitur eu ipsum quis lectus porttitor tempus maecenas quis odio eu nisl pretium ornare non sit amet quam integer at tempor sapien nam elementum quis libero vel viverra fusce bibendum tellus eros nec porttitor orci pretium dignissim interdum et malesuada fames ac ante ipsum primis in faucibus maecenas et ultricies est sed pharetra risus aenean rhoncus eleifend sem at interdum dolor lacinia vulputate nullam a lobortis lorem nec faucibus massa donec vulputate felis nec ornare sagittis sem velit consectetur ligula eu tempus ipsum sem eu justo fusce consequat ligula vitae augue bibendum et ullamcorper sem suscipit posuere 150  ',0),(32,'node',' vestibulum imperdiet ligula quis dignissim luctus 34012187 118445535 new york az 84117 united states sebastian autoxcom weebpal 3907008076  ',0),(33,'node',' fusce scelerisque ut lorem et pellentesque 3401176 118466692 salt lake ca 84118 united states sebastian autoxcom weebpal 3907008067  ',0),(34,'node',' vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere 3401873 118451586 5651 w pine shade place salt lake 84118 united states sebastian autoxcom weebpal 23445454  ',0),(35,'node',' 2014 ferrari california view the full image f40 2014 red automatic 198 86 290 2 996 198000 adaptive led headtlights colours wheels ambience bang olufsen sound system colours and materials control display rearseat entertainment lorem ipsum dolor sit amet consectetur adipiscing elit aenean sit amet varius sapien sed luctus mollis tellus et convallis pellentesque porta dapibus massa sit amet gravida pellentesque id lorem elementum ultrices enim id posuere nibh proin sagittis lacus vel molestie auctor bmw night vision with dynamic light spot dazzlefree highbeam assistance driver assistance systems duis sagittis molestie ipsum quis viverra sed pharetra euismod consequat vivamus vitae magna nisi ut rutrum in quam quis consequat bikes luxury sport cars trucks ',0),(36,'node',' 2014 audi allroad view the full image 8series 2014 white automatic 198 86 290 2 996 230000 adaptive led headtlights bang olufsen sound system colours and materials nunc viverra lorem sit amet vehicula adipiscing ut quam justo aliquet nec leo id elementum volutpat est vivamus facilisis lobortis est sed posuere quam adipiscing vitae bmw night vision with dynamic light spot driver assistance systems proin adipiscing ipsum felis quis pellentesque magna gravida non sed luctus vehicula tempor ut placerat egestas augue vel accumsan enim pellentesque ac nulla non lorem suscipit adipiscing odio vitae suscipit odio nulla et bibendum diam etiam eget est turpis donec faucibus venenatis elit id lacinia suspendisse sit amet consequat ipsum vitae tincidunt leo etiam elementum nibh in nibh tempor vel aliquam metus bibendum praesent tempus risus vulputate est adipiscing pellentesque aliquam vel tristique metus morbi vehicula purus vitae nulla tempor fermentum nulla ac iaculis quam proin fermentum urna ipsum in sagittis urna convallis nec vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae luxury sport cars trucks ',0),(37,'node',' 2014 ferrari ff view the full image f40 2014 black automatic 198 85 280 233600 adaptive led headtlights bang olufsen sound system rearseat entertainment nunc viverra lorem sit amet vehicula adipiscing ut quam justo aliquet nec leo id elementum volutpat est vivamus facilisis lobortis est sed posuere quam adipiscing vitae bmw headup display dazzlefree highbeam assistance proin adipiscing ipsum felis quis pellentesque magna gravida non sed luctus vehicula tempor ut placerat egestas augue vel accumsan enim pellentesque ac nulla non lorem suscipit adipiscing odio vitae suscipit odio nulla et bibendum diam etiam eget est turpis donec faucibus venenatis elit id lacinia suspendisse sit amet consequat ipsum vitae tincidunt leo etiam elementum nibh in nibh tempor vel aliquam metus bibendum praesent tempus risus vulputate est adipiscing pellentesque aliquam vel tristique metus morbi vehicula purus vitae nulla tempor fermentum nulla ac iaculis quam proin fermentum urna ipsum in sagittis urna convallis nec vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae  luxury sport cars trucks ',0),(38,'node',' ducati monster 795 view the full image 1series 2014 black manual 198 5 250 2 996 643330 colours wheels ambience mauris quis mi ipsum cras vehicula mi eget malesuada ornare morbi id ultricies nisi maecenas quis pharetra nulla pellentesque enim ante lacinia vel ligula eget malesuada dictum urna driver assistance systems nam enim nibh sodales fringilla iaculis ac luctus vitae risus integer rhoncus elit vel adipiscing euismod lacus enim mattis est ut aliquet ante odio at ipsum mauris blandit leo suscipit sagittis fringilla ipsum ipsum semper magna at luctus erat justo sed nisi cras facilisis sit amet tellus ac aliquam nulla vitae varius mauris vestibulum interdum molestie felis ut mollis augue consectetur ut nunc sodales dolor id viverra luctus aliquam erat volutpat integer faucibus et lacus in mollis morbi molestie tortor quis felis convallis quis dapibus ipsum condimentum bikes luxury sport cars trucks ',0),(39,'node',' 2013 mazda mazdaspeed view the full image a4 2013 red automatic 198 85 200 2 996 230000 adaptive led headtlights colours wheels bang olufsen sound system donec consectetur ipsum eget diam porta tincidunt suspendisse feugiat lacus at laoreet euismod nunc vulputate ante at felis auctor feugiat duis quam lorem fermentum sed mi ac sollicitudin gravida leo dazzlefree highbeam assistance driver assistance systems suspendisse suscipit orci adipiscing mattis ipsum et blandit magna suspendisse ac interdum sapien suspendisse eu egestas odio mauris posuere nunc in feugiat venenatis dui ipsum porttitor purus a porta arcu tortor et erat morbi arcu nibh viverra fringilla imperdiet sed consequat ut sapien nulla semper ullamcorper libero sit amet ultrices enim viverra sed nulla tristique justo in pretium volutpat pellentesque eu tortor nec velit dapibus condimentum phasellus sit amet semper purus nulla iaculis mi id feugiat feugiat erat sapien vestibulum erat rhoncus vulputate tellus massa et dui sed at enim consequat hendrerit elit eu hendrerit nisl trucks vans suvs ',0),(40,'node',' 2014 hyundai accent view the full image 3series 2014 black manual 198 85 2 996 230000 adaptive led headtlights colours and materials control display nam facilisis nibh nec eleifend sagittis ut pulvinar lectus malesuada lacus dignissim eu vehicula metus vestibulum donec non dolor viverra porttitor est eget vulputate nulla fusce varius urna non turpis sollicitudin nec mattis arcu porttitor sed feugiat rhoncus odio tempor feugiat nulla ac consequat sapien fusce fringilla ligula vitae velit sollicitudin nec pharetra massa sodales aenean quis rhoncus metus pellentesque et erat molestie consectetur turpis ac varius diam donec a tempus nulla at interdum augue quisque tristique mauris in sagittis pharetra integer sed lacus sit amet lacus commodo bibendum id sit amet sem dazzlefree highbeam assistance driver assistance systems ',0),(41,'node',' 2015 ktm 1290 super adventure view the full image s4 2014 white automatic 198 5 230 2 996 30800 adaptive led headtlights colours and materials maecenas elementum semper risus nec euismod purus tincidunt vitae in semper iaculis aliquet morbi pulvinar varius arcu a congue purus condimentum ac driver assistance systems sed eu sollicitudin nulla cras porttitor tempor quam eu lacinia sed a elementum quam proin rhoncus nibh nibh quis malesuada erat elementum rhoncus nam posuere turpis enim ut mollis metus semper quis maecenas tempor id sapien et fringilla praesent sed est mi morbi viverra libero non laoreet lobortis dui augue fermentum diam id pretium justo orci non urna vestibulum sit amet enim vel velit aliquet condimentum vel ut justo phasellus egestas orci sed ligula varius lacinia mauris eget lectus at nibh feugiat laoreet non in dui bikes luxury sport cars trucks vans suvs ',0),(42,'node',' 2014 lexus ct 200h view the full image f40 2014 red manual 198 85 240 2 596 233600 colours wheels control display rearseat entertainment fusce posuere laoreet nisl id sagittis morbi eget aliquam ligula aliquam erat volutpat nunc vitae lacinia nulla aenean mollis quam in tortor consequat tempor driver assistance systems multifunctional instrument display cras enim urna fermentum eu imperdiet non elementum id ipsum maecenas id diam nec odio facilisis tempor adipiscing condimentum magna donec molestie a purus in consectetur morbi ac pretium nibh eget tempus elit integer lacinia tellus sed volutpat lobortis vestibulum convallis sed enim vel auctor proin elit ipsum sodales ut vehicula eget blandit et nisi ut a urna molestie sagittis leo eget volutpat urna duis tristique lectus eu massa bibendum lobortis etiam quam est euismod accumsan vestibulum at convallis vel massa duis aliquet dolor non viverra ullamcorper massa neque rhoncus nunc ut convallis lorem metus vel urna suspendisse dignissim eget elit et congue integer vehicula auctor purus quis venenatis sed facilisis nunc eu iaculis faucibus quam nisl blandit odio sit amet sollicitudin felis massa a lorem vivamus suscipit pulvinar orci sit amet fermentum pellentesque vel congue dui bikes luxury sport cars trucks vans suvs ',0),(43,'node',' 2013 volvo c30 view the full image s4 2013 black automatic 198 86 250 2 596 236000 adaptive led headtlights bang olufsen sound system control display vivamus tempor vehicula bibendum cras eleifend porta eros sed pharetra eros mauris pellentesque mattis lorem in scelerisque quam consequat non sed luctus nisi nulla non rhoncus nisl vulputate at dazzlefree highbeam assistance multifunctional instrument display in iaculis malesuada sapien sed viverra velit euismod eu mauris non nisl ac nisl venenatis imperdiet nullam fermentum luctus fringilla sed malesuada sem a nisi lacinia facilisis pulvinar id lorem nulla nunc lacus rhoncus in blandit non euismod vitae ipsum mauris luctus dolor sit amet porttitor viverra donec consectetur arcu eu dapibus sodales dolor turpis tincidunt nulla sed facilisis purus tellus non dui vivamus et magna eu nunc commodo hendrerit sed ac nulla phasellus quis lacinia neque nunc quis iaculis justo fusce elementum aliquam tellus sed tristique nunc iaculis vitae aliquam erat volutpat curabitur vehicula eget mauris nec venenatis donec congue sem metus non accumsan nisl consectetur eget duis ac cursus elit cras mollis odio eget egestas pharetra lorem eros semper risus porta pretium magna quam at nisl maecenas aliquet sem in vehicula pellentesque nulla consequat sapien eget dapibus luctus tortor nulla egestas urna eu dignissim risus dolor eget turpis fusce porttitor molestie rutrum vivamus blandit adipiscing neque proin dapibus porttitor massa ut vehicula aliquam erat volutpat bikes luxury sport cars trucks vans suvs ',0),(44,'node',' nulla quis orci auctor nulla quis orci auctor sodales leo id eleifend ante aliquam dapibus nisl a tempor congue leo mauris lacinia magna ac faucibus elit lorem sit amet lectus aliquam erat volutpat in fermentum velit orci ut accumsan orci sodales vel vestibulum vehicula massa a risus egestas tincidunt blandit massa posuere nullam vitae lacinia quam fusce eu rhoncus erat ac fringilla nunc  ',0),(45,'node',' quisque rhoncus vitae purus ac luctu quisque rhoncus vitae purus ac luctus lorem ipsum dolor sit amet consectetur adipiscing elit phasellus consequat tristique justo a fermentum aliquam egestas est eget neque malesuada a pulvinar lectus facilisis aenean nec erat non lacus venenatis dapibus molestie vitae massa ut sodales mi ac imperdiet tristique fusce at enim ultrices ullamcorper urna non iaculis velit aliquam ac auctor elit aliquam eu eleifend purus duis vitae libero leo suspendisse posuere neque id fermentum porttitor sed pharetra lobortis sodales nunc luctus leo dapibus mollis lectus sit amet interdum lacus aliquam tempor dignissim dignissim in fringilla lectus in pellentesque mattis neque urna vulputate ligula ultricies ultricies sapien mauris eget diam integer accumsan eros magna vel mollis tellus aliquam quis  ',0),(46,'node',' send cv name mail attach file tittle content  ',0),(48,'node',' 404 404 sorry but we couldn t find the page you are looking for please check to make sure you ve typed the url correctly you may also want to search for what you are looking for return to home ',0),(49,'node',' mega menus ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_index` VALUES ('1',12,'node',26),('118445535',32,'node',1),('118451586',34,'node',1),('118466692',33,'node',1),('1255',16,'node',1),('1290',41,'node',26),('150',31,'node',1),('1851',16,'node',1),('1852',16,'node',1),('198',23,'node',1),('198',25,'node',1),('198',35,'node',1),('198',36,'node',1),('198',37,'node',1),('198',38,'node',1),('198',39,'node',1),('198',40,'node',1),('198',41,'node',1),('198',42,'node',1),('198',43,'node',1),('198000',35,'node',1),('1series',38,'node',11),('2',12,'node',18.1873),('2',25,'node',1),('2',35,'node',1),('2',36,'node',1),('2',38,'node',1),('2',39,'node',1),('2',40,'node',1),('2',41,'node',1),('2',42,'node',1),('2',43,'node',1),('200',39,'node',1),('200h',42,'node',26),('2013',39,'node',27),('2013',43,'node',27),('2014',35,'node',27),('2014',36,'node',27),('2014',37,'node',27),('2014',38,'node',1),('2014',40,'node',27),('2014',41,'node',1),('2014',42,'node',27),('2015',41,'node',26),('230',41,'node',1),('230000',36,'node',1),('230000',39,'node',1),('230000',40,'node',1),('233600',37,'node',1),('233600',42,'node',1),('23445454',34,'node',1),('236000',43,'node',1),('240',42,'node',1),('247',31,'node',26),('250',38,'node',1),('250',43,'node',1),('256',29,'node',1),('280',23,'node',1),('280',37,'node',1),('290',25,'node',1),('290',35,'node',1),('290',36,'node',1),('3',12,'node',15.2543),('30800',41,'node',1),('3401176',33,'node',1),('34012187',32,'node',1),('3401873',34,'node',1),('350',30,'node',1),('3907008067',33,'node',1),('3907008076',32,'node',1),('3series',25,'node',11),('3series',40,'node',11),('404',48,'node',27),('43',29,'node',1),('5',28,'node',1),('5',38,'node',1),('5',41,'node',1),('5651',34,'node',1),('596',42,'node',1),('596',43,'node',1),('643330',25,'node',1),('643330',38,'node',1),('670',28,'node',1),('795',38,'node',26),('8132014',16,'node',1),('8142014',16,'node',2),('84117',32,'node',1),('84118',33,'node',1),('84118',34,'node',1),('85',37,'node',1),('85',39,'node',1),('85',40,'node',1),('85',42,'node',1),('86',23,'node',1),('86',25,'node',1),('86',35,'node',1),('86',36,'node',1),('86',43,'node',1),('8series',36,'node',11),('996',25,'node',1),('996',35,'node',1),('996',36,'node',1),('996',38,'node',1),('996',39,'node',1),('996',40,'node',1),('996',41,'node',1),('about',17,'node',26),('accent',40,'node',26),('accordance',18,'node',0.504001),('accumsan',1,'node',1),('accumsan',3,'node',1),('accumsan',5,'node',1),('accumsan',6,'node',1),('accumsan',7,'node',1),('accumsan',8,'node',1),('accumsan',10,'node',1),('accumsan',11,'node',1),('accumsan',12,'node',1),('accumsan',14,'node',1),('accumsan',15,'node',26),('accumsan',17,'node',1),('accumsan',19,'node',0.886095),('accumsan',21,'node',2),('accumsan',22,'node',2),('accumsan',26,'node',1),('accumsan',36,'node',1),('accumsan',37,'node',1),('accumsan',42,'node',1),('accumsan',43,'node',0.989021),('accumsan',44,'node',1),('accumsan',45,'node',1),('accusantium',12,'node',4.90299),('adaptive',25,'node',11),('adaptive',35,'node',11),('adaptive',36,'node',11),('adaptive',37,'node',11),('adaptive',39,'node',11),('adaptive',40,'node',11),('adaptive',41,'node',11),('adaptive',43,'node',11),('adipisci',12,'node',0.96498),('adipiscing',1,'node',3),('adipiscing',2,'node',1),('adipiscing',3,'node',1),('adipiscing',4,'node',1),('adipiscing',7,'node',2),('adipiscing',8,'node',1),('adipiscing',10,'node',1),('adipiscing',11,'node',1),('adipiscing',16,'node',1),('adipiscing',17,'node',3),('adipiscing',19,'node',1.90974),('adipiscing',21,'node',2),('adipiscing',22,'node',1),('adipiscing',23,'node',1),('adipiscing',25,'node',1),('adipiscing',28,'node',2),('adipiscing',29,'node',1),('adipiscing',35,'node',1),('adipiscing',36,'node',5),('adipiscing',37,'node',5),('adipiscing',38,'node',1),('adipiscing',39,'node',1),('adipiscing',42,'node',1),('adipiscing',43,'node',0.923838),('adipiscing',45,'node',1),('admin',7,'node',11),('admin',8,'node',11),('admin',9,'node',11),('admin',10,'node',11),('admin',11,'node',11),('admin',16,'node',1),('adventure',41,'node',26),('aenean',1,'node',2),('aenean',5,'node',2),('aenean',8,'node',1),('aenean',9,'node',1),('aenean',10,'node',1),('aenean',11,'node',1),('aenean',12,'node',1),('aenean',13,'node',1),('aenean',15,'node',1),('aenean',19,'node',0.972861),('aenean',20,'node',1),('aenean',23,'node',1),('aenean',30,'node',1),('aenean',31,'node',1),('aenean',35,'node',1),('aenean',40,'node',1),('aenean',42,'node',1),('aenean',45,'node',1),('afghanistan',18,'node',1),('africa',18,'node',0.618696),('african',18,'node',1),('aland',18,'node',1),('albania',18,'node',1),('algeria',18,'node',1),('aliquam',1,'node',1),('aliquam',2,'node',1),('aliquam',3,'node',1),('aliquam',4,'node',5),('aliquam',5,'node',1),('aliquam',8,'node',2),('aliquam',9,'node',1),('aliquam',11,'node',1),('aliquam',12,'node',10.4041),('aliquam',13,'node',1),('aliquam',14,'node',14),('aliquam',15,'node',4),('aliquam',19,'node',0.899454),('aliquam',20,'node',2),('aliquam',21,'node',2),('aliquam',23,'node',2),('aliquam',25,'node',1),('aliquam',28,'node',1),('aliquam',29,'node',3),('aliquam',31,'node',1),('aliquam',36,'node',2),('aliquam',37,'node',2),('aliquam',38,'node',2),('aliquam',42,'node',2),('aliquam',43,'node',2.91323),('aliquam',44,'node',2),('aliquam',45,'node',5),('aliquet',1,'node',1),('aliquet',3,'node',26),('aliquet',6,'node',3),('aliquet',7,'node',1),('aliquet',8,'node',2),('aliquet',11,'node',4),('aliquet',12,'node',1),('aliquet',14,'node',1),('aliquet',15,'node',1),('aliquet',17,'node',2),('aliquet',19,'node',4.79077),('aliquet',20,'node',3),('aliquet',21,'node',1),('aliquet',22,'node',1),('aliquet',25,'node',0.923838),('aliquet',30,'node',1),('aliquet',31,'node',1),('aliquet',36,'node',1),('aliquet',37,'node',1),('aliquet',38,'node',1),('aliquet',41,'node',2),('aliquet',42,'node',1),('aliquet',43,'node',0.945829),('all',18,'node',0.509287),('allroad',36,'node',26),('also',48,'node',1),('ambience',35,'node',11),('ambience',38,'node',11),('american',18,'node',1),('amet',1,'node',4),('amet',2,'node',1),('amet',3,'node',1),('amet',4,'node',1),('amet',5,'node',1),('amet',6,'node',3),('amet',7,'node',4),('amet',8,'node',27),('amet',9,'node',1),('amet',10,'node',27),('amet',11,'node',3),('amet',12,'node',11.3319),('amet',13,'node',12),('amet',14,'node',2),('amet',15,'node',4),('amet',16,'node',3),('amet',17,'node',1),('amet',19,'node',2.8408),('amet',20,'node',3),('amet',21,'node',4),('amet',22,'node',2),('amet',23,'node',2),('amet',25,'node',2.82673),('amet',26,'node',1),('amet',28,'node',6),('amet',29,'node',3),('amet',30,'node',2),('amet',31,'node',3),('amet',35,'node',3),('amet',36,'node',2),('amet',37,'node',2),('amet',38,'node',1),('amet',39,'node',2),('amet',40,'node',2),('amet',41,'node',1),('amet',42,'node',1.90336),('amet',43,'node',1),('amet',44,'node',1),('amet',45,'node',2),('and',18,'node',9.53709),('and',35,'node',11),('and',36,'node',11),('and',40,'node',11),('and',41,'node',11),('andorra',18,'node',1),('angola',18,'node',1),('anguilla',18,'node',1),('anim',12,'node',3.90299),('antarctica',18,'node',1),('ante',1,'node',3),('ante',2,'node',1),('ante',3,'node',1),('ante',4,'node',1),('ante',5,'node',1),('ante',7,'node',3),('ante',8,'node',4),('ante',9,'node',1),('ante',10,'node',3),('ante',11,'node',26),('ante',14,'node',1),('ante',15,'node',1),('ante',17,'node',3),('ante',19,'node',2),('ante',20,'node',2),('ante',21,'node',2),('ante',22,'node',2),('ante',23,'node',1),('ante',25,'node',2.98087),('ante',28,'node',1),('ante',29,'node',1),('ante',30,'node',2),('ante',31,'node',2),('ante',34,'node',26),('ante',36,'node',0.989021),('ante',37,'node',1),('ante',38,'node',2),('ante',39,'node',1),('ante',44,'node',1),('antigua',18,'node',1),('antilles',18,'node',0.745294),('aperiam',12,'node',4.90299),('aptent',9,'node',1),('aptent',28,'node',1),('arab',18,'node',0.570448),('arabia',18,'node',0.641769),('architecto',12,'node',4.90299),('arcu',1,'node',1),('arcu',3,'node',3),('arcu',4,'node',27),('arcu',7,'node',2),('arcu',9,'node',1),('arcu',10,'node',1),('arcu',11,'node',3),('arcu',14,'node',1),('arcu',15,'node',1),('arcu',16,'node',2),('arcu',19,'node',1.91523),('arcu',20,'node',2),('arcu',21,'node',2),('arcu',22,'node',1),('arcu',26,'node',1),('arcu',28,'node',4),('arcu',29,'node',3),('arcu',39,'node',2),('arcu',40,'node',1),('arcu',41,'node',1),('arcu',43,'node',1),('are',17,'node',16),('are',18,'node',0.512513),('are',48,'node',2),('argentina',18,'node',1),('armenia',18,'node',1.53161),('aruba',18,'node',1),('aspernatur',12,'node',0.993146),('assistance',25,'node',22),('assistance',35,'node',22),('assistance',36,'node',11),('assistance',37,'node',11),('assistance',38,'node',11),('assistance',39,'node',22),('assistance',40,'node',22),('assistance',41,'node',11),('assistance',42,'node',11),('assistance',43,'node',11),('attach',46,'node',1),('auctor',2,'node',1),('auctor',3,'node',1),('auctor',5,'node',1),('auctor',7,'node',1),('auctor',11,'node',3),('auctor',13,'node',1),('auctor',14,'node',4),('auctor',15,'node',1),('auctor',20,'node',1),('auctor',21,'node',3),('auctor',22,'node',4),('auctor',26,'node',1),('auctor',28,'node',1),('auctor',30,'node',1),('auctor',35,'node',1),('auctor',39,'node',1),('auctor',42,'node',1.98493),('auctor',44,'node',27),('auctor',45,'node',1),('audi',36,'node',26),('augue',1,'node',1),('augue',2,'node',3),('augue',3,'node',1),('augue',4,'node',4),('augue',5,'node',2),('augue',6,'node',2),('augue',7,'node',2),('augue',9,'node',1),('augue',10,'node',1),('augue',11,'node',1),('augue',13,'node',1),('augue',14,'node',2),('augue',15,'node',2),('augue',16,'node',2),('augue',19,'node',1),('augue',20,'node',1),('augue',21,'node',1),('augue',22,'node',1),('augue',23,'node',3),('augue',25,'node',1),('augue',28,'node',3),('augue',30,'node',1),('augue',31,'node',1),('augue',36,'node',1),('augue',37,'node',1),('augue',38,'node',1),('augue',40,'node',1),('augue',41,'node',1),('australia',18,'node',1),('austria',18,'node',1),('aut',12,'node',1.96989),('auto',22,'node',26),('automatic',35,'node',11),('automatic',36,'node',11),('automatic',37,'node',11),('automatic',39,'node',11),('automatic',41,'node',11),('automatic',43,'node',11),('autoxcom',32,'node',11),('autoxcom',33,'node',11),('autoxcom',34,'node',11),('aware',18,'node',0.510357),('azerbaijan',18,'node',1),('bahamas',18,'node',1),('bahrain',18,'node',1),('bang',25,'node',11),('bang',35,'node',11),('bang',36,'node',11),('bang',37,'node',11),('bang',39,'node',11),('bang',43,'node',11),('bangladesh',18,'node',1),('barbados',18,'node',1),('barbuda',18,'node',1),('barthélemy',18,'node',0.674137),('beatae',12,'node',4.90299),('belarus',18,'node',1),('belgium',18,'node',1),('belize',18,'node',1),('benin',18,'node',1),('bermuda',18,'node',1),('best',30,'node',26),('bhutan',18,'node',1),('bibendum',2,'node',2),('bibendum',5,'node',1),('bibendum',6,'node',27),('bibendum',8,'node',1),('bibendum',9,'node',1),('bibendum',10,'node',1),('bibendum',11,'node',3),('bibendum',13,'node',2),('bibendum',15,'node',2),('bibendum',16,'node',1),('bibendum',17,'node',1),('bibendum',19,'node',0.889397),('bibendum',22,'node',1),('bibendum',28,'node',1),('bibendum',29,'node',2),('bibendum',31,'node',2),('bibendum',36,'node',2),('bibendum',37,'node',2),('bibendum',40,'node',1),('bibendum',42,'node',1),('bibendum',43,'node',1),('bikes',35,'node',11),('bikes',38,'node',11),('bikes',41,'node',11),('bikes',42,'node',10.2416),('bikes',43,'node',10.0455),('black',37,'node',11),('black',38,'node',11),('black',40,'node',11),('black',43,'node',11),('blandit',3,'node',1),('blandit',4,'node',3),('blandit',7,'node',1),('blandit',10,'node',1),('blandit',11,'node',28),('blandit',12,'node',1),('blandit',13,'node',1),('blandit',14,'node',1),('blandit',15,'node',1),('blandit',16,'node',2),('blandit',19,'node',3),('blandit',20,'node',1),('blandit',21,'node',1),('blandit',25,'node',1),('blandit',29,'node',1),('blandit',30,'node',1),('blandit',38,'node',1),('blandit',39,'node',1),('blandit',42,'node',1.9689),('blandit',43,'node',1.92384),('blandit',44,'node',1),('blog',7,'node',11),('blog',8,'node',11),('blog',9,'node',11),('blog',10,'node',11),('blog',11,'node',11),('bmw',18,'node',1.04421),('bmw',35,'node',11),('bmw',36,'node',11),('bmw',37,'node',11),('bolivia',18,'node',1),('bosnia',18,'node',1),('botswana',18,'node',1),('bouvet',18,'node',1),('brands',30,'node',26),('brazil',18,'node',1),('brazzaville',18,'node',1),('british',18,'node',2),('brunei',18,'node',1),('build',19,'node',26),('bulgaria',18,'node',1),('burkina',18,'node',1),('burundi',18,'node',1),('but',48,'node',1),('c30',43,'node',26),('caicos',18,'node',0.577261),('caledonia',18,'node',0.740689),('california',35,'node',26),('cambodia',18,'node',1),('cameroon',18,'node',1),('canada',18,'node',1),('cape',18,'node',1),('caribbean',18,'node',1),('cars',25,'node',9.93143),('cars',28,'node',26),('cars',35,'node',11),('cars',36,'node',10.5295),('cars',37,'node',10.8792),('cars',38,'node',11),('cars',41,'node',11),('cars',42,'node',10.123),('cars',43,'node',9.93143),('cayman',18,'node',1),('central',18,'node',1),('chad',18,'node',1),('check',48,'node',1),('chile',18,'node',1),('china',18,'node',2.71446),('christmas',18,'node',1),('class',9,'node',1),('class',28,'node',1),('coast',18,'node',0.866793),('cocos',18,'node',1),('colombia',18,'node',1),('colours',25,'node',11),('colours',35,'node',22),('colours',36,'node',11),('colours',38,'node',11),('colours',39,'node',11),('colours',40,'node',11),('colours',41,'node',11),('colours',42,'node',11),('comments',16,'node',2.99731),('commodo',1,'node',3),('commodo',2,'node',1),('commodo',5,'node',1),('commodo',6,'node',1),('commodo',8,'node',1),('commodo',10,'node',1),('commodo',13,'node',4),('commodo',15,'node',2),('commodo',17,'node',2),('commodo',19,'node',1.93105),('commodo',20,'node',2),('commodo',21,'node',1),('commodo',23,'node',1),('commodo',40,'node',1),('commodo',43,'node',1),('comoros',18,'node',1),('companies',18,'node',0.514686),('concept',25,'node',26),('condimentum',1,'node',2),('condimentum',2,'node',1),('condimentum',3,'node',1),('condimentum',4,'node',1),('condimentum',5,'node',1),('condimentum',8,'node',1),('condimentum',10,'node',2),('condimentum',11,'node',1),('condimentum',14,'node',2),('condimentum',16,'node',1),('condimentum',19,'node',1),('condimentum',23,'node',2),('condimentum',25,'node',1),('condimentum',30,'node',1),('condimentum',38,'node',1),('condimentum',39,'node',1),('condimentum',41,'node',2),('condimentum',42,'node',1),('confirm',18,'node',0.536316),('congo',18,'node',2),('congue',5,'node',2),('congue',6,'node',1),('congue',9,'node',2),('congue',11,'node',1),('congue',12,'node',1),('congue',13,'node',2),('congue',14,'node',1),('congue',16,'node',1),('congue',19,'node',1),('congue',20,'node',1),('congue',25,'node',2),('congue',29,'node',1),('congue',30,'node',1),('congue',41,'node',1),('congue',42,'node',1.92372),('congue',43,'node',0.997306),('congue',44,'node',1),('consectetur',1,'node',1),('consectetur',2,'node',1),('consectetur',7,'node',1),('consectetur',8,'node',1),('consectetur',9,'node',1),('consectetur',10,'node',28),('consectetur',11,'node',1),('consectetur',12,'node',2.96498),('consectetur',13,'node',28),('consectetur',14,'node',1),('consectetur',15,'node',1),('consectetur',16,'node',2),('consectetur',19,'node',1.98902),('consectetur',22,'node',1),('consectetur',23,'node',1),('consectetur',25,'node',0.957226),('consectetur',28,'node',1),('consectetur',29,'node',1),('consectetur',30,'node',1),('consectetur',31,'node',2),('consectetur',35,'node',1),('consectetur',38,'node',1),('consectetur',39,'node',1),('consectetur',40,'node',1),('consectetur',42,'node',1),('consectetur',43,'node',1.98493),('consectetur',45,'node',1),('consequat',2,'node',1),('consequat',3,'node',2),('consequat',4,'node',1),('consequat',5,'node',1),('consequat',6,'node',3),('consequat',7,'node',2),('consequat',8,'node',1),('consequat',10,'node',1),('consequat',11,'node',1),('consequat',14,'node',1),('consequat',15,'node',1),('consequat',16,'node',1),('consequat',17,'node',3),('consequat',19,'node',4.9689),('consequat',23,'node',2),('consequat',30,'node',2),('consequat',31,'node',3),('consequat',35,'node',2),('consequat',36,'node',1),('consequat',37,'node',1),('consequat',39,'node',2),('consequat',40,'node',1),('consequat',42,'node',1),('consequat',43,'node',1.94209),('consequat',45,'node',1),('contact',18,'node',26),('content',46,'node',1),('control',25,'node',11),('control',35,'node',11),('control',40,'node',11),('control',42,'node',11),('control',43,'node',11),('conubia',9,'node',1),('conubia',28,'node',1),('convallis',3,'node',1),('convallis',4,'node',1),('convallis',5,'node',1),('convallis',6,'node',1),('convallis',9,'node',1),('convallis',10,'node',1),('convallis',12,'node',2),('convallis',13,'node',2),('convallis',14,'node',2),('convallis',16,'node',1),('convallis',20,'node',1),('convallis',21,'node',1),('convallis',22,'node',2),('convallis',30,'node',1),('convallis',31,'node',1),('convallis',35,'node',1),('convallis',36,'node',0.997306),('convallis',37,'node',1),('convallis',38,'node',1),('convallis',42,'node',3),('cook',18,'node',1),('correctly',48,'node',1),('costa',18,'node',1),('couldn',48,'node',1),('country',18,'node',1),('cras',1,'node',1),('cras',2,'node',1),('cras',4,'node',1),('cras',6,'node',1),('cras',7,'node',1),('cras',9,'node',1),('cras',12,'node',1),('cras',14,'node',2),('cras',16,'node',2),('cras',17,'node',1),('cras',19,'node',1),('cras',25,'node',2.92027),('cras',28,'node',1),('cras',30,'node',1),('cras',38,'node',2),('cras',41,'node',1),('cras',42,'node',1),('cras',43,'node',1.97286),('croatia',18,'node',1),('cuba',18,'node',1),('cubilia',36,'node',0.972861),('cubilia',37,'node',1),('culpa',12,'node',3.90299),('cum',4,'node',1),('cum',23,'node',1),('cum',27,'node',1),('cupidatat',12,'node',3.90299),('curabitur',1,'node',1),('curabitur',2,'node',1),('curabitur',4,'node',1),('curabitur',6,'node',2),('curabitur',7,'node',1),('curabitur',8,'node',1),('curabitur',9,'node',27),('curabitur',10,'node',2),('curabitur',11,'node',2),('curabitur',13,'node',1),('curabitur',14,'node',2),('curabitur',16,'node',1),('curabitur',17,'node',4),('curabitur',19,'node',2.9496),('curabitur',21,'node',2),('curabitur',22,'node',1),('curabitur',28,'node',1),('curabitur',30,'node',1),('curabitur',31,'node',2),('curabitur',43,'node',1),('curaçao',18,'node',1),('curae',36,'node',0.968904),('curae',37,'node',1),('cursus',1,'node',1),('cursus',2,'node',1),('cursus',3,'node',2),('cursus',4,'node',1),('cursus',5,'node',1),('cursus',7,'node',2),('cursus',8,'node',1),('cursus',11,'node',2),('cursus',12,'node',2),('cursus',13,'node',1),('cursus',14,'node',29),('cursus',16,'node',3),('cursus',19,'node',0.906287),('cursus',20,'node',2),('cursus',21,'node',1),('cursus',23,'node',2),('cursus',26,'node',1),('cursus',28,'node',1),('cursus',29,'node',1),('cursus',30,'node',1),('cursus',43,'node',0.980874),('customer',29,'node',26),('cyprus',18,'node',1),('czech',18,'node',1),('dapibus',1,'node',1),('dapibus',2,'node',1),('dapibus',7,'node',2),('dapibus',10,'node',1),('dapibus',13,'node',2),('dapibus',15,'node',1),('dapibus',17,'node',2),('dapibus',19,'node',1.92027),('dapibus',21,'node',1),('dapibus',22,'node',2),('dapibus',23,'node',1),('dapibus',26,'node',2),('dapibus',27,'node',1),('dapibus',29,'node',1),('dapibus',35,'node',1),('dapibus',38,'node',1),('dapibus',39,'node',1),('dapibus',43,'node',2.85883),('dapibus',44,'node',1),('dapibus',45,'node',2),('data',18,'node',1.033),('dazzlefree',25,'node',11),('dazzlefree',35,'node',11),('dazzlefree',37,'node',11),('dazzlefree',39,'node',11),('dazzlefree',40,'node',11),('dazzlefree',43,'node',11),('dealt',18,'node',0.506102),('denmark',18,'node',1),('deserunt',12,'node',3.90299),('detail',18,'node',0.537506),('diam',1,'node',26),('diam',2,'node',26),('diam',3,'node',2),('diam',4,'node',2),('diam',5,'node',2),('diam',7,'node',2),('diam',8,'node',2),('diam',9,'node',2),('diam',10,'node',27),('diam',12,'node',1),('diam',13,'node',1),('diam',14,'node',2),('diam',16,'node',1),('diam',17,'node',1),('diam',19,'node',2.77188),('diam',20,'node',1),('diam',21,'node',2),('diam',22,'node',1),('diam',25,'node',3.9347),('diam',29,'node',2),('diam',30,'node',1),('diam',31,'node',1),('diam',36,'node',1),('diam',37,'node',1),('diam',39,'node',1),('diam',40,'node',1),('diam',41,'node',1),('diam',42,'node',1),('diam',45,'node',1),('dicta',12,'node',4.90299),('dictum',1,'node',1),('dictum',2,'node',1),('dictum',3,'node',2),('dictum',4,'node',2),('dictum',5,'node',2),('dictum',6,'node',27),('dictum',7,'node',1),('dictum',8,'node',1),('dictum',9,'node',28),('dictum',11,'node',1),('dictum',12,'node',10.363),('dictum',13,'node',13),('dictum',14,'node',2),('dictum',19,'node',1.8861),('dictum',23,'node',1),('dictum',25,'node',0.913226),('dictum',28,'node',1),('dictum',29,'node',1),('dictum',30,'node',1),('dictum',38,'node',1),('dictumst',2,'node',1),('dictumst',5,'node',1),('dictumst',20,'node',1),('dictumst',23,'node',1),('dignissim',2,'node',1),('dignissim',3,'node',1),('dignissim',5,'node',1),('dignissim',7,'node',1),('dignissim',8,'node',2),('dignissim',9,'node',27),('dignissim',10,'node',2),('dignissim',13,'node',26),('dignissim',16,'node',26),('dignissim',19,'node',1),('dignissim',20,'node',1),('dignissim',21,'node',1),('dignissim',23,'node',1),('dignissim',25,'node',0.96498),('dignissim',28,'node',1),('dignissim',29,'node',2),('dignissim',30,'node',1),('dignissim',31,'node',1),('dignissim',32,'node',26),('dignissim',40,'node',1),('dignissim',42,'node',0.993146),('dignissim',43,'node',0.934703),('dignissim',45,'node',2),('dis',4,'node',1),('dis',23,'node',1),('dis',27,'node',1),('display',25,'node',11),('display',35,'node',11),('display',37,'node',11),('display',40,'node',11),('display',42,'node',22),('display',43,'node',22),('distribute',18,'node',0.526987),('djibouti',18,'node',1),('dolor',2,'node',2),('dolor',3,'node',5),('dolor',4,'node',1),('dolor',5,'node',3),('dolor',6,'node',1),('dolor',7,'node',28),('dolor',9,'node',1),('dolor',10,'node',2),('dolor',11,'node',3),('dolor',12,'node',1.9689),('dolor',13,'node',2),('dolor',14,'node',1),('dolor',16,'node',2),('dolor',17,'node',2),('dolor',19,'node',2.85245),('dolor',20,'node',1),('dolor',22,'node',3),('dolor',23,'node',2),('dolor',25,'node',0.989021),('dolor',29,'node',2),('dolor',30,'node',2),('dolor',31,'node',1),('dolor',35,'node',1),('dolor',38,'node',1),('dolor',40,'node',1),('dolor',42,'node',1),('dolor',43,'node',2.93105),('dolor',45,'node',1),('dolorem',12,'node',0.976851),('doloremque',12,'node',4.90299),('dominica',18,'node',1),('dominican',18,'node',1),('donec',1,'node',3),('donec',2,'node',2),('donec',3,'node',2),('donec',4,'node',2),('donec',6,'node',3),('donec',9,'node',2),('donec',10,'node',3),('donec',11,'node',3),('donec',13,'node',1),('donec',14,'node',1),('donec',15,'node',27),('donec',17,'node',2),('donec',19,'node',2.9496),('donec',21,'node',1),('donec',22,'node',2),('donec',23,'node',2),('donec',25,'node',4),('donec',29,'node',1),('donec',31,'node',3),('donec',36,'node',1),('donec',37,'node',1),('donec',39,'node',1),('donec',40,'node',2),('donec',42,'node',1),('donec',43,'node',1.99731),('drive',18,'node',0.538701),('driver',25,'node',11),('driver',35,'node',11),('driver',36,'node',11),('driver',38,'node',11),('driver',39,'node',11),('driver',40,'node',11),('driver',41,'node',11),('driver',42,'node',11),('ducati',38,'node',26),('dui',1,'node',2),('dui',2,'node',1),('dui',3,'node',26),('dui',4,'node',1),('dui',5,'node',3),('dui',6,'node',29),('dui',7,'node',3),('dui',8,'node',1),('dui',9,'node',27),('dui',10,'node',1),('dui',11,'node',3),('dui',12,'node',1),('dui',13,'node',2),('dui',14,'node',3),('dui',15,'node',1),('dui',17,'node',3),('dui',19,'node',1),('dui',20,'node',3),('dui',21,'node',2),('dui',22,'node',1),('dui',23,'node',2),('dui',25,'node',1.99731),('dui',28,'node',1),('dui',30,'node',2),('dui',39,'node',2),('dui',41,'node',2),('dui',42,'node',0.934703),('dui',43,'node',1),('duis',6,'node',2),('duis',8,'node',1),('duis',10,'node',2),('duis',11,'node',2),('duis',12,'node',1),('duis',13,'node',1),('duis',14,'node',1),('duis',15,'node',2),('duis',16,'node',29),('duis',17,'node',1),('duis',19,'node',1.8861),('duis',20,'node',4),('duis',21,'node',1),('duis',22,'node',1),('duis',23,'node',1),('duis',25,'node',1),('duis',28,'node',1),('duis',29,'node',1),('duis',35,'node',1),('duis',39,'node',1),('duis',42,'node',2),('duis',43,'node',0.98493),('duis',45,'node',1),('dynamic',35,'node',11),('dynamic',36,'node',11),('eaque',12,'node',4.90299),('ecuador',18,'node',1),('egestas',3,'node',1),('egestas',4,'node',3),('egestas',5,'node',1),('egestas',6,'node',1),('egestas',8,'node',3),('egestas',10,'node',1),('egestas',13,'node',2),('egestas',15,'node',1),('egestas',16,'node',2),('egestas',19,'node',4.93408),('egestas',20,'node',1),('egestas',21,'node',1),('egestas',22,'node',1),('egestas',27,'node',1),('egestas',28,'node',1),('egestas',29,'node',2),('egestas',30,'node',1),('egestas',36,'node',1),('egestas',37,'node',1),('egestas',39,'node',1),('egestas',41,'node',1),('egestas',43,'node',1.90336),('egestas',44,'node',1),('egestas',45,'node',1),('eget',2,'node',1),('eget',4,'node',1),('eget',5,'node',30),('eget',6,'node',1),('eget',7,'node',2),('eget',8,'node',3),('eget',9,'node',1),('eget',10,'node',2),('eget',11,'node',2),('eget',12,'node',1),('eget',13,'node',4),('eget',14,'node',3),('eget',15,'node',3),('eget',17,'node',2),('eget',19,'node',1),('eget',20,'node',3),('eget',22,'node',1),('eget',23,'node',1),('eget',25,'node',1),('eget',26,'node',1),('eget',28,'node',5),('eget',29,'node',3),('eget',30,'node',2),('eget',36,'node',1),('eget',37,'node',1),('eget',38,'node',2),('eget',39,'node',1),('eget',40,'node',1),('eget',41,'node',1),('eget',42,'node',4.98902),('eget',43,'node',4.82305),('eget',45,'node',2),('egypt',18,'node',1),('eleifend',1,'node',1),('eleifend',2,'node',1),('eleifend',5,'node',3),('eleifend',8,'node',1),('eleifend',9,'node',2),('eleifend',10,'node',2),('eleifend',13,'node',1),('eleifend',15,'node',2),('eleifend',19,'node',1.95839),('eleifend',25,'node',0.927431),('eleifend',28,'node',1),('eleifend',29,'node',1),('eleifend',30,'node',1),('eleifend',31,'node',2),('eleifend',40,'node',1),('eleifend',43,'node',1),('eleifend',44,'node',1),('eleifend',45,'node',1),('elementum',2,'node',27),('elementum',3,'node',2),('elementum',4,'node',1),('elementum',5,'node',2),('elementum',6,'node',1),('elementum',7,'node',1),('elementum',9,'node',3),('elementum',10,'node',2),('elementum',13,'node',1),('elementum',14,'node',1),('elementum',15,'node',1),('elementum',17,'node',1),('elementum',19,'node',2.83002),('elementum',20,'node',1),('elementum',21,'node',1),('elementum',23,'node',2),('elementum',25,'node',0.98493),('elementum',28,'node',3),('elementum',29,'node',2),('elementum',30,'node',1),('elementum',31,'node',1),('elementum',35,'node',1),('elementum',36,'node',2),('elementum',37,'node',2),('elementum',41,'node',3),('elementum',42,'node',1),('elementum',43,'node',1),('elit',1,'node',26),('elit',2,'node',2),('elit',3,'node',1),('elit',4,'node',26),('elit',5,'node',1),('elit',6,'node',3),('elit',7,'node',3),('elit',9,'node',2),('elit',11,'node',1),('elit',12,'node',2),('elit',13,'node',2),('elit',14,'node',3),('elit',16,'node',3),('elit',17,'node',2),('elit',20,'node',1),('elit',22,'node',2),('elit',23,'node',3),('elit',26,'node',1),('elit',28,'node',3),('elit',29,'node',2),('elit',30,'node',1),('elit',31,'node',1),('elit',35,'node',1),('elit',36,'node',1),('elit',37,'node',1),('elit',38,'node',1),('elit',39,'node',0.997306),('elit',42,'node',2.98902),('elit',43,'node',0.976851),('elit',44,'node',1),('elit',45,'node',2),('email',18,'node',1),('emirates',18,'node',0.569105),('enim',1,'node',1),('enim',2,'node',1),('enim',3,'node',1),('enim',5,'node',2),('enim',8,'node',31),('enim',9,'node',1),('enim',10,'node',2),('enim',11,'node',1),('enim',12,'node',1),('enim',13,'node',1),('enim',15,'node',1),('enim',16,'node',31),('enim',17,'node',1),('enim',19,'node',1.88083),('enim',20,'node',1),('enim',22,'node',1),('enim',23,'node',1),('enim',26,'node',1),('enim',28,'node',1),('enim',30,'node',1),('enim',35,'node',1),('enim',36,'node',1),('enim',37,'node',1),('enim',38,'node',3),('enim',39,'node',2),('enim',41,'node',2),('enim',42,'node',2),('enim',45,'node',1),('entertainment',25,'node',11),('entertainment',35,'node',11),('entertainment',37,'node',11),('entertainment',42,'node',11),('enzo',23,'node',26),('equatorial',18,'node',1),('erat',1,'node',27),('erat',2,'node',2),('erat',3,'node',2),('erat',4,'node',1),('erat',5,'node',1),('erat',6,'node',1),('erat',7,'node',1),('erat',9,'node',1),('erat',10,'node',29),('erat',12,'node',1),('erat',13,'node',1),('erat',14,'node',2),('erat',15,'node',1),('erat',16,'node',29),('erat',17,'node',1),('erat',19,'node',4.78545),('erat',20,'node',2),('erat',21,'node',1),('erat',23,'node',2),('erat',25,'node',2),('erat',27,'node',1),('erat',28,'node',1),('erat',29,'node',3),('erat',30,'node',1),('erat',38,'node',2),('erat',39,'node',3),('erat',40,'node',1),('erat',41,'node',1),('erat',42,'node',1),('erat',43,'node',1.91323),('erat',44,'node',2),('erat',45,'node',1),('eritrea',18,'node',1),('eros',2,'node',1),('eros',3,'node',29),('eros',5,'node',1),('eros',7,'node',1),('eros',9,'node',2),('eros',11,'node',2),('eros',14,'node',1),('eros',15,'node',5),('eros',17,'node',3),('eros',19,'node',2.96587),('eros',20,'node',1),('eros',21,'node',2),('eros',23,'node',2),('eros',25,'node',1.91323),('eros',29,'node',1),('eros',31,'node',2),('eros',43,'node',2.96109),('eros',45,'node',1),('error',12,'node',5.87984),('est',1,'node',1),('est',2,'node',1),('est',5,'node',1),('est',6,'node',1),('est',7,'node',1),('est',10,'node',1),('est',11,'node',2),('est',12,'node',3.90299),('est',13,'node',2),('est',14,'node',2),('est',15,'node',1),('est',16,'node',3),('est',17,'node',1),('est',19,'node',2.80637),('est',21,'node',2),('est',22,'node',4),('est',23,'node',2.99315),('est',25,'node',1.92027),('est',28,'node',1),('est',30,'node',2),('est',31,'node',1),('est',36,'node',4),('est',37,'node',4),('est',38,'node',1),('est',40,'node',1),('est',41,'node',1),('est',42,'node',1),('est',45,'node',1),('estonia',18,'node',1),('ethiopia',18,'node',1),('etiam',2,'node',1),('etiam',4,'node',1),('etiam',6,'node',1),('etiam',11,'node',1),('etiam',12,'node',10.4456),('etiam',13,'node',2),('etiam',15,'node',1),('etiam',19,'node',2.71611),('etiam',20,'node',1),('etiam',22,'node',3),('etiam',23,'node',2),('etiam',27,'node',27),('etiam',30,'node',2),('etiam',31,'node',1),('etiam',36,'node',2),('etiam',37,'node',2),('etiam',42,'node',1),('euismod',1,'node',1),('euismod',2,'node',1),('euismod',7,'node',1),('euismod',8,'node',1),('euismod',9,'node',1),('euismod',14,'node',26),('euismod',16,'node',1),('euismod',17,'node',1),('euismod',19,'node',2.9496),('euismod',20,'node',2),('euismod',21,'node',2),('euismod',22,'node',1),('euismod',23,'node',2),('euismod',29,'node',1),('euismod',35,'node',1),('euismod',38,'node',1),('euismod',39,'node',1),('euismod',41,'node',1),('euismod',42,'node',1),('euismod',43,'node',2),('event',18,'node',0.523573),('excepteur',12,'node',1),('explicabo',12,'node',4.90299),('f40',35,'node',11),('f40',37,'node',11),('f40',42,'node',11),('facilisi',6,'node',1),('facilisi',12,'node',1),('facilisi',13,'node',1),('facilisi',20,'node',1),('facilisi',29,'node',1),('facilisis',1,'node',3),('facilisis',2,'node',3),('facilisis',4,'node',1),('facilisis',5,'node',2),('facilisis',7,'node',2),('facilisis',10,'node',3),('facilisis',13,'node',1),('facilisis',14,'node',1),('facilisis',16,'node',3),('facilisis',17,'node',1),('facilisis',19,'node',1.90974),('facilisis',21,'node',1),('facilisis',22,'node',1),('facilisis',23,'node',1),('facilisis',25,'node',1),('facilisis',28,'node',2),('facilisis',29,'node',1),('facilisis',30,'node',1),('facilisis',31,'node',1),('facilisis',36,'node',1),('facilisis',37,'node',1),('facilisis',38,'node',1),('facilisis',40,'node',1),('facilisis',42,'node',1.97685),('facilisis',43,'node',2),('facilisis',45,'node',1),('falkland',18,'node',1),('fames',1,'node',2),('fames',4,'node',1),('fames',5,'node',1),('fames',7,'node',1),('fames',8,'node',1),('fames',19,'node',1),('fames',27,'node',1),('fames',31,'node',1),('faroe',18,'node',1),('faso',18,'node',1),('faucibus',1,'node',3),('faucibus',2,'node',1),('faucibus',3,'node',1),('faucibus',5,'node',3),('faucibus',7,'node',2),('faucibus',8,'node',1),('faucibus',9,'node',1),('faucibus',13,'node',1),('faucibus',15,'node',3),('faucibus',16,'node',54.9973),('faucibus',17,'node',4),('faucibus',19,'node',1),('faucibus',23,'node',2),('faucibus',25,'node',2),('faucibus',26,'node',26),('faucibus',30,'node',1),('faucibus',31,'node',2),('faucibus',34,'node',26),('faucibus',36,'node',1.98087),('faucibus',37,'node',2),('faucibus',38,'node',1),('faucibus',42,'node',0.972861),('faucibus',44,'node',1),('felis',1,'node',1),('felis',3,'node',2),('felis',4,'node',3),('felis',6,'node',1),('felis',7,'node',3),('felis',8,'node',4),('felis',9,'node',2),('felis',10,'node',1),('felis',13,'node',27),('felis',17,'node',1),('felis',19,'node',0.923838),('felis',20,'node',2),('felis',22,'node',1),('felis',25,'node',1.92027),('felis',26,'node',1),('felis',29,'node',1),('felis',30,'node',1),('felis',31,'node',2),('felis',36,'node',1),('felis',37,'node',1),('felis',38,'node',2),('felis',39,'node',1),('felis',42,'node',0.957226),('fermentum',1,'node',1),('fermentum',5,'node',26),('fermentum',6,'node',1),('fermentum',8,'node',1),('fermentum',9,'node',1),('fermentum',10,'node',1),('fermentum',11,'node',1),('fermentum',13,'node',1),('fermentum',14,'node',1),('fermentum',15,'node',1),('fermentum',19,'node',2.8126),('fermentum',20,'node',1),('fermentum',21,'node',1),('fermentum',22,'node',2),('fermentum',23,'node',2),('fermentum',30,'node',2),('fermentum',36,'node',2),('fermentum',37,'node',2),('fermentum',39,'node',1),('fermentum',41,'node',1),('fermentum',42,'node',1.93838),('fermentum',43,'node',1),('fermentum',44,'node',1),('fermentum',45,'node',2),('ferrari',23,'node',26),('ferrari',35,'node',26),('ferrari',37,'node',26),('feugiat',1,'node',27),('feugiat',4,'node',1),('feugiat',5,'node',1),('feugiat',6,'node',1),('feugiat',8,'node',2),('feugiat',9,'node',1),('feugiat',10,'node',1),('feugiat',11,'node',1),('feugiat',13,'node',1),('feugiat',14,'node',1),('feugiat',15,'node',2),('feugiat',16,'node',1),('feugiat',19,'node',1),('feugiat',20,'node',2),('feugiat',21,'node',1),('feugiat',22,'node',4),('feugiat',23,'node',1),('feugiat',30,'node',3),('feugiat',39,'node',5),('feugiat',40,'node',2),('feugiat',41,'node',1),('fiji',18,'node',1),('file',46,'node',1),('financial',20,'node',26),('find',48,'node',1),('finland',18,'node',1),('for',18,'node',0.524706),('for',48,'node',3),('france',18,'node',1),('french',18,'node',3.66029),('fringilla',1,'node',3),('fringilla',2,'node',2),('fringilla',3,'node',1),('fringilla',4,'node',1),('fringilla',7,'node',2),('fringilla',8,'node',2),('fringilla',9,'node',1),('fringilla',10,'node',1),('fringilla',11,'node',1),('fringilla',16,'node',1),('fringilla',19,'node',1.82448),('fringilla',20,'node',3),('fringilla',21,'node',1),('fringilla',22,'node',1),('fringilla',38,'node',2),('fringilla',39,'node',1),('fringilla',40,'node',1),('fringilla',41,'node',1),('fringilla',43,'node',1),('fringilla',44,'node',1),('fringilla',45,'node',1),('fugit',12,'node',0.980874),('full',23,'node',33),('full',25,'node',44),('full',35,'node',11),('full',36,'node',11),('full',37,'node',11),('full',38,'node',11),('full',39,'node',11),('full',40,'node',11),('full',41,'node',11),('full',42,'node',11),('full',43,'node',11),('fusce',2,'node',27),('fusce',3,'node',3),('fusce',4,'node',1),('fusce',5,'node',1),('fusce',7,'node',2),('fusce',9,'node',1),('fusce',10,'node',2),('fusce',11,'node',1),('fusce',13,'node',1),('fusce',15,'node',3),('fusce',20,'node',3),('fusce',21,'node',2),('fusce',22,'node',2),('fusce',28,'node',3),('fusce',31,'node',2),('fusce',33,'node',26),('fusce',40,'node',2),('fusce',42,'node',1),('fusce',43,'node',1.93105),('fusce',44,'node',1),('fusce',45,'node',1),('futuna',18,'node',0.553478),('gabon',18,'node',0.989021),('gambia',18,'node',0.98493),('georgia',18,'node',1.59799),('germany',18,'node',0.976851),('ghana',18,'node',0.972861),('gibraltar',18,'node',0.968904),('glacier',25,'node',11),('global',29,'node',26),('grant',18,'node',0.533952),('gravida',2,'node',3),('gravida',4,'node',1),('gravida',5,'node',1),('gravida',8,'node',1),('gravida',9,'node',1),('gravida',19,'node',2),('gravida',20,'node',2),('gravida',21,'node',1),('gravida',25,'node',1),('gravida',30,'node',1),('gravida',31,'node',1),('gravida',35,'node',1),('gravida',36,'node',1),('gravida',37,'node',1),('gravida',39,'node',1),('greece',18,'node',0.96498),('greenland',18,'node',0.961087),('grenada',18,'node',0.957226),('grenadines',18,'node',0.653974),('group',18,'node',0.511433),('guadeloupe',18,'node',0.953396),('guam',18,'node',0.949597),('guatemala',18,'node',0.945829),('guernsey',18,'node',0.942091),('guiana',18,'node',1),('guinea',18,'node',2.64008),('guineabissau',18,'node',0.938382),('guyana',18,'node',0.934703),('habitant',4,'node',1),('habitant',8,'node',1),('habitant',19,'node',1),('habitant',27,'node',1),('habitant',29,'node',1),('habitasse',2,'node',1),('habitasse',5,'node',1),('habitasse',20,'node',1),('habitasse',23,'node',1),('hac',2,'node',1),('hac',5,'node',1),('hac',20,'node',1),('hac',23,'node',1),('haiti',18,'node',0.931053),('heading',12,'node',59.4416),('headtlights',25,'node',11),('headtlights',35,'node',11),('headtlights',36,'node',11),('headtlights',37,'node',11),('headtlights',39,'node',11),('headtlights',40,'node',11),('headtlights',41,'node',11),('headtlights',43,'node',11),('headup',37,'node',11),('heard',18,'node',0.927431),('helena',18,'node',0.672252),('hendrerit',3,'node',1),('hendrerit',4,'node',2),('hendrerit',7,'node',1),('hendrerit',8,'node',1),('hendrerit',9,'node',2),('hendrerit',11,'node',1),('hendrerit',12,'node',2),('hendrerit',14,'node',1),('hendrerit',15,'node',3),('hendrerit',17,'node',1),('hendrerit',19,'node',2.87512),('hendrerit',20,'node',1),('hendrerit',21,'node',1),('hendrerit',22,'node',1),('hendrerit',25,'node',1),('hendrerit',28,'node',1),('hendrerit',30,'node',3),('hendrerit',31,'node',2),('hendrerit',39,'node',1.99315),('hendrerit',43,'node',1),('hereby',18,'node',0.535131),('herzegovina',18,'node',1),('highbeam',25,'node',11),('highbeam',35,'node',11),('highbeam',37,'node',11),('highbeam',39,'node',11),('highbeam',40,'node',11),('highbeam',43,'node',11),('himenaeos',9,'node',1),('himenaeos',28,'node',1),('home',48,'node',11),('honduras',18,'node',0.920273),('hong',18,'node',0.916736),('hungary',18,'node',0.906287),('hyundai',40,'node',26),('iaculis',1,'node',1),('iaculis',2,'node',2),('iaculis',3,'node',2),('iaculis',5,'node',2),('iaculis',6,'node',1),('iaculis',7,'node',2),('iaculis',9,'node',1),('iaculis',10,'node',1),('iaculis',13,'node',2),('iaculis',17,'node',3),('iaculis',19,'node',1),('iaculis',20,'node',2),('iaculis',22,'node',1),('iaculis',23,'node',1),('iaculis',25,'node',1),('iaculis',26,'node',1),('iaculis',30,'node',1),('iaculis',36,'node',1),('iaculis',37,'node',1),('iaculis',38,'node',1),('iaculis',39,'node',1),('iaculis',41,'node',1),('iaculis',42,'node',0.976851),('iaculis',43,'node',3),('iaculis',45,'node',1),('iceland',18,'node',0.902857),('illo',12,'node',4.90299),('image',23,'node',33),('image',25,'node',44),('image',35,'node',11),('image',36,'node',11),('image',37,'node',11),('image',38,'node',11),('image',39,'node',11),('image',40,'node',11),('image',41,'node',11),('image',42,'node',11),('image',43,'node',11),('imperdiet',1,'node',1),('imperdiet',2,'node',2),('imperdiet',5,'node',1),('imperdiet',6,'node',1),('imperdiet',7,'node',1),('imperdiet',8,'node',1),('imperdiet',9,'node',2),('imperdiet',10,'node',1),('imperdiet',11,'node',2),('imperdiet',14,'node',3),('imperdiet',19,'node',1.97685),('imperdiet',22,'node',1),('imperdiet',25,'node',3),('imperdiet',26,'node',1),('imperdiet',28,'node',1),('imperdiet',29,'node',1),('imperdiet',31,'node',2),('imperdiet',32,'node',26),('imperdiet',39,'node',1),('imperdiet',42,'node',1),('imperdiet',43,'node',1),('imperdiet',45,'node',1),('inceptos',9,'node',1),('inceptos',28,'node',1),('india',18,'node',0.899454),('indian',18,'node',1),('indonesia',18,'node',0.896076),('instrument',42,'node',11),('instrument',43,'node',11),('integer',2,'node',1),('integer',3,'node',2),('integer',4,'node',1),('integer',5,'node',1),('integer',7,'node',2),('integer',8,'node',1),('integer',9,'node',2),('integer',10,'node',1),('integer',11,'node',26),('integer',15,'node',1),('integer',23,'node',1),('integer',25,'node',1),('integer',29,'node',2),('integer',31,'node',1),('integer',38,'node',2),('integer',40,'node',1),('integer',42,'node',1.98493),('integer',45,'node',1),('interdum',1,'node',2),('interdum',3,'node',1),('interdum',5,'node',2),('interdum',6,'node',1),('interdum',7,'node',2),('interdum',11,'node',3),('interdum',13,'node',1),('interdum',14,'node',1),('interdum',15,'node',2),('interdum',16,'node',4),('interdum',19,'node',1),('interdum',20,'node',1),('interdum',21,'node',2),('interdum',25,'node',1),('interdum',26,'node',1),('interdum',28,'node',3),('interdum',29,'node',1),('interdum',30,'node',4),('interdum',31,'node',2),('interdum',38,'node',1),('interdum',39,'node',1),('interdum',40,'node',1),('interdum',45,'node',1),('inventore',12,'node',4.90299),('invitations',18,'node',0.522445),('ipsa',12,'node',4.90299),('ipsam',12,'node',1),('ipsum',1,'node',4),('ipsum',2,'node',1),('ipsum',3,'node',1),('ipsum',5,'node',3),('ipsum',6,'node',1),('ipsum',7,'node',3),('ipsum',8,'node',3),('ipsum',10,'node',4),('ipsum',12,'node',0.972861),('ipsum',13,'node',1),('ipsum',14,'node',3),('ipsum',15,'node',1),('ipsum',16,'node',1),('ipsum',17,'node',1),('ipsum',19,'node',0.927431),('ipsum',21,'node',1),('ipsum',22,'node',2),('ipsum',23,'node',1),('ipsum',25,'node',4.74846),('ipsum',26,'node',1),('ipsum',28,'node',2),('ipsum',30,'node',2),('ipsum',31,'node',3),('ipsum',34,'node',26),('ipsum',35,'node',2),('ipsum',36,'node',3.98493),('ipsum',37,'node',4),('ipsum',38,'node',5),('ipsum',39,'node',3),('ipsum',42,'node',2),('ipsum',43,'node',1),('ipsum',45,'node',1),('iran',18,'node',0.892724),('iraq',18,'node',0.889397),('ireland',18,'node',0.886095),('island',18,'node',3.64885),('islands',18,'node',12.3782),('isle',18,'node',0.882818),('israel',18,'node',0.876337),('iste',12,'node',5.87984),('italy',18,'node',0.873132),('ivory',18,'node',0.869951),('jamaica',18,'node',0.863659),('jan',18,'node',0.606252),('japan',18,'node',0.860547),('jersey',18,'node',0.857458),('jordan',18,'node',0.854391),('justo',2,'node',1),('justo',3,'node',3),('justo',4,'node',1),('justo',5,'node',2),('justo',6,'node',2),('justo',7,'node',1),('justo',8,'node',1),('justo',10,'node',1),('justo',12,'node',26),('justo',13,'node',1),('justo',14,'node',2),('justo',17,'node',3),('justo',20,'node',1),('justo',25,'node',1.92027),('justo',29,'node',3),('justo',31,'node',2),('justo',36,'node',1),('justo',37,'node',1),('justo',38,'node',1),('justo',39,'node',1),('justo',41,'node',2),('justo',43,'node',1),('justo',45,'node',1),('kazakhstan',18,'node',0.851346),('keeling',18,'node',1),('kenya',18,'node',0.848323),('kingdom',18,'node',0.567769),('kinshasa',18,'node',1),('kiribati',18,'node',0.845322),('kitts',18,'node',0.670377),('kong',18,'node',0.913226),('korea',18,'node',1.33404),('ktm',41,'node',26),('kuwait',18,'node',0.842342),('kyrgyzstan',18,'node',0.839384),('laborum',12,'node',3.90299),('lacinia',1,'node',2),('lacinia',2,'node',3),('lacinia',3,'node',2),('lacinia',6,'node',3),('lacinia',8,'node',1),('lacinia',14,'node',1),('lacinia',15,'node',1),('lacinia',16,'node',1),('lacinia',17,'node',1),('lacinia',19,'node',2.85934),('lacinia',20,'node',1),('lacinia',23,'node',2),('lacinia',25,'node',2.98493),('lacinia',31,'node',1),('lacinia',36,'node',1),('lacinia',37,'node',1),('lacinia',38,'node',1),('lacinia',41,'node',2),('lacinia',42,'node',2),('lacinia',43,'node',2),('lacinia',44,'node',2),('lacus',2,'node',1),('lacus',5,'node',1),('lacus',8,'node',1),('lacus',9,'node',1),('lacus',11,'node',27),('lacus',13,'node',3),('lacus',15,'node',26),('lacus',16,'node',1),('lacus',17,'node',2),('lacus',19,'node',4.72393),('lacus',20,'node',2),('lacus',22,'node',4),('lacus',23,'node',0.997306),('lacus',28,'node',1),('lacus',29,'node',2),('lacus',30,'node',2),('lacus',35,'node',1),('lacus',38,'node',2),('lacus',39,'node',1),('lacus',40,'node',3),('lacus',43,'node',1),('lacus',45,'node',2),('lake',33,'node',1),('lake',34,'node',1),('lanka',18,'node',0.610858),('laoreet',3,'node',1),('laoreet',4,'node',1),('laoreet',7,'node',1),('laoreet',9,'node',2),('laoreet',10,'node',1),('laoreet',13,'node',2),('laoreet',15,'node',4),('laoreet',16,'node',2),('laoreet',19,'node',0.949597),('laoreet',28,'node',2),('laoreet',30,'node',1),('laoreet',39,'node',1),('laoreet',41,'node',2),('laoreet',42,'node',1),('laos',18,'node',0.836446),('latvia',18,'node',0.833529),('laudantium',12,'node',4.90299),('laura',16,'node',2),('lebanon',18,'node',0.830633),('lectus',1,'node',2),('lectus',5,'node',2),('lectus',6,'node',1),('lectus',7,'node',1),('lectus',8,'node',1),('lectus',9,'node',1),('lectus',10,'node',2),('lectus',11,'node',1),('lectus',12,'node',37.4041),('lectus',13,'node',1),('lectus',14,'node',11),('lectus',17,'node',1),('lectus',19,'node',1),('lectus',20,'node',1),('lectus',22,'node',1),('lectus',23,'node',2),('lectus',28,'node',2),('lectus',29,'node',2),('lectus',31,'node',1),('lectus',40,'node',1),('lectus',41,'node',1),('lectus',42,'node',1),('lectus',44,'node',1),('lectus',45,'node',3),('led',25,'node',11),('led',35,'node',11),('led',36,'node',11),('led',37,'node',11),('led',39,'node',11),('led',40,'node',11),('led',41,'node',11),('led',43,'node',11),('leo',1,'node',1),('leo',2,'node',2),('leo',4,'node',1),('leo',5,'node',26),('leo',6,'node',1),('leo',7,'node',2),('leo',9,'node',1),('leo',12,'node',26),('leo',13,'node',1),('leo',14,'node',1),('leo',17,'node',1),('leo',19,'node',5.73104),('leo',20,'node',1),('leo',21,'node',1),('leo',22,'node',1),('leo',25,'node',1.86236),('leo',26,'node',1),('leo',27,'node',27),('leo',28,'node',1),('leo',30,'node',1),('leo',36,'node',2),('leo',37,'node',2),('leo',38,'node',1),('leo',39,'node',1),('leo',42,'node',1),('leo',44,'node',2),('leo',45,'node',2),('leone',18,'node',0.63333),('lesotho',18,'node',0.827757),('lexus',42,'node',26),('liberia',18,'node',0.824901),('libero',1,'node',2),('libero',2,'node',2),('libero',3,'node',1),('libero',5,'node',1),('libero',6,'node',1),('libero',7,'node',2),('libero',8,'node',1),('libero',9,'node',1),('libero',10,'node',2),('libero',11,'node',1),('libero',12,'node',2),('libero',14,'node',27),('libero',16,'node',2),('libero',19,'node',1.99315),('libero',20,'node',2),('libero',21,'node',2),('libero',22,'node',2),('libero',23,'node',1),('libero',28,'node',3),('libero',30,'node',2),('libero',31,'node',1),('libero',39,'node',1),('libero',41,'node',1),('libero',45,'node',1),('libya',18,'node',0.822065),('liechtenstein',18,'node',0.819249),('light',35,'node',11),('light',36,'node',11),('ligula',2,'node',1),('ligula',3,'node',2),('ligula',4,'node',1),('ligula',5,'node',4),('ligula',6,'node',26),('ligula',7,'node',2),('ligula',8,'node',1),('ligula',9,'node',2),('ligula',10,'node',1),('ligula',11,'node',2),('ligula',12,'node',2),('ligula',13,'node',1),('ligula',14,'node',1),('ligula',15,'node',27),('ligula',16,'node',1),('ligula',19,'node',2.81949),('ligula',20,'node',2),('ligula',22,'node',2),('ligula',23,'node',1),('ligula',25,'node',1.92027),('ligula',29,'node',1),('ligula',30,'node',3),('ligula',31,'node',2),('ligula',32,'node',26),('ligula',38,'node',1),('ligula',40,'node',1),('ligula',41,'node',1),('ligula',42,'node',1),('ligula',45,'node',1),('lithuania',18,'node',0.816452),('litora',9,'node',1),('litora',28,'node',1),('lobortis',1,'node',2),('lobortis',3,'node',1),('lobortis',5,'node',1),('lobortis',6,'node',2),('lobortis',7,'node',1),('lobortis',8,'node',1),('lobortis',10,'node',1),('lobortis',11,'node',3),('lobortis',12,'node',1),('lobortis',13,'node',2),('lobortis',14,'node',2),('lobortis',15,'node',2),('lobortis',16,'node',1),('lobortis',17,'node',1),('lobortis',25,'node',1.93838),('lobortis',26,'node',1),('lobortis',28,'node',3),('lobortis',31,'node',2),('lobortis',36,'node',1),('lobortis',37,'node',1),('lobortis',41,'node',1),('lobortis',42,'node',2),('lobortis',45,'node',1),('log',16,'node',6.59407),('looking',48,'node',2),('lorem',3,'node',1),('lorem',5,'node',1),('lorem',6,'node',2),('lorem',7,'node',1),('lorem',8,'node',1),('lorem',9,'node',1),('lorem',10,'node',2),('lorem',11,'node',2),('lorem',13,'node',26),('lorem',14,'node',1),('lorem',15,'node',2),('lorem',16,'node',1),('lorem',17,'node',1),('lorem',19,'node',2.98493),('lorem',21,'node',2),('lorem',23,'node',4),('lorem',25,'node',0.961087),('lorem',29,'node',1),('lorem',30,'node',1),('lorem',31,'node',1),('lorem',33,'node',26),('lorem',35,'node',2),('lorem',36,'node',2),('lorem',37,'node',2),('lorem',39,'node',1),('lorem',42,'node',1.9534),('lorem',43,'node',2.96109),('lorem',44,'node',1),('lorem',45,'node',1),('lucia',18,'node',0.66666),('luctu',45,'node',26),('luctus',1,'node',2),('luctus',2,'node',1),('luctus',3,'node',3),('luctus',8,'node',1),('luctus',9,'node',2),('luctus',10,'node',3),('luctus',11,'node',1),('luctus',14,'node',1),('luctus',16,'node',1),('luctus',19,'node',3),('luctus',21,'node',2),('luctus',25,'node',0.938382),('luctus',28,'node',1),('luctus',31,'node',2),('luctus',32,'node',26),('luctus',34,'node',26),('luctus',35,'node',1),('luctus',36,'node',1.97685),('luctus',37,'node',2),('luctus',38,'node',3),('luctus',43,'node',3.94209),('luctus',45,'node',2),('luxembourg',18,'node',0.813674),('luxury',25,'node',10.0072),('luxury',35,'node',11),('luxury',36,'node',10.6148),('luxury',37,'node',10.9704),('luxury',38,'node',11),('luxury',41,'node',11),('luxury',42,'node',10.2017),('luxury',43,'node',10.0072),('maarten',18,'node',0.628375),('macao',18,'node',0.810915),('macedonia',18,'node',0.808176),('madagascar',18,'node',0.805455),('maecenas',1,'node',1),('maecenas',2,'node',1),('maecenas',3,'node',2),('maecenas',6,'node',1),('maecenas',9,'node',1),('maecenas',10,'node',1),('maecenas',12,'node',27),('maecenas',13,'node',1),('maecenas',17,'node',2),('maecenas',19,'node',1),('maecenas',20,'node',1),('maecenas',22,'node',1),('maecenas',23,'node',1),('maecenas',25,'node',1),('maecenas',26,'node',1),('maecenas',28,'node',1),('maecenas',31,'node',2),('maecenas',38,'node',1),('maecenas',41,'node',2),('maecenas',42,'node',1),('maecenas',43,'node',0.949597),('magna',4,'node',3),('magna',6,'node',2),('magna',7,'node',2),('magna',8,'node',1),('magna',9,'node',1),('magna',11,'node',1),('magna',12,'node',1),('magna',13,'node',1),('magna',16,'node',2),('magna',17,'node',2),('magna',19,'node',1),('magna',20,'node',1),('magna',21,'node',1),('magna',23,'node',1),('magna',28,'node',1),('magna',29,'node',1),('magna',30,'node',2),('magna',31,'node',1),('magna',35,'node',1),('magna',36,'node',1),('magna',37,'node',1),('magna',38,'node',1),('magna',39,'node',1),('magna',42,'node',1),('magna',43,'node',1.9496),('magna',44,'node',1),('magna',45,'node',1),('magnis',4,'node',1),('magnis',23,'node',1),('magnis',27,'node',1),('mail',46,'node',1),('maintenance',22,'node',26),('make',48,'node',1),('malawi',18,'node',0.802752),('malaysia',18,'node',0.800068),('maldives',18,'node',0.797402),('malesuada',1,'node',4),('malesuada',4,'node',1),('malesuada',5,'node',1),('malesuada',6,'node',3),('malesuada',7,'node',2),('malesuada',8,'node',27),('malesuada',10,'node',1),('malesuada',11,'node',1),('malesuada',14,'node',2),('malesuada',15,'node',27),('malesuada',17,'node',1),('malesuada',19,'node',1.88282),('malesuada',20,'node',4),('malesuada',21,'node',1),('malesuada',22,'node',3),('malesuada',23,'node',1),('malesuada',25,'node',1),('malesuada',27,'node',1),('malesuada',28,'node',1),('malesuada',29,'node',3),('malesuada',30,'node',1),('malesuada',31,'node',1),('malesuada',38,'node',2),('malesuada',40,'node',1),('malesuada',41,'node',1),('malesuada',43,'node',2),('malesuada',45,'node',1),('mali',18,'node',0.794753),('malta',18,'node',0.792123),('man',18,'node',0.879565),('mantiz',25,'node',26),('manual',23,'node',11),('manual',25,'node',11),('manual',38,'node',11),('manual',40,'node',11),('manual',42,'node',11),('mariana',18,'node',0.722831),('marino',18,'node',0.650439),('marketing',18,'node',0.521322),('marshall',18,'node',0.78951),('martin',18,'node',0.664818),('martinique',18,'node',0.786915),('massa',1,'node',1),('massa',4,'node',1),('massa',5,'node',1),('massa',6,'node',27),('massa',7,'node',2),('massa',10,'node',1),('massa',11,'node',1),('massa',14,'node',1),('massa',16,'node',1),('massa',17,'node',1),('massa',19,'node',2.86295),('massa',20,'node',3),('massa',21,'node',3),('massa',22,'node',3),('massa',23,'node',0.993146),('massa',25,'node',3),('massa',28,'node',1),('massa',29,'node',3),('massa',30,'node',2),('massa',31,'node',2),('massa',35,'node',1),('massa',39,'node',1),('massa',40,'node',1),('massa',42,'node',3.9534),('massa',43,'node',0.916736),('massa',44,'node',2),('massa',45,'node',1),('materials',35,'node',11),('materials',36,'node',11),('materials',40,'node',11),('materials',41,'node',11),('mattis',3,'node',1),('mattis',4,'node',3),('mattis',6,'node',3),('mattis',7,'node',1),('mattis',9,'node',3),('mattis',10,'node',2),('mattis',11,'node',2),('mattis',14,'node',1),('mattis',15,'node',2),('mattis',16,'node',2),('mattis',17,'node',1),('mattis',19,'node',0.942091),('mattis',21,'node',1),('mattis',22,'node',3),('mattis',23,'node',1),('mattis',25,'node',0.934703),('mattis',26,'node',52),('mattis',27,'node',27),('mattis',28,'node',2),('mattis',30,'node',1),('mattis',31,'node',2),('mattis',38,'node',1),('mattis',39,'node',1),('mattis',40,'node',1),('mattis',43,'node',1),('mattis',45,'node',1),('mauris',1,'node',1),('mauris',2,'node',3),('mauris',3,'node',2),('mauris',4,'node',2),('mauris',5,'node',1),('mauris',6,'node',2),('mauris',7,'node',1),('mauris',9,'node',1),('mauris',10,'node',2),('mauris',11,'node',1),('mauris',13,'node',2),('mauris',14,'node',6),('mauris',15,'node',2),('mauris',16,'node',4),('mauris',19,'node',3),('mauris',20,'node',2),('mauris',21,'node',6),('mauris',22,'node',1),('mauris',25,'node',0.976851),('mauris',26,'node',1),('mauris',29,'node',8),('mauris',30,'node',2),('mauris',38,'node',3),('mauris',39,'node',1),('mauris',40,'node',1),('mauris',41,'node',1),('mauris',43,'node',4),('mauris',44,'node',1),('mauris',45,'node',1),('mauritania',18,'node',0.784336),('mauritius',18,'node',0.781775),('may',48,'node',1),('mayen',18,'node',0.604732),('mayotte',18,'node',0.779231),('mazda',39,'node',26),('mazdaspeed',39,'node',26),('mcdonald',18,'node',0.923838),('mega',49,'node',26),('menus',49,'node',26),('metus',1,'node',2),('metus',2,'node',1),('metus',3,'node',1),('metus',4,'node',1),('metus',5,'node',1),('metus',6,'node',2),('metus',7,'node',27),('metus',8,'node',1),('metus',10,'node',28),('metus',11,'node',3),('metus',12,'node',1),('metus',13,'node',3),('metus',14,'node',1),('metus',15,'node',2),('metus',17,'node',1),('metus',19,'node',2.90286),('metus',20,'node',1),('metus',23,'node',2),('metus',25,'node',1.91323),('metus',26,'node',1),('metus',28,'node',1),('metus',29,'node',1),('metus',36,'node',2),('metus',37,'node',2),('metus',40,'node',2),('metus',41,'node',1),('metus',42,'node',1),('metus',43,'node',0.993146),('mexico',18,'node',0.776703),('micronesia',18,'node',0.774192),('minor',18,'node',0.565115),('miquelon',18,'node',0.659351),('modify',18,'node',0.529288),('moldova',18,'node',0.771698),('molestie',1,'node',1),('molestie',3,'node',1),('molestie',6,'node',27),('molestie',7,'node',27),('molestie',8,'node',1),('molestie',11,'node',2),('molestie',13,'node',26),('molestie',14,'node',1),('molestie',15,'node',1),('molestie',16,'node',1),('molestie',19,'node',0.902857),('molestie',20,'node',1),('molestie',21,'node',1),('molestie',26,'node',1),('molestie',29,'node',1),('molestie',30,'node',1),('molestie',35,'node',2),('molestie',38,'node',2),('molestie',40,'node',1),('molestie',42,'node',2),('molestie',43,'node',0.931053),('molestie',45,'node',1),('mollis',5,'node',3),('mollis',6,'node',1),('mollis',7,'node',1),('mollis',8,'node',2),('mollis',9,'node',1),('mollis',10,'node',1),('mollis',11,'node',2),('mollis',12,'node',26),('mollis',13,'node',1),('mollis',15,'node',1),('mollis',19,'node',0.957226),('mollis',21,'node',3),('mollis',22,'node',1),('mollis',23,'node',1),('mollis',25,'node',3),('mollis',26,'node',1),('mollis',29,'node',1),('mollis',30,'node',1),('mollis',35,'node',1),('mollis',38,'node',2),('mollis',41,'node',1),('mollis',42,'node',1),('mollis',43,'node',0.972861),('mollis',45,'node',2),('mollit',12,'node',3.90299),('monaco',18,'node',0.769219),('mongolia',18,'node',0.766757),('monster',38,'node',26),('montenegro',18,'node',0.76431),('montes',4,'node',1),('montes',23,'node',1),('montes',27,'node',1),('montserrat',18,'node',0.76188),('morbi',1,'node',1),('morbi',3,'node',1),('morbi',4,'node',1),('morbi',5,'node',1),('morbi',6,'node',1),('morbi',8,'node',1),('morbi',10,'node',1),('morbi',11,'node',1),('morbi',12,'node',1),('morbi',14,'node',1),('morbi',16,'node',1),('morbi',19,'node',1.93838),('morbi',21,'node',1),('morbi',22,'node',1),('morbi',25,'node',0.949597),('morbi',27,'node',1),('morbi',29,'node',1),('morbi',31,'node',1),('morbi',36,'node',1),('morbi',37,'node',1),('morbi',38,'node',2),('morbi',39,'node',1),('morbi',41,'node',2),('morbi',42,'node',2),('morocco',18,'node',0.759465),('mozambique',18,'node',0.757065),('mrs',18,'node',1),('multifunctional',42,'node',11),('multifunctional',43,'node',11),('mus',4,'node',1),('mus',23,'node',1),('mus',27,'node',1),('myanmar',18,'node',0.754681),('nam',2,'node',2),('nam',3,'node',1),('nam',6,'node',1),('nam',8,'node',1),('nam',10,'node',1),('nam',11,'node',1),('nam',13,'node',27),('nam',15,'node',1),('nam',19,'node',1),('nam',20,'node',2),('nam',21,'node',2),('nam',25,'node',1),('nam',28,'node',2),('nam',30,'node',2),('nam',31,'node',1),('nam',38,'node',1),('nam',40,'node',1),('nam',41,'node',1),('name',18,'node',1),('name',46,'node',1),('namibia',18,'node',0.752312),('nascetur',4,'node',1),('nascetur',23,'node',1),('nascetur',27,'node',1),('natoque',4,'node',1),('natoque',23,'node',1),('natoque',27,'node',1),('natus',12,'node',5.87984),('nauru',18,'node',0.749958),('nec',1,'node',27),('nec',2,'node',5),('nec',3,'node',2),('nec',5,'node',1),('nec',6,'node',5),('nec',7,'node',3),('nec',8,'node',1),('nec',9,'node',3),('nec',10,'node',27),('nec',11,'node',2),('nec',12,'node',1),('nec',13,'node',2),('nec',14,'node',2),('nec',15,'node',3),('nec',16,'node',3),('nec',19,'node',3.81603),('nec',20,'node',1),('nec',21,'node',1),('nec',22,'node',3),('nec',25,'node',1.9689),('nec',28,'node',1),('nec',29,'node',1),('nec',30,'node',1),('nec',31,'node',3),('nec',36,'node',1.99315),('nec',37,'node',2),('nec',39,'node',1),('nec',40,'node',3),('nec',41,'node',1),('nec',42,'node',1),('nec',43,'node',1),('nec',45,'node',1),('nemo',12,'node',1),('nepal',18,'node',0.747619),('neque',2,'node',2),('neque',3,'node',1),('neque',4,'node',2),('neque',5,'node',2),('neque',6,'node',1),('neque',8,'node',1),('neque',10,'node',1),('neque',11,'node',2),('neque',13,'node',2),('neque',15,'node',1),('neque',16,'node',1),('neque',17,'node',3),('neque',19,'node',2.79584),('neque',20,'node',1),('neque',21,'node',1),('neque',22,'node',2),('neque',23,'node',2),('neque',28,'node',1),('neque',29,'node',1),('neque',42,'node',1),('neque',43,'node',1.92027),('neque',45,'node',3),('netherlands',18,'node',2.49059),('netus',4,'node',1),('netus',8,'node',1),('netus',19,'node',1),('netus',27,'node',1),('nevis',18,'node',0.668514),('new',18,'node',2.18309),('new',32,'node',1),('nibh',1,'node',1),('nibh',2,'node',1),('nibh',4,'node',26),('nibh',5,'node',1),('nibh',6,'node',2),('nibh',8,'node',2),('nibh',10,'node',1),('nibh',12,'node',1),('nibh',14,'node',27),('nibh',15,'node',28),('nibh',16,'node',1),('nibh',19,'node',1.90974),('nibh',20,'node',1),('nibh',21,'node',2),('nibh',22,'node',1),('nibh',23,'node',1),('nibh',30,'node',3),('nibh',31,'node',2),('nibh',35,'node',1),('nibh',36,'node',2),('nibh',37,'node',2),('nibh',38,'node',1),('nibh',39,'node',1),('nibh',40,'node',1),('nibh',41,'node',3),('nibh',42,'node',1),('nicaragua',18,'node',0.736141),('niger',18,'node',0.733888),('nigeria',18,'node',0.731649),('night',35,'node',11),('night',36,'node',11),('nisi',1,'node',2),('nisi',2,'node',1),('nisi',3,'node',30),('nisi',5,'node',1),('nisi',6,'node',1),('nisi',7,'node',2),('nisi',8,'node',1),('nisi',9,'node',2),('nisi',10,'node',1),('nisi',11,'node',1),('nisi',13,'node',1),('nisi',15,'node',2),('nisi',19,'node',1.9381),('nisi',20,'node',1),('nisi',21,'node',3),('nisi',23,'node',1),('nisi',25,'node',2.84055),('nisi',27,'node',27),('nisi',29,'node',3),('nisi',35,'node',1),('nisi',38,'node',2),('nisi',42,'node',1),('nisi',43,'node',2),('nisl',1,'node',2),('nisl',2,'node',1),('nisl',3,'node',5),('nisl',4,'node',1),('nisl',5,'node',1),('nisl',8,'node',1),('nisl',9,'node',3),('nisl',10,'node',2),('nisl',11,'node',1),('nisl',14,'node',1),('nisl',15,'node',1),('nisl',16,'node',2),('nisl',19,'node',1.84718),('nisl',20,'node',2),('nisl',21,'node',4),('nisl',22,'node',1),('nisl',25,'node',1),('nisl',26,'node',1),('nisl',28,'node',2),('nisl',29,'node',1),('nisl',30,'node',3),('nisl',31,'node',1),('nisl',39,'node',0.993146),('nisl',42,'node',1.9689),('nisl',43,'node',4.93453),('nisl',44,'node',1),('niue',18,'node',0.729424),('non',1,'node',1),('non',2,'node',3),('non',3,'node',28),('non',4,'node',2),('non',5,'node',1),('non',6,'node',4),('non',7,'node',6),('non',8,'node',1),('non',9,'node',1),('non',10,'node',4),('non',11,'node',1),('non',12,'node',4.90299),('non',13,'node',2),('non',14,'node',1),('non',15,'node',1),('non',16,'node',2),('non',17,'node',2),('non',19,'node',4.89876),('non',21,'node',2),('non',22,'node',3),('non',23,'node',1),('non',25,'node',3.91068),('non',28,'node',4),('non',29,'node',1),('non',30,'node',1),('non',31,'node',1),('non',36,'node',2),('non',37,'node',2),('non',40,'node',2),('non',41,'node',3),('non',42,'node',2),('non',43,'node',5.98902),('non',45,'node',2),('norfolk',18,'node',0.727213),('north',18,'node',0.72066),('northern',18,'node',0.725015),('norway',18,'node',0.716357),('nostra',9,'node',1),('nostra',28,'node',1),('nulla',1,'node',3),('nulla',2,'node',4),('nulla',3,'node',27),('nulla',4,'node',2),('nulla',5,'node',3),('nulla',6,'node',5),('nulla',8,'node',1),('nulla',11,'node',3),('nulla',12,'node',2),('nulla',13,'node',2),('nulla',15,'node',1),('nulla',16,'node',1),('nulla',17,'node',2),('nulla',19,'node',2.89922),('nulla',20,'node',3),('nulla',21,'node',1),('nulla',22,'node',2),('nulla',23,'node',1),('nulla',28,'node',1),('nulla',29,'node',1),('nulla',30,'node',5),('nulla',36,'node',4),('nulla',37,'node',4),('nulla',38,'node',2),('nulla',39,'node',3),('nulla',40,'node',3),('nulla',41,'node',1),('nulla',42,'node',1),('nulla',43,'node',5.88047),('nulla',44,'node',27),('nullam',1,'node',1),('nullam',4,'node',1),('nullam',7,'node',1),('nullam',8,'node',1),('nullam',12,'node',1),('nullam',13,'node',1),('nullam',14,'node',1),('nullam',15,'node',2),('nullam',16,'node',1),('nullam',17,'node',1),('nullam',19,'node',1),('nullam',20,'node',1),('nullam',21,'node',2),('nullam',22,'node',1),('nullam',28,'node',1),('nullam',29,'node',2),('nullam',30,'node',1),('nullam',31,'node',1),('nullam',43,'node',1),('nullam',44,'node',1),('nunc',1,'node',1),('nunc',3,'node',2),('nunc',4,'node',3),('nunc',5,'node',2),('nunc',6,'node',4),('nunc',7,'node',1),('nunc',8,'node',4),('nunc',9,'node',4),('nunc',10,'node',2),('nunc',12,'node',2),('nunc',13,'node',2),('nunc',14,'node',1),('nunc',15,'node',2),('nunc',16,'node',2),('nunc',17,'node',1),('nunc',19,'node',6.66582),('nunc',20,'node',2),('nunc',21,'node',2),('nunc',22,'node',5),('nunc',23,'node',2.98902),('nunc',25,'node',2),('nunc',26,'node',1),('nunc',28,'node',1),('nunc',29,'node',1),('nunc',30,'node',2),('nunc',31,'node',1),('nunc',36,'node',1),('nunc',37,'node',1),('nunc',38,'node',1),('nunc',39,'node',2),('nunc',42,'node',2.97685),('nunc',43,'node',4),('nunc',44,'node',1),('nunc',45,'node',1),('occaecat',12,'node',3.90299),('ocean',18,'node',1),('odio',2,'node',1),('odio',3,'node',3),('odio',4,'node',2),('odio',6,'node',2),('odio',7,'node',1),('odio',14,'node',1),('odio',15,'node',2),('odio',19,'node',4.70936),('odio',20,'node',2),('odio',22,'node',1),('odio',23,'node',1),('odio',28,'node',3),('odio',29,'node',1),('odio',30,'node',1),('odio',31,'node',1),('odio',36,'node',2),('odio',37,'node',2),('odio',38,'node',1),('odio',39,'node',1),('odio',40,'node',1),('odio',42,'node',1.9689),('odio',43,'node',0.968904),('odit',12,'node',0.98493),('officia',12,'node',3.90299),('olufsen',25,'node',11),('olufsen',35,'node',11),('olufsen',36,'node',11),('olufsen',37,'node',11),('olufsen',39,'node',11),('olufsen',43,'node',11),('oman',18,'node',0.714225),('omnis',12,'node',5.87984),('optimize',21,'node',26),('orci',1,'node',27),('orci',4,'node',2),('orci',5,'node',1),('orci',6,'node',1),('orci',7,'node',2),('orci',8,'node',1),('orci',10,'node',3),('orci',11,'node',1),('orci',13,'node',2),('orci',15,'node',2),('orci',16,'node',1),('orci',17,'node',2),('orci',19,'node',2.98902),('orci',22,'node',1),('orci',25,'node',2),('orci',28,'node',2),('orci',30,'node',1),('orci',31,'node',1),('orci',34,'node',26),('orci',36,'node',0.980874),('orci',37,'node',1),('orci',39,'node',1),('orci',41,'node',2),('orci',42,'node',0.942091),('orci',44,'node',29),('ornare',4,'node',1),('ornare',5,'node',1),('ornare',8,'node',1),('ornare',13,'node',1),('ornare',14,'node',3),('ornare',17,'node',1),('ornare',19,'node',0.909743),('ornare',22,'node',2),('ornare',28,'node',1),('ornare',30,'node',2),('ornare',31,'node',4),('ornare',38,'node',1),('outlying',18,'node',0.563797),('page',48,'node',1),('pakistan',18,'node',0.712106),('palau',18,'node',0.71),('palestinian',18,'node',0.707906),('panama',18,'node',0.705825),('papua',18,'node',0.703756),('paraguay',18,'node',0.7017),('part',18,'node',1.17442),('partners',18,'node',0.51578),('parturient',4,'node',1),('parturient',23,'node',1),('parturient',27,'node',1),('pellentesque',2,'node',4),('pellentesque',3,'node',1),('pellentesque',4,'node',3),('pellentesque',6,'node',2),('pellentesque',7,'node',1),('pellentesque',8,'node',3),('pellentesque',9,'node',2),('pellentesque',11,'node',3),('pellentesque',12,'node',2),('pellentesque',13,'node',3),('pellentesque',15,'node',2),('pellentesque',17,'node',1),('pellentesque',19,'node',3.71253),('pellentesque',21,'node',2),('pellentesque',23,'node',4),('pellentesque',25,'node',4.91323),('pellentesque',27,'node',1),('pellentesque',28,'node',1),('pellentesque',29,'node',2),('pellentesque',31,'node',2),('pellentesque',33,'node',26),('pellentesque',35,'node',2),('pellentesque',36,'node',3),('pellentesque',37,'node',3),('pellentesque',38,'node',1),('pellentesque',39,'node',1),('pellentesque',40,'node',1),('pellentesque',42,'node',0.938382),('pellentesque',43,'node',1.94209),('pellentesque',45,'node',1),('penatibus',4,'node',1),('penatibus',23,'node',1),('penatibus',27,'node',1),('per',9,'node',2),('per',28,'node',2),('permalink',16,'node',33),('personal',18,'node',0.508221),('perspiciatis',12,'node',5.87984),('peru',18,'node',0.699655),('pharetra',1,'node',26),('pharetra',2,'node',2),('pharetra',7,'node',28),('pharetra',9,'node',2),('pharetra',11,'node',1),('pharetra',13,'node',1),('pharetra',15,'node',27),('pharetra',16,'node',2),('pharetra',17,'node',1),('pharetra',19,'node',1),('pharetra',20,'node',1),('pharetra',22,'node',2),('pharetra',25,'node',3.83358),('pharetra',28,'node',1),('pharetra',30,'node',5),('pharetra',31,'node',2),('pharetra',35,'node',1),('pharetra',38,'node',1),('pharetra',40,'node',2),('pharetra',43,'node',1.96109),('pharetra',45,'node',1),('phasellus',2,'node',1),('phasellus',4,'node',26),('phasellus',7,'node',1),('phasellus',8,'node',2),('phasellus',11,'node',2),('phasellus',13,'node',1),('phasellus',14,'node',3),('phasellus',17,'node',2),('phasellus',19,'node',4.78212),('phasellus',21,'node',1),('phasellus',23,'node',2),('phasellus',25,'node',1),('phasellus',28,'node',2),('phasellus',29,'node',2),('phasellus',30,'node',1),('phasellus',39,'node',1),('phasellus',41,'node',1),('phasellus',43,'node',1),('phasellus',45,'node',1),('philippines',18,'node',0.697623),('phone',18,'node',0.545988),('pierre',18,'node',0.661163),('pine',34,'node',1),('pitcairn',18,'node',0.695602),('place',34,'node',1),('placerat',1,'node',1),('placerat',4,'node',1),('placerat',6,'node',2),('placerat',9,'node',2),('placerat',13,'node',1),('placerat',14,'node',1),('placerat',15,'node',2),('placerat',16,'node',1),('placerat',17,'node',2),('placerat',19,'node',1.84869),('placerat',25,'node',3),('placerat',28,'node',1),('placerat',29,'node',1),('placerat',36,'node',1),('placerat',37,'node',1),('platea',2,'node',1),('platea',5,'node',1),('platea',20,'node',1),('platea',23,'node',1),('please',48,'node',1),('poland',18,'node',0.693594),('polynesia',18,'node',1),('porta',1,'node',1),('porta',2,'node',1),('porta',7,'node',52),('porta',8,'node',2),('porta',10,'node',1),('porta',11,'node',1),('porta',12,'node',1),('porta',13,'node',2),('porta',15,'node',1),('porta',16,'node',1),('porta',17,'node',1),('porta',19,'node',1.79932),('porta',21,'node',1),('porta',22,'node',1),('porta',25,'node',2),('porta',35,'node',1),('porta',39,'node',2),('porta',43,'node',1.9534),('porttitor',1,'node',2),('porttitor',3,'node',3),('porttitor',4,'node',4),('porttitor',5,'node',1),('porttitor',6,'node',1),('porttitor',7,'node',1),('porttitor',10,'node',1),('porttitor',11,'node',30),('porttitor',13,'node',1),('porttitor',14,'node',1),('porttitor',15,'node',1),('porttitor',16,'node',53.9973),('porttitor',17,'node',2),('porttitor',19,'node',1.89272),('porttitor',20,'node',3),('porttitor',22,'node',1),('porttitor',23,'node',1),('porttitor',25,'node',1.88213),('porttitor',28,'node',1),('porttitor',29,'node',2),('porttitor',31,'node',3),('porttitor',39,'node',1),('porttitor',40,'node',2),('porttitor',41,'node',1),('porttitor',43,'node',2.84779),('porttitor',45,'node',1),('portugal',18,'node',0.691597),('post',16,'node',2.99731),('posuere',1,'node',27),('posuere',2,'node',1),('posuere',5,'node',1),('posuere',6,'node',1),('posuere',7,'node',1),('posuere',9,'node',26),('posuere',10,'node',3),('posuere',12,'node',1),('posuere',13,'node',1),('posuere',17,'node',1),('posuere',19,'node',1),('posuere',22,'node',1),('posuere',23,'node',1),('posuere',25,'node',1),('posuere',28,'node',1),('posuere',29,'node',1),('posuere',30,'node',1),('posuere',31,'node',3),('posuere',34,'node',26),('posuere',35,'node',1),('posuere',36,'node',1.97286),('posuere',37,'node',2),('posuere',39,'node',1),('posuere',41,'node',1),('posuere',42,'node',1),('posuere',44,'node',1),('posuere',45,'node',1),('potenti',12,'node',1),('potenti',21,'node',1),('potenti',30,'node',1),('praesent',1,'node',2),('praesent',2,'node',1),('praesent',4,'node',1),('praesent',5,'node',3),('praesent',7,'node',1),('praesent',8,'node',1),('praesent',10,'node',1),('praesent',13,'node',2),('praesent',14,'node',1),('praesent',17,'node',3),('praesent',19,'node',2.92027),('praesent',21,'node',2),('praesent',22,'node',2),('praesent',36,'node',1),('praesent',37,'node',1),('praesent',41,'node',1),('pretium',1,'node',2),('pretium',2,'node',2),('pretium',3,'node',3),('pretium',4,'node',1),('pretium',6,'node',3),('pretium',7,'node',1),('pretium',8,'node',26),('pretium',9,'node',2),('pretium',11,'node',1),('pretium',13,'node',1),('pretium',14,'node',1),('pretium',19,'node',2),('pretium',20,'node',1),('pretium',21,'node',2),('pretium',22,'node',1),('pretium',23,'node',2),('pretium',28,'node',1),('pretium',29,'node',1),('pretium',30,'node',3),('pretium',31,'node',2),('pretium',39,'node',1),('pretium',41,'node',1),('pretium',42,'node',1),('pretium',43,'node',0.953396),('prevailing',18,'node',0.502958),('primis',1,'node',2),('primis',5,'node',1),('primis',7,'node',1),('primis',31,'node',1),('primis',34,'node',26),('primis',36,'node',0.98493),('primis',37,'node',1),('principe',18,'node',0.645209),('privacy',18,'node',0.501918),('proident',12,'node',3.90299),('proin',1,'node',1),('proin',3,'node',2),('proin',4,'node',26),('proin',8,'node',1),('proin',9,'node',1),('proin',10,'node',26),('proin',11,'node',1),('proin',13,'node',1),('proin',16,'node',1),('proin',17,'node',2),('proin',20,'node',1),('proin',22,'node',1),('proin',23,'node',3),('proin',29,'node',1),('proin',30,'node',1),('proin',31,'node',1),('proin',35,'node',1),('proin',36,'node',2),('proin',37,'node',2),('proin',41,'node',1),('proin',42,'node',1),('proin',43,'node',0.920273),('protection',18,'node',0.500884),('puerto',18,'node',0.689612),('pulvinar',3,'node',1),('pulvinar',5,'node',2),('pulvinar',8,'node',1),('pulvinar',10,'node',1),('pulvinar',16,'node',2),('pulvinar',17,'node',3),('pulvinar',19,'node',1.92743),('pulvinar',20,'node',2),('pulvinar',22,'node',2),('pulvinar',28,'node',2),('pulvinar',29,'node',1),('pulvinar',40,'node',1),('pulvinar',41,'node',1),('pulvinar',42,'node',0.945829),('pulvinar',43,'node',1),('pulvinar',45,'node',1),('purpose',18,'node',0.517983),('purus',1,'node',1),('purus',2,'node',1),('purus',3,'node',1),('purus',4,'node',28),('purus',5,'node',3),('purus',7,'node',2),('purus',9,'node',2),('purus',10,'node',2),('purus',12,'node',1),('purus',13,'node',2),('purus',15,'node',1),('purus',16,'node',26),('purus',17,'node',1),('purus',19,'node',2.77549),('purus',20,'node',1),('purus',21,'node',2),('purus',22,'node',5),('purus',26,'node',1),('purus',29,'node',2),('purus',30,'node',1),('purus',36,'node',1),('purus',37,'node',1),('purus',39,'node',2),('purus',41,'node',2),('purus',42,'node',1.98493),('purus',43,'node',1),('purus',45,'node',28),('qatar',18,'node',0.685676),('quae',12,'node',4.90299),('quam',1,'node',1),('quam',2,'node',1),('quam',3,'node',2),('quam',6,'node',1),('quam',7,'node',1),('quam',8,'node',1),('quam',9,'node',1),('quam',12,'node',1),('quam',13,'node',4),('quam',14,'node',1),('quam',16,'node',1),('quam',17,'node',2),('quam',19,'node',0.896076),('quam',22,'node',1),('quam',25,'node',0.920273),('quam',28,'node',2),('quam',30,'node',4),('quam',31,'node',1),('quam',35,'node',1),('quam',36,'node',3),('quam',37,'node',3),('quam',39,'node',1),('quam',41,'node',2),('quam',42,'node',2.9689),('quam',43,'node',1.9496),('quam',44,'node',1),('quasi',12,'node',4.90299),('qui',12,'node',4.87984),('quia',12,'node',1.9689),('quis',1,'node',27),('quis',2,'node',2),('quis',3,'node',1),('quis',4,'node',1),('quis',5,'node',2),('quis',6,'node',26),('quis',7,'node',2),('quis',8,'node',3),('quis',9,'node',2),('quis',10,'node',1),('quis',11,'node',3),('quis',12,'node',2),('quis',13,'node',2),('quis',14,'node',1),('quis',15,'node',27),('quis',16,'node',2),('quis',17,'node',1),('quis',19,'node',1),('quis',20,'node',2),('quis',21,'node',1),('quis',22,'node',5),('quis',23,'node',4),('quis',25,'node',4.8335),('quis',28,'node',2),('quis',29,'node',6),('quis',30,'node',2),('quis',31,'node',4),('quis',32,'node',26),('quis',35,'node',2),('quis',36,'node',1),('quis',37,'node',1),('quis',38,'node',4),('quis',40,'node',1),('quis',41,'node',2),('quis',42,'node',0.98493),('quis',43,'node',2),('quis',44,'node',27),('quis',45,'node',1),('quisque',4,'node',1),('quisque',5,'node',1),('quisque',6,'node',1),('quisque',7,'node',2),('quisque',8,'node',1),('quisque',9,'node',1),('quisque',13,'node',2),('quisque',14,'node',26),('quisque',15,'node',2),('quisque',16,'node',2),('quisque',17,'node',1),('quisque',19,'node',3.74141),('quisque',20,'node',1),('quisque',21,'node',2),('quisque',28,'node',2),('quisque',29,'node',3),('quisque',40,'node',1),('quisque',45,'node',27),('rearseat',25,'node',11),('rearseat',35,'node',11),('rearseat',37,'node',11),('rearseat',42,'node',11),('red',35,'node',11),('red',39,'node',11),('red',42,'node',11),('register',16,'node',6.59407),('regulations',18,'node',0.499853),('rem',12,'node',4.90299),('repair',21,'node',26),('reproduce',18,'node',0.528135),('republic',18,'node',3),('request',18,'node',1.61977),('research',18,'node',0.520204),('return',48,'node',11),('reunion',18,'node',0.683725),('rhoncus',2,'node',28),('rhoncus',3,'node',1),('rhoncus',4,'node',1),('rhoncus',5,'node',2),('rhoncus',6,'node',1),('rhoncus',7,'node',1),('rhoncus',8,'node',1),('rhoncus',11,'node',1),('rhoncus',14,'node',2),('rhoncus',17,'node',2),('rhoncus',19,'node',3.9496),('rhoncus',21,'node',1),('rhoncus',22,'node',1),('rhoncus',29,'node',1),('rhoncus',30,'node',2),('rhoncus',31,'node',1),('rhoncus',38,'node',1),('rhoncus',39,'node',1),('rhoncus',40,'node',2),('rhoncus',41,'node',2),('rhoncus',42,'node',1),('rhoncus',43,'node',2),('rhoncus',44,'node',1),('rhoncus',45,'node',27),('rica',18,'node',1),('rico',18,'node',0.687638),('ridiculus',4,'node',1),('ridiculus',23,'node',1),('ridiculus',27,'node',1),('right',18,'node',0.53161),('risus',1,'node',3),('risus',2,'node',1),('risus',5,'node',1),('risus',6,'node',2),('risus',8,'node',1),('risus',10,'node',1),('risus',11,'node',2),('risus',12,'node',1),('risus',14,'node',1),('risus',15,'node',3),('risus',19,'node',2),('risus',20,'node',1),('risus',22,'node',2),('risus',25,'node',2),('risus',29,'node',3),('risus',30,'node',2),('risus',31,'node',2),('risus',36,'node',1),('risus',37,'node',1),('risus',38,'node',1),('risus',41,'node',1),('risus',43,'node',1.88828),('risus',44,'node',1),('romania',18,'node',0.681785),('russia',18,'node',0.679856),('rutrum',1,'node',1),('rutrum',3,'node',1),('rutrum',5,'node',1),('rutrum',6,'node',2),('rutrum',7,'node',1),('rutrum',10,'node',2),('rutrum',13,'node',3),('rutrum',14,'node',1),('rutrum',15,'node',2),('rutrum',17,'node',1),('rutrum',19,'node',1),('rutrum',20,'node',1),('rutrum',25,'node',0.916736),('rutrum',28,'node',1),('rutrum',35,'node',1),('rutrum',43,'node',0.927431),('rwanda',18,'node',0.677939),('sagittis',1,'node',2),('sagittis',3,'node',1),('sagittis',4,'node',1),('sagittis',5,'node',2),('sagittis',7,'node',2),('sagittis',8,'node',1),('sagittis',9,'node',1),('sagittis',10,'node',26),('sagittis',11,'node',1),('sagittis',12,'node',1),('sagittis',13,'node',1),('sagittis',17,'node',1),('sagittis',19,'node',1),('sagittis',20,'node',1),('sagittis',21,'node',1),('sagittis',22,'node',1),('sagittis',25,'node',1),('sagittis',29,'node',2),('sagittis',31,'node',1),('sagittis',35,'node',2),('sagittis',36,'node',1),('sagittis',37,'node',1),('sagittis',38,'node',1),('sagittis',40,'node',2),('sagittis',42,'node',2),('sahara',18,'node',0.550958),('saint',18,'node',4.66885),('sales',18,'node',0.542319),('salt',33,'node',1),('salt',34,'node',1),('salutation',18,'node',1),('salvador',18,'node',1),('samoa',18,'node',1.6522),('san',18,'node',0.652202),('sandwich',18,'node',0.617112),('sao',18,'node',0.648686),('sapien',1,'node',1),('sapien',2,'node',2),('sapien',3,'node',2),('sapien',4,'node',2),('sapien',5,'node',2),('sapien',6,'node',1),('sapien',7,'node',1),('sapien',8,'node',3),('sapien',9,'node',1),('sapien',10,'node',1),('sapien',11,'node',2),('sapien',13,'node',3),('sapien',15,'node',2),('sapien',16,'node',3),('sapien',19,'node',3.9496),('sapien',20,'node',1),('sapien',21,'node',1),('sapien',22,'node',2),('sapien',23,'node',1),('sapien',25,'node',1.89549),('sapien',28,'node',2),('sapien',29,'node',1),('sapien',30,'node',1),('sapien',31,'node',2),('sapien',35,'node',1),('sapien',39,'node',3),('sapien',40,'node',1),('sapien',41,'node',1),('sapien',43,'node',1.94209),('sapien',45,'node',1),('sar',18,'node',1.71792),('saudi',18,'node',0.643484),('scelerisque',2,'node',2),('scelerisque',6,'node',1),('scelerisque',9,'node',2),('scelerisque',12,'node',27),('scelerisque',13,'node',1),('scelerisque',14,'node',2),('scelerisque',16,'node',28),('scelerisque',17,'node',2),('scelerisque',19,'node',0.98493),('scelerisque',20,'node',3),('scelerisque',21,'node',1),('scelerisque',22,'node',1),('scelerisque',25,'node',1.92027),('scelerisque',30,'node',1),('scelerisque',33,'node',26),('scelerisque',43,'node',1),('search',48,'node',1),('sebastian',32,'node',11),('sebastian',33,'node',11),('sebastian',34,'node',11),('sed',1,'node',32),('sed',2,'node',3),('sed',3,'node',3),('sed',4,'node',53),('sed',5,'node',5),('sed',6,'node',2),('sed',7,'node',3),('sed',8,'node',6),('sed',9,'node',6),('sed',10,'node',2),('sed',11,'node',4),('sed',12,'node',6.87984),('sed',13,'node',3),('sed',14,'node',7),('sed',15,'node',3),('sed',16,'node',2),('sed',17,'node',4),('sed',19,'node',9.84427),('sed',20,'node',3),('sed',21,'node',4),('sed',22,'node',3),('sed',23,'node',4),('sed',25,'node',0.931053),('sed',26,'node',1),('sed',27,'node',27),('sed',29,'node',6),('sed',30,'node',1),('sed',31,'node',5),('sed',35,'node',2),('sed',36,'node',2),('sed',37,'node',2),('sed',38,'node',1),('sed',39,'node',4),('sed',40,'node',2),('sed',41,'node',4),('sed',42,'node',2.97685),('sed',43,'node',7),('sed',45,'node',1),('selling',28,'node',26),('sem',1,'node',2),('sem',2,'node',2),('sem',4,'node',29),('sem',5,'node',1),('sem',6,'node',1),('sem',7,'node',1),('sem',9,'node',1),('sem',10,'node',2),('sem',12,'node',26),('sem',14,'node',2),('sem',15,'node',1),('sem',17,'node',2),('sem',19,'node',1),('sem',20,'node',1),('sem',21,'node',1),('sem',22,'node',1),('sem',23,'node',1),('sem',25,'node',1.92384),('sem',31,'node',4),('sem',40,'node',1),('sem',43,'node',2.93524),('semper',1,'node',1),('semper',2,'node',1),('semper',3,'node',1),('semper',5,'node',1),('semper',6,'node',2),('semper',7,'node',1),('semper',9,'node',2),('semper',10,'node',1),('semper',13,'node',1),('semper',14,'node',2),('semper',15,'node',2),('semper',17,'node',1),('semper',22,'node',1),('semper',23,'node',2),('semper',25,'node',1),('semper',27,'node',27),('semper',28,'node',1),('semper',29,'node',2),('semper',31,'node',1),('semper',38,'node',1),('semper',39,'node',2),('semper',41,'node',3),('semper',43,'node',0.961087),('send',46,'node',26),('senectus',4,'node',1),('senectus',8,'node',1),('senectus',19,'node',1),('senectus',27,'node',1),('senegal',18,'node',0.640063),('serbia',18,'node',0.638366),('services',20,'node',26),('seychelles',18,'node',0.636679),('shade',34,'node',1),('sierra',18,'node',0.635),('silver',25,'node',11),('singapore',18,'node',0.63167),('sint',12,'node',3.90299),('sint',18,'node',0.630018),('sit',1,'node',3),('sit',2,'node',1),('sit',3,'node',1),('sit',4,'node',1),('sit',5,'node',1),('sit',6,'node',2),('sit',7,'node',4),('sit',8,'node',26),('sit',9,'node',1),('sit',10,'node',27),('sit',11,'node',3),('sit',12,'node',6.86504),('sit',13,'node',1),('sit',14,'node',2),('sit',15,'node',4),('sit',16,'node',2),('sit',17,'node',1),('sit',19,'node',2.8408),('sit',20,'node',2),('sit',21,'node',4),('sit',22,'node',2),('sit',23,'node',2),('sit',25,'node',1.92114),('sit',26,'node',1),('sit',28,'node',6),('sit',29,'node',3),('sit',30,'node',2),('sit',31,'node',3),('sit',35,'node',3),('sit',36,'node',2),('sit',37,'node',2),('sit',38,'node',1),('sit',39,'node',2),('sit',40,'node',2),('sit',41,'node',1),('sit',42,'node',1.90729),('sit',43,'node',1),('sit',44,'node',1),('sit',45,'node',2),('slovakia',18,'node',0.62674),('slovenia',18,'node',0.625114),('sociis',4,'node',1),('sociis',23,'node',1),('sociis',27,'node',1),('sociosqu',9,'node',1),('sociosqu',28,'node',1),('sodales',2,'node',2),('sodales',4,'node',3),('sodales',7,'node',1),('sodales',11,'node',1),('sodales',12,'node',26),('sodales',14,'node',1),('sodales',15,'node',1),('sodales',16,'node',1),('sodales',17,'node',2),('sodales',19,'node',3.7821),('sodales',20,'node',2),('sodales',21,'node',2),('sodales',25,'node',1),('sodales',28,'node',1),('sodales',29,'node',2),('sodales',31,'node',1),('sodales',38,'node',2),('sodales',40,'node',1),('sodales',42,'node',1),('sodales',43,'node',1),('sodales',44,'node',2),('sodales',45,'node',2),('sollicitudin',2,'node',4),('sollicitudin',3,'node',1),('sollicitudin',6,'node',2),('sollicitudin',9,'node',2),('sollicitudin',11,'node',1),('sollicitudin',12,'node',2),('sollicitudin',13,'node',1),('sollicitudin',14,'node',1),('sollicitudin',15,'node',2),('sollicitudin',16,'node',29),('sollicitudin',17,'node',1),('sollicitudin',19,'node',2.8861),('sollicitudin',21,'node',1),('sollicitudin',22,'node',2),('sollicitudin',23,'node',1.99315),('sollicitudin',25,'node',2),('sollicitudin',28,'node',1),('sollicitudin',39,'node',1),('sollicitudin',40,'node',2),('sollicitudin',41,'node',1),('sollicitudin',42,'node',0.961087),('solomon',18,'node',0.623497),('somalia',18,'node',0.621888),('sorry',48,'node',1),('sound',25,'node',11),('sound',35,'node',11),('sound',36,'node',11),('sound',37,'node',11),('sound',39,'node',11),('sound',43,'node',11),('south',18,'node',3.08558),('southern',18,'node',0.997306),('spain',18,'node',0.613969),('sport',25,'node',9.96916),('sport',35,'node',11),('sport',36,'node',10.572),('sport',37,'node',10.9246),('sport',38,'node',11),('sport',41,'node',11),('sport',42,'node',10.1622),('sport',43,'node',9.96916),('spot',35,'node',11),('spot',36,'node',11),('sri',18,'node',0.61241),('states',18,'node',1.13155),('states',32,'node',1),('states',33,'node',1),('states',34,'node',1),('statistical',18,'node',0.519091),('submitted',16,'node',3),('sudan',18,'node',1.22485),('sunt',12,'node',8.80599),('super',41,'node',26),('support',18,'node',0.541108),('supporter',31,'node',26),('sure',48,'node',1),('suriname',18,'node',0.609315),('suscipit',2,'node',3),('suscipit',3,'node',4),('suscipit',4,'node',1),('suscipit',5,'node',1),('suscipit',6,'node',1),('suscipit',7,'node',2),('suscipit',8,'node',2),('suscipit',9,'node',2),('suscipit',10,'node',2),('suscipit',12,'node',1),('suscipit',13,'node',26),('suscipit',14,'node',1),('suscipit',17,'node',2),('suscipit',19,'node',2),('suscipit',21,'node',1),('suscipit',25,'node',3.86282),('suscipit',28,'node',1),('suscipit',30,'node',2),('suscipit',31,'node',1),('suscipit',36,'node',2),('suscipit',37,'node',2),('suscipit',38,'node',1),('suscipit',39,'node',1),('suscipit',42,'node',0.949597),('suspendisse',5,'node',1),('suspendisse',8,'node',1),('suspendisse',9,'node',1),('suspendisse',10,'node',1),('suspendisse',11,'node',2),('suspendisse',12,'node',2),('suspendisse',16,'node',2),('suspendisse',19,'node',2.88782),('suspendisse',21,'node',2),('suspendisse',22,'node',1),('suspendisse',23,'node',1.99315),('suspendisse',25,'node',1),('suspendisse',29,'node',1),('suspendisse',30,'node',1),('suspendisse',31,'node',1),('suspendisse',36,'node',1),('suspendisse',37,'node',1),('suspendisse',39,'node',4),('suspendisse',42,'node',0.997306),('suspendisse',45,'node',1),('suvs',25,'node',9.81996),('suvs',39,'node',10.7896),('suvs',41,'node',11),('suvs',42,'node',10.0072),('suvs',43,'node',9.81996),('svalbard',18,'node',0.60778),('swaziland',18,'node',0.60322),('sweden',18,'node',0.601716),('switzerland',18,'node',0.600219),('syria',18,'node',0.59873),('system',25,'node',11),('system',35,'node',11),('system',36,'node',11),('system',37,'node',11),('system',39,'node',11),('system',43,'node',11),('systems',25,'node',11),('systems',35,'node',11),('systems',36,'node',11),('systems',38,'node',11),('systems',39,'node',11),('systems',40,'node',11),('systems',41,'node',11),('systems',42,'node',11),('taciti',9,'node',1),('taciti',28,'node',1),('taiwan',18,'node',0.597248),('tajikistan',18,'node',0.595774),('tanzania',18,'node',0.594307),('tellus',1,'node',2),('tellus',2,'node',1),('tellus',4,'node',3),('tellus',6,'node',1),('tellus',7,'node',2),('tellus',8,'node',30),('tellus',13,'node',1),('tellus',15,'node',1),('tellus',16,'node',55.9973),('tellus',17,'node',4),('tellus',19,'node',1.855),('tellus',20,'node',1),('tellus',21,'node',1),('tellus',25,'node',1),('tellus',30,'node',2),('tellus',31,'node',1),('tellus',35,'node',1),('tellus',38,'node',1),('tellus',39,'node',1),('tellus',42,'node',1),('tellus',43,'node',2),('tellus',45,'node',1),('tempor',1,'node',1),('tempor',3,'node',4),('tempor',6,'node',4),('tempor',7,'node',1),('tempor',8,'node',2),('tempor',10,'node',1),('tempor',11,'node',1),('tempor',13,'node',1),('tempor',14,'node',26),('tempor',15,'node',1),('tempor',19,'node',0.931053),('tempor',21,'node',2),('tempor',23,'node',1),('tempor',25,'node',0.980874),('tempor',26,'node',1),('tempor',28,'node',2),('tempor',29,'node',1),('tempor',31,'node',1),('tempor',36,'node',3),('tempor',37,'node',3),('tempor',40,'node',1),('tempor',41,'node',2),('tempor',42,'node',2),('tempor',43,'node',1),('tempor',44,'node',1),('tempor',45,'node',1),('tempus',1,'node',2),('tempus',2,'node',28),('tempus',3,'node',27),('tempus',4,'node',1),('tempus',5,'node',1),('tempus',7,'node',1),('tempus',9,'node',1),('tempus',11,'node',26),('tempus',12,'node',1),('tempus',13,'node',2),('tempus',14,'node',3),('tempus',16,'node',1),('tempus',19,'node',0.989021),('tempus',20,'node',2),('tempus',22,'node',3),('tempus',25,'node',1),('tempus',30,'node',1),('tempus',31,'node',3),('tempus',36,'node',1),('tempus',37,'node',1),('tempus',40,'node',1),('tempus',42,'node',1),('territories',18,'node',0.993146),('territory',18,'node',1.70583),('test',18,'node',0.539902),('thailand',18,'node',0.592848),('that',18,'node',1.02288),('the',18,'node',2.81887),('the',23,'node',33),('the',25,'node',44),('the',35,'node',11),('the',36,'node',11),('the',37,'node',11),('the',38,'node',11),('the',39,'node',11),('the',40,'node',11),('the',41,'node',11),('the',42,'node',11),('the',43,'node',11),('the',48,'node',2),('thu',16,'node',2),('timorleste',18,'node',0.591395),('tincidunt',1,'node',2),('tincidunt',2,'node',1),('tincidunt',3,'node',1),('tincidunt',4,'node',2),('tincidunt',5,'node',2),('tincidunt',7,'node',2),('tincidunt',8,'node',1),('tincidunt',10,'node',2),('tincidunt',11,'node',1),('tincidunt',12,'node',1),('tincidunt',13,'node',1),('tincidunt',14,'node',27),('tincidunt',15,'node',3),('tincidunt',16,'node',5),('tincidunt',19,'node',0.892724),('tincidunt',20,'node',1),('tincidunt',21,'node',3),('tincidunt',22,'node',3),('tincidunt',23,'node',5),('tincidunt',25,'node',3.93047),('tincidunt',28,'node',4),('tincidunt',29,'node',1),('tincidunt',30,'node',4),('tincidunt',31,'node',1),('tincidunt',36,'node',1),('tincidunt',37,'node',1),('tincidunt',39,'node',1),('tincidunt',41,'node',1),('tincidunt',43,'node',1),('tincidunt',44,'node',1),('tittle',46,'node',1),('tobago',18,'node',0.584241),('togo',18,'node',0.58995),('tokelau',18,'node',0.588512),('tome',18,'node',0.646943),('tonga',18,'node',0.587082),('torquent',9,'node',1),('torquent',28,'node',1),('tortor',1,'node',2),('tortor',2,'node',1),('tortor',3,'node',3),('tortor',5,'node',1),('tortor',6,'node',3),('tortor',8,'node',3),('tortor',10,'node',1),('tortor',13,'node',2),('tortor',14,'node',29),('tortor',16,'node',2),('tortor',17,'node',1),('tortor',19,'node',3.8894),('tortor',23,'node',1),('tortor',25,'node',1),('tortor',28,'node',3),('tortor',29,'node',2),('tortor',30,'node',1),('tortor',31,'node',2),('tortor',38,'node',1),('tortor',39,'node',2),('tortor',42,'node',1),('tortor',43,'node',0.942091),('totam',12,'node',4.90299),('trinidad',18,'node',0.585658),('tristique',3,'node',26),('tristique',4,'node',3),('tristique',8,'node',1),('tristique',10,'node',2),('tristique',15,'node',1),('tristique',16,'node',29),('tristique',19,'node',3.94583),('tristique',20,'node',1),('tristique',21,'node',2),('tristique',23,'node',1),('tristique',25,'node',2),('tristique',27,'node',1),('tristique',29,'node',2),('tristique',30,'node',1),('tristique',31,'node',1),('tristique',36,'node',1),('tristique',37,'node',1),('tristique',39,'node',1),('tristique',40,'node',1),('tristique',42,'node',1),('tristique',43,'node',1),('tristique',45,'node',2),('trucks',23,'node',10.8792),('trucks',25,'node',9.89399),('trucks',35,'node',11),('trucks',36,'node',10.4874),('trucks',37,'node',10.8342),('trucks',38,'node',11),('trucks',39,'node',10.8792),('trucks',41,'node',11),('trucks',42,'node',10.0841),('trucks',43,'node',9.89399),('tunisia',18,'node',0.582831),('turkey',18,'node',0.581429),('turkmenistan',18,'node',0.580033),('turks',18,'node',0.578643),('turpis',1,'node',1),('turpis',3,'node',1),('turpis',4,'node',1),('turpis',6,'node',2),('turpis',8,'node',2),('turpis',9,'node',2),('turpis',10,'node',2),('turpis',11,'node',2),('turpis',12,'node',10.3222),('turpis',13,'node',14),('turpis',14,'node',3),('turpis',15,'node',2),('turpis',16,'node',1),('turpis',19,'node',2.93794),('turpis',20,'node',1),('turpis',23,'node',1.99315),('turpis',27,'node',1),('turpis',28,'node',3),('turpis',29,'node',2),('turpis',30,'node',1),('turpis',36,'node',1),('turpis',37,'node',1),('turpis',40,'node',2),('turpis',41,'node',1),('turpis',43,'node',1.93105),('tuvalu',18,'node',0.575885),('type',18,'node',0.543537),('typed',48,'node',1),('uganda',18,'node',0.574516),('ukraine',18,'node',0.573154),('ullamcorper',1,'node',1),('ullamcorper',3,'node',1),('ullamcorper',5,'node',2),('ullamcorper',7,'node',1),('ullamcorper',8,'node',1),('ullamcorper',9,'node',2),('ullamcorper',10,'node',1),('ullamcorper',14,'node',3),('ullamcorper',15,'node',1),('ullamcorper',16,'node',1),('ullamcorper',19,'node',1.99315),('ullamcorper',20,'node',1),('ullamcorper',21,'node',1),('ullamcorper',23,'node',1),('ullamcorper',28,'node',1),('ullamcorper',31,'node',1),('ullamcorper',39,'node',1),('ullamcorper',42,'node',1),('ullamcorper',45,'node',1),('ultrices',3,'node',2),('ultrices',6,'node',26),('ultrices',8,'node',1),('ultrices',10,'node',1),('ultrices',12,'node',11.4041),('ultrices',13,'node',3),('ultrices',14,'node',1),('ultrices',15,'node',11),('ultrices',16,'node',1),('ultrices',20,'node',1),('ultrices',21,'node',1),('ultrices',29,'node',1),('ultrices',30,'node',2),('ultrices',34,'node',26),('ultrices',35,'node',1),('ultrices',36,'node',0.976851),('ultrices',37,'node',1),('ultrices',39,'node',1),('ultrices',45,'node',1),('ultricies',1,'node',2),('ultricies',3,'node',1),('ultricies',5,'node',2),('ultricies',6,'node',2),('ultricies',7,'node',1),('ultricies',9,'node',2),('ultricies',13,'node',1),('ultricies',15,'node',1),('ultricies',16,'node',2),('ultricies',17,'node',2),('ultricies',19,'node',4.86633),('ultricies',21,'node',4),('ultricies',23,'node',2),('ultricies',25,'node',3.92027),('ultricies',31,'node',1),('ultricies',38,'node',1),('ultricies',45,'node',2),('unde',12,'node',5.87984),('united',18,'node',2.27112),('united',32,'node',1),('united',33,'node',1),('united',34,'node',1),('url',48,'node',1),('urna',2,'node',4),('urna',3,'node',1),('urna',5,'node',2),('urna',6,'node',1),('urna',7,'node',2),('urna',8,'node',1),('urna',10,'node',1),('urna',11,'node',1),('urna',14,'node',5),('urna',16,'node',1),('urna',17,'node',1),('urna',19,'node',3.82313),('urna',20,'node',1),('urna',22,'node',2),('urna',25,'node',1),('urna',28,'node',2),('urna',31,'node',3),('urna',36,'node',1.99731),('urna',37,'node',2),('urna',38,'node',1),('urna',40,'node',1),('urna',41,'node',1),('urna',42,'node',3.99731),('urna',43,'node',0.938382),('urna',45,'node',2),('uruguay',18,'node',0.562486),('use',18,'node',0.530446),('uzbekistan',18,'node',0.561181),('vans',25,'node',9.85684),('vans',39,'node',10.8342),('vans',41,'node',11),('vans',42,'node',10.0455),('vans',43,'node',9.85684),('vanuatu',18,'node',0.559882),('varius',1,'node',3),('varius',4,'node',3),('varius',6,'node',1),('varius',7,'node',1),('varius',8,'node',1),('varius',9,'node',3),('varius',10,'node',1),('varius',14,'node',1),('varius',16,'node',1),('varius',17,'node',1),('varius',19,'node',2.69223),('varius',20,'node',1),('varius',28,'node',1),('varius',30,'node',1),('varius',35,'node',1),('varius',38,'node',1),('varius',40,'node',2),('varius',41,'node',2),('vatican',18,'node',0.558589),('vehicle',19,'node',26),('vehicula',3,'node',1),('vehicula',4,'node',1),('vehicula',5,'node',2),('vehicula',6,'node',1),('vehicula',8,'node',1),('vehicula',13,'node',1),('vehicula',17,'node',1),('vehicula',19,'node',1),('vehicula',20,'node',1),('vehicula',22,'node',1),('vehicula',25,'node',1),('vehicula',28,'node',1),('vehicula',29,'node',1),('vehicula',31,'node',2),('vehicula',36,'node',3),('vehicula',37,'node',3),('vehicula',38,'node',1),('vehicula',40,'node',1),('vehicula',42,'node',1.98493),('vehicula',43,'node',3.85532),('vehicula',44,'node',1),('vel',1,'node',4),('vel',2,'node',27),('vel',3,'node',1),('vel',4,'node',29),('vel',5,'node',1),('vel',6,'node',4),('vel',7,'node',2),('vel',8,'node',1),('vel',9,'node',2),('vel',10,'node',2),('vel',11,'node',1),('vel',12,'node',1),('vel',13,'node',2),('vel',14,'node',5),('vel',15,'node',2),('vel',16,'node',3),('vel',17,'node',1),('vel',19,'node',5.85945),('vel',20,'node',2),('vel',21,'node',1),('vel',22,'node',4),('vel',23,'node',2),('vel',25,'node',1.92027),('vel',26,'node',27),('vel',28,'node',2),('vel',29,'node',1),('vel',30,'node',3),('vel',31,'node',2),('vel',35,'node',1),('vel',36,'node',3),('vel',37,'node',3),('vel',38,'node',2),('vel',41,'node',2),('vel',42,'node',3.93201),('vel',44,'node',1),('vel',45,'node',1),('velit',1,'node',1),('velit',2,'node',2),('velit',3,'node',1),('velit',5,'node',1),('velit',6,'node',1),('velit',7,'node',1),('velit',8,'node',3),('velit',9,'node',1),('velit',10,'node',2),('velit',11,'node',1),('velit',12,'node',0.961087),('velit',13,'node',1),('velit',14,'node',2),('velit',15,'node',2),('velit',17,'node',2),('velit',19,'node',2),('velit',20,'node',1),('velit',22,'node',1),('velit',23,'node',1),('velit',25,'node',1.91323),('velit',28,'node',1),('velit',31,'node',1),('velit',39,'node',1),('velit',40,'node',1),('velit',41,'node',1),('velit',43,'node',1),('velit',44,'node',1),('velit',45,'node',1),('venenatis',3,'node',2),('venenatis',5,'node',2),('venenatis',6,'node',3),('venenatis',9,'node',1),('venenatis',10,'node',1),('venenatis',11,'node',3),('venenatis',15,'node',2),('venenatis',16,'node',1),('venenatis',17,'node',2),('venenatis',19,'node',1),('venenatis',20,'node',1),('venenatis',21,'node',1),('venenatis',22,'node',1),('venenatis',29,'node',4),('venenatis',30,'node',1),('venenatis',36,'node',1),('venenatis',37,'node',1),('venenatis',39,'node',1),('venenatis',42,'node',0.980874),('venenatis',43,'node',1.99731),('venenatis',45,'node',1),('venezuela',18,'node',0.557303),('verde',18,'node',1),('veritatis',12,'node',4.90299),('vestibulum',1,'node',3),('vestibulum',2,'node',1),('vestibulum',3,'node',4),('vestibulum',4,'node',28),('vestibulum',5,'node',26),('vestibulum',6,'node',3),('vestibulum',7,'node',3),('vestibulum',8,'node',2),('vestibulum',9,'node',3),('vestibulum',10,'node',5),('vestibulum',11,'node',1),('vestibulum',12,'node',2),('vestibulum',13,'node',2),('vestibulum',15,'node',4),('vestibulum',16,'node',1),('vestibulum',17,'node',2),('vestibulum',19,'node',1.90974),('vestibulum',20,'node',1),('vestibulum',21,'node',3),('vestibulum',22,'node',1),('vestibulum',23,'node',2),('vestibulum',25,'node',4.79777),('vestibulum',26,'node',26),('vestibulum',28,'node',3),('vestibulum',29,'node',1),('vestibulum',30,'node',2),('vestibulum',32,'node',26),('vestibulum',34,'node',26),('vestibulum',36,'node',0.993146),('vestibulum',37,'node',1),('vestibulum',38,'node',1),('vestibulum',39,'node',1),('vestibulum',40,'node',1),('vestibulum',41,'node',1),('vestibulum',42,'node',2),('vestibulum',44,'node',1),('vietnam',18,'node',0.556022),('view',23,'node',33),('view',25,'node',44),('view',35,'node',11),('view',36,'node',11),('view',37,'node',11),('view',38,'node',11),('view',39,'node',11),('view',40,'node',11),('view',41,'node',11),('view',42,'node',11),('view',43,'node',11),('vincent',18,'node',0.657549),('virgin',18,'node',1.57452),('vision',35,'node',11),('vision',36,'node',11),('vitae',1,'node',2),('vitae',2,'node',2),('vitae',3,'node',28),('vitae',4,'node',1),('vitae',5,'node',2),('vitae',6,'node',1),('vitae',7,'node',2),('vitae',8,'node',2),('vitae',9,'node',29),('vitae',10,'node',2),('vitae',11,'node',2),('vitae',12,'node',6.90299),('vitae',13,'node',4),('vitae',14,'node',27),('vitae',15,'node',3),('vitae',16,'node',3),('vitae',17,'node',2),('vitae',19,'node',4.79247),('vitae',20,'node',5),('vitae',21,'node',2),('vitae',22,'node',1),('vitae',23,'node',1),('vitae',25,'node',0.972861),('vitae',26,'node',1),('vitae',27,'node',27),('vitae',28,'node',1),('vitae',29,'node',3),('vitae',30,'node',7),('vitae',31,'node',2),('vitae',35,'node',1),('vitae',36,'node',4),('vitae',37,'node',4),('vitae',38,'node',2),('vitae',40,'node',1),('vitae',41,'node',1),('vitae',42,'node',1),('vitae',43,'node',2),('vitae',44,'node',1),('vitae',45,'node',29),('vivamus',2,'node',1),('vivamus',4,'node',1),('vivamus',5,'node',1),('vivamus',7,'node',26),('vivamus',8,'node',28),('vivamus',10,'node',1),('vivamus',11,'node',1),('vivamus',14,'node',2),('vivamus',15,'node',2),('vivamus',16,'node',53.9973),('vivamus',20,'node',3),('vivamus',21,'node',1),('vivamus',29,'node',1),('vivamus',35,'node',1),('vivamus',36,'node',1),('vivamus',37,'node',1),('vivamus',42,'node',0.953396),('vivamus',43,'node',2.92384),('viverra',1,'node',1),('viverra',2,'node',4),('viverra',3,'node',1),('viverra',4,'node',1),('viverra',5,'node',1),('viverra',6,'node',1),('viverra',7,'node',1),('viverra',8,'node',1),('viverra',9,'node',2),('viverra',10,'node',2),('viverra',14,'node',3),('viverra',16,'node',2),('viverra',17,'node',1),('viverra',20,'node',3),('viverra',22,'node',4),('viverra',23,'node',1),('viverra',29,'node',1),('viverra',30,'node',1),('viverra',31,'node',1),('viverra',35,'node',1),('viverra',36,'node',1),('viverra',37,'node',1),('viverra',38,'node',1),('viverra',39,'node',2),('viverra',40,'node',1),('viverra',41,'node',1),('viverra',42,'node',1),('viverra',43,'node',2),('voluptas',12,'node',0.997306),('voluptatem',12,'node',5.90299),('volutpat',2,'node',1),('volutpat',4,'node',4),('volutpat',8,'node',1),('volutpat',9,'node',1),('volutpat',10,'node',1),('volutpat',11,'node',4),('volutpat',13,'node',2),('volutpat',15,'node',1),('volutpat',16,'node',3),('volutpat',19,'node',1),('volutpat',21,'node',1),('volutpat',28,'node',1),('volutpat',30,'node',1),('volutpat',36,'node',1),('volutpat',37,'node',1),('volutpat',38,'node',1),('volutpat',39,'node',1),('volutpat',42,'node',3),('volutpat',43,'node',1.91323),('volutpat',44,'node',1),('volvo',43,'node',26),('vulputate',2,'node',1),('vulputate',3,'node',1),('vulputate',4,'node',1),('vulputate',5,'node',1),('vulputate',6,'node',2),('vulputate',7,'node',2),('vulputate',9,'node',2),('vulputate',11,'node',2),('vulputate',12,'node',1),('vulputate',15,'node',1),('vulputate',17,'node',1),('vulputate',19,'node',1.87472),('vulputate',21,'node',2),('vulputate',22,'node',1),('vulputate',25,'node',0.945829),('vulputate',29,'node',1),('vulputate',30,'node',1),('vulputate',31,'node',3),('vulputate',36,'node',1),('vulputate',37,'node',1),('vulputate',39,'node',2),('vulputate',40,'node',1),('vulputate',43,'node',1),('vulputate',45,'node',1),('wallis',18,'node',0.554747),('want',48,'node',1),('wed',16,'node',1),('weebpal',32,'node',11),('weebpal',33,'node',11),('weebpal',34,'node',11),('western',18,'node',0.552215),('what',48,'node',1),('wheels',25,'node',11),('wheels',35,'node',11),('wheels',38,'node',11),('wheels',39,'node',11),('wheels',42,'node',11),('white',36,'node',11),('white',41,'node',11),('who',17,'node',16),('will',18,'node',0.507159),('with',18,'node',1.00801),('with',35,'node',11),('with',36,'node',11),('within',18,'node',0.516879),('yemen',18,'node',0.549707),('york',32,'node',1),('you',48,'node',4),('your',19,'node',26),('zambia',18,'node',0.548462),('zealand',18,'node',0.738408),('zimbabwe',18,'node',0.547222);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_node_links`
--

DROP TABLE IF EXISTS `search_node_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_node_links` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',
  `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',
  `caption` longtext COMMENT 'The text used to link to the node.nid.',
  PRIMARY KEY (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_node_links`
--

LOCK TABLES `search_node_links` WRITE;
/*!40000 ALTER TABLE `search_node_links` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `search_node_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_total` VALUES ('1',0.0163904),('118445535',0.30103),('118451586',0.30103),('118466692',0.30103),('1255',0.30103),('1290',0.0163904),('150',0.30103),('1851',0.30103),('1852',0.30103),('198',0.0347621),('198000',0.30103),('1series',0.0377886),('2',0.0151404),('200',0.30103),('200h',0.0163904),('2013',0.00796893),('2014',0.00265624),('2015',0.0163904),('230',0.30103),('230000',0.124939),('233600',0.176091),('23445454',0.30103),('236000',0.176091),('240',0.30103),('247',0.0163904),('250',0.176091),('256',0.30103),('280',0.124939),('290',0.124939),('3',0.0275759),('30800',0.30103),('3401176',0.30103),('34012187',0.30103),('3401873',0.30103),('350',0.30103),('3907008067',0.30103),('3907008076',0.30103),('3series',0.0193052),('404',0.0157943),('43',0.30103),('5',0.124939),('5651',0.30103),('596',0.176091),('643330',0.176091),('670',0.30103),('795',0.0163904),('8132014',0.30103),('8142014',0.176091),('84117',0.30103),('84118',0.176091),('85',0.09691),('86',0.0669468),('8series',0.0377886),('996',0.0511525),('about',0.0163904),('accent',0.0163904),('accordance',0.30103),('accumsan',0.00879612),('accusantium',0.080611),('adaptive',0.00490733),('adipisci',0.30103),('adipiscing',0.0105076),('admin',0.00768683),('adventure',0.0163904),('aenean',0.0212174),('afghanistan',0.30103),('africa',0.30103),('african',0.30103),('aland',0.30103),('albania',0.30103),('algeria',0.30103),('aliquam',0.00589148),('aliquet',0.00676902),('all',0.30103),('allroad',0.0163904),('also',0.30103),('ambience',0.0193052),('american',0.30103),('amet',0.00275914),('and',0.0080372),('andorra',0.30103),('angola',0.30103),('anguilla',0.30103),('anim',0.0990635),('antarctica',0.30103),('ante',0.00408056),('antigua',0.30103),('antilles',0.30103),('aperiam',0.080611),('aptent',0.124939),('arab',0.30103),('arabia',0.30103),('architecto',0.080611),('arcu',0.00634803),('are',0.0228478),('argentina',0.30103),('armenia',0.218249),('aruba',0.30103),('aspernatur',0.30103),('assistance',0.00281098),('attach',0.30103),('auctor',0.00768888),('audi',0.0163904),('augue',0.00934057),('australia',0.30103),('austria',0.30103),('aut',0.178298),('auto',0.0163904),('automatic',0.00560388),('autoxcom',0.012965),('aware',0.30103),('azerbaijan',0.30103),('bahamas',0.30103),('bahrain',0.30103),('bang',0.00653087),('bangladesh',0.30103),('barbados',0.30103),('barbuda',0.30103),('barthélemy',0.30103),('beatae',0.080611),('belarus',0.30103),('belgium',0.30103),('belize',0.30103),('benin',0.30103),('bermuda',0.30103),('best',0.0163904),('bhutan',0.30103),('bibendum',0.00744154),('bikes',0.00670355),('black',0.00975984),('blandit',0.00719133),('blog',0.00782534),('bmw',0.012573),('bolivia',0.30103),('bosnia',0.30103),('botswana',0.30103),('bouvet',0.30103),('brands',0.0163904),('brazil',0.30103),('brazzaville',0.30103),('british',0.176091),('brunei',0.30103),('build',0.0163904),('bulgaria',0.30103),('burkina',0.30103),('burundi',0.30103),('but',0.30103),('c30',0.0163904),('caicos',0.30103),('caledonia',0.30103),('california',0.0163904),('cambodia',0.30103),('cameroon',0.30103),('canada',0.30103),('cape',0.30103),('caribbean',0.30103),('cars',0.00328167),('cayman',0.30103),('central',0.30103),('chad',0.30103),('check',0.30103),('chile',0.30103),('china',0.136212),('christmas',0.30103),('class',0.124939),('coast',0.30103),('cocos',0.30103),('colombia',0.30103),('colours',0.00436481),('comments',0.0969685),('commodo',0.015834),('comoros',0.30103),('companies',0.30103),('concept',0.0163904),('condimentum',0.0170333),('confirm',0.30103),('congo',0.176091),('congue',0.0185457),('consectetur',0.00496932),('consequat',0.0102406),('contact',0.0163904),('content',0.30103),('control',0.00782534),('conubia',0.124939),('convallis',0.0142417),('cook',0.30103),('correctly',0.30103),('costa',0.30103),('couldn',0.30103),('country',0.30103),('cras',0.017105),('croatia',0.30103),('cuba',0.30103),('cubilia',0.125929),('culpa',0.0990635),('cum',0.124939),('cupidatat',0.0990635),('curabitur',0.00755976),('curaçao',0.30103),('curae',0.126074),('cursus',0.00731311),('customer',0.0163904),('cyprus',0.30103),('czech',0.30103),('dapibus',0.0148344),('data',0.294036),('dazzlefree',0.00653087),('dealt',0.30103),('denmark',0.30103),('deserunt',0.0990635),('detail',0.30103),('diam',0.00364323),('dicta',0.080611),('dictum',0.00427197),('dictumst',0.09691),('dignissim',0.00338256),('dis',0.124939),('display',0.00490733),('distribute',0.30103),('djibouti',0.30103),('dolor',0.00555077),('dolorem',0.30103),('doloremque',0.080611),('dominica',0.30103),('dominican',0.30103),('donec',0.00553623),('drive',0.30103),('driver',0.00490733),('ducati',0.0163904),('dui',0.00328026),('duis',0.00719392),('dynamic',0.0193052),('eaque',0.080611),('ecuador',0.30103),('egestas',0.0119525),('eget',0.00465426),('egypt',0.30103),('eleifend',0.01711),('elementum',0.00626563),('elit',0.00419761),('email',0.30103),('emirates',0.30103),('enim',0.00450607),('entertainment',0.00975984),('enzo',0.0163904),('equatorial',0.30103),('erat',0.00331022),('eritrea',0.30103),('eros',0.00696667),('error',0.0682128),('est',0.0083324),('estonia',0.30103),('ethiopia',0.30103),('etiam',0.00651502),('euismod',0.00812555),('event',0.30103),('excepteur',0.30103),('explicabo',0.080611),('f40',0.012965),('facilisi',0.0669468),('facilisis',0.010754),('falkland',0.30103),('fames',0.0413927),('faroe',0.30103),('faso',0.30103),('faucibus',0.00296547),('felis',0.00655044),('fermentum',0.00745576),('ferrari',0.00415596),('feugiat',0.00683942),('fiji',0.30103),('file',0.30103),('financial',0.0163904),('find',0.30103),('finland',0.30103),('for',0.108467),('france',0.30103),('french',0.104897),('fringilla',0.0143229),('fugit',0.30103),('full',0.00196959),('fusce',0.00496733),('futuna',0.30103),('gabon',0.30103),('gambia',0.30103),('georgia',0.211064),('germany',0.30103),('ghana',0.30103),('gibraltar',0.30103),('glacier',0.0377886),('global',0.0163904),('grant',0.30103),('gravida',0.0222764),('greece',0.30103),('greenland',0.30103),('grenada',0.30103),('grenadines',0.30103),('group',0.30103),('guadeloupe',0.30103),('guam',0.30103),('guatemala',0.30103),('guernsey',0.30103),('guiana',0.30103),('guinea',0.139494),('guineabissau',0.30103),('guyana',0.30103),('habitant',0.0791812),('habitasse',0.09691),('hac',0.09691),('haiti',0.30103),('heading',0.00724546),('headtlights',0.00490733),('headup',0.0377886),('heard',0.30103),('helena',0.30103),('hendrerit',0.012644),('hereby',0.30103),('herzegovina',0.30103),('highbeam',0.00653087),('himenaeos',0.124939),('home',0.0377886),('honduras',0.30103),('hong',0.30103),('hungary',0.30103),('hyundai',0.0163904),('iaculis',0.0122424),('iceland',0.30103),('illo',0.080611),('image',0.00196959),('imperdiet',0.00768998),('inceptos',0.124939),('india',0.30103),('indian',0.30103),('indonesia',0.30103),('instrument',0.0193052),('integer',0.0087766),('interdum',0.0109954),('inventore',0.080611),('invitations',0.30103),('ipsa',0.080611),('ipsam',0.30103),('ipsum',0.00461364),('iran',0.30103),('iraq',0.30103),('ireland',0.30103),('island',0.105189),('islands',0.0337403),('isle',0.30103),('israel',0.30103),('iste',0.0682128),('italy',0.30103),('ivory',0.30103),('jamaica',0.30103),('jan',0.30103),('japan',0.30103),('jersey',0.30103),('jordan',0.30103),('justo',0.00718806),('kazakhstan',0.30103),('keeling',0.30103),('kenya',0.30103),('kingdom',0.30103),('kinshasa',0.30103),('kiribati',0.30103),('kitts',0.30103),('kong',0.30103),('korea',0.24294),('ktm',0.0163904),('kuwait',0.30103),('kyrgyzstan',0.30103),('laborum',0.0990635),('lacinia',0.0107757),('lacus',0.00481371),('lake',0.176091),('lanka',0.30103),('laoreet',0.0164434),('laos',0.30103),('latvia',0.30103),('laudantium',0.080611),('laura',0.124939),('lebanon',0.30103),('lectus',0.00550415),('led',0.00490733),('leo',0.00377343),('leone',0.30103),('lesotho',0.30103),('lexus',0.0163904),('liberia',0.30103),('libero',0.00684016),('libya',0.30103),('liechtenstein',0.30103),('light',0.0193052),('ligula',0.00358213),('lithuania',0.30103),('litora',0.124939),('lobortis',0.0122557),('log',0.0467733),('looking',0.176091),('lorem',0.00455428),('lucia',0.30103),('luctu',0.0163904),('luctus',0.00480646),('luxembourg',0.30103),('luxury',0.00406529),('maarten',0.30103),('macao',0.30103),('macedonia',0.30103),('madagascar',0.30103),('maecenas',0.00828048),('magna',0.0122519),('magnis',0.124939),('mail',0.30103),('maintenance',0.0163904),('make',0.30103),('malawi',0.30103),('malaysia',0.30103),('maldives',0.30103),('malesuada',0.00450597),('mali',0.30103),('malta',0.30103),('man',0.30103),('mantiz',0.0163904),('manual',0.00782534),('mariana',0.30103),('marino',0.30103),('marketing',0.30103),('marshall',0.30103),('martin',0.30103),('martinique',0.30103),('massa',0.00601307),('materials',0.00975984),('mattis',0.00370003),('mauris',0.00653314),('mauritania',0.30103),('mauritius',0.30103),('may',0.30103),('mayen',0.30103),('mayotte',0.30103),('mazda',0.0163904),('mazdaspeed',0.0163904),('mcdonald',0.30103),('mega',0.0163904),('menus',0.0163904),('metus',0.00428998),('mexico',0.30103),('micronesia',0.30103),('minor',0.30103),('miquelon',0.30103),('modify',0.30103),('moldova',0.30103),('molestie',0.00420286),('mollis',0.00730783),('mollit',0.0990635),('monaco',0.30103),('mongolia',0.30103),('monster',0.0163904),('montenegro',0.30103),('montes',0.124939),('montserrat',0.30103),('morbi',0.0153001),('morocco',0.30103),('mozambique',0.30103),('mrs',0.30103),('multifunctional',0.0193052),('mus',0.124939),('myanmar',0.30103),('nam',0.00827253),('name',0.176091),('namibia',0.30103),('nascetur',0.124939),('natoque',0.124939),('natus',0.0682128),('nauru',0.30103),('nec',0.00373499),('nemo',0.30103),('nepal',0.30103),('neque',0.0119925),('netherlands',0.146597),('netus',0.09691),('nevis',0.30103),('new',0.118648),('nibh',0.00369899),('nicaragua',0.30103),('niger',0.30103),('nigeria',0.30103),('night',0.0193052),('nisi',0.00460844),('nisl',0.00864871),('niue',0.30103),('non',0.00408938),('norfolk',0.30103),('north',0.30103),('northern',0.30103),('norway',0.30103),('nostra',0.124939),('nulla',0.00341214),('nullam',0.0142404),('nunc',0.00585851),('occaecat',0.0990635),('ocean',0.30103),('odio',0.0103123),('odit',0.30103),('officia',0.0990635),('olufsen',0.00653087),('oman',0.30103),('omnis',0.0682128),('optimize',0.0163904),('orci',0.00357705),('ornare',0.021283),('outlying',0.30103),('page',0.30103),('pakistan',0.30103),('palau',0.30103),('palestinian',0.30103),('panama',0.30103),('papua',0.30103),('paraguay',0.30103),('part',0.26752),('partners',0.30103),('parturient',0.124939),('pellentesque',0.00487942),('penatibus',0.124939),('per',0.0669468),('permalink',0.00975984),('personal',0.30103),('perspiciatis',0.0682128),('peru',0.30103),('pharetra',0.00383334),('phasellus',0.00771659),('philippines',0.30103),('phone',0.30103),('pierre',0.30103),('pine',0.30103),('pitcairn',0.30103),('place',0.30103),('placerat',0.017839),('platea',0.09691),('please',0.30103),('poland',0.30103),('polynesia',0.30103),('porta',0.00541166),('porttitor',0.00347104),('portugal',0.30103),('post',0.0969685),('posuere',0.00396717),('potenti',0.0791812),('praesent',0.0147687),('pretium',0.0066353),('prevailing',0.30103),('primis',0.0122397),('principe',0.30103),('privacy',0.30103),('proident',0.0990635),('proin',0.00546838),('protection',0.30103),('puerto',0.30103),('pulvinar',0.017821),('purpose',0.30103),('purus',0.00352341),('qatar',0.30103),('quae',0.080611),('quam',0.00982259),('quasi',0.080611),('qui',0.0809599),('quia',0.178372),('quis',0.00211523),('quisque',0.00541242),('rearseat',0.00975984),('red',0.012965),('register',0.0467733),('regulations',0.30103),('rem',0.080611),('repair',0.0163904),('reproduce',0.30103),('republic',0.124939),('request',0.20881),('research',0.30103),('return',0.0377886),('reunion',0.30103),('rhoncus',0.00496628),('rica',0.30103),('rico',0.30103),('ridiculus',0.124939),('right',0.30103),('risus',0.0107535),('romania',0.30103),('russia',0.30103),('rutrum',0.0171381),('rwanda',0.30103),('sagittis',0.00717858),('sahara',0.30103),('saint',0.084285),('sales',0.30103),('salt',0.176091),('salutation',0.30103),('salvador',0.30103),('samoa',0.205543),('san',0.30103),('sandwich',0.30103),('sao',0.30103),('sapien',0.0083062),('sar',0.199234),('saudi',0.30103),('scelerisque',0.0042828),('search',0.30103),('sebastian',0.012965),('sed',0.00182376),('selling',0.0163904),('sem',0.00460262),('semper',0.00706633),('send',0.0163904),('senectus',0.09691),('senegal',0.30103),('serbia',0.30103),('services',0.0163904),('seychelles',0.30103),('shade',0.30103),('sierra',0.30103),('silver',0.0377886),('singapore',0.30103),('sint',0.0865748),('sit',0.00319255),('slovakia',0.30103),('slovenia',0.30103),('sociis',0.124939),('sociosqu',0.124939),('sodales',0.00720453),('sollicitudin',0.00685667),('solomon',0.30103),('somalia',0.30103),('sorry',0.30103),('sound',0.00653087),('south',0.121917),('southern',0.30103),('spain',0.30103),('sport',0.00407468),('spot',0.0193052),('sri',0.30103),('states',0.0941356),('statistical',0.30103),('submitted',0.09691),('sudan',0.259218),('sunt',0.0467133),('super',0.0163904),('support',0.30103),('supporter',0.0163904),('sure',0.30103),('suriname',0.30103),('suscipit',0.00609013),('suspendisse',0.0142975),('suvs',0.00592831),('svalbard',0.30103),('swaziland',0.30103),('sweden',0.30103),('switzerland',0.30103),('syria',0.30103),('system',0.00653087),('systems',0.00490733),('taciti',0.124939),('taiwan',0.30103),('tajikistan',0.30103),('tanzania',0.30103),('tellus',0.0037326),('tempor',0.00653953),('tempus',0.0038608),('territories',0.30103),('territory',0.200365),('test',0.30103),('thailand',0.30103),('that',0.296145),('the',0.0023952),('thu',0.176091),('timorleste',0.30103),('tincidunt',0.00491933),('tittle',0.30103),('tobago',0.30103),('togo',0.30103),('tokelau',0.30103),('tome',0.30103),('tonga',0.30103),('torquent',0.124939),('tortor',0.00584276),('totam',0.080611),('trinidad',0.30103),('tristique',0.00508275),('trucks',0.00339676),('tunisia',0.30103),('turkey',0.30103),('turkmenistan',0.30103),('turks',0.30103),('turpis',0.00623242),('tuvalu',0.30103),('type',0.30103),('typed',0.30103),('uganda',0.30103),('ukraine',0.30103),('ullamcorper',0.0177337),('ultrices',0.00462606),('ultricies',0.0123085),('unde',0.0682128),('united',0.0754422),('url',0.30103),('urna',0.00919057),('uruguay',0.30103),('use',0.30103),('uzbekistan',0.30103),('vans',0.00591237),('vanuatu',0.30103),('varius',0.0148785),('vatican',0.30103),('vehicle',0.0163904),('vehicula',0.01343),('vel',0.00276249),('velit',0.0116208),('venenatis',0.0129734),('venezuela',0.30103),('verde',0.30103),('veritatis',0.080611),('vestibulum',0.0022023),('vietnam',0.215549),('view',0.00196959),('vincent',0.30103),('virgin',0.213548),('vision',0.0193052),('vitae',0.00196364),('vivamus',0.00330579),('viverra',0.00954532),('voluptas',0.30103),('voluptatem',0.0679652),('volutpat',0.0113157),('volvo',0.0163904),('vulputate',0.0130348),('wallis',0.30103),('want',0.30103),('wed',0.30103),('weebpal',0.012965),('western',0.30103),('what',0.30103),('wheels',0.00782534),('white',0.0193052),('who',0.0263289),('will',0.30103),('with',0.0184771),('within',0.30103),('yemen',0.30103),('york',0.30103),('you',0.09691),('your',0.0163904),('zambia',0.30103),('zealand',0.30103),('zimbabwe',0.30103);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sequences` VALUES (14);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',
  `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',
  `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`,`ssid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`),
  KEY `ssid` (`ssid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sessions` VALUES (1,'Ywke-j4TH_TXBZmpW8FUSp7TShVbC8KsCZXLP_RgDNo','','192.168.1.49',1500440361,0,'');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set`
--

DROP TABLE IF EXISTS `shortcut_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set` (
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set`
--

LOCK TABLES `shortcut_set` WRITE;
/*!40000 ALTER TABLE `shortcut_set` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut_set` VALUES ('shortcut-set-1','Default');
/*!40000 ALTER TABLE `shortcut_set` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `system`
--

DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',
  `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, or theme_engine.',
  `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',
  `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',
  `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',
  PRIMARY KEY (`filename`),
  KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),
  KEY `type_name` (`type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system`
--

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module','aggregator','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Aggregator\";s:11:\"description\";s:57:\"Aggregates syndicated content (RSS, RDF, and Atom feeds).\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"aggregator.test\";}s:9:\"configure\";s:41:\"admin/config/services/aggregator/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"aggregator.css\";s:33:\"modules/aggregator/aggregator.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/aggregator/tests/aggregator_test.module','aggregator_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Aggregator module tests\";s:11:\"description\";s:46:\"Support module for aggregator related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/block/block.module','block','module','',1,0,7009,-5,'a:13:{s:4:\"name\";s:5:\"Block\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/block/tests/block_test.module','block_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Block test\";s:11:\"description\";s:21:\"Provides test blocks.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/blog/blog.module','blog','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Blog\";s:11:\"description\";s:25:\"Enables multi-user blogs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"blog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/book/book.module','book','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:4:\"Book\";s:11:\"description\";s:66:\"Allows users to create and organize related content in an outline.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"book.test\";}s:9:\"configure\";s:27:\"admin/content/book/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"book.css\";s:21:\"modules/book/book.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/color/color.module','color','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Color\";s:11:\"description\";s:70:\"Allows administrators to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"color.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/comment/comment.module','comment','module','',1,0,7009,0,'a:14:{s:4:\"name\";s:7:\"Comment\";s:11:\"description\";s:57:\"Allows users to comment on and discuss published content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"text\";}s:5:\"files\";a:2:{i:0;s:14:\"comment.module\";i:1;s:12:\"comment.test\";}s:9:\"configure\";s:21:\"admin/content/comment\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"comment.css\";s:27:\"modules/comment/comment.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contact/contact.module','contact','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Contact\";s:11:\"description\";s:61:\"Enables the use of both personal and site-wide contact forms.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"contact.test\";}s:9:\"configure\";s:23:\"admin/structure/contact\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contextual/contextual.module','contextual','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Contextual links\";s:11:\"description\";s:75:\"Provides contextual links to perform actions related to elements on a page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"contextual.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dashboard/dashboard.module','dashboard','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"Dashboard\";s:11:\"description\";s:136:\"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:5:\"files\";a:1:{i:0;s:14:\"dashboard.test\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:9:\"configure\";s:25:\"admin/dashboard/customize\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dblog/dblog.module','dblog','module','',1,1,7003,0,'a:12:{s:4:\"name\";s:16:\"Database logging\";s:11:\"description\";s:47:\"Logs and records system events to the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"dblog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/field.module','field','module','',1,0,7004,0,'a:14:{s:4:\"name\";s:5:\"Field\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"field.module\";i:1;s:16:\"field.attach.inc\";i:2;s:20:\"field.info.class.inc\";i:3;s:16:\"tests/field.test\";}s:12:\"dependencies\";a:1:{i:0;s:17:\"field_sql_storage\";}s:8:\"required\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"theme/field.css\";s:29:\"modules/field/theme/field.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/field_sql_storage/field_sql_storage.module','field_sql_storage','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:17:\"Field SQL storage\";s:11:\"description\";s:37:\"Stores field data in an SQL database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:22:\"field_sql_storage.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/list.module','list','module','',1,0,7002,0,'a:12:{s:4:\"name\";s:4:\"List\";s:11:\"description\";s:69:\"Defines list field types. Use with Options to create selection lists.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/list.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/tests/list_test.module','list_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"List test\";s:11:\"description\";s:41:\"Support module for the List module tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/field/modules/number/number.module','number','module','',1,0,0,0,'a:14:{s:4:\"name\";s:6:\"Number\";s:11:\"description\";s:28:\"Defines numeric field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:11:\"number.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/field/modules/options/options.module','options','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Options\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:12:\"options.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/text/text.module','text','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:4:\"Text\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:9:\"text.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/field/tests/field_test.module','field_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Field API Test\";s:11:\"description\";s:39:\"Support module for the Field API tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:5:\"files\";a:1:{i:0;s:21:\"field_test.entity.inc\";}s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field_ui/field_ui.module','field_ui','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Field UI\";s:11:\"description\";s:33:\"User interface for the Field API.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:13:\"field_ui.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/file.module','file','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"File\";s:11:\"description\";s:26:\"Defines a file field type.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/file.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/tests/file_module_test.module','file_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:53:\"Provides hooks for testing File module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/filter/filter.module','filter','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:6:\"Filter\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"filter.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:28:\"admin/config/content/formats\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/forum/forum.module','forum','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:5:\"Forum\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"forum.test\";}s:9:\"configure\";s:21:\"admin/structure/forum\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:9:\"forum.css\";s:23:\"modules/forum/forum.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/help/help.module','help','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Help\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"help.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/image/image.module','image','module','',1,0,7005,0,'a:15:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";s:34:\"Provides image manipulation tools.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:5:\"files\";a:1:{i:0;s:10:\"image.test\";}s:9:\"configure\";s:31:\"admin/config/media/image-styles\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/image/tests/image_module_test.module','image_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:69:\"Provides hook implementations for testing Image module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"image_module_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/locale.module','locale','module','',1,0,7005,0,'a:13:{s:4:\"name\";s:6:\"Locale\";s:11:\"description\";s:119:\"Adds language handling functionality and enables the translation of the user interface to languages other than English.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"locale.test\";}s:9:\"configure\";s:30:\"admin/config/regional/language\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/tests/locale_test.module','locale_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Locale Test\";s:11:\"description\";s:42:\"Support module for the locale layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/menu/menu.module','menu','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:4:\"Menu\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"menu.test\";}s:9:\"configure\";s:20:\"admin/structure/menu\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/node.module','node','module','',1,0,7016,0,'a:15:{s:4:\"name\";s:4:\"Node\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"node.module\";i:1;s:9:\"node.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:21:\"admin/structure/types\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"node.css\";s:21:\"modules/node/node.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_access_test.module','node_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Node module access tests\";s:11:\"description\";s:43:\"Support module for node permission testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test.module','node_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Node module tests\";s:11:\"description\";s:40:\"Support module for node related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test_exception.module','node_test_exception','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:27:\"Node module exception tests\";s:11:\"description\";s:50:\"Support module for node related exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/openid/openid.module','openid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:6:\"OpenID\";s:11:\"description\";s:48:\"Allows users to log into your site using OpenID.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"openid.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/openid/tests/openid_test.module','openid_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"OpenID dummy provider\";s:11:\"description\";s:33:\"OpenID provider used for testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"openid\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/overlay/overlay.module','overlay','module','',1,1,0,0,'a:12:{s:4:\"name\";s:7:\"Overlay\";s:11:\"description\";s:59:\"Displays the Drupal administration interface in an overlay.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/path/path.module','path','module','',1,0,0,0,'a:13:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"path.test\";}s:9:\"configure\";s:24:\"admin/config/search/path\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/php/php.module','php','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"PHP filter\";s:11:\"description\";s:50:\"Allows embedded PHP code/snippets to be evaluated.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"php.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/poll/poll.module','poll','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:4:\"Poll\";s:11:\"description\";s:95:\"Allows your site to capture votes on different topics in the form of multiple choice questions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"poll.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"poll.css\";s:21:\"modules/poll/poll.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/profile/profile.module','profile','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:7:\"Profile\";s:11:\"description\";s:36:\"Supports configurable user profiles.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"profile.test\";}s:9:\"configure\";s:27:\"admin/config/people/profile\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/rdf.module','rdf','module','',0,0,0,0,'a:12:{s:4:\"name\";s:3:\"RDF\";s:11:\"description\";s:148:\"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"rdf.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/tests/rdf_test.module','rdf_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"RDF module tests\";s:11:\"description\";s:38:\"Support module for RDF module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:4:\"blog\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/search.module','search','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:36:\"Enables site-wide keyword searching.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"search.extender.inc\";i:1;s:11:\"search.test\";}s:9:\"configure\";s:28:\"admin/config/search/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"search.css\";s:25:\"modules/search/search.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_embedded_form.module','search_embedded_form','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Search embedded form\";s:11:\"description\";s:59:\"Support module for search module testing of embedded forms.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_extra_type.module','search_extra_type','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Test search type\";s:11:\"description\";s:41:\"Support module for search module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_node_tags.module','search_node_tags','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Test search node tags\";s:11:\"description\";s:44:\"Support module for Node search tags testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/shortcut/shortcut.module','shortcut','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Shortcut\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"shortcut.test\";}s:9:\"configure\";s:36:\"admin/config/user-interface/shortcut\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/simpletest.module','simpletest','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Testing\";s:11:\"description\";s:53:\"Provides a framework for unit and functional testing.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:50:{i:0;s:15:\"simpletest.test\";i:1;s:24:\"drupal_web_test_case.php\";i:2;s:18:\"tests/actions.test\";i:3;s:15:\"tests/ajax.test\";i:4;s:16:\"tests/batch.test\";i:5;s:15:\"tests/boot.test\";i:6;s:20:\"tests/bootstrap.test\";i:7;s:16:\"tests/cache.test\";i:8;s:17:\"tests/common.test\";i:9;s:24:\"tests/database_test.test\";i:10;s:22:\"tests/entity_crud.test\";i:11;s:32:\"tests/entity_crud_hook_test.test\";i:12;s:23:\"tests/entity_query.test\";i:13;s:16:\"tests/error.test\";i:14;s:15:\"tests/file.test\";i:15;s:23:\"tests/filetransfer.test\";i:16;s:15:\"tests/form.test\";i:17;s:16:\"tests/graph.test\";i:18;s:16:\"tests/image.test\";i:19;s:15:\"tests/lock.test\";i:20;s:15:\"tests/mail.test\";i:21;s:15:\"tests/menu.test\";i:22;s:17:\"tests/module.test\";i:23;s:16:\"tests/pager.test\";i:24;s:19:\"tests/password.test\";i:25;s:15:\"tests/path.test\";i:26;s:19:\"tests/registry.test\";i:27;s:17:\"tests/schema.test\";i:28;s:18:\"tests/session.test\";i:29;s:20:\"tests/tablesort.test\";i:30;s:16:\"tests/theme.test\";i:31;s:18:\"tests/unicode.test\";i:32;s:17:\"tests/update.test\";i:33;s:17:\"tests/xmlrpc.test\";i:34;s:26:\"tests/upgrade/upgrade.test\";i:35;s:34:\"tests/upgrade/upgrade.comment.test\";i:36;s:33:\"tests/upgrade/upgrade.filter.test\";i:37;s:32:\"tests/upgrade/upgrade.forum.test\";i:38;s:33:\"tests/upgrade/upgrade.locale.test\";i:39;s:31:\"tests/upgrade/upgrade.menu.test\";i:40;s:31:\"tests/upgrade/upgrade.node.test\";i:41;s:35:\"tests/upgrade/upgrade.taxonomy.test\";i:42;s:34:\"tests/upgrade/upgrade.trigger.test\";i:43;s:39:\"tests/upgrade/upgrade.translatable.test\";i:44;s:33:\"tests/upgrade/upgrade.upload.test\";i:45;s:31:\"tests/upgrade/upgrade.user.test\";i:46;s:36:\"tests/upgrade/update.aggregator.test\";i:47;s:33:\"tests/upgrade/update.trigger.test\";i:48;s:31:\"tests/upgrade/update.field.test\";i:49;s:30:\"tests/upgrade/update.user.test\";}s:9:\"configure\";s:41:\"admin/config/development/testing/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/actions_loop_test.module','actions_loop_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Actions loop test\";s:11:\"description\";s:39:\"Support module for action loop testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_forms_test.module','ajax_forms_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"AJAX form test mock module\";s:11:\"description\";s:25:\"Test for AJAX form calls.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_test.module','ajax_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"AJAX Test\";s:11:\"description\";s:40:\"Support module for AJAX framework tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/batch_test.module','batch_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Batch API test\";s:11:\"description\";s:35:\"Support module for Batch API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_1.module','boot_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:39:\"A support module for hook_boot testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_2.module','boot_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:44:\"A support module for hook_boot hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test.module','common_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:11:\"Common Test\";s:11:\"description\";s:32:\"Support module for Common tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:15:\"common_test.css\";s:40:\"modules/simpletest/tests/common_test.css\";}s:5:\"print\";a:1:{s:21:\"common_test.print.css\";s:46:\"modules/simpletest/tests/common_test.print.css\";}}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test_cron_helper.module','common_test_cron_helper','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Common Test Cron Helper\";s:11:\"description\";s:56:\"Helper module for CronRunTestCase::testCronExceptions().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/database_test.module','database_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Database Test\";s:11:\"description\";s:40:\"Support module for Database layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module','drupal_autoload_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:25:\"Drupal code registry test\";s:11:\"description\";s:45:\"Support module for testing the code registry.\";s:5:\"files\";a:2:{i:0;s:34:\"drupal_autoload_test_interface.inc\";i:1;s:30:\"drupal_autoload_test_class.inc\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module','drupal_system_listing_compatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"Drupal system listing compatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module','drupal_system_listing_incompatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"Drupal system listing incompatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test.module','entity_cache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Entity cache test\";s:11:\"description\";s:40:\"Support module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:28:\"entity_cache_test_dependency\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test_dependency.module','entity_cache_test_dependency','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity cache test dependency\";s:11:\"description\";s:51:\"Support dependency module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_crud_hook_test.module','entity_crud_hook_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Entity CRUD Hooks Test\";s:11:\"description\";s:35:\"Support module for CRUD hook tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_query_access_test.module','entity_query_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Entity query access test\";s:11:\"description\";s:49:\"Support module for checking entity query results.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/error_test.module','error_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Error test\";s:11:\"description\";s:47:\"Support module for error and exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/file_test.module','file_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:39:\"Support module for file handling tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"file_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/filter_test.module','filter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Filter test module\";s:11:\"description\";s:33:\"Tests filter hooks and functions.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/form_test.module','form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"FormAPI Test\";s:11:\"description\";s:34:\"Support module for Form API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/image_test.module','image_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:39:\"Support module for image toolkit tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/menu_test.module','menu_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook menu tests\";s:11:\"description\";s:37:\"Support module for menu hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/module_test.module','module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Module test\";s:11:\"description\";s:41:\"Support module for module system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/path_test.module','path_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook path tests\";s:11:\"description\";s:37:\"Support module for path hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_0_test/psr_0_test.module','psr_0_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-0 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_4_test/psr_4_test.module','psr_4_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-4 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements1_test.module','requirements1_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 1 Test\";s:11:\"description\";s:80:\"Tests that a module is not installed when it fails hook_requirements(\'install\').\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements2_test.module','requirements2_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 2 Test\";s:11:\"description\";s:98:\"Tests that a module is not installed when the one it depends on fails hook_requirements(\'install).\";s:12:\"dependencies\";a:2:{i:0;s:18:\"requirements1_test\";i:1;s:7:\"comment\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/session_test.module','session_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Session test\";s:11:\"description\";s:40:\"Support module for session data testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_dependencies_test.module','system_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"System dependency test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:19:\"_missing_dependency\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module','system_incompatible_core_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:50:\"System incompatible core version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:37:\"system_incompatible_core_version_test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_test.module','system_incompatible_core_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"System incompatible core version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"5.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module','system_incompatible_module_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:52:\"System incompatible module version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:46:\"system_incompatible_module_version_test (>2.0)\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_test.module','system_incompatible_module_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"System incompatible module version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_project_namespace_test.module','system_project_namespace_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"System project namespace test\";s:11:\"description\";s:58:\"Support module for testing project namespace dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:filter\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_test.module','system_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"System test\";s:11:\"description\";s:34:\"Support module for system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"system_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/taxonomy_test.module','taxonomy_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Taxonomy test module\";s:11:\"description\";s:45:\"\"Tests functions and hooks not used in core\".\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/theme_test.module','theme_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Theme test\";s:11:\"description\";s:40:\"Support module for theme system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_script_test.module','update_script_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Update script test\";s:11:\"description\";s:41:\"Support module for update script testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_1.module','update_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_2.module','update_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_3.module','update_test_3','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/url_alter_test.module','url_alter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Url_alter tests\";s:11:\"description\";s:45:\"A support modules for url_alter hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/xmlrpc_test.module','xmlrpc_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"XML-RPC Test\";s:11:\"description\";s:75:\"Support module for XML-RPC tests according to the validator1 specification.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/statistics/statistics.module','statistics','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Statistics\";s:11:\"description\";s:37:\"Logs access statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"statistics.test\";}s:9:\"configure\";s:30:\"admin/config/system/statistics\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/syslog/syslog.module','syslog','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:6:\"Syslog\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"syslog.test\";}s:9:\"configure\";s:32:\"admin/config/development/logging\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/system.module','system','module','',1,1,7081,0,'a:14:{s:4:\"name\";s:6:\"System\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:19:\"system.archiver.inc\";i:1;s:15:\"system.mail.inc\";i:2;s:16:\"system.queue.inc\";i:3;s:14:\"system.tar.inc\";i:4;s:18:\"system.updater.inc\";i:5;s:11:\"system.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/system\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/tests/cron_queue_test.module','cron_queue_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Cron Queue test\";s:11:\"description\";s:41:\"Support module for the cron queue runner.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/system/tests/system_cron_test.module','system_cron_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"System Cron Test\";s:11:\"description\";s:45:\"Support module for testing the system_cron().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/taxonomy/taxonomy.module','taxonomy','module','',1,0,7011,0,'a:15:{s:4:\"name\";s:8:\"Taxonomy\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"options\";}s:5:\"files\";a:2:{i:0;s:15:\"taxonomy.module\";i:1;s:13:\"taxonomy.test\";}s:9:\"configure\";s:24:\"admin/structure/taxonomy\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/toolbar/toolbar.module','toolbar','module','',0,0,0,0,'a:12:{s:4:\"name\";s:7:\"Toolbar\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/tracker/tracker.module','tracker','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Tracker\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"tracker.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/translation/tests/translation_test.module','translation_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Content Translation Test\";s:11:\"description\";s:49:\"Support module for the content translation tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/translation/translation.module','translation','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Content translation\";s:11:\"description\";s:57:\"Allows content to be translated into different languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"translation.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/trigger/tests/trigger_test.module','trigger_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Trigger Test\";s:11:\"description\";s:33:\"Support module for Trigger tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/trigger/trigger.module','trigger','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Trigger\";s:11:\"description\";s:90:\"Enables actions to be fired on certain system events, such as when new content is created.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"trigger.test\";}s:9:\"configure\";s:23:\"admin/structure/trigger\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/update/tests/aaa_update_test.module','aaa_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"AAA Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/bbb_update_test.module','bbb_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"BBB Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/ccc_update_test.module','ccc_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"CCC Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/update_test.module','update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/update.module','update','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:14:\"Update manager\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"update.test\";}s:9:\"configure\";s:30:\"admin/reports/updates/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/user/tests/user_form_test.module','user_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"User module form tests\";s:11:\"description\";s:37:\"Support module for user form testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/user/user.module','user','module','',1,0,7019,0,'a:15:{s:4:\"name\";s:4:\"User\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"user.module\";i:1;s:9:\"user.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/people\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"user.css\";s:21:\"modules/user/user.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('profiles/standard/standard.profile','standard','module','',1,0,0,1000,'a:15:{s:4:\"name\";s:8:\"Standard\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:21:{i:0;s:5:\"block\";i:1;s:5:\"color\";i:2;s:7:\"comment\";i:3;s:10:\"contextual\";i:4;s:9:\"dashboard\";i:5;s:4:\"help\";i:6;s:5:\"image\";i:7;s:4:\"list\";i:8;s:4:\"menu\";i:9;s:6:\"number\";i:10;s:7:\"options\";i:11;s:4:\"path\";i:12;s:8:\"taxonomy\";i:13;s:5:\"dblog\";i:14;s:6:\"search\";i:15;s:8:\"shortcut\";i:16;s:7:\"toolbar\";i:17;s:7:\"overlay\";i:18;s:8:\"field_ui\";i:19;s:4:\"file\";i:20;s:3:\"rdf\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:17:\"distribution_name\";s:6:\"Drupal\";}'),('sites/all/modules/addressfield/addressfield.module','addressfield','module','',1,0,7001,0,'a:14:{s:4:\"name\";s:13:\"Address Field\";s:11:\"description\";s:64:\"Manage a flexible address field, implementing the xNAL standard.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:4:{i:0;s:24:\"addressfield.migrate.inc\";i:1;s:62:\"views/addressfield_views_handler_field_administrative_area.inc\";i:2;s:50:\"views/addressfield_views_handler_field_country.inc\";i:3;s:51:\"views/addressfield_views_handler_filter_country.inc\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1444254070\";s:5:\"mtime\";i:1444254070;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/addressfield/example/addressfield_example.module','addressfield_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Address Field Example\";s:11:\"description\";s:67:\"Example module for how to implement an addressfield format handler.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:12:\"addressfield\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1444254070\";s:5:\"mtime\";i:1444254070;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_devel/admin_devel.module','admin_devel','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:32:\"Administration Development tools\";s:11:\"description\";s:76:\"Administration and debugging functionality for developers and site builders.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"scripts\";a:1:{s:14:\"admin_devel.js\";s:55:\"sites/all/modules/admin_menu/admin_devel/admin_devel.js\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu.module','admin_menu','module','',1,0,7304,100,'a:13:{s:4:\"name\";s:19:\"Administration menu\";s:11:\"description\";s:123:\"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:38:\"admin/config/administration/admin_menu\";s:12:\"dependencies\";a:1:{i:0;s:14:\"system (>7.10)\";}s:5:\"files\";a:1:{i:0;s:21:\"tests/admin_menu.test\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.module','admin_menu_toolbar','module','',1,0,6300,101,'a:12:{s:4:\"name\";s:33:\"Administration menu Toolbar style\";s:11:\"description\";s:17:\"A better Toolbar.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"admin_menu\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/autox_tools/autox_tools.module','autox_tools','module','',1,0,0,0,'a:10:{s:4:\"name\";s:11:\"AutoX Tools\";s:11:\"description\";s:48:\"Views plugins to show Google Maps from entities.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"AutoX\";s:12:\"dependencies\";a:1:{i:0;s:4:\"gmap\";}s:5:\"mtime\";i:1499940453;s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean.module','bean','module','',1,0,7013,0,'a:12:{s:4:\"name\";s:4:\"Bean\";s:11:\"description\";s:28:\"Create Bean (Block Entities)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:12:{i:0;s:22:\"includes/bean.core.inc\";i:1;s:22:\"includes/bean.info.inc\";i:2;s:28:\"plugins/BeanPlugin.class.php\";i:3;s:29:\"plugins/BeanDefault.class.php\";i:4;s:37:\"includes/translation.handler.bean.inc\";i:5;s:36:\"includes/bean.inline_entity_form.inc\";i:6;s:40:\"views/views_handler_filter_bean_type.inc\";i:7;s:39:\"views/views_handler_field_bean_type.inc\";i:8;s:44:\"views/views_handler_field_bean_edit_link.inc\";i:9;s:46:\"views/views_handler_field_bean_delete_link.inc\";i:10;s:45:\"views/views_handler_field_bean_operations.inc\";i:11;s:9:\"bean.test\";}s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:6:\"ctools\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','bean_admin_ui','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:13:\"Bean Admin UI\";s:11:\"description\";s:47:\"Add the ability to create Block Types in the UI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"bean_admin_ui.module\";i:1;s:28:\"plugins/BeanCustom.class.php\";}s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:9:\"configure\";s:27:\"admin/structure/block-types\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_entitycache/bean_entitycache.module','bean_entitycache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Bean - Entitycache\";s:11:\"description\";s:54:\"Integrates the Bean module with the Entitycache module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:5:\"files\";a:1:{i:0;s:34:\"includes/bean_entitycache.core.inc\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:11:\"entitycache\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_usage/bean_usage.module','bean_usage','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Bean Usage\";s:11:\"description\";s:32:\"View Bean (Block Entities) Usage\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:14:\"blockreference\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_uuid/bean_uuid.module','bean_uuid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Bean UUID\";s:11:\"description\";s:60:\"Allow deploying bean blocks through Deploy and UUID modules.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:4:\"uuid\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/tests/bean_test.module','bean_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Bean Test\";s:11:\"description\";s:29:\"Creates test plugins for bean\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:5:\"files\";a:1:{i:0;s:16:\"bean_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/better_exposed_filters.module','better_exposed_filters','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:11:\"description\";s:70:\"Allow the use of checkboxes or radio buttons for exposed Views filters\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:46:\"better_exposed_filters_exposed_form_plugin.inc\";i:1;s:33:\"tests/better_exposed_filters.test\";}s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:5:\"mtime\";i:1485926287;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/tests/bef_test_content/bef_test_content.module','bef_test_content','module','',0,0,-1,0,'a:15:{s:4:\"name\";s:16:\"BEF Test Content\";s:11:\"description\";s:53:\"Content and Views for testing Better Exposed Filters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"BEF Tests\";s:12:\"dependencies\";a:9:{i:0;s:22:\"better_exposed_filters\";i:1;s:4:\"date\";i:2;s:8:\"features\";i:3;s:4:\"list\";i:4;s:6:\"number\";i:5;s:8:\"taxonomy\";i:6;s:4:\"text\";i:7;s:5:\"views\";i:8;s:13:\"views_content\";}s:8:\"features\";a:7:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}s:10:\"field_base\";a:7:{i:0;s:19:\"field_bef_test_body\";i:1;s:19:\"field_bef_test_date\";i:2;s:22:\"field_bef_test_integer\";i:3;s:22:\"field_bef_test_letters\";i:4;s:23:\"field_bef_test_location\";i:5;s:22:\"field_bef_test_numbers\";i:6;s:20:\"field_bef_test_price\";}s:14:\"field_instance\";a:7:{i:0;s:33:\"node-bef_test-field_bef_test_body\";i:1;s:33:\"node-bef_test-field_bef_test_date\";i:2;s:36:\"node-bef_test-field_bef_test_integer\";i:3;s:36:\"node-bef_test-field_bef_test_letters\";i:4;s:37:\"node-bef_test-field_bef_test_location\";i:5;s:36:\"node-bef_test-field_bef_test_numbers\";i:6;s:34:\"node-bef_test-field_bef_test_price\";}s:4:\"node\";a:1:{i:0;s:8:\"bef_test\";}s:8:\"taxonomy\";a:1:{i:0;s:26:\"taxonomy-bef_test-location\";}s:10:\"views_view\";a:1:{i:0;s:13:\"bef_test_view\";}}s:16:\"features_exclude\";a:2:{s:12:\"dependencies\";a:2:{s:6:\"ctools\";s:6:\"ctools\";s:7:\"options\";s:7:\"options\";}s:5:\"field\";a:7:{s:18:\"node-bef_test-body\";s:18:\"node-bef_test-body\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_numbers\";s:27:\"node-bef_test-field_numbers\";s:28:\"node-bef_test-field_location\";s:28:\"node-bef_test-field_location\";s:27:\"node-bef_test-field_integer\";s:27:\"node-bef_test-field_integer\";s:25:\"node-bef_test-field_price\";s:25:\"node-bef_test-field_price\";s:24:\"node-bef_test-field_date\";s:24:\"node-bef_test-field_date\";}}s:6:\"hidden\";s:1:\"1\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:5:\"mtime\";i:1485926287;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/block_class.module','block_class','module','',1,0,7103,0,'a:13:{s:4:\"name\";s:11:\"Block Class\";s:11:\"description\";s:39:\"Allows assigning CSS classes to blocks.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:5:\"files\";a:1:{i:0;s:16:\"block_class.test\";}s:17:\"test_dependencies\";a:3:{i:0;s:7:\"context\";i:1;s:14:\"features (2.x)\";i:2;s:14:\"features_extra\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/tests/block_class_fe_block_test.module','block_class_fe_block_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:44:\"Block Class FE Block Integration Test Helper\";s:11:\"description\";s:99:\"Helper module for testing the integration of Block Class with Features through the FE Block module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:12:\"dependencies\";a:1:{i:0;s:8:\"fe_block\";}s:8:\"features\";a:2:{s:17:\"fe_block_settings\";a:1:{i:0;s:11:\"user-online\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/checklistapi/checklistapi.module','checklistapi','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Checklist API\";s:11:\"description\";s:61:\"Provides an API for creating fillable, persistent checklists.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Other\";s:5:\"files\";a:2:{i:0;s:49:\"lib/Drupal/checklistapi/ChecklistapiChecklist.php\";i:1;s:23:\"tests/checklistapi.test\";}s:9:\"configure\";s:26:\"admin/reports/checklistapi\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:12:\"checklistapi\";s:9:\"datestamp\";s:10:\"1409004834\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/checklistapi/checklistapi_example/checklistapi_example.module','checklistapi_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Checklist API example\";s:11:\"description\";s:56:\"Provides an example implementation of the Checklist API.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:15:\"Example modules\";s:12:\"dependencies\";a:1:{i:0;s:12:\"checklistapi\";}s:9:\"configure\";s:45:\"admin/config/development/checklistapi-example\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:12:\"checklistapi\";s:9:\"datestamp\";s:10:\"1409004834\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/checklistapi/tests/modules/checklistapi_test/checklistapi_test.module','checklistapi_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:25:\"Checklist API test module\";s:11:\"description\";s:60:\"Provides an implementation of the Checklist API for testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:7:\"7.x-1.2\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:12:\"checklistapi\";}s:6:\"hidden\";b:1;s:7:\"project\";s:12:\"checklistapi\";s:9:\"datestamp\";s:10:\"1409004834\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/colorbox/colorbox.module','colorbox','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Colorbox\";s:11:\"description\";s:63:\"A light-weight, customizable lightbox plugin for jQuery 1.4.3+.\";s:12:\"dependencies\";a:1:{i:0;s:15:\"libraries (2.x)\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/config/media/colorbox\";s:5:\"files\";a:1:{i:0;s:41:\"views/colorbox_handler_field_colorbox.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:5:\"mtime\";i:1499940453;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context.module','context','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:7:\"Context\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:11:\"description\";s:66:\"Provide modules with a cache that lasts for a single page request.\";s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:18:\"tests/context.test\";i:1;s:29:\"tests/context.conditions.test\";i:2;s:28:\"tests/context.reactions.test\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_layouts/context_layouts.module','context_layouts','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Context layouts\";s:11:\"description\";s:80:\"Allow theme layer to provide multiple region layouts and integrate with context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"plugins/context_layouts_reaction_block.inc\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_ui/context_ui.module','context_ui','module','',1,0,6004,0,'a:13:{s:4:\"name\";s:10:\"Context UI\";s:11:\"description\";s:68:\"Provides a simple UI for settings up a site structure using Context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/structure/context\";s:5:\"files\";a:2:{i:0;s:14:\"context.module\";i:1;s:21:\"tests/context_ui.test\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/countries.module','countries','module','',1,0,7205,0,'a:14:{s:4:\"name\";s:9:\"Countries\";s:11:\"description\";s:113:\"A module that provides a FAPI / Field country element and a simple wrapper module to store / update country data.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:50:\"views/views_handler_argument_countries_country.inc\";i:1;s:49:\"views/views_handler_field_countries_continent.inc\";i:2;s:56:\"views/views_handler_filter_countries_continents_list.inc\";i:3;s:45:\"views/views_handler_filter_countries_list.inc\";i:4;s:21:\"countries.migrate.inc\";i:5;s:20:\"tests/countries.test\";}s:9:\"configure\";s:31:\"admin/config/regional/countries\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:10:\"recommends\";a:1:{i:0;s:12:\"countryicons\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_configuration/countries_configuration.module','countries_configuration','module','',1,0,0,0,'a:12:{s:4:\"name\";s:23:\"Countries configuration\";s:11:\"description\";s:71:\"A configuration utility module to assist storing country specific data.\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.3\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_example/countries_example.module','countries_example','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Countries Example\";s:11:\"description\";s:24:\"Countries example module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:15:\"Example modules\";s:12:\"dependencies\";a:1:{i:0;s:9:\"countries\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_i18n/countries_i18n.module','countries_i18n','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Countries translation\";s:11:\"description\";s:25:\"Translation of countries.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:12:\"dependencies\";a:2:{i:0;s:9:\"countries\";i:1;s:11:\"i18n_string\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/bulk_export/bulk_export.module','bulk_export','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Bulk Export\";s:11:\"description\";s:67:\"Performs bulk exporting of data objects known about by Chaos tools.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools.module','ctools','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:11:\"Chaos tools\";s:11:\"description\";s:46:\"A library of helpful tools by Merlin of Chaos.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:5:\"files\";a:11:{i:0;s:20:\"includes/context.inc\";i:1;s:22:\"includes/css-cache.inc\";i:2;s:22:\"includes/math-expr.inc\";i:3;s:21:\"includes/stylizer.inc\";i:4;s:18:\"tests/context.test\";i:5;s:14:\"tests/css.test\";i:6;s:20:\"tests/css_cache.test\";i:7;s:25:\"tests/ctools.plugins.test\";i:8;s:26:\"tests/math_expression.test\";i:9;s:32:\"tests/math_expression_stack.test\";i:10;s:23:\"tests/object_cache.test\";}s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module','ctools_access_ruleset','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Custom rulesets\";s:11:\"description\";s:81:\"Create custom, exportable, reusable access rulesets for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module','ctools_ajax_sample','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:11:\"description\";s:41:\"Shows how to use the power of Chaos AJAX.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module','ctools_custom_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Custom content panes\";s:11:\"description\";s:79:\"Create custom, exportable, reusable content panes for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module','ctools_plugin_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:35:\"Chaos Tools (CTools) Plugin Example\";s:11:\"description\";s:75:\"Shows how an external module can provide ctools plugins (for Panels, etc.).\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:4:{i:0;s:6:\"ctools\";i:1;s:6:\"panels\";i:2;s:12:\"page_manager\";i:3;s:13:\"advanced_help\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/page_manager/page_manager.module','page_manager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Page manager\";s:11:\"description\";s:54:\"Provides a UI and API to manage pages within the site.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/stylizer/stylizer.module','stylizer','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Stylizer\";s:11:\"description\";s:53:\"Create custom styles for applications such as Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"color\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/term_depth/term_depth.module','term_depth','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Term Depth access\";s:11:\"description\";s:48:\"Controls access to context based upon term depth\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.module','ctools_export_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"CTools export test\";s:11:\"description\";s:25:\"CTools export test module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:6:\"hidden\";b:1;s:5:\"files\";a:1:{i:0;s:18:\"ctools_export.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_plugin_test.module','ctools_plugin_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Chaos tools plugins test\";s:11:\"description\";s:42:\"Provides hooks for testing ctools plugins.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:6:{i:0;s:19:\"ctools.plugins.test\";i:1;s:17:\"object_cache.test\";i:2;s:8:\"css.test\";i:3;s:12:\"context.test\";i:4;s:20:\"math_expression.test\";i:5;s:26:\"math_expression_stack.test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/views_content/views_content.module','views_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Views content panes\";s:11:\"description\";s:104:\"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.12\";s:5:\"files\";a:3:{i:0;s:61:\"plugins/views/views_content_plugin_display_ctools_context.inc\";i:1;s:57:\"plugins/views/views_content_plugin_display_panel_pane.inc\";i:2;s:59:\"plugins/views/views_content_plugin_style_ctools_context.inc\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date.module','date','module','',1,0,7005,0,'a:14:{s:4:\"name\";s:4:\"Date\";s:11:\"description\";s:33:\"Makes date/time fields available.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:10:{i:0;s:16:\"date.migrate.inc\";i:1;s:19:\"tests/date_api.test\";i:2;s:15:\"tests/date.test\";i:3;s:21:\"tests/date_field.test\";i:4;s:23:\"tests/date_migrate.test\";i:5;s:26:\"tests/date_validation.test\";i:6;s:24:\"tests/date_timezone.test\";i:7;s:27:\"tests/date_views_pager.test\";i:8;s:27:\"tests/date_views_popup.test\";i:9;s:20:\"tests/date_form.test\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/date/date_all_day/date_all_day.module','date_all_day','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Date All Day\";s:11:\"description\";s:142:\"Adds \'All Day\' functionality to date fields, including an \'All Day\' theme and \'All Day\' checkboxes for the Date select and Date popup widgets.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"date_api\";i:1;s:4:\"date\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_api/date_api.module','date_api','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:8:\"Date API\";s:11:\"description\";s:45:\"A Date API that can be used by other modules.\";s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"date.css\";s:40:\"sites/all/modules/date/date_api/date.css\";}}s:5:\"files\";a:2:{i:0;s:15:\"date_api.module\";i:1;s:16:\"date_api_sql.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:12:\"dependencies\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_context/date_context.module','date_context','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Date Context\";s:11:\"description\";s:99:\"Adds an option to the Context module to set a context condition based on the value of a date field.\";s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"date\";i:1;s:7:\"context\";}s:5:\"files\";a:2:{i:0;s:19:\"date_context.module\";i:1;s:39:\"plugins/date_context_date_condition.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_migrate/date_migrate.module','date_migrate','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Date Migration\";s:11:\"description\";s:73:\"Obsolete data migration module. Disable if no other modules depend on it.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"Date/Time\";s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.module','date_migrate_example','module','',0,0,-1,0,'a:13:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:5:{i:0;s:4:\"date\";i:1;s:11:\"date_repeat\";i:2;s:17:\"date_repeat_field\";i:3;s:8:\"features\";i:4;s:7:\"migrate\";}s:11:\"description\";s:42:\"Examples of migrating with the Date module\";s:8:\"features\";a:2:{s:5:\"field\";a:8:{i:0;s:30:\"node-date_migrate_example-body\";i:1;s:36:\"node-date_migrate_example-field_date\";i:2;s:42:\"node-date_migrate_example-field_date_range\";i:3;s:43:\"node-date_migrate_example-field_date_repeat\";i:4;s:41:\"node-date_migrate_example-field_datestamp\";i:5;s:47:\"node-date_migrate_example-field_datestamp_range\";i:6;s:40:\"node-date_migrate_example-field_datetime\";i:7;s:46:\"node-date_migrate_example-field_datetime_range\";}s:4:\"node\";a:1:{i:0;s:20:\"date_migrate_example\";}}s:5:\"files\";a:1:{i:0;s:32:\"date_migrate_example.migrate.inc\";}s:4:\"name\";s:22:\"Date Migration Example\";s:7:\"package\";s:8:\"Features\";s:7:\"project\";s:4:\"date\";s:7:\"version\";s:8:\"7.x-2.10\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_popup/date_popup.module','date_popup','module','',1,0,0,0,'a:14:{s:4:\"name\";s:10:\"Date Popup\";s:11:\"description\";s:84:\"Enables jquery popup calendars and time entry widgets for selecting dates and times.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/date/date_popup\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:25:\"themes/datepicker.1.7.css\";s:59:\"sites/all/modules/date/date_popup/themes/datepicker.1.7.css\";}}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_repeat/date_repeat.module','date_repeat','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Date Repeat API\";s:11:\"description\";s:73:\"A Date Repeat API to calculate repeating dates and times from iCal rules.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:2:{i:0;s:22:\"tests/date_repeat.test\";i:1;s:27:\"tests/date_repeat_form.test\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_repeat_field/date_repeat_field.module','date_repeat_field','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Date Repeat Field\";s:11:\"description\";s:97:\"Creates the option of Repeating date fields and manages Date fields that use the Date Repeat API.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"date_api\";i:1;s:4:\"date\";i:2;s:11:\"date_repeat\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:21:\"date_repeat_field.css\";s:62:\"sites/all/modules/date/date_repeat_field/date_repeat_field.css\";}}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_tools/date_tools.module','date_tools','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Date Tools\";s:11:\"description\";s:52:\"Tools to import and auto-create dates and calendars.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"date\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/config/date/tools\";s:5:\"files\";a:1:{i:0;s:21:\"tests/date_tools.test\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_views/date_views.module','date_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Date Views\";s:11:\"description\";s:57:\"Views integration for date fields and date functionality.\";s:7:\"package\";s:9:\"Date/Time\";s:12:\"dependencies\";a:2:{i:0;s:8:\"date_api\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:6:{i:0;s:40:\"includes/date_views_argument_handler.inc\";i:1;s:47:\"includes/date_views_argument_handler_simple.inc\";i:2;s:38:\"includes/date_views_filter_handler.inc\";i:3;s:45:\"includes/date_views_filter_handler_simple.inc\";i:4;s:29:\"includes/date_views.views.inc\";i:5;s:36:\"includes/date_views_plugin_pager.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/tests/date_test/date_test.module','date_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Date module tests\";s:11:\"description\";s:40:\"Support module for date related testing.\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:8:\"7.x-2.10\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:4:\"date\";}s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1491562090\";s:5:\"mtime\";i:1491562090;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel.module','devel','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:5:\"Devel\";s:11:\"description\";s:52:\"Various blocks, pages, and functions for developers.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/config/development/devel\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:5:\"files\";a:2:{i:0;s:10:\"devel.test\";i:1;s:14:\"devel.mail.inc\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel_generate/devel_generate.module','devel_generate','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:14:\"Devel generate\";s:11:\"description\";s:48:\"Generate dummy users, nodes, and taxonomy terms.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:9:\"configure\";s:33:\"admin/config/development/generate\";s:5:\"files\";a:1:{i:0;s:19:\"devel_generate.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel_node_access.module','devel_node_access','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:17:\"Devel node access\";s:11:\"description\";s:68:\"Developer blocks and page illustrating relevant node_access records.\";s:7:\"package\";s:11:\"Development\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/config/development/devel\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/email/email.module','email','module','',1,0,0,0,'a:14:{s:4:\"name\";s:5:\"Email\";s:11:\"description\";s:28:\"Defines an email field type.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:1:{i:0;s:17:\"email.migrate.inc\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:5:\"email\";s:9:\"datestamp\";s:10:\"1397134155\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/entity/entity.module','entity','module','',1,0,7003,0,'a:12:{s:4:\"name\";s:10:\"Entity API\";s:11:\"description\";s:69:\"Enables modules to work with any entity type and to provide entities.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:24:{i:0;s:19:\"entity.features.inc\";i:1;s:15:\"entity.i18n.inc\";i:2;s:15:\"entity.info.inc\";i:3;s:16:\"entity.rules.inc\";i:4;s:11:\"entity.test\";i:5;s:19:\"includes/entity.inc\";i:6;s:30:\"includes/entity.controller.inc\";i:7;s:22:\"includes/entity.ui.inc\";i:8;s:27:\"includes/entity.wrapper.inc\";i:9;s:22:\"views/entity.views.inc\";i:10;s:52:\"views/handlers/entity_views_field_handler_helper.inc\";i:11;s:51:\"views/handlers/entity_views_handler_area_entity.inc\";i:12;s:53:\"views/handlers/entity_views_handler_field_boolean.inc\";i:13;s:50:\"views/handlers/entity_views_handler_field_date.inc\";i:14;s:54:\"views/handlers/entity_views_handler_field_duration.inc\";i:15;s:52:\"views/handlers/entity_views_handler_field_entity.inc\";i:16;s:51:\"views/handlers/entity_views_handler_field_field.inc\";i:17;s:53:\"views/handlers/entity_views_handler_field_numeric.inc\";i:18;s:53:\"views/handlers/entity_views_handler_field_options.inc\";i:19;s:50:\"views/handlers/entity_views_handler_field_text.inc\";i:20;s:49:\"views/handlers/entity_views_handler_field_uri.inc\";i:21;s:62:\"views/handlers/entity_views_handler_relationship_by_bundle.inc\";i:22;s:52:\"views/handlers/entity_views_handler_relationship.inc\";i:23;s:53:\"views/plugins/entity_views_plugin_row_entity_view.inc\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity_token.module','entity_token','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Entity tokens\";s:11:\"description\";s:99:\"Provides token replacements for all properties that have no tokens and are known to the entity API.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:23:\"entity_token.tokens.inc\";i:1;s:19:\"entity_token.module\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_feature.module','entity_feature','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Entity feature module\";s:11:\"description\";s:31:\"Provides some entities in code.\";s:7:\"version\";s:7:\"7.x-1.8\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:21:\"entity_feature.module\";}s:12:\"dependencies\";a:1:{i:0;s:11:\"entity_test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test.module','entity_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Entity CRUD test module\";s:11:\"description\";s:46:\"Provides entity types based upon the CRUD API.\";s:7:\"version\";s:7:\"7.x-1.8\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"entity_test.module\";i:1;s:19:\"entity_test.install\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test_i18n.module','entity_test_i18n','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity-test type translation\";s:11:\"description\";s:37:\"Allows translating entity-test types.\";s:12:\"dependencies\";a:2:{i:0;s:11:\"entity_test\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/entityreference.module','entityreference','module','',1,0,7100,0,'a:15:{s:4:\"name\";s:16:\"Entity Reference\";s:11:\"description\";s:51:\"Provides a field that can reference other entities.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:6:\"ctools\";}s:17:\"test_dependencies\";a:2:{i:0;s:5:\"feeds\";i:1;s:5:\"views\";}s:5:\"files\";a:12:{i:0;s:27:\"entityreference.migrate.inc\";i:1;s:30:\"plugins/selection/abstract.inc\";i:2;s:27:\"plugins/selection/views.inc\";i:3;s:29:\"plugins/behavior/abstract.inc\";i:4;s:40:\"views/entityreference_plugin_display.inc\";i:5;s:38:\"views/entityreference_plugin_style.inc\";i:6;s:43:\"views/entityreference_plugin_row_fields.inc\";i:7;s:35:\"tests/entityreference.handlers.test\";i:8;s:35:\"tests/entityreference.taxonomy.test\";i:9;s:32:\"tests/entityreference.admin.test\";i:10;s:32:\"tests/entityreference.feeds.test\";i:11;s:45:\"tests/entityreference.entity_translation.test\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/entityreference/examples/entityreference_behavior_example/entityreference_behavior_example.module','entityreference_behavior_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Entity Reference Behavior Example\";s:11:\"description\";s:71:\"Provides some example code for implementing Entity Reference behaviors.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/tests/modules/entityreference_feeds_test/entityreference_feeds_test.module','entityreference_feeds_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:41:\"Entityreference - Feeds integration tests\";s:11:\"description\";s:65:\"Support module for the Entityreference - Feeds integration tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:3:{i:0;s:5:\"feeds\";i:1;s:8:\"feeds_ui\";i:2;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fb_likebox/fb_likebox.module','fb_likebox','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Facebook Likebox\";s:11:\"description\";s:80:\"Simple module that provides a configurable block with Facebook Likebox\'s plugin.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"fb_likebox.module\";}s:7:\"package\";s:10:\"FB Likebox\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:10:\"fb_likebox\";s:9:\"datestamp\";s:10:\"1401546228\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fb_likebox/fb_likebox_patterns/fb_likebox_patterns.module','fb_likebox_patterns','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:25:\"Facebook Likebox Patterns\";s:11:\"description\";s:63:\"Enables compatibility of Facebook Likebox with patterns module.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:26:\"fb_likebox_patterns.module\";}s:12:\"dependencies\";a:2:{i:0;s:10:\"fb_likebox\";i:1;s:21:\"patterns (>= 7.x-2.x)\";}s:7:\"package\";s:10:\"FB Likebox\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:10:\"fb_likebox\";s:9:\"datestamp\";s:10:\"1401546228\";s:5:\"mtime\";i:1499940453;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_collection/field_collection.module','field_collection','module','',1,0,7008,0,'a:16:{s:4:\"name\";s:16:\"Field collection\";s:11:\"description\";s:81:\"Provides a field collection field, to which any number of fields can be attached.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:17:\"test_dependencies\";a:1:{i:0;s:18:\"entity_translation\";}s:5:\"files\";a:6:{i:0;s:21:\"field_collection.test\";i:1;s:27:\"field_collection.entity.inc\";i:2;s:25:\"field_collection.info.inc\";i:3;s:54:\"includes/translation.handler.field_collection_item.inc\";i:4;s:47:\"views/field_collection_handler_relationship.inc\";i:5;s:28:\"field_collection.migrate.inc\";}s:9:\"configure\";s:33:\"admin/structure/field-collections\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:5:\"mtime\";i:1479402861;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/field_group/field_group.module','field_group','module','',1,0,7008,1,'a:12:{s:4:\"name\";s:11:\"Field Group\";s:11:\"description\";s:67:\"Provides the ability to group your fields on both form and display.\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:25:\"tests/field_group.ui.test\";i:1;s:30:\"tests/field_group.display.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/tests/field_group_test.module','field_group_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Field Group Test\";s:11:\"description\";s:27:\"Test module for Field Group\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider.module','flexslider','module','',1,0,7203,0,'a:13:{s:4:\"name\";s:10:\"FlexSlider\";s:11:\"description\";s:46:\"Integrate the FlexSlider 2 library with Drupal\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:3:{i:0;s:17:\"libraries (>=2.x)\";i:1;s:6:\"ctools\";i:2;s:5:\"image\";}s:5:\"files\";a:2:{i:0;s:26:\"theme/flexslider.theme.inc\";i:1;s:15:\"flexslider.test\";}s:9:\"configure\";s:29:\"admin/config/media/flexslider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_example/flexslider_example.module','flexslider_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"FlexSlider Example\";s:11:\"description\";s:35:\"Sample implementation of FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:9:{i:0;s:7:\"context\";i:1;s:8:\"features\";i:2;s:10:\"flexslider\";i:3;s:17:\"flexslider_fields\";i:4;s:16:\"flexslider_views\";i:5;s:5:\"image\";i:6;s:4:\"menu\";i:7;s:9:\"strongarm\";i:8;s:5:\"views\";}s:8:\"features\";a:9:{s:7:\"context\";a:1:{i:0;s:28:\"flexslider_example_thumbnail\";}s:6:\"ctools\";a:4:{i:0;s:17:\"context:context:3\";i:1;s:38:\"flexslider:flexslider_default_preset:1\";i:2;s:21:\"strongarm:strongarm:1\";i:3;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:2:{i:0;s:54:\"node-flexslider_example-field_flexslider_example_image\";i:1;s:56:\"node-flexslider_example-field_flexslider_example_slidesh\";}s:20:\"flexslider_optionset\";a:6:{i:0;s:43:\"flexslider_carousel_with_min_and_max_ranges\";i:1;s:33:\"flexslider_default_basic_carousel\";i:2;s:46:\"flexslider_default_slider_thumbnail_controlnav\";i:3;s:44:\"flexslider_default_slider_w_thumbnail_slider\";i:4;s:37:\"flexslider_default_thumbnail_captions\";i:5;s:35:\"flexslider_default_thumbnail_slider\";}s:11:\"menu_custom\";a:1:{i:0;s:23:\"menu-flexslider-example\";}s:4:\"node\";a:1:{i:0;s:18:\"flexslider_example\";}s:8:\"variable\";a:1:{i:0;s:46:\"field_bundle_settings_node__flexslider_example\";}s:10:\"views_view\";a:1:{i:0;s:24:\"flexslider_views_example\";}}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_fields/flexslider_fields.module','flexslider_fields','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"FlexSlider Fields\";s:11:\"description\";s:44:\"Adds a display mode in Fields for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:1:{i:0;s:10:\"flexslider\";}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.module','flexslider_views','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"FlexSlider Views Style\";s:11:\"description\";s:40:\"Adds a Views style plugin for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:10:\"flexslider\";}s:5:\"files\";a:3:{i:0;s:23:\"flexslider_views.module\";i:1;s:26:\"flexslider_views.views.inc\";i:2;s:44:\"flexslider_views_plugin_style_flexslider.inc\";}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fontawesome/fontawesome.module','fontawesome','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:12:\"Font Awesome\";s:11:\"description\";s:52:\"Iconic font designed for use with Twitter Bootstrap.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:1:{i:0;s:21:\"libraries (>=7.x-2.0)\";}s:5:\"files\";a:2:{i:0;s:19:\"fontawesome.install\";i:1;s:18:\"fontawesome.module\";}s:7:\"version\";s:7:\"7.x-2.6\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1476103133\";s:5:\"mtime\";i:1476103133;s:7:\"package\";s:5:\"Other\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/galleryformatter/galleryformatter.module','galleryformatter','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Gallery Formatter\";s:11:\"description\";s:54:\"Provides a jquery gallery CCK formatter for imagefield\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"file\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"User interface\";s:5:\"files\";a:5:{i:0;s:24:\"galleryformatter.install\";i:1;s:23:\"galleryformatter.module\";i:2;s:35:\"includes/galleryformatter.theme.inc\";i:3;s:40:\"includes/galleryformatter_imagecache.inc\";i:4;s:30:\"theme/galleryformatter.tpl.php\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1442600640\";s:5:\"mtime\";i:1442600640;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap.module','gmap','module','',1,0,7202,0,'a:13:{s:4:\"name\";s:4:\"GMap\";s:11:\"description\";s:48:\"Views plugins to show Google Maps from entities.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:9:\"configure\";s:26:\"admin/config/services/gmap\";s:5:\"files\";a:9:{i:0;s:26:\"gmap_plugin_style_gmap.inc\";i:1;s:34:\"gmap_plugin_style_gmapextended.inc\";i:2;s:15:\"tests/gmap.test\";i:3;s:23:\"tests/oopmigration.test\";i:4;s:32:\"lib/Drupal/gmap/GmapDefaults.php\";i:5;s:39:\"lib/Drupal/gmap/GmapPolylineToolbox.php\";i:6;s:36:\"lib/Drupal/gmap/GmapMacroToolbox.php\";i:7;s:27:\"tests/inc/gmap_polyutil.inc\";i:8;s:27:\"tests/inc/gmap_defaults.inc\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_fields/gmap_fields.module','gmap_fields','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"GMap Fields\";s:11:\"description\";s:48:\"GMap field types, currently only a marker field.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:12:\"dependencies\";a:3:{i:0;s:5:\"field\";i:1;s:4:\"gmap\";i:2;s:7:\"options\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_location.module','gmap_location','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"GMap Location\";s:11:\"description\";s:50:\"Display location.module information on Google Maps\";s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:35:\"admin/config/services/gmap_location\";s:5:\"files\";a:1:{i:0;s:20:\"gmap_location.module\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"gmap\";i:1;s:8:\"location\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_macro_builder.module','gmap_macro_builder','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"GMap Macro Builder\";s:11:\"description\";s:28:\"UI for building GMap macros.\";s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"gmap\";}s:5:\"files\";a:1:{i:0;s:25:\"gmap_macro_builder.module\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_style_bubbles/gmap_style_bubbles.module','gmap_style_bubbles','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Gmap Style Bubbles\";s:11:\"description\";s:66:\"A module that lets you add more styles to your gmap popup bubbles.\";s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:4:\"gmap\";s:12:\"dependencies\";a:2:{i:0;s:4:\"gmap\";i:1;s:15:\"libraries (2.x)\";}s:7:\"version\";s:8:\"7.x-2.11\";s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_taxonomy.module','gmap_taxonomy','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"GMap Taxonomy Markers\";s:11:\"description\";s:22:\"Taxonomy based markers\";s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"gmap\";}s:5:\"files\";a:2:{i:0;s:20:\"gmap_taxonomy.module\";i:1;s:23:\"gmap_taxonomy.views.inc\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_test/gmap_test.module','gmap_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:9:\"GMap test\";s:11:\"description\";s:41:\"Some Content types and Views to test GMap\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:13:{i:0;s:12:\"addressfield\";i:1;s:6:\"ctools\";i:2;s:15:\"entityreference\";i:3;s:8:\"features\";i:4;s:17:\"field_sql_storage\";i:5;s:8:\"geofield\";i:6;s:6:\"geophp\";i:7;s:4:\"node\";i:8;s:7:\"options\";i:9;s:4:\"text\";i:10;s:5:\"views\";i:11;s:8:\"views_ui\";i:12;s:4:\"gmap\";}s:8:\"features\";a:5:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:6:{i:0;s:33:\"node-gmap_person-field_mylocation\";i:1;s:19:\"node-gmapplace-body\";i:2;s:30:\"node-gmapplace-field_myaddress\";i:3;s:31:\"node-gmapplace-field_mygeofield\";i:4;s:31:\"node-gmapplace-field_mylatitude\";i:5;s:32:\"node-gmapplace-field_mylongitude\";}s:4:\"node\";a:2:{i:0;s:11:\"gmap_person\";i:1;s:9:\"gmapplace\";}s:10:\"views_view\";a:1:{i:0;s:16:\"gmap_test_places\";}}s:5:\"files\";a:4:{i:0;s:28:\"gmap_test.features.field.inc\";i:1;s:22:\"gmap_test.features.inc\";i:2;s:27:\"gmap_test.views_default.inc\";i:3;s:20:\"tests/gmap_test.test\";}s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_test_extended/gmap_test_extended.module','gmap_test_extended','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:18:\"GMap test extended\";s:11:\"description\";s:50:\"Some Content types and Views to test GMap Extended\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:13:{i:0;s:12:\"addressfield\";i:1;s:6:\"ctools\";i:2;s:15:\"entityreference\";i:3;s:8:\"features\";i:4;s:17:\"field_sql_storage\";i:5;s:8:\"geofield\";i:6;s:6:\"geophp\";i:7;s:4:\"node\";i:8;s:7:\"options\";i:9;s:4:\"text\";i:10;s:5:\"views\";i:11;s:8:\"views_ui\";i:12;s:4:\"gmap\";}s:8:\"features\";a:5:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:6:{i:0;s:33:\"node-gmap_person-field_mylocation\";i:1;s:19:\"node-gmapplace-body\";i:2;s:30:\"node-gmapplace-field_myaddress\";i:3;s:31:\"node-gmapplace-field_mygeofield\";i:4;s:31:\"node-gmapplace-field_mylatitude\";i:5;s:32:\"node-gmapplace-field_mylongitude\";}s:4:\"node\";a:2:{i:0;s:11:\"gmap_person\";i:1;s:9:\"gmapplace\";}s:10:\"views_view\";a:1:{i:0;s:25:\"gmap_test_extended_places\";}}s:5:\"files\";a:4:{i:0;s:37:\"gmap_test_extended.features.field.inc\";i:1;s:31:\"gmap_test_extended.features.inc\";i:2;s:36:\"gmap_test_extended.views_default.inc\";i:3;s:29:\"tests/gmap_test_extended.test\";}s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/location_gmap_find_address/location_gmap_find_address.module','location_gmap_find_address','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:37:\"Location + Gmap \'Find Address\' button\";s:11:\"description\";s:65:\"Adds a \'Find Address\' button to all location fields that use gmap\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:12:\"dependencies\";a:3:{i:0;s:12:\"location_cck\";i:1;s:8:\"location\";i:2;s:4:\"gmap\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1457698170\";s:5:\"mtime\";i:1457698170;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/google_analytics/googleanalytics.module','googleanalytics','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:16:\"Google Analytics\";s:11:\"description\";s:102:\"Allows your site to be tracked by Google Analytics by adding a Javascript tracking code to every page.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"Statistics\";s:9:\"configure\";s:35:\"admin/config/system/googleanalytics\";s:5:\"files\";a:1:{i:0;s:20:\"googleanalytics.test\";}s:17:\"test_dependencies\";a:1:{i:0;s:5:\"token\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:16:\"google_analytics\";s:9:\"datestamp\";s:10:\"1417276982\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jcarousel/jcarousel.module','jcarousel','module','',1,0,0,0,'a:12:{s:4:\"name\";s:9:\"jCarousel\";s:11:\"description\";s:38:\"Create jQuery-based carousel rotators.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:16:\"jcarousel.module\";i:1;s:28:\"includes/jcarousel.views.inc\";i:2;s:35:\"includes/jcarousel_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_plugin/jquery_plugin.module','jquery_plugin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"jQuery plugins\";s:11:\"description\";s:49:\"An API and home for miscellaneous jQuery plugins.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:20:\"jquery_plugin.module\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:13:\"jquery_plugin\";s:9:\"datestamp\";s:10:\"1294280182\";s:5:\"mtime\";i:1499940453;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_update/jquery_update.module','jquery_update','module','',1,0,7000,0,'a:13:{s:4:\"name\";s:13:\"jQuery Update\";s:11:\"description\";s:53:\"Update jQuery and jQuery UI to a more recent version.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"jquery_update.module\";i:1;s:21:\"jquery_update.install\";}s:9:\"configure\";s:38:\"admin/config/development/jquery_update\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:5:\"mtime\";i:1445379855;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/libraries.module','libraries','module','',1,0,7201,0,'a:12:{s:4:\"name\";s:9:\"Libraries\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"system (>=7.11)\";}s:5:\"files\";a:4:{i:0;s:32:\"tests/LibrariesAdminWebTest.test\";i:1;s:31:\"tests/LibrariesLoadWebTest.test\";i:2;s:28:\"tests/LibrariesUnitTest.test\";i:3;s:31:\"tests/LibrariesWebTestBase.test\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:5:\"mtime\";i:1463077450;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/modules/libraries_test_module/libraries_test_module.module','libraries_test_module','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:5:\"mtime\";i:1463077450;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/link/link.module','link','module','',1,0,7001,0,'a:14:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";s:32:\"Defines simple link field types.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:11:{i:0;s:11:\"link.module\";i:1;s:16:\"link.migrate.inc\";i:2;s:15:\"tests/link.test\";i:3;s:25:\"tests/link.attribute.test\";i:4;s:20:\"tests/link.crud.test\";i:5;s:28:\"tests/link.crud_browser.test\";i:6;s:21:\"tests/link.token.test\";i:7;s:28:\"tests/link.entity_token.test\";i:8;s:24:\"tests/link.validate.test\";i:9;s:44:\"views/link_views_handler_argument_target.inc\";i:10;s:44:\"views/link_views_handler_filter_protocol.inc\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:5:\"mtime\";i:1452830642;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/location/contrib/location_addanother/location_addanother.module','location_addanother','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Location Add Another\";s:11:\"description\";s:94:\"Allows you to quickly add locations directly from a node without having to click \'edit\' first.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"location\";i:1;s:13:\"location_node\";}s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_autofill/la.module','la','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Location autofill\";s:11:\"description\";s:39:\"Fill up all locations with lat&lon data\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:9:\"configure\";s:24:\"admin/config/services/la\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_cck/location_cck.module','location_cck','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Location CCK\";s:11:\"description\";s:30:\"Defines a Location field type.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_email/location_email.module','location_email','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Location Email\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:49:\"Allows you to add an email address to a location.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"location_email.views.inc\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_entity/location_entity.module','location_entity','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Location Entity\";s:11:\"description\";s:58:\"Provide information about Location field to Entity module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_fax/location_fax.module','location_fax','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Location Fax\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:45:\"Allows you to add a fax number to a location.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:22:\"location_fax.views.inc\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_generate/location_generate.module','location_generate','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Location Generate\";s:11:\"description\";s:52:\"Bulk assign random latitude and longitudes to nodes.\";s:7:\"package\";s:11:\"Development\";s:12:\"dependencies\";a:2:{i:0;s:14:\"devel_generate\";i:1;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_phone/location_phone.module','location_phone','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Location Phone\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:47:\"Allows you to add a phone number to a location.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"location_phone.views.inc\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_search/location_search.module','location_search','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Location Search\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:35:\"Advanced search page for locations.\";s:9:\"configure\";s:36:\"admin/config/content/location/search\";s:12:\"dependencies\";a:2:{i:0;s:6:\"search\";i:1;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:25:\"location_search.admin.inc\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_taxonomy/location_taxonomy.module','location_taxonomy','module','',0,0,0,0,'a:12:{s:4:\"name\";s:17:\"Location Taxonomy\";s:11:\"description\";s:40:\"Associate locations with taxonomy terms.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"location\";i:1;s:8:\"taxonomy\";}s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_www/location_www.module','location_www','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Location www\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:45:\"Allows you to add a www adress to a location.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/location.module','location','module','',1,0,7302,0,'a:13:{s:4:\"name\";s:8:\"Location\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:213:\"The location module allows you to associate a geographic location with content and users. Users can do proximity searches by postal code.  This is useful for organizing communities that have a geographic presence.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/config/content/location\";s:5:\"files\";a:32:{i:0;s:18:\"location.admin.inc\";i:1;s:19:\"location.georss.inc\";i:2;s:12:\"location.inc\";i:3;s:18:\"location.token.inc\";i:4;s:18:\"location.views.inc\";i:5;s:26:\"location.views_default.inc\";i:6;s:20:\"location.migrate.inc\";i:7;s:28:\"tests/location_testcase.test\";i:8;s:14:\"tests/cow.test\";i:9;s:16:\"tests/earth.test\";i:10;s:26:\"tests/google_geocoder.test\";i:11;s:23:\"tests/location_cck.test\";i:12;s:24:\"tests/location_cck2.test\";i:13;s:55:\"handlers/location_handler_argument_location_country.inc\";i:14;s:56:\"handlers/location_handler_argument_location_province.inc\";i:15;s:57:\"handlers/location_handler_argument_location_proximity.inc\";i:16;s:55:\"handlers/location_handler_field_location_additional.inc\";i:17;s:52:\"handlers/location_handler_field_location_address.inc\";i:18;s:52:\"handlers/location_handler_field_location_country.inc\";i:19;s:53:\"handlers/location_handler_field_location_distance.inc\";i:20;s:53:\"handlers/location_handler_field_location_province.inc\";i:21;s:51:\"handlers/location_handler_field_location_street.inc\";i:22;s:53:\"handlers/location_handler_filter_location_country.inc\";i:23;s:54:\"handlers/location_handler_filter_location_province.inc\";i:24;s:51:\"handlers/location_handler_sort_location_country.inc\";i:25;s:52:\"handlers/location_handler_sort_location_distance.inc\";i:26;s:53:\"handlers/location_views_handler_field_coordinates.inc\";i:27;s:50:\"handlers/location_views_handler_field_latitude.inc\";i:28;s:51:\"handlers/location_views_handler_field_longitude.inc\";i:29;s:52:\"handlers/location_views_handler_filter_proximity.inc\";i:30;s:29:\"plugins/contexts/location.inc\";i:31;s:44:\"plugins/relationships/location_from_node.inc\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/location_node.module','location_node','module','',0,0,0,0,'a:12:{s:4:\"name\";s:14:\"Node Locations\";s:11:\"description\";s:31:\"Associate locations with nodes.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/location_user.module','location_user','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"User Locations\";s:11:\"description\";s:31:\"Associate locations with users.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/people/accounts\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1438695672\";s:5:\"mtime\";i:1438695672;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/manage_multiple_terms/manage_multiple_terms.module','manage_multiple_terms','module','',0,0,-1,0,'a:11:{s:4:\"name\";s:21:\"Manage Multiple Terms\";s:11:\"description\";s:21:\"Manage Multiple Terms\";s:7:\"package\";s:8:\"Taxonomy\";s:9:\"configure\";s:30:\"admin/structure/taxonomy/terms\";s:4:\"core\";s:3:\"7.x\";s:5:\"mtime\";i:1499940454;s:12:\"dependencies\";a:0:{}s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/megamenus/megamenus.module','megamenus','module','',1,0,0,0,'a:11:{s:4:\"name\";s:9:\"Megamenus\";s:11:\"description\";s:25:\"Menu solutions for Drupal\";s:7:\"package\";s:9:\"megamenus\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:13:\"megamenus.inc\";i:1;s:20:\"megamenus.themes.inc\";i:2;s:18:\"megamenus.ajax.inc\";i:3;s:19:\"megamenus.admin.inc\";i:4;s:16:\"megamenus.module\";}s:9:\"configure\";s:25:\"admin/structure/megamenus\";s:5:\"mtime\";i:1499940454;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache.module','memcache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Memcache\";s:11:\"description\";s:43:\"High performance integration with memcache.\";s:7:\"package\";s:27:\"Performance and scalability\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"memcache.inc\";i:1;s:19:\"tests/memcache.test\";i:2;s:27:\"tests/memcache-session.test\";i:3;s:24:\"tests/memcache-lock.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499940454;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache_admin/memcache_admin.module','memcache_admin','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Memcache Admin\";s:11:\"description\";s:60:\"Adds a User Interface to monitor the Memcache for this site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:9:\"configure\";s:28:\"admin/config/system/memcache\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499940454;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/tests/memcache_test.module','memcache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Memcache test\";s:11:\"description\";s:36:\"Support module for memcache testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499940454;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_attributes/menu_attributes.module','menu_attributes','module','',1,0,7001,10,'a:13:{s:4:\"name\";s:15:\"Menu attributes\";s:11:\"description\";s:66:\"Allows administrators to specify custom attributes for menu items.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/structure/menu/settings\";s:5:\"files\";a:1:{i:0;s:20:\"menu_attributes.test\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1455568740\";s:5:\"mtime\";i:1455568740;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_breadcrumb/menu_breadcrumb.module','menu_breadcrumb','module','',1,0,6100,0,'a:13:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:11:\"description\";s:74:\"Allows you to use the menu the current page belongs to for the breadcrumb.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:23:\"menu_breadcrumb.install\";}s:9:\"configure\";s:43:\"admin/config/user-interface/menu-breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:5:\"mtime\";i:1425993992;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick.module','metatags_quick','module','',1,0,7006,0,'a:13:{s:4:\"name\";s:17:\"Meta tags (quick)\";s:11:\"description\";s:48:\"Meta tags support build using FieldAPI/EntityAPI\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:5:\"files\";a:1:{i:0;s:26:\"metatags_quick.migrate.inc\";}s:9:\"configure\";s:34:\"admin/config/search/metatags_quick\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick_extra.module','metatags_quick_extra','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Extra functionality\";s:11:\"description\";s:40:\"Automatic settings for meta tags (quick)\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:2:{i:0;s:14:\"metatags_quick\";i:1;s:8:\"taxonomy\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick_import.module','metatags_quick_import','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Upgrade from nodewords\";s:11:\"description\";s:43:\"Transform nodewords data to Drupal 7 fields\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:1:{i:0;s:14:\"metatags_quick\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/modal_forms/modal_forms.module','modal_forms','module','',1,0,0,0,'a:13:{s:4:\"name\";s:11:\"Modal forms\";s:11:\"description\";s:81:\"This module use ctools modal feature to open some common forms in a modal window.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:36:\"admin/config/development/modal_forms\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"modal_forms\";s:9:\"datestamp\";s:10:\"1353326875\";s:5:\"mtime\";i:1499940454;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/module_filter/module_filter.module','module_filter','module','',1,0,7201,0,'a:13:{s:4:\"name\";s:13:\"Module filter\";s:11:\"description\";s:24:\"Filter the modules list.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"Administration\";s:5:\"files\";a:8:{i:0;s:21:\"module_filter.install\";i:1;s:20:\"module_filter.module\";i:2;s:23:\"module_filter.admin.inc\";i:3;s:23:\"module_filter.theme.inc\";i:4;s:21:\"css/module_filter.css\";i:5;s:25:\"css/module_filter_tab.css\";i:6;s:19:\"js/module_filter.js\";i:7;s:23:\"js/module_filter_tab.js\";}s:9:\"configure\";s:40:\"admin/config/user-interface/modulefilter\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:5:\"mtime\";i:1497029349;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/newsletter/newsletter.module','newsletter','module','',1,0,7104,0,'a:13:{s:4:\"name\";s:10:\"Newsletter\";s:11:\"description\";s:32:\"Send emails to subscribed users.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Mail\";s:12:\"dependencies\";a:3:{i:0;s:15:\"entityreference\";i:1;s:8:\"taxonomy\";i:2;s:5:\"token\";}s:5:\"files\";a:10:{i:0;s:29:\"includes/newsletter.basic.inc\";i:1;s:33:\"includes/newsletter.automated.inc\";i:2;s:30:\"includes/newsletter.custom.inc\";i:3;s:28:\"includes/newsletter.mail.inc\";i:4;s:45:\"includes/newsletter.newsletter.controller.inc\";i:5;s:45:\"includes/newsletter.subscriber.controller.inc\";i:6;s:43:\"includes/newsletter.template.controller.inc\";i:7;s:39:\"includes/newsletter.list.controller.inc\";i:8;s:61:\"includes/views/handlers/newsletter_handler_field_datetime.inc\";i:9;s:15:\"newsletter.test\";}s:9:\"configure\";s:39:\"admin/config/media/newsletter/configure\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/pathauto/pathauto.module','pathauto','module','',1,0,7006,1,'a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"path\";i:1;s:5:\"token\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"pathauto.migrate.inc\";i:1;s:13:\"pathauto.test\";}s:9:\"configure\";s:33:\"admin/config/search/path/patterns\";s:10:\"recommends\";a:1:{i:0;s:8:\"redirect\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:5:\"mtime\";i:1444232655;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/phone/phone.module','phone','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:5:\"Phone\";s:11:\"description\";s:80:\"The phone module allows administrators to define a field type for phone numbers.\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:30:{i:0;s:17:\"phone.migrate.inc\";i:1;s:19:\"tests/phone.au.test\";i:2;s:19:\"tests/phone.be.test\";i:3;s:19:\"tests/phone.br.test\";i:4;s:19:\"tests/phone.ca.test\";i:5;s:19:\"tests/phone.ch.test\";i:6;s:19:\"tests/phone.cl.test\";i:7;s:19:\"tests/phone.cn.test\";i:8;s:19:\"tests/phone.cr.test\";i:9;s:19:\"tests/phone.cs.test\";i:10;s:19:\"tests/phone.eg.test\";i:11;s:19:\"tests/phone.es.test\";i:12;s:19:\"tests/phone.fr.test\";i:13;s:19:\"tests/phone.hu.test\";i:14;s:19:\"tests/phone.il.test\";i:15;s:20:\"tests/phone.int.test\";i:16;s:19:\"tests/phone.it.test\";i:17;s:19:\"tests/phone.jo.test\";i:18;s:19:\"tests/phone.nl.test\";i:19;s:19:\"tests/phone.nz.test\";i:20;s:19:\"tests/phone.pa.test\";i:21;s:19:\"tests/phone.ph.test\";i:22;s:19:\"tests/phone.pk.test\";i:23;s:19:\"tests/phone.pl.test\";i:24;s:19:\"tests/phone.ru.test\";i:25;s:19:\"tests/phone.se.test\";i:26;s:19:\"tests/phone.sg.test\";i:27;s:19:\"tests/phone.ua.test\";i:28;s:19:\"tests/phone.uk.test\";i:29;s:19:\"tests/phone.za.test\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:7:\"project\";s:5:\"phone\";s:9:\"datestamp\";s:10:\"1389732224\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs.module','quicktabs','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Quicktabs\";s:11:\"description\";s:49:\"Render content with tabs and other display styles\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:16:\"quicktabs.module\";i:1;s:21:\"quicktabs.classes.inc\";i:2;s:35:\"includes/quicktabs_style_plugin.inc\";i:3;s:20:\"tests/quicktabs.test\";}s:9:\"configure\";s:25:\"admin/structure/quicktabs\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1499940454;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module','quicktabs_tabstyles','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Quicktabs Styles\";s:11:\"description\";s:65:\"Adds predefined tab styles to choose from per Quicktabs instance.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/structure/quicktabs/styles\";s:12:\"dependencies\";a:1:{i:0;s:9:\"quicktabs\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1499940454;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/redirect_404/redirect_404.module','redirect_404','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Redirect 404\";s:11:\"description\";s:148:\"Redirects 404 allows you to specify a number of servers that should be attempted to be redirected to if a 404 (Page not found) error is encountered.\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:12:\"redirect_404\";s:9:\"datestamp\";s:10:\"1378403209\";s:5:\"mtime\";i:1499940454;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/node_reference/node_reference.module','node_reference','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Node Reference\";s:11:\"description\";s:59:\"Defines a field type for referencing one node from another.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:5:\"field\";i:1;s:10:\"references\";i:2;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:19:\"node_reference.test\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/references.module','references','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"References\";s:11:\"description\";s:67:\"Defines common base features for the various reference field types.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:5:{i:0;s:41:\"views/references_handler_relationship.inc\";i:1;s:37:\"views/references_handler_argument.inc\";i:2;s:35:\"views/references_plugin_display.inc\";i:3;s:33:\"views/references_plugin_style.inc\";i:4;s:38:\"views/references_plugin_row_fields.inc\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/user_reference/user_reference.module','user_reference','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"User Reference\";s:11:\"description\";s:56:\"Defines a field type for referencing a user from a node.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:5:\"field\";i:1;s:10:\"references\";i:2;s:7:\"options\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1360265821\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search404/search404.module','search404','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Search 404\";s:11:\"description\";s:116:\"Automatically search for the keywords in URLs that result in 404 errors and show results instead of Page-Not-Found. \";s:12:\"dependencies\";a:1:{i:0;s:6:\"search\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:16:\"search404.module\";i:1;s:17:\"search404.install\";}s:9:\"configure\";s:29:\"admin/config/search/search404\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:9:\"search404\";s:9:\"datestamp\";s:10:\"1370809553\";s:5:\"mtime\";i:1499940454;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/seo_checklist/seo_checklist.module','seo_checklist','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"SEO Checklist\";s:11:\"description\";s:50:\"A Search Engine Optimization checklist for Drupal.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:12:\"checklistapi\";}s:7:\"package\";s:3:\"SEO\";s:9:\"configure\";s:33:\"admin/config/search/seo-checklist\";s:7:\"version\";s:7:\"7.x-4.1\";s:7:\"project\";s:13:\"seo_checklist\";s:9:\"datestamp\";s:10:\"1360294437\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/sharethis/sharethis.module','sharethis','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"ShareThis\";s:11:\"description\";s:87:\"Add the <a href=\"http://www.sharethis.com/\">ShareThis</a> widget to nodes on your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Sharing\";s:9:\"configure\";s:31:\"admin/config/services/sharethis\";s:5:\"files\";a:1:{i:0;s:38:\"views/sharethis_handler_field_link.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1422441977\";s:5:\"mtime\";i:1499940454;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/site_map/site_map.module','site_map','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Site map\";s:11:\"description\";s:19:\"Display a site map.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/config/search/sitemap\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:5:\"files\";a:1:{i:0;s:13:\"site_map.test\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"site_map\";s:9:\"datestamp\";s:10:\"1393897705\";s:5:\"mtime\";i:1499940454;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/strongarm/strongarm.module','strongarm','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Strongarm\";s:11:\"description\";s:87:\"Enforces variable values defined by modules that need settings set to operate properly.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:3:{i:0;s:19:\"strongarm.admin.inc\";i:1;s:17:\"strongarm.install\";i:2;s:16:\"strongarm.module\";}s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:9:\"strongarm\";s:9:\"datestamp\";s:10:\"1339604214\";s:5:\"mtime\";i:1499940454;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tagclouds/tagclouds.module','tagclouds','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"TagClouds\";s:11:\"description\";s:61:\"TagClouds makes weighted tag clouds from your taxonomy terms.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"package\";s:8:\"Taxonomy\";s:9:\"configure\";s:30:\"admin/config/content/tagclouds\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1452956656\";s:5:\"mtime\";i:1452956656;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','taxonomy_menu','module','',1,0,7000,0,'a:12:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"menu\";}s:11:\"description\";s:39:\"Adds links to taxonomy terms to a menu.\";s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:5:\"files\";a:5:{i:0;s:23:\"taxonomy_menu.batch.inc\";i:1;s:26:\"taxonomy_menu.database.inc\";i:2;s:20:\"taxonomy_menu.module\";i:3;s:18:\"taxonomy_menu.test\";i:4;s:21:\"taxonomy_menu.install\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tb_megamenu/tb_megamenu.module','tb_megamenu','module','',1,0,7101,0,'a:13:{s:4:\"name\";s:12:\"TB Mega Menu\";s:11:\"description\";s:29:\"Megamenu solutions for Drupal\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:9:\"libraries\";i:1;s:13:\"jquery_update\";}s:9:\"configure\";s:27:\"admin/structure/tb-megamenu\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:5:\"mtime\";i:1440756596;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/tests/token_test.module','token_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Token Test\";s:11:\"description\";s:39:\"Testing module for token functionality.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"token_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:5:\"mtime\";i:1485316088;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/token.module','token','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"token.test\";}s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:5:\"mtime\";i:1485316088;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/twitter_block/twitter_block.module','twitter_block','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Twitter Block\";s:11:\"description\";s:48:\"Provides configurable blocks for a Twitter feed.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"tests/twitter_block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:13:\"twitter_block\";s:9:\"datestamp\";s:10:\"1404893628\";s:5:\"mtime\";i:1499940454;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/tests/views_test.module','views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Views Test\";s:11:\"description\";s:22:\"Test module for Views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views.module','views','module','',1,0,7302,10,'a:13:{s:4:\"name\";s:5:\"Views\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:13:\"css/views.css\";s:37:\"sites/all/modules/views/css/views.css\";}}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:313:{i:0;s:31:\"handlers/views_handler_area.inc\";i:1;s:40:\"handlers/views_handler_area_messages.inc\";i:2;s:38:\"handlers/views_handler_area_result.inc\";i:3;s:36:\"handlers/views_handler_area_text.inc\";i:4;s:43:\"handlers/views_handler_area_text_custom.inc\";i:5;s:36:\"handlers/views_handler_area_view.inc\";i:6;s:35:\"handlers/views_handler_argument.inc\";i:7;s:40:\"handlers/views_handler_argument_date.inc\";i:8;s:43:\"handlers/views_handler_argument_formula.inc\";i:9;s:47:\"handlers/views_handler_argument_many_to_one.inc\";i:10;s:40:\"handlers/views_handler_argument_null.inc\";i:11;s:43:\"handlers/views_handler_argument_numeric.inc\";i:12;s:42:\"handlers/views_handler_argument_string.inc\";i:13;s:52:\"handlers/views_handler_argument_group_by_numeric.inc\";i:14;s:32:\"handlers/views_handler_field.inc\";i:15;s:40:\"handlers/views_handler_field_counter.inc\";i:16;s:40:\"handlers/views_handler_field_boolean.inc\";i:17;s:49:\"handlers/views_handler_field_contextual_links.inc\";i:18;s:48:\"handlers/views_handler_field_ctools_dropdown.inc\";i:19;s:39:\"handlers/views_handler_field_custom.inc\";i:20;s:37:\"handlers/views_handler_field_date.inc\";i:21;s:39:\"handlers/views_handler_field_entity.inc\";i:22;s:38:\"handlers/views_handler_field_links.inc\";i:23;s:39:\"handlers/views_handler_field_markup.inc\";i:24;s:37:\"handlers/views_handler_field_math.inc\";i:25;s:40:\"handlers/views_handler_field_numeric.inc\";i:26;s:47:\"handlers/views_handler_field_prerender_list.inc\";i:27;s:46:\"handlers/views_handler_field_time_interval.inc\";i:28;s:43:\"handlers/views_handler_field_serialized.inc\";i:29;s:45:\"handlers/views_handler_field_machine_name.inc\";i:30;s:36:\"handlers/views_handler_field_url.inc\";i:31;s:33:\"handlers/views_handler_filter.inc\";i:32;s:50:\"handlers/views_handler_filter_boolean_operator.inc\";i:33;s:57:\"handlers/views_handler_filter_boolean_operator_string.inc\";i:34;s:41:\"handlers/views_handler_filter_combine.inc\";i:35;s:38:\"handlers/views_handler_filter_date.inc\";i:36;s:42:\"handlers/views_handler_filter_equality.inc\";i:37;s:47:\"handlers/views_handler_filter_entity_bundle.inc\";i:38;s:50:\"handlers/views_handler_filter_group_by_numeric.inc\";i:39;s:45:\"handlers/views_handler_filter_in_operator.inc\";i:40;s:45:\"handlers/views_handler_filter_many_to_one.inc\";i:41;s:41:\"handlers/views_handler_filter_numeric.inc\";i:42;s:40:\"handlers/views_handler_filter_string.inc\";i:43;s:48:\"handlers/views_handler_filter_fields_compare.inc\";i:44;s:39:\"handlers/views_handler_relationship.inc\";i:45;s:53:\"handlers/views_handler_relationship_groupwise_max.inc\";i:46;s:31:\"handlers/views_handler_sort.inc\";i:47;s:36:\"handlers/views_handler_sort_date.inc\";i:48;s:39:\"handlers/views_handler_sort_formula.inc\";i:49;s:48:\"handlers/views_handler_sort_group_by_numeric.inc\";i:50;s:46:\"handlers/views_handler_sort_menu_hierarchy.inc\";i:51;s:38:\"handlers/views_handler_sort_random.inc\";i:52;s:17:\"includes/base.inc\";i:53;s:21:\"includes/handlers.inc\";i:54;s:20:\"includes/plugins.inc\";i:55;s:17:\"includes/view.inc\";i:56;s:60:\"modules/aggregator/views_handler_argument_aggregator_fid.inc\";i:57;s:60:\"modules/aggregator/views_handler_argument_aggregator_iid.inc\";i:58;s:69:\"modules/aggregator/views_handler_argument_aggregator_category_cid.inc\";i:59;s:64:\"modules/aggregator/views_handler_field_aggregator_title_link.inc\";i:60;s:62:\"modules/aggregator/views_handler_field_aggregator_category.inc\";i:61;s:70:\"modules/aggregator/views_handler_field_aggregator_item_description.inc\";i:62;s:57:\"modules/aggregator/views_handler_field_aggregator_xss.inc\";i:63;s:67:\"modules/aggregator/views_handler_filter_aggregator_category_cid.inc\";i:64;s:54:\"modules/aggregator/views_plugin_row_aggregator_rss.inc\";i:65;s:56:\"modules/book/views_plugin_argument_default_book_root.inc\";i:66;s:59:\"modules/comment/views_handler_argument_comment_user_uid.inc\";i:67;s:47:\"modules/comment/views_handler_field_comment.inc\";i:68;s:53:\"modules/comment/views_handler_field_comment_depth.inc\";i:69;s:52:\"modules/comment/views_handler_field_comment_link.inc\";i:70;s:60:\"modules/comment/views_handler_field_comment_link_approve.inc\";i:71;s:59:\"modules/comment/views_handler_field_comment_link_delete.inc\";i:72;s:57:\"modules/comment/views_handler_field_comment_link_edit.inc\";i:73;s:58:\"modules/comment/views_handler_field_comment_link_reply.inc\";i:74;s:57:\"modules/comment/views_handler_field_comment_node_link.inc\";i:75;s:56:\"modules/comment/views_handler_field_comment_username.inc\";i:76;s:61:\"modules/comment/views_handler_field_ncs_last_comment_name.inc\";i:77;s:56:\"modules/comment/views_handler_field_ncs_last_updated.inc\";i:78;s:52:\"modules/comment/views_handler_field_node_comment.inc\";i:79;s:57:\"modules/comment/views_handler_field_node_new_comments.inc\";i:80;s:62:\"modules/comment/views_handler_field_last_comment_timestamp.inc\";i:81;s:57:\"modules/comment/views_handler_filter_comment_user_uid.inc\";i:82;s:57:\"modules/comment/views_handler_filter_ncs_last_updated.inc\";i:83;s:53:\"modules/comment/views_handler_filter_node_comment.inc\";i:84;s:53:\"modules/comment/views_handler_sort_comment_thread.inc\";i:85;s:60:\"modules/comment/views_handler_sort_ncs_last_comment_name.inc\";i:86;s:55:\"modules/comment/views_handler_sort_ncs_last_updated.inc\";i:87;s:48:\"modules/comment/views_plugin_row_comment_rss.inc\";i:88;s:49:\"modules/comment/views_plugin_row_comment_view.inc\";i:89;s:52:\"modules/contact/views_handler_field_contact_link.inc\";i:90;s:43:\"modules/field/views_handler_field_field.inc\";i:91;s:59:\"modules/field/views_handler_relationship_entity_reverse.inc\";i:92;s:51:\"modules/field/views_handler_argument_field_list.inc\";i:93;s:57:\"modules/field/views_handler_filter_field_list_boolean.inc\";i:94;s:58:\"modules/field/views_handler_argument_field_list_string.inc\";i:95;s:49:\"modules/field/views_handler_filter_field_list.inc\";i:96;s:57:\"modules/filter/views_handler_field_filter_format_name.inc\";i:97;s:52:\"modules/locale/views_handler_field_node_language.inc\";i:98;s:53:\"modules/locale/views_handler_filter_node_language.inc\";i:99;s:54:\"modules/locale/views_handler_argument_locale_group.inc\";i:100;s:57:\"modules/locale/views_handler_argument_locale_language.inc\";i:101;s:51:\"modules/locale/views_handler_field_locale_group.inc\";i:102;s:54:\"modules/locale/views_handler_field_locale_language.inc\";i:103;s:55:\"modules/locale/views_handler_field_locale_link_edit.inc\";i:104;s:52:\"modules/locale/views_handler_filter_locale_group.inc\";i:105;s:55:\"modules/locale/views_handler_filter_locale_language.inc\";i:106;s:54:\"modules/locale/views_handler_filter_locale_version.inc\";i:107;s:51:\"modules/locale/views_handler_sort_node_language.inc\";i:108;s:53:\"modules/node/views_handler_argument_dates_various.inc\";i:109;s:53:\"modules/node/views_handler_argument_node_language.inc\";i:110;s:48:\"modules/node/views_handler_argument_node_nid.inc\";i:111;s:49:\"modules/node/views_handler_argument_node_type.inc\";i:112;s:48:\"modules/node/views_handler_argument_node_vid.inc\";i:113;s:57:\"modules/node/views_handler_argument_node_uid_revision.inc\";i:114;s:59:\"modules/node/views_handler_field_history_user_timestamp.inc\";i:115;s:41:\"modules/node/views_handler_field_node.inc\";i:116;s:46:\"modules/node/views_handler_field_node_link.inc\";i:117;s:53:\"modules/node/views_handler_field_node_link_delete.inc\";i:118;s:51:\"modules/node/views_handler_field_node_link_edit.inc\";i:119;s:50:\"modules/node/views_handler_field_node_revision.inc\";i:120;s:55:\"modules/node/views_handler_field_node_revision_link.inc\";i:121;s:62:\"modules/node/views_handler_field_node_revision_link_delete.inc\";i:122;s:62:\"modules/node/views_handler_field_node_revision_link_revert.inc\";i:123;s:46:\"modules/node/views_handler_field_node_path.inc\";i:124;s:46:\"modules/node/views_handler_field_node_type.inc\";i:125;s:55:\"modules/node/views_handler_field_node_version_count.inc\";i:126;s:60:\"modules/node/views_handler_filter_history_user_timestamp.inc\";i:127;s:49:\"modules/node/views_handler_filter_node_access.inc\";i:128;s:49:\"modules/node/views_handler_filter_node_status.inc\";i:129;s:47:\"modules/node/views_handler_filter_node_type.inc\";i:130;s:55:\"modules/node/views_handler_filter_node_uid_revision.inc\";i:131;s:56:\"modules/node/views_handler_filter_node_version_count.inc\";i:132;s:54:\"modules/node/views_handler_sort_node_version_count.inc\";i:133;s:51:\"modules/node/views_plugin_argument_default_node.inc\";i:134;s:52:\"modules/node/views_plugin_argument_validate_node.inc\";i:135;s:42:\"modules/node/views_plugin_row_node_rss.inc\";i:136;s:43:\"modules/node/views_plugin_row_node_view.inc\";i:137;s:52:\"modules/profile/views_handler_field_profile_date.inc\";i:138;s:52:\"modules/profile/views_handler_field_profile_list.inc\";i:139;s:58:\"modules/profile/views_handler_filter_profile_selection.inc\";i:140;s:48:\"modules/search/views_handler_argument_search.inc\";i:141;s:51:\"modules/search/views_handler_field_search_score.inc\";i:142;s:46:\"modules/search/views_handler_filter_search.inc\";i:143;s:50:\"modules/search/views_handler_sort_search_score.inc\";i:144;s:47:\"modules/search/views_plugin_row_search_view.inc\";i:145;s:57:\"modules/statistics/views_handler_field_accesslog_path.inc\";i:146;s:65:\"modules/statistics/views_handler_field_node_counter_timestamp.inc\";i:147;s:61:\"modules/statistics/views_handler_field_statistics_numeric.inc\";i:148;s:50:\"modules/system/views_handler_argument_file_fid.inc\";i:149;s:43:\"modules/system/views_handler_field_file.inc\";i:150;s:53:\"modules/system/views_handler_field_file_extension.inc\";i:151;s:52:\"modules/system/views_handler_field_file_filemime.inc\";i:152;s:47:\"modules/system/views_handler_field_file_uri.inc\";i:153;s:50:\"modules/system/views_handler_field_file_status.inc\";i:154;s:51:\"modules/system/views_handler_filter_file_status.inc\";i:155;s:52:\"modules/taxonomy/views_handler_argument_taxonomy.inc\";i:156;s:57:\"modules/taxonomy/views_handler_argument_term_node_tid.inc\";i:157;s:63:\"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc\";i:158;s:68:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc\";i:159;s:72:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc\";i:160;s:58:\"modules/taxonomy/views_handler_argument_vocabulary_vid.inc\";i:161;s:67:\"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc\";i:162;s:49:\"modules/taxonomy/views_handler_field_taxonomy.inc\";i:163;s:54:\"modules/taxonomy/views_handler_field_term_node_tid.inc\";i:164;s:55:\"modules/taxonomy/views_handler_field_term_link_edit.inc\";i:165;s:55:\"modules/taxonomy/views_handler_filter_term_node_tid.inc\";i:166;s:61:\"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc\";i:167;s:66:\"modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc\";i:168;s:56:\"modules/taxonomy/views_handler_filter_vocabulary_vid.inc\";i:169;s:65:\"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc\";i:170;s:62:\"modules/taxonomy/views_handler_relationship_node_term_data.inc\";i:171;s:65:\"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc\";i:172;s:63:\"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc\";i:173;s:67:\"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc\";i:174;s:65:\"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc\";i:175;s:65:\"modules/tracker/views_handler_filter_tracker_boolean_operator.inc\";i:176;s:51:\"modules/system/views_handler_filter_system_type.inc\";i:177;s:56:\"modules/translation/views_handler_argument_node_tnid.inc\";i:178;s:63:\"modules/translation/views_handler_field_node_link_translate.inc\";i:179;s:65:\"modules/translation/views_handler_field_node_translation_link.inc\";i:180;s:54:\"modules/translation/views_handler_filter_node_tnid.inc\";i:181;s:60:\"modules/translation/views_handler_filter_node_tnid_child.inc\";i:182;s:62:\"modules/translation/views_handler_relationship_translation.inc\";i:183;s:48:\"modules/user/views_handler_argument_user_uid.inc\";i:184;s:55:\"modules/user/views_handler_argument_users_roles_rid.inc\";i:185;s:41:\"modules/user/views_handler_field_user.inc\";i:186;s:50:\"modules/user/views_handler_field_user_language.inc\";i:187;s:46:\"modules/user/views_handler_field_user_link.inc\";i:188;s:53:\"modules/user/views_handler_field_user_link_cancel.inc\";i:189;s:51:\"modules/user/views_handler_field_user_link_edit.inc\";i:190;s:46:\"modules/user/views_handler_field_user_mail.inc\";i:191;s:46:\"modules/user/views_handler_field_user_name.inc\";i:192;s:53:\"modules/user/views_handler_field_user_permissions.inc\";i:193;s:49:\"modules/user/views_handler_field_user_picture.inc\";i:194;s:47:\"modules/user/views_handler_field_user_roles.inc\";i:195;s:50:\"modules/user/views_handler_filter_user_current.inc\";i:196;s:47:\"modules/user/views_handler_filter_user_name.inc\";i:197;s:54:\"modules/user/views_handler_filter_user_permissions.inc\";i:198;s:48:\"modules/user/views_handler_filter_user_roles.inc\";i:199;s:59:\"modules/user/views_plugin_argument_default_current_user.inc\";i:200;s:51:\"modules/user/views_plugin_argument_default_user.inc\";i:201;s:52:\"modules/user/views_plugin_argument_validate_user.inc\";i:202;s:43:\"modules/user/views_plugin_row_user_view.inc\";i:203;s:31:\"plugins/views_plugin_access.inc\";i:204;s:36:\"plugins/views_plugin_access_none.inc\";i:205;s:36:\"plugins/views_plugin_access_perm.inc\";i:206;s:36:\"plugins/views_plugin_access_role.inc\";i:207;s:41:\"plugins/views_plugin_argument_default.inc\";i:208;s:45:\"plugins/views_plugin_argument_default_php.inc\";i:209;s:47:\"plugins/views_plugin_argument_default_fixed.inc\";i:210;s:45:\"plugins/views_plugin_argument_default_raw.inc\";i:211;s:42:\"plugins/views_plugin_argument_validate.inc\";i:212;s:50:\"plugins/views_plugin_argument_validate_numeric.inc\";i:213;s:46:\"plugins/views_plugin_argument_validate_php.inc\";i:214;s:30:\"plugins/views_plugin_cache.inc\";i:215;s:35:\"plugins/views_plugin_cache_none.inc\";i:216;s:35:\"plugins/views_plugin_cache_time.inc\";i:217;s:32:\"plugins/views_plugin_display.inc\";i:218;s:43:\"plugins/views_plugin_display_attachment.inc\";i:219;s:38:\"plugins/views_plugin_display_block.inc\";i:220;s:40:\"plugins/views_plugin_display_default.inc\";i:221;s:38:\"plugins/views_plugin_display_embed.inc\";i:222;s:41:\"plugins/views_plugin_display_extender.inc\";i:223;s:37:\"plugins/views_plugin_display_feed.inc\";i:224;s:37:\"plugins/views_plugin_display_page.inc\";i:225;s:43:\"plugins/views_plugin_exposed_form_basic.inc\";i:226;s:37:\"plugins/views_plugin_exposed_form.inc\";i:227;s:52:\"plugins/views_plugin_exposed_form_input_required.inc\";i:228;s:42:\"plugins/views_plugin_localization_core.inc\";i:229;s:37:\"plugins/views_plugin_localization.inc\";i:230;s:42:\"plugins/views_plugin_localization_none.inc\";i:231;s:30:\"plugins/views_plugin_pager.inc\";i:232;s:35:\"plugins/views_plugin_pager_full.inc\";i:233;s:35:\"plugins/views_plugin_pager_mini.inc\";i:234;s:35:\"plugins/views_plugin_pager_none.inc\";i:235;s:35:\"plugins/views_plugin_pager_some.inc\";i:236;s:30:\"plugins/views_plugin_query.inc\";i:237;s:38:\"plugins/views_plugin_query_default.inc\";i:238;s:28:\"plugins/views_plugin_row.inc\";i:239;s:35:\"plugins/views_plugin_row_fields.inc\";i:240;s:39:\"plugins/views_plugin_row_rss_fields.inc\";i:241;s:30:\"plugins/views_plugin_style.inc\";i:242;s:38:\"plugins/views_plugin_style_default.inc\";i:243;s:35:\"plugins/views_plugin_style_grid.inc\";i:244;s:35:\"plugins/views_plugin_style_list.inc\";i:245;s:40:\"plugins/views_plugin_style_jump_menu.inc\";i:246;s:38:\"plugins/views_plugin_style_mapping.inc\";i:247;s:34:\"plugins/views_plugin_style_rss.inc\";i:248;s:38:\"plugins/views_plugin_style_summary.inc\";i:249;s:48:\"plugins/views_plugin_style_summary_jump_menu.inc\";i:250;s:50:\"plugins/views_plugin_style_summary_unformatted.inc\";i:251;s:36:\"plugins/views_plugin_style_table.inc\";i:252;s:34:\"tests/handlers/views_handlers.test\";i:253;s:43:\"tests/handlers/views_handler_area_text.test\";i:254;s:47:\"tests/handlers/views_handler_argument_null.test\";i:255;s:49:\"tests/handlers/views_handler_argument_string.test\";i:256;s:39:\"tests/handlers/views_handler_field.test\";i:257;s:47:\"tests/handlers/views_handler_field_boolean.test\";i:258;s:46:\"tests/handlers/views_handler_field_custom.test\";i:259;s:47:\"tests/handlers/views_handler_field_counter.test\";i:260;s:44:\"tests/handlers/views_handler_field_date.test\";i:261;s:54:\"tests/handlers/views_handler_field_file_extension.test\";i:262;s:49:\"tests/handlers/views_handler_field_file_size.test\";i:263;s:44:\"tests/handlers/views_handler_field_math.test\";i:264;s:43:\"tests/handlers/views_handler_field_url.test\";i:265;s:43:\"tests/handlers/views_handler_field_xss.test\";i:266;s:48:\"tests/handlers/views_handler_filter_combine.test\";i:267;s:45:\"tests/handlers/views_handler_filter_date.test\";i:268;s:49:\"tests/handlers/views_handler_filter_equality.test\";i:269;s:52:\"tests/handlers/views_handler_filter_in_operator.test\";i:270;s:48:\"tests/handlers/views_handler_filter_numeric.test\";i:271;s:47:\"tests/handlers/views_handler_filter_string.test\";i:272;s:45:\"tests/handlers/views_handler_sort_random.test\";i:273;s:43:\"tests/handlers/views_handler_sort_date.test\";i:274;s:38:\"tests/handlers/views_handler_sort.test\";i:275;s:46:\"tests/test_handlers/views_test_area_access.inc\";i:276;s:60:\"tests/test_plugins/views_test_plugin_access_test_dynamic.inc\";i:277;s:59:\"tests/test_plugins/views_test_plugin_access_test_static.inc\";i:278;s:59:\"tests/test_plugins/views_test_plugin_style_test_mapping.inc\";i:279;s:39:\"tests/plugins/views_plugin_display.test\";i:280;s:46:\"tests/styles/views_plugin_style_jump_menu.test\";i:281;s:36:\"tests/styles/views_plugin_style.test\";i:282;s:41:\"tests/styles/views_plugin_style_base.test\";i:283;s:44:\"tests/styles/views_plugin_style_mapping.test\";i:284;s:48:\"tests/styles/views_plugin_style_unformatted.test\";i:285;s:23:\"tests/views_access.test\";i:286;s:24:\"tests/views_analyze.test\";i:287;s:22:\"tests/views_basic.test\";i:288;s:33:\"tests/views_argument_default.test\";i:289;s:35:\"tests/views_argument_validator.test\";i:290;s:29:\"tests/views_exposed_form.test\";i:291;s:31:\"tests/field/views_fieldapi.test\";i:292;s:25:\"tests/views_glossary.test\";i:293;s:24:\"tests/views_groupby.test\";i:294;s:25:\"tests/views_handlers.test\";i:295;s:23:\"tests/views_module.test\";i:296;s:22:\"tests/views_pager.test\";i:297;s:40:\"tests/views_plugin_localization_test.inc\";i:298;s:29:\"tests/views_translatable.test\";i:299;s:22:\"tests/views_query.test\";i:300;s:24:\"tests/views_upgrade.test\";i:301;s:34:\"tests/views_test.views_default.inc\";i:302;s:58:\"tests/comment/views_handler_argument_comment_user_uid.test\";i:303;s:56:\"tests/comment/views_handler_filter_comment_user_uid.test\";i:304;s:45:\"tests/node/views_node_revision_relations.test\";i:305;s:61:\"tests/taxonomy/views_handler_relationship_node_term_data.test\";i:306;s:45:\"tests/user/views_handler_field_user_name.test\";i:307;s:43:\"tests/user/views_user_argument_default.test\";i:308;s:44:\"tests/user/views_user_argument_validate.test\";i:309;s:26:\"tests/user/views_user.test\";i:310;s:22:\"tests/views_cache.test\";i:311;s:21:\"tests/views_view.test\";i:312;s:19:\"tests/views_ui.test\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views_ui.module','views_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Views UI\";s:11:\"description\";s:93:\"Administrative interface to views. Without this module, you cannot create or edit your views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:21:\"admin/structure/views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:15:\"views_ui.module\";i:1;s:57:\"plugins/views_wizard/views_ui_base_views_wizard.class.php\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_accordion/views_accordion.module','views_accordion','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Accordion\";s:11:\"description\";s:43:\"Provides an accordion views display plugin.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:32:\"views_accordion_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"views_accordion\";s:9:\"datestamp\";s:10:\"1422545700\";s:5:\"mtime\";i:1499940454;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_fieldsets/views_fieldsets.module','views_fieldsets','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views fieldsets\";s:11:\"description\";s:44:\"Output several Views fields into a fieldset.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:48:\"views/views_fieldsets_fieldset_field_handler.inc\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:5:\"mtime\";i:1452361196;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','views_slideshow_cycle','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"Views Slideshow: Cycle\";s:11:\"description\";s:50:\"Adds a Rotating slideshow mode to Views Slideshow.\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.module','views_slideshow_simple_pager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:28:\"Views Slideshow Simple Pager\";s:11:\"description\";s:44:\"Provides a simple pager for Views Slideshow.\";s:12:\"dependencies\";a:1:{i:0;s:15:\"views_slideshow\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/views_slideshow.module','views_slideshow','module','',1,0,7300,0,'a:12:{s:4:\"name\";s:15:\"Views Slideshow\";s:11:\"description\";s:155:\"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"views_slideshow_plugin_style_slideshow.inc\";}s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/webform/webform.module','webform','module','',1,0,7430,-1,'a:14:{s:4:\"name\";s:7:\"Webform\";s:11:\"description\";s:49:\"Enables the creation of forms and questionnaires.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Webform\";s:9:\"configure\";s:28:\"admin/config/content/webform\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:17:\"test_dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:27:{i:0;s:40:\"includes/webform.webformconditionals.inc\";i:1;s:49:\"includes/exporters/webform_exporter_delimited.inc\";i:2;s:55:\"includes/exporters/webform_exporter_excel_delimited.inc\";i:3;s:50:\"includes/exporters/webform_exporter_excel_xlsx.inc\";i:4;s:39:\"includes/exporters/webform_exporter.inc\";i:5;s:43:\"views/webform_handler_area_result_pager.inc\";i:6;s:41:\"views/webform_handler_field_form_body.inc\";i:7;s:40:\"views/webform_handler_field_is_draft.inc\";i:8;s:46:\"views/webform_handler_field_node_link_edit.inc\";i:9;s:49:\"views/webform_handler_field_node_link_results.inc\";i:10;s:48:\"views/webform_handler_field_submission_count.inc\";i:11;s:47:\"views/webform_handler_field_submission_data.inc\";i:12;s:47:\"views/webform_handler_field_submission_link.inc\";i:13;s:46:\"views/webform_handler_field_webform_status.inc\";i:14;s:41:\"views/webform_handler_filter_is_draft.inc\";i:15;s:48:\"views/webform_handler_filter_submission_data.inc\";i:16;s:47:\"views/webform_handler_filter_webform_status.inc\";i:17;s:38:\"views/webform_handler_numeric_data.inc\";i:18;s:54:\"views/webform_handler_relationship_submission_data.inc\";i:19;s:44:\"views/webform_plugin_row_submission_view.inc\";i:20;s:23:\"views/webform.views.inc\";i:21;s:36:\"tests/WebformComponentsTestCase.test\";i:22;s:38:\"tests/WebformConditionalsTestCase.test\";i:23;s:33:\"tests/WebformGeneralTestCase.test\";i:24;s:37:\"tests/WebformPermissionsTestCase.test\";i:25;s:36:\"tests/WebformSubmissionTestCase.test\";i:26;s:26:\"tests/WebformTestCase.test\";}s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:5:\"mtime\";i:1492107249;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/we_content_migration/we_content_migration.module','we_content_migration','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Content Migration\";s:11:\"description\";s:29:\"Migrate Content for Drupal 7.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:5:\"mtime\";i:1499652544;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/themes/autox/autox.info','autox','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:5:\"Autox\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:5:{s:3:\"all\";a:9:{s:27:\"bootstrap/css/bootstrap.css\";s:50:\"sites/all/themes/autox/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:56:\"sites/all/themes/autox/bootstrap/css/bootstrap-theme.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/autox/fonts/stylesheet.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/autox/css/base.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/autox/css/html.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/autox/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/autox/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/autox/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/autox/css/page.css\";}s:33:\"only screen and (max-width:991px)\";a:2:{s:22:\"css/screens/common.css\";s:45:\"sites/all/themes/autox/css/screens/common.css\";s:19:\"css/mobile-menu.css\";s:42:\"sites/all/themes/autox/css/mobile-menu.css\";}s:56:\"only screen and (min-width:992px) and (max-width:1199px)\";a:1:{s:22:\"css/screens/tablet.css\";s:45:\"sites/all/themes/autox/css/screens/tablet.css\";}s:55:\"only screen and (min-width:768px) and (max-width:991px)\";a:1:{s:31:\"css/screens/vertical_tablet.css\";s:54:\"sites/all/themes/autox/css/screens/vertical_tablet.css\";}s:33:\"only screen and (max-width:767px)\";a:1:{s:22:\"css/screens/mobile.css\";s:45:\"sites/all/themes/autox/css/screens/mobile.css\";}}s:7:\"scripts\";a:8:{s:19:\"js/jquery.appear.js\";s:42:\"sites/all/themes/autox/js/jquery.appear.js\";s:25:\"bootstrap/js/bootstrap.js\";s:48:\"sites/all/themes/autox/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:42:\"sites/all/themes/autox/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:49:\"sites/all/themes/autox/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:43:\"sites/all/themes/autox/js/jquery.countTo.js\";s:17:\"js/mobile_menu.js\";s:40:\"sites/all/themes/autox/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/autox/js/weebpal.js\";s:11:\"js/autox.js\";s:34:\"sites/all/themes/autox/js/autox.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:27:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:14:\"panel_featured\";s:14:\"Panel Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:11:\"panel_first\";s:11:\"Panel First\";s:12:\"panel_second\";s:12:\"Panel Second\";s:11:\"panel_third\";s:11:\"Panel Third\";s:12:\"panel_fourth\";s:12:\"Panel Fourth\";s:11:\"panel_fifth\";s:11:\"Panel Fifth\";s:11:\"panel_sixth\";s:11:\"Panel Sixth\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:14:\"panel_footer_5\";s:14:\"Panel Footer 5\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:12:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:22:\"panel_featured_1_width\";s:1:\"3\";s:22:\"panel_featured_2_width\";s:1:\"3\";s:22:\"panel_featured_3_width\";s:1:\"3\";s:22:\"panel_featured_4_width\";s:1:\"3\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"2\";s:20:\"panel_footer_3_width\";s:1:\"2\";s:20:\"panel_footer_4_width\";s:1:\"2\";s:20:\"panel_footer_5_width\";s:1:\"3\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:5:\"light\";s:5:\"Light\";s:4:\"blue\";s:4:\"Blue\";s:4:\"pink\";s:4:\"Pink\";s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:37:\"sites/all/themes/autox/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499940454;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('sites/all/themes/we_backend/we_backend.info','we_backend','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/bartik/bartik.info','bartik','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/garland/garland.info','garland','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/seven/seven.info','seven','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/stark/stark.info','stark','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `tid` int(10) unsigned NOT NULL DEFAULT '0',
  `sticky` tinyint(4) DEFAULT '0',
  `created` int(11) NOT NULL DEFAULT '0',
  KEY `term_node` (`tid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_index` VALUES (12,1,0,1406803074),(12,2,0,1406803074),(12,3,0,1406803074),(12,4,0,1406803074),(12,5,0,1406803074),(13,4,0,1406803503),(13,5,0,1406803503),(14,3,0,1406803568),(15,2,0,1406803591),(23,9,0,1407314601),(23,76,0,1407314601),(25,7,0,1407318442),(25,8,0,1407318442),(25,9,0,1407318442),(25,14,0,1407318442),(25,39,0,1407318442),(25,45,0,1407318442),(25,63,0,1407318442),(25,64,0,1407318442),(25,66,0,1407318442),(25,67,0,1407318442),(25,68,0,1407318442),(25,72,0,1407318442),(25,73,0,1407318442),(25,76,0,1407318442),(35,6,0,1407819597),(35,7,0,1407819597),(35,9,0,1407819597),(35,15,0,1407819597),(35,35,0,1407819597),(35,59,0,1407819597),(35,63,0,1407819597),(35,64,0,1407819597),(35,65,0,1407819597),(35,66,0,1407819597),(35,67,0,1407819597),(35,68,0,1407819597),(35,69,0,1407819597),(35,72,0,1407819597),(35,73,0,1407819597),(35,74,0,1407819597),(35,75,0,1407819597),(36,7,0,1408072906),(36,9,0,1408072906),(36,13,0,1408072906),(36,38,0,1408072906),(36,47,0,1408072906),(36,63,0,1408072906),(36,68,0,1408072906),(36,69,0,1408072906),(36,72,0,1408072906),(36,74,0,1408072906),(36,75,0,1408072906),(37,7,0,1408074106),(37,9,0,1408074106),(37,15,0,1408074106),(37,37,0,1408074106),(37,59,0,1408074106),(37,63,0,1408074106),(37,67,0,1408074106),(37,68,0,1408074106),(37,71,0,1408074106),(37,73,0,1408074106),(37,75,0,1408074106),(38,6,0,1408074430),(38,7,0,1408074430),(38,9,0,1408074430),(38,21,0,1408074430),(38,37,0,1408074430),(38,43,0,1408074430),(38,64,0,1408074430),(38,65,0,1408074430),(38,72,0,1408074430),(38,76,0,1408074430),(39,8,0,1408074676),(39,9,0,1408074676),(39,26,0,1408074676),(39,35,0,1408074676),(39,51,0,1408074676),(39,63,0,1408074676),(39,64,0,1408074676),(39,68,0,1408074676),(39,72,0,1408074676),(39,73,0,1408074676),(39,75,0,1408074676),(40,6,0,1408075015),(40,7,0,1408075015),(40,8,0,1408075015),(40,9,0,1408075015),(40,25,0,1408075015),(40,37,0,1408075015),(40,45,0,1408075015),(40,63,0,1408075015),(40,66,0,1408075015),(40,69,0,1408075015),(40,72,0,1408075015),(40,73,0,1408075015),(40,76,0,1408075015),(41,6,0,1408075707),(41,7,0,1408075707),(41,8,0,1408075707),(41,9,0,1408075707),(41,16,0,1408075707),(41,38,0,1408075707),(41,53,0,1408075707),(41,63,0,1408075707),(41,69,0,1408075707),(41,72,0,1408075707),(41,75,0,1408075707),(42,6,0,1408075837),(42,7,0,1408075837),(42,8,0,1408075837),(42,9,0,1408075837),(42,24,0,1408075837),(42,35,0,1408075837),(42,59,0,1408075837),(42,64,0,1408075837),(42,66,0,1408075837),(42,67,0,1408075837),(42,70,0,1408075837),(42,72,0,1408075837),(42,76,0,1408075837),(43,6,0,1408075932),(43,7,0,1408075932),(43,8,0,1408075932),(43,9,0,1408075932),(43,20,0,1408075932),(43,37,0,1408075932),(43,53,0,1408075932),(43,63,0,1408075932),(43,66,0,1408075932),(43,68,0,1408075932),(43,70,0,1408075932),(43,73,0,1408075932),(43,75,0,1408075932);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_menu`
--

DROP TABLE IF EXISTS `taxonomy_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_menu` (
  `mlid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy terms menu_link.mlid.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Tid that is linked to the mlid.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Vid for the tid.',
  PRIMARY KEY (`mlid`,`tid`),
  KEY `vid` (`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links a taxonomy term to a menu item.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_menu`
--

LOCK TABLES `taxonomy_menu` WRITE;
/*!40000 ALTER TABLE `taxonomy_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `taxonomy_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',
  `description` longtext COMMENT 'A description of the term.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',
  PRIMARY KEY (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=77 DEFAULT CHARSET=utf8 COMMENT='Stores term information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_data` VALUES (1,1,'Etiam',NULL,NULL,0),(2,1,'Ultrices',NULL,NULL,0),(3,1,'Lectus Aliquam',NULL,NULL,0),(4,1,'Amet',NULL,NULL,0),(5,1,'Dictum Turpis',NULL,NULL,0),(6,2,'Bikes','','filtered_html',0),(7,2,'Luxury & Sport Cars','','filtered_html',0),(8,2,'Vans & SUVs','','filtered_html',0),(9,2,'Trucks','','filtered_html',0),(10,4,'CEO','','filtered_html',0),(11,4,'CFO','','filtered_html',0),(12,4,'CIO','','filtered_html',0),(13,3,'Audi','','filtered_html',0),(14,3,'BMW','','filtered_html',0),(15,3,'Ferrari','','filtered_html',0),(16,3,'Honda','','filtered_html',0),(17,3,'Mercedes','','filtered_html',0),(18,3,'Peugeot','','filtered_html',0),(19,3,'Renault','','filtered_html',0),(20,3,'Volvo','','filtered_html',0),(21,3,'Bugatti','','filtered_html',0),(22,3,'Buick','','filtered_html',0),(23,3,'Ford','','filtered_html',0),(24,3,'Lexus','','filtered_html',0),(25,3,'Hyundai','','filtered_html',0),(26,3,'Mazda','','filtered_html',0),(27,9,'Male','','filtered_html',0),(28,9,'Female','','filtered_html',0),(29,4,'Marketing Manager','','filtered_html',0),(30,4,'Marketing Executive','','filtered_html',0),(31,4,'Customer Support','','filtered_html',0),(32,4,'Secretary','','filtered_html',0),(33,4,'Trainee','','filtered_html',0),(34,6,'Yellow','','filtered_html',0),(35,6,'Red','','filtered_html',0),(36,6,'Blue','','filtered_html',0),(37,6,'Black','','filtered_html',0),(38,6,'White','','filtered_html',0),(39,6,'Glacier Silver','','filtered_html',0),(40,6,'Midnight Blue','','filtered_html',0),(41,6,'Havanna','','filtered_html',0),(42,5,'BMW 2 series','','filtered_html',0),(43,5,'1-Series','','filtered_html',0),(44,5,'2-Series','','filtered_html',0),(45,5,'3-Series','','filtered_html',0),(46,5,'4-Series','','filtered_html',0),(47,5,'8-Series','','filtered_html',0),(48,5,'Z-3','','filtered_html',0),(49,5,'Z-4 M','','filtered_html',0),(50,5,'Z-8','','filtered_html',0),(51,5,'A4','','filtered_html',0),(52,5,'A6','','filtered_html',0),(53,5,'S4','','filtered_html',0),(54,5,'S6','','filtered_html',0),(55,5,'V8','','filtered_html',0),(56,5,'Silver Dawn','','filtered_html',0),(57,5,'Silver Seraph','','filtered_html',0),(58,5,'Silver Spirit','','filtered_html',0),(59,5,'F40','','filtered_html',0),(60,5,'F430','','filtered_html',0),(61,5,'F50','','filtered_html',0),(62,5,'F512M','','filtered_html',0),(63,10,'Adaptive LED headtlights','','filtered_html',0),(64,10,'Colours & wheels','','filtered_html',0),(65,11,'Ambience','','filtered_html',0),(66,11,'Control Display','','filtered_html',0),(67,11,'Rear-seat entertainment','','filtered_html',0),(68,11,'Bang & Olufsen Sound system','','filtered_html',0),(69,11,'Colours and materials','','filtered_html',0),(70,12,'Multifunctional instrument display','','filtered_html',0),(71,12,'BMW Head-Up Display','','filtered_html',0),(72,12,'Driver assistance systems','','filtered_html',0),(73,12,'Dazzle-free high-beam assistance','','filtered_html',0),(74,12,'BMW Night Vision with Dynamic light spot','','filtered_html',0),(75,7,'Automatic','','filtered_html',0),(76,7,'Manual','','filtered_html',0);
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_hierarchy`
--

DROP TABLE IF EXISTS `taxonomy_term_hierarchy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_hierarchy` (
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',
  PRIMARY KEY (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_hierarchy`
--

LOCK TABLES `taxonomy_term_hierarchy` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_hierarchy` VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0),(10,0),(11,0),(12,0),(13,0),(14,0),(15,0),(16,0),(17,0),(18,0),(19,0),(20,0),(21,0),(22,0),(23,0),(24,0),(25,0),(26,0),(27,0),(28,0),(29,0),(30,0),(31,0),(32,0),(33,0),(34,0),(35,0),(36,0),(37,0),(38,0),(39,0),(40,0),(41,0),(42,0),(43,0),(44,0),(45,0),(46,0),(47,0),(48,0),(49,0),(50,0),(51,0),(52,0),(53,0),(54,0),(55,0),(56,0),(57,0),(58,0),(59,0),(60,0),(61,0),(62,0),(63,0),(64,0),(65,0),(66,0),(67,0),(68,0),(69,0),(70,0),(71,0),(72,0),(73,0),(74,0),(75,0),(76,0);
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_vocabulary`
--

DROP TABLE IF EXISTS `taxonomy_vocabulary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_vocabulary` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',
  `description` longtext COMMENT 'Description of the vocabulary.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_vocabulary`
--

LOCK TABLES `taxonomy_vocabulary` WRITE;
/*!40000 ALTER TABLE `taxonomy_vocabulary` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_vocabulary` VALUES (1,'Tags','tags','Use tags to group articles on similar topics into categories.',0,'taxonomy',0),(2,'Categories','categories','Categories',0,'taxonomy',0),(3,'Brands','brands','Brands',0,'taxonomy',0),(4,'Positions','positions','Positions',0,'taxonomy',0),(5,'Models','models','Models',0,'taxonomy',0),(6,'Colors','colors','Colors',0,'taxonomy',0),(7,'Transmission Types','transmission_types','Transmission Types',0,'taxonomy',0),(8,'Newsletter categories','newsletter_categories','Vocabulary used to store the categories of newsletter lists',0,'newsletter',0),(9,'Gender','gender','',0,'taxonomy',0),(10,'Features','features','',0,'taxonomy',0),(11,'interior design','interior_design','',0,'taxonomy',0),(12,'Safety','safety','',0,'taxonomy',0);
/*!40000 ALTER TABLE `taxonomy_vocabulary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `tb_megamenus`
--

DROP TABLE IF EXISTS `tb_megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  `language` varchar(12) NOT NULL DEFAULT '',
  PRIMARY KEY (`menu_name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_megamenus`
--

LOCK TABLES `tb_megamenus` WRITE;
/*!40000 ALTER TABLE `tb_megamenus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `tb_megamenus` VALUES ('main-menu','{\"animation\":\"none\",\"duration\":400,\"delay\":200,\"style\":\"\",\"auto-arrow\":\"1\",\"always-show-submenu\":\"1\"}','{\"221\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"428\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"430\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"665\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"447\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"449\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"468\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"668\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"4\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}},{\"col_content\":[{\"block_key\":\"views--vehicles-block_2\",\"type\":\"block\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"8\",\"class\":\"\",\"hidewcol\":\"1\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"500\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"1\",\"hidesub\":\"0\"}},\"473\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"474\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"664\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"665\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"666\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"668\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}}}','en');
/*!40000 ALTER TABLE `tb_megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `url_alias`
--

DROP TABLE IF EXISTS `url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_language_pid` (`alias`,`language`,`pid`),
  KEY `source_language_pid` (`source`,`language`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=131 DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `url_alias`
--

LOCK TABLES `url_alias` WRITE;
/*!40000 ALTER TABLE `url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `url_alias` VALUES (1,'node/1','faq/sed-erat-orci-pharetra-nec-diam-quis-posuere-feugiat-elit','und'),(2,'node/2','faq/fusce-rhoncus-diam-vel-elementum-tempus','und'),(3,'node/3','faq/nulla-non-dui-tristique-aliquet-nisi-vitae-tempus-eros','und'),(4,'node/4','faq/sed-id-vestibulum-elit-phasellus-vel-sem-purus-proin-sed-arcu-nibh','und'),(5,'node/5','faq/vestibulum-eget-fermentum-leo','und'),(6,'node/6','faq/ultrices-massa-quis-dui-molestie-ut-bibendum-ligula-dictum','und'),(7,'node/7','blog-post/vivamus-porta-molestie-dolor-eu-porta-metus-pharetra-id','und'),(8,'node/8','blog-post/vivamus-enim-tellus-pretium-ac-malesuada-sit-amet','und'),(9,'node/9','blog-post/curabitur-dignissim-posuere-dui-vitae-dictum','und'),(10,'node/10','blog-post/proin-eu-metus-sit-amet-diam-consectetur-sagittis-nec-erat','und'),(11,'node/11','blog-post/integer-lacus-ante-porttitor-tempus-blandit-ut','und'),(12,'node/12','article/maecenas-justo-lectus-mollis-et-sem-scelerisque-sodales-leo','und'),(13,'node/13','article/nam-dignissim-consectetur-felis-ut-molestie-lorem-suscipit-et','und'),(14,'node/14','article/quisque-cursus-tortor-ut-libero-euismod-vitae-tempor-nibh-tincidunt','und'),(15,'node/15','article/donec-lacus-ligula-pharetra-quis-malesuada-et-accumsan-nibh','und'),(16,'node/16','article/duis-scelerisque-purus-ac-tristique-dignissim','und'),(17,'taxonomy/term/1','tags/etiam','und'),(18,'taxonomy/term/2','tags/ultrices','und'),(19,'taxonomy/term/3','tags/lectus-aliquam','und'),(20,'taxonomy/term/4','tags/amet','und'),(21,'taxonomy/term/5','tags/dictum-turpis','und'),(22,'user/1','users/admin','und'),(23,'blog/1','blogs/admin','und'),(24,'node/17','about-us','und'),(25,'taxonomy/term/6','categories/bikes','und'),(26,'taxonomy/term/7','categories/luxury-sport-cars','und'),(27,'taxonomy/term/8','categories/vans-suvs','und'),(28,'taxonomy/term/9','categories/trucks','und'),(29,'node/18','contact','und'),(30,'taxonomy/term/10','positions/ceo','und'),(31,'taxonomy/term/11','positions/cfo','und'),(32,'taxonomy/term/12','positions/cio','und'),(33,'taxonomy/term/13','brands/audi','und'),(34,'taxonomy/term/14','brands/bmw','und'),(35,'taxonomy/term/15','brands/ferrari','und'),(36,'taxonomy/term/16','brands/honda','und'),(37,'taxonomy/term/17','brands/mercedes','und'),(38,'taxonomy/term/18','brands/peugeot','und'),(39,'taxonomy/term/19','brands/renault','und'),(40,'taxonomy/term/20','brands/volvo','und'),(41,'taxonomy/term/21','brands/bugatti','und'),(42,'taxonomy/term/22','brands/buick','und'),(43,'taxonomy/term/23','brands/ford','und'),(44,'taxonomy/term/24','brands/lexus','und'),(45,'taxonomy/term/25','brands/hyundai','und'),(46,'taxonomy/term/26','brands/mazda','und'),(47,'node/19','service/build-your-vehicle','und'),(48,'node/20','service/financial-services','und'),(49,'node/21','service/repair-optimize','und'),(50,'node/22','service/auto-maintenance','und'),(51,'node/23','product/ferrari-enzo','und'),(53,'node/25','product/mantiz-concept','und'),(54,'node/26','content/vestibulum-mattis-mattis-mi-vel-faucibus','und'),(55,'user/4','users/anna','und'),(56,'user/5','users/david','und'),(57,'node/27','content/etiam-leo-nisi-mattis-sed-semper-vitae','und'),(58,'node/28','content/cars-selling','und'),(59,'node/29','content/global-customer','und'),(60,'node/30','content/best-brands','und'),(61,'node/31','content/supporter-247','und'),(62,'user/6','users/laura','und'),(63,'taxonomy/term/27','gender/male','und'),(64,'taxonomy/term/28','gender/female','und'),(65,'taxonomy/term/29','positions/marketing-manager','und'),(66,'taxonomy/term/30','positions/marketing-executive','und'),(67,'taxonomy/term/31','positions/customer-support','und'),(68,'taxonomy/term/32','positions/secretary','und'),(69,'taxonomy/term/33','positions/trainee','und'),(70,'node/32','dealer/vestibulum-imperdiet-ligula-quis-dignissim-luctus','und'),(71,'node/33','dealer/fusce-scelerisque-ut-lorem-et-pellentesque','und'),(72,'node/34','dealer/vestibulum-ante-ipsum-primis-faucibus-orci-luctus-et-ultrices-posuere','und'),(73,'taxonomy/term/34','colors/yellow','und'),(74,'taxonomy/term/35','colors/red','und'),(75,'taxonomy/term/36','colors/blue','und'),(76,'taxonomy/term/37','colors/black','und'),(77,'taxonomy/term/38','colors/white','und'),(78,'taxonomy/term/39','colors/glacier-silver','und'),(79,'taxonomy/term/40','colors/midnight-blue','und'),(80,'taxonomy/term/41','colors/havanna','und'),(81,'taxonomy/term/42','models/bmw-2-series','und'),(82,'taxonomy/term/43','models/1-series','und'),(83,'taxonomy/term/44','models/2-series','und'),(84,'taxonomy/term/45','models/3-series','und'),(85,'taxonomy/term/46','models/4-series','und'),(86,'taxonomy/term/47','models/8-series','und'),(87,'taxonomy/term/48','models/z-3','und'),(88,'taxonomy/term/49','models/z-4-m','und'),(89,'taxonomy/term/50','models/z-8','und'),(90,'taxonomy/term/51','models/a4','und'),(91,'taxonomy/term/52','models/a6','und'),(92,'taxonomy/term/53','models/s4','und'),(93,'taxonomy/term/54','models/s6','und'),(94,'taxonomy/term/55','models/v8','und'),(95,'taxonomy/term/56','models/silver-dawn','und'),(96,'taxonomy/term/57','models/silver-seraph','und'),(97,'taxonomy/term/58','models/silver-spirit','und'),(98,'taxonomy/term/59','models/f40','und'),(99,'taxonomy/term/60','models/f430','und'),(100,'taxonomy/term/61','models/f50','und'),(101,'taxonomy/term/62','models/f512m','und'),(102,'node/35','product/2014-ferrari-california','und'),(103,'taxonomy/term/63','features/adaptive-led-headtlights','und'),(104,'taxonomy/term/64','features/colours-wheels','und'),(105,'taxonomy/term/65','interior-design/ambience','und'),(106,'taxonomy/term/66','interior-design/control-display','und'),(107,'taxonomy/term/67','interior-design/rear-seat-entertainment','und'),(108,'taxonomy/term/68','interior-design/bang-olufsen-sound-system','und'),(109,'taxonomy/term/69','interior-design/colours-and-materials','und'),(110,'taxonomy/term/70','safety/multifunctional-instrument-display','und'),(111,'taxonomy/term/71','safety/bmw-head-display','und'),(112,'taxonomy/term/72','safety/driver-assistance-systems','und'),(113,'taxonomy/term/73','safety/dazzle-free-high-beam-assistance','und'),(114,'taxonomy/term/74','safety/bmw-night-vision-dynamic-light-spot','und'),(115,'node/36','product/2014-audi-allroad','und'),(116,'node/37','product/2014-ferrari-ff','und'),(117,'node/38','product/ducati-monster-795','und'),(118,'node/39','product/2013-mazda-mazdaspeed','und'),(119,'node/40','product/2014-hyundai-accent','und'),(120,'node/41','product/2015-ktm-1290-super-adventure','und'),(121,'node/42','product/2014-lexus-ct-200h','und'),(122,'node/43','product/2013-volvo-c30','und'),(123,'taxonomy/term/75','transmission-types/automatic','und'),(124,'taxonomy/term/76','transmission-types/manual','und'),(125,'node/44','content/nulla-quis-orci-auctor','und'),(126,'node/45','article/quisque-rhoncus-vitae-purus-ac-luctu','und'),(127,'node/46','send-cv','und'),(129,'node/48','404','und'),(130,'node/49','mega-menus','und');
/*!40000 ALTER TABLE `url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique user ID.',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT 'Unique user name.',
  `pass` varchar(128) NOT NULL DEFAULT '' COMMENT 'User’s password (hashed).',
  `mail` varchar(254) DEFAULT '' COMMENT 'User’s e-mail address.',
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s default theme.',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s signature.',
  `signature_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the signature.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for when user was created.',
  `access` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for previous time user accessed the site.',
  `login` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for user’s last login.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether the user is active(1) or blocked(0).',
  `timezone` varchar(32) DEFAULT NULL COMMENT 'User’s time zone.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'User’s default language.',
  `picture` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key: file_managed.fid of user’s picture.',
  `init` varchar(254) DEFAULT '' COMMENT 'E-mail address used for initial account creation.',
  `data` longblob COMMENT 'A serialized array of name value pairs that are related to the user. Any form values posted during user edit are stored and are loaded into the $user object during user_load(). Use of this field is discouraged and it will likely disappear in a future...',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`),
  KEY `picture` (`picture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users` VALUES (0,'','','','','',NULL,0,0,0,0,NULL,'',0,'',NULL),(1,'admin','$S$D7.DNVWQb1rRyEdfLtnB4Sb0BelTBWJR9naEjnwqE96NBJsxFn3G','you@yourdomain.com','','','filtered_html',1406765346,1500440361,1500000958,1,'Asia/Krasnoyarsk','',89,'you@yourdomain.com','a:1:{s:7:\"overlay\";i:1;}'),(4,'anna','$S$Dd9iZMcX97./8J7QC7x2eA1sUBmK./PExZRAXJcNWwsgJuCPids0','anna@weebpal.com','','','filtered_html',1407321037,0,0,1,'Asia/Krasnoyarsk','',65,'anna@gmail.com','b:0;'),(5,'david','$S$D7aJVG5LleGro5t/hh8yzvfQE4MN44JNEmHEjfqDLt5XzIr.00wZ','david@gmail.com','','','filtered_html',1407321082,0,0,1,'Asia/Krasnoyarsk','',66,'david@gmail.com','b:0;'),(6,'laura','$S$DrzTU3ZBbBNsGg1tJHx9lJaAZkDaf81YWV4i4Gm9.VQ4QxhZa0vz','laura@gmail.com','','','filtered_html',1407374210,1422340573,1422340573,1,'Asia/Krasnoyarsk','en',67,'laura@gmail.com','b:0;');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_roles`
--

DROP TABLE IF EXISTS `users_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_roles` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',
  PRIMARY KEY (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_roles`
--

LOCK TABLES `users_roles` WRITE;
/*!40000 ALTER TABLE `users_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_roles` VALUES (1,3);
/*!40000 ALTER TABLE `users_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `variable`
--

DROP TABLE IF EXISTS `variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variable` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longblob NOT NULL COMMENT 'The value of the variable.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variable`
--

LOCK TABLES `variable` WRITE;
/*!40000 ALTER TABLE `variable` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `variable` VALUES ('additional_settings__active_tab_article','s:12:\"edit-comment\";'),('additional_settings__active_tab_dealers','s:15:\"edit-submission\";'),('additional_settings__active_tab_faq','s:12:\"edit-comment\";'),('additional_settings__active_tab_products','s:12:\"edit-display\";'),('additional_settings__active_tab_services','s:12:\"edit-display\";'),('additional_settings__active_tab_statistics','s:12:\"edit-comment\";'),('additional_settings__active_tab_testimonials','s:12:\"edit-display\";'),('additional_settings__active_tab_webform','s:13:\"edit-workflow\";'),('admin_theme','s:10:\"we_backend\";'),('cache_class_cache_ctools_css','s:14:\"CToolsCssCache\";'),('clean_url','s:1:\"1\";'),('comment_anonymous_article','i:0;'),('comment_anonymous_dealers','i:0;'),('comment_anonymous_faq','i:0;'),('comment_anonymous_products','i:0;'),('comment_anonymous_services','i:0;'),('comment_anonymous_statistics','i:0;'),('comment_anonymous_testimonials','i:0;'),('comment_anonymous_webform','i:0;'),('comment_article','s:1:\"2\";'),('comment_dealers','s:1:\"1\";'),('comment_default_mode_article','i:1;'),('comment_default_mode_dealers','i:1;'),('comment_default_mode_faq','i:1;'),('comment_default_mode_products','i:1;'),('comment_default_mode_services','i:1;'),('comment_default_mode_statistics','i:1;'),('comment_default_mode_testimonials','i:1;'),('comment_default_mode_webform','i:1;'),('comment_default_per_page_article','s:2:\"50\";'),('comment_default_per_page_dealers','s:2:\"50\";'),('comment_default_per_page_faq','s:2:\"50\";'),('comment_default_per_page_products','s:2:\"50\";'),('comment_default_per_page_services','s:2:\"50\";'),('comment_default_per_page_statistics','s:2:\"50\";'),('comment_default_per_page_testimonials','s:2:\"50\";'),('comment_default_per_page_webform','s:2:\"50\";'),('comment_faq','s:1:\"1\";'),('comment_form_location_article','i:1;'),('comment_form_location_dealers','i:1;'),('comment_form_location_faq','i:1;'),('comment_form_location_products','i:1;'),('comment_form_location_services','i:1;'),('comment_form_location_statistics','i:1;'),('comment_form_location_testimonials','i:1;'),('comment_form_location_webform','i:1;'),('comment_page','i:0;'),('comment_preview_article','s:1:\"1\";'),('comment_preview_dealers','s:1:\"1\";'),('comment_preview_faq','s:1:\"1\";'),('comment_preview_products','s:1:\"1\";'),('comment_preview_services','s:1:\"1\";'),('comment_preview_statistics','s:1:\"1\";'),('comment_preview_testimonials','s:1:\"1\";'),('comment_preview_webform','s:1:\"1\";'),('comment_products','s:1:\"1\";'),('comment_services','s:1:\"1\";'),('comment_statistics','s:1:\"1\";'),('comment_subject_field_article','i:1;'),('comment_subject_field_dealers','i:1;'),('comment_subject_field_faq','i:1;'),('comment_subject_field_products','i:1;'),('comment_subject_field_services','i:1;'),('comment_subject_field_statistics','i:1;'),('comment_subject_field_testimonials','i:1;'),('comment_subject_field_webform','i:1;'),('comment_testimonials','s:1:\"1\";'),('comment_webform','s:1:\"1\";'),('context_block_rebuild_needed','b:1;'),('cron_key','s:43:\"I1uHjaqXIgpcg6CNQF_wpQ_9qpDWwPNv34bkMOT8wAo\";'),('cron_last','i:1500439780;'),('css_js_query_string','s:6:\"otbncg\";'),('ctools_last_cron','i:1500439782;'),('date_api_version','s:3:\"7.2\";'),('date_default_timezone','s:12:\"Asia/Bangkok\";'),('default_field_group','a:7:{s:34:\"group_detail|node|products|default\";b:0;s:40:\"group_informations|node|products|default\";b:0;s:33:\"group_infor|node|products|default\";b:0;s:32:\"group_data|node|products|default\";b:0;s:39:\"group_infor_inner|node|products|default\";b:0;s:38:\"group_data_inner|node|products|default\";b:0;s:34:\"group_summary|node|products|teaser\";b:0;}'),('default_nodes_main','s:2:\"10\";'),('drupal_http_request_fails','b:0;'),('drupal_private_key','s:43:\"oELP3we0xwVfT2rcmcZ-6a2yMIDH0GdXOewzg75yjrI\";'),('entityreference:base-tables','a:14:{s:4:\"bean\";a:2:{i:0;s:4:\"bean\";i:1;s:3:\"bid\";}s:7:\"comment\";a:2:{i:0;s:7:\"comment\";i:1;s:3:\"cid\";}s:7:\"country\";a:2:{i:0;s:17:\"countries_country\";i:1;s:3:\"cid\";}s:21:\"field_collection_item\";a:2:{i:0;s:21:\"field_collection_item\";i:1;s:7:\"item_id\";}s:19:\"metatags_path_based\";a:2:{i:0;s:25:\"metatags_quick_path_based\";i:1;s:2:\"id\";}s:21:\"newsletter_subscriber\";a:2:{i:0;s:21:\"newsletter_subscriber\";i:1;s:4:\"nsid\";}s:15:\"newsletter_list\";a:2:{i:0;s:15:\"newsletter_list\";i:1;s:4:\"nlid\";}s:19:\"newsletter_template\";a:2:{i:0;s:19:\"newsletter_template\";i:1;s:4:\"ntid\";}s:21:\"newsletter_newsletter\";a:2:{i:0;s:21:\"newsletter_newsletter\";i:1;s:4:\"nnid\";}s:4:\"node\";a:2:{i:0;s:4:\"node\";i:1;s:3:\"nid\";}s:4:\"file\";a:2:{i:0;s:12:\"file_managed\";i:1;s:3:\"fid\";}s:13:\"taxonomy_term\";a:2:{i:0;s:18:\"taxonomy_term_data\";i:1;s:3:\"tid\";}s:19:\"taxonomy_vocabulary\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:3:\"vid\";}s:4:\"user\";a:2:{i:0;s:5:\"users\";i:1;s:3:\"uid\";}}'),('field_bundle_settings_bean__list_block','a:2:{s:10:\"view_modes\";a:2:{s:7:\"default\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:4:{s:5:\"label\";a:1:{s:6:\"weight\";s:1:\"0\";}s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"1\";}s:8:\"revision\";a:1:{s:6:\"weight\";s:1:\"6\";}s:9:\"view_mode\";a:1:{s:6:\"weight\";s:1:\"5\";}}s:7:\"display\";a:1:{s:5:\"title\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"0\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_field_collection_item__field_simple_field','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__article','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__blog','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__dealers','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:9:\"locations\";a:1:{s:6:\"weight\";s:1:\"9\";}s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"10\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__page','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:9:\"locations\";a:1:{s:6:\"weight\";s:2:\"30\";}s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__products','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:9:\"locations\";a:1:{s:6:\"weight\";s:2:\"12\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"11\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__services','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:9:\"locations\";a:1:{s:6:\"weight\";s:1:\"4\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"5\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__statistics','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:9:\"locations\";a:1:{s:6:\"weight\";s:1:\"4\";}s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_taxonomy_term__brands','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:4:\"name\";a:1:{s:6:\"weight\";s:1:\"0\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"3\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"4\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_taxonomy_term__categories','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}s:4:\"name\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"0\";}}s:7:\"display\";a:1:{s:11:\"description\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"0\";s:7:\"visible\";b:0;}}}}}'),('field_bundle_settings_user__user','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:4:{s:7:\"account\";a:1:{s:6:\"weight\";s:1:\"0\";}s:8:\"timezone\";a:1:{s:6:\"weight\";s:2:\"13\";}s:7:\"picture\";a:1:{s:6:\"weight\";s:1:\"5\";}s:15:\"overlay_control\";a:1:{s:6:\"weight\";s:1:\"7\";}}s:7:\"display\";a:1:{s:7:\"summary\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"9\";s:7:\"visible\";b:1;}}}}}'),('file_default_scheme','s:6:\"public\";'),('file_private_path','s:0:\"\";'),('file_public_path','s:19:\"sites/default/files\";'),('file_temporary_path','s:4:\"/tmp\";'),('filter_fallback_format','s:10:\"plain_text\";'),('gmap_api_key','s:39:\"AIzaSyDrgZrV6h3oVqBbkh2ztfuMkzaRkwjfjlk\";'),('gmap_default','a:15:{s:5:\"width\";s:4:\"100%\";s:6:\"height\";s:5:\"600px\";s:7:\"latlong\";s:4:\"40,0\";s:4:\"zoom\";s:1:\"3\";s:7:\"maxzoom\";s:2:\"14\";s:6:\"styles\";a:3:{s:12:\"line_default\";a:5:{i:0;s:6:\"0000ff\";i:1;s:1:\"5\";i:2;s:2:\"45\";i:3;s:0:\"\";i:4;s:0:\"\";}s:12:\"poly_default\";a:5:{i:0;s:6:\"000000\";i:1;s:1:\"3\";i:2;s:2:\"25\";i:3;s:6:\"ff0000\";i:4;s:2:\"45\";}s:15:\"highlight_color\";s:6:\"ff0000\";}s:11:\"controltype\";s:5:\"Small\";s:10:\"pancontrol\";i:1;s:17:\"streetviewcontrol\";i:0;s:3:\"mtc\";s:8:\"standard\";s:7:\"maptype\";s:3:\"Map\";s:10:\"baselayers\";a:4:{s:3:\"Map\";i:1;s:9:\"Satellite\";i:1;s:6:\"Hybrid\";i:1;s:8:\"Physical\";i:0;}s:8:\"behavior\";a:13:{s:7:\"locpick\";b:0;s:6:\"nodrag\";i:0;s:10:\"nokeyboard\";i:1;s:11:\"nomousezoom\";i:0;s:10:\"nocontzoom\";i:0;s:8:\"autozoom\";i:1;s:10:\"dynmarkers\";i:0;s:8:\"overview\";i:0;s:12:\"collapsehack\";i:0;s:5:\"scale\";i:0;s:17:\"extramarkerevents\";b:0;s:15:\"clickableshapes\";b:0;s:9:\"highlight\";i:0;}s:10:\"markermode\";s:1:\"1\";s:11:\"line_colors\";a:3:{i:0;s:7:\"#00cc00\";i:1;s:7:\"#ff0000\";i:2;s:7:\"#0000ff\";}}'),('gmap_markerfiles','a:1:{i:0;s:37:\"sites/all/modules/autox_tools/markers\";}'),('gmap_markermanager','a:4:{s:13:\"markermanager\";a:6:{s:8:\"filename\";s:23:\"markermanager_packed.js\";s:13:\"borderPadding\";s:3:\"256\";s:7:\"maxZoom\";s:1:\"4\";s:12:\"trackMarkers\";i:0;s:13:\"markerMinZoom\";s:1:\"4\";s:13:\"markerMaxZoom\";s:1:\"0\";}s:15:\"markerclusterer\";a:4:{s:8:\"filename\";s:25:\"markerclusterer_packed.js\";s:8:\"gridSize\";i:60;s:7:\"maxZoom\";i:17;s:6:\"styles\";a:0:{}}s:9:\"clusterer\";a:6:{s:8:\"filename\";s:13:\"Clusterer2.js\";s:6:\"marker\";s:7:\"cluster\";s:13:\"max_nocluster\";s:3:\"150\";s:11:\"cluster_min\";s:1:\"5\";s:9:\"max_lines\";s:2:\"10\";s:10:\"popup_mode\";s:4:\"orig\";}s:13:\"clustermarker\";a:7:{s:8:\"filename\";s:16:\"ClusterMarker.js\";s:13:\"borderPadding\";s:3:\"256\";s:17:\"clusteringEnabled\";i:1;s:17:\"clusterMarkerIcon\";s:0:\"\";s:18:\"clusterMarkerTitle\";s:0:\"\";s:13:\"fitMapMaxZoom\";s:1:\"0\";s:16:\"intersectPadding\";s:1:\"0\";}}'),('gmap_marker_file','s:1:\"1\";'),('gmap_mm_type','s:4:\"gmap\";'),('install_profile','s:8:\"standard\";'),('install_task','s:4:\"done\";'),('install_time','i:1414464107;'),('jquery_update_compression_type','s:3:\"min\";'),('jquery_update_jquery_admin_version','s:0:\"\";'),('jquery_update_jquery_cdn','s:4:\"none\";'),('jquery_update_jquery_version','s:3:\"1.7\";'),('language_count','i:2;'),('language_default','O:8:\"stdClass\":11:{s:8:\"language\";s:2:\"en\";s:4:\"name\";s:7:\"English\";s:6:\"native\";s:7:\"English\";s:9:\"direction\";s:1:\"0\";s:7:\"enabled\";i:1;s:7:\"plurals\";s:1:\"0\";s:7:\"formula\";s:0:\"\";s:6:\"domain\";s:0:\"\";s:6:\"prefix\";s:2:\"en\";s:6:\"weight\";s:1:\"0\";s:10:\"javascript\";s:0:\"\";}'),('language_negotiation_language','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:16:\"language-default\";a:1:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:21:\"language_from_default\";}}}'),('language_negotiation_language_content','a:1:{s:16:\"locale-interface\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:30:\"locale_language_from_interface\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_negotiation_language_url','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:19:\"locale-url-fallback\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:28:\"locale_language_url_fallback\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_types','a:3:{s:8:\"language\";b:1;s:16:\"language_content\";b:0;s:12:\"language_url\";b:0;}'),('locale_language_providers_weight_language','a:5:{s:10:\"locale-url\";s:2:\"-8\";s:14:\"locale-session\";s:2:\"-6\";s:11:\"locale-user\";s:2:\"-4\";s:14:\"locale-browser\";s:2:\"-2\";s:16:\"language-default\";s:2:\"10\";}'),('location_defaultnum_testimonials','s:1:\"1\";'),('location_defaultnum_webform','s:1:\"1\";'),('location_maxnum_testimonials','s:1:\"1\";'),('location_maxnum_webform','s:1:\"1\";'),('location_settings_node_testimonials','a:4:{s:8:\"multiple\";a:3:{s:3:\"min\";s:1:\"0\";s:3:\"max\";s:1:\"1\";s:3:\"add\";s:1:\"1\";}s:4:\"form\";a:4:{s:6:\"weight\";s:1:\"0\";s:11:\"collapsible\";i:1;s:9:\"collapsed\";i:1;s:6:\"fields\";a:8:{s:4:\"name\";a:3:{s:7:\"collect\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:1:\"2\";}s:6:\"street\";a:3:{s:7:\"collect\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:1:\"4\";}s:10:\"additional\";a:3:{s:7:\"collect\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:1:\"6\";}s:4:\"city\";a:3:{s:7:\"collect\";s:1:\"0\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:1:\"8\";}s:8:\"province\";a:4:{s:7:\"collect\";s:1:\"0\";s:6:\"widget\";s:12:\"autocomplete\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:2:\"10\";}s:11:\"postal_code\";a:3:{s:7:\"collect\";s:1:\"0\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:2:\"12\";}s:7:\"country\";a:3:{s:7:\"collect\";s:1:\"1\";s:7:\"default\";s:2:\"us\";s:6:\"weight\";s:2:\"14\";}s:7:\"locpick\";a:2:{s:7:\"collect\";s:1:\"1\";s:6:\"weight\";s:2:\"20\";}}}s:7:\"display\";a:4:{s:6:\"weight\";s:1:\"0\";s:4:\"hide\";a:12:{s:4:\"name\";i:0;s:6:\"street\";i:0;s:10:\"additional\";i:0;s:4:\"city\";i:0;s:8:\"province\";i:0;s:11:\"postal_code\";i:0;s:7:\"country\";i:0;s:7:\"locpick\";i:0;s:13:\"province_name\";i:0;s:12:\"country_name\";i:0;s:8:\"map_link\";i:0;s:6:\"coords\";i:0;}s:6:\"teaser\";i:1;s:4:\"full\";i:1;}s:3:\"rss\";a:1:{s:4:\"mode\";s:6:\"simple\";}}'),('location_settings_node_webform','a:4:{s:8:\"multiple\";a:3:{s:3:\"min\";s:1:\"0\";s:3:\"max\";s:1:\"1\";s:3:\"add\";s:1:\"1\";}s:4:\"form\";a:4:{s:6:\"weight\";s:1:\"0\";s:11:\"collapsible\";i:1;s:9:\"collapsed\";i:1;s:6:\"fields\";a:8:{s:4:\"name\";a:3:{s:7:\"collect\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:1:\"2\";}s:6:\"street\";a:3:{s:7:\"collect\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:1:\"4\";}s:10:\"additional\";a:3:{s:7:\"collect\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:1:\"6\";}s:4:\"city\";a:3:{s:7:\"collect\";s:1:\"0\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:1:\"8\";}s:8:\"province\";a:4:{s:7:\"collect\";s:1:\"0\";s:6:\"widget\";s:12:\"autocomplete\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:2:\"10\";}s:11:\"postal_code\";a:3:{s:7:\"collect\";s:1:\"0\";s:7:\"default\";s:0:\"\";s:6:\"weight\";s:2:\"12\";}s:7:\"country\";a:3:{s:7:\"collect\";s:1:\"1\";s:7:\"default\";s:2:\"us\";s:6:\"weight\";s:2:\"14\";}s:7:\"locpick\";a:2:{s:7:\"collect\";s:1:\"1\";s:6:\"weight\";s:2:\"20\";}}}s:7:\"display\";a:4:{s:6:\"weight\";s:1:\"0\";s:4:\"hide\";a:12:{s:4:\"name\";i:0;s:6:\"street\";i:0;s:10:\"additional\";i:0;s:4:\"city\";i:0;s:8:\"province\";i:0;s:11:\"postal_code\";i:0;s:7:\"country\";i:0;s:7:\"locpick\";i:0;s:13:\"province_name\";i:0;s:12:\"country_name\";i:0;s:8:\"map_link\";i:0;s:6:\"coords\";i:0;}s:6:\"teaser\";i:1;s:4:\"full\";i:1;}s:3:\"rss\";a:1:{s:4:\"mode\";s:6:\"simple\";}}'),('mail_system','a:2:{s:14:\"default-system\";s:17:\"DefaultMailSystem\";s:10:\"newsletter\";s:20:\"NewsletterMailSystem\";}'),('maintenance_mode','b:0;'),('menu_breadcrumb_append_node_title','i:1;'),('menu_breadcrumb_append_node_url','i:0;'),('menu_breadcrumb_determine_menu','i:1;'),('menu_breadcrumb_hide_on_single_item','i:0;'),('menu_breadcrumb_menus','a:9:{s:9:\"main-menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:9:\"Main menu\";s:4:\"name\";s:9:\"main-menu\";}s:10:\"management\";a:5:{s:7:\"enabled\";i:0;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:10:\"Management\";s:4:\"name\";s:10:\"management\";}s:20:\"menu-essential-links\";a:5:{s:7:\"enabled\";i:0;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:15:\"Essential Links\";s:4:\"name\";s:20:\"menu-essential-links\";}s:16:\"menu-footer-menu\";a:5:{s:7:\"enabled\";i:0;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:11:\"Footer Menu\";s:4:\"name\";s:16:\"menu-footer-menu\";}s:16:\"menu-social-menu\";a:5:{s:7:\"enabled\";i:0;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:11:\"Social Menu\";s:4:\"name\";s:16:\"menu-social-menu\";}s:28:\"menu_breadcrumb_default_menu\";a:5:{s:7:\"enabled\";i:0;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:28:\"menu_breadcrumb_default_menu\";s:5:\"title\";s:28:\"menu_breadcrumb_default_menu\";s:4:\"name\";s:28:\"menu_breadcrumb_default_menu\";}s:10:\"navigation\";a:5:{s:7:\"enabled\";i:0;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:10:\"Navigation\";s:4:\"name\";s:10:\"navigation\";}s:14:\"shortcut-set-1\";a:5:{s:7:\"enabled\";i:0;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:14:\"shortcut-set-1\";s:4:\"name\";s:14:\"shortcut-set-1\";}s:9:\"user-menu\";a:5:{s:7:\"enabled\";i:0;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:9:\"User menu\";s:4:\"name\";s:9:\"user-menu\";}}'),('menu_breadcrumb_menu_patterns','s:22:\"/^book-toc-\\d+$/Books/\";'),('menu_breadcrumb_pattern_matches_rebuild','b:0;'),('menu_expanded','a:1:{i:0;s:9:\"main-menu\";}'),('menu_masks','a:45:{i:0;i:501;i:1;i:493;i:2;i:254;i:3;i:253;i:4;i:250;i:5;i:247;i:6;i:246;i:7;i:245;i:8;i:127;i:9;i:126;i:10;i:125;i:11;i:124;i:12;i:123;i:13;i:122;i:14;i:121;i:15;i:117;i:16;i:63;i:17;i:62;i:18;i:61;i:19;i:60;i:20;i:59;i:21;i:58;i:22;i:56;i:23;i:45;i:24;i:44;i:25;i:31;i:26;i:30;i:27;i:29;i:28;i:28;i:29;i:26;i:30;i:24;i:31;i:22;i:32;i:21;i:33;i:15;i:34;i:14;i:35;i:13;i:36;i:11;i:37;i:10;i:38;i:8;i:39;i:7;i:40;i:6;i:41;i:5;i:42;i:3;i:43;i:2;i:44;i:1;}'),('menu_options_article','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_dealers','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_faq','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_products','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_services','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_statistics','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_testimonials','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_webform','a:1:{i:0;s:9:\"main-menu\";}'),('menu_parent_article','s:11:\"main-menu:0\";'),('menu_parent_dealers','s:11:\"main-menu:0\";'),('menu_parent_faq','s:11:\"main-menu:0\";'),('menu_parent_products','s:11:\"main-menu:0\";'),('menu_parent_services','s:11:\"main-menu:0\";'),('menu_parent_statistics','s:11:\"main-menu:0\";'),('menu_parent_testimonials','s:11:\"main-menu:0\";'),('menu_parent_webform','s:11:\"main-menu:0\";'),('metatags_quick_default_field_length','i:160;'),('modal_forms_background_color','s:4:\"#000\";'),('modal_forms_comment','i:0;'),('modal_forms_contact','i:0;'),('modal_forms_login','i:1;'),('modal_forms_login_links','s:1:\"1\";'),('modal_forms_opacity','s:4:\"0.85\";'),('modal_forms_pages','s:115:\"admin*\r\nimagebrowser*\r\nimg_assist*\r\nimce*\r\nnode/add/*\r\nnode/*/edit\r\nprint/*\r\nprintpdf/*\r\nsystem/ajax\r\nsystem/ajax/*\";'),('modal_forms_password','i:0;'),('modal_forms_popup_large_height','s:3:\"0.8\";'),('modal_forms_popup_large_type','s:5:\"scale\";'),('modal_forms_popup_large_width','s:3:\"0.8\";'),('modal_forms_popup_medium_height','s:3:\"450\";'),('modal_forms_popup_medium_type','s:5:\"fixed\";'),('modal_forms_popup_medium_width','s:3:\"550\";'),('modal_forms_popup_small_height','s:3:\"300\";'),('modal_forms_popup_small_type','s:5:\"fixed\";'),('modal_forms_popup_small_width','s:3:\"400\";'),('modal_forms_register','i:0;'),('modal_forms_visibility','s:1:\"0\";'),('module_filter_recent_modules','a:1:{s:20:\"we_content_migration\";i:1500000981;}'),('newsletter_block_prefix','s:95:\"To make sure you\'re kept up to date whenever anything new appears on our international website.\";'),('newsletter_block_suffix','s:0:\"\";'),('newsletter_personal_info_form','a:4:{s:9:\"firstname\";s:4:\"show\";s:8:\"lastname\";s:4:\"show\";s:6:\"gender\";s:4:\"show\";s:14:\"receive_format\";s:4:\"show\";}'),('newsletter_send_confirm','b:1;'),('newsletter_send_unsubscribe','b:1;'),('newsletter_send_welcome','b:1;'),('node_admin_theme','i:1;'),('node_cron_last','s:10:\"1408423732\";'),('node_options_article','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_dealers','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_faq','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_page','a:1:{i:0;s:6:\"status\";}'),('node_options_products','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_services','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_statistics','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_testimonials','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_webform','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_preview_article','s:1:\"1\";'),('node_preview_dealers','s:1:\"1\";'),('node_preview_faq','s:1:\"1\";'),('node_preview_products','s:1:\"1\";'),('node_preview_services','s:1:\"1\";'),('node_preview_statistics','s:1:\"1\";'),('node_preview_testimonials','s:1:\"1\";'),('node_preview_webform','s:1:\"1\";'),('node_submitted_article','i:1;'),('node_submitted_dealers','i:1;'),('node_submitted_faq','i:1;'),('node_submitted_page','b:0;'),('node_submitted_products','i:0;'),('node_submitted_services','i:0;'),('node_submitted_statistics','i:1;'),('node_submitted_testimonials','i:0;'),('node_submitted_webform','i:0;'),('pathauto_blog_pattern','s:17:\"blogs/[user:name]\";'),('pathauto_forum_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_node_article_pattern','s:20:\"article/[node:title]\";'),('pathauto_node_blog_pattern','s:22:\"blog-post/[node:title]\";'),('pathauto_node_dealers_pattern','s:19:\"dealer/[node:title]\";'),('pathauto_node_faq_pattern','s:16:\"faq/[node:title]\";'),('pathauto_node_page_pattern','s:12:\"[node:title]\";'),('pathauto_node_pattern','s:20:\"content/[node:title]\";'),('pathauto_node_products_pattern','s:20:\"product/[node:title]\";'),('pathauto_node_services_pattern','s:20:\"service/[node:title]\";'),('pathauto_node_webform_pattern','s:12:\"[node:title]\";'),('pathauto_punctuation_hyphen','i:1;'),('pathauto_taxonomy_term_brands_pattern','s:0:\"\";'),('pathauto_taxonomy_term_categories_pattern','s:0:\"\";'),('pathauto_taxonomy_term_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_taxonomy_term_tags_pattern','s:0:\"\";'),('pathauto_user_pattern','s:17:\"users/[user:name]\";'),('path_alias_whitelist','a:4:{s:4:\"blog\";b:1;s:4:\"node\";b:1;s:8:\"taxonomy\";b:1;s:4:\"user\";b:1;}'),('redirect_404_content','s:14:\"Page not found\";'),('redirect_404_redirect','s:3:\"404\";'),('redirect_404_save_redirect','i:0;'),('redirect_404_search','s:0:\"\";'),('redirect_404_servers','s:0:\"\";'),('redirect_404_site_404','s:7:\"node/48\";'),('redirect_404_title','s:20:\"404 - Page not found\";'),('save_continue_dealers','s:19:\"Save and add fields\";'),('save_continue_faq','s:19:\"Save and add fields\";'),('save_continue_products','s:19:\"Save and add fields\";'),('save_continue_services','s:19:\"Save and add fields\";'),('save_continue_statistics','s:19:\"Save and add fields\";'),('save_continue_testimonials','s:19:\"Save and add fields\";'),('site_403','s:0:\"\";'),('site_404','s:12:\"redirect_404\";'),('site_default_country','s:0:\"\";'),('site_frontpage','s:9:\"frontpage\";'),('site_mail','s:13:\"admin@lvh.com\";'),('site_name','s:5:\"AutoX\";'),('site_slogan','s:0:\"\";'),('taxonomy_menu_display_descendants_categories','i:0;'),('taxonomy_menu_display_num_categories','i:0;'),('taxonomy_menu_end_all_categories','b:0;'),('taxonomy_menu_expanded_categories','i:1;'),('taxonomy_menu_flat_categories','i:0;'),('taxonomy_menu_hide_empty_terms_categories','i:0;'),('taxonomy_menu_path_categories','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_rebuild_categories','i:0;'),('taxonomy_menu_sync_categories','i:1;'),('taxonomy_menu_term_item_description_categories','i:0;'),('taxonomy_menu_vocab_menu_categories','s:1:\"0\";'),('taxonomy_menu_vocab_parent_categories','s:1:\"0\";'),('taxonomy_menu_voc_item_categories','b:0;'),('taxonomy_menu_voc_item_description_categories','i:0;'),('taxonomy_menu_voc_name_categories','b:0;'),('theme_autox_settings','a:20:{s:13:\"autox_version\";s:0:\"\";s:4:\"skin\";s:0:\"\";s:10:\"background\";s:10:\"bg-default\";s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1200\";s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:0;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:15:\"show_skins_menu\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";s:26:\"autox_use_default_settings\";s:1:\"0\";}'),('theme_default','s:5:\"autox\";'),('update_last_check','i:1500440399;'),('update_last_email_notification','i:1500439780;'),('update_notify_emails','a:1:{i:0;s:19:\"contact@weebpal.com\";}'),('user_admin_role','s:1:\"3\";'),('user_pictures','s:1:\"1\";'),('user_picture_dimensions','s:9:\"1024x1024\";'),('user_picture_file_size','s:3:\"800\";'),('user_picture_style','s:9:\"thumbnail\";'),('user_register','i:2;'),('views_defaults','a:1:{s:9:\"frontpage\";b:0;}'),('webform_email_address_individual','i:1;'),('webform_email_html_capable','b:0;'),('webform_node_webform','b:1;');
/*!40000 ALTER TABLE `variable` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_display`
--

DROP TABLE IF EXISTS `views_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_display` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',
  `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',
  `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',
  `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',
  `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',
  `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',
  PRIMARY KEY (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_display`
--

LOCK TABLES `views_display` WRITE;
/*!40000 ALTER TABLE `views_display` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_display` VALUES (1,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:15:\"views_accordion\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:3:\"faq\";s:3:\"faq\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:3:\"FAQ\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:14:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:19:\"use-grouping-header\";i:0;s:14:\"row-start-open\";s:1:\"0\";s:11:\"collapsible\";i:1;s:8:\"animated\";s:5:\"slide\";s:10:\"autoheight\";i:1;s:5:\"event\";s:5:\"click\";s:9:\"fillspace\";i:0;s:10:\"navigation\";i:0;s:10:\"clearstyle\";i:0;s:12:\"disableifone\";i:0;}}'),(1,'page','Page','page',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:3:\"faq\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:3:\"FAQ\";s:11:\"description\";s:3:\"FAQ\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}}'),(2,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:0:\"\";s:8:\"previous\";s:0:\"\";s:4:\"next\";s:0:\"\";s:4:\"last\";s:0:\"\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"article\";s:7:\"article\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"News\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"css_class\";s:9:\"news-type\";}'),(2,'page','Page','page',2,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:4:\"news\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:4:\"News\";s:11:\"description\";s:4:\"News\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:12:\"style_plugin\";s:7:\"default\";s:8:\"defaults\";a:5:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:4:\"node\";s:11:\"row_options\";a:4:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";s:5:\"links\";i:1;s:8:\"comments\";i:0;}s:9:\"css_class\";s:0:\"\";}'),(2,'page_1','Page','page',3,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:0:\"\";s:8:\"previous\";s:0:\"\";s:4:\"next\";s:0:\"\";s:4:\"last\";s:0:\"\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:13:\"pager_options\";N;s:6:\"fields\";a:5:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"thumbnail_grid\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"250\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:16:\"Continue reading\";}}s:9:\"css_class\";s:19:\"news-type news-grid\";s:4:\"path\";s:9:\"news-grid\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:9:\"News Grid\";s:11:\"description\";s:9:\"News Grid\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}}'),(2,'page_2','Page 2','page',4,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:9:\"css_class\";s:19:\"news-type news-list\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:5:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"thumbnail_grid\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"450\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:16:\"Continue reading\";}}s:4:\"path\";s:9:\"news-list\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:9:\"News List\";s:11:\"description\";s:9:\"News List\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}}'),(3,'block','Block','block',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:6:\"fields\";a:5:{s:15:\"field_slideshow\";a:34:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"50\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"100\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(3,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:9:\"slideshow\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:5:{s:15:\"field_slideshow\";a:34:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"100\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:19:\"field_slideshow_fid\";a:13:{s:2:\"id\";s:19:\"field_slideshow_fid\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:19:\"field_slideshow_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:9:\"Slideshow\";s:13:\"style_options\";a:8:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:14:\"slideshow_skin\";s:7:\"default\";s:14:\"slideshow_type\";s:21:\"views_slideshow_cycle\";s:21:\"views_slideshow_cycle\";a:24:{s:6:\"effect\";s:4:\"fade\";s:19:\"transition_advanced\";i:0;s:7:\"timeout\";s:4:\"5000\";s:5:\"speed\";s:3:\"700\";s:5:\"delay\";s:1:\"0\";s:4:\"sync\";i:1;s:6:\"random\";i:0;s:5:\"pause\";i:1;s:14:\"pause_on_click\";i:0;s:15:\"action_advanced\";i:0;s:12:\"start_paused\";i:0;s:14:\"remember_slide\";i:0;s:19:\"remember_slide_days\";s:1:\"1\";s:15:\"pause_in_middle\";i:0;s:17:\"pause_when_hidden\";i:0;s:22:\"pause_when_hidden_type\";s:4:\"full\";s:22:\"amount_allowed_visible\";s:0:\"\";s:6:\"nowrap\";i:0;s:12:\"fixed_height\";i:1;s:15:\"items_per_slide\";s:1:\"1\";s:19:\"wait_for_image_load\";i:1;s:27:\"wait_for_image_load_timeout\";s:4:\"3000\";s:9:\"cleartype\";i:0;s:13:\"cleartypenobg\";i:0;}s:7:\"widgets\";a:2:{s:3:\"top\";a:3:{s:21:\"views_slideshow_pager\";a:6:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:5:{s:15:\"field_slideshow\";i:0;s:8:\"fieldset\";i:0;s:5:\"title\";i:0;s:4:\"body\";i:0;s:9:\"view_node\";i:0;}s:34:\"views_slideshow_pager_fields_hover\";i:0;}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}s:6:\"bottom\";a:3:{s:21:\"views_slideshow_pager\";a:6:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:5:{s:15:\"field_slideshow\";i:0;s:8:\"fieldset\";i:0;s:5:\"title\";i:0;s:4:\"body\";i:0;s:9:\"view_node\";i:0;}s:34:\"views_slideshow_pager_fields_hover\";i:0;}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:1;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}}s:9:\"skin_info\";a:5:{s:4:\"name\";s:7:\"Default\";s:5:\"class\";s:7:\"default\";s:6:\"module\";s:15:\"views_slideshow\";s:4:\"path\";s:0:\"\";s:11:\"stylesheets\";a:0:{}}}}'),(4,'block','Block','block',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";s:1:\"0\";}}s:8:\"defaults\";a:7:{s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"title\";b:0;}s:13:\"pager_options\";N;s:12:\"style_plugin\";s:9:\"jcarousel\";s:13:\"style_options\";a:12:{s:4:\"wrap\";s:4:\"both\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:0:\"\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:1:\"0\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:5:\"title\";s:19:\"Most popular brands\";}'),(4,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:10:\"field_link\";a:34:{s:2:\"id\";s:10:\"field_link\";s:5:\"table\";s:21:\"field_data_field_link\";s:5:\"field\";s:10:\"field_link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:13:\"link_absolute\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:12:\"[field_link]\";s:8:\"absolute\";i:1;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:4:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:5:\"value\";a:1:{s:6:\"brands\";s:6:\"brands\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:6:\"Brands\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;}s:9:\"css_class\";s:11:\"brands-list\";}'),(4,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:6:\"brands\";}'),(5,'block_1','Block','block',4,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:9:\"jcarousel\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:12:{s:4:\"wrap\";s:1:\"0\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:1:\"3\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:1:\"5\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:8:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"thumbnail_grid\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"view more\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:15:\"vehicle-summary\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:28:\"field_co2_emissions_g_100km_\";i:1;s:32:\"field_fuel_consumption_combined_\";i:2;s:21:\"field_top_speed_km_h_\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"technique\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:28:\"field_co2_emissions_g_100km_\";a:34:{s:2:\"id\";s:28:\"field_co2_emissions_g_100km_\";s:5:\"table\";s:39:\"field_data_field_co2_emissions_g_100km_\";s:5:\"field\";s:28:\"field_co2_emissions_g_100km_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"CCE\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:32:\"field_fuel_consumption_combined_\";a:34:{s:2:\"id\";s:32:\"field_fuel_consumption_combined_\";s:5:\"table\";s:43:\"field_data_field_fuel_consumption_combined_\";s:5:\"field\";s:32:\"field_fuel_consumption_combined_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"FCC\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_top_speed_km_h_\";a:34:{s:2:\"id\";s:21:\"field_top_speed_km_h_\";s:5:\"table\";s:32:\"field_data_field_top_speed_km_h_\";s:5:\"field\";s:21:\"field_top_speed_km_h_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:9:\"Top speed\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:17:\"block_description\";s:15:\"Vehicle Related\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:9:\"css_class\";s:29:\"vehicles-grid vehicle-related\";}'),(5,'block_2','Block 2','block',6,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:7:\"default\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;}s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:3:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:18:\"thumbnail_category\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"250\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:9:\"css_class\";s:18:\"block-vehicle-menu\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"1\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;}'),(5,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:4:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:0:{}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:15:\"vehicle-summary\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:0:{}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"technique\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"thumbnail_grid\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:8:\"products\";s:8:\"products\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:8:\"Vehicles\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}}'),(5,'page','Page','page',2,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:13:\"vehicles-grid\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:13:\"Vehicles-Grid\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:11:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:12:\"exposed_form\";b:0;s:20:\"exposed_form_options\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:8:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"thumbnail_grid\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"view more\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:15:\"vehicle-summary\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:32:\"field_fuel_consumption_combined_\";i:1;s:28:\"field_co2_emissions_g_100km_\";i:2;s:21:\"field_top_speed_km_h_\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"technique\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:32:\"field_fuel_consumption_combined_\";a:34:{s:2:\"id\";s:32:\"field_fuel_consumption_combined_\";s:5:\"table\";s:43:\"field_data_field_fuel_consumption_combined_\";s:5:\"field\";s:32:\"field_fuel_consumption_combined_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"FCC\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:28:\"field_co2_emissions_g_100km_\";a:34:{s:2:\"id\";s:28:\"field_co2_emissions_g_100km_\";s:5:\"table\";s:39:\"field_data_field_co2_emissions_g_100km_\";s:5:\"field\";s:28:\"field_co2_emissions_g_100km_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"CCE\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_top_speed_km_h_\";a:34:{s:2:\"id\";s:21:\"field_top_speed_km_h_\";s:5:\"table\";s:32:\"field_data_field_top_speed_km_h_\";s:5:\"field\";s:21:\"field_top_speed_km_h_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:9:\"Top speed\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:9:\"css_class\";s:13:\"vehicles-grid\";s:13:\"exposed_block\";b:1;s:12:\"exposed_form\";a:2:{s:4:\"type\";s:22:\"better_exposed_filters\";s:7:\"options\";a:13:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";i:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";i:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";s:10:\"autosubmit\";i:0;s:15:\"autosubmit_hide\";i:1;s:14:\"input_required\";i:0;s:3:\"bef\";a:1:{s:7:\"general\";a:2:{s:15:\"allow_secondary\";i:0;s:15:\"secondary_label\";s:16:\"Advanced options\";}}s:26:\"text_input_required_format\";s:13:\"filtered_html\";s:19:\"text_input_required\";s:51:\"Select any filter and click on Apply to see results\";}}s:20:\"exposed_form_options\";N;s:7:\"filters\";a:4:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:8:\"products\";s:8:\"products\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:16:\"field_models_tid\";a:19:{s:2:\"id\";s:16:\"field_models_tid\";s:5:\"table\";s:23:\"field_data_field_models\";s:5:\"field\";s:16:\"field_models_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:19:\"field_models_tid_op\";s:5:\"label\";s:6:\"Models\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:19:\"field_models_tid_op\";s:10:\"identifier\";s:16:\"field_models_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:3:{i:2;s:1:\"2\";i:1;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:6:\"models\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}s:16:\"field_brands_tid\";a:19:{s:2:\"id\";s:16:\"field_brands_tid\";s:5:\"table\";s:23:\"field_data_field_brands\";s:5:\"field\";s:16:\"field_brands_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:19:\"field_brands_tid_op\";s:5:\"label\";s:6:\"Brands\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:19:\"field_brands_tid_op\";s:10:\"identifier\";s:16:\"field_brands_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:3:{i:2;s:1:\"2\";i:1;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:6:\"brands\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:13:\"Vehicles grid\";}'),(5,'page_1','Page','page',3,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:7:\"default\";s:8:\"defaults\";a:6:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"css_class\";s:13:\"vehicles-list\";s:6:\"fields\";a:11:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_vehicle\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"fieldset_1\";i:2;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:15:\"vehicle-summary\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:32:\"field_fuel_consumption_combined_\";i:1;s:28:\"field_co2_emissions_g_100km_\";i:2;s:21:\"field_top_speed_km_h_\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"technique\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:32:\"field_fuel_consumption_combined_\";a:34:{s:2:\"id\";s:32:\"field_fuel_consumption_combined_\";s:5:\"table\";s:43:\"field_data_field_fuel_consumption_combined_\";s:5:\"field\";s:32:\"field_fuel_consumption_combined_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"FCC\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:28:\"field_co2_emissions_g_100km_\";a:34:{s:2:\"id\";s:28:\"field_co2_emissions_g_100km_\";s:5:\"table\";s:39:\"field_data_field_co2_emissions_g_100km_\";s:5:\"field\";s:28:\"field_co2_emissions_g_100km_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"CCE\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_top_speed_km_h_\";a:34:{s:2:\"id\";s:21:\"field_top_speed_km_h_\";s:5:\"table\";s:32:\"field_data_field_top_speed_km_h_\";s:5:\"field\";s:21:\"field_top_speed_km_h_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:9:\"Top speed\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"270\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:14:\"vehicle-action\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\",\";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";s:1:\"0\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"view more\";}}s:4:\"path\";s:13:\"vehicles-list\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:13:\"Vehicles List\";s:11:\"description\";s:13:\"Vehicles List\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}}'),(5,'page_2','Page 2','page',5,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"vehicles\";s:5:\"title\";s:8:\"Vehicles\";s:8:\"defaults\";a:1:{s:5:\"title\";b:0;}s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Vehicles\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:10:\"navigation\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}}'),(6,'block','Block','block',3,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:7:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:13:\"services-grid\";}'),(6,'block_2','Block','block',4,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:5:\"title\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:5:\"title\";s:10:\"What We Do\";s:9:\"css_class\";s:13:\"services-grid\";}'),(6,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:3:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:8:\"services\";s:8:\"services\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:10:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:8:\"Services\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:9:\"css_class\";s:27:\"services-grid service-about\";}'),(6,'page','Page','page',2,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"services\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:9:\"css_class\";s:13:\"services-list\";s:8:\"defaults\";a:6:{s:9:\"css_class\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;}s:12:\"style_plugin\";s:7:\"default\";s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:5:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:11:\"field_image\";i:1;s:5:\"title\";i:2;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"service-item-content\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"250\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(7,'block','Block','block',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:7:\"default\";s:8:\"defaults\";a:6:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;}s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(7,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:4:\"gmap\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:0:\"\";}s:14:\"field_latitude\";a:34:{s:2:\"id\";s:14:\"field_latitude\";s:5:\"table\";s:25:\"field_data_field_latitude\";s:5:\"field\";s:14:\"field_latitude\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_longitude\";a:34:{s:2:\"id\";s:15:\"field_longitude\";s:5:\"table\";s:26:\"field_data_field_longitude\";s:5:\"field\";s:15:\"field_longitude\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"dealers\";s:7:\"dealers\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Dealers\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:27:{s:8:\"grouping\";a:0:{}s:5:\"macro\";s:7:\"[gmap ]\";s:10:\"datasource\";s:6:\"fields\";s:8:\"latfield\";s:14:\"field_latitude\";s:8:\"lonfield\";s:15:\"field_longitude\";s:8:\"geofield\";s:5:\"title\";s:11:\"geolocation\";s:5:\"title\";s:7:\"markers\";s:6:\"static\";s:11:\"markerfield\";s:5:\"title\";s:9:\"enablermt\";i:0;s:8:\"rmtfield\";s:5:\"title\";s:11:\"rmtfieldraw\";i:1;s:11:\"rmtcallback\";s:0:\"\";s:10:\"markertype\";s:11:\"autox autox\";s:17:\"center_on_nodearg\";i:0;s:21:\"center_on_nodearg_arg\";s:0:\"\";s:22:\"center_on_proximityarg\";i:0;s:9:\"animation\";s:1:\"0\";s:17:\"highlight_nodearg\";i:0;s:21:\"highlight_nodearg_arg\";s:0:\"\";s:23:\"highlight_nodearg_color\";s:7:\"#FF0000\";s:20:\"autoclick_on_nodearg\";i:0;s:24:\"autoclick_on_nodearg_arg\";s:0:\"\";s:14:\"tooltipenabled\";i:0;s:12:\"tooltipfield\";s:5:\"title\";s:17:\"bubbletextenabled\";i:0;s:15:\"bubbletextfield\";s:5:\"title\";}}'),(7,'page','Page','page',2,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:7:\"dealers\";s:4:\"menu\";a:3:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Dealers\";s:4:\"name\";s:9:\"main-menu\";}s:6:\"fields\";a:8:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_public_email\";a:34:{s:2:\"id\";s:18:\"field_public_email\";s:5:\"table\";s:29:\"field_data_field_public_email\";s:5:\"field\";s:18:\"field_public_email\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:5:\"Email\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"email\";s:4:\"type\";s:13:\"email_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"email\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_latitude\";a:34:{s:2:\"id\";s:14:\"field_latitude\";s:5:\"table\";s:25:\"field_data_field_latitude\";s:5:\"field\";s:14:\"field_latitude\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_longitude\";a:34:{s:2:\"id\";s:15:\"field_longitude\";s:5:\"table\";s:26:\"field_data_field_longitude\";s:5:\"field\";s:15:\"field_longitude\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_phone\";a:34:{s:2:\"id\";s:11:\"field_phone\";s:5:\"table\";s:22:\"field_data_field_phone\";s:5:\"field\";s:11:\"field_phone\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:5:\"Phone\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"field_link\";a:34:{s:2:\"id\";s:10:\"field_link\";s:5:\"table\";s:21:\"field_data_field_link\";s:5:\"field\";s:10:\"field_link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Website:\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(8,'block','Block','block',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"fields\";a:1:{s:4:\"name\";a:23:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:16:\"link_to_taxonomy\";i:1;s:14:\"convert_spaces\";i:0;}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(8,'block_1','Block','block',3,'a:8:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:6:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:0;s:6:\"header\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:9:\"css_class\";s:15:\"categories-list\";s:6:\"header\";a:1:{s:4:\"area\";a:11:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:100:\"<p>\nwe are not only make your vehicles, we are your dreams\nChoose from a wide variety of dreams\n</p>\";s:6:\"format\";s:9:\"full_html\";s:8:\"tokenize\";i:0;}}}'),(8,'block_2','Block 2','block',4,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"fields\";a:1:{s:4:\"name\";a:23:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:16:\"link_to_taxonomy\";i:1;s:14:\"convert_spaces\";i:0;}}s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:6:\"header\";b:0;s:9:\"css_class\";b:0;}s:6:\"header\";a:0:{}s:9:\"css_class\";s:23:\"categories-list-sidebar\";}'),(8,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:4:\"list\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:4:\"name\";a:23:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:16:\"link_to_taxonomy\";i:1;s:14:\"convert_spaces\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:18:\"thumbnail_category\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:1:{s:3:\"vid\";a:13:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:3:\"vid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:2;s:1:\"2\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:10:\"Categories\";s:6:\"header\";a:1:{s:4:\"area\";a:3:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";}}}'),(9,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(9,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:10:\"flexslider\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:9:\"thumbnail\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:4:\"body\";i:1;s:4:\"name\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"testimonial-summary\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:12:\"testimonials\";s:12:\"testimonials\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"picture\";a:13:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:12:\"Testimonials\";s:9:\"css_class\";s:12:\"testimonials\";s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"author\";s:8:\"required\";i:0;}}}'),(10,'block','Block','block',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:6:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(10,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:2:{s:13:\"field_counter\";a:34:{s:2:\"id\";s:13:\"field_counter\";s:5:\"table\";s:24:\"field_data_field_counter\";s:5:\"field\";s:13:\"field_counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\",\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:10:\"statistics\";s:10:\"statistics\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:10:\"Statistics\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:9:\"css_class\";s:9:\"statistic\";}'),(10,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:10:\"statistics\";}'),(11,'block','Block','block',2,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:9:\"css_class\";s:12:\"members-list\";s:8:\"defaults\";a:3:{s:9:\"css_class\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:3:\"rid\";a:14:{s:2:\"id\";s:3:\"rid\";s:5:\"table\";s:11:\"users_roles\";s:5:\"field\";s:3:\"rid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:3:\"not\";s:5:\"value\";a:1:{i:3;s:1:\"3\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;}s:7:\"picture\";a:13:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(11,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:10:\"flexslider\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:0:\"\";}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_position\";a:34:{s:2:\"id\";s:14:\"field_position\";s:5:\"table\";s:25:\"field_data_field_position\";s:5:\"field\";s:14:\"field_position\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:17:\"field_description\";a:34:{s:2:\"id\";s:17:\"field_description\";s:5:\"table\";s:28:\"field_data_field_description\";s:5:\"field\";s:17:\"field_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:3:\"rid\";a:14:{s:2:\"id\";s:3:\"rid\";s:5:\"table\";s:11:\"users_roles\";s:5:\"field\";s:3:\"rid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:3:\"not\";s:5:\"value\";a:1:{i:3;s:1:\"3\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:11:\"Our Members\";s:9:\"css_class\";s:5:\"about\";}'),(12,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"4\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:4:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";}s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:4:{s:7:\"promote\";a:6:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:8:\"products\";s:8:\"products\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:6:\"fields\";a:7:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_vehicle\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"View more\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:5:\"title\";i:1;s:21:\"field_top_speed_km_h_\";i:2;s:32:\"field_fuel_consumption_combined_\";i:3;s:28:\"field_co2_emissions_g_100km_\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:21:\"detail product-detail\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:21:\"field_top_speed_km_h_\";a:34:{s:2:\"id\";s:21:\"field_top_speed_km_h_\";s:5:\"table\";s:32:\"field_data_field_top_speed_km_h_\";s:5:\"field\";s:21:\"field_top_speed_km_h_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:9:\"top speed\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\" \";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:32:\"field_fuel_consumption_combined_\";a:34:{s:2:\"id\";s:32:\"field_fuel_consumption_combined_\";s:5:\"table\";s:43:\"field_data_field_fuel_consumption_combined_\";s:5:\"field\";s:32:\"field_fuel_consumption_combined_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"FCC\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";s:1:\"2\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:28:\"field_co2_emissions_g_100km_\";a:34:{s:2:\"id\";s:28:\"field_co2_emissions_g_100km_\";s:5:\"table\";s:39:\"field_data_field_co2_emissions_g_100km_\";s:5:\"field\";s:28:\"field_co2_emissions_g_100km_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"CCE\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\" \";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:9:\"css_class\";s:37:\"products-list products-frontpage-list\";s:6:\"footer\";a:1:{s:4:\"area\";a:11:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:92:\"<a href=\"<?php print base_path();?>vehicles-list\" title=\"view all vehicles\">all vehicles</a>\";s:6:\"format\";s:8:\"php_code\";s:8:\"tokenize\";i:0;}}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"2\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(12,'feed','Feed','feed',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:5:\"title\";b:0;}s:5:\"title\";s:15:\"Front page feed\";s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"some\";}s:12:\"style_plugin\";s:3:\"rss\";s:10:\"row_plugin\";s:8:\"node_rss\";s:4:\"path\";s:7:\"rss.xml\";s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:4:\"page\";s:4:\"page\";}s:14:\"sitename_title\";s:1:\"1\";}'),(12,'page','Page','page',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:9:\"frontpage\";s:6:\"fields\";a:8:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_vehicle\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"View more\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:21:\"detail product-detail\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:28:\"field_co2_emissions_g_100km_\";i:1;s:32:\"field_fuel_consumption_combined_\";i:2;s:21:\"field_top_speed_km_h_\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"detail-inner\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:28:\"field_co2_emissions_g_100km_\";a:34:{s:2:\"id\";s:28:\"field_co2_emissions_g_100km_\";s:5:\"table\";s:39:\"field_data_field_co2_emissions_g_100km_\";s:5:\"field\";s:28:\"field_co2_emissions_g_100km_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"CCE\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\" \";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:32:\"field_fuel_consumption_combined_\";a:34:{s:2:\"id\";s:32:\"field_fuel_consumption_combined_\";s:5:\"table\";s:43:\"field_data_field_fuel_consumption_combined_\";s:5:\"field\";s:32:\"field_fuel_consumption_combined_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"FCC\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";s:1:\"2\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_top_speed_km_h_\";a:34:{s:2:\"id\";s:21:\"field_top_speed_km_h_\";s:5:\"table\";s:32:\"field_data_field_top_speed_km_h_\";s:5:\"field\";s:21:\"field_top_speed_km_h_\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:9:\"top speed\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\" \";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(14,'block','Block','block',2,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"fields\";a:3:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:0:\"\";}s:7:\"subject\";a:8:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:7:\"subject\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:15:\"link_to_comment\";i:1;}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:11:\"F d, Y g:ia\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}}s:8:\"defaults\";a:4:{s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:13:\"relationships\";b:0;}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:11:\"status_node\";a:7:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:3:\"nid\";s:2:\"id\";s:11:\"status_node\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:7:\"picture\";a:13:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:13:\"relationships\";a:2:{s:3:\"nid\";a:4:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:3:\"nid\";s:8:\"required\";i:1;}s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"author\";s:8:\"required\";i:0;}}}'),(14,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"4\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:13:\"relationships\";a:2:{s:3:\"nid\";a:4:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:3:\"nid\";s:8:\"required\";i:1;}s:3:\"uid\";a:3:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:3:\"uid\";}}s:6:\"fields\";a:2:{s:7:\"subject\";a:8:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:7:\"subject\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:15:\"link_to_comment\";i:1;}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:13:\"D F d, Y g:ia\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:11:\"status_node\";a:7:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:3:\"nid\";s:2:\"id\";s:11:\"status_node\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:12:\"New comments\";s:9:\"css_class\";s:18:\"new-comments-list \";}');
/*!40000 ALTER TABLE `views_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_view`
--

DROP TABLE IF EXISTS `views_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_view` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',
  `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',
  `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',
  `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',
  `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',
  `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_view`
--

LOCK TABLES `views_view` WRITE;
/*!40000 ALTER TABLE `views_view` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_view` VALUES (1,'faq','','default','node','FAQ',7),(2,'news','','default','node','News',7),(3,'slideshow','','default','node','Slideshow',7),(4,'brands','','default','taxonomy_term_data','Brands',7),(5,'vehicles','','default','node','Vehicles',7),(6,'services','','default','node','Services',7),(7,'dealers','','default','node','Dealers',7),(8,'categories','','default','taxonomy_term_data','Categories',7),(9,'testimonials','','default','node','Testimonials',7),(10,'statistics','','default','node','Statistics',7),(11,'our_members','','default','users','Our Members',7),(12,'frontpage','Emulates the default Drupal front page; you may set the default home page path to this view to make it your front page.','default','node','Front page',0),(14,'new_comments','','default','comment','New comments',7);
/*!40000 ALTER TABLE `views_view` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',
  `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text COMMENT 'URL of referring page.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `watchdog` VALUES (1,0,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/autox_old/','http://local2.weebpal.com/drupal7/autox_old/install.php?profile=standard&locale=en','192.168.1.49',1500000943),(2,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/autox_old/user','','192.168.1.49',1500000953),(3,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/autox_old/user','http://local2.weebpal.com/drupal7/autox_old/user','192.168.1.49',1500000958),(4,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/autox_old/en/users/admin','http://local2.weebpal.com/drupal7/autox_old/user','192.168.1.49',1500000960),(5,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/autox_old/en','http://local2.weebpal.com/drupal7/autox_old/en/users/admin','192.168.1.49',1500000962),(6,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/autox_old/en/js/admin_menu/cache/7ac2507e211f42245ffcc5c357a33966','http://local2.weebpal.com/drupal7/autox_old/en','192.168.1.49',1500000963),(7,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/autox_old/','http://local2.weebpal.com/drupal7/autox_old/install.php?profile=standard&locale=en','192.168.1.49',1500000975),(8,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/autox_old/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/autox_old/en/admin/modules?render=overlay','192.168.1.49',1500000982),(9,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/autox_old/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/autox_old/en/admin/modules?render=overlay','192.168.1.49',1500000982),(10,1,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/autox_old/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/autox_old/en/admin/modules?render=overlay','192.168.1.49',1500000983),(11,1,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/autox_old/en/admin_menu/flush-cache?token=sMYo-92M0wZwCnSrM2EGCGOOYIenQ0oWwZkvOAmmdJg&destination=frontpage','http://local2.weebpal.com/drupal7/autox_old/en','192.168.1.49',1500001018),(12,0,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/autox_old/','','192.168.1.49',1500346808),(13,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/autox_old/','','192.168.1.49',1500346840),(14,0,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/autox_old/','','192.168.1.49',1500439783),(15,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/autox_old/','','192.168.1.49',1500439816);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping`
--

DROP TABLE IF EXISTS `we_content_migration_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `old_entity_type` varchar(128) DEFAULT NULL COMMENT 'The machine name of the old entity',
  `old_bundle` varchar(128) DEFAULT NULL COMMENT 'The old bundle’s name',
  `old_entity_id` int(11) DEFAULT NULL COMMENT 'The old entity id',
  `new_entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the new entity',
  `new_bundle` varchar(128) NOT NULL COMMENT 'The new bundle’s name',
  `new_entity_id` int(11) NOT NULL COMMENT 'The new entity id',
  PRIMARY KEY (`id`),
  KEY `mapping` (`old_entity_type`,`old_bundle`,`old_entity_id`,`new_entity_type`,`new_bundle`,`new_entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save the mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping`
--

LOCK TABLES `we_content_migration_mapping` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping_reference`
--

DROP TABLE IF EXISTS `we_content_migration_mapping_reference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping_reference` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the entity',
  `bundle` varchar(128) NOT NULL COMMENT 'The bundle’s name',
  `eid` int(11) NOT NULL COMMENT 'The entity id',
  `field_name` varchar(32) NOT NULL COMMENT 'The field name',
  `field_value` text NOT NULL COMMENT 'The field value string',
  `language` varchar(12) NOT NULL DEFAULT '',
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `mapping_reference` (`entity_type`,`bundle`,`eid`,`field_name`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save all reference field data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping_reference`
--

LOCK TABLES `we_content_migration_mapping_reference` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform`
--

DROP TABLE IF EXISTS `webform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node identifier of a webform.',
  `confirmation` text NOT NULL COMMENT 'The confirmation message or URL displayed to the user after submitting a form.',
  `confirmation_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the confirmation message.',
  `redirect_url` varchar(2048) DEFAULT '<confirmation>' COMMENT 'The URL a user is redirected to after submitting a form.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value of a webform for open (1) or closed (0).',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether this form be available as a block.',
  `allow_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form be saved as a draft.',
  `auto_save` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form should be auto-saved between pages.',
  `submit_notice` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value for whether to show or hide the previous submissions notification.',
  `submit_text` varchar(255) DEFAULT NULL COMMENT 'The title of the submit button on the form.',
  `submit_limit` tinyint(4) NOT NULL DEFAULT '-1' COMMENT 'The number of submissions a single user is allowed to submit within an interval. -1 is unlimited.',
  `submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before a user can submit another submission within the set limit.',
  `total_submit_limit` int(11) NOT NULL DEFAULT '-1' COMMENT 'The total number of submissions allowed within an interval. -1 is unlimited.',
  `total_submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before another submission can be submitted within the set limit.',
  `progressbar_bar` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the bar should be shown as part of the progress bar.',
  `progressbar_page_number` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the page number should be shown as part of the progress bar.',
  `progressbar_percent` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the percentage complete should be shown as part of the progress bar.',
  `progressbar_pagebreak_labels` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the pagebreak labels should be included as part of the progress bar.',
  `progressbar_include_confirmation` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the confirmation page should count as a page in the progress bar.',
  `progressbar_label_first` varchar(255) DEFAULT NULL COMMENT 'Label for the first page of the progress bar.',
  `progressbar_label_confirmation` varchar(255) DEFAULT NULL COMMENT 'Label for the last page of the progress bar.',
  `preview` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if this form includes a page for previewing the submission.',
  `preview_next_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button that will proceed to the preview page.',
  `preview_prev_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button to go backwards from the preview page.',
  `preview_title` varchar(255) DEFAULT NULL COMMENT 'The title of the preview page, as used by the progress bar.',
  `preview_message` text NOT NULL COMMENT 'Text shown on the preview page of the form.',
  `preview_message_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the preview page message.',
  `preview_excluded_components` text NOT NULL COMMENT 'Comma-separated list of component IDs that should not be included in this form’s confirmation page.',
  `next_serial` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The serial number to give to the next submission to this webform.',
  `confidential` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether to anonymize submissions.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for storing additional properties for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform`
--

LOCK TABLES `webform` WRITE;
/*!40000 ALTER TABLE `webform` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform` VALUES (18,'',NULL,'<confirmation>',1,0,0,0,1,'',-1,-1,-1,-1,0,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,'',NULL,'',1,0),(46,'',NULL,'<confirmation>',1,0,0,0,1,'',-1,-1,-1,-1,0,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,'',NULL,'',1,0);
/*!40000 ALTER TABLE `webform` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_component`
--

DROP TABLE IF EXISTS `webform_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_component` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `pid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If this component has a parent fieldset, the cid of that component.',
  `form_key` varchar(128) DEFAULT NULL COMMENT 'When the form is displayed and processed, this key can be used to reference the results.',
  `name` text NOT NULL,
  `type` varchar(16) DEFAULT NULL COMMENT 'The field type of this component (textfield, select, hidden, etc.).',
  `value` text NOT NULL COMMENT 'The default value of the component when displayed to the end-user.',
  `extra` text NOT NULL COMMENT 'Additional information unique to the display or processing of this component.',
  `required` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean flag for if this component is required.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this component in the form.',
  PRIMARY KEY (`nid`,`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about components for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_component`
--

LOCK TABLES `webform_component` WRITE;
/*!40000 ALTER TABLE `webform_component` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_component` VALUES (18,1,9,'salutation','Salutation','select','Mr.','a:6:{s:5:\"items\";s:29:\"Mr.|Mr.\r\nMs.|Ms.\r\nMrs.|Mrs.\r\n\";s:8:\"multiple\";i:0;s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:6:\"aslist\";i:1;s:7:\"optrand\";i:0;}',1,9),(18,2,9,'name','Name','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,11),(18,3,9,'email','Email','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,12),(18,4,10,'country','Country','select','','a:6:{s:5:\"items\";s:3753:\"AF|Afghanistan\r\nAX|Aland Islands\r\nAL|Albania\r\nDZ|Algeria\r\nAS|American Samoa\r\nAD|Andorra\r\nAO|Angola\r\nAI|Anguilla\r\nAQ|Antarctica\r\nAG|Antigua and Barbuda\r\nAR|Argentina\r\nAM|Armenia\r\nAW|Aruba\r\nAU|Australia\r\nAT|Austria\r\nAZ|Azerbaijan\r\nBS|Bahamas\r\nBH|Bahrain\r\nBD|Bangladesh\r\nBB|Barbados\r\nBY|Belarus\r\nBE|Belgium\r\nBZ|Belize\r\nBJ|Benin\r\nBM|Bermuda\r\nBT|Bhutan\r\nBO|Bolivia\r\nBA|Bosnia and Herzegovina\r\nBW|Botswana\r\nBV|Bouvet Island\r\nBR|Brazil\r\nIO|British Indian Ocean Territory\r\nVG|British Virgin Islands\r\nBN|Brunei\r\nBG|Bulgaria\r\nBF|Burkina Faso\r\nBI|Burundi\r\nKH|Cambodia\r\nCM|Cameroon\r\nCA|Canada\r\nCV|Cape Verde\r\nBQ|Caribbean Netherlands\r\nKY|Cayman Islands\r\nCF|Central African Republic\r\nTD|Chad\r\nCL|Chile\r\nCN|China\r\nCX|Christmas Island\r\nCC|Cocos (Keeling) Islands\r\nCO|Colombia\r\nKM|Comoros\r\nCG|Congo (Brazzaville)\r\nCD|Congo (Kinshasa)\r\nCK|Cook Islands\r\nCR|Costa Rica\r\nHR|Croatia\r\nCU|Cuba\r\nCW|Curaçao\r\nCY|Cyprus\r\nCZ|Czech Republic\r\nDK|Denmark\r\nDJ|Djibouti\r\nDM|Dominica\r\nDO|Dominican Republic\r\nEC|Ecuador\r\nEG|Egypt\r\nSV|El Salvador\r\nGQ|Equatorial Guinea\r\nER|Eritrea\r\nEE|Estonia\r\nET|Ethiopia\r\nFK|Falkland Islands\r\nFO|Faroe Islands\r\nFJ|Fiji\r\nFI|Finland\r\nFR|France\r\nGF|French Guiana\r\nPF|French Polynesia\r\nTF|French Southern Territories\r\nGA|Gabon\r\nGM|Gambia\r\nGE|Georgia\r\nDE|Germany\r\nGH|Ghana\r\nGI|Gibraltar\r\nGR|Greece\r\nGL|Greenland\r\nGD|Grenada\r\nGP|Guadeloupe\r\nGU|Guam\r\nGT|Guatemala\r\nGG|Guernsey\r\nGN|Guinea\r\nGW|Guinea-Bissau\r\nGY|Guyana\r\nHT|Haiti\r\nHM|Heard Island and McDonald Islands\r\nHN|Honduras\r\nHK|Hong Kong S.A.R., China\r\nHU|Hungary\r\nIS|Iceland\r\nIN|India\r\nID|Indonesia\r\nIR|Iran\r\nIQ|Iraq\r\nIE|Ireland\r\nIM|Isle of Man\r\nIL|Israel\r\nIT|Italy\r\nCI|Ivory Coast\r\nJM|Jamaica\r\nJP|Japan\r\nJE|Jersey\r\nJO|Jordan\r\nKZ|Kazakhstan\r\nKE|Kenya\r\nKI|Kiribati\r\nKW|Kuwait\r\nKG|Kyrgyzstan\r\nLA|Laos\r\nLV|Latvia\r\nLB|Lebanon\r\nLS|Lesotho\r\nLR|Liberia\r\nLY|Libya\r\nLI|Liechtenstein\r\nLT|Lithuania\r\nLU|Luxembourg\r\nMO|Macao S.A.R., China\r\nMK|Macedonia\r\nMG|Madagascar\r\nMW|Malawi\r\nMY|Malaysia\r\nMV|Maldives\r\nML|Mali\r\nMT|Malta\r\nMH|Marshall Islands\r\nMQ|Martinique\r\nMR|Mauritania\r\nMU|Mauritius\r\nYT|Mayotte\r\nMX|Mexico\r\nFM|Micronesia\r\nMD|Moldova\r\nMC|Monaco\r\nMN|Mongolia\r\nME|Montenegro\r\nMS|Montserrat\r\nMA|Morocco\r\nMZ|Mozambique\r\nMM|Myanmar\r\nNA|Namibia\r\nNR|Nauru\r\nNP|Nepal\r\nNL|Netherlands\r\nAN|Netherlands Antilles\r\nNC|New Caledonia\r\nNZ|New Zealand\r\nNI|Nicaragua\r\nNE|Niger\r\nNG|Nigeria\r\nNU|Niue\r\nNF|Norfolk Island\r\nMP|Northern Mariana Islands\r\nKP|North Korea\r\nNO|Norway\r\nOM|Oman\r\nPK|Pakistan\r\nPW|Palau\r\nPS|Palestinian Territory\r\nPA|Panama\r\nPG|Papua New Guinea\r\nPY|Paraguay\r\nPE|Peru\r\nPH|Philippines\r\nPN|Pitcairn\r\nPL|Poland\r\nPT|Portugal\r\nPR|Puerto Rico\r\nQA|Qatar\r\nRE|Reunion\r\nRO|Romania\r\nRU|Russia\r\nRW|Rwanda\r\nBL|Saint Barthélemy\r\nSH|Saint Helena\r\nKN|Saint Kitts and Nevis\r\nLC|Saint Lucia\r\nMF|Saint Martin (French part)\r\nPM|Saint Pierre and Miquelon\r\nVC|Saint Vincent and the Grenadines\r\nWS|Samoa\r\nSM|San Marino\r\nST|Sao Tome and Principe\r\nSA|Saudi Arabia\r\nSN|Senegal\r\nRS|Serbia\r\nSC|Seychelles\r\nSL|Sierra Leone\r\nSG|Singapore\r\nSX|Sint Maarten\r\nSK|Slovakia\r\nSI|Slovenia\r\nSB|Solomon Islands\r\nSO|Somalia\r\nZA|South Africa\r\nGS|South Georgia and the South Sandwich Islands\r\nKR|South Korea\r\nSS|South Sudan\r\nES|Spain\r\nLK|Sri Lanka\r\nSD|Sudan\r\nSR|Suriname\r\nSJ|Svalbard and Jan Mayen\r\nSZ|Swaziland\r\nSE|Sweden\r\nCH|Switzerland\r\nSY|Syria\r\nTW|Taiwan\r\nTJ|Tajikistan\r\nTZ|Tanzania\r\nTH|Thailand\r\nTL|Timor-Leste\r\nTG|Togo\r\nTK|Tokelau\r\nTO|Tonga\r\nTT|Trinidad and Tobago\r\nTN|Tunisia\r\nTR|Turkey\r\nTM|Turkmenistan\r\nTC|Turks and Caicos Islands\r\nTV|Tuvalu\r\nVI|U.S. Virgin Islands\r\nUG|Uganda\r\nUA|Ukraine\r\nAE|United Arab Emirates\r\nGB|United Kingdom\r\nUS|United States\r\nUM|United States Minor Outlying Islands\r\nUY|Uruguay\r\nUZ|Uzbekistan\r\nVU|Vanuatu\r\nVA|Vatican\r\nVE|Venezuela\r\nVN|Vietnam\r\nWF|Wallis and Futuna\r\nEH|Western Sahara\r\nYE|Yemen\r\nZM|Zambia\r\nZW|Zimbabwe\r\n\";s:8:\"multiple\";i:0;s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:6:\"aslist\";i:1;s:7:\"optrand\";i:0;}',0,10),(18,5,10,'phone','Phone','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',0,11),(18,6,10,'request_type','Request type','select','','a:6:{s:5:\"items\";s:68:\"Sales Support|Sales Support\r\nTest Drive Request|Test Drive Request\r\n\";s:8:\"multiple\";i:0;s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:6:\"aslist\";i:1;s:7:\"optrand\";i:0;}',1,12),(18,7,0,'request_detail','Request detail','textarea','','a:8:{s:13:\"title_display\";i:0;s:7:\"private\";i:0;s:9:\"resizable\";i:1;s:8:\"disabled\";i:0;s:4:\"cols\";s:0:\"\";s:4:\"rows\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,10),(18,8,0,'confirm','Confirm','select','','a:6:{s:5:\"items\";s:342:\"1|I hereby grant to BMW Armenia the right to use, modify, reproduce and distribute my data for event invitations, marketing, research and statistical purpose within partners or companies that are part of the BMW Group. I am aware that all my personal data will be dealt with in accordance with the prevailing privacy protection regulations. *\";s:8:\"multiple\";i:1;s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:6:\"aslist\";i:0;s:7:\"optrand\";i:0;}',1,11),(18,9,0,'group1','Group 1','fieldset','','a:4:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}',0,8),(18,10,0,'group2','Group 2','fieldset','','a:4:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}',0,9),(46,1,0,'name','Name','textfield','','a:4:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;}',1,0),(46,2,0,'mail','Mail','textfield','','a:4:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;}',1,1),(46,3,0,'tittle','Tittle','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',0,3),(46,4,0,'content','Content','textarea','','a:4:{s:13:\"title_display\";i:0;s:7:\"private\";i:0;s:9:\"resizable\";i:1;s:8:\"disabled\";i:0;}',0,4),(46,5,0,'attach_file','Attach File','file','','a:8:{s:6:\"scheme\";s:6:\"public\";s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:18:\"progress_indicator\";s:8:\"throbber\";s:9:\"filtering\";a:3:{s:4:\"size\";s:4:\"2 MB\";s:5:\"types\";a:3:{i:0;s:3:\"pdf\";i:1;s:3:\"doc\";i:2;s:4:\"docx\";}s:13:\"addextensions\";s:0:\"\";}s:9:\"directory\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',0,2);
/*!40000 ALTER TABLE `webform_component` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional`
--

DROP TABLE IF EXISTS `webform_conditional`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `andor` varchar(128) DEFAULT NULL COMMENT 'Whether to AND or OR the actions in this group. All actions within the same crid should have the same andor value.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this conditional compared to others.',
  PRIMARY KEY (`nid`,`rgid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional`
--

LOCK TABLES `webform_conditional` WRITE;
/*!40000 ALTER TABLE `webform_conditional` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_actions`
--

DROP TABLE IF EXISTS `webform_conditional_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_actions` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `aid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional action.',
  `target_type` varchar(128) DEFAULT NULL COMMENT 'The type of target to be affected. Currently always "component". Indicates what type of ID the "target" column contains.',
  `target` varchar(128) DEFAULT NULL COMMENT 'The ID of the target to be affected. Typically a component ID.',
  `invert` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If inverted, execute when rule(s) are false.',
  `action` varchar(128) DEFAULT NULL COMMENT 'The action to be performed on the target.',
  `argument` text COMMENT 'Optional argument for action.',
  PRIMARY KEY (`nid`,`rgid`,`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional actions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_actions`
--

LOCK TABLES `webform_conditional_actions` WRITE;
/*!40000 ALTER TABLE `webform_conditional_actions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_rules`
--

DROP TABLE IF EXISTS `webform_conditional_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_rules` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `rid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional rule.',
  `source_type` varchar(128) DEFAULT NULL COMMENT 'The type of source on which the conditional is based. Currently always "component". Indicates what type of ID the "source" column contains.',
  `source` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The component ID being used in this condition.',
  `operator` varchar(128) DEFAULT NULL COMMENT 'Which operator (equal, contains, starts with, etc.) should be used for this comparison between the source and value?',
  `value` text COMMENT 'The value to be compared with source.',
  PRIMARY KEY (`nid`,`rgid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_rules`
--

LOCK TABLES `webform_conditional_rules` WRITE;
/*!40000 ALTER TABLE `webform_conditional_rules` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_rules` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_emails`
--

DROP TABLE IF EXISTS `webform_emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_emails` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `eid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The e-mail identifier for this row’s settings.',
  `email` text COMMENT 'The e-mail address that will be sent to upon submission. This may be an e-mail address, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `subject` text COMMENT 'The e-mail subject that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_name` text COMMENT 'The e-mail "from" name that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_address` text COMMENT 'The e-mail "from" e-mail address that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `template` text COMMENT 'A template that will be used for the sent e-mail. This may be a string or the special key "default", which will use the template provided by the theming layer.',
  `excluded_components` text NOT NULL COMMENT 'A list of components that will not be included in the %email_values token. A list of CIDs separated by commas.',
  `html` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will be sent in an HTML format. Requires Mime Mail module.',
  `attachments` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include file attachments. Requires Mime Mail module.',
  `extra` text NOT NULL COMMENT 'A serialized array of additional options for the e-mail configuration, including excluded components and value mapping for the TO and FROM addresses for select lists.',
  `exclude_empty` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include component with an empty value.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Whether this email is enabled.',
  PRIMARY KEY (`nid`,`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information regarding e-mails that should be sent...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_emails`
--

LOCK TABLES `webform_emails` WRITE;
/*!40000 ALTER TABLE `webform_emails` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_emails` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_last_download`
--

DROP TABLE IF EXISTS `webform_last_download`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_last_download` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user identifier.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The last downloaded submission number.',
  `requested` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of last download request.',
  PRIMARY KEY (`nid`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores last submission number per user download.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_last_download`
--

LOCK TABLES `webform_last_download` WRITE;
/*!40000 ALTER TABLE `webform_last_download` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_last_download` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_roles`
--

DROP TABLE IF EXISTS `webform_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_roles` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The role identifier.',
  PRIMARY KEY (`nid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds access information regarding which roles are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_roles`
--

LOCK TABLES `webform_roles` WRITE;
/*!40000 ALTER TABLE `webform_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_roles` VALUES (18,1),(18,2),(46,1),(46,2);
/*!40000 ALTER TABLE `webform_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submissions`
--

DROP TABLE IF EXISTS `webform_submissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submissions` (
  `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for this submission.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The id of the user that completed this submission.',
  `is_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Is this a draft of the submission?',
  `submitted` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the form was submitted.',
  `remote_addr` varchar(128) DEFAULT NULL COMMENT 'The IP address of the user that submitted the form.',
  `serial` int(10) unsigned NOT NULL COMMENT 'The serial number of this submission.',
  `completed` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was submitted as complete (not draft).',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was last saved (complete or draft).',
  `highest_valid_page` smallint(6) NOT NULL DEFAULT '0' COMMENT 'For drafts, the highest validated page number.',
  PRIMARY KEY (`sid`),
  UNIQUE KEY `sid_nid` (`sid`,`nid`),
  UNIQUE KEY `nid_serial` (`nid`,`serial`),
  KEY `nid_uid_sid` (`nid`,`uid`,`sid`),
  KEY `nid_sid` (`nid`,`sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds general information about submissions outside of...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submissions`
--

LOCK TABLES `webform_submissions` WRITE;
/*!40000 ALTER TABLE `webform_submissions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submissions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submitted_data`
--

DROP TABLE IF EXISTS `webform_submitted_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submitted_data` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique identifier for this submission.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `no` varchar(128) NOT NULL DEFAULT '0' COMMENT 'Usually this value is 0, but if a field has multiple values (such as a time or date), it may require multiple rows in the database.',
  `data` mediumtext NOT NULL COMMENT 'The submitted value of this field, may be serialized for some components.',
  PRIMARY KEY (`nid`,`sid`,`cid`,`no`),
  KEY `nid` (`nid`),
  KEY `sid_nid` (`sid`,`nid`),
  KEY `data` (`data`(64))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores all submitted field data for webform submissions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submitted_data`
--

LOCK TABLES `webform_submitted_data` WRITE;
/*!40000 ALTER TABLE `webform_submitted_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submitted_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `zipcodes`
--

DROP TABLE IF EXISTS `zipcodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `zipcodes` (
  `zip` varchar(16) NOT NULL DEFAULT '0' COMMENT 'Postal / ZIP code.',
  `city` varchar(30) NOT NULL DEFAULT '' COMMENT 'City.',
  `state` varchar(30) NOT NULL DEFAULT '' COMMENT 'Province / State.',
  `latitude` decimal(10,6) NOT NULL DEFAULT '0.000000' COMMENT 'Location latitude (decimal degrees).',
  `longitude` decimal(10,6) NOT NULL DEFAULT '0.000000' COMMENT 'Location longitude (decimal degrees).',
  `timezone` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Timezone (unused).',
  `dst` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Daylight Savings Time (unused).',
  `country` char(2) NOT NULL DEFAULT '' COMMENT 'Two letter ISO country code.',
  KEY `pc` (`country`,`zip`),
  KEY `zip` (`zip`),
  KEY `latitude` (`latitude`),
  KEY `longitude` (`longitude`),
  KEY `country` (`country`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Location.module zipcode database.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `zipcodes`
--

LOCK TABLES `zipcodes` WRITE;
/*!40000 ALTER TABLE `zipcodes` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `zipcodes` ENABLE KEYS */;
UNLOCK TABLES;
commit;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-07-19 12:03:07
